create or replace view vwwoonplaats as
select a.dnkey,
       a.dvwoonplaatsnaam dvwoonplaats,
       a.ddvervaldatum,
       a.dvwoonplaatsid dvorggemeenteid,
       cast(case when b.dvgemeentecode is null then 'Onbekend'
	   else b.dvomschrijving 
	   end as character varying(80)) as dvgemeentenaam,
       cast(case when b.dvgemeentecode is null then '0000'
	   else b.dvgemeentecode
	   end as character varying(4)) as dvgemeenteid
  from tbwoonplaats a
       left outer join tb33gemeente b
       on (a.dvwoonplaatsid = b.dvgemeentecode)
;
create or replace view vwfrmwoonplaatsen as
select a.dnkey dnkeywoonplaats,
       a.dvwoonplaatsnaam dvwoonplaats,
       a.ddvervaldatum,
       a.dvwoonplaatsid dvorggemeenteid,
       cast(case when b.dvgemeentecode is null then 'Onbekend'
	   else b.dvomschrijving 
	   end as character varying(80)) as dvgemeentenaam,
	   cast(case when b.dvgemeentecode is null then '0000'
	   else b.dvgemeentecode
	   end as character varying(4)) as dvgemeenteid
	   from  tbwoonplaats a
       left outer join tb33gemeente b
       on (a.dvwoonplaatsid = b.dvgemeentecode)
;   
create or replace view vwstraatnamen as 
select b.dvwoonplaatsnaam dvwoonplaats,
       b.ddvervaldatum ddwplvervaldatum,
       a.dvopruimtenaam dvnaam_nen5825,
       a.dnkeywoonplaats,
       a.dnkey dnkeyopruimte,
       a.ddvervaldatum ddoprvervaldatum
  from tbopenbareruimte a
       inner join tbwoonplaats b
       on (a.dnkeywoonplaats = b.dnkey)
;
create or replace view vwperceeladressen as
select a.dnstraatcode dnobjstraatcode,
       a.ddvervaldatum ddpercvervaldatum,
       a.dnkey dnperceelkey,
       a.dvperceelnummer,
       a.dvextraperceelnummers,
       a.dvhuisnummer dvobjhuisnummer,
       a.dvhuisletter dvobjhuisletter,
       a.dvhuisnummertoevoeging dvobjhuisnrtoevoeg,
       a.dvaanduidingbijhuisnummer dvobjaanduidhuisnr,
       a.dvgmntecode dvobjgmntecode,
       a.dvsectie,
       cast(case when a.dvaanduidingbijhuisnummer is null then '' 
			        else a.dvaanduidingbijhuisnummer || ' ' end 
			|| a.dvhuisnummer
            || ' '
            || case when a.dvhuisletter is null then '' else a.dvhuisletter end
            || case when rtrim (a.dvhuisnummertoevoeging) is null then '' 
			   else replace ('-' || a.dvhuisnummertoevoeging,'--',  '-') 
			   end as character varying(15)) as dvobjhuisnr,
       a.dvhuisnrinfo dvobjhuisnrinfo,
       a.dnkeymonumenten,
       b.dvopruimtenaam dvobjstraat,
       a.dvpostcode dvobjpostcode,
       c.dvwoonplaatsnaam dvobjplaats,
       a.dncbs_buurt dnobjcbs_buurt,
       a.dvoneven,
       a.dvidentificatiecode,
       a.dnxcoordinaat,
       a.dnycoordinaat,
       b.dnkey dnkeyopenbareruimte,
       c.dnkey dnkeywoonplaats,
       c.dvwoonplaatsid dvgmntcode
  from tbperceeladressen a
       inner join tbopenbareruimte b
          on (a.dnkeyopenbruimte = b.dnkey)
       inner join tbwoonplaats c
          on (b.dnkeywoonplaats = c.dnkey)
;
create or replace view vwlegesjaren as
select distinct dnjaar from tblegesberekeningen
;
create or replace view vwfrmcontactadressen as 
select 
    a.dnkey,
    a.dnkeyparentcontact,
	a.dvbedrijfsnaam,
    a.dvvoorletters,
	a.dvvoorvoegsel,
	a.dvachternaam,
	a.dvwoonplaatsnaam dvpostplaats,
	a.dvpostcode dvpostpostcode,
	a.dvtelefoon,
	a.dvgsm,
	a.dvemail,
	a.ddvervaldatum,
	a.dvsofinummer dvbsn,
	a.dvbin dvkvk,
	a.dvvestigingsnr,
   cast(a.dvstraatnaam 
  || case when a.dvaanduidingbijhuisnummer is not null then rtrim(' '||a.dvaanduidingbijhuisnummer) else '' end
  || case when a.dvhuisnummer is not null then rtrim(' '||a.dvhuisnummer)else '' end
  || case when a.dvhuisletter is not null then a.dvhuisletter else '' end
  || case when rtrim(a.dvhuisnummertoevoeging) is null then '' 
     else replace('-'||a.dvhuisnummertoevoeging,'--','-')
     end as character varying(95)) as dvpostadres,
	a.dvgeslacht,
	a.dddatummutatie,
	a.dvroepnaam,
	a.dvbriefaanhef,
	a.dvstraatnaam dvpoststraat,
	a.dvaanduidingbijhuisnummer dvpostaandhuisn,
	a.dvhuisnummer dvposthuisnr,
	a.dvhuisletter dvposthuisletter,
	a.dvhuisnummertoevoeging dvposthuisnrtoev,
	a.dvfax,
	a.dvdebiteurnr,
	a.dvgeboorteplaats,
	a.ddgeboortedatum,
	a.dvdoopnamen,
	a.dvidentiteitbew,
	a.dvcodenationaliteit,
	b.dvomschrijving dvomsnationaliteit,
	a.dvveststraat,
	a.dvvesthuisnr,
	a.dvvesthuisletter,
	a.dvvesthuistoev,
	a.dvvestpc,
	a.dvvestplaats,
	a.ddcontrolegba
 from
    tbcontactadressen a
	left outer join tbnationaliteiten b
	on (a.dvcodenationaliteit = b.dvcode)
 ;
create or replace view vwleges_soort as
select a.dnkey,
       a.dnkeylegessoort,
       a.dnjaar,
       a.dfvastbedrag,
       a.dfpromillage,
       a.dfcategoriebodem,
       a.dfcategorieplafond,
       a.dffactor,
       a.dddatumvanaf,
       a.dddatumtotmet,
       a.dfafrondinggetal,
       a.dnafrondingmethode,
       a.dfminimum,
       a.dfmaximum,
       b.dnkey dnsoortkey,
       b.ddvervaldatum,
       b.dvomschrijving dvsoortoms,
       b.dnkeyafhankelijkvan,
       b.dlbonusmalus,
       b.dnberekenwijze,
       a.ddvervaldatum ddrekenvervaldatum,
       b.dlopslagaanvul,
       b.dlkortingdigi,
       b.dlkortingaantact,
       a.dlberafrgehgetal,
       b.dvgemeentecode,
	   a.dfafrnabergetal,
	   a.dnafrnabermethode
  from tblegesberekeningen a
       inner join tblegessoort b
       on (a.dnkeylegessoort = b.dnkey)
;
create or replace view vwbouwcontacten as 
select a.dnkeybouwvergunningen,
       b.dnkey dnkeycontactadressen,
       b.dvvoorletters dvcontvoorletters,
       b.dvvoorvoegsel dvcontvoorvoegsel,
       b.dvroepnaam dvcontroepnaam,
       b.dvachternaam dvcontachternaam,
       b.dvbedrijfsnaam dvcontbedrijfsnaam,
       b.dvbriefaanhef dbcontbriefaanhef,
       b.dvwoonplaatsnaam dvcontwoonplaats,
       b.dvstraatnaam dvcontstraatnaam,
       b.dvaanduidingbijhuisnummer dvcontaanduidhuisnr,
       b.dvhuisnummer dvconthuisnummer,
       b.dvhuisnummertoevoeging dvconthuisnrtoevoeg,
       b.dvhuisletter dvconthuisletter,
       b.dvpostcode dvcontpostcode,
       b.dvtelefoon dvconttelefoon,
       b.dvfax dvcontfax,
       b.dvemail dvcontemail,
       b.dvgeslacht dvcontgeslacht,
	   cast(case when b.dvaanduidingbijhuisnummer is null then '' 
			        else b.dvaanduidingbijhuisnummer || ' ' end 
			|| b.dvhuisnummer
            || ' '
            || case when b.dvhuisletter is null then '' else b.dvhuisletter end
            || case when rtrim (b.dvhuisnummertoevoeging) is null then '' 
			   else replace ('-' || b.dvhuisnummertoevoeging,'--',  '-') 
			   end as character varying(15)) as dvobjhuisnr,
	   c.dvcode dvcontadrescode,
       c.dvomschrijving dvcontadressoort,
       c.ddvervaldatum ddcontadresverval,
       b.dvsofinummer dvbsn,
       b.dvbin,
       b.dvhandelsnaam dvconthandelsnaam
  from tbbouwcontactennn a
       inner join tbcontactadressen b
          on (a.dnkeycontactadressen = b.dnkey)
       inner join tbadressoort c
          on (a.dvcodeadressoort = c.dvcode)
;
create or replace view vwbplgeldend as 
select
  tbbestemmingsplannen.dnkey,
  tbbestemmingsplannen.dvnummer,
  tbbestemmingsplannen.dvnaam,
  tbbestemmingsplannen.dvbestemming,
  tbbestemmingsplannen.dvomschrijving,
  tbbestemmingsplannen.dlinvoorbereiding
from
  tbbestemmingsplannen 
;
create or replace view vwbplnieuw as 
select
  tbbestemmingsplannen.dnkey,
  tbbestemmingsplannen.dvnummer,
  tbbestemmingsplannen.dvnaam,
  tbbestemmingsplannen.dvbestemming,
  tbbestemmingsplannen.dvomschrijving,
  tbbestemmingsplannen.dlinvoorbereiding
from
  tbbestemmingsplannen 
;
create or replace view vwbouwcontverg as 
select tbbouwvergunningen.dnkey,
       tbbouwvergunningen.dnkeyperceeladressen,
       tbbouwvergunningen.dvcodedossierverblijf,
       tbbouwvergunningen.dvcodeaardbesluit,
       tbbouwvergunningen.dnkeybouwwerkz,
       tbbouwvergunningen.dnkeygeldendbestemmingsplan,
       tbbouwvergunningen.dnkeynieuwbestemmingsplan,
       tbbouwvergunningen.dnkeygroepvergunning,
       tbbouwvergunningen.dvbouwnr,
       tbbouwvergunningen.ddontvangstdatum,
       tbbouwvergunningen.ddmeetdatum,
       tbbouwvergunningen.dvredenmeetdatum,
       tbbouwvergunningen.ddbesluitdatum,
       tbbouwvergunningen.ddverzenddatum,
       tbbouwvergunningen.ddstartuitvoering,
       tbbouwvergunningen.ddgereeddatum,
       tbbouwvergunningen.ddingetrokken,
       tbbouwvergunningen.ddlegesverzonden,
       tbbouwvergunningen.dfvastgesteldekosten,
       tbbouwvergunningen.dfopgegevenbouwkosten,
       tbbouwvergunningen.dfherzienekosten,
       tbbouwvergunningen.dvredenintrekking,
       tbbouwvergunningen.dlgeldendbplakkoord,
       tbbouwvergunningen.dlnieuwbplakkoord,
       tbbouwvergunningen.dlcbsverstuurd,
       tbbouwvergunningen.dnsoortplan,
       tbbouwvergunningen.ddblokkering,
       tbbouwvergunningen.dvtekst1,
       tbbouwvergunningen.dvinhoud,
       tbbouwvergunningen.ddpublaanvrg,
       tbbouwvergunningen.ddpublproc,
       tbbouwvergunningen.dvpublbouwwerk,
       tbbouwvergunningen.dvcbsnummer,
       tbbouwvergunningen.dvarchiefnr,
       tbbouwvergunningen.dvmemo,
       tbbouwvergunningen.ddfataledatum,
       tbbouwvergunningen.dnkeyparentverg,
       tbperceeladressen.dnstraatcode dnobjstraatcode,
       tbperceeladressen.ddvervaldatum ddpercvervaldatum,
       tbperceeladressen.dnkey dnperceelkey,
       tbperceeladressen.dvperceelnummer,
       tbperceeladressen.dvextraperceelnummers,
       tbperceeladressen.dvhuisnummer dvobjhuisnummer,
       tbperceeladressen.dvhuisletter dvobjhuisletter,
       tbperceeladressen.dvhuisnummertoevoeging dvobjhuisnrtoevoeg,
       tbperceeladressen.dvaanduidingbijhuisnummer dvobjaanduidhuisnr,
       tbperceeladressen.dvgmntecode dvobjgmntecode,
       tbperceeladressen.dvsectie,
       tbperceeladressen.dvhuisnrinfo dvobjhuisnrinfo,
	   cast(case when tbperceeladressen.dvaanduidingbijhuisnummer is null then '' 
			        else tbperceeladressen.dvaanduidingbijhuisnummer || ' ' end 
			|| tbperceeladressen.dvhuisnummer
            || ' '
            || case when tbperceeladressen.dvhuisletter is null then '' else tbperceeladressen.dvhuisletter end
            || case when rtrim (tbperceeladressen.dvhuisnummertoevoeging) is null then '' 
			   else replace ('-' || tbperceeladressen.dvhuisnummertoevoeging,'--',  '-') 
			   end as character varying(15)) as dvobjhuisnr,
	   tbperceeladressen.dnkeymonumenten,
       tbopenbareruimte.dvopruimtenaam dvobjstraat,
       tbperceeladressen.dvpostcode dvobjpostcode,
       tbwoonplaats.dvwoonplaatsnaam dvobjplaats,
       tbperceeladressen.dncbs_buurt dnobjcbs_buurt,
       tbperceeladressen.dvoneven,
       tbbouwvergunningen.dvobject dvobjomschrijving,
       tbbouwcontactennn.dnkeycontactadressen,
       tbbouwcontactennn.dnkeybouwvergunningen,
       tbbouwcontactennn.dvcodeadressoort
  from tbbouwvergunningen
       inner join tbbouwcontactennn
          on (tbbouwvergunningen.dnkey = dnkeybouwvergunningen)
       inner join tbperceeladressen
          on (tbbouwvergunningen.dnkeyperceeladressen = tbperceeladressen.dnkey)
       inner join tbopenbareruimte
          on (tbperceeladressen.dnkeyopenbruimte = tbopenbareruimte.dnkey)
       inner join tbwoonplaats
          on (tbopenbareruimte.dnkeywoonplaats = tbwoonplaats.dnkey)
;
create or replace view vwbouwvergobjstrsp as 
select 
       a.dnkey,
       a.dnkeyperceeladressen,
       a.dvcodedossierverblijf,
       a.dvcodeaardbesluit,
       a.dnkeybouwwerkz,
       a.dnkeygeldendbestemmingsplan,
       a.dnkeynieuwbestemmingsplan,
       a.dnkeygroepvergunning,
       a.dvbouwnr,
       a.ddontvangstdatum,
       a.ddmeetdatum,
       a.dvredenmeetdatum,
       a.ddbesluitdatum,
       a.ddverzenddatum,
       a.ddstartuitvoering,
       a.ddgereeddatum,
       a.ddingetrokken,
       a.ddlegesverzonden,
       a.dfvastgesteldekosten,
       a.dfopgegevenbouwkosten,
       a.dfherzienekosten,
       a.dvredenintrekking,
       a.dlgeldendbplakkoord,
       a.dlnieuwbplakkoord,
       a.dlcbsverstuurd,
       a.dnsoortplan,
       a.ddblokkering,
       a.dvtekst1,
       a.dvinhoud,
       a.ddpublaanvrg,
       a.ddpublproc,
       a.dvpublbouwwerk,
       a.dvcbsnummer,
       a.dvmemo,
       a.dninhoud,
       a.dnoppervlak,
       a.dvarchiefnr,
       a.dnkeyparentverg,
       a.dnaantaleenheden,
       a.dveffect,
       a.dlnieuwbouw,
       a.ddfataledatum,
       a.dndagenopschwerking,
       a.dnaantalverspreid,
       a.dvhyperlink,
       a.dvredengldbpl,
       a.dfberkostenincbtw,
       a.ddgeldigtotmet,
       b.dnstraatcode dnobjstraatcode,
       b.ddvervaldatum ddpercvervaldatum,
       b.dnkey dnperceelkey,
       b.dvperceelnummer,
       b.dvextraperceelnummers,
       b.dvhuisnummer dvobjhuisnummer,
       b.dvhuisletter dvobjhuisletter,
       b.dvhuisnummertoevoeging dvobjhuisnrtoevoeg,
       b.dvaanduidingbijhuisnummer dvobjaanduidhuisnr,
       b.dvgmntecode dvobjgmntecode,
       b.dvsectie,
       cast(case when b.dvaanduidingbijhuisnummer is null then '' 
			        else b.dvaanduidingbijhuisnummer || ' ' end 
			|| b.dvhuisnummer
            || ' '
            || case when b.dvhuisletter is null then '' else b.dvhuisletter end
            || case when rtrim (b.dvhuisnummertoevoeging) is null then '' 
			   else replace ('-' || b.dvhuisnummertoevoeging,'--',  '-') end
			as character varying(15)) as dvobjhuisnr,
       b.dnkeymonumenten,
       b.dvhuisnrinfo dvobjhuisnrinfo,
       c.dvopruimtenaam dvobjstraat,
       b.dvpostcode dvobjpostcode,
       d.dvwoonplaatsnaam dvobjplaats,
       b.dncbs_buurt dnobjcbs_buurt,
       b.dvoneven,
       b.dvbuurtcode,
       a.dvobject dvobjomschrijving,
       e.dvomschrijving dvsoortplanoms,
       e.dlw011 dlsoortw011,
       e.dlw015 dlsoortw015,
       e.dlw055 dlsoortw055,
       e.dfcbsbedrag,
       e.dnfataleperiode,
       f.dlverleend,
       f.dvomschrijving dvaardbesluit,
       b.dvidentificatiecode,
       d.dvdefkadgem,
       a.dnkeymilinrichtingen,
       g.dvinrichtingnr,
       g.dvinrichtingnaam,
       a.dvdmscode,
       cast(case
          when a.ddnaverlingetrokken <= fn_vandaag(0) then 'ingetrokken na verl.'
		  when a.ddgeldigtotmet < fn_vandaag(0) then 'verlopen'
          when a.ddvervallen <= fn_vandaag(0) then 'vervallen'
          when a.ddbesluitdatum is not null then f.dvomschrijving
          when a.ddingetrokken is not null then 'ingetrokken tijdens beh.'
          else 'in behandeling'
       end as character varying(40)) as dvstatus,
       d.dvwoonplaatsid dvgemcode,
       a.ddnaverlingetrokken,
       a.ddvervallen,
	   a.dvintzaakcode
  from tbbouwvergunningen a
       inner join tbperceeladressen b
          on (a.dnkeyperceeladressen = b.dnkey)
       left outer join tbsoortplan e
          on (a.dnsoortplan = e.dnkey)
       left outer join tbaardbesluit f
          on (a.dvcodeaardbesluit = f.dvcode)
       left outer join tbmilinrichtingen g
          on (a.dnkeymilinrichtingen = g.dnkey)
       inner join tbopenbareruimte c
          on (b.dnkeyopenbruimte = c.dnkey)
       inner join tbwoonplaats d
          on (c.dnkeywoonplaats = d.dnkey)
;
create or replace view vwcorresp_adressen as
select
  tbcontactadressen.dvvoorletters,
  tbcontactadressen.dvvoorvoegsel,
  tbcontactadressen.dvachternaam,
  tbcontactadressen.dvbriefaanhef,
  tbcontactadressen.dvstraatnaam,
  tbcontactadressen.dvhuisnummer,
  tbcontactadressen.dvhuisnummertoevoeging,
  tbcontactadressen.dvpostcode,
  tbcontactadressen.dvwoonplaatsnaam,
  tbcontactadressen.ddgeboortedatum,
  tbcontactadressen.dvgeboorteplaats,
  tbcontactadressen.dvdoopnamen,
  tbcontactadressen.dvidentiteitbew,
  tbcontactadressen.dvsofinummer,
  tbcontactadressen.dvcodenationaliteit,
  tbcontactadressen.dnkey dncontactkey,
  tbcorrespondentie.ddbriefdatum,
  tbcorrespondentie.dnkeybouwvergunningen,
  tbcorrespondentie.dnkeyovvergunningen,
  tbcorrespondentie.dnkeyhandhavingen,
  tbcorrespondentie.dnkeyhorecavergunningen,
  tbcorrespondentie.dnkey keycorresp
from
  tbcorrespondentie
  left outer join tbcontactadressen
  on (tbcorrespondentie.dnkeycontactadressen = tbcontactadressen.dnkey)
;
create or replace view vwhandhcontacten as 
select
  tbhandhcontactennn.dnkeyhandhavingen,
  tbcontactadressen.dnkey dnkeycontactadressen,
  tbcontactadressen.dvvoorletters dvcontvoorletters,
  tbcontactadressen.dvvoorvoegsel dvcontvoorvoegsel,
  tbcontactadressen.dvroepnaam dvcontroepnaam,
  tbcontactadressen.dvachternaam dvcontachternaam,
  tbcontactadressen.dvbedrijfsnaam dvcontbedrijfsnaam,
  tbcontactadressen.dvbriefaanhef dbcontbriefaanhef,
  tbcontactadressen.dvwoonplaatsnaam dvcontwoonplaats,
  tbcontactadressen.dvstraatnaam dvcontstraatnaam,
  tbcontactadressen.dvaanduidingbijhuisnummer dvcontaanduidhuisnr,
  tbcontactadressen.dvhuisnummer dvconthuisnummer,
  tbcontactadressen.dvhuisnummertoevoeging dvconthuisnrtoevoeg,
  tbcontactadressen.dvhuisletter dvconthuisletter,
  tbcontactadressen.dvpostcode dvcontpostcode,
  tbcontactadressen.dvtelefoon dvconttelefoon,
  tbcontactadressen.dvfax dvcontfax,
  tbcontactadressen.dvemail dvcontemail,
  cast(case when tbcontactadressen.dvaanduidingbijhuisnummer is null then '' 
			        else tbcontactadressen.dvaanduidingbijhuisnummer || ' ' end 
			|| tbcontactadressen.dvhuisnummer
            || ' '
            || case when tbcontactadressen.dvhuisletter is null then '' else tbcontactadressen.dvhuisletter end
            || case when rtrim (tbcontactadressen.dvhuisnummertoevoeging) is null then '' 
			   else replace ('-' || tbcontactadressen.dvhuisnummertoevoeging,'--',  '-') 
			   end as character varying(15)) as dvobjhuisnr,
  tbadressoort.dvcode dvcontadrescode,
  tbadressoort.dvomschrijving dvcontadressoort,
  tbadressoort.ddvervaldatum ddcontadresverval,
  tbcontactadressen.dvsofinummer dvbsn,
  tbcontactadressen.dvbin,
  tbcontactadressen.dvhandelsnaam dvconthandelsnaam
from
  tbhandhcontactennn
  inner join tbcontactadressen
  on (tbhandhcontactennn.dnkeycontactadressen = tbcontactadressen.dnkey)
  inner join tbadressoort
  on (tbhandhcontactennn.dvcodeadressoort = tbadressoort.dvcode) 
;
create or replace view vwhandhovertredingen as 
select
  tbhandhovertreding.dnkey dnovertredingkey,
  tbhandhovertreding.dvomschrijving dvovertreding,
  tbhandhovertreding.ddvervaldatum ddovertredingvervaldat,
  tbhandhwetbasis.dvomschrijving dvwetbasis
from
  tbhandhovertreding 
  inner join tbhandhwetbasis
  on (tbhandhovertreding.dnkeyhandhwetbasis = tbhandhwetbasis.dnkey)
;
create or replace view vwhandhstraat as
select
  tbhandhavingen.dnkey,
  tbhandhavingen.dnkeyperceeladressen,
  tbhandhavingen.dvomsbouwwerk,
  tbhandhavingen.dvcodehandhafronding,
  tbhandhavingen.dvcodedossierverblijf,
  tbhandhavingen.dvinhoud,
  tbhandhavingen.ddaanzegdatum,
  tbhandhavingen.ddeinddatum,
  tbhandhavingen.dvaanschrijfnr,
  tbhandhavingen.dvdwangsomeenheid,
  tbhandhavingen.dfdwangsombedrag,
  tbhandhavingen.dfdwangsommax,
  tbhandhavingen.ddblokkering,
  tbhandhavingen.ddverzoekdatum,
  tbhandhavingen.dnkeyhandhovertreding,
  tbhandhavingen.dvlast,
  tbhandhavingen.dvoverwegingen,
  tbhandhavingen.ddstartdwangsom,
  tbhandhavingen.dvmemo,
  tbhandhavingen.ddbestdwdatum,
  tbhandhavingen.dfbestdwbedrag,
  tbhandhavingen.dvbestdwoms,
  tbhandhavingen.dvarchiefnr,
  tbhandhavingen.dvhyperlink,
  tbhandhavingen.dnkeygroepvergunning,
  tbperceeladressen.dnstraatcode dnobjstraatcode,
  tbperceeladressen.ddvervaldatum ddpercvervaldatum,
  tbperceeladressen.dnkey dnperceelkey,
  tbperceeladressen.dvperceelnummer,
  tbperceeladressen.dvextraperceelnummers,
  tbperceeladressen.dvhuisnummer dvobjhuisnummer,
  tbperceeladressen.dvhuisletter dvobjhuisletter,
  tbperceeladressen.dvhuisnummertoevoeging dvobjhuisnrtoevoeg,
  tbperceeladressen.dvaanduidingbijhuisnummer dvobjaanduidhuisnr,
  tbperceeladressen.dvgmntecode dvobjgmntecode,
  tbperceeladressen.dvsectie,
cast(case when tbperceeladressen.dvaanduidingbijhuisnummer is null then '' 
			        else tbperceeladressen.dvaanduidingbijhuisnummer || ' ' end 
			|| tbperceeladressen.dvhuisnummer
            || ' '
            || case when tbperceeladressen.dvhuisletter is null then '' else tbperceeladressen.dvhuisletter end
            || case when rtrim (tbperceeladressen.dvhuisnummertoevoeging) is null then '' 
			   else replace ('-' || tbperceeladressen.dvhuisnummertoevoeging,'--',  '-') 
			   end as character varying(15)) as dvobjhuisnr,
  tbperceeladressen.dnkeymonumenten,
  tbperceeladressen.dvhuisnrinfo dvobjhuisnrinfo,
  tbopenbareruimte.dvopruimtenaam dvobjstraat,
  tbperceeladressen.dvpostcode dvobjpostcode,
  tbwoonplaats.dvwoonplaatsnaam dvobjplaats,
  tbperceeladressen.dncbs_buurt dnobjcbs_buurt,
  tbperceeladressen.dvoneven,
  tbperceeladressen.dvbuurtcode,
  tbhandhavingen.dvdmscode,
  Cast(case
               when tbhandhavingen.ddeinddatum is not null
               then 'afgehandeld'
               else 'in behandeling'
			   end as character varying(14)) as dvstatus,
  tbhandhavingen.dnkeymilinrichtingen,
  tbmilinrichtingen.dvinrichtingnaam,
  tbmilinrichtingen.dvinrichtingnr,
  tbhandhavingen.ddpublaanvrg,
  tbhandhavingen.dvcodejurist,
  tbhandhavingen.dvintzaakcode
from
  tbhandhavingen
  inner join tbperceeladressen
  on (tbhandhavingen.dnkeyperceeladressen = tbperceeladressen.dnkey)
  inner join tbopenbareruimte
  on (tbperceeladressen.dnkeyopenbruimte = tbopenbareruimte.dnkey)
  inner join tbwoonplaats
  on (tbopenbareruimte.dnkeywoonplaats = tbwoonplaats.dnkey)
  left outer join tbmilinrichtingen
  on (tbhandhavingen.dnkeymilinrichtingen = tbmilinrichtingen.dnkey)
;
create or replace view vwovcontacten as 
select
  tbovcontactennn.dnkeyovvergunningen,
  tbcontactadressen.dnkey dnkeycontactadressen,
  tbcontactadressen.dvvoorletters dvcontvoorletters,
  tbcontactadressen.dvvoorvoegsel dvcontvoorvoegsel,
  tbcontactadressen.dvroepnaam dvcontroepnaam,
  tbcontactadressen.dvachternaam dvcontachternaam,
  tbcontactadressen.dvbedrijfsnaam dvcontbedrijfsnaam,
  tbcontactadressen.dvbriefaanhef dbcontbriefaanhef,
  tbcontactadressen.dvwoonplaatsnaam dvcontwoonplaats,
  tbcontactadressen.dvstraatnaam dvcontstraatnaam,
  tbcontactadressen.dvaanduidingbijhuisnummer dvcontaanduidhuisnr,
  tbcontactadressen.dvhuisnummer dvconthuisnummer,
  tbcontactadressen.dvhuisnummertoevoeging dvconthuisnrtoevoeg,
  tbcontactadressen.dvhuisletter dvconthuisletter,
  tbcontactadressen.dvpostcode dvcontpostcode,
  tbcontactadressen.dvtelefoon dvconttelefoon,
  tbcontactadressen.dvfax dvcontfax,
  tbcontactadressen.dvemail dvcontemail,
  cast(case when tbcontactadressen.dvaanduidingbijhuisnummer is null then '' 
			        else tbcontactadressen.dvaanduidingbijhuisnummer || ' ' end 
			|| tbcontactadressen.dvhuisnummer
            || ' '
            || case when tbcontactadressen.dvhuisletter is null then '' else tbcontactadressen.dvhuisletter end
            || case when rtrim (tbcontactadressen.dvhuisnummertoevoeging) is null then '' 
			   else replace ('-' || tbcontactadressen.dvhuisnummertoevoeging,'--',  '-') 
			   end as character varying(15)) as dvobjhuisnr,
  tbadressoort.dvcode dvcontadrescode,
  tbadressoort.dvomschrijving dvcontadressoort,
  tbadressoort.ddvervaldatum ddcontadresverval,
  tbcontactadressen.dvsofinummer dvbsn,
  tbcontactadressen.dvbin,
  tbcontactadressen.dvhandelsnaam dvconthandelsnaam,
  tbsoortovverg.dnicoon
from
  tbovcontactennn
  inner join tbcontactadressen
  on (tbovcontactennn.dnkeycontactadressen = tbcontactadressen.dnkey)
  inner join tbadressoort
  on (tbovcontactennn.dvcodeadressoort = tbadressoort.dvcode)
  inner join tbovvergunningen
  on (tbovcontactennn.dnkeyovvergunningen = tbovvergunningen.dnkey)
  inner join tbsoortovverg
  on (tbovvergunningen.dvcodesoortovverg = tbsoortovverg.dvcode)
;
create or replace view vwovvergstraat as
select
  b.dnkey,
  b.dnkeyperceeladressen,
  b.dvcodedossierverblijf,
  b.dvcodesoortovverg,
  b.dnkeytbgroepvergunning,
  b.dnkeygeldendbestemmingsplan,
  b.dvcodeaardbesluit,
  b.dnkeynieuwbestemmingsplan,
  b.dnkeyovwerkz,
  b.dvvergunningsnr,
  b.dvomschrijving,
  b.ddontvangstdatum,
  b.ddmeetdatum,
  b.dvredenmeetdatum,
  b.ddbesluitdatum,
  b.ddverzenddatum,
  b.ddstartuitvoering,
  b.ddgereeddatum,
  b.ddingetrokken,
  b.ddlegesverzonden,
  b.dvredenintrekking,
  b.dlgeldendbplakkoord,
  b.dlnieuwbplakkoord,
  b.dfvastgesteldekosten,
  b.dfherzienekosten,
  b.ddblokkering,
  b.dvtekst1,
  b.dvinhoud,
  b.ddpublaanvrg,
  b.ddpublproc,
  b.dvpublbouwwerk,
  b.dvcbsnummer,
  b.dvarchiefnr,
  b.dvmemo,
  b.ddfataledatum,
  b.dvhyperlink,
  b.dvredengldbpl,
  b.dfberkostenincbtw,
  b.ddgeldigtotmet,
  b.dndagenopschwerking,
  b.ddinwerking,
  a.dnstraatcode dnobjstraatcode,
  a.ddvervaldatum ddpercvervaldatum,
  a.dnkey dnperceelkey,
  a.dvperceelnummer,
  a.dvextraperceelnummers,
  a.dvhuisnummer dvobjhuisnummer,
  a.dvhuisletter dvobjhuisletter,
  a.dvhuisnummertoevoeging dvobjhuisnrtoevoeg,
  a.dvaanduidingbijhuisnummer dvobjaanduidhuisnr,
  a.dvgmntecode dvobjgmntecode,
  a.dvsectie,  
  cast(case when a.dvaanduidingbijhuisnummer is null then '' 
			        else a.dvaanduidingbijhuisnummer || ' ' end 
			|| a.dvhuisnummer
            || ' '
            || case when a.dvhuisletter is null then '' else a.dvhuisletter end
            || case when rtrim (a.dvhuisnummertoevoeging) is null then '' 
			   else replace ('-' || a.dvhuisnummertoevoeging,'--',  '-') 
			   end as character varying(15)) as dvobjhuisnr,
  a.dnkeymonumenten,
  a.dvhuisnrinfo dvobjhuisnrinfo,
  c.dvopruimtenaam dvobjstraat,
  a.dvpostcode dvobjpostcode,
  d.dvwoonplaatsnaam dvobjplaats,
  a.dncbs_buurt dnobjcbs_buurt,
  a.dvoneven,
  a.dvbuurtcode,
  e.dvomschrijving dvaardbesluit,
  e.dlverleend,
  f.dvomschrijving  dvsoortvergoms,
  f.dnfataleperiode,
  a.dvidentificatiecode,
  d.dvdefkadgem,
  b.dvdmscode,
  b.dnkeymilinrichtingen,
  g.dvinrichtingnr,
  g.dvinrichtingnaam,
  cast(case
               when b.ddnaverlingetrokken <= fn_vandaag(0)	  
			      then 'ingetrokken na verl.'
			   when b.ddgeldigtotmet < fn_vandaag(0)	  
			      then 'verlopen'
			   when b.ddvervallen <= fn_vandaag(0)	  
			      then 'vervallen'
               when b.ddbesluitdatum is not null
               then
                  e.dvomschrijving
               when b.ddingetrokken is not null
               then
                   'ingetrokken tijdens beh.'
               else
                  'in behandeling'
 end as character varying(40)) as dvstatus,
 d.dvwoonplaatsid dvgemcode,
 b.ddvervallen,
 b.ddnaverlingetrokken,
 f.dnicoon,
 b.dvintzaakcode
from
  tbovvergunningen b 
  inner join tbperceeladressen a
  on (b.dnkeyperceeladressen = a.dnkey)
  inner join tbopenbareruimte c
  on (a.dnkeyopenbruimte = c.dnkey)
  inner join tbwoonplaats d
  on (c.dnkeywoonplaats = d.dnkey)
  left outer join tbaardbesluit e
  on (b.dvcodeaardbesluit = e.dvcode)
  left outer join tbsoortovverg f
  on (b.dvcodesoortovverg = f.dvcode)
  left outer join tbmilinrichtingen g
  on (b.dnkeymilinrichtingen = g.dnkey)
;
create or replace view vwpercelen as
select
  tbperceeladressen.dnstraatcode,
  tbperceeladressen.dvpostcode,
  tbperceeladressen.dvoneven,
  tbperceeladressen.dvperceelnummer,
  tbperceeladressen.dvhuisnummer,
  tbperceeladressen.dvaanduidingbijhuisnummer,
  tbperceeladressen.dvhuisnummertoevoeging,
  tbperceeladressen.dvhuisletter,
  tbperceeladressen.dvhuisnrinfo,
  tbperceeladressen.dnkey
from
  tbperceeladressen 
;
create or replace view vwfrminbehbij as
select
  a.dnkeybouwvergunningen,
  a.dnkeyhandhavingen,
  a.dnkeyovvergunningen,
  a.dnkeyhorecavergunningen,
  a.dvcodemedewerker dvibbcodemw,
  a.dlactief dvibbactief,
  a.dnkeybestemmingsplannen,
  a.dnkeyinfoaanvraag,
  a.dnkeymilvergunningen,
  a.ddeinddatum,
  b.dvomschrijving dvibbnaammw,
  b.dvtelefoon,
  b.dvemail,
  b.dvvoorletters,
  b.dvtussenvoegsel,
  b.dvgeslacht,
  a.dnkeyomgvergunningen,
  b.dvnotitie,
  b.dvfunctie,
  a.dnkey,
  cast(case when b.dvvoorletters is null then '' 
			        else b.dvvoorletters || ' ' end 
			|| case when b.dvtussenvoegsel is null then '' 
			        else b.dvtussenvoegsel || ' ' end 
            || b.dvomschrijving as character varying(62)) as dvbehvoluit,
  b.dvorganisatie,
  b.dvroepnaam
from
  tbinbehandelingbij a
  inner join tbmedewerkers b
  on (a.dvcodemedewerker = b.dvcode)
;
create or replace view vwfrmactiefinbehbij as
select
  tbinbehandelingbij.dnkeybouwvergunningen,
  tbinbehandelingbij.dnkeyhandhavingen,
  tbinbehandelingbij.dnkeyovvergunningen,
  tbinbehandelingbij.dnkeyhorecavergunningen,
  tbinbehandelingbij.dvcodemedewerker dvibbcodemw,
  tbinbehandelingbij.dnkeybestemmingsplannen,
  tbinbehandelingbij.dnkeyinfoaanvraag,
  tbinbehandelingbij.dnkeymilvergunningen,
  tbinbehandelingbij.ddeinddatum,
  tbmedewerkers.dvomschrijving dvibbnaammw,
  tbmedewerkers.dvtelefoon,
  tbmedewerkers.dvemail,
  tbmedewerkers.dvvoorletters,
  tbmedewerkers.dvtussenvoegsel,
  tbmedewerkers.dvgeslacht,
  tbinbehandelingbij.dnkeyomgvergunningen,
  tbmedewerkers.dvnotitie,
  tbmedewerkers.dvfunctie,
  tbinbehandelingbij.dnkey,
  cast(case when tbmedewerkers.dvvoorletters is null then '' 
			        else tbmedewerkers.dvvoorletters || ' ' end 
			|| case when tbmedewerkers.dvtussenvoegsel is null then '' 
			        else tbmedewerkers.dvtussenvoegsel || ' ' end 
            || tbmedewerkers.dvomschrijving as character varying(62)) as dvbehvoluit,
  tbmedewerkers.dvorganisatie,
  tbmedewerkers.dvroepnaam
from
  tbinbehandelingbij 
  inner join tbmedewerkers
  on (tbinbehandelingbij.dvcodemedewerker = tbmedewerkers.dvcode) 
  where tbinbehandelingbij.dlactief = 'T'
;
create or replace view vwfrmadviezen as
select
  a.dnkey dnadvkey,
  a.dnkeybouwvergunningen,
  a.dnkeyhandhavingen,
  a.dnkeyovvergunningen,
  a.dnkeyhorecavergunningen,
  a.dvcodeadviesinstanties dvadvcodeinstantie,
  a.dvomschrijving dvadvomschrijving,
  a.ddaanvraagdatum ddadvaanvraag,
  a.ddadviesdatum ddadvadvies,
  a.ddrappeldatum ddadvrappel,
  a.dladviespositief dvadvpositief,
  a.dvmemo dvadvmemo,
  a.dnkeybestemmingsplannen,
  a.dnkeyinfoaanvraag,
  a.dnkeymilvergunningen,
  a.dddateringadvies ddadvdatering,
  a.dvcodemedewerkers,
  c.dvomschrijving dvadvinstantie,
  b.dvomschrijving dvadvretourcode,
  f.dvomschrijving dvnaammedew,
  f.dvtelefoon dvtelmedew,
  f.dvemail dvemailmedew,
  f.dvvoorletters dvvoorlmedew,
  f.dvtussenvoegsel dvtussenvmedew, 
  f.dvgeslacht dvgeslachtmedew,
  a.dnkeyomgvergunningen,
  a.ddvervallen,
  c.dnkeycontactadressen,
  a.dnkeyadvcat,
  e.dvomschrijving dvadviescategorie,
   cast(case when f.dvvoorletters is null then '' 
			        else f.dvvoorletters || ' ' end 
			|| case when f.dvtussenvoegsel is null then '' 
			        else f.dvtussenvoegsel || ' ' end 
            || f.dvomschrijving as character varying(62)) as dvintbehvoluit,
  a.dvdmszaakcode,
  a.dvintzaakcode,
  a.dlisindmsverwijderd,
  a.ddaanvraagverstuurd,
  a.dvuploadlog,
   cast(case when a.ddadviesdatum is null and a.ddrappeldatum < fn_vandaag(0) and ddvervallen is null then 'rood'
       when a.ddadviesdatum is null and a.ddrappeldatum >= fn_vandaag(0) and a.ddrappeldatum <= fn_vandaag(2) and ddvervallen is null then 'oranje'
	   when a.ddadviesdatum is null and a.ddrappeldatum > fn_vandaag(2) and ddvervallen is null then 'wit'
       else 'groen'
	   end as character varying(6)) as dvadviesgevaar
from
  tbadviezen a
  left outer join tbretouradvies b
  on (a.dnkeyretouradvies = b.dnkey)
  inner join tbadviesinstanties c
    on (a.dvcodeadviesinstanties = c.dvcode)
  left outer join tbadvcatadvinstnn d
    on (a.dnkeyadvcat = d.dnkey)
  left outer join tbadviescategorie e
    on (d.dnkeyadviescat = e.dnkey)
  left outer join tbmedewerkers f
    on (a.dvcodemedewerkers = f.dvcode)
	;
create or replace view vwfrmbouwafwgldbpl as 
select
  tbbouwafwgeldbpl.dnkeybouwvergunningen,
  tbbouwafwgeldbpl.dvafwijking
from
  tbbouwafwgeldbpl 
;
create or replace view vwfrmbouwafwnwbpl as 
select
  tbbouwafwnwbpl.dnkeybouwvergunningen,
  tbbouwafwnwbpl.dvafwijking
from
  tbbouwafwnwbpl 
;
create or replace view vwfrmbouwcontacten as
select  
  tbbouwcontactennn.dnkeybouwvergunningen,  
  tbcontactadressen.dnkey dnkeycontactadressen,  
  tbcontactadressen.dvvoorletters dvcontvoorletters,  
  tbcontactadressen.dvvoorvoegsel dvcontvoorvoegsel,  
  tbcontactadressen.dvroepnaam dvcontroepnaam,  
  tbcontactadressen.dvachternaam dvcontachternaam,  
  tbcontactadressen.dvbedrijfsnaam dvcontbedrijfsnaam,  
  tbcontactadressen.dvbriefaanhef dbcontbriefaanhef,  
  tbcontactadressen.dvwoonplaatsnaam dvcontwoonplaats,  
  tbcontactadressen.dvstraatnaam dvcontstraatnaam,  
  tbcontactadressen.dvaanduidingbijhuisnummer dvcontaanduidhuisnr,  
  tbcontactadressen.dvhuisnummer dvconthuisnummer,  
  tbcontactadressen.dvhuisnummertoevoeging dvconthuisnrtoevoeg,  
  tbcontactadressen.dvhuisletter dvconthuisletter,  
  tbcontactadressen.dvpostcode dvcontpostcode,  
  tbcontactadressen.dvtelefoon dvconttelefoon,  
  tbcontactadressen.dvfax dvcontfax,  
  tbcontactadressen.dvemail dvcontemail,  
  tbcontactadressen.dvdebiteurnr,  
  tbcontactadressen.dvgeslacht,  
  tbcontactadressen.dvbin dvcontbinnr,
  tbcontactadressen.dvsofinummer dvcontbsnnr,
  tbcontactadressen.dvveststraat,
  tbcontactadressen.dvvesthuisnr,
  tbcontactadressen.dvvesthuisletter,
  tbcontactadressen.dvvesthuistoev,
  tbcontactadressen.dvvestpc,
  tbcontactadressen.dvvestplaats,
  tbadressoort.dvcode dvcontadrescode,
  tbadressoort.dvomschrijving dvcontadressoort,  
  tbadressoort.ddvervaldatum ddcontadresverval,  
  cast(case when tbcontactadressen.dvgeslacht = 'M' then 'De heer' 
  when tbcontactadressen.dvgeslacht ='V' then'Mevrouw' 
  else 'De heer/mevrouw' end
  || case when tbcontactadressen.dvvoorletters is not null then rtrim(' '||tbcontactadressen.dvvoorletters) else '' end
  || case when tbcontactadressen.dvvoorvoegsel is not null then rtrim(' '||tbcontactadressen.dvvoorvoegsel) else '' end
  || case when tbcontactadressen.dvachternaam is not null then rtrim(' '||tbcontactadressen.dvachternaam) else '' end
  as character varying(238)) as dvconttav, 
  cast(tbcontactadressen.dvstraatnaam 
  || case when tbcontactadressen.dvaanduidingbijhuisnummer is not null then rtrim(' '||tbcontactadressen.dvaanduidingbijhuisnummer) else '' end
  || case when tbcontactadressen.dvhuisnummer is not null then rtrim(' '||tbcontactadressen.dvhuisnummer)else '' end
  || case when tbcontactadressen.dvhuisletter is not null then tbcontactadressen.dvhuisletter else '' end
  || case when rtrim(tbcontactadressen.dvhuisnummertoevoeging) is null then '' 
     else replace('-'||tbcontactadressen.dvhuisnummertoevoeging,'--','-')
     end as character varying(95)) as dvcontadres,
  tbcontactadressen.dvhandelsnaam dvconthandelsnaam,
   tbcontactadressen.dvgsm dvcontgsm,
    tbcontactadressen.dvcodenationaliteit,
  tbnationaliteiten.dvomschrijving dvnationaliteit,
  tbcontactadressen.dddatummutatie,
  tbcontactadressen.ddcontrolegba,
  tbcontactadressen.dvvestigingsnr,
  tbcontactadressen.dvdoopnamen,
  tbcontactadressen.ddgeboortedatum,
  tbcontactadressen.dvgeboorteplaats,
  tbcontactadressen.dvidentiteitbew,
  tbcontactadressen.ddvervaldatum
from  
  tbbouwcontactennn
inner join tbcontactadressen
on(tbbouwcontactennn.dnkeycontactadressen = tbcontactadressen.dnkey)  
inner join tbadressoort
on(tbbouwcontactennn.dvcodeadressoort = tbadressoort.dvcode)
 left outer join tbnationaliteiten
  on (tbcontactadressen.dvcodenationaliteit = tbnationaliteiten.dvcode)
;
create or replace view vwbouwminmaxdeadline as
select
   max(a.dddeadline) ddtrmmaxdeadline,
   min(a.dddeadline) ddtrmmindeadline,
   a.dnkeybouwvergunningen
from
  tbtermijnbewstappen a
  inner join tbbouwvergunningen b
  on (a.dnkeybouwvergunningen = b.dnkey)
  where
  b.ddblokkering is null
  and
  a.ddafgehandeld is null
  and
  a.dlingebruik = 'T'
  and
  (a.dvvoorwaardejn = 'N'
   or
   a.dnvoorwaarde > 0)
group by
  a.dnkeybouwvergunningen
;
create or replace view vwfrmbouwkrittermijnen as
select
  tbtermijnbewstappen.dnkeybouwvergunningen,
  cast(max(tbtermijnbewstappen.dvtermijnomschrijving) as character varying(40)) as dvkrittrmomschrijving,
  max(tbtermijnbewstappen.dddeadline) ddkrittrmdeadline,
  cast(max(tbtermijnbewstappen.dlfataal) as char(1)) as dlfataal,
  cast(max(tbtermijnbewstappen.dvcodemedewerkers) as char(5)) as dvcodemedewerkers,
  max(tbtermijnbewstappen.dnkey) dnkey,
  cast(max(tbprocedures.dvprocnaam) as character varying(40)) as ddkrittrmprocnaam
from
  tbtermijnbewstappen
  inner join tbprocedures
  on (tbtermijnbewstappen.dnkeyorgprocedure = tbprocedures.dnkey)
  where
  tbtermijnbewstappen.dlingebruik = 'T'
  and
  tbtermijnbewstappen.dvvoorwaardejn = 'N'
  and
  tbtermijnbewstappen.ddafgehandeld is null
  and
  (tbtermijnbewstappen.dddeadline, tbtermijnbewstappen.dnkeybouwvergunningen)
  in
  (select
     ddtrmmindeadline,
	 dnkeybouwvergunningen
   from
     vwbouwminmaxdeadline)
group by dnkeybouwvergunningen   
;
create or replace view vwfrmbouwvergunningen as  
select
  tbbouwvergunningen.dnkey dnkeybouwverg,
  tbbouwvergunningen.dvbouwnr,
  tbbouwvergunningen.ddontvangstdatum ddbouwontv,
  tbbouwvergunningen.ddmeetdatum ddbouwmeet,
  tbbouwvergunningen.dvredenmeetdatum dvbouwredenmeet,
  tbbouwvergunningen.ddbesluitdatum ddbouwbesluit,
  tbbouwvergunningen.ddverzenddatum ddbouwverzend,
  tbbouwvergunningen.ddstartuitvoering ddbouwstartuitv,
  tbbouwvergunningen.ddgereeddatum ddbouwgereed,
  tbbouwvergunningen.ddingetrokken ddbouwingetrokken,
  tbbouwvergunningen.dvredenintrekking dvbouwredenintr,
  cast(null as character varying(1)) as dvbouwmemo,
  tbbouwvergunningen.ddlegesverzonden ddbouwlegesverz,
  tbbouwvergunningen.dfvastgesteldekosten dnbouwvastgkost,
  tbbouwvergunningen.dfopgegevenbouwkosten dnbouwopgegkost,
  tbbouwvergunningen.dfherzienekosten dnbouwherzkost,
  tbbouwvergunningen.dlgeldendbplakkoord dvbouwgldbplakkoord,
  tbbouwvergunningen.dlnieuwbplakkoord dvbouwnwbplakkoord,
  tbbouwvergunningen.dlcbsverstuurd dvbouwcbsverstuurd,
  tbbouwvergunningen.ddblokkering ddbouwblokkering,
  tbbouwvergunningen.dvinhoud dvbouwinhoud,
  tbbouwvergunningen.dvtekst1 dvbouwtekst1,
  tbbouwvergunningen.ddpublaanvrg,
  tbbouwvergunningen.ddpublproc,
  tbbouwvergunningen.dvpublbouwwerk,
  tbbouwvergunningen.dvcbsnummer,
  tbbouwvergunningen.dvcodeaardbesluit dvbouwcodeaardbesl,
  tbbouwvergunningen.dvarchiefnr,
  tbbouwvergunningen.dnoppervlak,
  tbbouwvergunningen.dninhoud,
  tbbouwvergunningen.dnaantaleenheden,
  tbbouwvergunningen.dnaantalverspreid,
  tbbouwvergunningen.dnkeyparentverg,
  tbbouwvergunningen.dveffect,
  tbbouwvergunningen.dlnieuwbouw,
  tbbouwvergunningen.ddfataledatum,
  tbbouwvergunningen.dvwelstomschrijving,
  tbbouwvergunningen.dfberkostenincbtw,
  tbbouwvergunningen.ddgeldigtotmet,
  tbbouwvergunningen.dnkeyperceeladressen,
  tbbouwvergunningen.dvobject dvobjomschrijving,
  cast(null as character varying(1)) as dvactueleprocnaam,
  cast(null as character varying(1)) as dvactueleprocwetsart,
  tbgroepvergunning.dvomschrijving dvgroepvergunning,
  tbgroepvergunning.dvomgevingsnr dvgroepomgnr,
  tbdossierverblijf.dvomschrijving dvdossierverblijf,
  tbaardbesluit.dvomschrijving dvaardbesluit,
  tbaardbesluit.dlverleend,
  tbbouwwerkz.dvomschrijving dvbouwwerkzaamheid,
  tbsoortplan.dvomschrijving dvsoortplan,
  tbsoortplan.dlw011 dvw011,
  tbsoortplan.dlw015 dvw015,
  tbsoortplan.dlw055 dvw055,
  tbsoortplan.dfcbsbedrag dncbsbedrag,
  vwbplgeldend.dvnaam dvgldbplnaam,
  vwbplgeldend.dvnummer dvgldbplnummer,
  vwbplgeldend.dvbestemming dvgldbplbestemming,
  vwbplgeldend.dvomschrijving dvgldbplomschrijving,
  vwbplgeldend.dlinvoorbereiding dvgldbplinvoorb,
  vwbplnieuw.dvnaam dvnwbplnaam,
  vwbplnieuw.dvnummer dvnwbplnummer,
  vwbplnieuw.dvbestemming dvnwbplbestemming,
  vwbplnieuw.dvomschrijving dvnwbplomschrijving,
  vwbplnieuw.dlinvoorbereiding dvnwbplinvoorb,
  tbopenbareruimte.dvopruimtenaam dvobjstraat,
  tbperceeladressen.dvpostcode dvobjpostcode,
  tbwoonplaats.dvwoonplaatsnaam dvobjplaats,
  tbperceeladressen.dnstraatcode,
  tbopenbareruimte.dvextraopruimtenaam dvobjoffstraat,
  tbmonumenten.dvomschrijving dvobjmonument,
  tbwelstandcriteria.dvgebied dvwelstandgebied,
  tbwelstandcriteria.dvcriteria dvwelstandcriteria,
  tbwelstandbeeldkwal.dvomschrijving dvwelstandbeeldkwal,
  tbperceeladressen.dnxcoordinaat,
  tbperceeladressen.dnycoordinaat,
  tbperceeladressen.dvaanduidingbijhuisnummer dvobjaanduidhuisnr,
  tbperceeladressen.dvbestemming dvobjbestemming,
  tbperceeladressen.dvhuisnummer dvobjhuisnummer,
  tbperceeladressen.dvhuisnummertoevoeging dvobjhuisnrtoevoeg,
  tbperceeladressen.dvhuisletter dvobjhuisletter,
  tbperceeladressen.dvgmntecode dvobjgmntecode,
  tbperceeladressen.dvsectie dvobjsectie,
  tbperceeladressen.dvperceelnummer dvobjperceelnr,
  tbperceeladressen.dvextraperceelnummers dvobjextrpercnrs,
  tbperceeladressen.dvhuisnrinfo dvobjhuisnrinfo,
  tbperceeladressen.dvidentificatiecode dvobjidentificatiecode,
  cast (tbopenbareruimte.dvopruimtenaam 
     || case when tbperceeladressen.dvaanduidingbijhuisnummer is null then ' ' 
			 else ' ' || tbperceeladressen.dvaanduidingbijhuisnummer || ' ' end 
	 || tbperceeladressen.dvhuisnummer
     || ' '
     || case when tbperceeladressen.dvhuisletter is null then '' else tbperceeladressen.dvhuisletter end
     || case when rtrim (tbperceeladressen.dvhuisnummertoevoeging) is null then '' 
			 else replace ('-' || tbperceeladressen.dvhuisnummertoevoeging,'--',  '-') end 
	 || case when tbperceeladressen.dvhuisnrinfo is null then '' else rtrim(' '||tbperceeladressen.dvhuisnrinfo) end
	 as character varying(136)) as dvobjadres,
  tbbouwvergunningen.dnkeymilinrichtingen,
  tbmilinrichtingen.dvinrichtingnr,
  tbmilinrichtingen.dvinrichtingnaam,
  tbbouwvergunningen.dvdmscode,
 cast(case
               when tbbouwvergunningen.ddnaverlingetrokken <= fn_vandaag(0)     
                  then 'ingetrokken na verl.'
               when tbbouwvergunningen.ddgeldigtotmet < fn_vandaag(0)     
                  then 'verlopen'
               when tbbouwvergunningen.ddvervallen <= fn_vandaag(0)     
                  then 'vervallen'
               when tbbouwvergunningen.ddbesluitdatum is not null
               then
                  tbaardbesluit.dvomschrijving
               when tbbouwvergunningen.ddingetrokken is not null
               then
                   'ingetrokken tijdens beh.'
               else
                  'in behandeling'
			end as character varying(40)) as dvstatus,
   tbbouwvergunningen.ddnaverlingetrokken,
  tbbouwvergunningen.ddvervallen,
  tbbesluittypes.dvtype dvbesluittype,
  tbbouwvergunningen.dnkeybesluittypes,
  tbbouwvergunningen.dvintzaakcode,
  tbbouwvergunningen.dlisindmsverwijderd,
  tbbouwvergunningen.dnsoortplan as dnkeysoortplan
from
  tbbouwvergunningen
  inner join tbperceeladressen
  on(tbbouwvergunningen.dnkeyperceeladressen = tbperceeladressen.dnkey)
  left outer join tbmonumenten
  on(tbperceeladressen.dnkeymonumenten = tbmonumenten.dnkey)
  inner join tbopenbareruimte
  on(tbperceeladressen.dnkeyopenbruimte = tbopenbareruimte.dnkey)
  inner join tbwoonplaats
  on(tbopenbareruimte.dnkeywoonplaats = tbwoonplaats.dnkey)
  left outer join tbgroepvergunning
  on(tbbouwvergunningen.dnkeygroepvergunning = tbgroepvergunning.dnkey)
  left outer join tbdossierverblijf
  on(tbbouwvergunningen.dvcodedossierverblijf = tbdossierverblijf.dvcode)
  left outer join tbaardbesluit
  on(tbbouwvergunningen.dvcodeaardbesluit = tbaardbesluit.dvcode)  
  left outer join tbbouwwerkz
  on(tbbouwvergunningen.dnkeybouwwerkz = tbbouwwerkz.dnkey)
  left outer join tbsoortplan
  on(tbbouwvergunningen.dnsoortplan = tbsoortplan.dnkey)
  left outer join vwbplgeldend
  on(tbbouwvergunningen.dnkeygeldendbestemmingsplan = vwbplgeldend.dnkey)
  left outer join vwbplnieuw
  on(tbbouwvergunningen.dnkeynieuwbestemmingsplan = vwbplnieuw.dnkey)
  left outer join tbwelstandbeeldkwal
  on(tbbouwvergunningen.dnkeywelstbeeldkwal = tbwelstandbeeldkwal.dnkey)
  left outer join tbmilinrichtingen
  on(tbbouwvergunningen.dnkeymilinrichtingen = tbmilinrichtingen.dnkey)
  left outer join tbwelstandcriteria
  on(tbbouwvergunningen.dnkeywelstcriteria = tbwelstandcriteria.dnkey)
  left outer join tbbesluittypes
  on (tbbouwvergunningen.dnkeybesluittypes = tbbesluittypes.dnkey)
 ;
create or replace view vwfrmbouwvrijstgldbpl as
select  
  tbbouwvrijgeldbplnn.dnkeybouwvergunningen,  
  tbbouwvrijgeldbplnn.dnkeybplvrijst,  
  tbbestemmingsplannen.dvnummer,  
  tbbestemmingsplannen.dvnaam,  
  tbsrtbestplan.dvomschrijving dvsoortplan  
from  
  tbbouwvrijgeldbplnn
  inner join tbbestemmingsplannen
  on(tbbouwvrijgeldbplnn.dnkeybplvrijst = tbbestemmingsplannen.dnkey)  
  inner join tbsrtbestplan  
  on(tbbestemmingsplannen.dnkeysrtbestplan = tbsrtbestplan.dnkey)
;
create or replace view vwfrmbouwvrijstnwbpl as 
select
  tbbouwvrijnwbplnn.dnkeybouwvergunningen,
  tbbouwvrijnwbplnn.dnkeybplvrijst,  
  tbbestemmingsplannen.dvnummer,  
  tbbestemmingsplannen.dvnaam,  
  tbsrtbestplan.dvomschrijving dvsoortplan  
from  
  tbbouwvrijnwbplnn
inner join tbbestemmingsplannen
on(tbbouwvrijnwbplnn.dnkeybplvrijst = tbbestemmingsplannen.dnkey)
inner join tbsrtbestplan  
on(tbbestemmingsplannen.dnkeysrtbestplan = tbsrtbestplan.dnkey)
;
create or replace view vwhandhminmaxdeadline as
select
  max(a.dddeadline) ddtrmmaxdeadline,
  min(a.dddeadline) ddtrmmindeadline,
  a.dnkeyhandhavingen
from
  tbtermijnbewstappen a
  inner join tbhandhavingen b
  on(a.dnkeyhandhavingen = b.dnkey)
where
  b.ddblokkering is null
  and
  a. ddafgehandeld is null
  and
  a.dlingebruik = 'T'
  and
  (a.dvvoorwaardejn = 'N'
   or
   a.dnvoorwaarde > 0)
group by
  a.dnkeyhandhavingen
;
create or replace view vwfrmhandhkrittermijnen as
select
  tbtermijnbewstappen.dnkeyhandhavingen,
  cast(max(tbtermijnbewstappen.dvtermijnomschrijving) as character varying(40)) as dvkrittrmomschrijving,
  max(tbtermijnbewstappen.dddeadline) ddkrittrmdeadline,
  cast(max(tbtermijnbewstappen.dlfataal) as char(1)) as dlfataal,
  cast(max(tbtermijnbewstappen.dvcodemedewerkers) as char(5)) as dvcodemedewerkers,
  max(tbtermijnbewstappen.dnkey) dnkey,
  cast(max(tbprocedures.dvprocnaam) as character varying(40)) as ddkrittrmprocnaam
from
  tbtermijnbewstappen
  inner join tbprocedures
  on(tbtermijnbewstappen.dnkeyorgprocedure = tbprocedures.dnkey)
where
  tbtermijnbewstappen.dlingebruik = 'T'
  and
  tbtermijnbewstappen.dvvoorwaardejn = 'N'
  and
  (tbtermijnbewstappen.dddeadline,
   tbtermijnbewstappen.dnkeyhandhavingen)
  in (select
        ddtrmmindeadline,
		dnkeyhandhavingen
	  from
		vwhandhminmaxdeadline)
group by dnkeyhandhavingen   
;
create or replace view vwfrmhandhavingen as
select
  c.dnkey dnkeyhandhaving,
  c.dnkeyperceeladressen,
  c.ddverzoekdatum ddhandhverzoek,
  c.dvaanschrijfnr dvhandhnummer,
  c.dvomsbouwwerk dvhandhbouwwerk,
  c.dvinhoud dvhandhinhoud,
  c.dvlast dvhandhlast,
  c.dvoverwegingen dvhandhoverwegingen,
  c.ddeinddatum ddhandheind,
  c.dvdwangsomeenheid dvhandhdwsomeenheid,
  c.dfdwangsombedrag dnhandhdwsombedrag,
  c.dfdwangsommax dnhandhdwsommax,
  cast(null as character varying(1)) as dvhandhmemo,
  c.ddblokkering ddhandhblokkering,
  c.ddaanzegdatum ddhandhaanzeg,
  c.ddstartdwangsom ddhandhstartdwsom,
  c.dvcodehandhafronding,
  c.ddbestdwdatum ddhandhbestdwdatum,
  c.dfbestdwbedrag ddhandhbestdwbedrag,
  c.dvbestdwoms ddhandhbestdwoms,
  c.dvarchiefnr,
  c.dvcodeinspecteur,
  c.dvgedogeninhoud,
  c.dvgedogenfile,
  c.ddgedogenstart,
  c.ddgedogeneind,
  c.dnkeygroepvergunning,
  a.dvomschrijving dvinspecnaam,
  a.dvtelefoon dvinsptel,
  cast(null as character varying(1)) as dvactueleprocnaam,
  cast(null as character varying(1)) as dvactueleprocwetsart,
  e.dvomschrijving dvdossierverblijf,
  cast('n.v.t.' as char(6)) as dvbestuurlmaatregel,
  h.dvomschrijving dvafronding,
  i.dnkey dnovertredingkey,
  i.dvomschrijving dvovertreding,
  j.dvomschrijving dvwetbasis,
  f.dvomschrijving dvproject,
  n.dvopruimtenaam dvobjstraat,
  l.dvpostcode dvobjpostcode,
  o.dvwoonplaatsnaam dvobjplaats,
  l.dnstraatcode,
  n.dvextraopruimtenaam dvobjoffstraat,
  m.dvomschrijving dvobjmonument,
  g.dvomschrijving dvgroepvergunning,
  l.dnxcoordinaat,
  l.dnycoordinaat,
  l.dvbestemming dvobjbestemming,
  l.dvaanduidingbijhuisnummer dvobjaanduidhuisnr,
  l.dvhuisnummer dvobjhuisnummer,
  l.dvhuisnummertoevoeging dvobjhuisnrtoevoeg,
  l.dvhuisletter dvobjhuisletter,
  l.dvgmntecode dvobjgmntecode,
  l.dvsectie dvobjsectie,
  l.dvperceelnummer dvobjperceelnr,
  l.dvextraperceelnummers dvobjextrpercnrs,
  l.dvhuisnrinfo dvobjhuisnrinfo,
  l.dvidentificatiecode dvobjidentificatiecode,
  cast (n.dvopruimtenaam 
     || case when l.dvaanduidingbijhuisnummer is null then ' ' 
			 else ' ' || l.dvaanduidingbijhuisnummer || ' ' end 
	 || l.dvhuisnummer
     || ' '
     || case when l.dvhuisletter is null then '' else l.dvhuisletter end
     || case when rtrim (l.dvhuisnummertoevoeging) is null then '' 
			 else replace ('-' || l.dvhuisnummertoevoeging,'--',  '-') end 
	 || case when l.dvhuisnrinfo is null then '' else rtrim(' '||l.dvhuisnrinfo) end
	 as character varying(136)) as dvobjadres,
  c.dvdmscode,
  cast(case when c.ddonherroepelijk is not null then h.dvomschrijving
                  when c.ddvernietigd is not null then 'vernietigd'
	              when c.ddgeschorstvanaf is not null then 'geschorst'
	              when c.ddeinddatum is not null then h.dvomschrijving
                  else 'in behandeling'
  end as character varying(40)) as dvstatus,	   
  c.dnkeymilinrichtingen,
  k.dvinrichtingnaam,
  k.dvinrichtingnr,
  c.ddpublaanvrg,
  c.dvcodejurist,
  a.dvemail dvinspemail,
  a.dvvoorletters dvinspvoorletters,
  a.dvtussenvoegsel dvinsptussenvoegsel,
  a.dvgeslacht dvinspgeslacht,
  b.dvomschrijving dvjuristnaam,
  b.dvtelefoon dvjuristtel,
  b.dvemail dvjuristemail,
  b.dvvoorletters dvjuristvoorletters,
  b.dvtussenvoegsel dvjuristtussenvoegsel,
  b.dvgeslacht dvjuristgeslacht,
  p.dvtype dvbesluittype,
  c.dnkeybesluittypes,
  c.dvintzaakcode,
  c.dlisindmsverwijderd,
  c.ddfataledatum,
  c.dnkeysoorthhzaak,
  d.dvomschrijving dvsoortzaak,
  d.dvtypezaak,
  c.ddvernietigd,
  c.dvredenvernietiging,
  c.ddgeschorstvanaf,
  c.ddonherroepelijk,
  c.ddindieningbezwaar,
  c.ddverzvoorlvoorz,
  c.dlbezwpleitnota,
  c.ddbezwzitting,
  c.ddbezwplanbesluit,
  c.ddbezwbesluit,
  c.ddrbindieningberoep,
  c.ddrbberoepzitting,
  c.ddrbuitspraak,
  c.ddrvsindieningberoep,
  c.ddrvsberoepzitting,
  c.ddrvsuitspraak,
  c.dvrbprocnummer,
  c.dvrvsprocnummer,
  c.dvbezwaardbesl,
  c.dvrbaardbesl,
  c.dvrvsaardbesl,
  c.ddbeschverzonden,
  c.ddinwerking,
   cast(case when c.dvbezwaardbesl = 'N' then 'Niet ontvankelijk'
                  when c.dvbezwaardbesl = 'O' then 'Ongegrond'
				  when c.dvbezwaardbesl = 'G' then 'Gegrond'
	              else ''
				end as character varying(17)) as dvomsbezwaarbesl,
			 cast(case when c.dvrbaardbesl = 'N' then 'Niet ontvankelijk'
                  when c.dvrbaardbesl = 'O' then 'Ongegrond'
				  when c.dvrbaardbesl = 'G' then 'Gegrond'
	              else ''
				end as character varying(17)) as dvomsrbaardbesl,
			 cast(case when c.dvrvsaardbesl = 'N' then 'Niet ontvankelijk'
                  when c.dvrvsaardbesl = 'O' then 'Ongegrond'
				  when c.dvrvsaardbesl = 'G' then 'Gegrond'
	              else ''
				end as character varying(17)) as dvomsrvsaardbesl,
  c.dnkeyklachtvorm,
  q.dvvorm dvomsklachtvorm,
  c.dnkeyklachtoverlast,
  r.dvomsoverlast dvomsklachtoverlast,
  c.dnkeyklachtfreq,
  s.dvfrequentie dvomsklachtfreq,
  c.dnkeyklachternst,
  t.dvomsernst dvomsklachternst,
  u.dvkrittrmomschrijving,
  u.ddkrittrmdeadline,
  u.ddkrittrmprocnaam,
  c.dvvermveroorznaam,
  c.dvvermveroorzstraat,
  c.dvvermveroorzplaats
from
  tbhandhavingen c
  inner join tbsoorthhzaak d
  on (c.dnkeysoorthhzaak = d.dnkey)
  left outer join tbdossierverblijf e
  on (c.dvcodedossierverblijf = e.dvcode)
  left outer join tbhandhprojekten f
  on(c.dnkeyhandhprojekt = f.dnkey)  
  left outer join tbmedewerkers a
  on(c.dvcodeinspecteur = a.dvcode)
  left outer join tbmedewerkers b
  on(c.dvcodejurist = b.dvcode)
  left outer join tbgroepvergunning g
  on(c.dnkeygroepvergunning = g.dnkey)
  left outer join tbhandhafronding h
  on(c.dvcodehandhafronding = h.dvcode) 
  left outer join tbhandhovertreding i
  on(c.dnkeyhandhovertreding = i.dnkey)
  left outer join tbhandhwetbasis j
  on(i.dnkeyhandhwetbasis = j.dnkey)
  left outer join tbmilinrichtingen k
  on(c.dnkeymilinrichtingen = k.dnkey)
  inner join tbperceeladressen l
  on(c.dnkeyperceeladressen = l.dnkey)  
  left outer join tbmonumenten m
  on(l.dnkeymonumenten = m.dnkey)
  inner join tbopenbareruimte n
  on(l.dnkeyopenbruimte = n.dnkey)
  inner join tbwoonplaats o
  on(n.dnkeywoonplaats = o.dnkey)
  left outer join tbbesluittypes p
  on (c.dnkeybesluittypes = p.dnkey)
  left outer join tbklachtvorm q
  on (c.dnkeyklachtvorm = q.dnkey)
  left outer join tbklachtoverlast r
  on (c.dnkeyklachtoverlast = r.dnkey)
   left outer join tbklachtfreq s
  on (c.dnkeyklachtfreq = s.dnkey)
   left outer join tbklachternst t
  on (c.dnkeyklachternst = t.dnkey)
  left outer join vwfrmhandhkrittermijnen u
	on (c.dnkey = u.dnkeyhandhavingen)
  ;
create or replace view vwfrmhandhcontacten as
select
  tbhandhcontactennn.dnkeyhandhavingen,
  tbcontactadressen.dnkey dnkeycontactadressen,
  tbcontactadressen.dvvoorletters dvcontvoorletters,
  tbcontactadressen.dvvoorvoegsel dvcontvoorvoegsel,
  tbcontactadressen.dvroepnaam dvcontroepnaam,
  tbcontactadressen.dvachternaam dvcontachternaam,
  tbcontactadressen.dvbedrijfsnaam dvcontbedrijfsnaam,
  tbcontactadressen.dvbriefaanhef dbcontbriefaanhef,
  tbcontactadressen.dvwoonplaatsnaam dvcontwoonplaats,
  tbcontactadressen.dvstraatnaam dvcontstraatnaam,
  tbcontactadressen.dvaanduidingbijhuisnummer dvcontaanduidhuisnr,
  tbcontactadressen.dvhuisnummer dvconthuisnummer,
  tbcontactadressen.dvhuisnummertoevoeging dvconthuisnrtoevoeg,
  tbcontactadressen.dvhuisletter dvconthuisletter,
  tbcontactadressen.dvpostcode dvcontpostcode,
  tbcontactadressen.dvtelefoon dvconttelefoon,
  tbcontactadressen.dvfax dvcontfax,
  tbcontactadressen.dvemail dvcontemail,
  tbcontactadressen.dvdebiteurnr,
  tbcontactadressen.dvgeslacht,
  tbcontactadressen.dvbin dvcontbinnr,
  tbcontactadressen.dvsofinummer dvcontbsnnr,
  tbcontactadressen.dvveststraat,
  tbcontactadressen.dvvesthuisnr,
  tbcontactadressen.dvvesthuisletter,
  tbcontactadressen.dvvesthuistoev,
  tbcontactadressen.dvvestpc,
  tbcontactadressen.dvvestplaats,
  tbadressoort.dvcode dvcontadrescode,
  tbadressoort.dvomschrijving dvcontadressoort,
  tbadressoort.ddvervaldatum ddcontadresverval,
  cast(case when tbcontactadressen.dvgeslacht = 'M' then 'De heer' 
  when tbcontactadressen.dvgeslacht ='V' then'Mevrouw' 
  else 'De heer/mevrouw' end
  || case when tbcontactadressen.dvvoorletters is not null then rtrim(' '||tbcontactadressen.dvvoorletters) else '' end
  || case when tbcontactadressen.dvvoorvoegsel is not null then rtrim(' '||tbcontactadressen.dvvoorvoegsel) else '' end
  || case when tbcontactadressen.dvachternaam is not null then rtrim(' '||tbcontactadressen.dvachternaam) else '' end
  as character varying(238)) as dvconttav, 
  cast(tbcontactadressen.dvstraatnaam 
  || case when tbcontactadressen.dvaanduidingbijhuisnummer is not null then rtrim(' '||tbcontactadressen.dvaanduidingbijhuisnummer) else '' end
  || case when tbcontactadressen.dvhuisnummer is not null then rtrim(' '||tbcontactadressen.dvhuisnummer)else '' end
  || case when tbcontactadressen.dvhuisletter is not null then tbcontactadressen.dvhuisletter else '' end
  || case when rtrim(tbcontactadressen.dvhuisnummertoevoeging) is null then '' 
     else replace('-'||tbcontactadressen.dvhuisnummertoevoeging,'--','-')
     end as character varying(95)) as dvcontadres,
  tbcontactadressen.dvhandelsnaam dvconthandelsnaam,
   tbcontactadressen.dvgsm dvcontgsm,
        tbcontactadressen.dvcodenationaliteit,
  tbnationaliteiten.dvomschrijving dvnationaliteit,
  tbcontactadressen.dddatummutatie,
  tbcontactadressen.ddcontrolegba,
  tbcontactadressen.dvvestigingsnr,
  tbcontactadressen.dvdoopnamen,
  tbcontactadressen.ddgeboortedatum,
  tbcontactadressen.dvgeboorteplaats,
  tbcontactadressen.dvidentiteitbew,
  tbcontactadressen.ddvervaldatum
from
  tbhandhcontactennn
  inner join tbcontactadressen
  on(tbhandhcontactennn.dnkeycontactadressen = tbcontactadressen.dnkey)
  inner join tbadressoort
  on(tbhandhcontactennn.dvcodeadressoort = tbadressoort.dvcode)
   left outer join tbnationaliteiten
  on (tbcontactadressen.dvcodenationaliteit = tbnationaliteiten.dvcode)
;
create or replace view vwfrmhandhinvorderingen as
select
  tbhandhinvorderingen.dnkeyhandhavingen,
  tbhandhinvorderingen.dddatum,
  tbhandhinvorderingen.dfbedrag,
  tbhandhinvorderingen.dvomschrijving,
  tbhandhinvorderingen.ddafgehandeld,
  tbsoortinvordering.dvomschrijving dvsoortinvordering
from
  tbhandhinvorderingen
  inner join tbsoortinvordering
on(tbhandhinvorderingen.dnkeysoortinvordering = tbsoortinvordering.dnkey)
;
create or replace view vwfrminspecties as
select
  tbinspecties.dnkey dninspkey,
  tbinspecties.dnkeybouwvergunningen,
  tbinspecties.dnkeyovvergunningen,
  tbinspecties.dnkeyhorecavergunningen,
  tbinspecties.dnkeyhandhavingen,
  tbinspecties.dnkeymilinrichtingen,
  tbinspecties.dvcodemedewerkers dvinspcodeinsp,
  tbinspecties.dvomschrijving dvinspomschrijving,
  tbinspecties.ddcontrole ddinspcontrole,
  tbinspecties.ddrappel ddinsprappel,
  tbinspecties.dvmemo dvinspmemo,
  tbmedewerkers.dvomschrijving dvinspinspecteur,
  tbmedewerkers.dvtelefoon dvinsptelefoon,
  tbmedewerkers.dvemail dvinspemail,
  tbmedewerkers.dvvoorletters dvinspvoorl,
  tbmedewerkers.dvtussenvoegsel dvinsptussenv,
  tbmedewerkers.dvgeslacht dvinspgeslacht,
  tbinsponderwerpen.dvomschrijving dvonderwerp,
  tbinspaanleiding.dvaanleiding,
  tbinspaanleiding.dvcode dvcodeaanleiding,
  tbinspecties.dnkeyomgvergunningen,
  tbinspecties.ddrappel ddstarttraject,
  tbinspecties.ddcontrole ddeindetraject,
  tbinspecties.dvhyperlink,
  tbinspecties.dngrondslactw,
  tbinspecties.dngrondslverge,
  cast(case when tbinspecties.dngrondslactw is not null then tbtoestemmingen.dvwerkzaamheden 
       when tbinspecties.dngrondslverge is not null then tbmilwerkz.dvomschrijving || ' ' || tbmilvergunningen.dvpublbouwwerk
  else ''
  end as character varying(151)) as dvgrondslagoms,
  cast(case when tbinspecties.dngrondslactw is not null then tbomgvergunning.dvzaakcode  
       when tbinspecties.dngrondslverge is not null then tbmilvergunningen.dvvergnummer
  else ''
  end as character varying(20)) as dvgrondslagzaakcode,
  tbinspecties.ddexport,
  tbinspecties.dvexportcode,
  tbinspecties.ddextchklistreg,
  tbinspecties.ddextchkldossierid,
  tbinspecties.dvdmszaakcode,
  tbinspecties.dnkeyinspaanleiding,
  tbinspecties.dvextchkloms,
  tbinspecties.dvextchkl2oms,
  tbinspecties.dvextchkl3oms,
  tbinspecties.ddextchklist2reg,
  tbinspecties.ddextchklist3reg,
  tbinspecties.dvextchkdossier2id,
  tbinspecties.dvextchkdossier3id,
  tbinspecties.dvintzaakcode,
  cast(case when tbmedewerkers.dvvoorletters is null then '' 
			        else tbmedewerkers.dvvoorletters || ' ' end 
			|| case when tbmedewerkers.dvtussenvoegsel is null then '' 
			        else tbmedewerkers.dvtussenvoegsel || ' ' end 
            || tbmedewerkers.dvomschrijving as character varying(62)) as dvinspvoluit,
  tbinspecties.dnkeyinspresultaat,
  tbinspresultaat.dvomschrijving dvresultaatoms,
  tbinspecties.dlisindmsverwijderd  
from
  tbinspecties
  inner join tbmedewerkers
  on(tbinspecties.dvcodemedewerkers = tbmedewerkers.dvcode)
  left outer join tbinsponderwerpen
  on(tbinspecties.dnkeyinsponderwerpen = tbinsponderwerpen.dnkey)
  left outer join tbinspaanleiding
  on(tbinspecties.dnkeyinspaanleiding = tbinspaanleiding.dnkey)
  left outer join tbtoestemmingen
  on(tbinspecties.dngrondslactw = tbtoestemmingen.dnkey)
  left outer join tbomgvergunning
  on(tbtoestemmingen.dnkeyomgvergunningen = tbomgvergunning.dnkey)  
  left outer join tbmilvergunningen
  on(tbinspecties.dngrondslverge = tbmilvergunningen.dnkey)
  left outer join tbmilwerkz
  on tbmilvergunningen.dnkeymilwerkz = tbmilwerkz.dnkey
  left outer join tbinspresultaat
  on(tbinspecties.dnkeyinspresultaat = tbinspresultaat.dnkey)
  ;
create or replace view vwfrmlegesregels as  
select
  tblegesregels.dnkeybouwvergunningen,
  tblegesregels.dnkeyovvergunningen,
  tblegesregels.dnkeyhorecavergunningen,
  tblegesregels.dnkeyinfoaanvraag,
  tblegesregels.dlautoberekening dvlgrautoberekening,
  tblegesregels.dflegesbedrag dnlgrbedrag,
  tblegesregels.dvomschrijving dvlgromschrijving,
  tblegesregels.dvnotanummer dvlgrnotanr,
  tblegesregels.ddexportdatum ddlgrexport,
  tblegessoort.dvomschrijving dvlgrsoortleges,
  tblegessoort.dvreknr dvlgrreknr,
  tblegessoort.dlbonusmalus,
  tblegesregels.dnkeyomgvergunningen,
  tblegesregels.dnkeytoestemmingen,
  tbtoestemmingen.dvwerkzaamheden dvtoestemmingwerkzaamh,
  tbsrttoestemming.dvtoestemmingnaam,
  tblegesregels.dnlegesmoment,
  tblegessoort.dlopslagaanvul,
  tblegessoort.dlkortingdigi,
  tblegessoort.dlkortingaantact,
  tblegesregels.ddcontrole,
  tblegesregels.dvcodemwcontrole,
  tblegessoort.dvgemeentecode,
  tblegesregels.dnkey dnkeylegesregels,
  tblegessoort.dnkey dnkeylegessoort
from
  tblegesregels
  inner join 
  tblegessoort
  on(tblegesregels.dnkeylegessoort = tblegessoort.dnkey)
  left outer join tbtoestemmingen
  on(tblegesregels.dnkeytoestemmingen = tbtoestemmingen.dnkey) 
  left outer join tbsrttoestemming
  on(tbtoestemmingen.dnkeysrttoestemming =tbsrttoestemming.dnkey)
;
create or replace view vwfrmovafwgldbpl as 
select
  tbovafwgeldbpl.dnkeyovvergunningen,
  tbovafwgeldbpl.dvafwijking
from
  tbovafwgeldbpl 
;
create or replace view vwfrmovafwnwbpl as 
select
  tbovafwnwbpl.dnkeyovvergunningen,
  tbovafwnwbpl.dvafwijking
from
  tbovafwnwbpl 
;
create or replace view vwfrmovcontacten as
select
  tbovcontactennn.dnkeyovvergunningen,
  tbcontactadressen.dnkey dnkeycontactadressen,
  tbcontactadressen.dvvoorletters dvcontvoorletters,
  tbcontactadressen.dvvoorvoegsel dvcontvoorvoegsel,
  tbcontactadressen.dvroepnaam dvcontroepnaam,
  tbcontactadressen.dvachternaam dvcontachternaam,
  tbcontactadressen.dvbedrijfsnaam dvcontbedrijfsnaam,
  tbcontactadressen.dvbriefaanhef dbcontbriefaanhef,
  tbcontactadressen.dvwoonplaatsnaam dvcontwoonplaats,
  tbcontactadressen.dvstraatnaam dvcontstraatnaam,
  tbcontactadressen.dvaanduidingbijhuisnummer dvcontaanduidhuisnr,
  tbcontactadressen.dvhuisnummer dvconthuisnummer,
  tbcontactadressen.dvhuisnummertoevoeging dvconthuisnrtoevoeg,
  tbcontactadressen.dvhuisletter dvconthuisletter,
  tbcontactadressen.dvpostcode dvcontpostcode,
  tbcontactadressen.dvtelefoon dvconttelefoon,
  tbcontactadressen.dvfax dvcontfax,
  tbcontactadressen.dvemail dvcontemail,
  tbcontactadressen.dvdebiteurnr,
  tbcontactadressen.dvgeslacht,
  tbcontactadressen.dvbin dvcontbinnr,
  tbcontactadressen.dvsofinummer dvcontbsnnr,
  tbcontactadressen.dvveststraat,
  tbcontactadressen.dvvesthuisnr,
  tbcontactadressen.dvvesthuisletter,
  tbcontactadressen.dvvesthuistoev,
  tbcontactadressen.dvvestpc,
  tbcontactadressen.dvvestplaats,
  tbadressoort.dvcode dvcontadrescode,
  tbadressoort.dvomschrijving dvcontadressoort,
  tbadressoort.ddvervaldatum ddcontadresverval,
  cast(case when tbcontactadressen.dvgeslacht = 'M' then 'De heer' 
  when tbcontactadressen.dvgeslacht ='V' then'Mevrouw' 
  else 'De heer/mevrouw' end
  || case when tbcontactadressen.dvvoorletters is not null then rtrim(' '||tbcontactadressen.dvvoorletters) else '' end
  || case when tbcontactadressen.dvvoorvoegsel is not null then rtrim(' '||tbcontactadressen.dvvoorvoegsel) else '' end
  || case when tbcontactadressen.dvachternaam is not null then rtrim(' '||tbcontactadressen.dvachternaam) else '' end
  as character varying(238)) as dvconttav,   
  cast(tbcontactadressen.dvstraatnaam 
  || case when tbcontactadressen.dvaanduidingbijhuisnummer is not null then rtrim(' '||tbcontactadressen.dvaanduidingbijhuisnummer) else '' end
  || case when tbcontactadressen.dvhuisnummer is not null then rtrim(' '||tbcontactadressen.dvhuisnummer)else '' end
  || case when tbcontactadressen.dvhuisletter is not null then tbcontactadressen.dvhuisletter else '' end
  || case when rtrim(tbcontactadressen.dvhuisnummertoevoeging) is null then '' 
     else replace('-'||tbcontactadressen.dvhuisnummertoevoeging,'--','-')
     end as character varying(95)) as dvcontadres,
  tbcontactadressen.dvhandelsnaam dvconthandelsnaam,
   tbcontactadressen.dvgsm dvcontgsm,
      tbcontactadressen.dvcodenationaliteit,
  tbnationaliteiten.dvomschrijving dvnationaliteit,
  tbcontactadressen.dddatummutatie,
  tbcontactadressen.ddcontrolegba,
  tbcontactadressen.dvvestigingsnr,
  tbcontactadressen.dvdoopnamen,
  tbcontactadressen.ddgeboortedatum,
  tbcontactadressen.dvgeboorteplaats,
  tbcontactadressen.dvidentiteitbew,
  tbcontactadressen.ddvervaldatum
  from
  tbovcontactennn
  inner join tbcontactadressen
  on(tbovcontactennn.dnkeycontactadressen = tbcontactadressen.dnkey)
  inner join tbadressoort
  on(tbovcontactennn.dvcodeadressoort = tbadressoort.dvcode)
  left outer join tbnationaliteiten
  on (tbcontactadressen.dvcodenationaliteit = tbnationaliteiten.dvcode)
;
create or replace view vwovminmaxdeadline as
select
  max(a.dddeadline) ddtrmmaxdeadline,
  min(a.dddeadline) ddtrmmindeadline,
  a.dnkeyovvergunningen
from
  tbtermijnbewstappen a
  inner join tbovvergunningen b
  on(a.dnkeyovvergunningen = b.dnkey)
where
  b.ddblokkering is null
  and
  a. ddafgehandeld is null
  and
  a.dlingebruik = 'T'
  and
  (a.dvvoorwaardejn = 'N'
   or
   a.dnvoorwaarde > 0)
group by
  a.dnkeyovvergunningen
;
create or replace view vwfrmovkrittermijnen as
select
  tbtermijnbewstappen.dnkeyovvergunningen,
  cast(max(tbtermijnbewstappen.dvtermijnomschrijving) as character varying(40)) as dvkrittrmomschrijving,
  max(tbtermijnbewstappen.dddeadline) ddkrittrmdeadline,
  cast(max(tbtermijnbewstappen.dlfataal) as char(1)) as dlfataal,
  cast(max(tbtermijnbewstappen.dvcodemedewerkers) as char(5)) as dvcodemedewerkers,
  max(tbtermijnbewstappen.dnkey) dnkey,
  cast(max(tbprocedures.dvprocnaam) as character varying(40)) as ddkrittrmprocnaam
from
  tbtermijnbewstappen
  inner join tbprocedures
  on(tbtermijnbewstappen.dnkeyorgprocedure = tbprocedures.dnkey)
where
  tbtermijnbewstappen.dlingebruik = 'T'
  and
  tbtermijnbewstappen.dvvoorwaardejn = 'N'
  and
  (tbtermijnbewstappen.dddeadline,
   tbtermijnbewstappen.dnkeyovvergunningen)
  in (select
        ddtrmmindeadline,
		dnkeyovvergunningen
	  from
		vwovminmaxdeadline)
  group by dnkeyovvergunningen     
;
create or replace view vwfrmovvergunningen as
select
  tbovvergunningen.dnkey dnkeyovvergunning,
  tbovvergunningen.dvvergunningsnr dvovvergunningsnr,
  tbovvergunningen.ddontvangstdatum ddovontvangst,
  tbovvergunningen.dvomschrijving dvovomschrijving,
  tbovvergunningen.ddmeetdatum ddovmeet,
  tbovvergunningen.dvredenmeetdatum dvovredenmeet,
  tbovvergunningen.ddbesluitdatum ddovbesluit,
  tbovvergunningen.ddverzenddatum ddovverzend,
  tbovvergunningen.ddstartuitvoering ddovstartuitv,
  tbovvergunningen.ddgereeddatum ddovgereed,
  tbovvergunningen.ddingetrokken ddovingetrokken,
  tbovvergunningen.dvredenintrekking dvovredenintr,
  cast(null as character varying(1)) as dvovmemo,
  tbovvergunningen.ddlegesverzonden ddovlegesverz,
  tbovvergunningen.dfvastgesteldekosten dnovvastgkost,
  tbovvergunningen.dfherzienekosten dnovherzkost,
  tbovvergunningen.dlgeldendbplakkoord dvovgldbplakkoord,
  tbovvergunningen.dlnieuwbplakkoord dvovnwbplakkoord,
  tbovvergunningen.ddblokkering ddovblokkering,
  tbovvergunningen.dvinhoud dvovinhoud,
  tbovvergunningen.dvtekst1 dvovtekst1,
  tbovvergunningen.ddpublaanvrg,
  tbovvergunningen.ddpublproc,
  tbovvergunningen.dvpublbouwwerk,
  tbovvergunningen.dvcbsnummer,
  tbovvergunningen.dnkeyperceeladressen,
  tbovvergunningen.dvcodeaardbesluit,
  tbovvergunningen.dvarchiefnr,
  tbovvergunningen.ddfataledatum,
  tbovvergunningen.dvwelstomschrijving,
  tbovvergunningen.dfberkostenincbtw,
  tbovvergunningen.ddgeldigtotmet,
  tbovvergunningen.ddinwerking,
  cast(null as character varying(1)) as dvactueleprocnaam,
  cast(null as character varying(1)) as dvactueleprocwetsart,
  tbgroepvergunning.dvomschrijving dvgroepvergunning,
  tbgroepvergunning.dvomgevingsnr dvgroepomgnr,
  tbdossierverblijf.dvomschrijving dvdossierverblijf,
  tbaardbesluit.dvomschrijving dvaardbesluit,
  tbaardbesluit.dlverleend,
  tbovwerkz.dvomschrijving dvovwerkzaamheid,
  tbsoortovverg.dvomschrijving dvsoortovvergunning,
  vwbplgeldend.dvnaam dvgldbplnaam,
  vwbplgeldend.dvnummer dvgldbplnummer,
  vwbplgeldend.dvbestemming dvgldbplbestemming,
  vwbplgeldend.dvomschrijving dvgldbplomschrijving,
  vwbplgeldend.dlinvoorbereiding dvgldbplinvoorb,
  vwbplnieuw.dvnaam dvnwbplnaam,
  vwbplnieuw.dvnummer dvnwbplnummer,
  vwbplnieuw.dvbestemming dvnwbplbestemming,
  vwbplnieuw.dvomschrijving dvnwbplomschrijving,
  vwbplnieuw.dlinvoorbereiding dvnwbplinvoorb,
  tbopenbareruimte.dvopruimtenaam dvobjstraat,
  tbperceeladressen.dvpostcode dvobjpostcode,
  tbwoonplaats.dvwoonplaatsnaam dvobjplaats,
  tbperceeladressen.dnstraatcode,
  tbopenbareruimte.dvextraopruimtenaam dvobjoffstraat,
  tbmonumenten.dvomschrijving dvobjmonument,
  tbwelstandcriteria.dvgebied dvwelstandgebied,
  tbwelstandcriteria.dvcriteria dvwelstandcriteria,
  tbwelstandbeeldkwal.dvomschrijving dvwelstandbeeldkwal,
  tbperceeladressen.dnxcoordinaat,
  tbperceeladressen.dnycoordinaat,
  tbperceeladressen.dvbestemming dbobjbestemming,
  tbperceeladressen.dvaanduidingbijhuisnummer dvobjaanduidhuisnr,
  tbperceeladressen.dvhuisnummer dvobjhuisnummer,
  tbperceeladressen.dvhuisnummertoevoeging dvobjhuisnrtoevoeg,
  tbperceeladressen.dvhuisletter dvobjhuisletter,
  tbperceeladressen.dvgmntecode dvobjgmntecode,
  tbperceeladressen.dvsectie dvobjsectie,
  tbperceeladressen.dvperceelnummer dvobjperceelnr,
  tbperceeladressen.dvextraperceelnummers dvobjextrpercnrs,
  tbperceeladressen.dvhuisnrinfo dvobjhuisnrinfo,
  tbperceeladressen.dvidentificatiecode dvobjidentificatiecode,
  cast (tbopenbareruimte.dvopruimtenaam 
     || case when tbperceeladressen.dvaanduidingbijhuisnummer is null then ' ' 
			 else ' ' || tbperceeladressen.dvaanduidingbijhuisnummer || ' ' end 
	 || tbperceeladressen.dvhuisnummer
     || ' '
     || case when tbperceeladressen.dvhuisletter is null then '' else tbperceeladressen.dvhuisletter end
     || case when rtrim (tbperceeladressen.dvhuisnummertoevoeging) is null then '' 
			 else replace ('-' || tbperceeladressen.dvhuisnummertoevoeging,'--',  '-') end 
	 || case when tbperceeladressen.dvhuisnrinfo is null then '' else rtrim(' '||tbperceeladressen.dvhuisnrinfo) end
	 as character varying(136)) as dvobjadres,
  tbovvergunningen.dvdmscode,
  tbmilinrichtingen.dvinrichtingnr,
  tbmilinrichtingen.dvinrichtingnaam,
  cast(case when ddonherroepelijk is not null then tbaardbesluit.dvomschrijving
                  when ddvernietigd is not null then 'vernietigd'
	              when ddgeschorstvanaf is not null then 'geschorst'
               when tbovvergunningen.ddnaverlingetrokken <= fn_vandaag(0)	  
			      then 'ingetrokken na verl.'
			   when tbovvergunningen.ddgeldigtotmet < fn_vandaag(0)	  
			      then 'verlopen'
			   when tbovvergunningen.ddvervallen <= fn_vandaag(0)	  
			      then 'vervallen'
               when tbovvergunningen.ddbesluitdatum is not null
               then
                  tbaardbesluit.dvomschrijving
               when tbovvergunningen.ddingetrokken is not null
               then
                   'ingetrokken tijdens beh.'
               else
                  'in behandeling'
  end as character varying(40)) as dvstatus,
 tbovvergunningen.ddvervallen,
 tbovvergunningen.ddnaverlingetrokken,
 tbbesluittypes.dvtype dvbesluittype,
 tbovvergunningen.dnkeybesluittypes,
 tbovvergunningen.dvintzaakcode,
 tbovvergunningen.dnkeymilinrichtingen,
 tbovvergunningen.dlisindmsverwijderd,
  tbovvergunningen.ddvernietigd,
  tbovvergunningen.dvredenvernietiging,
  tbovvergunningen.ddgeschorstvanaf,
  tbovvergunningen.ddonherroepelijk,
  tbovvergunningen.ddindieningbezwaar,
  tbovvergunningen.ddverzvoorlvoorz,
  tbovvergunningen.dlbezwpleitnota,
  tbovvergunningen.ddbezwzitting,
  tbovvergunningen.ddbezwplanbesluit,
  tbovvergunningen.ddbezwbesluit,
  tbovvergunningen.ddrbindieningberoep,
  tbovvergunningen.ddrbberoepzitting,
  tbovvergunningen.ddrbuitspraak,
  tbovvergunningen.ddrvsindieningberoep,
  tbovvergunningen.ddrvsberoepzitting,
  tbovvergunningen.ddrvsuitspraak,
  tbovvergunningen.dvrbprocnummer,
  tbovvergunningen.dvrvsprocnummer,
  tbovvergunningen.dvbezwaardbesl,
  tbovvergunningen.dvrbaardbesl,
  tbovvergunningen.dvrvsaardbesl,
  tbovvergunningen.ddbeschverzonden,
  tbovvergunningen.dvcodesoortovverg,
   cast(case when dvbezwaardbesl = 'N' then 'Niet ontvankelijk'
                  when dvbezwaardbesl = 'O' then 'Ongegrond'
				  when dvbezwaardbesl = 'G' then 'Gegrond'
	              else ''
				end as character varying(17)) as dvomsbezwaarbesl,
			 cast(case when dvrbaardbesl = 'N' then 'Niet ontvankelijk'
                  when dvrbaardbesl = 'O' then 'Ongegrond'
				  when dvrbaardbesl = 'G' then 'Gegrond'
	              else ''
				end as character varying(17)) as dvomsrbaardbesl,
			 cast(case when dvrvsaardbesl = 'N' then 'Niet ontvankelijk'
                  when dvrvsaardbesl = 'O' then 'Ongegrond'
				  when dvrvsaardbesl = 'G' then 'Gegrond'
	              else ''
				end as character varying(17)) as dvomsrvsaardbesl,
 vwfrmovkrittermijnen.dvkrittrmomschrijving,
 vwfrmovkrittermijnen.ddkrittrmdeadline,
 vwfrmovkrittermijnen.ddkrittrmprocnaam
from
  tbovvergunningen
  left outer join tbgroepvergunning
  on(tbovvergunningen.dnkeytbgroepvergunning = tbgroepvergunning.dnkey)
  left outer join tbdossierverblijf
  on(tbovvergunningen.dvcodedossierverblijf = tbdossierverblijf.dvcode)
  left outer join tbaardbesluit
  on(tbovvergunningen.dvcodeaardbesluit = tbaardbesluit.dvcode)
  left outer join tbovwerkz
  on(tbovvergunningen.dnkeyovwerkz = tbovwerkz.dnkey)
  left outer join tbsoortovverg
  on(tbovvergunningen.dvcodesoortovverg = tbsoortovverg.dvcode)
  left outer join vwbplgeldend
  on(tbovvergunningen.dnkeygeldendbestemmingsplan = vwbplgeldend.dnkey)
  left outer join vwbplnieuw
  on(tbovvergunningen.dnkeynieuwbestemmingsplan = vwbplnieuw.dnkey)
  inner join tbperceeladressen
  on(tbovvergunningen.dnkeyperceeladressen = tbperceeladressen.dnkey)
  inner join tbopenbareruimte
  on(tbperceeladressen.dnkeyopenbruimte = tbopenbareruimte.dnkey)
  inner join tbwoonplaats
  on(tbopenbareruimte.dnkeywoonplaats = tbwoonplaats.dnkey)
  left outer join tbmonumenten
  on(tbperceeladressen.dnkeymonumenten = tbmonumenten.dnkey)
  left outer join tbmilinrichtingen
  on(tbovvergunningen.dnkeymilinrichtingen = tbmilinrichtingen.dnkey)
  left outer join tbwelstandcriteria
  on(tbovvergunningen.dnkeywelstcriteria = tbwelstandcriteria.dnkey)
  left outer join tbwelstandbeeldkwal
  on(tbovvergunningen.dnkeywelstbeeldkwal = tbwelstandbeeldkwal.dnkey)
  left outer join tbbesluittypes
  on (tbovvergunningen.dnkeybesluittypes = tbbesluittypes.dnkey)
  left outer join vwfrmovkrittermijnen
  on (tbovvergunningen.dnkey = vwfrmovkrittermijnen.dnkeyovvergunningen)			
  ;
create or replace view vwfrmovvrijstgldbpl as 
select
  tbovvrijgeldbplnn.dnkeyovvergunningen,
  tbovvrijgeldbplnn.dnkeybplvrijst,  
  tbbestemmingsplannen.dvnummer,  
  tbbestemmingsplannen.dvnaam,  
  tbsrtbestplan.dvomschrijving dvsoortplan  
from  
  tbovvrijgeldbplnn
  inner join tbbestemmingsplannen
  on(tbovvrijgeldbplnn.dnkeybplvrijst = tbbestemmingsplannen.dnkey)
  inner join tbsrtbestplan  
  on(tbbestemmingsplannen.dnkeysrtbestplan = tbsrtbestplan.dnkey)
;
create or replace view vwfrmovvrijstnwbpl as 
select
  tbovvrijnwbplnn.dnkeyovvergunningen,
  tbovvrijnwbplnn.dnkeybplvrijst,  
  tbbestemmingsplannen.dvnummer,  
  tbbestemmingsplannen.dvnaam,  
  tbsrtbestplan.dvomschrijving dvsoortplan  
from  
  tbovvrijnwbplnn
inner join tbbestemmingsplannen
on(  tbovvrijnwbplnn.dnkeybplvrijst = tbbestemmingsplannen.dnkey)
inner join tbsrtbestplan  
on(tbbestemmingsplannen.dnkeysrtbestplan = tbsrtbestplan.dnkey) 
;
create or replace view vwfrmtermijnbewstappen as
select
  a.dnkeybouwvergunningen,
  a.dnkeyovvergunningen,
  a.dnkeyhandhavingen,
  a.dvtermijnomschrijving dvtrmomschrijving,
  a.dvvoorwaardeomschr dvtrmvoorwoms,
  a.dvvoorwaardejn dvtrmvoorwjn,
  a.dddeadline ddtrmdeadline,
  a.ddafgehandeld ddtrmafgehandeld,
  a.dnvolgnr dntrmvolgnr,
  a.dlingebruik,
  a.dldeadlaanpasbaar,
  a.dltermaanpasbaar,
  a.dnkeyhorecavergunningen,
  a.dnkeybestemmingsplannen,
  a.dnkeyinfoaanvraag,
  a.dnkeymilvergunningen,
  a.dlfataal,
  a.dvcodemedewerkers,
  cast(null as character varying(1)) as dvaanhmodule,
  cast(null as character varying(1)) as dnaanhkeyverg,
  b.dvprocnaam dvtrmprocedurenaam,
  a.dnkeyomgvergunningen,
  a.dlontvankelijkheid,
  a.dvcodevoorwie,
  a.dnkey,
   cast(case when c.dvvoorletters is null then '' 
			        else c.dvvoorletters || ' ' end 
			|| case when c.dvtussenvoegsel is null then '' 
			        else c.dvtussenvoegsel || ' ' end 
            || c.dvomschrijving as character varying(62)) as dvmwafgvoluit,
	cast(case when d.dvvoorletters is null then '' 
			        else d.dvvoorletters || ' ' end 
			|| case when d.dvtussenvoegsel is null then '' 
			        else d.dvtussenvoegsel || ' ' end 
            || d.dvomschrijving as character varying(62)) as dvmwplanvoluit,
  a.dlomsaanpasbaar,
  a.dleindonderfataal,
   cast(case when a.ddafgehandeld is null and a.dddeadline < fn_vandaag(0) and dvvoorwaardejn = 'N' then 'rood'
       when a.ddafgehandeld is null and a.dddeadline >= fn_vandaag(0) and a.dddeadline <= fn_vandaag(2) and dvvoorwaardejn = 'N' then 'oranje'
	   when a.ddafgehandeld is null and a.dddeadline > fn_vandaag(2) and dvvoorwaardejn = 'N' then 'wit'
	   when a.ddafgehandeld is not null and a.dvvoorwaardejn = 'N' then 'groen'
       else null
	   end as character varying(6)) as dvprocesgevaar
from
  tbtermijnbewstappen a
  inner join tbprocedures b
  on(a.dnkeyorgprocedure = b.dnkey)
  left outer join tbmedewerkers c
    on (a.dvcodemedewerkers = c.dvcode)
	 left outer join tbmedewerkers d
    on (a.dvcodevoorwie = d.dvcode)
;
create or replace view vwfrmbouweindtermijnen as
select
  tbtermijnbewstappen.dnkeybouwvergunningen,
  tbtermijnbewstappen.dvtermijnomschrijving dveindtrmomschrijving,
  tbtermijnbewstappen.dddeadline ddeindtrmdeadline,
  tbtermijnbewstappen.dlfataal,
  tbtermijnbewstappen.dvcodemedewerkers,
  tbprocedures.dvprocnaam ddeindtrmprocnaam
from
  tbtermijnbewstappen
  inner join tbprocedures
  on(tbtermijnbewstappen.dnkeyorgprocedure = tbprocedures.dnkey)
where
  tbtermijnbewstappen.dlingebruik = 'T'
  and
  (tbtermijnbewstappen.dddeadline, tbtermijnbewstappen.dnkeybouwvergunningen)
  in
  (select
     ddtrmmaxdeadline,
	 dnkeybouwvergunningen
   from
     vwbouwminmaxdeadline)
;
create or replace view vwfrmhandheindtermijnen as 
select
  tbtermijnbewstappen.dnkeyhandhavingen,
  tbtermijnbewstappen.dvtermijnomschrijving dveindtrmomschrijving,
  tbtermijnbewstappen.dddeadline ddeindtrmdeadline,
  tbtermijnbewstappen.dlfataal,
  tbtermijnbewstappen.dvcodemedewerkers,
  tbprocedures.dvprocnaam ddeindtrmprocnaam
from
  tbtermijnbewstappen
  inner join tbprocedures
  on(tbtermijnbewstappen.dnkeyorgprocedure = tbprocedures.dnkey)
where
  tbtermijnbewstappen.dlingebruik = 'T'
  and
  (tbtermijnbewstappen.dddeadline, tbtermijnbewstappen.dnkeyhandhavingen) 
  in (select 
        ddtrmmaxdeadline,
		dnkeyhandhavingen 
	  from 
	    vwhandhminmaxdeadline) 
;
create or replace view vwfrmoveindtermijnen as
select
  tbtermijnbewstappen.dnkeyovvergunningen,
  tbtermijnbewstappen.dvtermijnomschrijving dveindtrmomschrijving,
  tbtermijnbewstappen.dddeadline ddeindtrmdeadline,
  tbtermijnbewstappen.dlfataal,
  tbtermijnbewstappen.dvcodemedewerkers,
  tbprocedures.dvprocnaam ddeindtrmprocnaam
from
  tbtermijnbewstappen
  inner join tbprocedures
  on(tbtermijnbewstappen.dnkeyorgprocedure = tbprocedures.dnkey)
  where
  tbtermijnbewstappen.dlingebruik = 'T'
  and
  (tbtermijnbewstappen.dddeadline,
   tbtermijnbewstappen.dnkeyovvergunningen)
  in (select
        ddtrmmaxdeadline,
		dnkeyovvergunningen
	  from
		vwovminmaxdeadline)
;
create or replace view vwhandhcontverg as
select
  tbhandhavingen.dnkey,
  tbhandhavingen.dnkeyperceeladressen,
  tbhandhavingen.dvomsbouwwerk,
  tbhandhavingen.dvcodehandhafronding,
  tbhandhavingen.dvcodedossierverblijf,
  tbhandhavingen.dvinhoud,
  tbhandhavingen.ddaanzegdatum,
  tbhandhavingen.ddeinddatum,
  tbhandhavingen.dvaanschrijfnr,
  tbhandhavingen.dvdwangsomeenheid,
  tbhandhavingen.dfdwangsombedrag,
  tbhandhavingen.dfdwangsommax,
  tbhandhavingen.ddblokkering,
  tbhandhavingen.ddverzoekdatum,
  tbhandhavingen.dnkeyhandhovertreding,
  tbhandhavingen.dvlast,
  tbhandhavingen.dvoverwegingen,
  tbhandhavingen.ddstartdwangsom,
  tbhandhavingen.dvmemo,
  tbhandhavingen.ddbestdwdatum,
  tbhandhavingen.dfbestdwbedrag,
  tbhandhavingen.dvbestdwoms,
  tbhandhavingen.dvarchiefnr,
  tbperceeladressen.dnstraatcode dnobjstraatcode,
  tbperceeladressen.ddvervaldatum ddpercvervaldatum,
  tbperceeladressen.dnkey dnperceelkey,
  tbperceeladressen.dvperceelnummer,
  tbperceeladressen.dvextraperceelnummers,
  tbperceeladressen.dvhuisnummer dvobjhuisnummer,
  tbperceeladressen.dvhuisletter dvobjhuisletter,
  tbperceeladressen.dvhuisnummertoevoeging dvobjhuisnrtoevoeg,
  tbperceeladressen.dvaanduidingbijhuisnummer dvobjaanduidhuisnr,
  tbperceeladressen.dvgmntecode dvobjgmntecode,
  tbperceeladressen.dvsectie,
  tbperceeladressen.dvhuisnrinfo dvobjhuisnrinfo,
  cast(case when tbperceeladressen.dvaanduidingbijhuisnummer is null then '' 
			        else tbperceeladressen.dvaanduidingbijhuisnummer || ' ' end 
			|| tbperceeladressen.dvhuisnummer
            || ' '
            || case when tbperceeladressen.dvhuisletter is null then '' else tbperceeladressen.dvhuisletter end
            || case when rtrim (tbperceeladressen.dvhuisnummertoevoeging) is null then '' 
			   else replace ('-' || tbperceeladressen.dvhuisnummertoevoeging,'--',  '-') 
			   end as character varying(15)) as dvobjhuisnr, 
  tbopenbareruimte.dvopruimtenaam dvobjstraat,
  tbperceeladressen.dvpostcode dvobjpostcode,
  tbwoonplaats.dvwoonplaatsnaam dvobjplaats,
  tbperceeladressen.dncbs_buurt dnobjcbs_buurt,
  tbperceeladressen.dvoneven,
  tbhandhcontactennn.dnkeycontactadressen,
  tbhandhcontactennn.dnkeyhandhavingen,
  tbhandhcontactennn.dvcodeadressoort
from
  tbhandhavingen
  inner join tbperceeladressen
  on (tbhandhavingen.dnkeyperceeladressen = tbperceeladressen.dnkey)
  inner join tbopenbareruimte
  on (tbperceeladressen.dnkeyopenbruimte = tbopenbareruimte.dnkey)
  inner join tbwoonplaats
  on(tbopenbareruimte.dnkeywoonplaats = tbwoonplaats.dnkey)
  inner join tbhandhcontactennn
  on(tbhandhavingen.dnkey = tbhandhcontactennn.dnkeyhandhavingen)
;
create or replace view vwovcontverg as
select
  tbovvergunningen.dnkey,
  tbovvergunningen.dnkeyperceeladressen,
  tbovvergunningen.dvcodedossierverblijf,
  tbovvergunningen.dvcodesoortovverg,
  tbovvergunningen.dnkeytbgroepvergunning,
  tbovvergunningen.dnkeygeldendbestemmingsplan,
  tbovvergunningen.dvcodeaardbesluit,
  tbovvergunningen.dnkeynieuwbestemmingsplan,
  tbovvergunningen.dnkeyovwerkz,
  tbovvergunningen.dvvergunningsnr,
  tbovvergunningen.dvomschrijving,
  tbovvergunningen.ddontvangstdatum,
  tbovvergunningen.ddmeetdatum,
  tbovvergunningen.dvredenmeetdatum,
  tbovvergunningen.ddbesluitdatum,
  tbovvergunningen.ddverzenddatum,
  tbovvergunningen.ddstartuitvoering,
  tbovvergunningen.ddgereeddatum,
  tbovvergunningen.ddingetrokken,
  tbovvergunningen.ddlegesverzonden,
  tbovvergunningen.dvredenintrekking,
  tbovvergunningen.dlgeldendbplakkoord,
  tbovvergunningen.dlnieuwbplakkoord,
  tbovvergunningen.dfvastgesteldekosten,
  tbovvergunningen.ddblokkering,
  tbovvergunningen.dvtekst1,
  tbovvergunningen.dvinhoud,
  tbovvergunningen.ddpublaanvrg,
  tbovvergunningen.ddpublproc,
  tbovvergunningen.dvpublbouwwerk,
  tbovvergunningen.dvcbsnummer,
  tbovvergunningen.dvarchiefnr,
  tbovvergunningen.dvmemo,
  tbovvergunningen.ddfataledatum,
  tbperceeladressen.dnstraatcode dnobjstraatcode,
  tbperceeladressen.ddvervaldatum ddpercvervaldatum,
  tbperceeladressen.dnkey dnperceelkey,
  tbperceeladressen.dvperceelnummer,
  tbperceeladressen.dvextraperceelnummers,
  tbperceeladressen.dvhuisnummer dvobjhuisnummer,
  tbperceeladressen.dvhuisletter dvobjhuisletter,
  tbperceeladressen.dvhuisnummertoevoeging dvobjhuisnrtoevoeg,
  tbperceeladressen.dvaanduidingbijhuisnummer dvobjaanduidhuisnr,
  tbperceeladressen.dvgmntecode dvobjgmntecode,
  tbperceeladressen.dvsectie,
  tbperceeladressen.dvhuisnrinfo dvobjhuisnrinfo,
  cast(case when tbperceeladressen.dvaanduidingbijhuisnummer is null then '' 
			        else tbperceeladressen.dvaanduidingbijhuisnummer || ' ' end 
			|| tbperceeladressen.dvhuisnummer
            || ' '
            || case when tbperceeladressen.dvhuisletter is null then '' else tbperceeladressen.dvhuisletter end
            || case when rtrim (tbperceeladressen.dvhuisnummertoevoeging) is null then '' 
			   else replace ('-' || tbperceeladressen.dvhuisnummertoevoeging,'--',  '-') 
			   end as character varying(15)) as dvobjhuisnr,
  tbopenbareruimte.dvopruimtenaam dvobjstraat,
  tbperceeladressen.dvpostcode dvobjpostcode,
  tbwoonplaats.dvwoonplaatsnaam dvobjplaats,
  tbperceeladressen.dncbs_buurt dnobjcbs_buurt,
  tbperceeladressen.dvoneven,
  tbovcontactennn.dnkeycontactadressen,
  tbovcontactennn.dnkeyovvergunningen,
  tbovcontactennn.dvcodeadressoort,
  tbsoortovverg.dnicoon
   from tbovvergunningen
          inner join tbperceeladressen
             on (tbovvergunningen.dnkeyperceeladressen = tbperceeladressen.dnkey)
          inner join tbopenbareruimte
             on (tbperceeladressen.dnkeyopenbruimte = tbopenbareruimte.dnkey)
          inner join tbwoonplaats
             on (tbopenbareruimte.dnkeywoonplaats = tbwoonplaats.dnkey)
          inner join tbovcontactennn
            on (tbovvergunningen.dnkey = tbovcontactennn.dnkeyovvergunningen)
		  inner join tbsoortovverg
		    on (tbovvergunningen.dvcodesoortovverg = tbsoortovverg.dvcode)
;
create or replace view vwfrmbouwcontlijst as
select
  tbbouwvergunningen.dnkey dnkeybouwverg,
  tbbouwvergunningen.dvbouwnr,
  tbbouwvergunningen.ddontvangstdatum ddbouwontv,
  tbbouwvergunningen.ddmeetdatum ddbouwmeet,
  tbbouwvergunningen.dvredenmeetdatum dvbouwredenmeet,
  tbbouwvergunningen.ddbesluitdatum ddbouwbesluit,
  tbbouwvergunningen.ddverzenddatum ddbouwverzend,
  tbbouwvergunningen.ddstartuitvoering ddbouwstartuitv,
  tbbouwvergunningen.ddgereeddatum ddbouwgereed,
  tbbouwvergunningen.ddingetrokken ddbouwingetrokken,
  tbbouwvergunningen.dvredenintrekking dvbouwredenintr,
  tbbouwvergunningen.dvmemo dvbouwmemo,
  tbbouwvergunningen.ddlegesverzonden ddbouwlegesverz,
  tbbouwvergunningen.dfvastgesteldekosten dnbouwvastgkost,
  tbbouwvergunningen.dfopgegevenbouwkosten dnbouwopgegkost,
  tbbouwvergunningen.dlgeldendbplakkoord dvbouwgldbplakkoord,
  tbbouwvergunningen.dlnieuwbplakkoord dvbouwnwbplakkoord,
  tbbouwvergunningen.dlcbsverstuurd dvbouwcbsverstuurd,
  tbbouwvergunningen.ddblokkering ddbouwblokkering,
  tbbouwvergunningen.dvinhoud dvbouwinhoud,
  tbbouwvergunningen.dvtekst1 dvbouwtekst1,
  tbbouwvergunningen.ddpublaanvrg,
  tbbouwvergunningen.ddpublproc,
  tbbouwvergunningen.dvpublbouwwerk,
  tbbouwvergunningen.dvcbsnummer,
  tbbouwvergunningen.dvcodeaardbesluit dvbouwcodeaardbesl,
  tbbouwvergunningen.dnkeyperceeladressen,
  tbbouwvergunningen.dvobject dvobjomschrijving,
  cast(null as character varying(1)) as dvactueleprocnaam,
  cast(null as character varying(1)) as dvactueleprocwetsart,
  tbgroepvergunning.dvomschrijving dvgroepvergunning,
  tbdossierverblijf.dvomschrijving dvdossierverblijf,
  tbaardbesluit.dvomschrijving dvaardbesluit,
  tbbouwwerkz.dvomschrijving dvbouwwerkzaamheid,
  tbsoortplan.dvomschrijving dvsoortplan,
  vwbplgeldend.dvnaam dvgldbplnaam,
  vwbplgeldend.dvnummer dvgldbplnummer,
  vwbplgeldend.dvbestemming dvgldbplbestemming,
  vwbplgeldend.dvomschrijving dvgldbplomschrijving,
  vwbplgeldend.dlinvoorbereiding dvgldbplinvoorb,
  vwbplnieuw.dvnaam dvnwbplnaam,
  vwbplnieuw.dvnummer dvnwbplnummer,
  vwbplnieuw.dvbestemming dvnwbplbestemming,
  vwbplnieuw.dvomschrijving dvnwbplomschrijving,
  vwbplnieuw.dlinvoorbereiding dvnwbplinvoorb,
  tbopenbareruimte.dvopruimtenaam dvobjstraat,
  tbperceeladressen.dvpostcode dvobjpostcode,
  tbwoonplaats.dvwoonplaatsnaam dvobjplaats,
  tbperceeladressen.dvaanduidingbijhuisnummer dvobjaanduidhuisnr,
  tbperceeladressen.dvhuisnummer dvobjhuisnummer,
  tbperceeladressen.dvhuisnummertoevoeging dvobjhuisnrtoevoeg,
  tbperceeladressen.dvhuisletter dvobjhuisletter,
  tbperceeladressen.dvgmntecode dvobjgmntecode,
  tbperceeladressen.dvsectie dvobjsectie,
  tbperceeladressen.dvperceelnummer dvobjperceelnr,
  tbperceeladressen.dvextraperceelnummers dvobjextrpercnrs,
  tbperceeladressen.dvhuisnrinfo dvobjhuisnrinfo,
  tbcontactadressen.dnkey dnkeycontactadressen,
  tbcontactadressen.dvvoorletters dvcontvoorletters,
  tbcontactadressen.dvvoorvoegsel dvcontvoorvoegsel,
  tbcontactadressen.dvroepnaam dvcontroepnaam,
  tbcontactadressen.dvachternaam dvcontachternaam,
  tbcontactadressen.dvbedrijfsnaam dvcontbedrijfsnaam,
  tbcontactadressen.dvbriefaanhef dbcontbriefaanhef,
  tbcontactadressen.dvwoonplaatsnaam dvcontwoonplaats,
  tbcontactadressen.dvstraatnaam dvcontstraatnaam,
  tbcontactadressen.dvaanduidingbijhuisnummer dvcontaanduidhuisnr,
  tbcontactadressen.dvhuisnummer dvconthuisnummer,
  tbcontactadressen.dvhuisnummertoevoeging dvconthuisnrtoevoeg,
  tbcontactadressen.dvhuisletter dvconthuisletter,
  tbcontactadressen.dvpostcode dvcontpostcode,
  tbcontactadressen.dvtelefoon dvconttelefoon,
  tbcontactadressen.dvfax dvcontfax,
  tbcontactadressen.dvemail dvcontemail,
  tbadressoort.dvcode dvcontadrescode,
  tbadressoort.dvomschrijving dvcontadressoort,
  tbadressoort.ddvervaldatum ddcontadresverval,
  tbcontactadressen.dvhandelsnaam dvconthandelsnaam
  from tbbouwvergunningen
          left outer join tbgroepvergunning
             on (tbbouwvergunningen.dnkeygroepvergunning = tbgroepvergunning.dnkey)
          left outer join tbdossierverblijf
             on (tbbouwvergunningen.dvcodedossierverblijf = tbdossierverblijf.dvcode)
          inner join tbaardbesluit
             on (tbbouwvergunningen.dvcodeaardbesluit = tbaardbesluit.dvcode)
          left outer join tbbouwwerkz
             on (tbbouwvergunningen.dnkeybouwwerkz = tbbouwwerkz.dnkey)
          left outer join tbsoortplan
             on (tbbouwvergunningen.dnsoortplan = tbsoortplan.dnkey)
          left outer join vwbplgeldend
             on (tbbouwvergunningen.dnkeygeldendbestemmingsplan = vwbplgeldend.dnkey)
          left outer join vwbplnieuw
             on (tbbouwvergunningen.dnkeynieuwbestemmingsplan = vwbplnieuw.dnkey)
          inner join tbperceeladressen
             on (tbbouwvergunningen.dnkeyperceeladressen = tbperceeladressen.dnkey)
          inner join tbopenbareruimte
             on (tbperceeladressen.dnkeyopenbruimte = tbopenbareruimte.dnkey)
          inner join tbwoonplaats
             on (tbopenbareruimte.dnkeywoonplaats = tbwoonplaats.dnkey)
          inner join tbbouwcontactennn
             on (tbbouwvergunningen.dnkey = tbbouwcontactennn.dnkeybouwvergunningen)
          inner join tbcontactadressen
             on (tbbouwcontactennn.dnkeycontactadressen = tbcontactadressen.dnkey)
          inner join tbadressoort
             on (tbbouwcontactennn.dvcodeadressoort = tbadressoort.dvcode)
;
create or replace view vwfrmovcontlijst as
select
  tbovvergunningen.dnkey dnkeyovvergunning,
  tbovvergunningen.dvvergunningsnr dvovvergunningsnr,
  tbovvergunningen.ddontvangstdatum ddovontvangst,
  tbovvergunningen.dvomschrijving dvovomschrijving,
  tbovvergunningen.ddmeetdatum ddovmeet,
  tbovvergunningen.dvredenmeetdatum dvovredenmeet,
  tbovvergunningen.ddbesluitdatum ddovbesluit,
  tbovvergunningen.ddverzenddatum ddovverzend,
  tbovvergunningen.ddstartuitvoering ddovstartuitv,
  tbovvergunningen.ddgereeddatum ddovgereed,
  tbovvergunningen.ddingetrokken ddovingetrokken,
  tbovvergunningen.dvredenintrekking dvovredenintr,
  tbovvergunningen.dvmemo dvovmemo,
  tbovvergunningen.ddlegesverzonden ddovlegesverz,
  tbovvergunningen.dfvastgesteldekosten dnovvastgkost,
  tbovvergunningen.dlgeldendbplakkoord dvovgldbplakkoord,
  tbovvergunningen.dlnieuwbplakkoord dvovnwbplakkoord,
  tbovvergunningen.ddblokkering ddovblokkering,
  tbovvergunningen.dvinhoud dvovinhoud,
  tbovvergunningen.dvtekst1 dvovtekst1,
  tbovvergunningen.ddpublaanvrg,
  tbovvergunningen.ddpublproc,
  tbovvergunningen.dvpublbouwwerk,
  tbovvergunningen.dvcbsnummer,
  tbovvergunningen.dnkeyperceeladressen,
  tbovvergunningen.dvcodeaardbesluit,
  cast(null as character varying(1)) as dvactueleprocnaam,
  cast(null as character varying(1)) as dvactueleprocwetsart,
  tbgroepvergunning.dvomschrijving dvgroepvergunning,
  tbdossierverblijf.dvomschrijving dvdossierverblijf,
  tbaardbesluit.dvomschrijving dvaardbesluit,
  tbovwerkz.dvomschrijving dvovwerkzaamheid,
  tbsoortovverg.dvomschrijving dvsoortovvergunning,
  vwbplgeldend.dvnaam dvgldbplnaam,
  vwbplgeldend.dvnummer dvgldbplnummer,
  vwbplgeldend.dvbestemming dvgldbplbestemming,
  vwbplgeldend.dvomschrijving dvgldbplomschrijving,
  vwbplgeldend.dlinvoorbereiding dvgldbplinvoorb,
  vwbplnieuw.dvnaam dvnwbplnaam,
  vwbplnieuw.dvnummer dvnwbplnummer,
  vwbplnieuw.dvbestemming dvnwbplbestemming,
  vwbplnieuw.dvomschrijving dvnwbplomschrijving,
  vwbplnieuw.dlinvoorbereiding dvnwbplinvoorb,
  tbopenbareruimte.dvopruimtenaam dvobjstraat,
  tbperceeladressen.dvpostcode dvobjpostcode,
  tbwoonplaats.dvwoonplaatsnaam dvobjplaats,
  tbperceeladressen.dvaanduidingbijhuisnummer dvobjaanduidhuisnr,
  tbperceeladressen.dvhuisnummer dvobjhuisnummer,
  tbperceeladressen.dvhuisnummertoevoeging dvobjhuisnrtoevoeg,
  tbperceeladressen.dvhuisletter dvobjhuisletter,
  tbperceeladressen.dvgmntecode dvobjgmntecode,
  tbperceeladressen.dvsectie dvobjsectie,
  tbperceeladressen.dvperceelnummer dvobjperceelnr,
  tbperceeladressen.dvextraperceelnummers dvobjextrpercnrs,
  tbperceeladressen.dvhuisnrinfo dvobjhuisnrinfo,
  tbovcontactennn.dnkeyovvergunningen,
  tbcontactadressen.dnkey dnkeycontactadressen,
  tbcontactadressen.dvvoorletters dvcontvoorletters,
  tbcontactadressen.dvvoorvoegsel dvcontvoorvoegsel,
  tbcontactadressen.dvroepnaam dvcontroepnaam,
  tbcontactadressen.dvachternaam dvcontachternaam,
  tbcontactadressen.dvbedrijfsnaam dvcontbedrijfsnaam,
  tbcontactadressen.dvbriefaanhef dbcontbriefaanhef,
  tbcontactadressen.dvwoonplaatsnaam dvcontwoonplaats,
  tbcontactadressen.dvstraatnaam dvcontstraatnaam,
  tbcontactadressen.dvaanduidingbijhuisnummer dvcontaanduidhuisnr,
  tbcontactadressen.dvhuisnummer dvconthuisnummer,
  tbcontactadressen.dvhuisnummertoevoeging dvconthuisnrtoevoeg,
  tbcontactadressen.dvhuisletter dvconthuisletter,
  tbcontactadressen.dvpostcode dvcontpostcode,
  tbcontactadressen.dvtelefoon dvconttelefoon,
  tbcontactadressen.dvfax dvcontfax,
  tbcontactadressen.dvemail dvcontemail,
  tbadressoort.dvcode dvcontadrescode,
  tbadressoort.dvomschrijving dvcontadressoort,
  tbadressoort.ddvervaldatum ddcontadresverval,
  tbcontactadressen.dvhandelsnaam dvconthandelsnaam
from
  tbovvergunningen
  left outer join tbgroepvergunning
  on(tbovvergunningen.dnkeytbgroepvergunning = tbgroepvergunning.dnkey)
  left outer join tbdossierverblijf
  on(tbovvergunningen.dvcodedossierverblijf = tbdossierverblijf.dvcode)
  left outer join tbaardbesluit
  on(tbovvergunningen.dvcodeaardbesluit = tbaardbesluit.dvcode)
  left outer join tbovwerkz
  on(tbovvergunningen.dnkeyovwerkz = tbovwerkz.dnkey)
  left outer join tbsoortovverg
  on(tbovvergunningen.dvcodesoortovverg = tbsoortovverg.dvcode)
  left outer join vwbplgeldend
  on(tbovvergunningen.dnkeygeldendbestemmingsplan = vwbplgeldend.dnkey)
  left outer join vwbplnieuw
  on(tbovvergunningen.dnkeynieuwbestemmingsplan = vwbplnieuw.dnkey)
  inner join tbperceeladressen
  on(tbovvergunningen.dnkeyperceeladressen = tbperceeladressen.dnkey)
  inner join tbopenbareruimte
  on(tbperceeladressen.dnkeyopenbruimte = tbopenbareruimte.dnkey)
  inner join tbwoonplaats
  on(tbopenbareruimte.dnkeywoonplaats = tbwoonplaats.dnkey)
  inner join tbovcontactennn
  on(tbovvergunningen.dnkey = tbovcontactennn.dnkeyovvergunningen)
  inner join tbcontactadressen
  on(tbovcontactennn.dnkeycontactadressen = tbcontactadressen.dnkey)
  inner join tbadressoort
  on (tbovcontactennn.dvcodeadressoort = tbadressoort.dvcode)
;
create or replace view vwdocsrtisb as 
select 
  tbdocumentsoorten.dvcode,
  tbdocumentsoorten.dvomschrijving,
  tbdocumentsoorten.ddvervaldatum
from 
  tbdocumentsoorten
where 
  (tbdocumentsoorten.ddvervaldatum > fn_vandaag(0)   
  or    
  tbdocumentsoorten.ddvervaldatum is null)  
  and
  tbdocumentsoorten.dvcode in 
    (select
       tbdocumenten.dvcodedocumentsoorten               
     from 
       tbdocumenten  			 
     where 
       tbdocumenten.dvvantoepop = 'B'  			 
       and
       (tbdocumenten.ddvervaldatum > fn_vandaag(0) 			    
        or  			    
        tbdocumenten.ddvervaldatum is null)) 
;
create or replace view vwdocsrtiso as 
select 
  tbdocumentsoorten.dvcode,
  tbdocumentsoorten.dvomschrijving,
  tbdocumentsoorten.ddvervaldatum
from 
  tbdocumentsoorten
where 
  (tbdocumentsoorten.ddvervaldatum > fn_vandaag(0)   
  or    
  tbdocumentsoorten.ddvervaldatum is null)  
  and
  tbdocumentsoorten.dvcode in 
    (select
       tbdocumenten.dvcodedocumentsoorten               
     from 
       tbdocumenten  			 
     where 
       tbdocumenten.dvvantoepop = 'O'  			 
       and
       (tbdocumenten.ddvervaldatum > fn_vandaag(0) 			    
        or  			    
        tbdocumenten.ddvervaldatum is null)) 
;
create or replace view vwdocsrtish as 
select 
  tbdocumentsoorten.dvcode,
  tbdocumentsoorten.dvomschrijving,
  tbdocumentsoorten.ddvervaldatum
from 
  tbdocumentsoorten
where 
  (tbdocumentsoorten.ddvervaldatum > fn_vandaag(0)   
  or    
  tbdocumentsoorten.ddvervaldatum is null)  
  and
  tbdocumentsoorten.dvcode in 
    (select
       tbdocumenten.dvcodedocumentsoorten               
     from 
       tbdocumenten  			 
     where 
       tbdocumenten.dvvantoepop = 'H'  			 
       and
       (tbdocumenten.ddvervaldatum > fn_vandaag(0) 			    
        or  			    
        tbdocumenten.ddvervaldatum is null)) 
;
create or replace view vwdocsrtisa as 
select 
  tbdocumentsoorten.dvcode,
  tbdocumentsoorten.dvomschrijving,
  tbdocumentsoorten.ddvervaldatum
from 
  tbdocumentsoorten
where 
  (tbdocumentsoorten.ddvervaldatum > fn_vandaag(0)   
  or    
  tbdocumentsoorten.ddvervaldatum is null)  
  and
  tbdocumentsoorten.dvcode in 
    (select
       tbdocumenten.dvcodedocumentsoorten               
     from 
       tbdocumenten  			 
     where 
       tbdocumenten.dvvantoepop = 'A'  			 
       and
       (tbdocumenten.ddvervaldatum > fn_vandaag(0) 			    
        or  			    
        tbdocumenten.ddvervaldatum is null))
;
create or replace view vwbouwarccontacten as 
select
  tbbouwcontactennn.dnkeybouwvergunningen,
  tbcontactadressen.dvbedrijfsnaam  dvarchitect
from
  tbbouwcontactennn
  inner join tbcontactadressen
  on(tbbouwcontactennn.dnkeycontactadressen = tbcontactadressen.dnkey)
  and tbbouwcontactennn.dvcodeadressoort = 'ARC'
;
create or replace view vwovarccontacten as 
select
  tbovcontactennn.dnkeyovvergunningen,
  tbcontactadressen.dvbedrijfsnaam dvarchitect
from
  tbovcontactennn
  inner join tbcontactadressen
on(tbovcontactennn.dnkeycontactadressen = tbcontactadressen.dnkey)
  and
  tbovcontactennn.dvcodeadressoort = 'ARC'
;
create or replace view vwbouwavrcontacten as 
select
  tbbouwcontactennn.dnkeybouwvergunningen,
  tbcontactadressen.dvvoorletters dvavrvoorl,
  tbcontactadressen.dvvoorvoegsel dvavrtussenv,
  tbcontactadressen.dvachternaam dvavrnaam,
  tbcontactadressen.dvbedrijfsnaam dvavrbedrijfsnaam,
  tbcontactadressen.dvdebiteurnr,
  tbcontactadressen.dvstraatnaam dvavrstraatnaam,
  tbcontactadressen.dvhuisnummer dvavrhuisnummer,
  tbcontactadressen.dvhuisletter dvavrhuisletter,
  tbcontactadressen.dvhuisnummertoevoeging dvavrhuisnrtoev,
  tbcontactadressen.dvpostcode dvavrpostcode,
  tbcontactadressen.dvwoonplaatsnaam dvavrwoonplaats,
  tbcontactadressen.dnkey dnkeycontactadressen,
  tbcontactadressen.dvhandelsnaam dvavrhandelsnaam
from
  tbbouwcontactennn
  inner join tbcontactadressen
  on(tbbouwcontactennn.dnkeycontactadressen = tbcontactadressen.dnkey)
 where tbbouwcontactennn.dvcodeadressoort = 'AVR'
;
create or replace view vwovavrcontacten as
select
  tbovcontactennn.dnkeyovvergunningen,
  tbcontactadressen.dvvoorletters dvavrvoorl,
  tbcontactadressen.dvvoorvoegsel dvavrtussenv,
  tbcontactadressen.dvachternaam dvavrnaam,
  tbcontactadressen.dvbedrijfsnaam dvavrbedrijfsnaam,
  tbcontactadressen.dvdebiteurnr,
  tbcontactadressen.dvstraatnaam dvavrstraatnaam,
  tbcontactadressen.dvhuisnummer dvavrhuisnummer,
  tbcontactadressen.dvhuisletter dvavrhuisletter,
  tbcontactadressen.dvhuisnummertoevoeging dvavrhuisnrtoev,
  tbcontactadressen.dvpostcode dvavrpostcode,
  tbcontactadressen.dvwoonplaatsnaam dvavrwoonplaats,
  tbcontactadressen.dnkey dnkeycontactadressen,
  tbcontactadressen.dvhandelsnaam dvavrhandelsnaam
from
  tbovcontactennn
  inner join tbcontactadressen
on(tbovcontactennn.dnkeycontactadressen = tbcontactadressen.dnkey)
  where tbovcontactennn.dvcodeadressoort = 'AVR'
;
create or replace view vwhandhverzendlijst as
select
  tbwoonplaats.dvwoonplaatsnaam dvwoonplaats,
  tbopenbareruimte.dvopruimtenaam dvnaam_nen5825,
  tbperceeladressen.dvhuisnummer,
  tbperceeladressen.dvhuisnummertoevoeging,
  tbperceeladressen.dvhuisletter,
  tbperceeladressen.dvhuisnrinfo,
  tbhandhavingen.dvaanschrijfnr,
  tbhandhavingen.ddverzoekdatum,
  tbhandhavingen.ddeinddatum,
  tbhandhovertreding.dvomschrijving,
  tbverzendlijst.dnkey,
  tbverzendlijst.dvcodemedewerkers,
  tbverzendlijst.ddtoegevoegd,
  tbverzendlijst.dnkeyhandhavingen,
  tbverzendlijst.dnkeycontactadressen,
  tbcontactadressen.dvachternaam,
  tbcontactadressen.dvbedrijfsnaam
from
          tbverzendlijst
		  inner join tbcontactadressen
		  on (tbcontactadressen.dnkey = tbverzendlijst.dnkeycontactadressen)
		  inner join tbhandhavingen
		  on (tbhandhavingen.dnkey = tbverzendlijst.dnkeyhandhavingen)
		  left outer join tbhandhovertreding
		  on (tbhandhavingen.dnkeyhandhovertreding= tbhandhovertreding.dnkey)
          inner join tbperceeladressen
		  on (tbperceeladressen.dnkey = tbhandhavingen.dnkeyperceeladressen)
		  inner join tbopenbareruimte
		  on (tbperceeladressen.dnkeyopenbruimte = tbopenbareruimte.dnkey)
          inner join tbwoonplaats
		  on (tbopenbareruimte.dnkeywoonplaats = tbwoonplaats.dnkey)
          ;
create or replace view vwovverzendlijst as
select
  tbwoonplaats.dvwoonplaatsnaam dvwoonplaats,
  tbopenbareruimte.dvopruimtenaam dvnaam_nen5825,
  tbperceeladressen.dvhuisnummer,
  tbperceeladressen.dvhuisnummertoevoeging,
  tbperceeladressen.dvhuisletter,
  tbperceeladressen.dvhuisnrinfo,
  tbovvergunningen.dvvergunningsnr,
  tbovvergunningen.ddontvangstdatum,
  tbovvergunningen.ddbesluitdatum,
  tbsoortovverg.dvomschrijving,
  tbverzendlijst.dnkey,
  tbverzendlijst.dvcodemedewerkers,
  tbverzendlijst.ddtoegevoegd,
  tbverzendlijst.dnkeyovvergunningen,
  tbverzendlijst.dnkeycontactadressen,
  tbcontactadressen.dvachternaam,
  tbcontactadressen.dvbedrijfsnaam
from
  tbverzendlijst
  inner join tbcontactadressen
  on (tbcontactadressen.dnkey = tbverzendlijst.dnkeycontactadressen)
  inner join tbovvergunningen
  on (tbovvergunningen.dnkey = tbverzendlijst.dnkeyovvergunningen)
  left outer join tbsoortovverg
  on (tbovvergunningen.dvcodesoortovverg=tbsoortovverg.dvcode) 
  inner join tbperceeladressen
  on (tbperceeladressen.dnkey = tbovvergunningen.dnkeyperceeladressen)
  inner join tbopenbareruimte
  on (tbperceeladressen.dnkeyopenbruimte = tbopenbareruimte.dnkey)
  inner join tbwoonplaats
  on (tbopenbareruimte.dnkeywoonplaats = tbwoonplaats.dnkey)
  ;
  create or replace view vwbouwverzendlijst as
  select
  tbwoonplaats.dvwoonplaatsnaam dvwoonplaats,
  tbopenbareruimte.dvopruimtenaam dvnaam_nen5825,
  tbperceeladressen.dvhuisnummer,
  tbperceeladressen.dvhuisnummertoevoeging,
  tbperceeladressen.dvhuisletter,
  tbperceeladressen.dvhuisnrinfo,
  tbbouwvergunningen.dvbouwnr,
  tbbouwvergunningen.ddontvangstdatum,
  tbbouwvergunningen.ddbesluitdatum,
  tbsoortplan.dvomschrijving,
  tbverzendlijst.dnkey,
  tbverzendlijst.dvcodemedewerkers,
  tbverzendlijst.ddtoegevoegd,
  tbverzendlijst.dnkeybouwvergunningen,
  tbverzendlijst.dnkeycontactadressen,
  tbcontactadressen.dvachternaam,
  tbcontactadressen.dvbedrijfsnaam
from
  tbverzendlijst
  inner join tbcontactadressen
  on (tbcontactadressen.dnkey = tbverzendlijst.dnkeycontactadressen)
  inner join tbbouwvergunningen
  on (tbbouwvergunningen.dnkey = tbverzendlijst.dnkeybouwvergunningen)
  left outer join tbsoortplan
  on (tbbouwvergunningen.dnsoortplan=tbsoortplan.dnkey)
  inner join tbperceeladressen
  on (tbperceeladressen.dnkey = tbbouwvergunningen.dnkeyperceeladressen)
  inner join tbopenbareruimte
  on (tbperceeladressen.dnkeyopenbruimte = tbopenbareruimte.dnkey)
  inner join tbwoonplaats
  on (tbopenbareruimte.dnkeywoonplaats = tbwoonplaats.dnkey)
  ;
create or replace view vwrapportgroepenvto as 
select distinct
  dvvantoepop rapportsoort
from
  tbrapportgroep
;
create or replace view vwhandhhpccontacten as
select
  tbhandhcontactennn.dnkeyhandhavingen,
  tbcontactadressen.dvvoorletters dvhpcvoorl,
  tbcontactadressen.dvvoorvoegsel dvhpctussenv,
  tbcontactadressen.dvachternaam dvhpcnaam,
  tbcontactadressen.dvbedrijfsnaam dvhpcbedrijfsnaam,
  tbcontactadressen.dvdebiteurnr
from
  tbhandhcontactennn
  inner join tbcontactadressen
  on (tbhandhcontactennn.dnkeycontactadressen = tbcontactadressen.dnkey)
  where tbhandhcontactennn.dvcodeadressoort = 'HPC'
;
create or replace view vwmeldingen_inbehbij_mw as
select
  tbinbehandelingbij.dnkeybouwvergunningen,
  tbinbehandelingbij.dnkeyhandhavingen,
  tbinbehandelingbij.dnkeyovvergunningen,
  tbinbehandelingbij.dnkeyhorecavergunningen,
  tbinbehandelingbij.dnkeybestemmingsplannen,
  tbinbehandelingbij.dnkeyinfoaanvraag,
  tbinbehandelingbij.dnkeymilvergunningen,
  tbinbehandelingbij.dnkeyomgvergunningen,
  tbinbehandelingbij.dvcodemedewerker dvibbcodemw
from
  tbinbehandelingbij
where
  tbinbehandelingbij.dlactief = 'T'
;
create or replace view vwadvies_instantie as
select
  tbadviesinstanties.dvcode dvcodeadviesinstantie,
  tbadviesinstanties.dvomschrijving dvomschradviesinstantie,
  tbadviesinstanties.dnrappeldagen,
  tbadviesinstanties.dnkeyautolegessoort,
  tbadviezen.ddaanvraagdatum,
  tbadviezen.ddadviesdatum,
  tbadviezen.ddrappeldatum,
  tbadviezen.dladviespositief,
  tbadviezen.dnkey,
  tbadviezen.dnkeybouwvergunningen,
  tbadviezen.dnkeyhandhavingen,
  tbadviezen.dnkeyovvergunningen,
  tbadviezen.dnkeyhorecavergunningen,
  tbadviezen.dnkeyinfoaanvraag,
  tbadviezen.dvomschrijving,
  tbadviezen.dnkeymilvergunningen,
  tbadviezen.dnkeyomgvergunningen,
  tbadviezen.ddvervallen
from
  tbadviezen
  left outer join tbadviesinstanties
  on (tbadviezen.dvcodeadviesinstanties = tbadviesinstanties.dvcode)
;
create or replace view vwbouwadvies_behandelaar as
select
  tbadviezen.ddrappeldatum,
  tbadviezen.ddadviesdatum,
  tbadviezen.dvomschrijving,
  tbadviezen.dnkeybouwvergunningen dnkeyvergunning,
  tbadviesinstanties.dvomschrijving dvomschradviesinstantie,
  trim(tbadviezen.dvcodemedewerkers) dvcodemedewerker,
  tbadviezen.dnkey dnkeyadvies
from
  tbadviezen
  inner join tbadviesinstanties
  on(tbadviezen.dvcodeadviesinstanties = tbadviesinstanties.dvcode)
where
  tbadviezen.dvcodemedewerkers is not null and
  tbadviezen.ddrappeldatum is not null and
  tbadviezen.ddadviesdatum is null and
  tbadviezen.ddvervallen is null and
  tbadviezen.dnkeybouwvergunningen in (select dnkey from tbbouwvergunningen where ddblokkering is null and ddingetrokken is null)
union
select 
  tbadviezen.ddrappeldatum, 
  tbadviezen.ddadviesdatum, 
  tbadviezen.dvomschrijving, 
  tbadviezen.dnkeybouwvergunningen dnkeyvergunning, 
  tbadviesinstanties.dvomschrijving dvomschradviesinstantie, 
  trim(tbinbehandelingbij.dvcodemedewerker) dvcodemedewerker, 
  tbadviezen.dnkey dnkeyadvies
from 
  tbadviezen 
  inner join tbadviesinstanties
on(tbadviezen.dvcodeadviesinstanties = tbadviesinstanties.dvcode)
  inner join tbinbehandelingbij
  on(tbinbehandelingbij.dnkeybouwvergunningen = tbadviezen.dnkeybouwvergunningen)
where 
  tbinbehandelingbij.dlactief = 'T' and 
  tbadviezen.ddrappeldatum is not null and 
  tbadviezen.ddadviesdatum is null and 
  tbadviezen.ddvervallen is null and
  tbadviezen.dnkeybouwvergunningen in (select dnkey from tbbouwvergunningen where ddblokkering is null and ddingetrokken is null)
;
create or replace view vwhandhadvies_behandelaar as
select
  tbadviezen.ddrappeldatum,
  tbadviezen.ddadviesdatum,
  tbadviezen.dvomschrijving,
  tbadviezen.dnkeyhandhavingen dnkeyvergunning,
  tbadviesinstanties.dvomschrijving dvomschradviesinstantie,
  trim(tbadviezen.dvcodemedewerkers) dvcodemedewerker,
  tbadviezen.dnkey dnkeyadvies
from
  tbadviezen
  inner join tbadviesinstanties
  on(tbadviezen.dvcodeadviesinstanties = tbadviesinstanties.dvcode)
where
  tbadviezen.dvcodemedewerkers is not null and
  tbadviezen.ddrappeldatum is not null and
  tbadviezen.ddadviesdatum is null and
  tbadviezen.ddvervallen is null and
  tbadviezen.dnkeyhandhavingen in (select dnkey from tbhandhavingen where ddblokkering is null)
union
select 
  tbadviezen.ddrappeldatum, 
  tbadviezen.ddadviesdatum, 
  tbadviezen.dvomschrijving, 
  tbadviezen.dnkeyhandhavingen dnkeyvergunning, 
  tbadviesinstanties.dvomschrijving dvomschradviesinstantie, 
  trim(tbinbehandelingbij.dvcodemedewerker) dvcodemedewerker, 
  tbadviezen.dnkey dnkeyadvies
from 
  tbadviezen
inner join tbadviesinstanties
on(tbadviezen.dvcodeadviesinstanties = tbadviesinstanties.dvcode)
inner join tbinbehandelingbij
on(tbinbehandelingbij.dnkeyhandhavingen = tbadviezen.dnkeyhandhavingen)
where 
  tbinbehandelingbij.dlactief = 'T' and 
  tbadviezen.ddrappeldatum is not null and 
  tbadviezen.ddadviesdatum is null     and 
  tbadviezen.ddvervallen is null     and
  tbadviezen.dnkeyhandhavingen in (select dnkey from tbhandhavingen where ddblokkering is null)
;
create or replace view vwcorresp_binnen as
select
  tbcontactadressen.dvvoorletters,
  tbcontactadressen.dvvoorvoegsel,
  tbcontactadressen.dvachternaam,
  tbcontactadressen.dvbriefaanhef,
  tbcontactadressen.dvstraatnaam,
  tbcontactadressen.dvhuisnummer,
  tbcontactadressen.dvhuisnummertoevoeging,
  tbcontactadressen.dvpostcode,
  tbcontactadressen.dvwoonplaatsnaam,
  tbcontactadressen.dvbedrijfsnaam,
  tbcontactadressen.dnkey dncontactkey,
  tbcorrespbinnen.dddatumbinnen,
  tbcorrespbinnen.dnkey dncorrespkey,
  tbcorrespbinnen.dnkeybouwvergunningen,
  tbcorrespbinnen.dnkeyhandhavingen,
  tbcorrespbinnen.dnkeyovvergunningen,
  tbcorrespbinnen.dnkeyhorecavergunningen,
  tbcorrespbinnen.dnkeybestemmingsplannen,
  tbcorrespbinnen.dnkeymilinrichtingen,
  tbcorrespbinnen.dnkeymilvergunningen,
  tbcorrespbinnen.dnkeyinfoaanvraag,
  tbcorrespbinnen.dvarchiefnummer,
  tbcorrespbinnen.dvkenmerk,
  tbcorrespbinnen.dvomschrijving,
  tbcorrespbinnen.dvhyperlink,
  tbcorrespbinnen.dddatering,
  tbcorrespbinnen.dvextrainfo,
  tbsoortcorrbinnen.dvomschrijving dvonderwerp,
  tbcorrespbinnen.dnkeyomgvergunningen,
  tbcontactadressen.dvhandelsnaam 
from
  tbcontactadressen
  left outer join tbcorrespbinnen
    on(tbcorrespbinnen.dnkeycontactadressen = tbcontactadressen.dnkey)
  left outer join tbsoortcorrbinnen
    on(tbcorrespbinnen.dnkeycontactadressen = tbcontactadressen.dnkey)
  ; 
create or replace view vwprocedurestappen as
select
  distinct tbtermijnbewstappen.dnkeyorgprocedure,
  tbprocedures.dvvantoepop,
  tbprocedures.dnvolgnr,
  tbprocedures.dvprocnaam,
  tbprocedures.dlinvloedopfataal,
  tbprocedures.dnkey
from
  tbtermijnbewstappen
  inner join tbprocedures
on(tbtermijnbewstappen.dnkeyorgprocedure = tbprocedures.dnkey)
;
create or replace view vwmeldingen_termijnstappen as
select
  dddeadline,
  dvtermijnomschrijving,
  dlingebruik,
  dlfataal,
  dnkeyhandhavingen,
  dnkeybouwvergunningen,
  dnkeyovvergunningen,
  dnkeyhorecavergunningen,
  dnkeybestemmingsplannen,
  dnkeyinfoaanvraag,
  dvcodemedewerkers,
  dnkeymilvergunningen,
  dnkeyomgvergunningen,
  dvcodevoorwie
from
  tbtermijnbewstappen
where
  dvvoorwaardejn = 'N'
  and
  ddafgehandeld is null
  and
  dddeadline is not null
  and
  dlfataal = 'T'
  and
  dlingebruik = 'T'
  and
  ((dnkeybouwvergunningen is not null
    and
    dnkeybouwvergunningen in
      (select
         dnkey
       from
         tbbouwvergunningen
       where
         ddblokkering is null))
   or
   (dnkeyovvergunningen is not null
    and
    dnkeyovvergunningen in
      (select
         dnkey
       from
         tbovvergunningen
       where
         ddblokkering is null))
   or
   (dnkeyhandhavingen is not null
    and
    dnkeyhandhavingen in
      (select
         dnkey
       from
         tbhandhavingen
       where
         ddblokkering is null))
   or
   (dnkeyhorecavergunningen is not null
    and
    dnkeyhorecavergunningen in
      (select
         dnkey
       from
         tbhorecavergunningen
       where
         ddblokkering is null))
   or
   (dnkeybestemmingsplannen is not null
    and
    dnkeybestemmingsplannen in
      (select
         dnkey
       from
         tbbestemmingsplannen
       where
         ddblokkeerdatum is null))
   or
   (dnkeyinfoaanvraag is not null
    and
    dnkeyinfoaanvraag in
      (select
         dnkey
       from
         tbinfoaanvragen
       where
         ddblokkeerdatum is null))
   or
   (dnkeymilvergunningen is not null
    and
    dnkeymilvergunningen in
      (select
         dnkey
       from
         tbmilvergunningen
       where
         ddblokkering is null))
   or
   (dnkeyomgvergunningen is not null
    and
    dnkeyomgvergunningen in
      (select
         dnkey
       from
         tbomgvergunning
       where
         ddblokkering is null and ddingetrokken is null and (ddaanhoudenvanaf is null or ddaanhoudentotmet is not null))))
;
create or replace view vwhorecavergstraat as
select
  tbhorecavergunningen.dnkey,
  tbhorecavergunningen.dnkeygroepvergunning,
  tbhorecavergunningen.dnkeyperceeladressen,
  tbhorecavergunningen.dvcodedossierverblijf,
  tbhorecavergunningen.dvvergnummer,
  tbhorecavergunningen.dvcodeaardbesluit,
  tbhorecavergunningen.dnkeysoortverg,
  tbhorecavergunningen.dddatumbesluit,
  tbhorecavergunningen.ddvervaldatum,
  tbhorecavergunningen.ddaanvraagdatum,
  tbhorecavergunningen.ddblokkering,
  tbhorecavergunningen.dnkeygebied,
  tbhorecavergunningen.dnkeysoortonderneming,
  tbhorecavergunningen.dvzaaknaam,
  tbhorecavergunningen.dvzaaktel,
  tbhorecavergunningen.dvzaakfax,
  tbhorecavergunningen.dvzaakemail,
  tbhorecavergunningen.dvlokaliteiten,
  tbhorecavergunningen.dlsocialehygiene,
  tbhorecavergunningen.dlwetmilieubeh,
  tbhorecavergunningen.dvzaakkvk,
  tbhorecavergunningen.dvzaakbedrshor,
  tbhorecavergunningen.dvhandelsnaam,
  tbhorecavergunningen.dvwebsite,
  tbhorecavergunningen.dvonthhorinrnr,
  tbhorecavergunningen.ddonthhorinrdatvan,
  tbhorecavergunningen.dvonthhorinroms,
  tbhorecavergunningen.dvonthhorvrknr,
  tbhorecavergunningen.ddonthhorvrkdatvan,
  tbhorecavergunningen.ddonthhorvrkdattm,
  tbhorecavergunningen.dvonthhorvrkoms,
  tbhorecavergunningen.dvonthhortsnr,
  tbhorecavergunningen.ddonthhortsdatvan,
  tbhorecavergunningen.dvonthhortsoms,
  tbhorecavergunningen.dvvergbrandweer,
  tbhorecavergunningen.ddvergbrandweer,
  tbhorecavergunningen.dlpolitiekgev,
  tbhorecavergunningen.dvredenpolgevweb,
  tbhorecavergunningen.dvmemo,
  tbhorecavergunningen.dnkeyrechtsvorm,
  tbhorecavergunningen.ddfataledatum,
  tbhorecavergunningen.dvhyperlink,
  tbhorecavergunningen.dvomschrijving,
  tbhorecavergunningen.ddlegesverzonden,
  tbhorecavergunningen.dvdmszaakcode,
  tbhorecavergunningen.ddingetrokken,
  tbhorecavergunningen.dvredenintrekking,
  cast(case
               when tbhorecavergunningen.ddnaverlingetrokken <= fn_vandaag(0)	  
			      then 'ingetrokken na verl.'
			   when tbhorecavergunningen.ddverlopen < fn_vandaag(0)	  
			      then 'verlopen'
			   when tbhorecavergunningen.ddvervaldatum <= fn_vandaag(0)	  
			      then 'vervallen'
               when tbhorecavergunningen.dddatumbesluit is not null
               then
                  tbhoraardbesluit.dvomschrijving
               when tbhorecavergunningen.ddingetrokken is not null
               then
                  'ingetrokken tijdens beh.'
               else
                  'in behandeling'
  end as character varying(50)) as dvstatus,
  tbperceeladressen.dnstraatcode dnobjstraatcode,
  tbperceeladressen.ddvervaldatum ddpercvervaldatum,
  tbperceeladressen.dnkey dnperceelkey,
  tbperceeladressen.dvperceelnummer,
  tbperceeladressen.dvextraperceelnummers,
  tbperceeladressen.dvhuisnummer dvobjhuisnummer,
  tbperceeladressen.dvhuisletter dvobjhuisletter,
  tbperceeladressen.dvhuisnummertoevoeging dvobjhuisnrtoevoeg,
  tbperceeladressen.dvaanduidingbijhuisnummer dvobjaanduidhuisnr,
  tbperceeladressen.dvgmntecode dvobjgmntecode,
  tbperceeladressen.dvsectie,  
  cast(tbperceeladressen.dvaanduidingbijhuisnummer
   || case when tbperceeladressen.dvaanduidingbijhuisnummer is null then '' else ' ' end
   || tbperceeladressen.dvhuisnummer ||' '
   || tbperceeladressen.dvhuisletter
   || case when rtrim(tbperceeladressen.dvhuisnummertoevoeging) is null then '' else 
      replace('-'||tbperceeladressen.dvhuisnummertoevoeging,'--','-') 
	 end as character varying(15)) as dvobjhuisnr,
  tbperceeladressen.dnkeymonumenten,
  tbperceeladressen.dvhuisnrinfo dvobjhuisnrinfo,
  tbopenbareruimte.dvopruimtenaam dvobjstraat,
  tbperceeladressen.dvpostcode dvobjpostcode,
  tbwoonplaats.dvwoonplaatsnaam dvobjplaats,
  tbperceeladressen.dncbs_buurt dnobjcbs_buurt,
  tbperceeladressen.dvoneven,
  tbperceeladressen.dvbuurtcode,
  tbsoorthorverg.dvomschrijving  dvsoorthorvergoms,
  tbsoorthorverg.dnfataleperiode,
  tbsoorthorverg.dvmodel,
  tbhorecavergunningen.dvarchiefnr,
  tbperceeladressen.dvidentificatiecode,
  tbwoonplaats.dvdefkadgem,
  tbhorecavergunningen.dnkeymilinrichtingen,
  tbmilinrichtingen.dvinrichtingnaam,
  tbmilinrichtingen.dvinrichtingnr,
  tbhorecavergunningen.ddpublaanvrg,
  tbwoonplaats.dvwoonplaatsid dvgemcode,
  tbhorecavergunningen.ddverlopen,
  tbhorecavergunningen.ddnaverlingetrokken,
  tbhorecavergunningen.dvintzaakcode
from
  tbhorecavergunningen
  inner join tbperceeladressen
  on(tbhorecavergunningen.dnkeyperceeladressen = tbperceeladressen.dnkey)
  inner join tbopenbareruimte
  on(tbperceeladressen.dnkeyopenbruimte = tbopenbareruimte.dnkey)
  inner join tbwoonplaats
  on (tbopenbareruimte.dnkeywoonplaats = tbwoonplaats.dnkey)
  left outer join tbsoorthorverg
  on (tbhorecavergunningen.dnkeysoortverg = tbsoorthorverg.dnkey)
  left outer join tbhoraardbesluit
  on (tbhorecavergunningen.dvcodeaardbesluit = tbhoraardbesluit.dvcode)
  left outer join tbmilinrichtingen
  on (tbhorecavergunningen.dnkeymilinrichtingen = tbmilinrichtingen.dnkey)
;
create or replace view vwhorecacontverg as
select
  tbhorecavergunningen.dnkey,
  tbhorecavergunningen.dnkeygroepvergunning,
  tbhorecavergunningen.dnkeyperceeladressen,
  tbhorecavergunningen.dvcodedossierverblijf,
  tbhorecavergunningen.dvvergnummer,
  tbhorecavergunningen.dvcodeaardbesluit,
  tbhorecavergunningen.dnkeysoortverg,
  tbhorecavergunningen.dddatumbesluit,
  tbhorecavergunningen.ddvervaldatum,
  tbhorecavergunningen.ddaanvraagdatum,
  tbhorecavergunningen.dnkeygebied,
  tbhorecavergunningen.dnkeysoortonderneming,
  tbhorecavergunningen.dvzaaknaam,
  tbhorecavergunningen.dvzaaktel,
  tbhorecavergunningen.dvzaakfax,
  tbhorecavergunningen.dvzaakemail,
  tbhorecavergunningen.dvlokaliteiten,
  tbhorecavergunningen.dlsocialehygiene,
  tbhorecavergunningen.dlwetmilieubeh,
  tbhorecavergunningen.dvzaakkvk,
  tbhorecavergunningen.dvhandelsnaam,
  tbhorecavergunningen.dvwebsite,
  tbhorecavergunningen.dvzaakbedrshor,
  tbhorecavergunningen.dvonthhorinrnr,
  tbhorecavergunningen.ddonthhorinrdatvan,
  tbhorecavergunningen.dvonthhorinroms,
  tbhorecavergunningen.dvonthhorvrknr,
  tbhorecavergunningen.ddonthhorvrkdatvan,
  tbhorecavergunningen.ddonthhorvrkdattm,
  tbhorecavergunningen.dvonthhorvrkoms,
  tbhorecavergunningen.dvonthhortsnr,
  tbhorecavergunningen.ddonthhortsdatvan,
  tbhorecavergunningen.dvonthhortsoms,
  tbhorecavergunningen.dvvergbrandweer,
  tbhorecavergunningen.ddvergbrandweer,
  tbhorecavergunningen.dlpolitiekgev,
  tbhorecavergunningen.dvredenpolgevweb,
  tbhorecavergunningen.dvmemo,
  tbhorecavergunningen.dnkeyrechtsvorm,
  tbhorecavergunningen.ddfataledatum,
  tbhorecavergunningen.dvdmszaakcode,
  tbhorecavergunningen.ddingetrokken,
  tbperceeladressen.dnstraatcode dnobjstraatcode,
  tbperceeladressen.ddvervaldatum ddpercvervaldatum,
  tbperceeladressen.dnkey dnperceelkey,
  tbperceeladressen.dvperceelnummer,
  tbperceeladressen.dvextraperceelnummers,
  tbperceeladressen.dvhuisnummer dvobjhuisnummer,
  tbperceeladressen.dvhuisletter dvobjhuisletter,
  tbperceeladressen.dvhuisnummertoevoeging dvobjhuisnrtoevoeg,
  tbperceeladressen.dvaanduidingbijhuisnummer dvobjaanduidhuisnr,
  tbperceeladressen.dvgmntecode dvobjgmntecode,
  tbperceeladressen.dvsectie,
  tbperceeladressen.dvhuisnrinfo dvobjhuisnrinfo,
  cast(case when tbperceeladressen.dvaanduidingbijhuisnummer is null then '' 
			        else tbperceeladressen.dvaanduidingbijhuisnummer || ' ' end 
			|| tbperceeladressen.dvhuisnummer
            || ' '
            || case when tbperceeladressen.dvhuisletter is null then '' else tbperceeladressen.dvhuisletter end
            || case when rtrim (tbperceeladressen.dvhuisnummertoevoeging) is null then '' 
			   else replace ('-' || tbperceeladressen.dvhuisnummertoevoeging,'--',  '-') 
			   end as character varying(15)) as dvobjhuisnr,
  tbopenbareruimte.dvopruimtenaam dvobjstraat,
  tbperceeladressen.dvpostcode dvobjpostcode,
  tbwoonplaats.dvwoonplaatsnaam dvobjplaats,
  tbperceeladressen.dncbs_buurt dnobjcbs_buurt,
  tbperceeladressen.dvoneven,
  tbhorecacontactennn.dnkeycontactadressen,
  tbhorecacontactennn.dnkeyhorecavergunningen,
  tbhorecacontactennn.dvcodeadressoort,
  tbsoorthorverg.dvomschrijving dvsoorthorvergoms
from
  tbhorecavergunningen
  inner join tbperceeladressen
  on (tbhorecavergunningen.dnkeyperceeladressen = tbperceeladressen.dnkey)
  inner join tbopenbareruimte
  on (tbperceeladressen.dnkeyopenbruimte = tbopenbareruimte.dnkey)
  inner join tbwoonplaats
  on (tbopenbareruimte.dnkeywoonplaats = tbwoonplaats.dnkey)
  inner join tbhorecacontactennn
  on (tbhorecavergunningen.dnkey = tbhorecacontactennn.dnkeyhorecavergunningen)
  inner join tbsoorthorverg
  on (tbhorecavergunningen.dnkeysoortverg = tbsoorthorverg.dnkey)
;
create or replace view vwhorecaavrcontacten as
select
  tbhorecacontactennn.dnkeyhorecavergunningen,
  tbcontactadressen.dvvoorletters dvavrvoorl,
  tbcontactadressen.dvvoorvoegsel dvavrtussenv,
  tbcontactadressen.dvachternaam dvavrnaam,
  tbcontactadressen.dvbedrijfsnaam dvavrbedrijfsnaam,
  tbcontactadressen.dvdebiteurnr,
  tbcontactadressen.dvstraatnaam dvavrstraatnaam,
  tbcontactadressen.dvhuisnummer dvavrhuisnummer,
  tbcontactadressen.dvhuisletter dvavrhuisletter,
  tbcontactadressen.dvhuisnummertoevoeging dvavrhuisnrtoev,
  tbcontactadressen.dvpostcode dvavrpostcode,
  tbcontactadressen.dvwoonplaatsnaam dvavrwoonplaats
from
  tbhorecacontactennn
  inner join tbcontactadressen
  on tbhorecacontactennn.dnkeycontactadressen = tbcontactadressen.dnkey  
where
    tbhorecacontactennn.dvcodeadressoort = 'AVR'
;
create or replace view vwdocsrtisc as
select
  tbdocumentsoorten.dvcode,
  tbdocumentsoorten.dvomschrijving,
  tbdocumentsoorten.ddvervaldatum
from
  tbdocumentsoorten
where
  (tbdocumentsoorten.ddvervaldatum > fn_vandaag(0)
  or
  tbdocumentsoorten.ddvervaldatum is null)
  and
  tbdocumentsoorten.dvcode in
    (select
       tbdocumenten.dvcodedocumentsoorten
     from
       tbdocumenten
     where
       tbdocumenten.dvvantoepop = 'C'
       and
       (tbdocumenten.ddvervaldatum > fn_vandaag(0)
        or
        tbdocumenten.ddvervaldatum is null))
;
create or replace view vwhorecacontacten as
select
  tbhorecacontactennn.dnkeyhorecavergunningen,
  tbcontactadressen.dnkey dnkeycontactadressen,
  tbcontactadressen.dvvoorletters dvcontvoorletters,
  tbcontactadressen.dvvoorvoegsel dvcontvoorvoegsel,
  tbcontactadressen.dvroepnaam dvcontroepnaam,
  tbcontactadressen.dvachternaam dvcontachternaam,
  tbcontactadressen.dvbedrijfsnaam dvcontbedrijfsnaam,
  tbcontactadressen.dvbriefaanhef dbcontbriefaanhef,
  tbcontactadressen.dvwoonplaatsnaam dvcontwoonplaats,
  tbcontactadressen.dvstraatnaam dvcontstraatnaam,
  tbcontactadressen.dvaanduidingbijhuisnummer dvcontaanduidhuisnr,
  tbcontactadressen.dvhuisnummer dvconthuisnummer,
  tbcontactadressen.dvhuisnummertoevoeging dvconthuisnrtoevoeg,
  tbcontactadressen.dvhuisletter dvconthuisletter,
  tbcontactadressen.dvpostcode dvcontpostcode,
  tbcontactadressen.dvtelefoon dvconttelefoon,
  tbcontactadressen.dvfax dvcontfax,
  tbcontactadressen.dvemail dvcontemail,
  tbcontactadressen.ddgeboortedatum ddcontgeboortedatum,
  tbcontactadressen.dvgeboorteplaats dvcontgeboorteplaats,
  tbcontactadressen.dvdoopnamen dvcontdoopnamen,
  tbcontactadressen.dvidentiteitbew dvcontidentiteitbew,
  tbcontactadressen.dvsofinummer dvcontsofinummer,
  tbcontactadressen.dvcodenationaliteit dvcontnationaliteit,
  cast(case when tbcontactadressen.dvaanduidingbijhuisnummer is null then '' 
			        else tbcontactadressen.dvaanduidingbijhuisnummer || ' ' end 
			|| tbcontactadressen.dvhuisnummer
            || ' '
            || case when tbcontactadressen.dvhuisletter is null then '' else tbcontactadressen.dvhuisletter end
            || case when rtrim (tbcontactadressen.dvhuisnummertoevoeging) is null then '' 
			   else replace ('-' || tbcontactadressen.dvhuisnummertoevoeging,'--',  '-') 
			   end as character varying(15)) as dvobjhuisnr,
  tbadressoort.dvcode dvcontadrescode,
  tbadressoort.dvomschrijving dvcontadressoort,
  tbadressoort.ddvervaldatum ddcontadresverval,
  tbcontactadressen.dvsofinummer dvbsn,
  tbcontactadressen.dvbin,
  tbcontactadressen.dvhandelsnaam dvconthandelsnaam
from
  tbhorecacontactennn
  inner join tbcontactadressen
  on (tbhorecacontactennn.dnkeycontactadressen = tbcontactadressen.dnkey)
  inner join tbadressoort
  on (tbhorecacontactennn.dvcodeadressoort = tbadressoort.dvcode)
;
create or replace view vwfrmhorecacontacten as
select
  tbhorecacontactennn.dnkeyhorecavergunningen,
  tbcontactadressen.dnkey dnkeycontactadressen,
  tbcontactadressen.dvvoorletters dvcontvoorletters,
  tbcontactadressen.dvvoorvoegsel dvcontvoorvoegsel,
  tbcontactadressen.dvroepnaam dvcontroepnaam,
  tbcontactadressen.dvachternaam dvcontachternaam,
  tbcontactadressen.dvbedrijfsnaam dvcontbedrijfsnaam,
  tbcontactadressen.dvbriefaanhef dbcontbriefaanhef,
  tbcontactadressen.dvwoonplaatsnaam dvcontwoonplaats,
  tbcontactadressen.dvstraatnaam dvcontstraatnaam,
  tbcontactadressen.dvaanduidingbijhuisnummer dvcontaanduidhuisnr,
  tbcontactadressen.dvhuisnummer dvconthuisnummer,
  tbcontactadressen.dvhuisnummertoevoeging dvconthuisnrtoevoeg,
  tbcontactadressen.dvhuisletter dvconthuisletter,
  tbcontactadressen.dvpostcode dvcontpostcode,
  tbcontactadressen.dvtelefoon dvconttelefoon,
  tbcontactadressen.dvfax dvcontfax,
  tbcontactadressen.dvemail dvcontemail,
  tbcontactadressen.dvdebiteurnr,
  tbcontactadressen.dvgeslacht,
  tbcontactadressen.dvdoopnamen,
  tbcontactadressen.dvbin dvcontbinnr,
  tbcontactadressen.dvsofinummer dvcontbsnnr,
  tbcontactadressen.dvveststraat,
  tbcontactadressen.dvvesthuisnr,
  tbcontactadressen.dvvesthuisletter,
  tbcontactadressen.dvvesthuistoev,
  tbcontactadressen.dvvestpc,
  tbcontactadressen.dvvestplaats,
  tbadressoort.dvcode dvcontadrescode,
  tbadressoort.dvomschrijving dvcontadressoort,
  tbadressoort.ddvervaldatum ddcontadresverval,
  cast(case when tbcontactadressen.dvgeslacht = 'M' then 'De heer' 
  when tbcontactadressen.dvgeslacht ='V' then'Mevrouw' 
  else 'De heer/mevrouw' end
  || case when tbcontactadressen.dvvoorletters is not null then rtrim(' '||tbcontactadressen.dvvoorletters) else '' end
  || case when tbcontactadressen.dvvoorvoegsel is not null then rtrim(' '||tbcontactadressen.dvvoorvoegsel) else '' end
  || case when tbcontactadressen.dvachternaam is not null then rtrim(' '||tbcontactadressen.dvachternaam) else '' end
  as character varying(238)) as dvconttav,  
  cast(tbcontactadressen.dvstraatnaam 
  || case when tbcontactadressen.dvaanduidingbijhuisnummer is not null then rtrim(' '||tbcontactadressen.dvaanduidingbijhuisnummer) else '' end
  || case when tbcontactadressen.dvhuisnummer is not null then rtrim(' '||tbcontactadressen.dvhuisnummer)else '' end
  || case when tbcontactadressen.dvhuisletter is not null then tbcontactadressen.dvhuisletter else '' end
  || case when rtrim(tbcontactadressen.dvhuisnummertoevoeging) is null then '' 
     else replace('-'||tbcontactadressen.dvhuisnummertoevoeging,'--','-')
     end as character varying(95)) as dvcontadres,
  tbcontactadressen.ddgeboortedatum,
  tbcontactadressen.dvgeboorteplaats,
  tbcontactadressen.dvhandelsnaam dvconthandelsnaam,
   tbcontactadressen.dvgsm dvcontgsm,
          tbcontactadressen.dvcodenationaliteit,
  tbnationaliteiten.dvomschrijving dvnationaliteit,
  tbcontactadressen.dddatummutatie,
  tbcontactadressen.ddcontrolegba,
  tbcontactadressen.dvvestigingsnr,
  tbcontactadressen.dvidentiteitbew,
  tbcontactadressen.ddvervaldatum
from
  tbhorecacontactennn
  inner join tbcontactadressen
  on (tbhorecacontactennn.dnkeycontactadressen = tbcontactadressen.dnkey)
  inner join tbadressoort
  on (tbhorecacontactennn.dvcodeadressoort = tbadressoort.dvcode)
   left outer join tbnationaliteiten
  on (tbcontactadressen.dvcodenationaliteit = tbnationaliteiten.dvcode)
;
create or replace view vwhorecaverzendlijst as
select
  tbwoonplaats.dvwoonplaatsnaam dvwoonplaats,
  tbopenbareruimte.dvopruimtenaam dvnaam_nen5825,
  tbperceeladressen.dvhuisnummer,
  tbperceeladressen.dvhuisnummertoevoeging,
  tbperceeladressen.dvhuisletter,
  tbperceeladressen.dvhuisnrinfo,
  tbhorecavergunningen.dvvergnummer,
  tbhorecavergunningen.ddaanvraagdatum,
  tbhorecavergunningen.dddatumbesluit,
  tbverzendlijst.dnkey,
  tbverzendlijst.dvcodemedewerkers,
  tbverzendlijst.ddtoegevoegd,
  tbverzendlijst.dnkeyhorecavergunningen,
  tbverzendlijst.dnkeycontactadressen,
  tbcontactadressen.dvachternaam,
  tbcontactadressen.dvbedrijfsnaam
from
  tbwoonplaats
  inner join tbopenbareruimte
  on (tbopenbareruimte.dnkeywoonplaats = tbwoonplaats.dnkey)
  inner join tbperceeladressen
  on (tbperceeladressen.dnkeyopenbruimte = tbopenbareruimte.dnkey)
  inner join tbhorecavergunningen
  on (tbperceeladressen.dnkey = tbhorecavergunningen.dnkeyperceeladressen)
  inner join tbverzendlijst
  on (tbhorecavergunningen.dnkey = tbverzendlijst.dnkeyhorecavergunningen)
  inner join tbcontactadressen
  on (tbcontactadressen.dnkey = tbverzendlijst.dnkeycontactadressen)
  ;
create or replace view vwhorecaadvies_behandelaar as
select
  tbadviezen.ddrappeldatum,
  tbadviezen.ddadviesdatum,
  tbadviezen.dvomschrijving,
  tbadviezen.dnkeyhorecavergunningen dnkeyvergunning,
  tbadviesinstanties.dvomschrijving dvomschradviesinstantie,
  trim(tbadviezen.dvcodemedewerkers) dvcodemedewerker,
  tbadviezen.dnkey dnkeyadvies
from
  tbadviezen
  inner join tbadviesinstanties
  on (tbadviezen.dvcodeadviesinstanties = tbadviesinstanties.dvcode)
where
  tbadviezen.dvcodemedewerkers is not null and
  tbadviezen.ddrappeldatum is not null and
  tbadviezen.ddadviesdatum is null and
  tbadviezen.ddvervallen is null and
  tbadviezen.dnkeyhorecavergunningen in (select dnkey from tbhorecavergunningen where ddblokkering is null and ddingetrokken is null)
union
select
  tbadviezen.ddrappeldatum, 
  tbadviezen.ddadviesdatum, 
  tbadviezen.dvomschrijving, 
  tbadviezen.dnkeyhorecavergunningen dnkeyvergunning, 
  tbadviesinstanties.dvomschrijving dvomschradviesinstantie, 
  trim(tbinbehandelingbij.dvcodemedewerker) dvcodemedewerker, 
  tbadviezen.dnkey dnkeyadvies
from 
  tbadviezen
inner join tbadviesinstanties
on (tbadviezen.dvcodeadviesinstanties = tbadviesinstanties.dvcode) 
inner join tbinbehandelingbij 
on (tbinbehandelingbij.dnkeyhorecavergunningen = tbadviezen.dnkeyhorecavergunningen)
where 
  tbinbehandelingbij.dlactief = 'T' and 
  tbadviezen.ddrappeldatum is not null and 
  tbadviezen.ddadviesdatum is null and 
  tbadviezen.ddvervallen is null and
  tbadviezen.dnkeyhorecavergunningen in (select dnkey from tbhorecavergunningen where ddblokkering is null and ddingetrokken is null)
;
create or replace view vwhorecaeigcontacten as
select
  tbhorecacontactennn.dnkeyhorecavergunningen,
  tbcontactadressen.dvvoorletters dveigvoorl,
  tbcontactadressen.dvvoorvoegsel dveigtussenv,
  tbcontactadressen.dvachternaam dveignaam,
  tbcontactadressen.dvbedrijfsnaam dveigbedrijfsnaam,
  tbcontactadressen.ddgeboortedatum,
  tbcontactadressen.dvdebiteurnr,
  tbcontactadressen.dvtelefoon dveigtelefoon,
  tbcontactadressen.dvstraatnaam dveigstraatnaam,
  tbcontactadressen.dvhuisnummer dveighuisnummer,
  tbcontactadressen.dvhuisletter dveighuisletter,
  tbcontactadressen.dvhuisnummertoevoeging dveighuisnrtoev,
  tbcontactadressen.dvpostcode dveigpostcode,
  tbcontactadressen.dvwoonplaatsnaam dveigwoonplaats,
  tbcontactadressen.dnkey dnkeycontactadressen,
  tbcontactadressen.dvhandelsnaam dveighandelsnaam
from
  tbhorecacontactennn
  inner join tbcontactadressen
  on (tbhorecacontactennn.dnkeycontactadressen = tbcontactadressen.dnkey)
where
  tbhorecacontactennn.dvcodeadressoort = 'EIG'
;
create or replace view vwhorecaleicontacten as
select
  tbhorecacontactennn.dnkeyhorecavergunningen,
  tbcontactadressen.dvvoorletters dvleivoorl,
  tbcontactadressen.dvvoorvoegsel dvleitussenv,
  tbcontactadressen.dvachternaam dvleinaam,
  tbcontactadressen.ddgeboortedatum,
  tbcontactadressen.dvdebiteurnr,
  tbcontactadressen.dvtelefoon dvleitelefoon,
  tbcontactadressen.dvstraatnaam dvleistraatnaam,
  tbcontactadressen.dvhuisnummer dvleihuisnummer,
  tbcontactadressen.dvhuisletter dvleihuisletter,
  tbcontactadressen.dvhuisnummertoevoeging dvleihuisnrtoev,
  tbcontactadressen.dvpostcode dvleipostcode,
  tbcontactadressen.dvwoonplaatsnaam dvleiwoonplaats
from
  tbhorecacontactennn
  inner join tbcontactadressen
  on (tbhorecacontactennn.dnkeycontactadressen = tbcontactadressen.dnkey)
  where
  tbhorecacontactennn.dvcodeadressoort = 'LEI'
;
create or replace view vwfrmhorterras as
select
  tbhorterras.dnkeyhorecavergunningen,
  tbhorterras.ddverleendvan,
  tbhorterras.ddverleendtot,
  cast(case when tbhorterras.dvgrond = 'E' then 'Eigen' when tbhorterras.dvgrond = 'G' then 'Gemeente' when tbhorterras.dvgrond = 'B' then'Beiden' else'' 
  end as character varying(8)) as dvgrond,
  tbhorterras.dvomschrijving,
  tbhorterras.dvtekeningnr,
  tbhorterras.dvvergnummer,
  tbhorterras.dfoppervlakte dnoppervlakte
from
  tbhorterras
;
create or replace view vwfrmhorsluiting as
select
  tbhorsluitingstijden.dnkeyhorecavergunningen,
  tbhorsluitingstijden.dvvergnummer,
  tbhorsluitingstijden.ddverleendvan,
  tbhorsluitingstijden.ddverleendtot,
  tbhorsluitingstijden.dvmemo,
  cast(case when tbhorsluitingstijden.dvnormaal = 'N' then 'Normaal' else 'Incidenteel' 
  end as character varying(11)) as dvsoort,
  tbhorsluitingen.dvomschrijving dvtijden
  from
  tbhorsluitingstijden
  inner join tbhorsluitingen
  on (tbhorsluitingstijden.dnkeyhorsluitingen = tbhorsluitingen.dnkey)
;
create or replace view vwfrmhorspeelautomaten as
select  
  tbhorspeelautomaten.dnkeyhorecavergunningen, 
  tbhorspeelautomaten.dvvergnummer, 
  tbhorspeelautomaten.ddverleendvan, 
  tbhorspeelautomaten.ddverleendtot, 
  cast(case when tbhorspeelautomaten.dlconvenant = 'T' then 'Ja' when tbhorspeelautomaten.dlconvenant = 'F' then 'Nee' else ''
  end as character varying(3)) as dlconvenant, 
  tbhorspeelautomaten.dvcategorie,
  tbhorspeelautomaten.dnaantalkans, 
  tbhorspeelautomaten.dnaantalbeh,
  tbhorspautcategorie.dvomschrijving dvcatomschrijving  
from  
  tbhorspeelautomaten
  inner join tbhorspautcategorie
  on (tbhorspeelautomaten.dvcategorie = tbhorspautcategorie.dvcode)
  ;
create or replace view vwfrmhorklachten as
select
  tbhorklachten.dnkeyhorecavergunningen,
  tbhorklachten.dddatumklacht,
  tbhorklachten.dvomschrijving,
  tbhorsoortklacht.dvomschrijving dvsoortklacht
  from
  tbhorklachten
  inner join tbhorsoortklacht
  on (tbhorklachten.dnkeyhorsoortklacht = tbhorsoortklacht.dnkey)
;
create or replace view vwfrmhorexploitatie as
select
  tbhorexploitatie.dnkeyhorecavergunningen,
  tbhorexploitatie.dvvergnummer,
  tbhorexploitatie.ddverleendvan,
  tbhorexploitatie.ddverleendtot,
  tbhorexploitatie.dvomschrijving,
  tbhorexploitatie.dvsoortoverig,
  tbhorsoortexploitatie.dvomschrijving dvsoort
  from
  tbhorexploitatie
  inner join tbhorsoortexploitatie
  on (tbhorexploitatie.dnkeysoortexpl = tbhorsoortexploitatie.dnkey)
;
create or replace view vwhorminmaxdeadline as
select
  max(a.dddeadline) ddtrmmaxdeadline,
  min(a.dddeadline) ddtrmmindeadline,
  a.dnkeyhorecavergunningen
from
  tbtermijnbewstappen a
  inner join tbhorecavergunningen b
  on (a.dnkeyhorecavergunningen = b.dnkey)
where
  b.ddblokkering is null
  and
  b.ddingetrokken is null
  and
  a. ddafgehandeld is null
  and
  a.dlingebruik = 'T'
  and
  (a.dvvoorwaardejn = 'N'
   OR
   a.dnvoorwaarde > 0)
group by
  a.dnkeyhorecavergunningen
;
create or replace view vwfrmhorkrittermijnen as
select
  tbtermijnbewstappen.dnkeyhorecavergunningen,
  cast(max(tbtermijnbewstappen.dvtermijnomschrijving) as character varying(40)) as dvkrittrmomschrijving,
  max(tbtermijnbewstappen.dddeadline) ddkrittrmdeadline,
  cast(max(tbtermijnbewstappen.dlfataal) as char(1)) as dlfataal,
  cast(max(tbtermijnbewstappen.dvcodemedewerkers) as char(5)) as dvcodemedewerkers,
  max(tbtermijnbewstappen.dnkey) dnkey,
  cast(max(tbprocedures.dvprocnaam) as character varying(40)) as dvkrittrmprocnaam
from
  tbtermijnbewstappen
  inner join tbprocedures
  on (tbtermijnbewstappen.dnkeyorgprocedure = tbprocedures.dnkey)
where
    tbtermijnbewstappen.dlingebruik = 'T'
    and
  tbtermijnbewstappen.dvvoorwaardejn = 'N'
  and
  tbtermijnbewstappen.ddafgehandeld is null
  and
  (tbtermijnbewstappen.dddeadline, tbtermijnbewstappen.dnkeyhorecavergunningen)
  in
  (select
     ddtrmmindeadline,
	 dnkeyhorecavergunningen
   from
     vwhorminmaxdeadline)
	 group by dnkeyhorecavergunningen  
;
create or replace view vwfrmhorvergunningen as 
select
  tbhorecavergunningen.dnkey dnkeyhorvergunning,
  tbhorecavergunningen.dvvergnummer dvhorvergunningsnr,
  tbhorecavergunningen.ddaanvraagdatum,
  tbhorecavergunningen.dddatumbesluit,
  tbhorecavergunningen.ddvervaldatum,
  tbhorecavergunningen.ddblokkering,
  tbhorecavergunningen.ddvergbrandweer,
  tbhorecavergunningen.dvzaaknaam,
  tbhorecavergunningen.dvzaaktel,
  tbhorecavergunningen.dvzaakfax,
  tbhorecavergunningen.dvzaakkvk,
  tbhorecavergunningen.dvzaakbedrshor,
  tbhorecavergunningen.dvzaakemail,
  tbhorecavergunningen.dvwebsite dvzaakwebsite,
  tbhorecavergunningen.dvvergbrandweer,
  tbhorecavergunningen.dvcodeaardbesluit,
  tbhorecavergunningen.dvhandelsnaam,
  tbhorecavergunningen.dvlokaliteiten,
  tbhorecavergunningen.dvredenpolgevweb,
  tbhorecavergunningen.ddlegesverzonden,
  cast(case when tbhorecavergunningen.dlpolitiekgev = 'T' then 'Ja' else 'Nee' 
  end as character varying(3)) as dvpolitiekgevoelig,
  cast(case when tbhorecavergunningen.dlsocialehygiene = 'T' then 'Ja' else 'Nee' 
  end as character varying(3)) as dvsocialehygiene,
  cast(case when tbhorecavergunningen.dlwetmilieubeh = 'T' then 'Ja' else 'Nee' end as character varying(3)) as dvwetmilieubeh,
  tbhorecavergunningen.ddonthhorinrdatvan,
  tbhorecavergunningen.ddonthhortsdatvan,
  tbhorecavergunningen.ddonthhorvrkdattm,
  tbhorecavergunningen.ddonthhorvrkdatvan,
  tbhorecavergunningen.dvonthhorinrnr,
  tbhorecavergunningen.dvonthhorinroms,
  tbhorecavergunningen.dvonthhortsnr,
  tbhorecavergunningen.dvonthhortsoms,
  tbhorecavergunningen.dvonthhorvrknr,
  tbhorecavergunningen.dvonthhorvrkoms,
  cast(null as character varying(1)) as dbmemo,
  tbhorecavergunningen.ddfataledatum,
  tbhorecavergunningen.dvdmszaakcode,
  tbhorecavergunningen.ddingetrokken,
  tbhorecavergunningen.dvredenintrekking,
  tbhorecavergunningen.dvomschrijving dvhorvergomschrijving,
  tbhorecavergunningen.dnlooptijd,
  cast(case
               when tbhorecavergunningen.ddnaverlingetrokken <= fn_vandaag(0)	  
			      then 'ingetrokken na verl.'
			   when tbhorecavergunningen.ddverlopen < fn_vandaag(0)	  
			      then 'verlopen'
			   when tbhorecavergunningen.ddvervaldatum <= fn_vandaag(0)	  
			      then 'vervallen'
               when tbhorecavergunningen.dddatumbesluit is not null
               then
                  tbhoraardbesluit.dvomschrijving
               when tbhorecavergunningen.ddingetrokken is not null
               then
                  'ingetrokken tijdens beh.'
               else
                  'in behandeling'
  end as character varying(50)) as dvstatus,
  tbhorredenaanvraag.dvomschrijving dvredenaanvraag,
  tbhoraardbesluit.dvomschrijving dvaardbesluit,
  cast(case when tbhoraardbesluit.dlverleend =	'T' then 'Ja' else 'Nee' 
  end as character varying(3)) as dvverleend,
  cast(null as character varying(1)) as dvactueleprocnaam,
  tbgroepvergunning.dvomschrijving dvgroepvergunning,
  tbdossierverblijf.dvomschrijving dvdossierverblijf,
  tbsoorthorverg.dvomschrijving dvsoorthorvergunning,
  tbsoorthorverg.dvmodel,
  tbhorgebied.dvomschrijving dvgebied,
  tbhorrechtsvorm.dvomschrijving dvrechtsvorm,
  tbhorsrtonderneming.dvomschrijving dvsoortonderneming,
  tbopenbareruimte.dvopruimtenaam dvobjstraat,
  tbperceeladressen.dvpostcode dvobjpostcode,
  tbwoonplaats.dvwoonplaatsnaam dvobjplaats,
  tbperceeladressen.dnstraatcode,
  tbopenbareruimte.dvextraopruimtenaam dvobjoffstraat,
  tbmonumenten.dvomschrijving dvobjmonument,
  tbperceeladressen.dnkey dnkeyperceeladressen,
  tbperceeladressen.dnxcoordinaat,
  tbperceeladressen.dnycoordinaat,
  tbperceeladressen.dvbestemming dvobjbestemming,
  tbperceeladressen.dvaanduidingbijhuisnummer dvobjaanduidhuisnr,
  tbperceeladressen.dvhuisnummer dvobjhuisnummer,
  tbperceeladressen.dvhuisnummertoevoeging dvobjhuisnrtoevoeg,
  tbperceeladressen.dvhuisletter dvobjhuisletter,
  tbperceeladressen.dvgmntecode dvobjgmntecode,
  tbperceeladressen.dvsectie dvobjsectie,
  tbperceeladressen.dvperceelnummer dvobjperceelnr,
  tbperceeladressen.dvextraperceelnummers dvobjextrpercnrs,
  tbperceeladressen.dvhuisnrinfo dvobjhuisnrinfo,
  tbperceeladressen.dvidentificatiecode dvobjidentificatiecode,
  cast (tbopenbareruimte.dvopruimtenaam 
     || case when tbperceeladressen.dvaanduidingbijhuisnummer is null then ' ' 
			 else ' ' || tbperceeladressen.dvaanduidingbijhuisnummer || ' ' end 
	 || tbperceeladressen.dvhuisnummer
     || ' '
     || case when tbperceeladressen.dvhuisletter is null then '' else tbperceeladressen.dvhuisletter end
     || case when rtrim (tbperceeladressen.dvhuisnummertoevoeging) is null then '' 
			 else replace ('-' || tbperceeladressen.dvhuisnummertoevoeging,'--',  '-') end 
	 || case when tbperceeladressen.dvhuisnrinfo is null then '' else rtrim(' '||tbperceeladressen.dvhuisnrinfo) end
	 as character varying(136)) as dvobjadres,
  tbhorecavergunningen.dnkeymilinrichtingen,
  tbmilinrichtingen.dvinrichtingnaam,
  tbmilinrichtingen.dvinrichtingnr,
  tbhorecavergunningen.ddpublaanvrg,
  tbhorecavergunningen.ddverlopen,
  tbhorecavergunningen.ddnaverlingetrokken,
  tbbesluittypes.dvtype dvbesluittype,
  tbhorecavergunningen.dnkeybesluittypes,
  tbhorecavergunningen.dvarchiefnr,
  tbhorecavergunningen.dvintzaakcode,
  tbhorecavergunningen.dlisindmsverwijderd,
  tbhorecavergunningen.dnkeysoortverg
from
  tbhorecavergunningen
  left outer join tbgroepvergunning
  on (tbhorecavergunningen.dnkeygroepvergunning = tbgroepvergunning.dnkey)
  left outer join tbdossierverblijf
  on (tbhorecavergunningen.dvcodedossierverblijf = tbdossierverblijf.dvcode)
  left outer join tbhoraardbesluit
  on (tbhorecavergunningen.dvcodeaardbesluit = tbhoraardbesluit.dvcode)
  left outer join tbhorgebied
  on (tbhorecavergunningen.dnkeygebied = tbhorgebied.dnkey)
  inner join tbsoorthorverg
  on (tbhorecavergunningen.dnkeysoortverg = tbsoorthorverg.dnkey)
  left outer join tbhorsrtonderneming
  on (tbhorecavergunningen.dnkeysoortonderneming = tbhorsrtonderneming.dnkey)
  left outer join tbhorrechtsvorm
  on (tbhorecavergunningen.dnkeyrechtsvorm = tbhorrechtsvorm.dnkey)
  left outer join tbhorredenaanvraag
  on (tbhorecavergunningen.dnkeyhorredenaanvraag = tbhorredenaanvraag.dnkey)
  inner join tbperceeladressen
  on (tbhorecavergunningen.dnkeyperceeladressen = tbperceeladressen.dnkey)
  left outer join tbmilinrichtingen
  on (tbhorecavergunningen.dnkeymilinrichtingen = tbmilinrichtingen.dnkey)
  inner join tbopenbareruimte
  on (tbperceeladressen.dnkeyopenbruimte = tbopenbareruimte.dnkey)
  inner join tbwoonplaats
  on (tbopenbareruimte.dnkeywoonplaats = tbwoonplaats.dnkey)
  left outer join tbmonumenten
  on (tbperceeladressen.dnkeymonumenten = tbmonumenten.dnkey)
  left outer join tbbesluittypes
  on (tbhorecavergunningen.dnkeybesluittypes = tbbesluittypes.dnkey)
  ;
create or replace view vwfrmhoreindtermijnen as
select
  tbtermijnbewstappen.dnkeyhorecavergunningen,
  tbtermijnbewstappen.dvtermijnomschrijving dveindtrmomschrijving,
  tbtermijnbewstappen.dddeadline ddeindtrmdeadline,
  tbtermijnbewstappen.dlfataal,
  tbtermijnbewstappen.dvcodemedewerkers,
  tbprocedures.dvprocnaam dveindtrmprocnaam
from
  tbtermijnbewstappen
  inner join tbprocedures
  on (tbtermijnbewstappen.dnkeyorgprocedure = tbprocedures.dnkey)
where
  tbtermijnbewstappen.dlingebruik = 'T'
  and
  (tbtermijnbewstappen.dddeadline, tbtermijnbewstappen.dnkeyhorecavergunningen)
  in
  (select
     ddtrmmaxdeadline,
	 dnkeyhorecavergunningen
   from
     vwhorminmaxdeadline)
;
create or replace view vwbestplancontacten as 
select
  tbbestemcontactennn.dnkeybestemmingsplannen,
  tbcontactadressen.dnkey dnkeycontactadressen,
  tbcontactadressen.dvvoorletters dvcontvoorletters,
  tbcontactadressen.dvvoorvoegsel dvcontvoorvoegsel,
  tbcontactadressen.dvroepnaam dvcontroepnaam,
  tbcontactadressen.dvachternaam dvcontachternaam,
  tbcontactadressen.dvbedrijfsnaam dvcontbedrijfsnaam,
  tbcontactadressen.dvbriefaanhef dbcontbriefaanhef,
  tbcontactadressen.dvwoonplaatsnaam dvcontwoonplaats,
  tbcontactadressen.dvstraatnaam dvcontstraatnaam,
  tbcontactadressen.dvaanduidingbijhuisnummer dvcontaanduidhuisnr,
  tbcontactadressen.dvhuisnummer dvconthuisnummer,
  tbcontactadressen.dvhuisnummertoevoeging dvconthuisnrtoevoeg,
  tbcontactadressen.dvhuisletter dvconthuisletter,
  tbcontactadressen.dvpostcode dvcontpostcode,
  tbcontactadressen.dvtelefoon dvconttelefoon,
  tbcontactadressen.dvfax dvcontfax,
  tbcontactadressen.dvemail dvcontemail,
  cast(case when tbcontactadressen.dvaanduidingbijhuisnummer is null then '' 
			        else tbcontactadressen.dvaanduidingbijhuisnummer || ' ' end 
			|| tbcontactadressen.dvhuisnummer
            || ' '
            || case when tbcontactadressen.dvhuisletter is null then '' else tbcontactadressen.dvhuisletter end
            || case when rtrim (tbcontactadressen.dvhuisnummertoevoeging) is null then '' 
			   else replace ('-' || tbcontactadressen.dvhuisnummertoevoeging,'--',  '-') 
			   end as character varying(15)) as dvobjhuisnr,
  tbadressoort.dvcode dvcontadrescode,
  tbadressoort.dvomschrijving dvcontadressoort,
  tbadressoort.ddvervaldatum ddcontadresverval,
  tbcontactadressen.dvhandelsnaam dvconthandelsnaam
from
  tbbestemcontactennn
  inner join tbcontactadressen
  on (tbbestemcontactennn.dnkeycontactadressen = tbcontactadressen.dnkey)
  inner join tbadressoort
  on tbbestemcontactennn.dvcodeadressoort = tbadressoort.dvcode
;
create or replace view vwdocsrtiss as 
select
  tbdocumentsoorten.dvcode,
  tbdocumentsoorten.dvomschrijving,
  tbdocumentsoorten.ddvervaldatum
from
  tbdocumentsoorten
where
  (tbdocumentsoorten.ddvervaldatum > fn_vandaag(0)
  or
  tbdocumentsoorten.ddvervaldatum is null)
  and
  tbdocumentsoorten.dvcode in
    (select
       tbdocumenten.dvcodedocumentsoorten
     from
       tbdocumenten
     where
       tbdocumenten.dvvantoepop = 'S'
       and
       (tbdocumenten.ddvervaldatum > fn_vandaag(0)
        or
        tbdocumenten.ddvervaldatum is null))
;
create or replace view vwbestplansoort as
select
  tbbestemmingsplannen.dnkey,
  tbbestemmingsplannen.dnkeybestemmingsplannen,
  tbbestemmingsplannen.dnkeysrtbestplan,
  tbbestemmingsplannen.dvnummer,
  tbbestemmingsplannen.dvnaam,
  tbbestemmingsplannen.dvomschrijving,
  tbbestemmingsplannen.dvkern,
  tbbestemmingsplannen.dvgebied,
  tbbestemmingsplannen.dvhyperlink,
  tbbestemmingsplannen.dddatumvaststelling,
  tbbestemmingsplannen.dddatumgoedkeuring,
  tbbestemmingsplannen.dvkenmerkvaststelling,
  tbbestemmingsplannen.dvkenmerkgoedkeuring,
  tbbestemmingsplannen.dddatumonherroepelijk,
  tbbestemmingsplannen.dddatumvrijstherzplicht,
  tbbestemmingsplannen.dvkenmerkvrijstherzplicht,
  tbbestemmingsplannen.dldelegatie,
  tbbestemmingsplannen.dvkadastraal,
  tbbestemmingsplannen.dvadres,
  tbbestemmingsplannen.dlaanlegstelsel,
  tbbestemmingsplannen.dvbestemming,
  tbbestemmingsplannen.ddblokkeerdatum,
  tbbestemmingsplannen.dvmemo,
  tbbestemmingsplannen.dlinvoorbereiding,
  tbbestemmingsplannen.ddfataledatum,
  tbbestemmingsplannen.ddmeetdatum,
  tbbestemmingsplannen.ddvervaldatum,
  tbsrtbestplan.dvomschrijving dvsoortbestplan,
  tbsrtbestplan.dvsoortplan,
  tbsrtbestplan.dnfataleperiode,
  tbsrtbestplan.dlbasis,
  tbsrtbestplan.dvfunctie,
  tbsrtbestplan.ddvervaldatum ddvervaldatumsoort,
  tbbestplancategorie.dvomschrijving categorie
from
  tbbestemmingsplannen
left outer join tbsrtbestplan
on (tbbestemmingsplannen.dnkeysrtbestplan = tbsrtbestplan.dnkey) 
left outer join tbbestplancategorie
on (tbsrtbestplan.dnkeybestplancategorie = tbbestplancategorie.dnkey)
; 
create or replace view vwbouwbplgeld as
select
  vwbestplansoort.dnkey,
  vwbestplansoort.dnkeybestemmingsplannen,
  vwbestplansoort.dnkeysrtbestplan,
  vwbestplansoort.dvnummer,
  vwbestplansoort.dvnaam,
  vwbestplansoort.dvomschrijving,
  vwbestplansoort.dvkern,
  vwbestplansoort.dvgebied,
  vwbestplansoort.dvhyperlink,
  vwbestplansoort.dddatumvaststelling,
  vwbestplansoort.dddatumgoedkeuring,
  vwbestplansoort.dvkenmerkvaststelling,
  vwbestplansoort.dvkenmerkgoedkeuring,
  vwbestplansoort.dddatumonherroepelijk,
  vwbestplansoort.dddatumvrijstherzplicht,
  vwbestplansoort.dvkenmerkvrijstherzplicht,
  vwbestplansoort.dldelegatie,
  vwbestplansoort.dvkadastraal,
  vwbestplansoort.dvadres,
  vwbestplansoort.dlaanlegstelsel,
  vwbestplansoort.dvbestemming,
  vwbestplansoort.ddblokkeerdatum,
  vwbestplansoort.dvmemo,
  vwbestplansoort.dvsoortbestplan,
  vwbestplansoort.dvsoortplan,
  vwbestplansoort.ddvervaldatum,
  vwbestplansoort.categorie,
  tbbouwvrijgeldbplnn.dnkeybouwvergunningen
from
  vwbestplansoort
  left outer join tbbouwvrijgeldbplnn
on (vwbestplansoort.dnkey = tbbouwvrijgeldbplnn.dnkeybplvrijst)
;
create or replace view vwbouwbplnw as 
select
  vwbestplansoort.dnkey,
  vwbestplansoort.dnkeybestemmingsplannen,
  vwbestplansoort.dnkeysrtbestplan,
  vwbestplansoort.dvnummer,
  vwbestplansoort.dvnaam,
  vwbestplansoort.dvomschrijving,
  vwbestplansoort.dvkern,
  vwbestplansoort.dvgebied,
  vwbestplansoort.dvhyperlink,
  vwbestplansoort.dddatumvaststelling,
  vwbestplansoort.dddatumgoedkeuring,
  vwbestplansoort.dvkenmerkvaststelling,
  vwbestplansoort.dvkenmerkgoedkeuring,
  vwbestplansoort.dddatumonherroepelijk,
  vwbestplansoort.dddatumvrijstherzplicht,
  vwbestplansoort.dvkenmerkvrijstherzplicht,
  vwbestplansoort.dldelegatie,
  vwbestplansoort.dvkadastraal,
  vwbestplansoort.dvadres,
  vwbestplansoort.dlaanlegstelsel,
  vwbestplansoort.dvbestemming,
  vwbestplansoort.ddblokkeerdatum,
  vwbestplansoort.dvmemo,
  vwbestplansoort.dvsoortbestplan,
  vwbestplansoort.dvsoortplan,
  vwbestplansoort.ddvervaldatum,
  vwbestplansoort.categorie,
  tbbouwvrijnwbplnn.dnkeybouwvergunningen
from
  vwbestplansoort
  left outer join tbbouwvrijnwbplnn
  on (vwbestplansoort.dnkey = tbbouwvrijnwbplnn.dnkeybplvrijst)
;
create or replace view vwovbplgeld as
select
  vwbestplansoort.dnkey,
  vwbestplansoort.dnkeybestemmingsplannen,
  vwbestplansoort.dnkeysrtbestplan,
  vwbestplansoort.dvnummer,
  vwbestplansoort.dvnaam,
  vwbestplansoort.dvomschrijving,
  vwbestplansoort.dvkern,
  vwbestplansoort.dvgebied,
  vwbestplansoort.dvhyperlink,
  vwbestplansoort.dddatumvaststelling,
  vwbestplansoort.dddatumgoedkeuring,
  vwbestplansoort.dvkenmerkvaststelling,
  vwbestplansoort.dvkenmerkgoedkeuring,
  vwbestplansoort.dddatumonherroepelijk,
  vwbestplansoort.dddatumvrijstherzplicht,
  vwbestplansoort.dvkenmerkvrijstherzplicht,
  vwbestplansoort.dldelegatie,
  vwbestplansoort.dvkadastraal,
  vwbestplansoort.dvadres,
  vwbestplansoort.dlaanlegstelsel,
  vwbestplansoort.dvbestemming,
  vwbestplansoort.ddblokkeerdatum,
  vwbestplansoort.dvmemo,
  vwbestplansoort.dvsoortbestplan,
  vwbestplansoort.dvsoortplan,
  vwbestplansoort.ddvervaldatum,
  vwbestplansoort.categorie,
  tbovvrijgeldbplnn.dnkeyovvergunningen
from
  vwbestplansoort
  left outer join tbovvrijgeldbplnn
  on (vwbestplansoort.dnkey = tbovvrijgeldbplnn.dnkeybplvrijst)
;
create or replace view vwovbplnw as
select
  vwbestplansoort.dnkey,
  vwbestplansoort.dnkeybestemmingsplannen,
  vwbestplansoort.dnkeysrtbestplan,
  vwbestplansoort.dvnummer,
  vwbestplansoort.dvnaam,
  vwbestplansoort.dvomschrijving,
  vwbestplansoort.dvkern,
  vwbestplansoort.dvgebied,
  vwbestplansoort.dvhyperlink,
  vwbestplansoort.dddatumvaststelling,
  vwbestplansoort.dddatumgoedkeuring,
  vwbestplansoort.dvkenmerkvaststelling,
  vwbestplansoort.dvkenmerkgoedkeuring,
  vwbestplansoort.dddatumonherroepelijk,
  vwbestplansoort.dddatumvrijstherzplicht,
  vwbestplansoort.dvkenmerkvrijstherzplicht,
  vwbestplansoort.dldelegatie,
  vwbestplansoort.dvkadastraal,
  vwbestplansoort.dvadres,
  vwbestplansoort.dlaanlegstelsel,
  vwbestplansoort.dvbestemming,
  vwbestplansoort.ddblokkeerdatum,
  vwbestplansoort.dvmemo,
  vwbestplansoort.dvsoortbestplan,
  vwbestplansoort.dvsoortplan,
  vwbestplansoort.ddvervaldatum,
  vwbestplansoort.categorie,
  tbovvrijnwbplnn.dnkeyovvergunningen
from
  vwbestplansoort
  left outer join tbovvrijnwbplnn
  on (vwbestplansoort.dnkey = tbovvrijnwbplnn.dnkeybplvrijst)
;
create or replace view vwbplkernen as select distinct
  dvkern
from
  tbbestemmingsplannen
;
create or replace view vwlegesregelsvergunningen as
select
  tblegesregels.dnkey,
  cast(case when tblegesregels.dvomschrijving is not null then tblegesregels.dvomschrijving  else tblegessoort.dvomschrijving end
  as character varying(40)) as dvomschrijving,
  tblegesregels.dvnotanummer,
  tblegesregels.dflegesbedrag,
  tblegesregels.ddexportdatum,
  tblegesregels.dnkeylegessoort,
  tblegesregels.dnkeybouwvergunningen,
  tblegesregels.dnkeyovvergunningen,
  tblegesregels.dnkeyhorecavergunningen,
  tblegesregels.dnkeyinfoaanvraag,
  tblegesregels.dnkeyomgvergunningen,
  tbbouwvergunningen.ddontvangstdatum bouwontvangstdatum,
  tbbouwvergunningen.dvbouwnr bouwvergunningnr,
  tbbouwvergunningen.dnsoortplan soortbouwverg,
  tbbouwvergunningen.dvpublbouwwerk bouwpublicatie,
  tbbouwvergunningen.ddbesluitdatum bouwbesluitdatum,
  tbbouwvergunningen.ddlegesverzonden bouwacceptgiro_verzdatum,
  tbbouwvergunningen.ddverzenddatum bouwverzdatum_besch,
  tbovvergunningen.ddontvangstdatum ovontvangstdatum,
  tbovvergunningen.dvvergunningsnr ovvergunningnr,
  tbovvergunningen.dvcodesoortovverg soortovverg,
  tbovvergunningen.dvpublbouwwerk ovpublicatie,
  tbovvergunningen.ddbesluitdatum ovbesluitdatum,
  tbovvergunningen.ddlegesverzonden ovacceptgiro_verzdatum,
  tbovvergunningen.ddverzenddatum ovverzdatum_besch,
  tbhorecavergunningen.ddaanvraagdatum horaanvraagdatum,
  tbhorecavergunningen.dvvergnummer horvergunningnr,
  tbhorecavergunningen.dvlokaliteiten horlokaliteiten,
  tbhorecavergunningen.dnkeysoortverg soorthorverg,
  tbhorecavergunningen.dddatumbesluit horbesluitdatum,
  tbhorecavergunningen.ddlegesverzonden horacceptgiro_verzdatum,
  tbinfoaanvragen.ddaanvraagdatum infaanvraagdatum,
  tbinfoaanvragen.dvinfonummer infvergunningnr,
  tbinfoaanvragen.dnkeysoortinfoaanvraag soortinfo,
  tbinfoaanvragen.ddafgehandeld infafgehandeld,
  tbinfoaanvragen.ddlegesverzonden infacceptgiro_verzdatum,
  tbomgvergunning.ddaanvraag omgaanvraagdatum,
  tbomgvergunning.dvzaakcode omgvergunningnr,
  tbomgvergunning.dnkeysoortomgverg soortomgverg,
  tbomgvergunning.dvaanvraagnaam omgpublicatie,
  tbomgvergunning.ddbesluitdatum omgbesluitdatum,
  tbomgvergunning.ddlegesverzonden omgacceptgiro_verzdatum,
  tbomgvergunning.ddbeschverzonden omgverzdatum_besch,
  tblegesregels.dnlegesmoment,
  tblegesregels.ddcontrole,
  tblegesregels.dvcodemwcontrole
 from
  tblegesregels
  left outer join tbbouwvergunningen
  on (tblegesregels.dnkeybouwvergunningen = tbbouwvergunningen.dnkey)
  left outer join tbovvergunningen
  on (tblegesregels.dnkeyovvergunningen = tbovvergunningen.dnkey)
  left outer join tbhorecavergunningen
  on (tblegesregels.dnkeyhorecavergunningen = tbhorecavergunningen.dnkey)
  left outer join tbinfoaanvragen
  on (tblegesregels.dnkeyinfoaanvraag = tbinfoaanvragen.dnkey)
  left outer join tbomgvergunning
  on (tblegesregels.dnkeyomgvergunningen = tbomgvergunning.dnkey)
  inner join tblegessoort
  on (tblegesregels.dnkeylegessoort = tblegessoort.dnkey)
;
create or replace view vwfrmbestcontacten as
select
  tbbestemcontactennn.dnkeybestemmingsplannen,
  tbcontactadressen.dnkey dnkeycontactadressen,
  tbcontactadressen.dvvoorletters dvcontvoorletters,
  tbcontactadressen.dvvoorvoegsel dvcontvoorvoegsel,
  tbcontactadressen.dvroepnaam dvcontroepnaam,
  tbcontactadressen.dvachternaam dvcontachternaam,
  tbcontactadressen.dvbedrijfsnaam dvcontbedrijfsnaam,
  tbcontactadressen.dvbriefaanhef dbcontbriefaanhef,
  tbcontactadressen.dvwoonplaatsnaam dvcontwoonplaats,
  tbcontactadressen.dvstraatnaam dvcontstraatnaam,
  tbcontactadressen.dvaanduidingbijhuisnummer dvcontaanduidhuisnr,
  tbcontactadressen.dvhuisnummer dvconthuisnummer,
  tbcontactadressen.dvhuisnummertoevoeging dvconthuisnrtoevoeg,
  tbcontactadressen.dvhuisletter dvconthuisletter,
  tbcontactadressen.dvpostcode dvcontpostcode,
  tbcontactadressen.dvtelefoon dvconttelefoon,
  tbcontactadressen.dvfax dvcontfax,
  tbcontactadressen.dvemail dvcontemail,
  tbcontactadressen.dvdebiteurnr,
  tbcontactadressen.dvgeslacht,
  tbcontactadressen.dvbin dvcontbinnr,
  tbcontactadressen.dvsofinummer dvcontbsnnr,
  tbcontactadressen.dvveststraat,
  tbcontactadressen.dvvesthuisnr,
  tbcontactadressen.dvvesthuisletter,
  tbcontactadressen.dvvesthuistoev,
  tbcontactadressen.dvvestpc,
  tbcontactadressen.dvvestplaats,
  tbadressoort.dvcode dvcontadrescode,
  tbadressoort.dvomschrijving dvcontadressoort,
  tbadressoort.ddvervaldatum ddcontadresverval,
  cast(case when tbcontactadressen.dvgeslacht = 'M' then 'De heer' 
  when tbcontactadressen.dvgeslacht ='V' then'Mevrouw' 
  else 'De heer/mevrouw' end
  || case when tbcontactadressen.dvvoorletters is not null then rtrim(' '||tbcontactadressen.dvvoorletters) else '' end
  || case when tbcontactadressen.dvvoorvoegsel is not null then rtrim(' '||tbcontactadressen.dvvoorvoegsel) else '' end
  || case when tbcontactadressen.dvachternaam is not null then rtrim(' '||tbcontactadressen.dvachternaam) else '' end
  as character varying(238)) as dvconttav, 
  cast(tbcontactadressen.dvstraatnaam 
  || case when tbcontactadressen.dvaanduidingbijhuisnummer is not null then rtrim(' '||tbcontactadressen.dvaanduidingbijhuisnummer) else '' end
  || case when tbcontactadressen.dvhuisnummer is not null then rtrim(' '||tbcontactadressen.dvhuisnummer)else '' end
  || case when tbcontactadressen.dvhuisletter is not null then tbcontactadressen.dvhuisletter else '' end
  || case when rtrim(tbcontactadressen.dvhuisnummertoevoeging) is null then '' 
     else replace('-'||tbcontactadressen.dvhuisnummertoevoeging,'--','-')
     end as character varying(95)) as dvcontadres,
  tbcontactadressen.dvhandelsnaam dvconthandelsnaam
  from
  tbbestemcontactennn
  inner join tbcontactadressen
  on (tbbestemcontactennn.dnkeycontactadressen = tbcontactadressen.dnkey)
  inner join tbadressoort
  on (tbbestemcontactennn.dvcodeadressoort = tbadressoort.dvcode)
;
create or replace view vwfrmcorrespuit as 
select
  tbcorrespondentie.dnkey dnkeycorrespondentie,
  tbcorrespondentie.dnkeybouwvergunningen,
  tbcorrespondentie.dnkeyhandhavingen,
  tbcorrespondentie.dnkeyovvergunningen,
  tbcorrespondentie.dnkeyhorecavergunningen,
  tbcorrespondentie.dnkeybestemmingsplannen,
  tbcorrespondentie.dnkeyinfoaanvraag,
  tbcorrespondentie.dnkeymilinrichtingen,
  tbcorrespondentie.dnkeymilvergunningen,
  tbcorrespondentie.ddbriefdatum,
  cast(case when tbcorrespondentie.dlverstuurd ='T' then 'Ja' when tbcorrespondentie.dlverstuurd ='F' then 'Nee' else 'Onbekend' 
  end as character varying(8)) as dvverstuurd,
  tbcorrespondentie.dvdocfilenaam,
  tbcorrespondentie.dvonderwerp,
  tbcorrespondentie.dvkenmerk,
  tbcorrespondentie.dnkeycontactadressen,
  tbcorrespondentie.dnkeydocumenten,
  tbcorrespondentie.dnkeyinspbezoeken,
  tbcorrespondentie.dnkeyadviezen,
  tbcorrespondentie.dvextrainfo,
  tbdocumenten.dvdocumentnaam,
  tbdocumenten.dvcodedocumentsoorten,
  tbcontactadressen.dvbedrijfsnaam,
  tbcontactadressen.dvachternaam,
  tbcorrespondentie.dnkeyomgvergunningen,
  tbcorrespondentie.dvcodeeigenaar,
  tbcorrespondentie.dvdmsdoccode,
  tbdocumenten.dvomschrijving,
  tbinspbezoeken.dnkeyinspecties dnkeyinsptraject,
  vwfrminspecties.dvcodeaanleiding dvinspaanlcode,
  vwfrminspecties.dvgrondslagoms dvinspgrondsloms,
  vwfrminspecties.dvgrondslagzaakcode dvinspgrondslzaak,
  vwfrminspecties.dvinspomschrijving,
  tbcorrespondentie.dnkeyklachten,
  tbcorrespondentie.dvdmskenmerk,
  tbcorrespondentie.dvdmsbarcode,
  tbcorrespondentie.dvintdoccode,
  tbcorrespondentie.dlinhoudisnaardms
from
  tbcorrespondentie
  inner join tbdocumenten
  on (tbcorrespondentie.dnkeydocumenten = tbdocumenten.dnkey)
  left outer join tbcontactadressen
  on (tbcorrespondentie.dnkeycontactadressen = tbcontactadressen.dnkey)
  left outer join tbinspbezoeken
  on (tbcorrespondentie.dnkeyinspbezoeken = tbinspbezoeken.dnkey)
  left outer join vwfrminspecties
  on (tbinspbezoeken.dnkeyinspecties = vwfrminspecties.dninspkey)
;
create or replace view vwfrmcorrespbinnen as 
select
  tbcorrespbinnen.dnkey dnkeycorrespbinnen,
  tbcorrespbinnen.dnkeybouwvergunningen,
  tbcorrespbinnen.dnkeyhandhavingen,
  tbcorrespbinnen.dnkeyovvergunningen,
  tbcorrespbinnen.dnkeyhorecavergunningen,
  tbcorrespbinnen.dnkeybestemmingsplannen,
  tbcorrespbinnen.dnkeyinfoaanvraag,
  tbcorrespbinnen.dnkeymilinrichtingen,
  tbcorrespbinnen.dnkeymilvergunningen,
  tbcorrespbinnen.dvkenmerk,
  tbcorrespbinnen.dddatumbinnen,
  tbcorrespbinnen.dvarchiefnummer,
  tbcorrespbinnen.dvomschrijving,
  tbcorrespbinnen.dvhyperlink,
  tbcorrespbinnen.dddatering,
  tbcorrespbinnen.dvextrainfo,
  tbsoortcorrbinnen.dvomschrijving dvonderwerp,
  tbcorrespbinnen.dnkeyomgvergunningen,
  tbcorrespbinnen.dvdmsdoccode,
  tbcorrespbinnen.dvintdoccode
from
  tbcorrespbinnen
  inner join tbsoortcorrbinnen
  on (tbcorrespbinnen.dnkeysoortcorrbinnen = tbsoortcorrbinnen.dnkey)
;  
create or replace view vwovadvies_behandelaar as
select
  tbadviezen.ddrappeldatum,
  tbadviezen.ddadviesdatum,
  tbadviezen.dvomschrijving,
  tbadviezen.dnkeyovvergunningen dnkeyvergunning,
  tbadviesinstanties.dvomschrijving dvomschradviesinstantie,
  trim(tbadviezen.dvcodemedewerkers) dvcodemedewerker,
  tbadviezen.dnkey dnkeyadvies
from
  tbadviezen
  inner join tbadviesinstanties
  on (tbadviezen.dvcodeadviesinstanties = tbadviesinstanties.dvcode)
where
  tbadviezen.dvcodemedewerkers is not null and
  tbadviezen.ddrappeldatum is not null and
  tbadviezen.ddadviesdatum is null and
  tbadviezen.ddvervallen is null and
  tbadviezen.dnkeyovvergunningen in (select dnkey from tbovvergunningen where ddblokkering is null and ddingetrokken is null)
union
select
  tbadviezen.ddrappeldatum, 
  tbadviezen.ddadviesdatum, 
  tbadviezen.dvomschrijving, 
  tbadviezen.dnkeyovvergunningen dnkeyvergunning, 
  tbadviesinstanties.dvomschrijving dvomschradviesinstantie, 
  trim(tbinbehandelingbij.dvcodemedewerker) dvcodemedewerker,
  tbadviezen.dnkey dnkeyadvies
from 
  tbadviezen
  inner join tbadviesinstanties
  on (tbadviezen.dvcodeadviesinstanties = tbadviesinstanties.dvcode)
  inner join tbinbehandelingbij
 on (tbinbehandelingbij.dnkeyovvergunningen = tbadviezen.dnkeyovvergunningen)
 where 
  tbinbehandelingbij.dlactief = 'T' and 
  tbadviezen.ddrappeldatum is not null and 
  tbadviezen.ddadviesdatum is null and 
  tbadviezen.ddvervallen is null and
  tbadviezen.dnkeyovvergunningen in (select dnkey from tbovvergunningen where ddblokkering is null and ddingetrokken is null)
;
create or replace view vwhorecaondcontacten as
select
  tbhorecacontactennn.dnkeyhorecavergunningen,
  tbcontactadressen.dvvoorletters dvondvoorl,
  tbcontactadressen.dvvoorvoegsel dvondtussenv,
  tbcontactadressen.dvachternaam dvondnaam,
  tbcontactadressen.dvbedrijfsnaam dvondbedrijfsnaam,
  tbcontactadressen.ddgeboortedatum,
  tbcontactadressen.dvdebiteurnr,
  tbcontactadressen.dvtelefoon dvondtelefoon,
  tbcontactadressen.dvstraatnaam dvondstraatnaam,
  tbcontactadressen.dvhuisnummer dvondhuisnummer,
  tbcontactadressen.dvhuisletter dvondhuisletter,
  tbcontactadressen.dvhuisnummertoevoeging dvondhuisnrtoev,
  tbcontactadressen.dvpostcode dvondpostcode,
  tbcontactadressen.dvwoonplaatsnaam dvondwoonplaats,
  tbcontactadressen.dnkey dnkeycontactadressen,
  tbcontactadressen.dvhandelsnaam dvondhandelsnaam
from
  tbhorecacontactennn
    inner join tbcontactadressen
	on (tbhorecacontactennn.dnkeycontactadressen = tbcontactadressen.dnkey)
where
  tbhorecacontactennn.dvcodeadressoort = 'OND'
;
create or replace view vwhandhbestmaatreg as
select
  tbhhbestmaatregnn.dnkeyhandhaving  keyhandhaving,
  tbhhbestmaatregnn.dnkeyhandhbestmr keybestmaatreg,
  tbhandhbestmaatr.dvomschrijving,
  tbhandhbestmaatr.dntabblad,
  tbhandhbestmaatr.ddvervaldatum
from
  tbhhbestmaatregnn 
inner join tbhandhbestmaatr
on (tbhhbestmaatregnn.dnkeyhandhbestmr = tbhandhbestmaatr.dnkey)
;
create or replace view vwfrmhandhbestmaatreg as
select 
  tbhhbestmaatregnn.dnkeyhandhaving, 
  tbhhbestmaatregnn.dnkeyhandhbestmr, 
  tbhandhbestmaatr.dvomschrijving, 
  tbhandhbestmaatr.dntabblad, 
  tbhandhbestmaatr.ddvervaldatum 
from 
  tbhhbestmaatregnn 
  inner join tbhandhbestmaatr 
  on (tbhhbestmaatregnn.dnkeyhandhbestmr = tbhandhbestmaatr.dnkey)
;
create or replace view vwbasisbestemplannen as
select
  tbbestemmingsplannen.dnkey dnkeybasisbestplan,
  tbbestemmingsplannen.dvnummer,
  tbbestemmingsplannen.dvnaam,
  tbsrtbestplan.dvsoortplan dvcodesoortplan
from
  tbbestemmingsplannen 
  inner join tbsrtbestplan
  on tbbestemmingsplannen.dnkeysrtbestplan = tbsrtbestplan.dnkey
  where
    tbsrtbestplan.dlbasis = 'T'
;
create or replace view vwbestminmaxdeadline as
select
   max(a.dddeadline) ddtrmmaxdeadline,
   min(a.dddeadline) ddtrmmindeadline,
   a.dnkeybestemmingsplannen
from
  tbtermijnbewstappen a
  inner join tbbestemmingsplannen b
  on (a.dnkeybestemmingsplannen = b.dnkey)
  where
  b.ddblokkeerdatum is null
  and
  a.ddafgehandeld is null
  and
  a.dlingebruik = 'T'
  and
  (a.dvvoorwaardejn = 'N'
   OR
   a.dnvoorwaarde > 0)
group by
  a.dnkeybestemmingsplannen
;
create or replace view vwfrmbestkrittermijnen as
select
  tbtermijnbewstappen.dnkeybestemmingsplannen,
  tbtermijnbewstappen.dvtermijnomschrijving dvkrittrmomschrijving,
  tbtermijnbewstappen.dddeadline ddkrittrmdeadline,
  tbtermijnbewstappen.dlfataal,
  tbtermijnbewstappen.dvcodemedewerkers,
  tbprocedures.dvprocnaam dvkrittrmprocnaam
from
  tbtermijnbewstappen
  inner join tbprocedures
  on (tbtermijnbewstappen.dnkeyorgprocedure = tbprocedures.dnkey)
where
  tbtermijnbewstappen.dlingebruik = 'T'
    and
  tbtermijnbewstappen.dvvoorwaardejn = 'N'
  and
  (tbtermijnbewstappen.dddeadline, tbtermijnbewstappen.dnkeybestemmingsplannen)
  in
  (select
     ddtrmmindeadline,
     dnkeybestemmingsplannen
   from
     vwbestminmaxdeadline)
;
create or replace view vwfrmbesteindtermijnen as 
select
  tbtermijnbewstappen.dnkeybestemmingsplannen,
  tbtermijnbewstappen.dvtermijnomschrijving dveindtrmomschrijving,
  tbtermijnbewstappen.dddeadline ddeindtrmdeadline,
  tbtermijnbewstappen.dlfataal,
  tbtermijnbewstappen.dvcodemedewerkers,
  tbprocedures.dvprocnaam dveindtrmprocnaam
from
  tbtermijnbewstappen
  inner join tbprocedures
  on (tbtermijnbewstappen.dnkeyorgprocedure = tbprocedures.dnkey)
where
  tbtermijnbewstappen.dlingebruik = 'T'
  and
  (tbtermijnbewstappen.dddeadline, tbtermijnbewstappen.dnkeybestemmingsplannen)
  in
  (select
     ddtrmmaxdeadline,
	 dnkeybestemmingsplannen
   from
     vwbestminmaxdeadline)
;
create or replace view vwfrmbestemmingsplannen as
select
  tbbestemmingsplannen.dnkey dnkeybestplan,
  tbbestemmingsplannen.dvnummer,
  tbbestemmingsplannen.dvnaam,
  tbbestemmingsplannen.dvkern,
  tbbestemmingsplannen.ddvervaldatum,
  tbbestemmingsplannen.dddatumvaststelling,
  tbbestemmingsplannen.dddatumgoedkeuring,
  tbbestemmingsplannen.dddatumonherroepelijk,
  tbbestemmingsplannen.dddatumvrijstherzplicht,
  tbbestemmingsplannen.ddblokkeerdatum,
  tbbestemmingsplannen.ddfataledatum,
  tbbestemmingsplannen.ddmeetdatum,
  tbsrtbestplan.dvomschrijving dvsoortplan,
  tbsrtbestplan.dvsoortplan dvcodesoortplan,
  cast(case when tbsrtbestplan.dlbasis = 'T' then 'Ja' else 'Nee'
  end as character varying(3)) as dvbasisplanjanee,
  cast(case when tbsrtbestplan.dvfunctie = 'T' then 'Toetsbaar' when tbsrtbestplan.dvfunctie = 'V' then 'Vrijstelling' else 'Anders' 
  end as character varying(12)) as dvfunctie,
  tbbestplancategorie.dvomschrijving dvcategorie,
  tbbestemmingsplannen.dlinvoorbereiding,
  vwfrmbestkrittermijnen.dvkrittrmprocnaam dvactueleprocnaam,
  vwfrmbestkrittermijnen.dvkrittrmomschrijving dvactueleprocwetsart,
  tbbestemmingsplannen.dvgebied,
  tbbestemmingsplannen.dvhyperlink,
  tbbestemmingsplannen.dvkenmerkvaststelling,
  tbbestemmingsplannen.dvkenmerkgoedkeuring,
  tbbestemmingsplannen.dvkenmerkvrijstherzplicht,
  tbbestemmingsplannen.dldelegatie,
  tbbestemmingsplannen.dvkadastraal,
  tbbestemmingsplannen.dvadres,
  tbbestemmingsplannen.dlaanlegstelsel,
  tbbestemmingsplannen.dvbestemming,
  tbbestemmingsplannen.dvomschrijving,
  tbbestemmingsplannen.dvmemo,
  tbbestemmingsplannen.dnkeybestemmingsplannen dnkeybasisplan,
  vwbasisbestemplannen.dvnummer dvbasisplannummer,
  vwbasisbestemplannen.dvnaam dvbasisplannaam,
  tbbestemmingsplannen.dvdmszaakcode,
  tbbestemmingsplannen.dvintzaakcode
from
  tbbestemmingsplannen
  left outer join vwfrmbestkrittermijnen
  on (tbbestemmingsplannen.dnkey = vwfrmbestkrittermijnen.dnkeybestemmingsplannen)
  inner join tbsrtbestplan
  on (tbbestemmingsplannen.dnkeysrtbestplan = tbsrtbestplan.dnkey)
  inner join tbbestplancategorie
  on (tbsrtbestplan.dnkeybestplancategorie = tbbestplancategorie.dnkey)
  left outer join vwbasisbestemplannen
  on (tbbestemmingsplannen.dnkeybestemmingsplannen = vwbasisbestemplannen.dnkeybasisbestplan)
 ;
create or replace view vwinfoaanvrobjstraat as
            select
              tbinfoaanvragen.dnkey,
              tbinfoaanvragen.dvinfonummer,
              tbinfoaanvragen.dnkeysoortinfoaanvraag,
              tbinfoaanvragen.ddaanvraagdatum,
              tbinfoaanvragen.ddmeetdatum,
              tbinfoaanvragen.ddfataledatum,
              tbperceeladressen.dnkeygeldendbestemmingsplan dnkeygeldendbpl,
              tbperceeladressen.dnkeynieuwbestemmingsplan dnkeynieuwbpl,
              tbinfoaanvragen.dvarchiefnummer,
              tbinfoaanvragen.dvmemo,
              tbinfoaanvragen.dnkeyperceeladressen,
              tbinfoaanvragen.dvomschrijving,
              tbinfoaanvragen.ddafgehandeld,
              tbinfoaanvragen.ddblokkeerdatum,
              tbinfoaanvragen.dnkeytbgroepvergunning,
              tbinfoaanvragen.dvcodedossierverblijf,
              tbinfoaanvragen.dvhyperlink,
              tbperceeladressen.dnstraatcode dnobjstraatcode,
              tbperceeladressen.ddvervaldatum ddpercvervaldatum,
              tbperceeladressen.dnkey dnperceelkey,
              tbperceeladressen.dvperceelnummer,
              tbperceeladressen.dvextraperceelnummers,
              tbperceeladressen.dvhuisnummer dvobjhuisnummer,
              tbperceeladressen.dvhuisletter dvobjhuisletter,
              tbperceeladressen.dvhuisnummertoevoeging dvobjhuisnrtoevoeg,
              tbperceeladressen.dvaanduidingbijhuisnummer dvobjaanduidhuisnr,
              tbperceeladressen.dvgmntecode dvobjgmntecode,
              tbperceeladressen.dvsectie,
            cast(case when tbperceeladressen.dvaanduidingbijhuisnummer is null then '' 
            			        else tbperceeladressen.dvaanduidingbijhuisnummer || ' ' end 
            			|| tbperceeladressen.dvhuisnummer
                        || ' '
                        || case when tbperceeladressen.dvhuisletter is null then '' else tbperceeladressen.dvhuisletter end
                        || case when rtrim (tbperceeladressen.dvhuisnummertoevoeging) is null then '' 
            			   else replace ('-' || tbperceeladressen.dvhuisnummertoevoeging,'--',  '-') 
            			   end as character varying(15)) as dvobjhuisnr,
              tbperceeladressen.dnkeymonumenten,
              tbperceeladressen.dvhuisnrinfo dvobjhuisnrinfo,
              tbopenbareruimte.dvopruimtenaam dvobjstraat,
              tbperceeladressen.dvpostcode dvobjpostcode,
              tbwoonplaats.dvwoonplaatsnaam dvobjplaats,
              tbperceeladressen.dncbs_buurt dnobjcbs_buurt,
              tbperceeladressen.dvoneven,
              tbperceeladressen.dvbuurtcode,
              tbsoortinfoaanvraag.dvomschrijving dvsoortplanoms,
              tbsoortinfoaanvraag.dnfataleperiode,
              tbinfoaanvragen.dvdmscode,
              tbinfoaanvragen.dnkeymilinrichtingen,
              tbmilinrichtingen.dvinrichtingnr,
              tbmilinrichtingen.dvinrichtingnaam,
              cast(case
                           when tbinfoaanvragen.ddafgehandeld is not null
                           then
                              'afgehandeld'
                           else
                              'in behandeling'
            			end as character varying(14)) as dvstatus
              from
              tbinfoaanvragen
              inner join tbperceeladressen
              on (tbinfoaanvragen.dnkeyperceeladressen = tbperceeladressen.dnkey)
              inner join tbopenbareruimte
              on (tbperceeladressen.dnkeyopenbruimte = tbopenbareruimte.dnkey)
              inner join tbwoonplaats
              on (tbopenbareruimte.dnkeywoonplaats = tbwoonplaats.dnkey)
              left outer join tbsoortinfoaanvraag
              on (tbinfoaanvragen.dnkeysoortinfoaanvraag = tbsoortinfoaanvraag.dnkey)
              left outer join tbmilinrichtingen
              on (tbinfoaanvragen.dnkeymilinrichtingen = tbmilinrichtingen.dnkey)
            ;
create or replace view vwinfocontacten as
select
  tbinfocontactennn.dnkeyinfoaanvraag,
  tbcontactadressen.dnkey dnkeycontactadressen,
  tbcontactadressen.dvvoorletters dvcontvoorletters,
  tbcontactadressen.dvvoorvoegsel dvcontvoorvoegsel,
  tbcontactadressen.dvroepnaam dvcontroepnaam,
  tbcontactadressen.dvachternaam dvcontachternaam,
  tbcontactadressen.dvbedrijfsnaam dvcontbedrijfsnaam,
  tbcontactadressen.dvbriefaanhef dbcontbriefaanhef,
  tbcontactadressen.dvwoonplaatsnaam dvcontwoonplaats,
  tbcontactadressen.dvstraatnaam dvcontstraatnaam,
  tbcontactadressen.dvaanduidingbijhuisnummer dvcontaanduidhuisnr,
  tbcontactadressen.dvhuisnummer dvconthuisnummer,
  tbcontactadressen.dvhuisnummertoevoeging dvconthuisnrtoevoeg,
  tbcontactadressen.dvhuisletter dvconthuisletter,
  tbcontactadressen.dvpostcode dvcontpostcode,
  tbcontactadressen.dvtelefoon dvconttelefoon,
  tbcontactadressen.dvfax dvcontfax,
  tbcontactadressen.dvemail dvcontemail,
cast(case when tbcontactadressen.dvaanduidingbijhuisnummer is null then '' 
			        else tbcontactadressen.dvaanduidingbijhuisnummer || ' ' end 
			|| tbcontactadressen.dvhuisnummer
            || ' '
            || case when tbcontactadressen.dvhuisletter is null then '' else tbcontactadressen.dvhuisletter end
            || case when rtrim (tbcontactadressen.dvhuisnummertoevoeging) is null then '' 
			   else replace ('-' || tbcontactadressen.dvhuisnummertoevoeging,'--',  '-') 
			   end as character varying(15)) as dvobjhuisnr,
  tbadressoort.dvcode dvcontadrescode,
  tbadressoort.dvomschrijving dvcontadressoort,
  tbadressoort.ddvervaldatum ddcontadresverval,
  tbcontactadressen.dvsofinummer dvbsn,
  tbcontactadressen.dvbin,
  tbcontactadressen.dvhandelsnaam dvconthandelsnaam
from
  tbinfocontactennn
  inner join tbcontactadressen
  on (tbinfocontactennn.dnkeycontactadressen = tbcontactadressen.dnkey)
  inner join tbadressoort
  on (tbinfocontactennn.dvcodeadressoort = tbadressoort.dvcode)
;
create or replace view vwinfocontverg as
select
  tbinfoaanvragen.dnkey,
  tbinfoaanvragen.dvinfonummer,
  tbinfoaanvragen.dnkeysoortinfoaanvraag,
  tbinfoaanvragen.ddaanvraagdatum,
  tbinfoaanvragen.ddmeetdatum,
  tbinfoaanvragen.ddfataledatum,
  tbperceeladressen.dnkeygeldendbestemmingsplan dnkeygeldendbpl,
  tbperceeladressen.dnkeynieuwbestemmingsplan dnkeynieuwbpl,
  tbinfoaanvragen.dvarchiefnummer,
  tbinfoaanvragen.dvmemo,
  tbinfoaanvragen.dnkeyperceeladressen,
  tbinfoaanvragen.dvomschrijving,
  tbinfoaanvragen.ddafgehandeld,
  tbinfoaanvragen.ddblokkeerdatum,
  tbinfoaanvragen.dvhyperlink,
  tbperceeladressen.dnstraatcode dnobjstraatcode,
  tbperceeladressen.ddvervaldatum ddpercvervaldatum,
  tbperceeladressen.dnkey dnperceelkey,
  tbperceeladressen.dvperceelnummer,
  tbperceeladressen.dvextraperceelnummers,
  tbperceeladressen.dvhuisnummer dvobjhuisnummer,
  tbperceeladressen.dvhuisletter dvobjhuisletter,
  tbperceeladressen.dvhuisnummertoevoeging dvobjhuisnrtoevoeg,
  tbperceeladressen.dvaanduidingbijhuisnummer dvobjaanduidhuisnr,
  tbperceeladressen.dvgmntecode dvobjgmntecode,
  cast(case when tbperceeladressen.dvaanduidingbijhuisnummer is null then '' 
			        else tbperceeladressen.dvaanduidingbijhuisnummer || ' ' end 
			|| tbperceeladressen.dvhuisnummer
            || ' '
            || case when tbperceeladressen.dvhuisletter is null then '' else tbperceeladressen.dvhuisletter end
            || case when rtrim (tbperceeladressen.dvhuisnummertoevoeging) is null then '' 
			   else replace ('-' || tbperceeladressen.dvhuisnummertoevoeging,'--',  '-') 
			   end as character varying(15)) as dvobjhuisnr,
  tbperceeladressen.dnkeymonumenten,
  tbperceeladressen.dvhuisnrinfo dvobjhuisnrinfo,
  tbopenbareruimte.dvopruimtenaam dvobjstraat,
  tbperceeladressen.dvpostcode dvobjpostcode,
  tbwoonplaats.dvwoonplaatsnaam dvobjplaats,
  tbperceeladressen.dncbs_buurt dnobjcbs_buurt,
  tbperceeladressen.dvoneven,
  tbperceeladressen.dvbuurtcode,
  tbinfocontactennn.dnkeycontactadressen,
  tbinfocontactennn.dnkeyinfoaanvraag,
  tbinfocontactennn.dvcodeadressoort,
  tbsoortinfoaanvraag.dvomschrijving dvsoortinfoaanvraag
from
  tbinfoaanvragen
  inner join tbperceeladressen
  on (tbinfoaanvragen.dnkeyperceeladressen = tbperceeladressen.dnkey)
  inner join tbopenbareruimte
  on (tbperceeladressen.dnkeyopenbruimte = tbopenbareruimte.dnkey)
  inner join tbwoonplaats
  on (tbopenbareruimte.dnkeywoonplaats = tbwoonplaats.dnkey)
  inner join tbinfocontactennn
  on (tbinfoaanvragen.dnkey = tbinfocontactennn.dnkeyinfoaanvraag)
  inner join tbsoortinfoaanvraag
  on (tbinfoaanvragen.dnkeysoortinfoaanvraag = tbsoortinfoaanvraag.dnkey)
;
create or replace view vwinfoavrcontacten as
select
  tbinfocontactennn.dnkeyinfoaanvraag,
  tbcontactadressen.dvvoorletters dvavrvoorl,
  tbcontactadressen.dvvoorvoegsel dvavrtussenv,
  tbcontactadressen.dvachternaam dvavrnaam,
  tbcontactadressen.dvbedrijfsnaam dvavrbedrijfsnaam,
  tbcontactadressen.dvdebiteurnr,
  tbcontactadressen.dvstraatnaam dvavrstraatnaam,
  tbcontactadressen.dvhuisnummer dvavrhuisnummer,
  tbcontactadressen.dvhuisletter dvavrhuisletter,
  tbcontactadressen.dvhuisnummertoevoeging dvavrhuisnrtoev,
  tbcontactadressen.dvpostcode dvavrpostcode,
  tbcontactadressen.dvwoonplaatsnaam dvavrwoonplaats,
  tbcontactadressen.dnkey dnkeycontactadressen
from
  tbinfocontactennn
  inner join tbcontactadressen
  on (tbinfocontactennn.dnkeycontactadressen = tbcontactadressen.dnkey)
where
  tbinfocontactennn.dvcodeadressoort = 'AVR'
;
create or replace view vwdocsrtisi as
select
  tbdocumentsoorten.dvcode,
  tbdocumentsoorten.dvomschrijving,
  tbdocumentsoorten.ddvervaldatum
from
  tbdocumentsoorten
where
  (tbdocumentsoorten.ddvervaldatum > fn_vandaag(0)
  or
  tbdocumentsoorten.ddvervaldatum is null)
  and
  tbdocumentsoorten.dvcode in
    (select
       tbdocumenten.dvcodedocumentsoorten
     from
       tbdocumenten
     where
       tbdocumenten.dvvantoepop = 'I'
       and
       (tbdocumenten.ddvervaldatum > fn_vandaag(0)
        or
        tbdocumenten.ddvervaldatum is null))
;
create or replace view vwinfoverzendlijst as
select
  tbwoonplaats.dvwoonplaatsnaam dvwoonplaats,
  tbopenbareruimte.dvopruimtenaam dvnaam_nen5825,
  tbperceeladressen.dvhuisnummer,
  tbperceeladressen.dvhuisnummertoevoeging,
  tbperceeladressen.dvhuisletter,
  tbperceeladressen.dvhuisnrinfo,
  tbinfoaanvragen.dvinfonummer,
  tbinfoaanvragen.ddaanvraagdatum,
  tbinfoaanvragen.ddafgehandeld,
  tbsoortinfoaanvraag.dvomschrijving,
  tbverzendlijst.dnkey,
  tbverzendlijst.dvcodemedewerkers,
  tbverzendlijst.ddtoegevoegd,
  tbverzendlijst.dnkeyinfoaanvraag,
  tbverzendlijst.dnkeycontactadressen,
  tbcontactadressen.dvachternaam,
  tbcontactadressen.dvbedrijfsnaam
from
  tbverzendlijst
  inner join tbinfoaanvragen
  on (tbinfoaanvragen.dnkey = tbverzendlijst.dnkeyinfoaanvraag)
  inner join tbperceeladressen
  on (tbperceeladressen.dnkey = tbinfoaanvragen.dnkeyperceeladressen)
  inner join tbopenbareruimte
  on (tbperceeladressen.dnkeyopenbruimte = tbopenbareruimte.dnkey)
  inner join tbwoonplaats
  on (tbopenbareruimte.dnkeywoonplaats = tbwoonplaats.dnkey)
  left outer join tbsoortinfoaanvraag
  on (tbinfoaanvragen.dnkeysoortinfoaanvraag = tbsoortinfoaanvraag.dnkey)
  inner join tbcontactadressen
  on (tbcontactadressen.dnkey = tbverzendlijst.dnkeycontactadressen)  
;
create or replace view vwinfotrefwoorden as
select
  tbinfotrefwoord.dvomschrijving trefwoord, 
  tbinfotrefwoord.ddvervaldatum ddvervaldatum,
  tbinfotrefwoord.dnkey, 
  tbinfotrefwoordennn.dnkeyinfoaanvraag 
from 
tbinfotrefwoordennn 
inner join tbinfotrefwoord 
on (tbinfotrefwoordennn.dnkeyinfotrefwoord =tbinfotrefwoord.dnkey)
;
create or replace view vwinfoadvies_behandelaar as
select
  tbadviezen.ddrappeldatum,
  tbadviezen.ddadviesdatum,
  tbadviezen.dvomschrijving,
  tbadviezen.dnkeyinfoaanvraag dnkeyvergunning,
  tbadviesinstanties.dvomschrijving dvomschradviesinstantie,
  trim(tbadviezen.dvcodemedewerkers) dvcodemedewerker,
  tbadviezen.dnkey dnkeyadvies
from
  tbadviezen
  inner join tbadviesinstanties
  on (tbadviezen.dvcodeadviesinstanties = tbadviesinstanties.dvcode)
where
  tbadviezen.dvcodemedewerkers is not null and
  tbadviezen.ddrappeldatum is not null and
  tbadviezen.ddadviesdatum is null     and
  tbadviezen.ddvervallen is null     and
  tbadviezen.dnkeyinfoaanvraag in (select dnkey from tbinfoaanvragen where ddblokkeerdatum is null)
union
select
  tbadviezen.ddrappeldatum,
  tbadviezen.ddadviesdatum,
  tbadviezen.dvomschrijving,
  tbadviezen.dnkeyinfoaanvraag dnkeyvergunning,
  tbadviesinstanties.dvomschrijving dvomschradviesinstantie,
  trim(tbinbehandelingbij.dvcodemedewerker) dvcodemedewerker,
 tbadviezen.dnkey dnkeyadvies
from
  tbinbehandelingbij
  inner join tbadviezen
  on (tbinbehandelingbij.dnkeyinfoaanvraag = tbadviezen.dnkeyinfoaanvraag)
  inner join tbadviesinstanties
  on (tbadviezen.dvcodeadviesinstanties = tbadviesinstanties.dvcode)
where
  tbinbehandelingbij.dlactief = 'T' and
  tbadviezen.ddrappeldatum is not null and
  tbadviezen.ddadviesdatum is null     and
  tbadviezen.ddvervallen is null     and
  tbadviezen.dnkeyinfoaanvraag in (select dnkey from tbinfoaanvragen where ddblokkeerdatum is null)
;
create or replace view vwbestplanadvies_behandelaar as
select
  tbadviezen.ddrappeldatum,
  tbadviezen.ddadviesdatum,
  tbadviezen.dvomschrijving,
  tbadviezen.dnkeybestemmingsplannen dnkeyvergunning,
  tbadviesinstanties.dvomschrijving dvomschradviesinstantie,
  trim(tbadviezen.dvcodemedewerkers) dvcodemedewerker,
  tbadviezen.dnkey dnkeyadvies
from
  tbadviezen
  inner join tbadviesinstanties
  on (tbadviezen.dvcodeadviesinstanties = tbadviesinstanties.dvcode)
where
  tbadviezen.dvcodemedewerkers is not null and
  tbadviezen.ddrappeldatum is not null and
  tbadviezen.ddadviesdatum is null     and
  tbadviezen.ddvervallen is null     and
  tbadviezen.dnkeybestemmingsplannen in (select dnkey from tbbestemmingsplannen where ddblokkeerdatum is null)
union
select
  tbadviezen.ddrappeldatum,
  tbadviezen.ddadviesdatum,
  tbadviezen.dvomschrijving,
  tbadviezen.dnkeybestemmingsplannen dnkeyvergunning,
  tbadviesinstanties.dvomschrijving dvomschradviesinstantie,
  trim(tbinbehandelingbij.dvcodemedewerker) dvcodemedewerker,
  tbadviezen.dnkey dnkeyadvies
from
  tbinbehandelingbij
  inner join tbadviezen
  on (tbinbehandelingbij.dnkeybestemmingsplannen = tbadviezen.dnkeybestemmingsplannen)
  inner join tbadviesinstanties
  on (tbadviezen.dvcodeadviesinstanties = tbadviesinstanties.dvcode)
where
  tbinbehandelingbij.dlactief = 'T' and
  tbadviezen.ddrappeldatum is not null and
  tbadviezen.ddadviesdatum is null     and
  tbadviezen.dnkeybestemmingsplannen in (select dnkey from tbbestemmingsplannen where ddblokkeerdatum is null)
;
create or replace view vwfrminfocontacten as
select
  tbinfocontactennn.dnkeyinfoaanvraag,
  tbcontactadressen.dnkey dnkeycontactadressen,
  tbcontactadressen.dvvoorletters dvcontvoorletters,
  tbcontactadressen.dvvoorvoegsel dvcontvoorvoegsel,
  tbcontactadressen.dvroepnaam dvcontroepnaam,
  tbcontactadressen.dvachternaam dvcontachternaam,
  tbcontactadressen.dvbedrijfsnaam dvcontbedrijfsnaam,
  tbcontactadressen.dvbriefaanhef dbcontbriefaanhef,
  tbcontactadressen.dvwoonplaatsnaam dvcontwoonplaats,
  tbcontactadressen.dvstraatnaam dvcontstraatnaam,
  tbcontactadressen.dvaanduidingbijhuisnummer dvcontaanduidhuisnr,
  tbcontactadressen.dvhuisnummer dvconthuisnummer,
  tbcontactadressen.dvhuisnummertoevoeging dvconthuisnrtoevoeg,
  tbcontactadressen.dvhuisletter dvconthuisletter,
  tbcontactadressen.dvpostcode dvcontpostcode,
  tbcontactadressen.dvtelefoon dvconttelefoon,
  tbcontactadressen.dvfax dvcontfax,
  tbcontactadressen.dvemail dvcontemail,
  tbcontactadressen.dvdebiteurnr,
  tbcontactadressen.dvgeslacht,
  tbcontactadressen.dvbin dvcontbinnr,
  tbcontactadressen.dvsofinummer dvcontbsnnr,
  tbcontactadressen.dvveststraat,
  tbcontactadressen.dvvesthuisnr,
  tbcontactadressen.dvvesthuisletter,
  tbcontactadressen.dvvesthuistoev,
  tbcontactadressen.dvvestpc,
  tbcontactadressen.dvvestplaats,
  tbadressoort.dvcode dvcontadrescode,
  tbadressoort.dvomschrijving dvcontadressoort,
  tbadressoort.ddvervaldatum ddcontadresverval,
 cast(case when tbcontactadressen.dvgeslacht = 'M' then 'De heer' 
  when tbcontactadressen.dvgeslacht ='V' then'Mevrouw' 
  else 'De heer/mevrouw' end
  || case when tbcontactadressen.dvvoorletters is not null then rtrim(' '||tbcontactadressen.dvvoorletters) else '' end
  || case when tbcontactadressen.dvvoorvoegsel is not null then rtrim(' '||tbcontactadressen.dvvoorvoegsel) else '' end
  || case when tbcontactadressen.dvachternaam is not null then rtrim(' '||tbcontactadressen.dvachternaam) else '' end
  as character varying(238)) as dvconttav, 
  cast(tbcontactadressen.dvstraatnaam 
  || case when tbcontactadressen.dvaanduidingbijhuisnummer is not null then rtrim(' '||tbcontactadressen.dvaanduidingbijhuisnummer) else '' end
  || case when tbcontactadressen.dvhuisnummer is not null then rtrim(' '||tbcontactadressen.dvhuisnummer)else '' end
  || case when tbcontactadressen.dvhuisletter is not null then tbcontactadressen.dvhuisletter else '' end
  || case when rtrim(tbcontactadressen.dvhuisnummertoevoeging) is null then '' 
     else replace('-'||tbcontactadressen.dvhuisnummertoevoeging,'--','-')
     end as character varying(95)) as dvcontadres,
  tbcontactadressen.dvhandelsnaam dvconthandelsnaam,
   tbcontactadressen.dvgsm dvcontgsm,
          tbcontactadressen.dvcodenationaliteit,
  tbnationaliteiten.dvomschrijving dvnationaliteit,
  tbcontactadressen.dddatummutatie,
  tbcontactadressen.ddcontrolegba,
  tbcontactadressen.dvvestigingsnr,
  tbcontactadressen.dvdoopnamen,
  tbcontactadressen.ddgeboortedatum,
  tbcontactadressen.dvgeboorteplaats,
  tbcontactadressen.dvidentiteitbew,
  tbcontactadressen.ddvervaldatum
  from
  tbinfocontactennn
  inner join tbcontactadressen
  on (tbinfocontactennn.dnkeycontactadressen = tbcontactadressen.dnkey)
  inner join tbadressoort
  on (tbinfocontactennn.dvcodeadressoort = tbadressoort.dvcode)
    left outer join tbnationaliteiten
  on (tbcontactadressen.dvcodenationaliteit = tbnationaliteiten.dvcode)
;
create or replace view vwinfominmaxdeadline as
select
  max(a.dddeadline) ddtrmmaxdeadline,
  min(a.dddeadline) ddtrmmindeadline,
  a.dnkeyinfoaanvraag
from
  tbtermijnbewstappen a
  inner join tbinfoaanvragen b
  on (a.dnkeyinfoaanvraag = b.dnkey)
where
  b.ddblokkeerdatum is null
  and
  a. ddafgehandeld is null
  and
  a.dlingebruik = 'T'
  and
  (a.dvvoorwaardejn = 'N'
   or
   a.dnvoorwaarde > 0)
group by
  a.dnkeyinfoaanvraag
;
create or replace view vwfrminfokrittermijnen as
select
  tbtermijnbewstappen.dnkeyinfoaanvraag,
  cast(max(tbtermijnbewstappen.dvtermijnomschrijving) as character varying(40)) as dvkrittrmomschrijving,
  max(tbtermijnbewstappen.dddeadline) ddkrittrmdeadline,
  cast(max(tbtermijnbewstappen.dlfataal) as char(1)) as dlfataal,
  cast(max(tbtermijnbewstappen.dvcodemedewerkers) as char(5)) as dvcodemedewerkers,
  max(tbtermijnbewstappen.dnkey) dnkey,
  cast(max(tbprocedures.dvprocnaam) as character varying(40)) as dvkrittrmprocnaam
from
  tbtermijnbewstappen
  inner join tbprocedures
  on (tbtermijnbewstappen.dnkeyorgprocedure = tbprocedures.dnkey)
where
  tbtermijnbewstappen.dlingebruik = 'T'
    and
  tbtermijnbewstappen.dvvoorwaardejn = 'N'
  and
  (tbtermijnbewstappen.dddeadline, tbtermijnbewstappen.dnkeyinfoaanvraag)
  in
  (select
     ddtrmmindeadline,
     dnkeyinfoaanvraag
   from
     vwinfominmaxdeadline)
group by dnkeyinfoaanvraag  
;
create or replace view vwfrminfoeindtermijnen as
select
  tbtermijnbewstappen.dnkeyinfoaanvraag,
  tbtermijnbewstappen.dvtermijnomschrijving dveindtrmomschrijving,
  tbtermijnbewstappen.dddeadline ddeindtrmdeadline,
  tbtermijnbewstappen.dlfataal,
  tbtermijnbewstappen.dvcodemedewerkers,
  tbprocedures.dvprocnaam dveindtrmprocnaam
from
  tbtermijnbewstappen
  inner join tbprocedures
  on (tbtermijnbewstappen.dnkeyorgprocedure = tbprocedures.dnkey)
where
  tbtermijnbewstappen.dlingebruik = 'T'
  and
  (tbtermijnbewstappen.dddeadline, tbtermijnbewstappen.dnkeyinfoaanvraag)
  in
  (select
     ddtrmmaxdeadline,
     dnkeyinfoaanvraag
   from
     vwinfominmaxdeadline)
;
create or replace view vwfrminfoaanvragen as
select
  tbinfoaanvragen.dnkey dnkeyinfoaanvraag,
  tbinfoaanvragen.dvinfonummer,
  tbinfoaanvragen.ddaanvraagdatum,
  tbinfoaanvragen.dvomschrijving,
  tbinfoaanvragen.ddmeetdatum,
  tbinfoaanvragen.ddafgehandeld,
  tbinfoaanvragen.ddblokkeerdatum,
  cast(null as character varying(1)) as dvinfomemo,
  tbinfoaanvragen.dnkeyperceeladressen,
  tbinfoaanvragen.dvarchiefnummer,
  tbinfoaanvragen.ddfataledatum,
  tbinfoaanvragen.ddlegesverzonden,
  cast(null as character varying(1)) as dvactueleprocnaam,
  cast(null as character varying(1)) as dvactueleprocwetsart,
  tbgroepvergunning.dvomschrijving dvgroepvergunning,
  tbdossierverblijf.dvomschrijving dvdossierverblijf,
  tbsoortinfoaanvraag.dvomschrijving dvsoortinfoaanvraag,
  vwbplgeldend.dvnaam dvgldbplnaam,
  vwbplgeldend.dvnummer dvgldbplnummer,
  vwbplgeldend.dvbestemming dvgldbplbestemming,
  vwbplgeldend.dvomschrijving dvgldbplomschrijving,
  vwbplgeldend.dlinvoorbereiding dvgldbplinvoorb,
  vwbplnieuw.dvnaam dvnwbplnaam,
  vwbplnieuw.dvnummer dvnwbplnummer,
  vwbplnieuw.dvbestemming dvnwbplbestemming,
  vwbplnieuw.dvomschrijving dvnwbplomschrijving,
  vwbplnieuw.dlinvoorbereiding dvnwbplinvoorb,
  tbopenbareruimte.dvopruimtenaam dvobjstraat,
  tbperceeladressen.dvpostcode dvobjpostcode,
  tbwoonplaats.dvwoonplaatsnaam dvobjplaats,
  tbperceeladressen.dnstraatcode,
  tbopenbareruimte.dvextraopruimtenaam dvobjoffstraat,
  tbmonumenten.dvomschrijving dvobjmonument,
  tbperceeladressen.dnxcoordinaat,
  tbperceeladressen.dnycoordinaat,
  tbperceeladressen.dvbestemming dbobjbestemming,
  tbperceeladressen.dvaanduidingbijhuisnummer dvobjaanduidhuisnr,
  tbperceeladressen.dvhuisnummer dvobjhuisnummer,
  tbperceeladressen.dvhuisnummertoevoeging dvobjhuisnrtoevoeg,
  tbperceeladressen.dvhuisletter dvobjhuisletter,
  tbperceeladressen.dvgmntecode dvobjgmntecode,
  tbperceeladressen.dvsectie dvobjsectie,
  tbperceeladressen.dvperceelnummer dvobjperceelnr,
  tbperceeladressen.dvextraperceelnummers dvobjextrpercnrs,
  tbperceeladressen.dvhuisnrinfo dvobjhuisnrinfo,
  tbperceeladressen.dvidentificatiecode dvobjidentificatiecode,
  cast (tbopenbareruimte.dvopruimtenaam 
     || case when tbperceeladressen.dvaanduidingbijhuisnummer is null then ' ' 
			 else ' ' || tbperceeladressen.dvaanduidingbijhuisnummer || ' ' end 
	 || tbperceeladressen.dvhuisnummer
     || ' '
     || case when tbperceeladressen.dvhuisletter is null then '' else tbperceeladressen.dvhuisletter end
     || case when rtrim (tbperceeladressen.dvhuisnummertoevoeging) is null then '' 
			 else replace ('-' || tbperceeladressen.dvhuisnummertoevoeging,'--',  '-') end 
	 || case when tbperceeladressen.dvhuisnrinfo is null then '' else rtrim(' '||tbperceeladressen.dvhuisnrinfo) end
	 as character varying(136)) as dvobjadres,
  tbinfoaanvragen.dvdmscode,
  tbinfoaanvragen.dnkeymilinrichtingen,
  tbmilinrichtingen.dvinrichtingnr,
  tbmilinrichtingen.dvinrichtingnaam,
  cast(case 
               when tbinfoaanvragen.ddafgehandeld is not null
               then
                  'afgehandeld'
               else
                  'in behandeling'
		    end as character varying(14)) as dvstatus,
  tbinfoaanvragen.dvintzaakcode,
  tbinfoaanvragen.dlisindmsverwijderd,
  tbinfoaanvragen.dnkeysoortinfoaanvraag
  from 
  tbinfoaanvragen
  left outer join tbgroepvergunning
  on (tbinfoaanvragen.dnkeytbgroepvergunning = tbgroepvergunning.dnkey)
  left outer join tbdossierverblijf
  on (tbinfoaanvragen.dvcodedossierverblijf = tbdossierverblijf.dvcode)
  left outer join tbsoortinfoaanvraag
  on (tbinfoaanvragen.dnkeysoortinfoaanvraag = tbsoortinfoaanvraag.dnkey)
  inner join tbperceeladressen
  on (tbinfoaanvragen.dnkeyperceeladressen = tbperceeladressen.dnkey)
  left outer join vwbplgeldend
  on (tbperceeladressen.dnkeygeldendbestemmingsplan = vwbplgeldend.dnkey)
  left outer join vwbplnieuw
  on (tbperceeladressen.dnkeynieuwbestemmingsplan = vwbplnieuw.dnkey)
  left outer join tbmonumenten
  on (tbperceeladressen.dnkeymonumenten = tbmonumenten.dnkey)
  inner join tbopenbareruimte
  on (tbperceeladressen.dnkeyopenbruimte = tbopenbareruimte.dnkey)
  inner join tbwoonplaats
  on (tbopenbareruimte.dnkeywoonplaats = tbwoonplaats.dnkey)
  left outer join tbmilinrichtingen
  on (tbinfoaanvragen.dnkeymilinrichtingen = tbmilinrichtingen.dnkey)
;
create or replace view vwprocedures_soortverg as
select
  tbprocedures.*,
  tbproceduressoortplan.dlauto,
  tbproceduressoortplan.dnkeysoortplan,
  tbproceduressoortplan.dvcodesoortovverg,
  tbproceduressoortplan.dnkeysoorthorverg,
  tbproceduressoortplan.dnkeysoortbestplan,
  tbproceduressoortplan.dnkeysoortinfoaanvr,
  tbproceduressoortplan.dnkeysoortmilverg,
  tbproceduressoortplan.dnkeysoortomgverg,
  tbproceduressoortplan.dnkeysoorthhzaak
from
  tbprocedures
  left outer join tbproceduressoortplan
  on (tbprocedures.dnkey = tbproceduressoortplan.dnkeyprocedure)
;
create or replace view vwbplsoortcategorie as
select
  tbsrtbestplan.dnkey,
  tbsrtbestplan.dvomschrijving,
  tbsrtbestplan.dnfataleperiode,
  tbsrtbestplan.dlbasis,
  tbsrtbestplan.dvfunctie,
  tbsrtbestplan.ddvervaldatum, 
  tbbestplancategorie.dvomschrijving categorie
from
  tbsrtbestplan
  inner join tbbestplancategorie
  on (tbsrtbestplan.dnkeybestplancategorie = tbbestplancategorie.dnkey)
;
create or replace view vwbouwminmaxfatdeadline
as
select
   max(a.dddeadline) ddtrmmaxdeadline,
   min(a.dddeadline) ddtrmmindeadline,
   a.dnkeybouwvergunningen
from
  tbtermijnbewstappen a
  inner join tbbouwvergunningen b
  on (a.dnkeybouwvergunningen = b.dnkey)
where
  b.ddblokkering is null
  and
  a.ddafgehandeld is null
  and
  a.dlingebruik = 'T'
  and
  a.dvvoorwaardejn = 'N'
  and
  a.dlfataal = 'T'
group by
  a.dnkeybouwvergunningen
;
create or replace view vwhandhminmaxfatdeadline
as
select
  max(a.dddeadline) ddtrmmaxdeadline,
  min(a.dddeadline) ddtrmmindeadline,
  a.dnkeyhandhavingen
from
  tbtermijnbewstappen a
  inner join tbhandhavingen b
  on (a.dnkeyhandhavingen = b.dnkey)
where
  b.ddblokkering is null
  and
  a. ddafgehandeld is null
  and
  a.dlingebruik = 'T'
  and
  a.dvvoorwaardejn = 'N'
  and
  a.dlfataal = 'T'
group by
  a.dnkeyhandhavingen
;
create or replace view vwhorminmaxfatdeadline
as
select
  max(a.dddeadline) ddtrmmaxdeadline,
  min(a.dddeadline) ddtrmmindeadline,
  a.dnkeyhorecavergunningen
from
  tbtermijnbewstappen a
  inner join tbhorecavergunningen b
  on (a.dnkeyhorecavergunningen = b.dnkey)
where
  b.ddblokkering is null
  and
  a. ddafgehandeld is null
  and
  a.dlingebruik = 'T'
  and
  a.dvvoorwaardejn = 'N'
  and
  a.dlfataal = 'T'
group by
  a.dnkeyhorecavergunningen
;
create or replace view vwovminmaxfatdeadline
as
select
  max(a.dddeadline) ddtrmmaxdeadline,
  min(a.dddeadline) ddtrmmindeadline,
  a.dnkeyovvergunningen
from
  tbtermijnbewstappen a
  inner join tbovvergunningen b
  on (a.dnkeyovvergunningen = b.dnkey)
where
  b.ddblokkering is null
  and
  a. ddafgehandeld is null
  and
  a.dlingebruik = 'T'
  and
  a.dvvoorwaardejn = 'N'
  and
  a.dlfataal = 'T'
group by
  a.dnkeyovvergunningen
;
create or replace view vwbestminmaxfatdeadline
as
select
   max(a.dddeadline) ddtrmmaxdeadline,
   min(a.dddeadline) ddtrmmindeadline,
   a.dnkeybestemmingsplannen
from
  tbtermijnbewstappen a
  inner join tbbestemmingsplannen b
  on (a.dnkeybestemmingsplannen = b.dnkey)
where
  b.ddblokkeerdatum is null
  and
  a.ddafgehandeld is null
  and
  a.dlingebruik = 'T'
  and
  a.dvvoorwaardejn = 'N'
  and
  a.dlfataal = 'T'
group by
  a.dnkeybestemmingsplannen
;
create or replace view vwinfominmaxfatdeadline
as
select
  max(a.dddeadline) ddtrmmaxdeadline,
  min(a.dddeadline) ddtrmmindeadline,
  a.dnkeyinfoaanvraag
from
  tbtermijnbewstappen a
  inner join tbinfoaanvragen b
  on (a.dnkeyinfoaanvraag = b.dnkey)
where
  b.ddblokkeerdatum is null
  and
  a. ddafgehandeld is null
  and
  a.dlingebruik = 'T'
  and
  a.dvvoorwaardejn = 'N'
  and
  a.dlfataal = 'T'
group by
  a.dnkeyinfoaanvraag
;
create or replace view vwfrmbouwfattermijnen
as
select
  tbtermijnbewstappen.dnkeybouwvergunningen,
  tbtermijnbewstappen.dvtermijnomschrijving dvkrittrmomschrijving,
  tbtermijnbewstappen.dddeadline ddkrittrmdeadline,
  tbtermijnbewstappen.dvcodemedewerkers,
  tbprocedures.dvprocnaam ddkrittrmprocnaam
from
  tbtermijnbewstappen
  inner join tbprocedures
  on (tbtermijnbewstappen.dnkeyorgprocedure = tbprocedures.dnkey)
where
  tbtermijnbewstappen.dlingebruik = 'T'
  and
  dvvoorwaardejn = 'N'
  and
  (tbtermijnbewstappen.dddeadline,
   tbtermijnbewstappen.dnkeybouwvergunningen)
   in (select
         ddtrmmindeadline,
         dnkeybouwvergunningen
       from
         vwbouwminmaxfatdeadline)
;
create or replace view vwfrmhandhfattermijnen
as
select
  tbtermijnbewstappen.dnkeyhandhavingen,
  tbtermijnbewstappen.dvtermijnomschrijving dvkrittrmomschrijving,
  tbtermijnbewstappen.dddeadline ddkrittrmdeadline,
  tbtermijnbewstappen.dvcodemedewerkers,
  tbprocedures.dvprocnaam ddkrittrmprocnaam
from
  tbtermijnbewstappen
  inner join tbprocedures
  on (tbtermijnbewstappen.dnkeyorgprocedure = tbprocedures.dnkey)
where
  tbtermijnbewstappen.dlingebruik = 'T'
  and
  tbtermijnbewstappen.dvvoorwaardejn = 'N'
  and
  (tbtermijnbewstappen.dddeadline,
   tbtermijnbewstappen.dnkeyhandhavingen)
   in (select
         ddtrmmindeadline,
         dnkeyhandhavingen
       from
         vwhandhminmaxfatdeadline)
;
create or replace view vwfrmhorfattermijnen
as
select
  tbtermijnbewstappen.dnkeyhorecavergunningen,
  tbtermijnbewstappen.dvtermijnomschrijving dvkrittrmomschrijving,
  tbtermijnbewstappen.dddeadline ddkrittrmdeadline,
  tbtermijnbewstappen.dvcodemedewerkers,
  tbprocedures.dvprocnaam dvkrittrmprocnaam
from
  tbtermijnbewstappen
  inner join tbprocedures
  on (tbtermijnbewstappen.dnkeyorgprocedure = tbprocedures.dnkey)
where
  tbtermijnbewstappen.dlingebruik = 'T'
  and
  tbtermijnbewstappen.dvvoorwaardejn = 'N'
  and
  (tbtermijnbewstappen.dddeadline,
   tbtermijnbewstappen.dnkeyhorecavergunningen)
   in (select
         ddtrmmindeadline,
         dnkeyhorecavergunningen
       from
         vwhorminmaxfatdeadline)
;
create or replace view vwfrmovfattermijnen
as
select
  tbtermijnbewstappen.dnkeyovvergunningen,
  tbtermijnbewstappen.dvtermijnomschrijving dvkrittrmomschrijving,
  tbtermijnbewstappen.dddeadline ddkrittrmdeadline,
  tbtermijnbewstappen.dvcodemedewerkers,
  tbprocedures.dvprocnaam ddkrittrmprocnaam
from
  tbtermijnbewstappen
  inner join tbprocedures
  on (tbtermijnbewstappen.dnkeyorgprocedure = tbprocedures.dnkey)
where
  tbtermijnbewstappen.dlingebruik = 'T'
  and
  tbtermijnbewstappen.dvvoorwaardejn = 'N'
  and
  (tbtermijnbewstappen.dddeadline,
   tbtermijnbewstappen.dnkeyovvergunningen)
   in (select
         ddtrmmindeadline,
         dnkeyovvergunningen
       from
         vwovminmaxfatdeadline)
;
create or replace view vwfrmbestfattermijnen
as
select
  tbtermijnbewstappen.dnkeybestemmingsplannen,
  tbtermijnbewstappen.dvtermijnomschrijving dvkrittrmomschrijving,
  tbtermijnbewstappen.dddeadline ddkrittrmdeadline,
  tbtermijnbewstappen.dvcodemedewerkers,
  tbprocedures.dvprocnaam dvkrittrmprocnaam
from
  tbtermijnbewstappen
  inner join tbprocedures
  on (tbtermijnbewstappen.dnkeyorgprocedure = tbprocedures.dnkey)
where
  tbtermijnbewstappen.dlingebruik = 'T'
  and
  tbtermijnbewstappen.dvvoorwaardejn = 'N'
  and
  (tbtermijnbewstappen.dddeadline, tbtermijnbewstappen.dnkeybestemmingsplannen)
   in (select
         ddtrmmindeadline,
         dnkeybestemmingsplannen
       from
         vwbestminmaxfatdeadline)
;
create or replace view vwfrminfofattermijnen
as
select
  tbtermijnbewstappen.dnkeyinfoaanvraag,
  tbtermijnbewstappen.dvtermijnomschrijving dvkrittrmomschrijving,
  tbtermijnbewstappen.dddeadline ddkrittrmdeadline,
  tbtermijnbewstappen.dvcodemedewerkers,
  tbprocedures.dvprocnaam dvkrittrmprocnaam
from
  tbtermijnbewstappen
  inner join tbprocedures
  on (tbtermijnbewstappen.dnkeyorgprocedure = tbprocedures.dnkey)
where
  tbtermijnbewstappen.dlingebruik = 'T'
  and
  tbtermijnbewstappen.dvvoorwaardejn = 'N'
  and
  (tbtermijnbewstappen.dddeadline, tbtermijnbewstappen.dnkeyinfoaanvraag)
   in (select
         ddtrmmindeadline,
         dnkeyinfoaanvraag
       from
         vwinfominmaxfatdeadline)
;
create or replace view vwfrmwelstandadviezen as select
  tbadviezen.dnkeybouwvergunningen,
  tbadviezen.dnkeyhandhavingen,
  tbadviezen.dnkeyovvergunningen,
  tbadviezen.dnkeyhorecavergunningen,
  tbadviezen.dvcodeadviesinstanties dvadvcodeinstantie,
  tbadviezen.dvomschrijving dvadvomschrijving,
  tbadviezen.ddaanvraagdatum ddadvaanvraag,
  tbadviezen.ddadviesdatum ddadvadvies,
  tbadviezen.ddrappeldatum ddadvrappel,
  tbadviezen.dladviespositief dvadvpositief,
  tbadviezen.dvmemo dvadvmemo,
  tbadviezen.dnkeybestemmingsplannen,
  tbadviezen.dnkeyinfoaanvraag,
  tbadviezen.dddateringadvies ddadvdatering,
  tbadviezen.dnkey dnadvkey,
  tbadviezen.dnkeymilvergunningen,
  tbadviesinstanties.dvomschrijving dvadvinstantie,
  tbretouradvies.dvomschrijving dvadvretourcode,
  tbwelstandcommissie.dvomschrijving dvadvwelstandcommissie,
  tbadvieswelstand.ddvergadering ddadvwelstvergadering,
  tbadvieswelstand.dnconclusie dnadvwelstconclusie,
  tbadvieswelstand.dvconclusietekst dvadvwelstconclusietekst,
  tbadvieswelstand.dvverslag dvadvwelstverslag,
  tbadviezen.ddvervallen,
  tbadviezen.dnkeyomgvergunningen
from
  tbadviezen
  inner join tbadviesinstanties
  on (tbadviezen.dvcodeadviesinstanties = tbadviesinstanties.dvcode)
  left outer join tbretouradvies
  on (tbadviezen.dnkeyretouradvies = tbretouradvies.dnkey)
  inner join tbadvieswelstand
  on (tbadviezen.dnkey = tbadvieswelstand.dnkeyadviezen)
  left outer join tbwelstandcommissie
  on (tbadvieswelstand.dnkeywelcommissie = tbwelstandcommissie.dnkey)
where
  tbadviesinstanties.dlwelstand = 'T'
;
create or replace view vwfrmbouwarccontacten
as
select
  tbbouwcontactennn.dnkeybouwvergunningen,
  tbcontactadressen.dvbedrijfsnaam dvarchbedrijf,
  tbcontactadressen.dnkey dnkeycontactadressen,
  tbcontactadressen.dvvoorletters dvarchvoorletters,
  tbcontactadressen.dvvoorvoegsel dvarchvoorvoegsel,
  tbcontactadressen.dvroepnaam dvarchroepnaam,
  tbcontactadressen.dvachternaam dvarchachternaam,
  tbcontactadressen.dvbriefaanhef dvarchbriefaanhef,
  tbcontactadressen.dvwoonplaatsnaam dvarchwoonplaats,
  tbcontactadressen.dvstraatnaam dvarchtraatnaam,
  tbcontactadressen.dvaanduidingbijhuisnummer dvarchaanduidhuisnr,
  tbcontactadressen.dvhuisnummer dvarchhuisnummer,
  tbcontactadressen.dvhuisnummertoevoeging dvarchhuisnrtoevoeg,
  tbcontactadressen.dvhuisletter dvarchhuisletter,
  tbcontactadressen.dvpostcode dvarchpostcode,
  tbcontactadressen.dvtelefoon dvarchtelefoon,
  tbcontactadressen.dvfax dvarchfax,
  tbcontactadressen.dvemail dvarchemail,
  tbcontactadressen.ddvervaldatum ddarchvervaldatum,
  tbcontactadressen.dvsofinummer dvarchbsn,
  tbcontactadressen.dvbin dvarchbin,
  cast(case when tbcontactadressen.dvgeslacht = 'M' then 'De heer' 
  when tbcontactadressen.dvgeslacht ='V' then'Mevrouw' 
  else 'De heer/mevrouw' end
  || case when tbcontactadressen.dvvoorletters is not null then rtrim(' '||tbcontactadressen.dvvoorletters) else '' end
  || case when tbcontactadressen.dvvoorvoegsel is not null then rtrim(' '||tbcontactadressen.dvvoorvoegsel) else '' end
  || case when tbcontactadressen.dvachternaam is not null then rtrim(' '||tbcontactadressen.dvachternaam) else '' end
  as character varying(238)) as dvarchtav,
  cast(tbcontactadressen.dvstraatnaam 
  || case when tbcontactadressen.dvaanduidingbijhuisnummer is not null then rtrim(' '||tbcontactadressen.dvaanduidingbijhuisnummer) else '' end
  || case when tbcontactadressen.dvhuisnummer is not null then rtrim(' '||tbcontactadressen.dvhuisnummer)else '' end
  || case when tbcontactadressen.dvhuisletter is not null then tbcontactadressen.dvhuisletter else '' end
  || case when rtrim(tbcontactadressen.dvhuisnummertoevoeging) is null then '' 
     else replace('-'||tbcontactadressen.dvhuisnummertoevoeging,'--','-')
     end as character varying(95)) as dvarchadres,
 tbcontactadressen.dvhandelsnaam dvarchhandelsnaam
from
  tbbouwcontactennn
  inner join tbcontactadressen
  on (tbbouwcontactennn.dnkeycontactadressen = tbcontactadressen.dnkey)
where
  tbbouwcontactennn.dvcodeadressoort = 'ARC'
;
create or replace view vwfrmovarccontacten
as
select
  tbovcontactennn.dnkeyovvergunningen,
  tbcontactadressen.dvbedrijfsnaam dvarchbedrijf,
  tbcontactadressen.dnkey dnkeycontactadressen,
  tbcontactadressen.dvvoorletters dvarchvoorletters,
  tbcontactadressen.dvvoorvoegsel dvarchvoorvoegsel,
  tbcontactadressen.dvroepnaam dvarchroepnaam,
  tbcontactadressen.dvachternaam dvarchachternaam,
  tbcontactadressen.dvbriefaanhef dvarchbriefaanhef,
  tbcontactadressen.dvwoonplaatsnaam dvarchwoonplaats,
  tbcontactadressen.dvstraatnaam dvarchtraatnaam,
  tbcontactadressen.dvaanduidingbijhuisnummer dvarchaanduidhuisnr,
  tbcontactadressen.dvhuisnummer dvarchhuisnummer,
  tbcontactadressen.dvhuisnummertoevoeging dvarchhuisnrtoevoeg,
  tbcontactadressen.dvhuisletter dvarchhuisletter,
  tbcontactadressen.dvpostcode dvarchpostcode,
  tbcontactadressen.dvtelefoon dvarchtelefoon,
  tbcontactadressen.dvfax dvarchfax,
  tbcontactadressen.dvemail dvarchemail,
  tbcontactadressen.ddvervaldatum ddarchvervaldatum,
  tbcontactadressen.dvsofinummer dvarchbsn,
  tbcontactadressen.dvbin dvarchbin,
  cast(case when tbcontactadressen.dvgeslacht = 'M' then 'De heer' 
  when tbcontactadressen.dvgeslacht ='V' then'Mevrouw' 
  else 'De heer/mevrouw' end
  || case when tbcontactadressen.dvvoorletters is not null then rtrim(' '||tbcontactadressen.dvvoorletters) else '' end
  || case when tbcontactadressen.dvvoorvoegsel is not null then rtrim(' '||tbcontactadressen.dvvoorvoegsel) else '' end
  || case when tbcontactadressen.dvachternaam is not null then rtrim(' '||tbcontactadressen.dvachternaam) else '' end
  as character varying(238)) as dvarchtav,
 cast(tbcontactadressen.dvstraatnaam 
  || case when tbcontactadressen.dvaanduidingbijhuisnummer is not null then rtrim(' '||tbcontactadressen.dvaanduidingbijhuisnummer) else '' end
  || case when tbcontactadressen.dvhuisnummer is not null then rtrim(' '||tbcontactadressen.dvhuisnummer)else '' end
  || case when tbcontactadressen.dvhuisletter is not null then tbcontactadressen.dvhuisletter else '' end
  || case when rtrim(tbcontactadressen.dvhuisnummertoevoeging) is null then '' 
     else replace('-'||tbcontactadressen.dvhuisnummertoevoeging,'--','-')
     end as character varying(95)) as dvarchadres,
 tbcontactadressen.dvhandelsnaam dvarchhandelsnaam
from
  tbovcontactennn
  inner join tbcontactadressen
  on (tbovcontactennn.dnkeycontactadressen = tbcontactadressen.dnkey)
where
  tbovcontactennn.dvcodeadressoort = 'ARC'
;
create or replace view vwfrmprocchecklist as select
  tbchkitwerk.dnkeybouwvergunningen,
  tbchkitwerk.dnkeyovvergunningen,
  tbchkitwerk.dnkeyhandhavingen,
  tbchkitwerk.dnkeyhorecavergunningen,
  tbchkitwerk.dnkeybestemmingsplannen,
  tbchkitwerk.dnkeyinfoaanvragen,
  tbchkitwerk.dvgroepitem,
  tbchkitwerk.dvcodemedewerkers,
  tbchkitwerk.dvitem,
  tbchkitwerk.ddlaatstemutatie,
  tbchkitwerk.dlstatus,
  tbchkitwerk.dnvolgnritem,
  tbchkitwerk.dnkeymilinrichtingen,
  tbchkitwerk.dnkeymilvergunningen,
  tbmedewerkers.dvomschrijving dvmedewerkernaam,
  tbprocedures.dvprocnaam dvtrmprocedurenaam,
  tbchecklistnaam.dvomschrijving checklistnaam,
  tbchkitwerk.dnkeyomgvergunningen
 from
  tbchkitwerk
  inner join tbprocedures
  on (tbchkitwerk.dnkeyprocedure = tbprocedures.dnkey)
  inner join tbmedewerkers
  on (tbchkitwerk.dvcodemedewerkers = tbmedewerkers.dvcode)
  inner join tbchecklistnaam
  on (tbchkitwerk.dnkeychecklistnaam = tbchecklistnaam.dnkey)
;
create or replace view vwfrminspchecklist as select
  tbchkitwerk.dnkeybouwvergunningen,
  tbchkitwerk.dnkeyovvergunningen,
  tbchkitwerk.dnkeyhandhavingen,
  tbchkitwerk.dnkeyhorecavergunningen,
  tbchkitwerk.dvgroepitem,
  tbchkitwerk.dvcodemedewerkers,
  tbchkitwerk.dvitem,
  tbchkitwerk.ddlaatstemutatie,
  tbchkitwerk.dlstatus,
  tbchkitwerk.dnvolgnritem,
  tbchkitwerk.dnkeyinspecties,
  tbchkitwerk.dnkeymilinrichtingen,
  tbchkitwerk.dnkeymilvergunningen,
  tbinspecties.ddrappel ddgeplandedatum,
  tbinspecties.ddcontrole ddcontroledatum,
  tbinspecties.dvomschrijving dvinspectieomschrijving,
  tbmedewerkers.dvomschrijving dvmedewerkernaam,
  tbchecklistnaam.dvomschrijving checklistnaam,
  tbinspecties.dnkeyomgvergunningen
 from
  tbchkitwerk
  inner join tbinspecties
  on (tbchkitwerk.dnkeyinspecties = tbinspecties.dnkey)
  inner join tbmedewerkers
  on (tbchkitwerk.dvcodemedewerkers = tbmedewerkers.dvcode)
  inner join tbchecklistnaam
  on (tbchkitwerk.dnkeychecklistnaam = tbchecklistnaam.dnkey)
;
create or replace view vwhandhinvor_behandelaar as
select
  tbhandhinvorderingen.dddatum,
  tbhandhinvorderingen.ddafgehandeld,
  tbhandhinvorderingen.dvomschrijving,
  tbhandhinvorderingen.dnkeyhandhavingen dnkeyvergunning,
  tbinbehandelingbij.dvcodemedewerker,
  tbinbehandelingbij.dlactief
from
  tbhandhinvorderingen
  left outer join tbinbehandelingbij
  on (tbhandhinvorderingen.dnkeyhandhavingen = tbinbehandelingbij.dnkeyhandhavingen)
where
  tbinbehandelingbij.dlactief = 'T' and
  tbhandhinvorderingen.dddatum is not null and
  tbhandhinvorderingen.ddafgehandeld is null     and
  tbhandhinvorderingen.dnkeyhandhavingen in (select dnkey from tbhandhavingen where ddblokkering is null)
;
create or replace view vwbestcontverg as
select
  tbbestemmingsplannen.dnkey,
  tbbestemmingsplannen.dnkeybestemmingsplannen,
  tbbestemmingsplannen.dnkeysrtbestplan,
  tbbestemmingsplannen.dvnummer,
  tbbestemmingsplannen.dvnaam,
  tbbestemmingsplannen.dvkern,
  tbbestemmingsplannen.dvomschrijving,
  tbbestemmingsplannen.dddatumvaststelling,
  tbbestemmingsplannen.dddatumgoedkeuring,
  tbsrtbestplan.dvsoortplan,
  tbbestplancategorie.dvomschrijving categorie,
  tbbestemcontactennn.dnkeycontactadressen,
  tbbestemcontactennn.dnkeybestemmingsplannen dnkeybestplan,
  tbbestemcontactennn.dvcodeadressoort
from
  tbbestemmingsplannen
  left outer join tbsrtbestplan
  on (tbbestemmingsplannen.dnkeysrtbestplan = tbsrtbestplan.dnkey)
  inner join tbbestemcontactennn
  on (tbbestemmingsplannen.dnkey = tbbestemcontactennn.dnkeybestemmingsplannen)
  left outer join tbbestplancategorie
  on (tbsrtbestplan.dnkeybestplancategorie = tbbestplancategorie.dnkey)
;
create or replace view vwfrmcontchecklist as select
  tbchkitwerk.dnkeybouwvergunningen,
  tbchkitwerk.dnkeyovvergunningen,
  tbchkitwerk.dnkeyhandhavingen,
  tbchkitwerk.dnkeyhorecavergunningen,
  tbchkitwerk.dvgroepitem,
  tbchkitwerk.dvcodemedewerkers,
  tbchkitwerk.dvitem,
  tbchkitwerk.ddlaatstemutatie,
  tbchkitwerk.dlstatus,
  tbchkitwerk.dnvolgnritem,
  tbchkitwerk.dnkeycontactadressen,
  tbchkitwerk.dnkeymilinrichtingen,
  tbchkitwerk.dnkeymilvergunningen,
  tbcontactadressen.dvsofinummer dvbsnnummer,
  tbcontactadressen.dvachternaam,
  tbcontactadressen.ddgeboortedatum,
  tbmedewerkers.dvomschrijving dvmedewerkernaam,
  tbchecklistnaam.dvomschrijving checklistnaam,
  tbchkitwerk.dnkeyomgvergunningen
 from
  tbchkitwerk
  inner join tbcontactadressen
  on (tbchkitwerk.dnkeycontactadressen = tbcontactadressen.dnkey)
  inner join tbmedewerkers
  on (tbchkitwerk.dvcodemedewerkers = tbmedewerkers.dvcode)
  inner join tbchecklistnaam
  on (tbchkitwerk.dnkeychecklistnaam = tbchecklistnaam.dnkey)
;
create or replace view vwfrmhorontheffingen as select
  tbhorontheffingen.dnkeyhorvergunning,
  tbhorontheffingen.dddatum,
  tbhorontheffingen.dvtijd1van,
  tbhorontheffingen.dvtijd1tot,
  tbhorontheffingen.dvtijd2van,
  tbhorontheffingen.dvtijd2tot,
  tbhorontheffingen.dvnotitie,
  tbhorontheffingen.dnkeycontactadressen,
  tbcontactadressen.dvachternaam,
  tbcontactadressen.dvvoorletters,
  tbcontactadressen.dvvoorvoegsel,
  tbcontactadressen.dvstraatnaam,
  tbcontactadressen.dvhuisnummer,
  tbcontactadressen.dvhuisletter,
  tbcontactadressen.dvhuisnummertoevoeging,
  tbcontactadressen.dvwoonplaatsnaam,
  tbcontactadressen.dvtelefoon,
  tbcontactadressen.dvgsm,
  tbhorontheffingen.dnkeymilinrichtingen,
  tbhorontheffingen.dnrubriek,
  tbhorontheffingen.dvxcrd,
  tbhorontheffingen.dvycrd,
  tbhorontheffingen.dvzcrd,
  tbhorontheffingen.dvgmlpolygoon,
  tbhorontheffingen.dfgmlradius,
  tbhorontheffingen.dvbetekenisradius,
  tbhorontheffingen.dnkey dnkeyontheffing,
  cast(case  when tbhorontheffingen.dvbetekenisradius = '1' then 'stank'
	    when tbhorontheffingen.dvbetekenisradius = '2' then 'gevaar'
		 when tbhorontheffingen.dvbetekenisradius = '3' then 'stof'
		  when tbhorontheffingen.dvbetekenisradius = '4' then 'geluid'
		   when tbhorontheffingen.dvbetekenisradius = '5' then 'explosie'
		   when tbhorontheffingen.dvbetekenisradius = '6' then 'overig'
		   when tbhorontheffingen.dvbetekenisradius = '7' then 'tril'
		   else '' 
   end as character varying(10)) as dvomsbetekenisradius,
   cast(case when tbcontactadressen.dvgeslacht = 'V' then  'Mevrouw '
             when tbcontactadressen.dvgeslacht = 'M' then  'De heer ' 
			 else '' end
            || case when tbcontactadressen.dvvoorletters is null then '' 
			        else tbcontactadressen.dvvoorletters || ' ' end 
			|| case when tbcontactadressen.dvvoorvoegsel is null then '' 
			        else tbcontactadressen.dvvoorvoegsel || ' ' end 
            || tbcontactadressen.dvachternaam as character varying(241)) as dvleidingvoluit,
   cast(case when tbhorontheffingen.dnrubriek = 1 then 'afval'
          when tbhorontheffingen.dnrubriek = 2 then 'afvalwater'
		  when tbhorontheffingen.dnrubriek = 3 then 'bodem'
		  when tbhorontheffingen.dnrubriek = 4 then 'geluid'
		  when tbhorontheffingen.dnrubriek = 5 then 'koeling'
		  when tbhorontheffingen.dnrubriek = 6 then 'lucht'
		  when tbhorontheffingen.dnrubriek = 7 then 'vee'
		  when tbhorontheffingen.dnrubriek = 8 then 'energie'
		  when tbhorontheffingen.dnrubriek = 9 then 'externe veiligheid'
		  when tbhorontheffingen.dnrubriek = 10 then 'tanks'
		  when tbhorontheffingen.dnrubriek = 11 then 'overig'
	      else 'onbekend'
     end as character varying(20)) as dvomsrubriek			
 from
  tbhorontheffingen 
  left outer join tbcontactadressen
  on (tbhorontheffingen.dnkeycontactadressen = tbcontactadressen.dnkey)
;
create or replace view vwfrmhorlokaliteiten as select
  tbhorlokaliteiten.dnkeyhorvergunning,
  tbhorlokaliteiten.dvomschrijving dvlokaliteit,
  tbhorlokaliteiten.dfoppervlakte dnoppervlak,
  tbhorlokaliteiten.dlart46 dvart46
from
  tbhorlokaliteiten
;
create or replace view vwfrmhorbeperkingen as select
  tbhorbeperkingen.dnkeyhorvergunning,
  tbhorbeperkingen.dvbeperking
from
  tbhorbeperkingen
;
create or replace view vwfrmcorafschriften as select
  tbcorafschriften.dnkeycorrespondentie,
  tbdefafschriften.dvomschrijving dvafschriftgroep
from
  tbcorafschriften
  inner join tbdefafschriften
  on (tbcorafschriften.dnkeydefafschriften = tbdefafschriften.dnkey)
;
create or replace view vwmilbevoegdgezag as
select
  tbmilivb.dnkeymilinrichtingen,
  cast(max(tbmilcodeivb.dvbevoegdgezag) as char(1)) as dvbevoegdgezag
from
  tbmilivb
  inner join tbmilcodeivb
  on (tbmilivb.dnkeymilcodeivb = tbmilcodeivb.dnkey)
group by
  dnkeymilinrichtingen
;
create or replace view vwinrneveninrichtingen as 
select 
    a.dnkey dnkeyneveninrichting,
    a.dnkeyparentinr dnkeyhoofdinrichting,
    a.dvinrichtingnr,
    a.dvinrichtingnaam,
    cast (c.dvopruimtenaam 
     || case when b.dvaanduidingbijhuisnummer is null then ' ' 
			 else ' ' || b.dvaanduidingbijhuisnummer || ' ' end 
	 || b.dvhuisnummer
     || ' '
     || case when b.dvhuisletter is null then '' else b.dvhuisletter end
     || case when rtrim (b.dvhuisnummertoevoeging) is null then '' 
			 else replace ('-' || b.dvhuisnummertoevoeging,'--',  '-') end 
	 || case when b.dvhuisnrinfo is null then '' else rtrim(' '||b.dvhuisnrinfo) end
	 as character varying(136)) as dvobjadres,
    d.dvwoonplaatsnaam    
from
    tbmilinrichtingen a
    inner join tbperceeladressen b
	on (a.dnkeyperceeladressen = b.dnkey)
    inner join tbopenbareruimte c
	on (b.dnkeyopenbruimte = c.dnkey)
    inner join tbwoonplaats d
	on (c.dnkeywoonplaats = d.dnkey)
where 
    a.dnkeyparentinr is not null
;
create or replace view vwinrheeftneven as 
select 
    dnkeyparentinr 
 from
    tbmilinrichtingen 
where dnkeyparentinr is not null
group by dnkeyparentinr 
;
create or replace view vwmilinrhoofdsbi as
select
  tbmilsbi.dnkeymilinrichtingen dnkeymilinrichtingen,
  cast(max(dlhoofdsbi) as char(1)) as dlhoofdsbi,
  max(tbmilsbi.dnkey) dnkeymilsbi,
  cast(max(dvsbinummer) as character varying(11)) as dvsbinummer,
  cast(max(dvsbilijst) as character varying(20)) as dvsbilijst,
  cast(max(dvsbioms) as character varying(1000)) as dvsbioms,
  max(tbmilcodesbi.dnkey) dnkeymilcodesbi,
  cast(max(tbinspbesturingsmodel.dvcodebranche) as character varying(10)) as dvbestmodcodebranche,
  cast(max(tbinspbesturingsmodel.dvomsbranche) as character varying(50)) as dvbestmodomsbranche,
  cast(max(tbinspbesturingsmodel.dvhoortbij) as char(1)) as dvbestmodhoortbij,
 cast(max(tbinspbesturingsmodel.dfeffectfactor) as float) as dfbestmodeffectfactor,
  cast(max(tbinspbesturingsmodel.dfnalevingfactor) as float) as dfbestmodnalevingfactor,
  cast(max((tbinspbesturingsmodel.dfeffectfactor * tbinspbesturingsmodel.dfnalevingfactor)) as float) as dfbestmodtotaalfactor
from
  tbmilsbi
  inner join tbmilcodesbi
  on (tbmilsbi.dnkeymilcodesbi = tbmilcodesbi.dnkey)
  left outer join tbinspbesturingsmodel
  on (tbmilcodesbi.dnkeyinspbesturingsmodel = tbinspbesturingsmodel.dnkey)
where
  tbmilsbi.dlhoofdsbi = 'T'
group by tbmilsbi.dnkeymilinrichtingen
;
create or replace view vwmilinrobjstraat as
select
  tbmilinrichtingen.dnkey,
  tbmilinrichtingen.dvinrichtingnr,
  tbmilinrichtingen.dvinrichtingnaam,
  tbmilinrichtingen.dvarchiefnr,
  tbmilinrichtingen.dvliacode,
  tbmilinrichtingen.dvhyperlink,
  tbmilinrichtingen.ddblokkering,
  tbmilinrichtingen.dlbrzo,
  tbmilinrichtingen.dlippc,
  tbmilinrichtingen.dlvergdekkend,
  tbmilinrichtingen.dlvoorschrtoereikend,
  tbmilinrichtingen.dvurgtermeenh dvafwurgtermeenh,
  tbmilinrichtingen.dnurgtermaantal dnafwurgtermaantal,
  tbmilinrichtingen.dnkeymilvergamvbpl,
  tbmilinrichtingen.dvbw_archiefnr,
  tbmilinrichtingen.dvbw_naaminrichting,
  tbmilinrichtingen.dnkeyparentinr,
  tbmilinrichtingen.dlgebruiksbesluit,
  tbmilinrichtingen.dnkeymilbedrijfeinde,
  tbperceeladressen.dnstraatcode dnobjstraatcode,
  tbperceeladressen.ddvervaldatum ddpercvervaldatum,
  tbperceeladressen.dnkey dnperceelkey,
  tbperceeladressen.dvperceelnummer,
  tbperceeladressen.dvextraperceelnummers,
  tbperceeladressen.dvhuisnummer dvobjhuisnummer,
  tbperceeladressen.dvhuisletter dvobjhuisletter,
  tbperceeladressen.dvhuisnummertoevoeging dvobjhuisnrtoevoeg,
  tbperceeladressen.dvaanduidingbijhuisnummer dvobjaanduidhuisnr,
  tbperceeladressen.dvgmntecode dvobjgmntecode,
  tbperceeladressen.dvsectie,
  cast(case when tbperceeladressen.dvaanduidingbijhuisnummer is null then '' 
			        else tbperceeladressen.dvaanduidingbijhuisnummer || ' ' end 
			|| tbperceeladressen.dvhuisnummer
            || ' '
            || case when tbperceeladressen.dvhuisletter is null then '' else tbperceeladressen.dvhuisletter end
            || case when rtrim (tbperceeladressen.dvhuisnummertoevoeging) is null then '' 
			   else replace ('-' || tbperceeladressen.dvhuisnummertoevoeging,'--',  '-') 
			   end as character varying(15)) as dvobjhuisnr,
  tbperceeladressen.dnkeymonumenten,
  tbperceeladressen.dvhuisnrinfo dvobjhuisnrinfo,
  tbopenbareruimte.dvopruimtenaam dvobjstraat,
  tbperceeladressen.dvpostcode dvobjpostcode,
  tbwoonplaats.dvwoonplaatsnaam dvobjplaats,
  tbperceeladressen.dncbs_buurt dnobjcbs_buurt,
  tbperceeladressen.dvoneven,
  tbperceeladressen.dvbuurtcode,
  tbmiljurindic.dvomschrijving dvjurindicoms,
  tbmiljurindic.dvcode dvjurindiccode,
  tbmilnaleving.dvomschrijving dvnalevingoms,
  tbmilnaleving.dvcode dvnalevingcode,
  tbmilgebied.dvomschrijving dvgebied,
  tbmiltypegebied.dvomschrijving dvtypegebied,
  tbmilbedrijfsoort.dvomschrijving dvbedrijfsrtoms,
  tbmilbedrijfsoort.dvcode dvbedrijfsrtcode,
  tbmilbedrijfeinde.dvomschrijving dvbedrijfeindeoms,
  tbmilbedrijfeinde.dvcode dvbedrijfeindecode,
  tbmilurgentie.dvomschrijving dvurgentieoms,
  tbmilurgentie.dvcode dvurgentiecode,
  tbmilurgentie.dvtermijneenheid dvorigurgtermeenh,
  tbmilurgentie.dntermijngetal dnorigurgtermaantal,
  tbmilvergamvbpl.dvomschrijving dvvergamvboms,
  tbmilvergamvbpl.dvcode dvvergamvbcode,
  vwmilbevoegdgezag.dvbevoegdgezag,
  tbperceeladressen.dvidentificatiecode,
  tbwoonplaats.dvdefkadgem,
  cast(case when vwinrheeftneven.dnkeyparentinr is null then 'F' else 'T'  
  end as char(1)) as dlheeftneveninr,
  tbmilinrichtingen.dvbrwgebruik,
  tbmilinrichtingen.dvbrwsrttoegang,
  tbmilinrichtingen.dvbrwsleutelnr,
  tbmilinrichtingen.dvbrwtoegang,
  tbopenbareruimte.dnkey dnkeyopenbareruimte,
  tbwoonplaats.dnkey dnkeywoonplaats,
  tbwoonplaats.dvwoonplaatsid dvgmntcode,
  vwmilinrhoofdsbi.dvsbinummer,
  vwmilinrhoofdsbi.dvsbioms,
  tbmilinrichtingen.dvkvknr,
  tbmilinrichtingen.dvrsin,
  tbmilinrichtingen.dvvestigingsnr,
  tbmilinrichtingen.dvhandelsnaam,
  tbmilinrichtingen.dlbevi,
  tbmilinrichtingen.dlrrgs,
  tbmilinrichtingen.dvintzaakcode,
  tbmilinrichtingen.dvrrgs
from
  tbmilinrichtingen
  inner join tbperceeladressen
  on (tbmilinrichtingen.dnkeyperceeladressen = tbperceeladressen.dnkey)
  inner join tbopenbareruimte
  on (tbperceeladressen.dnkeyopenbruimte = tbopenbareruimte.dnkey)
  inner join tbwoonplaats
  on (tbopenbareruimte.dnkeywoonplaats = tbwoonplaats.dnkey)
  left outer join tbmiljurindic
  on (tbmilinrichtingen.dnkeymiljurindic = tbmiljurindic.dnkey)
  left outer join tbmilnaleving
  on (tbmilinrichtingen.dnkeymilnaleving = tbmilnaleving.dnkey)
  left outer join tbmilgebied
  on (tbmilinrichtingen.dnkeymilgebied = tbmilgebied.dnkey)
  left outer join tbmiltypegebied
  on (tbmilgebied.dnkeymiltypegebied = tbmiltypegebied.dnkey)
  left outer join tbmilbedrijfsoort
  on (tbmilinrichtingen.dnkeymilbedrijfsoort = tbmilbedrijfsoort.dnkey)
  left outer join tbmilbedrijfeinde
  on (tbmilinrichtingen.dnkeymilbedrijfeinde = tbmilbedrijfeinde.dnkey)
  left outer join tbmilurgentie
  on (tbmilinrichtingen.dnkeymilurgentie = tbmilurgentie.dnkey)
  left outer join tbmilvergamvbpl
  on (tbmilinrichtingen.dnkeymilvergamvbpl = tbmilvergamvbpl.dnkey)
  left outer join vwmilbevoegdgezag
  on (tbmilinrichtingen.dnkey = vwmilbevoegdgezag.dnkeymilinrichtingen)
  left outer join vwinrheeftneven
  on (tbmilinrichtingen.dnkey = vwinrheeftneven.dnkeyparentinr)
  left outer join vwmilinrhoofdsbi
  on (tbmilinrichtingen.dnkey = vwmilinrhoofdsbi.dnkeymilinrichtingen)
 ; 
create or replace view vwdocsrtise as
select
  tbdocumentsoorten.dvcode,
  tbdocumentsoorten.dvomschrijving,
  tbdocumentsoorten.ddvervaldatum
from
  tbdocumentsoorten
where
  (tbdocumentsoorten.ddvervaldatum > fn_vandaag(0)
  or
  tbdocumentsoorten.ddvervaldatum is null)
  and
  tbdocumentsoorten.dvcode in
    (select
       tbdocumenten.dvcodedocumentsoorten
     from
       tbdocumenten
     where
       tbdocumenten.dvvantoepop = 'E'
       and
       (tbdocumenten.ddvervaldatum > fn_vandaag(0)
        or
        tbdocumenten.ddvervaldatum is null))
;
create or replace view vwmilinrsbi as
select
  tbmilsbi.dnkeymilinrichtingen,
  tbmilsbi.dnkey dnkeymilsbi,
  tbmilcodesbi.dvsbinummer,
  tbmilcodesbi.dvsbilijst,
  tbmilcodesbi.dvsbioms,
  tbmilcodesbi.dvurgkls,
  tbmilcodesbi.dvspreiding,
  tbmilcodesbi.dvcontinue,
  tbmilcodesbi.dlintvee,
  tbmilcodesbi.dnmilcat,
  tbmilcodesbi.dvbdrtakcd,
  tbmilcodesbi.dnafstgeur,
  tbmilcodesbi.dnafststof,
  tbmilcodesbi.dnafstgeluid,
  tbmilcodesbi.dnafsttril,
  tbmilcodesbi.dnafstgevaar,
  tbmilcodesbi.dnindlucht,
  tbmilcodesbi.dnindgeluid,
  tbmilcodesbi.dnindwater,
  tbmilcodesbi.dnindgevafv,
  tbmilcodesbi.dnindbodem,
  tbmilcodesbi.dnindgevaar,
  tbmilcodesbi.dnindverkeer,
  tbmilcodesbi.dnindvisueel,
  tbmilcodesbi.dnindonged,
  tbmilsbi.dlhoofdsbi,
  tbmilsbi.dnafwafstgeur,
  tbmilsbi.dnafwafststof,
  tbmilsbi.dnafwafstgeluid,
  tbmilsbi.dnafwafsttril,
  tbmilsbi.dnafwafstgevaar,
  tbmilsbi.dvopmerking
from
  tbmilsbi
  inner join tbmilcodesbi
  on (tbmilsbi.dnkeymilcodesbi = tbmilcodesbi.dnkey)
;
create or replace view vwmiltypegebied as
select
  tbmiltypegebied.dvomschrijving as dvmiltype_omschrijving,
  tbmiltypegebied.ddvervaldatum as ddmiltype_vervaldatum,
  tbmiltypegebied.dnkey as dnkeymiltype,
  tbmilgebied.dvomschrijving,
  tbmilgebied.ddvervaldatum,
  tbmilgebied.dnkey as dnkeymilgebied
from
  tbmilgebied
  inner join tbmiltypegebied
  on (tbmilgebied.dnkeymiltypegebied = tbmiltypegebied.dnkey)
;
create or replace view vwmilcontacten as
select
  tbmilcontactennn.dnkeymilinrichtingen,
  tbcontactadressen.dnkey dnkeycontactadressen,
  tbcontactadressen.dvvoorletters dvcontvoorletters,
  tbcontactadressen.dvvoorvoegsel dvcontvoorvoegsel,
  tbcontactadressen.dvroepnaam dvcontroepnaam,
  tbcontactadressen.dvachternaam dvcontachternaam,
  tbcontactadressen.dvbedrijfsnaam dvcontbedrijfsnaam,
  tbcontactadressen.dvbriefaanhef dbcontbriefaanhef,
  tbcontactadressen.dvwoonplaatsnaam dvcontwoonplaats,
  tbcontactadressen.dvstraatnaam dvcontstraatnaam,
  tbcontactadressen.dvaanduidingbijhuisnummer dvcontaanduidhuisnr,
  tbcontactadressen.dvhuisnummer dvconthuisnummer,
  tbcontactadressen.dvhuisnummertoevoeging dvconthuisnrtoevoeg,
  tbcontactadressen.dvhuisletter dvconthuisletter,
  tbcontactadressen.dvpostcode dvcontpostcode,
  tbcontactadressen.dvtelefoon dvconttelefoon,
  tbcontactadressen.dvfax dvcontfax,
  tbcontactadressen.dvemail dvcontemail,
  cast(case when tbcontactadressen.dvaanduidingbijhuisnummer is null then '' 
			        else tbcontactadressen.dvaanduidingbijhuisnummer || ' ' end 
			|| tbcontactadressen.dvhuisnummer
            || ' '
            || case when tbcontactadressen.dvhuisletter is null then '' else tbcontactadressen.dvhuisletter end
            || case when rtrim (tbcontactadressen.dvhuisnummertoevoeging) is null then '' 
			   else replace ('-' || tbcontactadressen.dvhuisnummertoevoeging,'--',  '-') 
			   end as character varying(15)) as dvobjhuisnr,
  tbadressoort.dvcode dvcontadrescode,
  tbadressoort.dvomschrijving dvcontadressoort,
  tbadressoort.ddvervaldatum ddcontadresverval,
  tbcontactadressen.dvsofinummer dvbsn,
  tbcontactadressen.dvbin,
  tbcontactadressen.dvhandelsnaam dvconthandelsnaam
from
  tbmilcontactennn
  inner join tbcontactadressen
  on (tbmilcontactennn.dnkeycontactadressen = tbcontactadressen.dnkey)
  inner join tbadressoort
  on (tbmilcontactennn.dvcodeadressoort = tbadressoort.dvcode)
;
create or replace view vwmilinrcontverg as
select
  tbmilinrichtingen.dnkey,
  tbmilinrichtingen.dvinrichtingnr,
  tbmilinrichtingen.dvinrichtingnaam,
  tbmilinrichtingen.dvarchiefnr,
  tbmilinrichtingen.dnkeyperceeladressen,
  tbmilinrichtingen.dvliacode,
  tbmilinrichtingen.ddblokkering,
  tbmilinrichtingen.dvbw_archiefnr,
  tbmilinrichtingen.dvbw_naaminrichting,
  tbperceeladressen.dnstraatcode dnobjstraatcode,
  tbperceeladressen.ddvervaldatum ddpercvervaldatum,
  tbperceeladressen.dnkey dnperceelkey,
  tbperceeladressen.dvperceelnummer,
  tbperceeladressen.dvextraperceelnummers,
  tbperceeladressen.dvhuisnummer dvobjhuisnummer,
  tbperceeladressen.dvhuisletter dvobjhuisletter,
  tbperceeladressen.dvhuisnummertoevoeging dvobjhuisnrtoevoeg,
  tbperceeladressen.dvaanduidingbijhuisnummer dvobjaanduidhuisnr,
  tbperceeladressen.dvgmntecode dvobjgmntecode,
  cast(case when tbperceeladressen.dvaanduidingbijhuisnummer is null then '' 
			        else tbperceeladressen.dvaanduidingbijhuisnummer || ' ' end 
			|| tbperceeladressen.dvhuisnummer
            || ' '
            || case when tbperceeladressen.dvhuisletter is null then '' else tbperceeladressen.dvhuisletter end
            || case when rtrim (tbperceeladressen.dvhuisnummertoevoeging) is null then '' 
			   else replace ('-' || tbperceeladressen.dvhuisnummertoevoeging,'--',  '-') 
			   end as character varying(15)) as dvobjhuisnr,
  tbperceeladressen.dnkeymonumenten,
  tbperceeladressen.dvhuisnrinfo dvobjhuisnrinfo,
  tbopenbareruimte.dvopruimtenaam dvobjstraat,
  tbperceeladressen.dvpostcode dvobjpostcode,
  tbwoonplaats.dvwoonplaatsnaam dvobjplaats,
  tbperceeladressen.dncbs_buurt dnobjcbs_buurt,
  tbperceeladressen.dvoneven,
  tbperceeladressen.dvbuurtcode,
  tbmilcontactennn.dnkeycontactadressen,
  tbmilcontactennn.dnkeymilinrichtingen,
  tbmilcontactennn.dvcodeadressoort
from
  tbmilinrichtingen
  inner join tbperceeladressen
  on (tbmilinrichtingen.dnkeyperceeladressen = tbperceeladressen.dnkey)
  inner join tbopenbareruimte
  on (tbperceeladressen.dnkeyopenbruimte = tbopenbareruimte.dnkey)
  inner join tbwoonplaats
  on (tbopenbareruimte.dnkeywoonplaats = tbwoonplaats.dnkey)
  inner join tbmilcontactennn
  on (tbmilinrichtingen.dnkey = tbmilcontactennn.dnkeymilinrichtingen)
;
create or replace view vwmilcodestaldier as
select
  tbmilcodestaldier.dnkey dnkeycodestaldier,
  tbmilcodedier.dvcode dvdiercode,
  tbmilcodedier.dvdieroms,
  tbmilcodestal.dvcode dvstalcode,
  tbmilcodestal.dvstaloms,
  tbmilcodestaldier.dvrichtlijn,
  tbmilcodestaldier.dfdierenpermve,
  tbmilcodestaldier.dfnh3factor,
  tbmilcodestaldier.dfodeurfactor,
  tbmilcodestaldier.ddvervaldatum,
  tbmilcodestaldier.dvstalrichtlijn,
  tbmilcodestaldier.dvdierrichtlijn,
  tbmilcodestaldier.dffijnstof,
  tbmilcodestal.ddvervaldatum ddstalvervaldatum,
  tbmilcodedier.ddvervaldatum dddiervervaldatum
 from
  tbmilcodestaldier
  inner join tbmilcodedier
  on (tbmilcodestaldier.dvcodedier = tbmilcodedier.dvcode)
  and (tbmilcodestaldier.dvdierrichtlijn = tbmilcodedier.dvrichtlijn)
  inner join tbmilcodestal
  on (tbmilcodestaldier.dvcodestal = tbmilcodestal.dvcode)
  and (tbmilcodestaldier.dvstalrichtlijn = tbmilcodestal.dvrichtlijn)
;
create or replace view vwfrmmilinrichtingen as
select
  a.dnkey dnkeymilinrichtingen,
  a.dnkeyparentinr,
  a.dvinrichtingnr,
  a.dvinrichtingnaam,
  a.dvarchiefnr,
  a.dvliacode,
  a.dvhyperlink,
  cast(null as character varying(1)) as dvmemo,
  a.ddblokkering,
  a.dlbrzo,
  a.dlippc,
  a.dlvergdekkend,
  a.dlvoorschrtoereikend,
  a.dvurgtermeenh dvafwurgtermeenh,
  a.dnurgtermaantal dnafwurgtermaantal,
  a.dlgebruiksbesluit,
  a.dvbw_archiefnr,
  a.dvbw_naaminrichting,
  f.dvomschrijving dvjurindicoms,
  f.dvcode dvjurindiccode,
  g.dvomschrijving dvnalevingoms,
  g.dvcode dvnalevingcode,
  h.dvomschrijving dvgebied,
  i.dvomschrijving dvtypegebied,
  j.dvomschrijving dvbedrijfsrtoms,
  j.dvcode dvbedrijfsrtcode,
  k.dvomschrijving dvbedrijfeindeoms,
  k.dvcode dvbedrijfeindecode,
  m.dvomschrijving dvurgentieoms,
  m.dvcode dvurgentiecode,
  m.dvtermijneenheid dvorigurgtermeenh,
  m.dntermijngetal dnorigurgtermaantal,
  n.dvomschrijving dvvergamvboms,
  n.dvcode dvvergamvbcode,
  l.dvsbinummer dvhoofdsbi,
  l.dvsbioms,
  o.dvbevoegdgezag,
  d.dvopruimtenaam dvobjstraat,
  b.dvpostcode dvobjpostcode,
  e.dvwoonplaatsnaam dvobjplaats,
  b.dnstraatcode,
  d.dvextraopruimtenaam dvobjoffstraat,
  c.dvomschrijving dvobjmonument,
  b.dnxcoordinaat,
  b.dnycoordinaat,
  b.dvbestemming dbobjbestemming,
  b.dvaanduidingbijhuisnummer dvobjaanduidhuisnr,
  b.dvhuisnummer dvobjhuisnummer,
  b.dvhuisnummertoevoeging dvobjhuisnrtoevoeg,
  b.dvhuisletter dvobjhuisletter,
  b.dvgmntecode dvobjgmntecode,
  b.dvsectie dvobjsectie,
  b.dvperceelnummer dvobjperceelnr,
  b.dvextraperceelnummers dvobjextrpercnrs,
  b.dvhuisnrinfo dvobjhuisnrinfo,
  b.dvidentificatiecode dvobjidentificatiecode,
  cast (d.dvopruimtenaam 
     || case when b.dvaanduidingbijhuisnummer is null then ' ' 
			 else ' ' || b.dvaanduidingbijhuisnummer || ' ' end 
	 || b.dvhuisnummer
     || ' '
     || case when b.dvhuisletter is null then '' else b.dvhuisletter end
     || case when rtrim (b.dvhuisnummertoevoeging) is null then '' 
			 else replace ('-' || b.dvhuisnummertoevoeging,'--',  '-') end 
	 || case when b.dvhuisnrinfo is null then '' else rtrim(' '||b.dvhuisnrinfo) end
	 as character varying(136)) as dvobjadres,
  a.dvbrwgebruik,
  a.dvbrwsrttoegang,
  a.dvbrwsleutelnr,
  a.dvbrwtoegang,
  a.dvzelfredzaam,
  a.dvaantwknmrscat,
  a.dlveelbezperdag,
  a.dlveeltrkmpj,
  a.dlvervpluitg,
  a.dlrud,
  a.dvkvknr,
  a.dvrsin,
  a.dvvestigingsnr,
  a.dvhandelsnaam,
  a.dlbevi,
  a.dlrrgs,
  b.dnkeyopenbruimte dnkeyopenbareruimte,
  b.dnkey dnkeyperceeladressen,
cast(case when b.dvaanduidingbijhuisnummer is null then '' 
	        else b.dvaanduidingbijhuisnummer || ' ' end 
			|| b.dvhuisnummer
            || ' '
            || case when b.dvhuisletter is null then '' else b.dvhuisletter end
            || case when rtrim (b.dvhuisnummertoevoeging) is null then '' 
			   else replace ('-' || b.dvhuisnummertoevoeging,'--',  '-') 
			   end as character varying(15)) as dvobjhuisnrtotaal,
  a.dvintzaakcode,
  a.dvgmlpolygoon,
  tb33gemeente.dvomschrijving dvgemeentenaam,
  cast(case  when a.dvaantwknmrscat = 'E' then 'minder dan 25'
          when a.dvaantwknmrscat = 'A' then '25 -  50'
          when a.dvaantwknmrscat = 'B' then '50 - 100'
		  when a.dvaantwknmrscat = 'C' then '100 - 500'
		   when a.dvaantwknmrscat = 'D' then 'meer dan 500'
    end as character varying(25)) as dvomsaantwknmrscat,
 cast(case  when a.dvbrwsrttoegang = 'A' then 'automatisch'
          when a.dvbrwsrttoegang = 'K' then 'sleutelkluis'
          when a.dvbrwsrttoegang = 'B' then 'sleutelbuis'
	    end as character varying(12)) as dvomsbrwsrttoegang,
 cast(case  when a.dvbrwgebruik = 'A' then 'algemeen gebruik'
          when a.dvbrwgebruik = 'V' then 'gebruiksvergunningplichtig'
          when a.dvbrwgebruik = 'M' then 'gebruiksmeldingplichtig'
	    end as character varying(26)) as dvomsbrwgebruik,
 cast(case  when a.dvzelfredzaam = 'Z' then 'zelfredzaam'
          when a.dvzelfredzaam = 'O' then 'onbekend'
          when a.dvzelfredzaam = 'N' then 'n.v.t.'
		  when a.dvzelfredzaam = 'P' then 'permanent toezicht'
		   when a.dvzelfredzaam = 'G' then 'geen permanent toezicht'
		    end as character varying(26)) as dvomszelfredzaam,
e.dvwoonplaatsid dvgemeenteid,
cast(case  when o.dvbevoegdgezag = 'P' then 'Provincie'
          when o.dvbevoegdgezag = 'R' then 'Rijk'
          when o.dvbevoegdgezag = 'G' then 'Gemeente'
		  else null
	    end as character varying(9)) as dvomsbevoegdgezag,
a.dvdgdossierid,
a.dvrrgs,
p.dvinrichtingnaam as dvparentinrnaam,
 l.dvbestmodcodebranche,
  l.dvbestmodomsbranche,
  l.dvbestmodhoortbij,
 l.dfbestmodeffectfactor,
  l.dfbestmodnalevingfactor,
  l.dfbestmodtotaalfactor
from
  tbmilinrichtingen a
  inner join tbperceeladressen b
  on (a.dnkeyperceeladressen = b.dnkey)
  left outer join tbmonumenten c
  on (b.dnkeymonumenten = c.dnkey)
  inner join tbopenbareruimte d
  on (b.dnkeyopenbruimte = d.dnkey)
  inner join tbwoonplaats e
  on (d.dnkeywoonplaats = e.dnkey)
  left outer join tb33gemeente
  on (e.dvwoonplaatsid = tb33gemeente.dvgemeentecode)
  left outer join tbmiljurindic f
  on (a.dnkeymiljurindic = f.dnkey)
  left outer join tbmilnaleving g
  on (a.dnkeymilnaleving = g.dnkey)
  left outer join tbmilgebied h
  on (a.dnkeymilgebied = h.dnkey)
  left outer join tbmiltypegebied i
  on (h.dnkeymiltypegebied = i.dnkey)
  left outer join tbmilbedrijfsoort j
  on (a.dnkeymilbedrijfsoort = j.dnkey)
  left outer join tbmilbedrijfeinde k
  on (a.dnkeymilbedrijfeinde = k.dnkey)
  left outer join vwmilinrhoofdsbi l
  on (a.dnkey = l.dnkeymilinrichtingen)
  left outer join tbmilurgentie m
  on (a.dnkeymilurgentie = m.dnkey)
  left outer join tbmilvergamvbpl n
  on (a.dnkeymilvergamvbpl = n.dnkey)
  left outer join vwmilbevoegdgezag o
  on (a.dnkey = o.dnkeymilinrichtingen)
  left outer join tbmilinrichtingen p
  on (a.dnkeyparentinr = p.dnkey)
;
create or replace view vwfrmmilemstal as
select
  tbmilemstal.dnkey dnkeystal,
  tbmilemstal.dnkeymilinrichtingen,
  tbmilemstal.dvstaloms dvstalnaam,
  tbmilcodestaldier.dnkey dnkeycodestaldier,
  tbmilcodedier.dvcode dvdiercode,
  tbmilcodedier.dvdieroms,
  tbmilcodestal.dvcode dvstalcode,
  tbmilcodestal.dvstaloms,
  tbmilcodestaldier.dvrichtlijn,
  tbmilcodestaldier.dfdierenpermve,
  tbmilcodestaldier.dfnh3factor,
  tbmilcodestaldier.dfodeurfactor,
  tbmilcodestaldier.dffijnstof,
  tbmilcodestaldier.ddvervaldatum,
  tbmilcodestaldier.dvstalrichtlijn,
  tbmilcodestaldier.dvdierrichtlijn,
  tbmilemstal.dnaantaldieren,
  tbmilemstal.ddberekening,
  tbmilemstal.dfnh3totaal,
  tbmilemstal.dfmvetotaal,
  tbmilemstal.dfodeurtotaal,
  tbmilemstal.dffijnstoftotaal,
  tbmilnagetech.dvcode dvnagetechcode,
  tbmilnagetech.dvomschrijving dvnagetechoms,
  tbmilnagetech.dfnh3invloed dfnagetechnh3invloed,
  tbmilnagetech.dfouinvloed dfnagetechouinvloed,
  tbmilnagetech.dffijnstofinvloed dfnagetechfsinvloed,
  tbmilemstal.dvgmlpolygoon,
  tbmilemstal.dfgmlradius,
  tbmilemstal.dvbetekenisradius,
  tbmilemstal.dvxcrd,
  tbmilemstal.dvycrd,
  tbmilemstal.dvzcrd,
  tbmilemstal.dvopmerking,
   cast(case  when tbmilemstal.dvbetekenisradius = '1' then 'stank'
	    when tbmilemstal.dvbetekenisradius = '2' then 'gevaar'
		 when tbmilemstal.dvbetekenisradius = '3' then 'stof'
		  when tbmilemstal.dvbetekenisradius = '4' then 'geluid'
		   when tbmilemstal.dvbetekenisradius = '5' then 'explosie'
		   when tbmilemstal.dvbetekenisradius = '6' then 'overig'
		   when tbmilemstal.dvbetekenisradius = '7' then 'tril'
		   else '' 
   end as character varying(10)) as dvomsbetekenisradius
from
  tbmilemstal
  inner join tbmilcodestaldier
  on (tbmilemstal.dnkeymilcodestaldier = tbmilcodestaldier.dnkey)
  inner join tbmilcodedier
  on (tbmilcodestaldier.dvcodedier = tbmilcodedier.dvcode)
  and (tbmilcodestaldier.dvdierrichtlijn = tbmilcodedier.dvrichtlijn)
  inner join tbmilcodestal
  on (tbmilcodestaldier.dvcodestal = tbmilcodestal.dvcode)
  and (tbmilcodestaldier.dvstalrichtlijn = tbmilcodestal.dvrichtlijn)
  left outer join tbmilnagetech
  on (tbmilemstal.dnkeymilnagetech = tbmilnagetech.dnkey)
;
create or replace view vwfrmmilcontacten as select
  tbmilcontactennn.dnkeymilinrichtingen,
  tbcontactadressen.dnkey dnkeycontactadressen,
  tbcontactadressen.dvvoorletters dvcontvoorletters,
  tbcontactadressen.dvvoorvoegsel dvcontvoorvoegsel,
  tbcontactadressen.dvroepnaam dvcontroepnaam,
  tbcontactadressen.dvachternaam dvcontachternaam,
  tbcontactadressen.dvbedrijfsnaam dvcontbedrijfsnaam,
  tbcontactadressen.dvbriefaanhef dbcontbriefaanhef,
  tbcontactadressen.dvwoonplaatsnaam dvcontwoonplaats,
  tbcontactadressen.dvstraatnaam dvcontstraatnaam,
  tbcontactadressen.dvaanduidingbijhuisnummer dvcontaanduidhuisnr,
  tbcontactadressen.dvhuisnummer dvconthuisnummer,
  tbcontactadressen.dvhuisnummertoevoeging dvconthuisnrtoevoeg,
  tbcontactadressen.dvhuisletter dvconthuisletter,
  tbcontactadressen.dvpostcode dvcontpostcode,
  tbcontactadressen.dvtelefoon dvconttelefoon,
  tbcontactadressen.dvgsm dvcontgsm,
  tbcontactadressen.dvfax dvcontfax,
  tbcontactadressen.dvemail dvcontemail,
  tbcontactadressen.dvdebiteurnr,
  tbcontactadressen.dvgeslacht,
  tbcontactadressen.dvbin dvcontbinnr,
  tbcontactadressen.dvsofinummer dvcontbsnnr,
  tbcontactadressen.dvveststraat,
  tbcontactadressen.dvvesthuisnr,
  tbcontactadressen.dvvesthuisletter,
  tbcontactadressen.dvvesthuistoev,
  tbcontactadressen.dvvestpc,
  tbcontactadressen.dvvestplaats,
  tbadressoort.dvcode dvcontadrescode,
  tbadressoort.dvomschrijving dvcontadressoort,
  tbadressoort.ddvervaldatum ddcontadresverval,
  cast(case when tbcontactadressen.dvgeslacht = 'M' then 'De heer' 
  when tbcontactadressen.dvgeslacht ='V' then'Mevrouw' 
  else 'De heer/mevrouw' end
  || case when tbcontactadressen.dvvoorletters is not null then rtrim(' '||tbcontactadressen.dvvoorletters) else '' end
  || case when tbcontactadressen.dvvoorvoegsel is not null then rtrim(' '||tbcontactadressen.dvvoorvoegsel) else '' end
  || case when tbcontactadressen.dvachternaam is not null then rtrim(' '||tbcontactadressen.dvachternaam) else '' end
  as character varying(238)) as dvconttav, 
  cast(tbcontactadressen.dvstraatnaam 
  || case when tbcontactadressen.dvaanduidingbijhuisnummer is not null then rtrim(' '||tbcontactadressen.dvaanduidingbijhuisnummer) else '' end
  || case when tbcontactadressen.dvhuisnummer is not null then rtrim(' '||tbcontactadressen.dvhuisnummer)else '' end
  || case when tbcontactadressen.dvhuisletter is not null then tbcontactadressen.dvhuisletter else '' end
  || case when rtrim(tbcontactadressen.dvhuisnummertoevoeging) is null then '' 
     else replace('-'||tbcontactadressen.dvhuisnummertoevoeging,'--','-')
     end as character varying(95)) as dvcontadres,
  tbcontactadressen.dvhandelsnaam dvconthandelsnaam,
  tbcontactadressen.dvcodenationaliteit,
  tbnationaliteiten.dvomschrijving dvnationaliteit,
  tbcontactadressen.dddatummutatie,
  tbcontactadressen.ddcontrolegba,
  tbcontactadressen.dvvestigingsnr,
  tbcontactadressen.dvdoopnamen,
  tbcontactadressen.ddgeboortedatum,
  tbcontactadressen.dvgeboorteplaats,
  tbcontactadressen.dvidentiteitbew,
  tbcontactadressen.ddvervaldatum
from
  tbmilcontactennn
  inner join tbcontactadressen
  on (tbmilcontactennn.dnkeycontactadressen = tbcontactadressen.dnkey)
  inner join tbadressoort
  on (tbmilcontactennn.dvcodeadressoort = tbadressoort.dvcode)
  left outer join tbnationaliteiten
  on (tbcontactadressen.dvcodenationaliteit = tbnationaliteiten.dvcode)
;
create or replace view vwfrmmilsbi as
select
  tbmilsbi.dnkeymilinrichtingen,
  tbmilsbi.dnkey dnkeymilsbi,
  tbmilcodesbi.dvsbinummer,
  tbmilcodesbi.dvsbilijst,
  tbmilcodesbi.dvsbioms,
  tbmilcodesbi.dvurgkls,
  tbmilcodesbi.dvspreiding,
  tbmilcodesbi.dvcontinue,
  tbmilcodesbi.dlintvee,
  tbmilcodesbi.dnmilcat,
  tbmilcodesbi.dvbdrtakcd,
  tbmilcodesbi.dnafstgeur,
  tbmilcodesbi.dnafststof,
  tbmilcodesbi.dnafstgeluid,
  tbmilcodesbi.dnafsttril,
  tbmilcodesbi.dnafstgevaar,
  tbmilcodesbi.dnindlucht,
  tbmilcodesbi.dnindgeluid,
  tbmilcodesbi.dnindwater,
  tbmilcodesbi.dnindgevafv,
  tbmilcodesbi.dnindbodem,
  tbmilcodesbi.dnindgevaar,
  tbmilcodesbi.dnindverkeer,
  tbmilcodesbi.dnindvisueel,
  tbmilcodesbi.dnindonged,
  tbmilsbi.dlhoofdsbi,
  tbmilsbi.dnafwafstgeur,
  tbmilsbi.dnafwafststof,
  tbmilsbi.dnafwafstgeluid,
  tbmilsbi.dnafwafsttril,
  tbmilsbi.dnafwafstgevaar,
  tbmilsbi.dvopmerking,
  tbinspbesturingsmodel.dvcodebranche,
  tbinspbesturingsmodel.dvomsbranche,
  tbinspbesturingsmodel.dvhoortbij,
  tbinspbesturingsmodel.dfeffectfactor,
  tbinspbesturingsmodel.dfnalevingfactor,
  tbmilsbi.dnkeymilcodesbi,
  tbmilcodesbi.dnkeyinspbesturingsmodel
from
  tbmilsbi
  inner join tbmilcodesbi
  on (tbmilsbi.dnkeymilcodesbi = tbmilcodesbi.dnkey)
  left outer join tbinspbesturingsmodel
  on (tbmilcodesbi.dnkeyinspbesturingsmodel = tbinspbesturingsmodel.dnkey)
;
create or replace view vwfrmmiltrefwoord as
select
  tbmiltrefwoord.dnkey dnkeytrefwoord,
  tbmiltrefwoord.dnkeymilinrichtingen,
  tbmiltrefwoord.dnkeymilcodetrefw,
  tbmiltrefwoord.dvopmerking,
  tbmilcodetrefw.dvcode dvtrefwoordcode,
  tbmilcodetrefw.dvomschrijving dvtrefwoordoms
from
  tbmiltrefwoord
  inner join tbmilcodetrefw
  on (tbmiltrefwoord.dnkeymilcodetrefw = tbmilcodetrefw.dnkey)
;
create or replace view vwfrmmilivb as
select
  a.dnkey dnkeyivb,
  a.dnkeymilinrichtingen,
  a.dnkeymilcodeivb,
  a.dvopmerking,
  b.dvivbcode,
  b.dvivboms,
  b.dvbevoegdgezag,
  cast(case when b.dvbevoegdgezag = 'G' then 'Gemeente' 
      when b.dvbevoegdgezag = 'P' then 'Provincie' 
	  when b.dvbevoegdgezag = 'R' then 'Rijk' 
	 else '' end as character varying(9)) as dvomsbevoegdgezag
from
  tbmilivb a
  inner join tbmilcodeivb b
  on (a.dnkeymilcodeivb = b.dnkey)
;
create or replace view vwfrmmilopslag as
select
tbmilopslag.dnkey dnkeyopslag,
tbmilopslag.dnkeymilinrichtingen,
tbmilopslag.dvnaamopslag,
tbmilopslag.ddplaatsing,
tbmilopslag.dlboot,
tbmilopslag.dfmaxvolume,
tbmilopslag.dveenheid,
tbmilopslag.dfingebruikvolume,
tbmilopslag.dvtanknrkiwa,
tbmilopslag.ddpolisfinzeker,
tbmilopslag.ddsanering,
tbmilopslag.ddltstkeurextinst,
tbmilopslag.ddverloopdatum,
tbmilopslag.dlbevi,
tbmilopslag.dvxcrd,
tbmilopslag.dvycrd,
tbmilopslag.dvzcrd,
tbmilopslag.dvopmerking,
tbmilsrtopslag.dvcode dvsrtopslagcode,
tbmilsrtopslag.dvomschrijving dvsrtopslagoms,
tbmilstatusopslag.dvcode dvstatusopslagcode,
tbmilstatusopslag.dvomschrijving dvstatusopslagoms,
tbpgs.dvcode dvpgscode,
tbpgs.dvomschrijving dvpgsoms,
tbmilopslag.dnkeymiladropslag,
tbmiladropslag.dvadrklasse, 
tbmiladropslag.dvadrhoofdoms, 
tbmiladropslag.dvadrsuboms, 
tbmiladropslag.dvadrstof, 
tbmilopslag.dvverpakcat,
tbmilopslag.dlbrzo,
tbmilopslag.dlrrgs,
tbmilopslag.dvrrgs,
tbmilvoorzopslag.dvvoorzcode dvopslagvoorzcode,
tbmilvoorzopslag.dvvoorzoms dvopslagvoorzoms,
tbmilopslag.dvtotgevstcat,
tbmilopslag.dnrubriek,
tbmilopslag.dvgmlpolygoon,
tbmilopslag.dfgmlradius,
tbmilopslag.dvbetekenisradius,
cast(case when tbmilopslag.dvverpakcat = 'A' then 'Categorie I'
          when tbmilopslag.dvverpakcat = 'B' then 'Categorie II'
		  when tbmilopslag.dvverpakcat = 'C' then 'Categorie III'
		  when tbmilopslag.dvverpakcat = 'D' then 'Onbekend'
	      else 'Niet van toepassing'
     end as character varying(20)) as dvverpakcatoms,
 cast(case  when tbmilopslag.dvbetekenisradius = '1' then 'stank'
	    when tbmilopslag.dvbetekenisradius = '2' then 'gevaar'
		 when tbmilopslag.dvbetekenisradius = '3' then 'stof'
		  when tbmilopslag.dvbetekenisradius = '4' then 'geluid'
		   when tbmilopslag.dvbetekenisradius = '5' then 'explosie'
		   when tbmilopslag.dvbetekenisradius = '6' then 'overig'
		   when tbmilopslag.dvbetekenisradius = '7' then 'tril'
		   else '' 
   end as character varying(10)) as dvomsbetekenisradius,
cast(case when tbmilopslag.dnrubriek = 1 then 'afval'
          when tbmilopslag.dnrubriek = 2 then 'afvalwater'
		  when tbmilopslag.dnrubriek = 3 then 'bodem'
		  when tbmilopslag.dnrubriek = 4 then 'geluid'
		  when tbmilopslag.dnrubriek = 5 then 'koeling'
		  when tbmilopslag.dnrubriek = 6 then 'lucht'
		  when tbmilopslag.dnrubriek = 7 then 'vee'
		  when tbmilopslag.dnrubriek = 8 then 'energie'
		  when tbmilopslag.dnrubriek = 9 then 'externe veiligheid'
		  when tbmilopslag.dnrubriek = 10 then 'tanks'
		  when tbmilopslag.dnrubriek = 11 then 'overig'
	      else 'onbekend'
     end as character varying(20)) as dvomsrubriek,
cast(tbmiladropslag.dvadrklasse || ' ' || tbmiladropslag.dvadrhoofdoms || ' '|| tbmiladropslag.dvadrsuboms || ' '|| tbmiladropslag.dvadrstof 
     as character varying(320)) as dvomsadr,
cast(case when tbmilopslag.dvtotgevstcat = 'A' then 'minder dan 2500 liter'
          when tbmilopslag.dvtotgevstcat = 'B' then '2500 - 10.000 liter'
		  when tbmilopslag.dvtotgevstcat = 'C' then '> meer dan 10.000 liter'
		  else 'n.v.t.'
     end as character varying(22)) as dvomstotgevstcat
from
tbmilopslag
inner join tbmilsrtopslag
on (tbmilopslag.dnkeymilsrtopslag = tbmilsrtopslag.dnkey)
inner join tbmilstatusopslag
on (tbmilopslag.dnkeymilstatusopslag = tbmilstatusopslag.dnkey)
left outer join tbpgs
on (tbmilopslag.dnkeypgs = tbpgs.dnkey)
left outer join tbmiladropslag
on (tbmilopslag.dnkeymiladropslag = tbmiladropslag.dnkey)
left outer join tbmilvoorzopslag
on (tbmilopslag.dnkeymilvoorzopslag = tbmilvoorzopslag.dnkey)
;
create or replace view vwmilemwaterheeftvoorz as
select 
  distinct a.dnkeymilemwater dnkeymilemwatheeftvoorz
  from 
  tbmilemwater b
  inner join tbmilemwatvoorz a
  on (b.dnkey = a.dnkeymilemwater)
;
create or replace view vwfrmmilemwater as
select
tbmilemwater.dnkey dnkeyemwater,
tbmilemwater.dnkeymilinrichtingen,
tbmilemwater.dvnaamlozing,
tbmilemwater.dvxcrd,
tbmilemwater.dvycrd,
tbmilemwater.dvzcrd,
tbmilemwater.dvopmerking,
tbmilsrtlozing.dvcode dvsrtlozingcode,
tbmilsrtlozing.dvomschrijving dvsrtlozingoms,
tbmilemwater.dvgmlpolygoon,
tbmilemwater.dfgmlradius,
tbmilemwater.dvbetekenisradius,
cast(case when vwmilemwaterheeftvoorz.dnkeymilemwatheeftvoorz is null then 'F' else 'T' end as char(1)) dlheeftvoorziening,
 cast(case  when tbmilemwater.dvbetekenisradius = '1' then 'stank'
	    when tbmilemwater.dvbetekenisradius = '2' then 'gevaar'
		 when tbmilemwater.dvbetekenisradius = '3' then 'stof'
		  when tbmilemwater.dvbetekenisradius = '4' then 'geluid'
		   when tbmilemwater.dvbetekenisradius = '5' then 'explosie'
		   when tbmilemwater.dvbetekenisradius = '6' then 'overig'
		   when tbmilemwater.dvbetekenisradius = '7' then 'tril'
		   else '' 
   end as character varying(10)) as dvomsbetekenisradius
from
tbmilemwater
inner join tbmilsrtlozing
on (tbmilemwater.dnkeymilsrtlozing = tbmilsrtlozing.dnkey)
left outer join vwmilemwaterheeftvoorz
on (tbmilemwater.dnkey = vwmilemwaterheeftvoorz.dnkeymilemwatheeftvoorz)
;
create or replace view vwmilemluchtheeftvoorz as
select 
  distinct a.dnkeymilemlucht dnkeymilemlctheeftvoorz
  from 
  tbmilemlucht b
  inner join tbmilemlctvoorz a
  on (b.dnkey = a.dnkeymilemlucht)
;
create or replace view vwfrmmilemlucht as
select
tbmilemlucht.dnkey dnkeyemlucht,
tbmilemlucht.dnkeymilinrichtingen,
tbmilemlucht.dvnaamlucht,
tbmilemlucht.dvxcrd,
tbmilemlucht.dvycrd,
tbmilemlucht.dvzcrd,
tbmilemlucht.dvopmerking,
tbmilemlucht.dlvos, 
tbmilemlucht.dlbeems,     
tbmilemlucht.dldrempelvos,      
tbmilemlucht.dldrempelbeems,
tbmilemlucht.dvgmlpolygoon,
tbmilemlucht.dfgmlradius,
tbmilemlucht.dvbetekenisradius, 
cast(case when vwmilemluchtheeftvoorz.dnkeymilemlctheeftvoorz is null then 'F' else 'T' end as char(1)) dlheeftvoorziening,
cast(case  when tbmilemlucht.dvbetekenisradius = '1' then 'stank'
	    when tbmilemlucht.dvbetekenisradius = '2' then 'gevaar'
		 when tbmilemlucht.dvbetekenisradius = '3' then 'stof'
		  when tbmilemlucht.dvbetekenisradius = '4' then 'geluid'
		   when tbmilemlucht.dvbetekenisradius = '5' then 'explosie'
		   when tbmilemlucht.dvbetekenisradius = '6' then 'overig'
		   when tbmilemlucht.dvbetekenisradius = '7' then 'tril'
		   else '' 
   end as character varying(10)) as dvomsbetekenisradius
from
tbmilemlucht
left outer join vwmilemluchtheeftvoorz
on (tbmilemlucht.dnkey = vwmilemluchtheeftvoorz.dnkeymilemlctheeftvoorz)
;
create or replace view vwfrmmildiversen as
select
tbmildiversen.dnkey dnkeydiversen,
tbmildiversen.dnkeymilinrichtingen,
tbmildiversen.dvnaamdivers,
tbmildiversen.dvxcrd,
tbmildiversen.dvycrd,
tbmildiversen.dvzcrd,
tbmildiversen.dvnormering,
tbmildiversen.dvopmerking,
tbmilsrtdivers.dvcode dvsrtdiverscode,
tbmilsrtdivers.dvomschrijving dvsrtdiversoms,
tbmilsrtdivers.dnrubriek,
tbmildiversen.dvgmlpolygoon,
tbmildiversen.dfgmlradius,
tbmildiversen.dvbetekenisradius,
cast(case  when tbmildiversen.dvbetekenisradius = '1' then 'stank'
	    when tbmildiversen.dvbetekenisradius = '2' then 'gevaar'
		 when tbmildiversen.dvbetekenisradius = '3' then 'stof'
		  when tbmildiversen.dvbetekenisradius = '4' then 'geluid'
		   when tbmildiversen.dvbetekenisradius = '5' then 'explosie'
		   when tbmildiversen.dvbetekenisradius = '6' then 'overig'
		   when tbmildiversen.dvbetekenisradius = '7' then 'tril'
		   else '' 
   end as character varying(10)) as dvomsbetekenisradius,
cast(case when tbmilsrtdivers.dnrubriek = 1 then 'afval'
          when tbmilsrtdivers.dnrubriek = 2 then 'afvalwater'
		  when tbmilsrtdivers.dnrubriek = 3 then 'bodem'
		  when tbmilsrtdivers.dnrubriek = 4 then 'geluid'
		  when tbmilsrtdivers.dnrubriek = 5 then 'koeling'
		  when tbmilsrtdivers.dnrubriek = 6 then 'lucht'
		  when tbmilsrtdivers.dnrubriek = 7 then 'vee'
		  when tbmilsrtdivers.dnrubriek = 8 then 'energie'
		  when tbmilsrtdivers.dnrubriek = 9 then 'externe veiligheid'
		  when tbmilsrtdivers.dnrubriek = 10 then 'tanks'
		  when tbmilsrtdivers.dnrubriek = 11 then 'overig'
	      else 'onbekend'
     end as character varying(20)) as dvomsrubriek
from
tbmildiversen
inner join tbmilsrtdivers
on (tbmildiversen.dnkeymilsrtdivers = tbmilsrtdivers.dnkey)
;
create or replace view vwmilstalnh3mvetotalen as
select
tbmilemstal.dnkeymilinrichtingen,
sum(tbmilemstal.dfnh3totaal) dftotaalnh3,
sum(tbmilemstal.dfmvetotaal) dftotaalmve,
sum(tbmilemstal.dfodeurtotaal) dftotaalodeur,
sum(tbmilemstal.dffijnstoftotaal) dftotaalfijnstof
from tbmilemstal
group by dnkeymilinrichtingen
;
create or replace view vwmilinsp_behandelaar as
            select
              tbinspecties.ddrappel,
              tbinspecties.ddcontrole,
              cast(case when tbinspecties.dvomschrijving is null then tbinspaanleiding.dvaanleiding else tbinspecties.dvomschrijving
              end as character varying(100)) as dvomschrijving,
              tbinspecties.dnkeymilinrichtingen dnkeyvergunning,
              tbinspecties.dvcodemedewerkers dvcodemedewerker,
              cast(case 
                when tbinspecties.dngrondslactw is not null then
                        tbomgvergunning.dvzaakcode || ':' || tbtoestemmingen.dvwerkzaamheden
                when tbinspecties.dngrondslverge is not null then
                                 tbmilvergunningen.dvvergnummer || ':' || tbmilvergunningen.dvpublbouwwerk
                else  ''
                end as character varying(121)) as dvzaakcode,
               cast('Inspectie-traject' as character varying(17)) as dvtype,
              cast(case when tbmilvergamvbpl.dvomschrijving is null then '' else tbmilvergamvbpl.dvomschrijving ||':' end 
               || tbmilinrichtingen.dvinrichtingnaam as character varying(161)) as dvsoort,
               cast(case when tbinspaanleiding.dvcyclcontr ='B' then 'Brandweer' when tbinspaanleiding.dvcyclcontr ='A' then 'Brandweer' 
                    when tbinspaanleiding.dvcyclcontr ='M' then 'Milieu' else 'Milieu/brandweer' end as character varying(16)) as dvvantoepop,
              tbopenbareruimte.dvopruimtenaam dvadres,
              tbperceeladressen.dvhuisnummer dvhuisnummer,
              tbwoonplaats.dvwoonplaatsnaam dvplaats,
              tbbestemmingsplannen.dvnaam dvbestemmingsplan,
              cast('n.v.t.' as char(6)) as dvaanvrager,
			  tbinspecties.dvdmszaakcode
            from
              tbinspecties
              left outer join tbinspaanleiding
              on (tbinspecties.dnkeyinspaanleiding = tbinspaanleiding.dnkey)
              inner join tbmilinrichtingen
              on (tbinspecties.dnkeymilinrichtingen = tbmilinrichtingen.dnkey)
              left outer join tbtoestemmingen
              on (tbinspecties.dngrondslactw = tbtoestemmingen.dnkey)
              left outer join tbomgvergunning
              on (tbtoestemmingen.dnkeyomgvergunningen = tbomgvergunning.dnkey)
              left outer join tbmilvergunningen
              on (tbinspecties.dngrondslverge = tbmilvergunningen.dnkey)
              left outer join tbmilvergamvbpl
              on (tbmilinrichtingen.dnkeymilvergamvbpl = tbmilvergamvbpl.dnkey)
              inner join tbperceeladressen
              on (tbmilinrichtingen.dnkeyperceeladressen = tbperceeladressen.dnkey)
              inner join tbopenbareruimte
              on (tbperceeladressen.dnkeyopenbruimte = tbopenbareruimte.dnkey)
              inner join tbwoonplaats
              on (tbopenbareruimte.dnkeywoonplaats = tbwoonplaats.dnkey)
              left outer join tbbestemmingsplannen
              on (tbperceeladressen.dnkeygeldendbestemmingsplan = tbbestemmingsplannen.dnkey)
            where
              tbinspecties.ddrappel is not null and
              tbinspecties.ddcontrole is null and
              tbinspecties.dnkeyhandhavingen is null and
              tbmilinrichtingen.ddblokkering is null 
            union
            select
              tbinspbezoeken.ddgepland ddrappel,
              tbinspbezoeken.ddafgehandeld ddcontrole,
              cast(tbinspaanleiding.dvaanleiding || ' ' as character varying(100)) as dvomschrijving,
              tbinspecties.dnkeymilinrichtingen dnkeyvergunning,
              tbinspbezoeken.dvcodemedewerkers dvcodemedewerker,
              cast(case 
                when tbinspecties.dngrondslactw is not null then
                        tbomgvergunning.dvzaakcode || ':' || tbtoestemmingen.dvwerkzaamheden
                when tbinspecties.dngrondslverge is not null then
                                 tbmilvergunningen.dvvergnummer || ':' || tbmilvergunningen.dvpublbouwwerk
                else  ''
                end as character varying(121)) as dvzaakcode,
              cast('Inspectie-bezoek' as character varying(17)) as dvtype,
              cast(case when tbmilvergamvbpl.dvomschrijving is null then '' else tbmilvergamvbpl.dvomschrijving ||':' end 
              || tbmilinrichtingen.dvinrichtingnaam as character varying(161)) as dvsoort,
              cast(case when tbinspaanleiding.dvcyclcontr ='B' then 'Brandweer' when tbinspaanleiding.dvcyclcontr ='A' then 'Brandweer' 
                  when tbinspaanleiding.dvcyclcontr = 'M' then 'Milieu' else 'Milieu/brandweer' end as character varying(16)) as dvvantoepop,
              tbopenbareruimte.dvopruimtenaam dvadres,
              tbperceeladressen.dvhuisnummer dvhuisnummer,
              tbwoonplaats.dvwoonplaatsnaam dvplaats,
              tbbestemmingsplannen.dvnaam dvbestemmingsplan,
              cast('n.v.t.' as char(6)) as dvaanvrager,
			   tbinspecties.dvdmszaakcode
            from
              tbinspbezoeken
              inner join tbinspecties
              on (tbinspbezoeken.dnkeyinspecties = tbinspecties.dnkey)
              left outer join tbinspaanleiding
              on (tbinspecties.dnkeyinspaanleiding = tbinspaanleiding.dnkey)
              inner join tbmilinrichtingen
              on (tbinspecties.dnkeymilinrichtingen = tbmilinrichtingen.dnkey)
              left outer join tbtoestemmingen
              on (tbinspecties.dngrondslactw = tbtoestemmingen.dnkey)
              left outer join tbomgvergunning
              on (tbtoestemmingen.dnkeyomgvergunningen = tbomgvergunning.dnkey)
              left outer join tbmilvergunningen
              on (tbinspecties.dngrondslverge = tbmilvergunningen.dnkey)
              left outer join tbmilvergamvbpl
              on (tbmilinrichtingen.dnkeymilvergamvbpl = tbmilvergamvbpl.dnkey)
              inner join tbperceeladressen
              on (tbmilinrichtingen.dnkeyperceeladressen = tbperceeladressen.dnkey)
              inner join tbopenbareruimte
              on (tbperceeladressen.dnkeyopenbruimte = tbopenbareruimte.dnkey)
              inner join tbwoonplaats
              on (tbopenbareruimte.dnkeywoonplaats = tbwoonplaats.dnkey)
              left outer join tbbestemmingsplannen
              on (tbperceeladressen.dnkeygeldendbestemmingsplan = tbbestemmingsplannen.dnkey)
            where
              tbinspbezoeken.ddgepland is not null and
              tbinspbezoeken.ddafgehandeld is null and
              tbinspecties.dnkeyhandhavingen is null and
              tbmilinrichtingen.ddblokkering is null 
              ;
create or replace view vwfrmklachten as
select
  tbklachten.dnkey,
  tbklachten.dnkeyhorecavergunningen,
  tbklachten.dnkeymilinrichtingen,
  tbklachten.dddatumklacht,
  tbklachten.dddatumoverlast,
  tbklachten.dvtijdoverlast,
  tbklachten.ddafgerond,
  tbklachten.dvcodeexternebron,
  tbklachten.dvcodemedewerkers,
  tbklachtvorm.dvvorm,
  tbklachtoverlast.dvcodeoverlast,
  tbklachtoverlast.dvomsoverlast,
  tbklachtfreq.dvfrequentie,
  tbklachternst.dvcodeernst,
  tbklachternst.dvomsernst,
  tbklachtafrond.dvcodeafronding,
  tbklachtafrond.dvomsafronding,
  tbmedewerkers.dvomschrijving dvmedewnaam,
  tbklachten.dvklagervoorl,
  tbklachten.dvklagervoorvoeg,
  tbklachten.dvklagerachternaam,
  tbklachten.dvklagerbsn,
  tbklachten.dvklagergeslacht,
  tbklachten.dvklagerstraat,
  tbklachten.dvklagerhuisnr,
  tbklachten.dvklagerhuisletter,
  tbklachten.dvklagerhuisnrtoev,
  tbklachten.dvklagerpostcode,
  tbklachten.dvklagerwoonplaats,
  tbklachten.dvklageremail,
  tbklachten.dvklagertelefoon,
  tbklachten.dlklagerinformeren,
  tbklachten.dvwaarneminglok,
  tbklachten.dvwaarnemingstraat,
  tbklachten.dvwaarnemingpc,
  tbklachten.dvwaarnemingplaats,
  tbklachten.dvveroorznaam,
  tbklachten.dvveroorzstraat,
  tbklachten.dvveroorzhuisnr,
  tbklachten.dvveroorzhuisletter,
  tbklachten.dvveroorzhuisnrtoev,
  tbklachten.dvveroorzpostcode,
  tbklachten.dvveroorzplaats,
  tbklachten.dvklachtoms,
  tbklachten.ddingelezenextbron,
  tbmedewerkers.dvvoorletters dvmedewvoorl,
  tbmedewerkers.dvtussenvoegsel dvmedewtussenv,
  tbmedewerkers.dvgeslacht dvmedewgeslacht,
  vwfrmmilinrichtingen.dvinrichtingnaam, 
  vwfrmmilinrichtingen.dvobjadres  dvinrichtingadres,
  vwfrmmilinrichtingen.dvobjplaats dvinrichtingplaats,
  tbklachten.dvafrondoms dvafrondtekst,
  tbmedewerkers.dvtelefoon dvmedewtelefoon,
  tbmedewerkers.dvemail dvmedewemail,
  tbmedewerkers.dvnotitie dvmedewnotitie,
  tbklachten.dvdmszaakcode,
  tbklachten.dvintzaakcode,
  cast(case when tbmedewerkers.dvvoorletters is null then '' 
			        else tbmedewerkers.dvvoorletters || ' ' end 
			|| case when tbmedewerkers.dvtussenvoegsel is null then '' 
			        else tbmedewerkers.dvtussenvoegsel || ' ' end 
            || tbmedewerkers.dvomschrijving as character varying(62)) as dvmedewvoluit,
   vwfrmmilinrichtingen.dvgemeenteid dvinrgemeenteid,
   tbklachten.dlisindmsverwijderd
from
  tbklachten
  left outer join tbklachtvorm
  on (tbklachten.dnkeyklachtvorm = tbklachtvorm.dnkey)
  inner join tbklachtoverlast
  on (tbklachten.dnkeyklachtoverlast = tbklachtoverlast.dnkey)
  left outer join tbklachtfreq
  on (tbklachten.dnkeyklachtfreq = tbklachtfreq.dnkey)
  left outer join tbklachternst
  on (tbklachten.dnkeyklachternst = tbklachternst.dnkey)
  left outer join tbklachtafrond
  on (tbklachten.dnkeyklachtafrond = tbklachtafrond.dnkey)
  left outer join tbmedewerkers
  on (tbklachten.dvcodemedewerkers = tbmedewerkers.dvcode)
  left outer join vwfrmmilinrichtingen
  on (tbklachten.dnkeymilinrichtingen = vwfrmmilinrichtingen.dnkeymilinrichtingen)
  ;
create or replace view vwinspbezoeken as
select
  tbinspbezoeken.ddgepland,
  tbinspbezoeken.ddafgehandeld,
  tbinspbezoeken.dvcodemedewerkers,
  tbinspbezoeken.dnkeyinspecties,
  tbinspbezoeken.dnkey,
  tbinspecties.dnkeybouwvergunningen,
  tbinspecties.dnkeyhandhavingen,
  tbinspecties.dnkeyhorecavergunningen,
  tbinspecties.dnkeymilinrichtingen,
  tbinspecties.dnkeyovvergunningen,
  tbinspecties.ddrappel,
  tbinspecties.ddcontrole,
  tbinspaanleiding.dvaanleiding,
  tbmedewerkers.dvomschrijving dvnaammedewerker,
  tbinspecties.dnkeyomgvergunningen,
  tbinspecties.dngrondslactw,
  tbinspecties.dngrondslverge,
  cast(case when tbinspecties.dngrondslactw is not null then tbtoestemmingen.dvwerkzaamheden 
       when tbinspecties.dngrondslverge is not null then tbmilwerkz.dvomschrijving || ' ' || tbmilvergunningen.dvpublbouwwerk
  else ''
  end as character varying(151)) as dvgrondslagoms,
  cast(case when tbinspecties.dngrondslactw is not null then tbomgvergunning.dvzaakcode  
       when tbinspecties.dngrondslverge is not null then tbmilvergunningen.dvvergnummer
  else ''
  end as character varying(201)) as dvgrondslagzaakcode,
  tbinspecties.dvomschrijving dvinsptrajectoms,
  tbinspbezoeken.dvtijdstip
from
  tbinspbezoeken
  inner join tbinspecties
  on (tbinspbezoeken.dnkeyinspecties = tbinspecties.dnkey)
  left outer join tbinspaanleiding
  on (tbinspecties.dnkeyinspaanleiding = tbinspaanleiding.dnkey)
  inner join tbmedewerkers
  on (tbinspbezoeken.dvcodemedewerkers = tbmedewerkers.dvcode)
  left outer join tbtoestemmingen
  on (tbinspecties.dngrondslactw = tbtoestemmingen.dnkey)
  left outer join tbomgvergunning
  on (tbtoestemmingen.dnkeyomgvergunningen = tbomgvergunning.dnkey)
  left outer join tbmilvergunningen
  on (tbinspecties.dngrondslverge = tbmilvergunningen.dnkey)
  left outer join tbmilwerkz
  on (tbmilvergunningen.dnkeymilwerkz = tbmilwerkz.dnkey)
;
create or replace view vwfrmmilcertificaten as
select
  tbmilcertificaten.dnkey dnkeycertificaten,
  tbmilcertificaten.dnkeymilinrichtingen,
  tbmilcertificaten.dnkeymilcodecertif,
  tbmilcertificaten.dvopmerking,
  tbmilcodecertif.dvcode dvcertificatencode,
  tbmilcodecertif.dvomschrijving dvcertificatenoms,
  tbmilcodecertif.dnrubriek,
  tbmilcertificaten.dddatum,
  cast(case when tbmilcodecertif.dnrubriek = 1 then 'afval'
          when tbmilcodecertif.dnrubriek = 2 then 'afvalwater'
		  when tbmilcodecertif.dnrubriek = 3 then 'bodem'
		  when tbmilcodecertif.dnrubriek = 4 then 'geluid'
		  when tbmilcodecertif.dnrubriek = 5 then 'koeling'
		  when tbmilcodecertif.dnrubriek = 6 then 'lucht'
		  when tbmilcodecertif.dnrubriek = 7 then 'vee'
		  when tbmilcodecertif.dnrubriek = 8 then 'energie'
		  when tbmilcodecertif.dnrubriek = 9 then 'externe veiligheid'
		  when tbmilcodecertif.dnrubriek = 10 then 'tanks'
		  when tbmilcodecertif.dnrubriek = 11 then 'overig'
	      else 'onbekend'
     end as character varying(20)) as dvomsrubriek
from
  tbmilcertificaten
  inner join tbmilcodecertif
  on (tbmilcertificaten.dnkeymilcodecertif = tbmilcodecertif.dnkey)
;
create or replace view vwmilvergobjstraat as
select
  tbmilvergunningen.dnkey,
  tbmilvergunningen.dnkeymilinrichtingen,
  tbmilvergunningen.dnkeysoortmilverg,
  tbmilvergunningen.dnkeygroepvergunning,
  tbmilvergunningen.dvcodeaardbesluit,
  tbmilvergunningen.dnkeymilwerkz,
  tbmilvergunningen.dvvergnummer,
  tbmilvergunningen.dvomschrijving,
  tbmilvergunningen.ddontvangstdatum,
  tbmilvergunningen.ddmeetdatum,
  tbmilvergunningen.dvredenmeetdatum,
  tbmilvergunningen.ddbesluitdatum,
  tbmilvergunningen.ddgeldigtotmet,
  tbmilvergunningen.ddingetrokken,
  tbmilvergunningen.dvredenintrekking,
  tbmilvergunningen.ddblokkering,
  tbmilvergunningen.ddpublaanvrg,
  tbmilvergunningen.dvpublbouwwerk,
  tbmilvergunningen.dvmemo,
  tbmilvergunningen.ddfataledatum,
  tbmilvergunningen.dvhyperlink,
  tbmilvergunningen.ddvervallen,
  tbmilvergunningen.dlnadereeisen,
  tbmilvergunningen.dvnadereeisen,
  tbmilvergunningen.dndagenopschwerking,
  tbmilwerkz.dvomschrijving dvwerkzaamheid,
  vwmilinrobjstraat.dvinrichtingnaam,
  vwmilinrobjstraat.dvinrichtingnr,
  vwmilinrobjstraat.dvobjhuisnummer,
  vwmilinrobjstraat.dvobjhuisnr,
  vwmilinrobjstraat.dvobjhuisletter,
  vwmilinrobjstraat.dvobjhuisnrtoevoeg,
  vwmilinrobjstraat.dvobjhuisnrinfo,
  vwmilinrobjstraat.dvobjstraat,
  vwmilinrobjstraat.dvobjpostcode,
  vwmilinrobjstraat.dvobjplaats,
  vwmilinrobjstraat.dnperceelkey dnkeyperceeladressen,
  tbaardbesluit.dvomschrijving dvaardbesluit,
  tbaardbesluit.dlverleend,
  tbsoortmilverg.dvomschrijving  dvsoortvergoms,
  tbsoortmilverg.dnfataleperiode,
  tbsoortmilverg.dlrevisie,
  vwmilinrobjstraat.dvperceelnummer,
  vwmilinrobjstraat.dvsectie,
  vwmilinrobjstraat.dvidentificatiecode,
  vwmilinrobjstraat.dvdefkadgem,
  tbmilvergunningen.dvbw_contrcode_1,
  tbmilvergunningen.dvbw_contrcode_2,
  tbmilvergunningen.dvbw_contrcode_3,
  tbmilvergunningen.dvbw_contrcode_4,
  tbmilvergunningen.dvbw_contrcode_5,
  tbmilvergunningen.dvbw_contreenh_1,
  tbmilvergunningen.dvbw_contreenh_2,
  tbmilvergunningen.dvbw_contreenh_3,
  tbmilvergunningen.dvbw_contreenh_4,
  tbmilvergunningen.dvbw_contreenh_5,
  tbmilvergunningen.dnbw_contraant_1,
  tbmilvergunningen.dnbw_contraant_2,
  tbmilvergunningen.dnbw_contraant_3,
  tbmilvergunningen.dnbw_contraant_4,
  tbmilvergunningen.dnbw_contraant_5,
  tbmilvergunningen.dvdmscode,
   cast(case
               when tbmilvergunningen.ddnaverlingetrokken <= fn_vandaag(0)	  
			      then 'ingetrokken na verl.'
			   when tbmilvergunningen.ddgeldigtotmet < fn_vandaag(0)	  
			      then 'verlopen'
			   when tbmilvergunningen.ddvervallen <= fn_vandaag(0)	  
			      then 'vervallen'
               when tbmilvergunningen.ddbesluitdatum is not null
               then
                  tbaardbesluit.dvomschrijving
               when tbmilvergunningen.ddingetrokken is not null
               then
                  'ingetrokken tijdens beh.'
               else
                  'in behandeling'
end as character varying(40)) as dvstatus,				  
vwmilinrobjstraat.dvgmntcode dvgemcode,
 tbmilvergunningen.ddnaverlingetrokken,
 tbsoortmilverg.dnicoon,
 tbmilvergunningen.dvintzaakcode
from
  tbmilvergunningen
  inner join vwmilinrobjstraat
  on (tbmilvergunningen.dnkeymilinrichtingen = vwmilinrobjstraat.dnkey)
  left outer join tbaardbesluit
  on (tbmilvergunningen.dvcodeaardbesluit = tbaardbesluit.dvcode)
  inner join tbmilwerkz
  on (tbmilvergunningen.dnkeymilwerkz = tbmilwerkz.dnkey)
  inner join tbsoortmilverg
  on (tbmilvergunningen.dnkeysoortmilverg = tbsoortmilverg.dnkey)
;
create or replace view vwmilvergminmaxdeadline as
select
   max(a.dddeadline) ddtrmmaxdeadline,
   min(a.dddeadline) ddtrmmindeadline,
   a.dnkeymilvergunningen
from
  tbtermijnbewstappen a
  inner join tbmilvergunningen b
  on (a.dnkeymilvergunningen = b.dnkey)
where
  b.ddblokkering is null
  and
  a.ddafgehandeld is null
  and
  a.dlingebruik = 'T'
  and
  (a.dvvoorwaardejn = 'N'
   or
   a.dnvoorwaarde > 0)
group by
  a.dnkeymilvergunningen
;
create or replace view vwfrmmilvergkrittermijnen as
select
  tbtermijnbewstappen.dnkeymilvergunningen,
   cast(max(tbtermijnbewstappen.dvtermijnomschrijving) as character varying(40)) as dvkrittrmomschrijving,
  max(tbtermijnbewstappen.dddeadline) ddkrittrmdeadline,
  cast(max(tbtermijnbewstappen.dlfataal) as char(1)) as dlfataal,
  cast(max(tbtermijnbewstappen.dvcodemedewerkers) as char(5)) as dvcodemedewerkers,
  max(tbtermijnbewstappen.dnkey) dnkey,
  cast(max(tbprocedures.dvprocnaam) as character varying(40)) as ddkrittrmprocnaam
from
  tbtermijnbewstappen
  inner join tbprocedures
  on (tbtermijnbewstappen.dnkeyorgprocedure = tbprocedures.dnkey)
where
  tbtermijnbewstappen.dlingebruik = 'T'
    and
  tbtermijnbewstappen.dvvoorwaardejn = 'N'
  and
  (tbtermijnbewstappen.dddeadline, tbtermijnbewstappen.dnkeymilvergunningen)
  in
  (select
     ddtrmmindeadline,
	 dnkeymilvergunningen
   from
     vwmilvergminmaxdeadline)
	 group by dnkeymilvergunningen    
;
create or replace view vwfrmmilvergunningen as
select
  tbmilvergunningen.dnkey,
  tbmilvergunningen.dnkeymilinrichtingen,
  tbmilinrichtingen.dvinrichtingnaam,
  tbmilinrichtingen.dvinrichtingnr,
  tbsoortmilverg.dvomschrijving dvsoortmilverg,
  tbgroepvergunning.dvomschrijving dvgroepvergunning,
  tbgroepvergunning.dvomgevingsnr,
  tbmilvergunningen.dvvergnummer,
  tbmilvergunningen.dvomschrijving,
  tbmilvergunningen.ddontvangstdatum,
  tbmilvergunningen.ddmeetdatum,
  tbmilvergunningen.dvredenmeetdatum,
  tbmilvergunningen.ddbesluitdatum,
  tbmilvergunningen.ddgeldigtotmet,
  tbmilvergunningen.ddingetrokken,
  tbmilvergunningen.dvredenintrekking,
  tbmilvergunningen.ddblokkering,
  tbmilvergunningen.ddpublaanvrg,
  tbmilvergunningen.ddvervallen,
  tbmilwerkz.dvomschrijving dvwerkzaamheid,
  tbmilvergunningen.dvpublbouwwerk,
   cast(null as character varying(1)) as dvmemo,
  tbmilvergunningen.ddfataledatum,
  tbmilvergunningen.dvhyperlink,
  tbmilvergunningen.dvcodeaardbesluit,
  tbmilvergunningen.dlnadereeisen,
  tbmilvergunningen.dvnadereeisen,
  tbaardbesluit.dvomschrijving dvaardbesluit,
  tbaardbesluit.dlverleend,
  cast(null as character varying(1)) as dvactueleprocnaam,
  cast(null as character varying(1)) as dvactueleprocwetsart,
  tbdossierverblijf.dvomschrijving dvdossierverblijf,
  tbopenbareruimte.dvopruimtenaam dvobjstraat,
  tbperceeladressen.dvpostcode dvobjpostcode,
  tbwoonplaats.dvwoonplaatsnaam dvobjplaats,
  tbperceeladressen.dnstraatcode,
  tbopenbareruimte.dvextraopruimtenaam dvobjoffstraat,
  tbmonumenten.dvomschrijving dvobjmonument,
  tbperceeladressen.dnxcoordinaat,
  tbperceeladressen.dnycoordinaat,
  tbperceeladressen.dvbestemming dbobjbestemming,
  tbperceeladressen.dvaanduidingbijhuisnummer dvobjaanduidhuisnr,
  tbperceeladressen.dvhuisnummer dvobjhuisnummer,
  tbperceeladressen.dvhuisnummertoevoeging dvobjhuisnrtoevoeg,
  tbperceeladressen.dvhuisletter dvobjhuisletter,
  tbperceeladressen.dvgmntecode dvobjgmntecode,
  tbperceeladressen.dvsectie dvobjsectie,
  tbperceeladressen.dvperceelnummer dvobjperceelnr,
  tbperceeladressen.dvextraperceelnummers dvobjextrpercnrs,
  tbperceeladressen.dvhuisnrinfo dvobjhuisnrinfo,
  tbperceeladressen.dvidentificatiecode dvobjidentificatiecode,
  cast (tbopenbareruimte.dvopruimtenaam 
     || case when tbperceeladressen.dvaanduidingbijhuisnummer is null then ' ' 
			 else ' ' || tbperceeladressen.dvaanduidingbijhuisnummer || ' ' end 
	 || tbperceeladressen.dvhuisnummer
     || ' '
     || case when tbperceeladressen.dvhuisletter is null then '' else tbperceeladressen.dvhuisletter end
     || case when rtrim (tbperceeladressen.dvhuisnummertoevoeging) is null then '' 
			 else replace ('-' || tbperceeladressen.dvhuisnummertoevoeging,'--',  '-') end 
	 || case when tbperceeladressen.dvhuisnrinfo is null then '' else rtrim(' '||tbperceeladressen.dvhuisnrinfo) end
	 as character varying(136)) as dvobjadres,
  tbmilvergunningen.dvbw_contrcode_1,
  tbmilvergunningen.dvbw_contrcode_2,
  tbmilvergunningen.dvbw_contrcode_3,
  tbmilvergunningen.dvbw_contrcode_4,
  tbmilvergunningen.dvbw_contrcode_5,
  tbmilvergunningen.dvbw_contreenh_1,
  tbmilvergunningen.dvbw_contreenh_2,
  tbmilvergunningen.dvbw_contreenh_3,
  tbmilvergunningen.dvbw_contreenh_4,
  tbmilvergunningen.dvbw_contreenh_5,
  tbmilvergunningen.dnbw_contraant_1,
  tbmilvergunningen.dnbw_contraant_2,
  tbmilvergunningen.dnbw_contraant_3,
  tbmilvergunningen.dnbw_contraant_4,
  tbmilvergunningen.dnbw_contraant_5,
  tbmilvergunningen.dvdmscode,
  cast(case
               when tbmilvergunningen.ddnaverlingetrokken <= fn_vandaag(0)	  
			      then 'ingetrokken na verl.'
			   when tbmilvergunningen.ddgeldigtotmet < fn_vandaag(0)	  
			      then 'verlopen'
			   when tbmilvergunningen.ddvervallen <= fn_vandaag(0)	  
			      then 'vervallen'
               when tbmilvergunningen.ddbesluitdatum is not null
               then
                  tbaardbesluit.dvomschrijving
               when tbmilvergunningen.ddingetrokken is not null
               then
                  'ingetrokken tijdens beh.'
               else
                  'in behandeling'
	 end as character varying(80)) as dvstatus,
  tbmilvergunningen.dvolonummer,
  tbmilvergunningen.ddnaverlingetrokken,
  tbbesluittypes.dvtype dvbesluittype,
  tbmilvergunningen.dnkeybesluittypes,
  tbmilinrichtingen.dnkeyperceeladressen,
  tbmilvergunningen.dvintzaakcode,
  tbmilvergunningen.dlisindmsverwijderd,
  tbmilvergunningen.dnkeysoortmilverg
from
  tbmilvergunningen
  inner join tbmilinrichtingen
  on (tbmilvergunningen.dnkeymilinrichtingen = tbmilinrichtingen.dnkey)
  left outer join tbaardbesluit
  on (tbmilvergunningen.dvcodeaardbesluit = tbaardbesluit.dvcode)
  inner join tbmilwerkz
  on (tbmilvergunningen.dnkeymilwerkz = tbmilwerkz.dnkey)
  inner join tbsoortmilverg
  on (tbmilvergunningen.dnkeysoortmilverg = tbsoortmilverg.dnkey)
  inner join tbperceeladressen
  on (tbmilinrichtingen.dnkeyperceeladressen = tbperceeladressen.dnkey)
  left outer join tbdossierverblijf
  on (tbmilvergunningen.dvcodedossierverblijf = tbdossierverblijf.dvcode)
  inner join tbopenbareruimte
  on (tbperceeladressen.dnkeyopenbruimte = tbopenbareruimte.dnkey)
  inner join tbwoonplaats
  on (tbopenbareruimte.dnkeywoonplaats = tbwoonplaats.dnkey)
  left outer join tbgroepvergunning
  on (tbmilvergunningen.dnkeygroepvergunning = tbgroepvergunning.dnkey)
  left outer join tbmonumenten
  on (tbperceeladressen.dnkeymonumenten = tbmonumenten.dnkey)
  left outer join tbbesluittypes
  on (tbmilvergunningen.dnkeybesluittypes = tbbesluittypes.dnkey)
;
create or replace view vwmilvergadvies_behandelaar as 
select
  tbadviezen.ddrappeldatum,
  tbadviezen.ddadviesdatum,
  tbadviezen.dvomschrijving,
  tbadviezen.dnkeymilvergunningen dnkeyvergunning,
  tbadviesinstanties.dvomschrijving dvomschradviesinstantie,
  trim(tbadviezen.dvcodemedewerkers) dvcodemedewerker,
  tbadviezen.dnkey dnkeyadvies
from
  tbadviezen
  inner join tbadviesinstanties
  on (tbadviezen.dvcodeadviesinstanties = tbadviesinstanties.dvcode)
where
  tbadviezen.dvcodemedewerkers is not null and
  tbadviezen.ddrappeldatum is not null and
  tbadviezen.ddadviesdatum is null     and
  tbadviezen.ddvervallen is null     and
  tbadviezen.dnkeymilvergunningen in (select dnkey from tbmilvergunningen where (ddblokkering is null and ddingetrokken is null))
union
select
  tbadviezen.ddrappeldatum,
  tbadviezen.ddadviesdatum,
  tbadviezen.dvomschrijving,
  tbadviezen.dnkeymilvergunningen dnkeyvergunning,
  tbadviesinstanties.dvomschrijving dvomschradviesinstantie,
  trim(tbinbehandelingbij.dvcodemedewerker) dvcodemedewerker,
  tbadviezen.dnkey dnkeyadvies
from
  tbinbehandelingbij
  inner join tbadviezen
  on (tbinbehandelingbij.dnkeymilvergunningen = tbadviezen.dnkeymilvergunningen)
  inner join tbadviesinstanties
  on (tbadviezen.dvcodeadviesinstanties = tbadviesinstanties.dvcode)
where
  tbinbehandelingbij.dlactief = 'T' and
  tbadviezen.ddrappeldatum is not null and
  tbadviezen.ddadviesdatum is null     and
  tbadviezen.ddvervallen is null     and
  tbadviezen.dnkeymilvergunningen in (select dnkey from tbmilvergunningen where (ddblokkering is null and ddingetrokken is null))
;
create or replace view vwmilvergavrcontacten as
select
  tbmilvergcontactennn.dnkeymilvergunningen,
  tbcontactadressen.dvvoorletters dvavrvoorl,
  tbcontactadressen.dvvoorvoegsel dvavrtussenv,
  tbcontactadressen.dvachternaam dvavrnaam,
  tbcontactadressen.dvbedrijfsnaam dvavrbedrijfsnaam,
  tbcontactadressen.dvdebiteurnr,
  tbcontactadressen.dvstraatnaam dvavrstraatnaam,
  tbcontactadressen.dvhuisnummer dvavrhuisnummer,
  tbcontactadressen.dvhuisletter dvavrhuisletter,
  tbcontactadressen.dvhuisnummertoevoeging dvavrhuisnrtoev,
  tbcontactadressen.dvpostcode dvavrpostcode,
  tbcontactadressen.dvwoonplaatsnaam dvavrwoonplaats,
  tbcontactadressen.dnkey dnkeycontactadressen
from
  tbmilvergcontactennn
  inner join tbcontactadressen
  on (tbmilvergcontactennn.dnkeycontactadressen = tbcontactadressen.dnkey)
where
  tbmilvergcontactennn.dvcodeadressoort = 'AVR'
;
create or replace view vwmilvergcontacten as
select
  tbmilvergcontactennn.dnkeymilvergunningen,
  tbcontactadressen.dnkey dnkeycontactadressen,
  tbcontactadressen.dvvoorletters dvcontvoorletters,
  tbcontactadressen.dvvoorvoegsel dvcontvoorvoegsel,
  tbcontactadressen.dvroepnaam dvcontroepnaam,
  tbcontactadressen.dvachternaam dvcontachternaam,
  tbcontactadressen.dvbedrijfsnaam dvcontbedrijfsnaam,
  tbcontactadressen.dvbriefaanhef dbcontbriefaanhef,
  tbcontactadressen.dvwoonplaatsnaam dvcontwoonplaats,
  tbcontactadressen.dvstraatnaam dvcontstraatnaam,
  tbcontactadressen.dvaanduidingbijhuisnummer dvcontaanduidhuisnr,
  tbcontactadressen.dvhuisnummer dvconthuisnummer,
  tbcontactadressen.dvhuisnummertoevoeging dvconthuisnrtoevoeg,
  tbcontactadressen.dvhuisletter dvconthuisletter,
  tbcontactadressen.dvpostcode dvcontpostcode,
  tbcontactadressen.dvtelefoon dvconttelefoon,
  tbcontactadressen.dvfax dvcontfax,
  tbcontactadressen.dvemail dvcontemail,
  cast(case when tbcontactadressen.dvaanduidingbijhuisnummer is null then '' 
			        else tbcontactadressen.dvaanduidingbijhuisnummer || ' ' end 
			|| tbcontactadressen.dvhuisnummer
            || ' '
            || case when tbcontactadressen.dvhuisletter is null then '' else tbcontactadressen.dvhuisletter end
            || case when rtrim (tbcontactadressen.dvhuisnummertoevoeging) is null then '' 
			   else replace ('-' || tbcontactadressen.dvhuisnummertoevoeging,'--',  '-') 
			   end as character varying(15)) as dvobjhuisnr,
  tbadressoort.dvcode dvcontadrescode,
  tbadressoort.dvomschrijving dvcontadressoort,
  tbadressoort.ddvervaldatum ddcontadresverval,
  tbcontactadressen.dvsofinummer dvbsn,
  tbcontactadressen.dvbin,
  tbcontactadressen.dvhandelsnaam dvconthandelsnaam,
  tbsoortmilverg.dnicoon
from
  tbmilvergcontactennn
  inner join tbcontactadressen
  on (tbmilvergcontactennn.dnkeycontactadressen = tbcontactadressen.dnkey)
  inner join tbadressoort
  on (tbmilvergcontactennn.dvcodeadressoort = tbadressoort.dvcode)
  inner join tbmilvergunningen
  on (tbmilvergcontactennn.dnkeymilvergunningen = tbmilvergunningen.dnkey)
  inner join tbsoortmilverg
  on (tbmilvergunningen.dnkeysoortmilverg = tbsoortmilverg.dnkey)
;
create or replace view vwfrmmilvergcontacten as
select
  tbmilvergcontactennn.dnkeymilvergunningen,
  tbcontactadressen.dnkey dnkeycontactadressen,
  tbcontactadressen.dvvoorletters dvcontvoorletters,
  tbcontactadressen.dvvoorvoegsel dvcontvoorvoegsel,
  tbcontactadressen.dvroepnaam dvcontroepnaam,
  tbcontactadressen.dvachternaam dvcontachternaam,
  tbcontactadressen.dvbedrijfsnaam dvcontbedrijfsnaam,
  tbcontactadressen.dvbriefaanhef dbcontbriefaanhef,
  tbcontactadressen.dvwoonplaatsnaam dvcontwoonplaats,
  tbcontactadressen.dvstraatnaam dvcontstraatnaam,
  tbcontactadressen.dvaanduidingbijhuisnummer dvcontaanduidhuisnr,
  tbcontactadressen.dvhuisnummer dvconthuisnummer,
  tbcontactadressen.dvhuisnummertoevoeging dvconthuisnrtoevoeg,
  tbcontactadressen.dvhuisletter dvconthuisletter,
  tbcontactadressen.dvpostcode dvcontpostcode,
  tbcontactadressen.dvtelefoon dvconttelefoon,
  tbcontactadressen.dvgsm dvcontgsm,
  tbcontactadressen.dvfax dvcontfax,
  tbcontactadressen.dvemail dvcontemail,
  tbcontactadressen.dvdebiteurnr,
  tbcontactadressen.dvgeslacht,
  tbcontactadressen.dvbin dvcontbinnr,
  tbcontactadressen.dvsofinummer dvcontbsnnr,
  tbcontactadressen.dvveststraat,
  tbcontactadressen.dvvesthuisnr,
  tbcontactadressen.dvvesthuisletter,
  tbcontactadressen.dvvesthuistoev,
  tbcontactadressen.dvvestpc,
  tbcontactadressen.dvvestplaats,
  tbadressoort.dvcode dvcontadrescode,
  tbadressoort.dvomschrijving dvcontadressoort,
  tbadressoort.ddvervaldatum ddcontadresverval,
  cast(case when tbcontactadressen.dvgeslacht = 'M' then 'De heer' 
  when tbcontactadressen.dvgeslacht ='V' then'Mevrouw' 
  else 'De heer/mevrouw' end
  || case when tbcontactadressen.dvvoorletters is not null then rtrim(' '||tbcontactadressen.dvvoorletters) else '' end
  || case when tbcontactadressen.dvvoorvoegsel is not null then rtrim(' '||tbcontactadressen.dvvoorvoegsel) else '' end
  || case when tbcontactadressen.dvachternaam is not null then rtrim(' '||tbcontactadressen.dvachternaam) else '' end
  as character varying(238)) as dvconttav, 
  cast(tbcontactadressen.dvstraatnaam 
  || case when tbcontactadressen.dvaanduidingbijhuisnummer is not null then rtrim(' '||tbcontactadressen.dvaanduidingbijhuisnummer) else '' end
  || case when tbcontactadressen.dvhuisnummer is not null then rtrim(' '||tbcontactadressen.dvhuisnummer)else '' end
  || case when tbcontactadressen.dvhuisletter is not null then tbcontactadressen.dvhuisletter else '' end
  || case when rtrim(tbcontactadressen.dvhuisnummertoevoeging) is null then '' 
     else replace('-'||tbcontactadressen.dvhuisnummertoevoeging,'--','-')
     end as character varying(95)) as dvcontadres,
  tbcontactadressen.dvhandelsnaam dvconthandelsnaam,
             tbcontactadressen.dvcodenationaliteit,
  tbnationaliteiten.dvomschrijving dvnationaliteit,
  tbcontactadressen.dddatummutatie,
  tbcontactadressen.ddcontrolegba,
  tbcontactadressen.dvvestigingsnr,
  tbcontactadressen.dvdoopnamen,
  tbcontactadressen.ddgeboortedatum,
  tbcontactadressen.dvgeboorteplaats,
  tbcontactadressen.dvidentiteitbew,
  tbcontactadressen.ddvervaldatum
from
  tbmilvergcontactennn
  inner join tbcontactadressen
  on (tbmilvergcontactennn.dnkeycontactadressen = tbcontactadressen.dnkey)
  inner join tbadressoort
  on (tbmilvergcontactennn.dvcodeadressoort = tbadressoort.dvcode)
   left outer join tbnationaliteiten
  on (tbcontactadressen.dvcodenationaliteit = tbnationaliteiten.dvcode)
;
create or replace view vwfrmmilvergwetgrond as
select
  tbmilvergwetgrond.dnkey dnkeymilvergwetgrond,
  tbmilvergwetgrond.dnkeymilvergunningen,
  tbmilvergwetgrond.dnkeymilcodewetgrond,
  tbmilvergwetgrond.dvopmerking,
  tbmilcodewetgrond.dvcode dvwetgrondcode,
  tbmilcodewetgrond.dvomschrijving dvwetgrondoms
from
  tbmilvergwetgrond
  inner join tbmilcodewetgrond
  on (tbmilvergwetgrond.dnkeymilcodewetgrond = tbmilcodewetgrond.dnkey)
;
create or replace view vwfrmmilvergeindtermijnen as
select
  tbtermijnbewstappen.dnkeymilvergunningen,
  tbtermijnbewstappen.dvtermijnomschrijving dveindtrmomschrijving,
  tbtermijnbewstappen.dddeadline ddeindtrmdeadline,
  tbtermijnbewstappen.dlfataal,
  tbtermijnbewstappen.dvcodemedewerkers,
  tbprocedures.dvprocnaam ddeindtrmprocnaam
from
  tbtermijnbewstappen
  inner join tbprocedures
  on (tbtermijnbewstappen.dnkeyorgprocedure = tbprocedures.dnkey)
where
  tbtermijnbewstappen.dlingebruik = 'T'
  and
  (tbtermijnbewstappen.dddeadline, tbtermijnbewstappen.dnkeymilvergunningen)
  in
  (select
     ddtrmmaxdeadline,
	 dnkeymilvergunningen
   from
     vwmilvergminmaxdeadline)
;
create or replace view vwmilvergminmaxfatdeadline
as
select
   max(a.dddeadline) ddtrmmaxdeadline,
   min(a.dddeadline) ddtrmmindeadline,
   a.dnkeymilvergunningen
from
  tbtermijnbewstappen a
  inner join tbmilvergunningen b
  on (a.dnkeymilvergunningen = b.dnkey)
where
  b.ddblokkering is null
  and
  a.ddafgehandeld is null
  and
  a.dlingebruik = 'T'
  and
  a.dvvoorwaardejn = 'N'
  and
  a.dlfataal = 'T'
group by
  a.dnkeymilvergunningen
;
create or replace view vwfrmmilvergfattermijnen
as
select
  tbtermijnbewstappen.dnkeymilvergunningen,
  tbtermijnbewstappen.dvtermijnomschrijving dvkrittrmomschrijving,
  tbtermijnbewstappen.dddeadline ddkrittrmdeadline,
  tbtermijnbewstappen.dvcodemedewerkers,
  tbprocedures.dvprocnaam ddkrittrmprocnaam
from
  tbtermijnbewstappen
  inner join tbprocedures
  on (tbtermijnbewstappen.dnkeyorgprocedure = tbprocedures.dnkey)
where
  tbtermijnbewstappen.dlingebruik = 'T'
  and
  dvvoorwaardejn = 'N'
  and
  (tbtermijnbewstappen.dddeadline,
   tbtermijnbewstappen.dnkeymilvergunningen)
   in (select
         ddtrmmindeadline,
         dnkeymilvergunningen
       from
         vwmilvergminmaxfatdeadline)
;
create or replace view vwmilklachten_behandelaar
as select
  tbklachten.dddatumklacht,
  tbklachten.ddafgerond,
  tbklachten.dnkeymilinrichtingen,
  tbklachtoverlast.dvomsoverlast dvomschrklacht,
  tbklachten.dvcodemedewerkers,
  tbklachten.dvdmszaakcode
from
  tbklachten
  inner join tbklachtoverlast
  on (tbklachten.dnkeyklachtoverlast = tbklachtoverlast.dnkey)
  inner join tbmilinrichtingen
  on (tbklachten.dnkeymilinrichtingen = tbmilinrichtingen.dnkey)
where
  tbklachten.dddatumklacht is not null and
  tbklachten.ddafgerond is null     
;
create or replace view vwmilkopvergsrt as
select
tbmilkopvergsrt.dnkeymilvergamvbpl,
tbmilkopvergsrt.dnkeysoortmilverg,
tbsoortmilverg.dvomschrijving,
tbsoortmilverg.dlrevisie,
tbsoortmilverg.ddvervaldatum,
tbsoortmilverg.dlbehandelaarverpl,
tbsoortmilverg.dnfataleperiode,
tbsoortmilverg.dnlenophoger,
tbsoortmilverg.dvadressoortverpl,
tbsoortmilverg.dvmasker,
tbsoortmilverg.dnpublaanvrgper
from
tbmilkopvergsrt
inner join tbsoortmilverg
on (tbmilkopvergsrt.dnkeysoortmilverg = tbsoortmilverg.dnkey)
;
create or replace view vwfrmbouwavrcontacten
as
select
  tbbouwcontactennn.dnkeybouwvergunningen,
  tbcontactadressen.dvbedrijfsnaam dvavrbedrijf,
  tbcontactadressen.dnkey dnkeycontactadressen,
  tbcontactadressen.dvvoorletters dvavrvoorletters,
  tbcontactadressen.dvvoorvoegsel dvavrvoorvoegsel,
  tbcontactadressen.dvroepnaam dvavrroepnaam,
  tbcontactadressen.dvachternaam dvavrachternaam,
  tbcontactadressen.dvbriefaanhef dvavrbriefaanhef,
  tbcontactadressen.dvwoonplaatsnaam dvavrwoonplaats,
  tbcontactadressen.dvstraatnaam dvavrstraatnaam,
  tbcontactadressen.dvaanduidingbijhuisnummer dvavraanduidhuisnr,
  tbcontactadressen.dvhuisnummer dvavrhuisnummer,
  tbcontactadressen.dvhuisnummertoevoeging dvavrhuisnrtoevoeg,
  tbcontactadressen.dvhuisletter dvavrhuisletter,
  tbcontactadressen.dvpostcode dvavrpostcode,
  tbcontactadressen.dvtelefoon dvavrtelefoon,
  tbcontactadressen.dvgsm dvavrgsm,
  tbcontactadressen.dvfax dvavrfax,
  tbcontactadressen.dvemail dvavremail,
  tbcontactadressen.ddvervaldatum ddavrvervaldatum,
  tbcontactadressen.dvsofinummer dvavrbsn,
  tbcontactadressen.dvbin dvavrbin,
  cast(case when tbcontactadressen.dvgeslacht = 'M' then 'De heer' 
  when tbcontactadressen.dvgeslacht ='V' then'Mevrouw' 
  else 'De heer/mevrouw' end
  || case when tbcontactadressen.dvvoorletters is not null then rtrim(' '||tbcontactadressen.dvvoorletters) else '' end
  || case when tbcontactadressen.dvvoorvoegsel is not null then rtrim(' '||tbcontactadressen.dvvoorvoegsel) else '' end
  || case when tbcontactadressen.dvachternaam is not null then rtrim(' '||tbcontactadressen.dvachternaam) else '' end
  as character varying(238)) as dvavrtav, 
 cast(tbcontactadressen.dvstraatnaam 
  || case when tbcontactadressen.dvaanduidingbijhuisnummer is not null then rtrim(' '||tbcontactadressen.dvaanduidingbijhuisnummer) else '' end
  || case when tbcontactadressen.dvhuisnummer is not null then rtrim(' '||tbcontactadressen.dvhuisnummer)else '' end
  || case when tbcontactadressen.dvhuisletter is not null then tbcontactadressen.dvhuisletter else '' end
  || case when rtrim(tbcontactadressen.dvhuisnummertoevoeging) is null then '' 
     else replace('-'||tbcontactadressen.dvhuisnummertoevoeging,'--','-')
     end as character varying(95)) as dvavradres,
 tbcontactadressen.dvhandelsnaam dvavrhandelsnaam
from
  tbbouwcontactennn
  inner join tbcontactadressen
  on (tbbouwcontactennn.dnkeycontactadressen = tbcontactadressen.dnkey)
where
  tbbouwcontactennn.dvcodeadressoort = 'AVR'
;
create or replace view vwfrmovavrcontacten
as
select
  tbovcontactennn.dnkeyovvergunningen,
  tbcontactadressen.dvbedrijfsnaam dvavrbedrijf,
  tbcontactadressen.dnkey dnkeycontactadressen,
  tbcontactadressen.dvvoorletters dvavrvoorletters,
  tbcontactadressen.dvvoorvoegsel dvavrvoorvoegsel,
  tbcontactadressen.dvroepnaam dvavrroepnaam,
  tbcontactadressen.dvachternaam dvavrachternaam,
  tbcontactadressen.dvbriefaanhef dvavrbriefaanhef,
  tbcontactadressen.dvwoonplaatsnaam dvavrwoonplaats,
  tbcontactadressen.dvstraatnaam dvavrstraatnaam,
  tbcontactadressen.dvaanduidingbijhuisnummer dvavraanduidhuisnr,
  tbcontactadressen.dvhuisnummer dvavrhuisnummer,
  tbcontactadressen.dvhuisnummertoevoeging dvavrhuisnrtoevoeg,
  tbcontactadressen.dvhuisletter dvavrhuisletter,
  tbcontactadressen.dvpostcode dvavrpostcode,
  tbcontactadressen.dvtelefoon dvavrtelefoon,
  tbcontactadressen.dvgsm dvavrgsm,
  tbcontactadressen.dvfax dvavrfax,
  tbcontactadressen.dvemail dvavremail,
  tbcontactadressen.ddvervaldatum ddavrvervaldatum,
  tbcontactadressen.dvsofinummer dvavrbsn,
  tbcontactadressen.dvbin dvavrbin,
  cast(case when tbcontactadressen.dvgeslacht = 'M' then 'De heer' 
  when tbcontactadressen.dvgeslacht ='V' then'Mevrouw' 
  else 'De heer/mevrouw' end
  || case when tbcontactadressen.dvvoorletters is not null then rtrim(' '||tbcontactadressen.dvvoorletters) else '' end
  || case when tbcontactadressen.dvvoorvoegsel is not null then rtrim(' '||tbcontactadressen.dvvoorvoegsel) else '' end
  || case when tbcontactadressen.dvachternaam is not null then rtrim(' '||tbcontactadressen.dvachternaam) else '' end
  as character varying(238)) as dvavrtav, 
  cast(tbcontactadressen.dvstraatnaam 
  || case when tbcontactadressen.dvaanduidingbijhuisnummer is not null then rtrim(' '||tbcontactadressen.dvaanduidingbijhuisnummer) else '' end
  || case when tbcontactadressen.dvhuisnummer is not null then rtrim(' '||tbcontactadressen.dvhuisnummer)else '' end
  || case when tbcontactadressen.dvhuisletter is not null then tbcontactadressen.dvhuisletter else '' end
  || case when rtrim(tbcontactadressen.dvhuisnummertoevoeging) is null then '' 
     else replace('-'||tbcontactadressen.dvhuisnummertoevoeging,'--','-')
     end as character varying(95)) as dvavradres,
	 tbcontactadressen.dvhandelsnaam dvavrhandelsnaam
from
  tbovcontactennn
  inner join tbcontactadressen
  on (tbovcontactennn.dnkeycontactadressen = tbcontactadressen.dnkey)
where
  tbovcontactennn.dvcodeadressoort = 'AVR'
;
create or replace view vwfrmbouwaancontacten
as
select
  tbbouwcontactennn.dnkeybouwvergunningen,
  tbcontactadressen.dvbedrijfsnaam dvaanbedrijf,
  tbcontactadressen.dnkey dnkeycontactadressen,
  tbcontactadressen.dvvoorletters dvaanvoorletters,
  tbcontactadressen.dvvoorvoegsel dvaanvoorvoegsel,
  tbcontactadressen.dvroepnaam dvaanroepnaam,
  tbcontactadressen.dvachternaam dvaanachternaam,
  tbcontactadressen.dvbriefaanhef dvaanbriefaanhef,
  tbcontactadressen.dvwoonplaatsnaam dvaanwoonplaats,
  tbcontactadressen.dvstraatnaam dvaanstraatnaam,
  tbcontactadressen.dvaanduidingbijhuisnummer dvaanaanduidhuisnr,
  tbcontactadressen.dvhuisnummer dvaanhuisnummer,
  tbcontactadressen.dvhuisnummertoevoeging dvaanhuisnrtoevoeg,
  tbcontactadressen.dvhuisletter dvaanhuisletter,
  tbcontactadressen.dvpostcode dvaanpostcode,
  tbcontactadressen.dvtelefoon dvaantelefoon,
  tbcontactadressen.dvgsm dvaangsm,
  tbcontactadressen.dvfax dvaanfax,
  tbcontactadressen.dvemail dvaanemail,
  tbcontactadressen.ddvervaldatum ddaanvervaldatum,
  tbcontactadressen.dvsofinummer dvaanbsn,
  tbcontactadressen.dvbin dvaanbin,
  cast(case when tbcontactadressen.dvgeslacht = 'M' then 'De heer' 
  when tbcontactadressen.dvgeslacht ='V' then'Mevrouw' 
  else 'De heer/mevrouw' end
  || case when tbcontactadressen.dvvoorletters is not null then rtrim(' '||tbcontactadressen.dvvoorletters) else '' end
  || case when tbcontactadressen.dvvoorvoegsel is not null then rtrim(' '||tbcontactadressen.dvvoorvoegsel) else '' end
  || case when tbcontactadressen.dvachternaam is not null then rtrim(' '||tbcontactadressen.dvachternaam) else '' end
  as character varying(238)) as dvaantav, 
  cast(tbcontactadressen.dvstraatnaam 
  || case when tbcontactadressen.dvaanduidingbijhuisnummer is not null then rtrim(' '||tbcontactadressen.dvaanduidingbijhuisnummer) else '' end
  || case when tbcontactadressen.dvhuisnummer is not null then rtrim(' '||tbcontactadressen.dvhuisnummer)else '' end
  || case when tbcontactadressen.dvhuisletter is not null then tbcontactadressen.dvhuisletter else '' end
  || case when rtrim(tbcontactadressen.dvhuisnummertoevoeging) is null then '' 
     else replace('-'||tbcontactadressen.dvhuisnummertoevoeging,'--','-')
     end as character varying(95)) as dvaanadres,
 tbcontactadressen.dvhandelsnaam dvaanhandelsnaam
from
  tbbouwcontactennn
  inner join tbcontactadressen
  on (tbbouwcontactennn.dnkeycontactadressen = tbcontactadressen.dnkey)
where
  tbbouwcontactennn.dvcodeadressoort = 'AAN'
;
create or replace view vwfrmovaancontacten
as
select
  tbovcontactennn.dnkeyovvergunningen,
  tbcontactadressen.dvbedrijfsnaam dvaanbedrijf,
  tbcontactadressen.dnkey dnkeycontactadressen,
  tbcontactadressen.dvvoorletters dvaanvoorletters,
  tbcontactadressen.dvvoorvoegsel dvaanvoorvoegsel,
  tbcontactadressen.dvroepnaam dvaanroepnaam,
  tbcontactadressen.dvachternaam dvaanachternaam,
  tbcontactadressen.dvbriefaanhef dvaanbriefaanhef,
  tbcontactadressen.dvwoonplaatsnaam dvaanwoonplaats,
  tbcontactadressen.dvstraatnaam dvaanstraatnaam,
  tbcontactadressen.dvaanduidingbijhuisnummer dvaanaanduidhuisnr,
  tbcontactadressen.dvhuisnummer dvaanhuisnummer,
  tbcontactadressen.dvhuisnummertoevoeging dvaanhuisnrtoevoeg,
  tbcontactadressen.dvhuisletter dvaanhuisletter,
  tbcontactadressen.dvpostcode dvaanpostcode,
  tbcontactadressen.dvtelefoon dvaantelefoon,
  tbcontactadressen.dvgsm dvaangsm,
  tbcontactadressen.dvfax dvaanfax,
  tbcontactadressen.dvemail dvaanemail,
  tbcontactadressen.ddvervaldatum ddaanvervaldatum,
  tbcontactadressen.dvsofinummer dvaanbsn,
  tbcontactadressen.dvbin dvaanbin,
  cast(case when tbcontactadressen.dvgeslacht = 'M' then 'De heer' 
  when tbcontactadressen.dvgeslacht ='V' then'Mevrouw' 
  else 'De heer/mevrouw' end
  || case when tbcontactadressen.dvvoorletters is not null then rtrim(' '||tbcontactadressen.dvvoorletters) else '' end
  || case when tbcontactadressen.dvvoorvoegsel is not null then rtrim(' '||tbcontactadressen.dvvoorvoegsel) else '' end
  || case when tbcontactadressen.dvachternaam is not null then rtrim(' '||tbcontactadressen.dvachternaam) else '' end
  as character varying(238)) as dvaantav,
  cast(tbcontactadressen.dvstraatnaam 
  || case when tbcontactadressen.dvaanduidingbijhuisnummer is not null then rtrim(' '||tbcontactadressen.dvaanduidingbijhuisnummer) else '' end
  || case when tbcontactadressen.dvhuisnummer is not null then rtrim(' '||tbcontactadressen.dvhuisnummer)else '' end
  || case when tbcontactadressen.dvhuisletter is not null then tbcontactadressen.dvhuisletter else '' end
  || case when rtrim(tbcontactadressen.dvhuisnummertoevoeging) is null then '' 
     else replace('-'||tbcontactadressen.dvhuisnummertoevoeging,'--','-')
     end as character varying(95)) as dvaanadres,
  tbcontactadressen.dvhandelsnaam dvaanhandelsnaam
from
  tbovcontactennn
  inner join tbcontactadressen
  on (tbovcontactennn.dnkeycontactadressen = tbcontactadressen.dnkey)
where
  tbovcontactennn.dvcodeadressoort = 'AAN'
;
create or replace view vwmilinrverzendlijst as select
  tbwoonplaats.dvwoonplaatsnaam dvwoonplaats,
  tbopenbareruimte.dvopruimtenaam dvnaam_nen5825,
  tbperceeladressen.dvhuisnummer,
  tbperceeladressen.dvhuisnummertoevoeging,
  tbperceeladressen.dvhuisletter,
  tbperceeladressen.dvhuisnrinfo,
  tbmilinrichtingen.dvinrichtingnr,
  tbmilinrichtingen.dvinrichtingnaam,
  tbverzendlijst.dnkey,
  tbverzendlijst.dvcodemedewerkers,
  tbverzendlijst.ddtoegevoegd,
  tbverzendlijst.dnkeymilinrichtingen,
  tbverzendlijst.dnkeycontactadressen,
  tbcontactadressen.dvachternaam,
  tbcontactadressen.dvbedrijfsnaam
from 
  tbverzendlijst
  inner join tbmilinrichtingen
  on (tbmilinrichtingen.dnkey = tbverzendlijst.dnkeymilinrichtingen)
  inner join tbcontactadressen
  on (tbcontactadressen.dnkey = tbverzendlijst.dnkeycontactadressen)
  inner join tbperceeladressen
  on (tbperceeladressen.dnkey = tbmilinrichtingen.dnkeyperceeladressen)
  inner join tbopenbareruimte
  on (tbperceeladressen.dnkeyopenbruimte = tbopenbareruimte.dnkey)
  inner join tbwoonplaats
  on (tbopenbareruimte.dnkeywoonplaats = tbwoonplaats.dnkey)
;
create or replace view vwmilvergverzendlijst as select
  tbwoonplaats.dvwoonplaatsnaam dvwoonplaats,
  tbopenbareruimte.dvopruimtenaam dvnaam_nen5825,
  tbperceeladressen.dvhuisnummer,
  tbperceeladressen.dvhuisnummertoevoeging,
  tbperceeladressen.dvhuisletter,
  tbperceeladressen.dvhuisnrinfo,
  tbmilvergunningen.dvvergnummer,
  tbmilvergunningen.ddontvangstdatum,
  tbmilvergunningen.ddbesluitdatum,
  tbmilinrichtingen.dvinrichtingnaam,
  tbsoortmilverg.dvomschrijving,
  tbverzendlijst.dnkey,
  tbverzendlijst.dvcodemedewerkers,
  tbverzendlijst.ddtoegevoegd,
  tbverzendlijst.dnkeymilvergunningen,
  tbverzendlijst.dnkeycontactadressen,
  tbcontactadressen.dvachternaam,
  tbcontactadressen.dvbedrijfsnaam
from
  tbverzendlijst
  inner join tbmilvergunningen
  on (tbmilvergunningen.dnkey = tbverzendlijst.dnkeymilvergunningen)
  inner join tbmilinrichtingen
  on (tbmilinrichtingen.dnkey = tbmilvergunningen.dnkeymilinrichtingen)
  inner join tbcontactadressen
  on (tbcontactadressen.dnkey = tbverzendlijst.dnkeycontactadressen)
  inner join tbperceeladressen
  on (tbperceeladressen.dnkey = tbmilinrichtingen.dnkeyperceeladressen)
  inner join tbopenbareruimte
  on (tbperceeladressen.dnkeyopenbruimte = tbopenbareruimte.dnkey)
  inner join tbwoonplaats
  on (tbopenbareruimte.dnkeywoonplaats = tbwoonplaats.dnkey)  
  left outer join tbsoortmilverg
  on (tbmilvergunningen.dnkeysoortmilverg = tbsoortmilverg.dnkey)
;
create or replace view vwomgvergobjstraat as
select
  tbomgvergunning.dnkey,
  tbomgvergunning.dnkeyperceeladressen,
  tbomgvergunning.dnkeysoortomgverg,
  tbomgvergunning.ddaanvraag,
  tbomgvergunning.ddblokkering,
  tbomgvergunning.dvaanvraagnaam,
  tbomgvergunning.dvaanvraagoms,
  tbomgvergunning.dvlvoaanvraagnr,
  tbomgvergunning.dvzaakcode,
  tbperceeladressen.dnstraatcode dnobjstraatcode,
  tbperceeladressen.ddvervaldatum ddpercvervaldatum,
  tbperceeladressen.dnkey dnperceelkey,
  tbperceeladressen.dvperceelnummer,
  tbperceeladressen.dvextraperceelnummers,
  tbperceeladressen.dvhuisnummer dvobjhuisnummer,
  tbperceeladressen.dvhuisletter dvobjhuisletter,
  tbperceeladressen.dvhuisnummertoevoeging dvobjhuisnrtoevoeg,
  tbperceeladressen.dvaanduidingbijhuisnummer dvobjaanduidhuisnr,
  tbperceeladressen.dvgmntecode dvobjgmntecode,
  tbperceeladressen.dvsectie,
 cast(case when tbperceeladressen.dvaanduidingbijhuisnummer is null then '' 
			        else tbperceeladressen.dvaanduidingbijhuisnummer || ' ' end 
			|| tbperceeladressen.dvhuisnummer
            || ' '
            || case when tbperceeladressen.dvhuisletter is null then '' else tbperceeladressen.dvhuisletter end
            || case when rtrim (tbperceeladressen.dvhuisnummertoevoeging) is null then '' 
			   else replace ('-' || tbperceeladressen.dvhuisnummertoevoeging,'--',  '-') 
			   end as character varying(15)) as dvobjhuisnr,
  tbperceeladressen.dnkeymonumenten,
  tbperceeladressen.dvhuisnrinfo dvobjhuisnrinfo,
  tbopenbareruimte.dvopruimtenaam dvobjstraat,
  tbperceeladressen.dvpostcode dvobjpostcode,
  tbwoonplaats.dvwoonplaatsnaam dvobjplaats,
  tbperceeladressen.dncbs_buurt dnobjcbs_buurt,
  tbperceeladressen.dvbuurtcode,
  tbsoortomgverg.dvomschrijving dvsoortaanvraag,
  tbsoortomgverg.dnfataleperiode,
  tbsoortomgverg.dnfatwaarschuwper,
  tbomgvergunning.ddaanhoudenvanaf,
  tbomgvergunning.ddaanhoudentotmet,
  tbomgvergunning.ddingetrokken,
  tbomgvergunning.dvredenintrekking,
  tbomgvergunning.ddfataledatum,
  tbomgvergunning.dndagenopschwerking,
  tbomgvergunning.ddbesluitdatum,
  tbomgvergunning.dvcodeaardbesluit,
  tbomgvergunning.ddvernietigd,
  tbomgvergunning.dvredenvernietiging,
  tbomgvergunning.ddpublaanvrg,
  tbomgvergunning.ddontwerpbesl,
  tbomgvergunning.ddgeschorstvanaf,
  tbomgvergunning.ddbeschverzonden,
  tbomgvergunning.ddonherroepelijk,
  tbomgvergunning.dvmemo,
  tbaardbesluit.dlverleend,
  tbaardbesluit.dvomschrijving dvaardbesluit,
  cast(case when ddonherroepelijk is not null then tbaardbesluit.dvomschrijving
       when ddvernietigd is not null then 'vernietigd' 
	   when ddgeschorstvanaf is not null then 'geschorst'
	   when ddnaverlingetrokken <= fn_vandaag(0)then 'ingetrokken na verl.'
	   when ddverlopen <=  fn_vandaag(0)	then 'verlopen'
	   when ddvervallen < fn_vandaag(0)	 then 'vervallen'
       when ddbesluitdatum is not null then tbaardbesluit.dvomschrijving
       when ddingetrokken is not null then 'ingetrokken tijdens beh.'
       when ddaanhoudenvanaf is not null and ddaanhoudentotmet is null then 'aangehouden' 
  else 'in behandeling'
  end as character varying(40)) as dvstatus,
  tbomgvergunning.dnkeyredenaanhouding,
  tbredenaanhouding.dvredenaanhouding,
  tbomgvergunning.dvdmszaakcode,
  tbomgvergunning.ddverdaagdvanaf,
  tbomgvergunning.dvredenverdaging,
  tbsoortomgverg.dvsoortproc,
  tbomgvergunning.ddinwerking,
  tbomgvergunning.ddindieningbezwaar,
  tbomgvergunning.ddverzvoorlvoorz,
  tbomgvergunning.dlbezwpleitnota,
  tbomgvergunning.ddbezwzitting,
  tbomgvergunning.ddbezwplanbesluit,
  tbomgvergunning.ddbezwbesluit,
  tbomgvergunning.dvrbprocnummer,
  tbomgvergunning.ddrbindieningberoep,
  tbomgvergunning.ddrbberoepzitting,
  tbomgvergunning.ddrbuitspraak,
  tbomgvergunning.dvrvsprocnummer,
  tbomgvergunning.ddrvsindieningberoep,
  tbomgvergunning.ddrvsberoepzitting,
  tbomgvergunning.ddrvsuitspraak,
  tbsoortomgverg.dnadvwaarschuwper,
  tbsoortomgverg.dnprcwaarschuwper,
  tbomgvergunning.dvhyperlink,
  tbomgvergunning.dvcodeaccountman,
  cast(case when tbmedewerkers.dvvoorletters is not null then tbmedewerkers.dvomschrijving || ',' || tbmedewerkers.dvvoorletters || ' ' || tbmedewerkers.dvtussenvoegsel
  else tbmedewerkers.dvomschrijving 
  end as character varying(62)) as dvnaamaccountman,
  tbperceeladressen.dvidentificatiecode,
  tbwoonplaats.dvdefkadgem,
  tbomgvergunning.dnkeymilinrichtingen,
  tbmilinrichtingen.dvinrichtingnaam,
  tbmilinrichtingen.dvinrichtingnr,
  tbomgvergunning.ddlegesverzonden,
  tbomgvergunning.dnaantaleenheden,
  tbomgvergunning.dnkeygroepvergunning,
  tbomgvergunning.dnkeyparentverg,
  tbsoortomgverg.dlmagverspreiden,
  tbdossierverblijf.dvomschrijving dvdossierverblijf,
  tbomgvergunning.dvcodedossierverblijf,
  tbomgvergunning.dldigindiening,
  tbomgvergunning.dlaanvulgegevens,
  tbomgvergunning.ddeindontwerpbesl,
  tbomgvergunning.dvredenontwerpbesl,
  tbwoonplaats.dvwoonplaatsid dvgemcode,
  tbomgvergunning.dvbezwaardbesl,
  tbomgvergunning.dvrbaardbesl,
  tbomgvergunning.ddverlopen,
  tbomgvergunning.ddvervallen,
  tbomgvergunning.ddnaverlingetrokken,
  tbomgvergunning.ddinitbag,
  tbsoortomgverg.dnicoon,
  tbomgvergunning.dvintzaakcode,
  tbomgvergunning.dvrvsaardbesl
  from
  tbomgvergunning
  inner join tbperceeladressen
  on (tbomgvergunning.dnkeyperceeladressen = tbperceeladressen.dnkey)
  inner join tbopenbareruimte
  on (tbperceeladressen.dnkeyopenbruimte = tbopenbareruimte.dnkey)
  inner join tbwoonplaats
  on (tbopenbareruimte.dnkeywoonplaats = tbwoonplaats.dnkey)
  inner join tbsoortomgverg
  on (tbomgvergunning.dnkeysoortomgverg = tbsoortomgverg.dnkey)
  left outer join tbaardbesluit
  on (tbomgvergunning.dvcodeaardbesluit = tbaardbesluit.dvcode)
  left outer join tbredenaanhouding
  on (tbomgvergunning.dnkeyredenaanhouding = tbredenaanhouding.dnkey)
  left outer join tbmedewerkers
  on (tbomgvergunning.dvcodeaccountman = tbmedewerkers.dvcode)
  left outer join tbmilinrichtingen
  on (tbomgvergunning.dnkeymilinrichtingen = tbmilinrichtingen.dnkey)
  left outer join tbdossierverblijf
  on (tbomgvergunning.dvcodedossierverblijf = tbdossierverblijf.dvcode)
;
create or replace view vwaantlegespertoest as  
select
   sum(1) dnaantallegesregels,
   a.dnkeytoestemmingen,
   a.dnkeyomgvergunningen
from
  tblegesregels a
where
  a.dnkeytoestemmingen is not null
group by
  a.dnkeytoestemmingen, dnkeyomgvergunningen
;
create or replace view vwtoestemmingen as 
select 
    a.dnkey dnkeytoestemming,
    a.dnkeyomgvergunningen,    
    a.dnkeysrttoestemming,
    a.dvwerkzaamheden, 
    a.dvbeschrijving,
    a.ddstartwrkzhn,
    a.ddgebruikgereed,
    a.ddopgeleverd,
    a.ddnaarbaga,
    a.dflegesopgbasis,
    a.dflegesvastgbasis,
    a.dflegesherzbasis,
    a.dlisvervallen,
    a.ddvervallen,
    a.dlistijdelijk,
    a.ddgeldigtm,
    b.dvtoestemmingnaam,
    b.dvwetverordening,
    b.dvartikel,
    b.dluitvoering, 
    b.dvlegeslabel,
    b.dlgebruik,
    a.dvomslegesbasis,
    a.ddingetrokken,
    a.dvredenintrekking,
    a.dveffect,
    a.dlnieuwbouw,
    a.dnaantaleenheden,
    a.dnkeygebouwtype,
    c.dvtype dvgebouwtype,
    a.dnbouwlagen,
    a.dnaantgebrvan,
    a.dnaantgebrtot,
    a.dfoppbruto,
    a.dfoppgebr,
    a.dnkeygebouwspec,
    d.dvspecificatie dvgebouwspec,
    cast(null as integer) as dnkeylegessoort,
    cast(null as character varying(100)) dvlegessoort,
    f.dnaantallegesregels,
    a.dlw011, 
	a.dnmaxgebr,
	cast(case when a.dflegesherzbasis is not null then a.dflegesherzbasis
         when a.dflegesvastgbasis is not null then a.dflegesvastgbasis
         else a.dflegesopgbasis
		end as float) as dfkosten,	 
    a.ddbrisregdatum,
	a.dvbrispdf,
	a.dvbrisregnr,
	a.dvbrisdmsdoccode,
	a.ddpublproc,
	a.dvpublproc,
	a.dfbrutoinhoud,
	a.dvbw_contrcode_1,
    a.dvbw_contrcode_2,
    a.dvbw_contrcode_3,
    a.dvbw_contrcode_4,
    a.dvbw_contrcode_5,
    a.dvbw_contreenh_1,
    a.dvbw_contreenh_2,
    a.dvbw_contreenh_3,
    a.dvbw_contreenh_4,
    a.dvbw_contreenh_5,
    a.dnbw_contraant_1,
    a.dnbw_contraant_2,
    a.dnbw_contraant_3,
    a.dnbw_contraant_4,
    a.dnbw_contraant_5,
	g.dvzaakcode,
	b.dnlegesmoment,
	b.dlaantactkorting,
	c.dvbrisgebruik
from
  tbtoestemmingen a
  inner join tbsrttoestemming b
  on (a.dnkeysrttoestemming = b.dnkey)
  left outer join tbgebouwtype c
  on (a.dnkeygebouwtype = c.dnkey)
  left outer join tbgebouwspec d
  on (a.dnkeygebouwspec = d.dnkey)
  left outer join vwaantlegespertoest f
  on (a.dnkey = f.dnkeytoestemmingen)
  inner join tbomgvergunning g
  on (a.dnkeyomgvergunningen = g.dnkey)
;
create or replace view vwomgcontacten as 
select
  tbomgvergcontactennn.dnkeyomgvergunningen,
  tbcontactadressen.dnkey dnkeycontactadressen,
  tbcontactadressen.dvvoorletters dvcontvoorletters,
  tbcontactadressen.dvvoorvoegsel dvcontvoorvoegsel,
  tbcontactadressen.dvroepnaam dvcontroepnaam,
  tbcontactadressen.dvachternaam dvcontachternaam,
  tbcontactadressen.dvbedrijfsnaam dvcontbedrijfsnaam,
  tbcontactadressen.dvbriefaanhef dbcontbriefaanhef,
  tbcontactadressen.dvwoonplaatsnaam dvcontwoonplaats,
  tbcontactadressen.dvstraatnaam dvcontstraatnaam,
  tbcontactadressen.dvaanduidingbijhuisnummer dvcontaanduidhuisnr,
  tbcontactadressen.dvhuisnummer dvconthuisnummer,
  tbcontactadressen.dvhuisnummertoevoeging dvconthuisnrtoevoeg,
  tbcontactadressen.dvhuisletter dvconthuisletter,
  tbcontactadressen.dvpostcode dvcontpostcode,
  tbcontactadressen.dvtelefoon dvconttelefoon,
  tbcontactadressen.dvfax dvcontfax,
  tbcontactadressen.dvemail dvcontemail,
  tbcontactadressen.dvgeslacht dvcontgeslacht,
  cast(case when tbcontactadressen.dvaanduidingbijhuisnummer is null then '' 
			        else tbcontactadressen.dvaanduidingbijhuisnummer || ' ' end 
			|| tbcontactadressen.dvhuisnummer
            || ' '
            || case when tbcontactadressen.dvhuisletter is null then '' else tbcontactadressen.dvhuisletter end
            || case when rtrim (tbcontactadressen.dvhuisnummertoevoeging) is null then '' 
			   else replace ('-' || tbcontactadressen.dvhuisnummertoevoeging,'--',  '-') 
			   end as character varying(15)) as dvobjhuisnr,
  tbadressoort.dvcode dvcontadrescode,
  tbadressoort.dvomschrijving dvcontadressoort,
  tbadressoort.ddvervaldatum ddcontadresverval,
  tbcontactadressen.dvsofinummer dvbsn,
  tbcontactadressen.dvbin,
  tbcontactadressen.dvhandelsnaam dvconthandelsnaam,
  tbsoortomgverg.dnicoon
from
  tbomgvergcontactennn
  inner join tbcontactadressen
  on (tbomgvergcontactennn.dnkeycontactadressen = tbcontactadressen.dnkey)
  inner join tbadressoort
  on (tbomgvergcontactennn.dvcodeadressoort = tbadressoort.dvcode )
  inner join tbomgvergunning
  on (tbomgvergcontactennn.dnkeyomgvergunningen = tbomgvergunning.dnkey)
  inner join tbsoortomgverg
  on (tbomgvergunning.dnkeysoortomgverg = tbsoortomgverg.dnkey)
;
create or replace view vwomgavrcontacten as select
  tbomgvergcontactennn.dnkeyomgvergunningen,
  tbcontactadressen.dvvoorletters dvavrvoorl,
  tbcontactadressen.dvvoorvoegsel dvavrtussenv,
  tbcontactadressen.dvachternaam dvavrnaam,
  tbcontactadressen.dvbedrijfsnaam dvavrbedrijfsnaam,
  tbcontactadressen.dvdebiteurnr,
  tbcontactadressen.dvstraatnaam dvavrstraatnaam,
  tbcontactadressen.dvhuisnummer dvavrhuisnummer,
  tbcontactadressen.dvhuisletter dvavrhuisletter,
  tbcontactadressen.dvhuisnummertoevoeging dvavrhuisnrtoev,
  tbcontactadressen.dvpostcode dvavrpostcode,
  tbcontactadressen.dvwoonplaatsnaam dvavrwoonplaats,
  tbcontactadressen.dnkey dnkeycontactadressen
from
  tbomgvergcontactennn
  inner join tbcontactadressen
  on (tbomgvergcontactennn.dnkeycontactadressen = tbcontactadressen.dnkey)
where
  tbomgvergcontactennn.dvcodeadressoort = 'AVR'
;
create or replace view vwdocsrtisw as 
select 
  tbdocumentsoorten.dvcode,
  tbdocumentsoorten.dvomschrijving,
  tbdocumentsoorten.ddvervaldatum
from 
  tbdocumentsoorten
where 
  (tbdocumentsoorten.ddvervaldatum > fn_vandaag(0)   
  or    
  tbdocumentsoorten.ddvervaldatum is null)  
  and
  tbdocumentsoorten.dvcode in 
    (select
       tbdocumenten.dvcodedocumentsoorten               
     from 
       tbdocumenten  			 
     where 
       tbdocumenten.dvvantoepop = 'W'  			 
       and
       (tbdocumenten.ddvervaldatum > fn_vandaag(0) 			    
        or  			    
        tbdocumenten.ddvervaldatum is null)) 
;
create or replace view vwomgminmaxdeadline as
select
   max(a.dddeadline) ddtrmmaxdeadline,
   min(a.dddeadline) ddtrmmindeadline,
   a.dnkeyomgvergunningen
from
  tbtermijnbewstappen a
  inner join tbomgvergunning b
  on (a.dnkeyomgvergunningen = b.dnkey)
where
  b.ddblokkering is null
  and
  b.ddingetrokken is null
  and
  a.ddafgehandeld is null
  and
  a.dlingebruik = 'T'
  and
  (a.dvvoorwaardejn = 'N'
   or
   a.dnvoorwaarde > 0)
group by
  a.dnkeyomgvergunningen
;
create or replace view vwomgaantopentermijnen as
select
   sum(1) aantalopenterm,
   a.dnkeyomgvergunningen
from
  tbtermijnbewstappen a
  inner join tbomgvergunning b
  on (a.dnkeyomgvergunningen = b.dnkey)
where
  b.ddblokkering is null
  and
  a.ddafgehandeld is null
  and
  a.dlingebruik = 'T'
  and
  (a.dvvoorwaardejn = 'N'
   or
   a.dnvoorwaarde > 0)
group by
  a.dnkeyomgvergunningen
;
create or replace view vwomgaantopenadviezen as
select
   sum(1) aantalopenadv,
   a.dnkeyomgvergunningen
from
  tbadviezen a
  inner join tbomgvergunning b
  on (a.dnkeyomgvergunningen = b.dnkey)
where
  b.ddblokkering is null
  and
  a.ddadviesdatum is null and
  a.ddvervallen is null
group by
  a.dnkeyomgvergunningen
;
create or replace view vwomgaantopenolos as
select
   sum(1) aantalopenolo,
   a.dnkeyomgvergunningen
from
  tbomgoloberichten a
  inner join tbomgvergunning b
  on (a.dnkeyomgvergunningen = b.dnkey)
where
  b.ddblokkering is null
  and
  a.ddverwerkt is null 
group by
  a.dnkeyomgvergunningen
;
create or replace view vwomgminmaxadviezen as
select
   max(case when a.ddrappeldatum is null then ddaanvraagdatum else ddrappeldatum end) ddadvmaxdeadline,
   min(case when a.ddrappeldatum is null then ddaanvraagdatum else ddrappeldatum end) ddadvmindeadline,
   a.dnkeyomgvergunningen
from
  tbadviezen a
  inner join tbomgvergunning b
  on (a.dnkeyomgvergunningen = b.dnkey)
where
  b.ddblokkering is null
  and
  a.ddadviesdatum is null
  and
   a.ddvervallen is null
group by
  a.dnkeyomgvergunningen
;
create or replace view vwomgheeftadviezen as
select 
  distinct a.dnkeyomgvergunningen dnkeyomgheeftadv
  from 
  tbomgvergunning b
  inner join tbadviezen a
  on (b.dnkey = a.dnkeyomgvergunningen)
  where 
  b.ddblokkering is null
;
create or replace view vwomgheeftolos as
select 
  distinct a.dnkeyomgvergunningen dnkeyomgheeftolo
  from 
  tbomgoloberichten a
  inner join tbomgvergunning b
  on (b.dnkey = a.dnkeyomgvergunningen)
  where 
  b.ddblokkering is null
;
create or replace view vwomgheefttermijnen as
select
distinct a.dnkeyomgvergunningen dnkeyomgheeftterm
  from 
  tbomgvergunning b
  inner join tbtermijnbewstappen a
  on (b.dnkey = a.dnkeyomgvergunningen)
  where 
  b.ddblokkering is null
;
create or replace view vwomgadvies_behandelaar as
select
  tbadviezen.ddrappeldatum,
  tbadviezen.ddadviesdatum,
  tbadviezen.dvomschrijving,
  tbadviezen.dnkeyomgvergunningen dnkeyvergunning,
  tbadviesinstanties.dvomschrijving dvomschradviesinstantie,
  trim(tbadviezen.dvcodemedewerkers) dvcodemedewerker,
  tbadviezen.dnkey dnkeyadvies
from
  tbadviezen
  inner join tbadviesinstanties
  on (tbadviezen.dvcodeadviesinstanties = tbadviesinstanties.dvcode)
where
  tbadviezen.dvcodemedewerkers is not null and
  tbadviezen.ddrappeldatum is not null and
  tbadviezen.ddadviesdatum is null     and
  tbadviezen.ddvervallen is null     and
  tbadviezen.dnkeyomgvergunningen in (select dnkey from tbomgvergunning where ddblokkering is null and ddingetrokken is null and (ddaanhoudenvanaf is null or ddaanhoudentotmet is not null))
union
select 
  tbadviezen.ddrappeldatum, 
  tbadviezen.ddadviesdatum, 
  tbadviezen.dvomschrijving, 
  tbadviezen.dnkeyomgvergunningen dnkeyvergunning, 
  tbadviesinstanties.dvomschrijving dvomschradviesinstantie, 
  trim(tbinbehandelingbij.dvcodemedewerker) dvcodemedewerker, 
  tbadviezen.dnkey dnkeyadvies
from 
  tbinbehandelingbij 
  inner join tbadviezen
  on (tbinbehandelingbij.dnkeyomgvergunningen = tbadviezen.dnkeyomgvergunningen)
  inner join tbadviesinstanties
  on (tbadviezen.dvcodeadviesinstanties = tbadviesinstanties.dvcode)
where 
  tbinbehandelingbij.dlactief = 'T' and 
  tbadviezen.ddrappeldatum is not null and 
  tbadviezen.ddadviesdatum is null     and 
  tbadviezen.ddvervallen is null     and
  tbadviezen.dnkeyomgvergunningen in (select dnkey from tbomgvergunning where ddblokkering is null and ddingetrokken is null and (ddaanhoudenvanaf is null or ddaanhoudentotmet is not null))
;
create or replace view vwomgverzendlijst as select
  tbwoonplaats.dvwoonplaatsnaam dvwoonplaats,
  tbopenbareruimte.dvopruimtenaam dvnaam_nen5825,
  tbperceeladressen.dvhuisnummer,
  tbperceeladressen.dvhuisnummertoevoeging,
  tbperceeladressen.dvhuisletter,
  tbperceeladressen.dvhuisnrinfo,
  tbomgvergunning.dvzaakcode,
  tbomgvergunning.ddaanvraag,
  tbomgvergunning.ddbesluitdatum,
  tbsoortomgverg.dvomschrijving,
  tbverzendlijst.dnkey,
  tbverzendlijst.dvcodemedewerkers,
  tbverzendlijst.ddtoegevoegd,
  tbverzendlijst.dnkeyomgvergunningen,
  tbverzendlijst.dnkeycontactadressen,
  tbcontactadressen.dvachternaam,
  tbcontactadressen.dvbedrijfsnaam
from
  tbverzendlijst
  inner join tbomgvergunning
  on (tbomgvergunning.dnkey = tbverzendlijst.dnkeyomgvergunningen)
  inner join tbcontactadressen
  on (tbcontactadressen.dnkey = tbverzendlijst.dnkeycontactadressen)
  inner join tbperceeladressen
  on (tbperceeladressen.dnkey = tbomgvergunning.dnkeyperceeladressen)
  inner join tbopenbareruimte
  on (tbperceeladressen.dnkeyopenbruimte = tbopenbareruimte.dnkey)
  inner join tbwoonplaats
  on (tbopenbareruimte.dnkeywoonplaats = tbwoonplaats.dnkey)
  inner join tbsoortomgverg
  on (tbsoortomgverg.dnkey = tbomgvergunning.dnkeysoortomgverg)
;
create or replace view vwcorresp_uit as
select 
    a.dnkey dnkeycorrespondentie,
    a.dnkeydocumenten,
    a.ddbriefdatum,
    a.dvdocfilenaam,
    a.dvonderwerp,
    a.dvkenmerk,
    a.dnkeycontactadressen,
    a.dnkeybouwvergunningen,
    a.dnkeyovvergunningen,
    a.dnkeyhandhavingen,
    a.dnkeyhorecavergunningen,
    a.dnkeyinfoaanvraag,
    a.dnkeybestemmingsplannen,
    a.dnkeymilinrichtingen,
    a.dnkeymilvergunningen,
    a.dnkeyomgvergunningen,
    b.dvcodedocumentsoorten,
    b.dvdocumentnaam,
    b.dvtemplate,
    b.dnvolgnummer,
    c.dvbedrijfsnaam,
    c.dvachternaam,
    c.dvvoorletters,
    c.dvvoorvoegsel,
    c.dvgeslacht,
    c.dvstraatnaam,
    c.dvhuisnummer,
    c.dvaanduidingbijhuisnummer,
    c.dvhuisletter,
    c.dvhuisnummertoevoeging,
    c.dvpostcode,
    c.dvwoonplaatsnaam,
    c.dvtelefoon,
    c.dvfax,
    c.dvemail,
    c.dvsofinummer dvbsn,
    b.dlcontactverplicht,
    b.dvomschrijving,
    a.dnkeyinspbezoeken,
    a.dnkeyadviezen,
    d.dnkeyinspecties dnkeyinsptraject,
    e.dvcodeaanleiding dvinspaanlcode,
    e.dvgrondslagoms dvinspgrondsloms,
    e.dvgrondslagzaakcode dvinspgrondslzaak,
    e.dvinspomschrijving,
	a.dnkeyklachten,
	a.dvdmsdoccode,
	a.dlverstuurd
	from   tbcorrespondentie a
            inner join tbdocumenten b
			on (a.dnkeydocumenten = b.dnkey )
            left outer join tbcontactadressen c
			on (a.dnkeycontactadressen = c.dnkey)
            left outer join tbinspbezoeken d
			on (a.dnkeyinspbezoeken = d.dnkey)
            left outer join vwfrminspecties e
			on (d.dnkeyinspecties = e.dninspkey)
;
create or replace view vwkoptoestadv as 
select
    tbkoptoestadv.dvcodeadviesinst,
    tbkoptoestadv.dnkeysoortomg,
    tbkoptoestadv.dnkeysrttoest,
    tbkoptoestadv.dvbehandelfase,
    tbkoptoestadv.dnbehrappel,
	tbkoptoestadv.dvbeheenheid,
    tbadviesinstanties.dvomschrijving dvadviesinstantie,
    tbsrttoestemming.dvtoestemmingnaam,
	tbadviesinstanties.dvcodedefbehandelaar
from
    tbkoptoestadv
    inner join tbadviesinstanties
	on (tbkoptoestadv.dvcodeadviesinst = tbadviesinstanties.dvcode)
    inner join tbsrttoestemming
	on (tbkoptoestadv.dnkeysrttoest = tbsrttoestemming.dnkey)
;
create or replace view vwfrmlokaties as select
  a.dnkey dnkeyperceeladressen,
  c.dvwoonplaatsnaam,
  b.dvopruimtenaam,
  a.dvaanduidingbijhuisnummer,
  a.dvhuisnummer, 
  a.dvhuisletter,
  a.dvhuisnummertoevoeging, 
  a.dvhuisnrinfo,
  a.dvpostcode,
  a.dvgmntecode dvkadgmntecode,
  a.dvsectie dvkadsectie,
  a.dvperceelnummer dvkadperceelnr,
  a.dvextraperceelnummers dvkadextraperceelnummers,
  a.dvkaddlpercindicatie,
  a.ddcontrolebag,
  a.dvidentificatiecode,
  a.dvtypeadrobj,
  a.dnxcoordinaat,
  a.dnycoordinaat,
  a.ddvervaldatum,
  a.dvarchiefnr,
  a.dvbestemming,
  e.dvomschrijving dvmonument,
  d.dvnaam dvgldbplnaam,
  d.dvnummer dvgldbplnummer,
  f.dvnaam dvnwbplnaam,
  f.dvnummer dvnwbplnummer,
  b.dvextraopruimtenaam dvoffopruimtenaam,
  a.dncbs_buurt,
  a.dvbuurtcode,
  a.dnkeyopenbruimte,
  c.dnkey dnkeywoonplaats,
  c.dvwoonplaatsid dvgemeenteid,
  g.dvomschrijving dvgemeentenaam,
  g.dnkey dnkeygemeente,
  a.dvgmlpolygoon,
  a.dvdgdossierid,
  cast(case when a.dvkaddlpercindicatie = 'G' then 'Geheel' 
      when a.dvkaddlpercindicatie = 'D' then 'Gedeeltelijk' 
	  when a.dvkaddlpercindicatie = 'A' then 'Appartementsrecht' 
	 else '' end as character varying(20)) as dvkaddlpercindoms,
  cast(case when a.dvtypeadrobj = 'V' then 'Verblijfsobject' 
      when a.dvtypeadrobj = 'L' then 'Ligplaats' 
	  when a.dvtypeadrobj = 'S' then 'Standplaats' 
	 else '' end as character varying(20)) as dvtypeadroms,
  cast(case when a.dvaanduidingbijhuisnummer is null then '' 
			        else a.dvaanduidingbijhuisnummer || ' ' end 
			|| a.dvhuisnummer
            || ' '
            || case when a.dvhuisletter is null then '' else a.dvhuisletter end
            || case when rtrim (a.dvhuisnummertoevoeging) is null then '' 
			   else replace ('-' || a.dvhuisnummertoevoeging,'--',  '-') 
			   end as character varying(15)) as dvobjhuisnr
from
  tbperceeladressen a
  inner join tbopenbareruimte b
  on (a.dnkeyopenbruimte = b.dnkey)
  inner join tbwoonplaats c
  on(b.dnkeywoonplaats = c.dnkey)
  left outer join vwbplgeldend d
  on(a.dnkeygeldendbestemmingsplan = d.dnkey)
  left outer join tbmonumenten e
  on (a.dnkeymonumenten = e.dnkey)
  left outer join vwbplnieuw f
  on (a.dnkeynieuwbestemmingsplan = f.dnkey)
  left outer join tb33gemeente g
  on (c.dvwoonplaatsid = g.dvgemeentecode)
;
create or replace view vwfrmomgorkestrator_benb as 
select
  a.dnkey,
  a.dvzaakcode zaakcode,
  b.dvibbcodemw beh,
  cast('Bezwaar BenW' as character varying(16)) as instantie,
  a.ddindieningbezwaar ingediend,
  a.ddverzvoorlvoorz voorlvoorz, 
  cast('n.v.t.' as character varying(20)) as procesnummer,
  a.ddbezwzitting zitting,
  a.ddbezwplanbesluit geplandeuitspraak,
  a.ddbezwbesluit uitspraakdatum, 
  a.ddgeschorstvanaf geschorst,
  a.ddvernietigd vernietigd,
  a.ddonherroepelijk onherroep,
  d.dvomschrijving proceduresrt,
  a.dvaanvraagnaam vergunning,
  c.dvopruimtenaam straat,
  c.dvobjhuisnr nr,
  c.dvwoonplaatsnaam plaats,
  a.dvcodeaccountman accman,
  c.dvgemeenteid,
  c.dvgemeentenaam,
  cast('W' as char(1)) as dvmodule,
  d.dnicoon
 from
  tbomgvergunning a
  inner join vwfrmactiefinbehbij b
  on (a.dnkey = b.dnkeyomgvergunningen)
  inner join vwfrmlokaties c
  on (a.dnkeyperceeladressen = c.dnkeyperceeladressen)
  inner join tbsoortomgverg d
  on (a.dnkeysoortomgverg = d.dnkey)
where
  a.ddbesluitdatum is not null
  and
  a.ddblokkering is null
  and
  a.ddindieningbezwaar is not null 
  and
  a.ddrbindieningberoep is null
 union
 select
  a.dnkey,
  a.dvzaakcode zaakcode,
  b.dvibbcodemw beh,
  cast('Beroep Rechtbank' as character varying(16)) as instantie,
  a.ddrbindieningberoep ingediend,
  a.ddverzvoorlvoorz voorlvoorz, 
  cast(a.dvrbprocnummer as character varying(20)) as procesnummer,
  a.ddrbberoepzitting zitting,
  null geplandeuitspraak,
  a.ddrbuitspraak uitspraakdatum, 
  a.ddgeschorstvanaf geschorst,
  a.ddvernietigd vernietigd,
  a.ddonherroepelijk onherroep,
  d.dvomschrijving proceduresrt,
  a.dvaanvraagnaam vergunning,
  c.dvopruimtenaam straat,
  c.dvobjhuisnr nr,
  c.dvwoonplaatsnaam plaats,
  a.dvcodeaccountman accman,
  c.dvgemeenteid,
  c.dvgemeentenaam,
  cast('W' as char(1)) as dvmodule,
  d.dnicoon
from
  tbomgvergunning a
  inner join vwfrmactiefinbehbij b
  on (a.dnkey = b.dnkeyomgvergunningen)
  inner join vwfrmlokaties c
  on (a.dnkeyperceeladressen = c.dnkeyperceeladressen)
  inner join tbsoortomgverg d
  on (a.dnkeysoortomgverg = d.dnkey)
where
  a.ddbesluitdatum is not null
  and
  a.ddblokkering is null
  and
  a.ddrbindieningberoep is not null
  and
  a.ddrvsindieningberoep is null
union
select
  a.dnkey,
  a.dvzaakcode zaakcode,
  b.dvibbcodemw beh,
  cast('Beroep RvS' as character varying(16)) as instantie,
  a.ddrvsindieningberoep ingediend,
  a.ddverzvoorlvoorz voorlvoorz, 
  cast(a.dvrvsprocnummer as character varying(20)) as procesnummer,
  a.ddrvsberoepzitting zitting,
  null geplandeuitspraak,
  a.ddrvsuitspraak uitspraakdatum, 
  a.ddgeschorstvanaf geschorst,
  a.ddvernietigd vernietigd,
  a.ddonherroepelijk onherroep,
  d.dvomschrijving proceduresrt,
  a.dvaanvraagnaam vergunning,
  c.dvopruimtenaam straat,
  c.dvobjhuisnr nr,
  c.dvwoonplaatsnaam plaats,
  a.dvcodeaccountman accman,
  c.dvgemeenteid,
  c.dvgemeentenaam,
  cast('W' as char(1)) as dvmodule,
  d.dnicoon
from
  tbomgvergunning a
  inner join vwfrmactiefinbehbij b
  on (a.dnkey = b.dnkeyomgvergunningen)
  inner join vwfrmlokaties c
  on (a.dnkeyperceeladressen = c.dnkeyperceeladressen)
  inner join tbsoortomgverg d
  on (a.dnkeysoortomgverg = d.dnkey)
where
  a.ddbesluitdatum is not null
  and
  a.ddblokkering is null
  and
  a.ddrvsindieningberoep is not null
  union
select
  a.dnkey,
  a.dvaanschrijfnr zaakcode,
  b.dvibbcodemw beh,
  cast('Bezwaar BenW' as character varying(16)) as instantie,
  a.ddindieningbezwaar ingediend,
  a.ddverzvoorlvoorz voorlvoorz, 
  cast('n.v.t.' as character varying(20)) as procesnummer,
  a.ddbezwzitting zitting,
  a.ddbezwplanbesluit geplandeuitspraak,
  a.ddbezwbesluit uitspraakdatum, 
  a.ddgeschorstvanaf geschorst,
  a.ddvernietigd vernietigd,
  a.ddonherroepelijk onherroep,
  d.dvomschrijving proceduresrt,
  a.dvomsbouwwerk vergunning,
  c.dvopruimtenaam straat,
  c.dvobjhuisnr nr,
  c.dvwoonplaatsnaam plaats,
  a.dvcodejurist accman,
  c.dvgemeenteid,
  c.dvgemeentenaam,
  cast('H' as char(1)) as dvmodule,
  4 dnicoon
 from
  tbhandhavingen a
  inner join vwfrmactiefinbehbij b
  on (a.dnkey = b.dnkeyhandhavingen)
  inner join vwfrmlokaties c
  on (a.dnkeyperceeladressen = c.dnkeyperceeladressen)
  inner join tbsoorthhzaak d
  on (a.dnkeysoorthhzaak = d.dnkey)
where
  a.ddeinddatum is not null
  and
  a.ddblokkering is null
  and
  a.ddindieningbezwaar is not null 
  and
  a.ddrbindieningberoep is null
 union
 select
  a.dnkey,
  a.dvaanschrijfnr zaakcode,
  b.dvibbcodemw beh,
  cast('Beroep Rechtbank' as character varying(16)) as instantie,
  a.ddrbindieningberoep ingediend,
  a.ddverzvoorlvoorz voorlvoorz, 
  cast(a.dvrbprocnummer as character varying(20)) as procesnummer,
  a.ddrbberoepzitting zitting,
  null geplandeuitspraak,
  a.ddrbuitspraak uitspraakdatum, 
  a.ddgeschorstvanaf geschorst,
  a.ddvernietigd vernietigd,
  a.ddonherroepelijk onherroep,
  d.dvomschrijving proceduresrt,
  a.dvomsbouwwerk vergunning,
  c.dvopruimtenaam straat,
  c.dvobjhuisnr nr,
  c.dvwoonplaatsnaam plaats,
  a.dvcodejurist accman,
  c.dvgemeenteid,
  c.dvgemeentenaam,
  cast('H' as char(1)) as dvmodule,
  4 dnicoon
from
  tbhandhavingen a
  inner join vwfrmactiefinbehbij b
  on (a.dnkey = b.dnkeyhandhavingen)
  inner join vwfrmlokaties c
  on (a.dnkeyperceeladressen = c.dnkeyperceeladressen)
  inner join tbsoorthhzaak d
  on (a.dnkeysoorthhzaak = d.dnkey)
where
  a.ddeinddatum is not null
  and
  a.ddblokkering is null
  and
  a.ddrbindieningberoep is not null
  and
  a.ddrvsindieningberoep is null
union
select
  a.dnkey,
  a.dvaanschrijfnr zaakcode,
  b.dvibbcodemw beh,
  cast('Beroep RvS' as character varying(16)) as instantie,
  a.ddrvsindieningberoep ingediend,
  a.ddverzvoorlvoorz voorlvoorz, 
  cast(a.dvrvsprocnummer as character varying(20)) as procesnummer,
  a.ddrvsberoepzitting zitting,
  null geplandeuitspraak,
  a.ddrvsuitspraak uitspraakdatum, 
  a.ddgeschorstvanaf geschorst,
  a.ddvernietigd vernietigd,
  a.ddonherroepelijk onherroep,
  d.dvomschrijving proceduresrt,
  a.dvomsbouwwerk vergunning,
  c.dvopruimtenaam straat,
  c.dvobjhuisnr nr,
  c.dvwoonplaatsnaam plaats,
  a.dvcodejurist accman,
  c.dvgemeenteid,
  c.dvgemeentenaam,
  cast('H' as char(1)) as dvmodule,
  4 dnicoon
from
  tbhandhavingen a
  inner join vwfrmactiefinbehbij b
  on (a.dnkey = b.dnkeyhandhavingen)
  inner join vwfrmlokaties c
  on (a.dnkeyperceeladressen = c.dnkeyperceeladressen)
  inner join tbsoorthhzaak d
  on (a.dnkeysoorthhzaak = d.dnkey)
where
  a.ddeinddatum is not null
  and
  a.ddblokkering is null
  and
  a.ddrvsindieningberoep is not null
  union
select
  a.dnkey,
  a.dvvergunningsnr zaakcode,
  b.dvibbcodemw beh,
  cast('Bezwaar BenW' as character varying(16)) as instantie,
  a.ddindieningbezwaar ingediend,
  a.ddverzvoorlvoorz voorlvoorz, 
  cast('n.v.t.' as character varying(20)) as procesnummer,
  a.ddbezwzitting zitting,
  a.ddbezwplanbesluit geplandeuitspraak,
  a.ddbezwbesluit uitspraakdatum, 
  a.ddgeschorstvanaf geschorst,
  a.ddvernietigd vernietigd,
  a.ddonherroepelijk onherroep,
  d.dvomschrijving proceduresrt,
  cast(e.dvomschrijving || ''|| a.dvpublbouwwerk as character varying(50)) as vergunning,
  c.dvopruimtenaam straat,
  c.dvobjhuisnr nr,
  c.dvwoonplaatsnaam plaats,
   cast(null as char(5)) as accman,
  c.dvgemeenteid,
  c.dvgemeentenaam,
  cast('O' as char(1)) as dvmodule,
  d.dnicoon
 from
  tbovvergunningen a
  inner join vwfrmactiefinbehbij b
  on (a.dnkey = b.dnkeyovvergunningen)
  inner join vwfrmlokaties c
  on (a.dnkeyperceeladressen = c.dnkeyperceeladressen)
   inner join tbsoortovverg d
  on (a.dvcodesoortovverg = d.dvcode)
  left outer join tbovwerkz e
  on (a.dnkeyovwerkz = e.dnkey)
where
  a.ddbesluitdatum is not null
  and
  a.ddblokkering is null
  and
  a.ddindieningbezwaar is not null 
  and
  a.ddrbindieningberoep is null
 union
 select
  a.dnkey,
   a.dvvergunningsnr zaakcode,
  b.dvibbcodemw beh,
  cast('Beroep Rechtbank' as character varying(16)) as instantie,
  a.ddrbindieningberoep ingediend,
  a.ddverzvoorlvoorz voorlvoorz, 
  cast(a.dvrbprocnummer as character varying(20)) as procesnummer,
  a.ddrbberoepzitting zitting,
  null geplandeuitspraak,
  a.ddrbuitspraak uitspraakdatum, 
  a.ddgeschorstvanaf geschorst,
  a.ddvernietigd vernietigd,
  a.ddonherroepelijk onherroep,
  d.dvomschrijving proceduresrt,
  cast(e.dvomschrijving || ''|| a.dvpublbouwwerk as character varying(50)) as vergunning,
  c.dvopruimtenaam straat,
  c.dvobjhuisnr nr,
  c.dvwoonplaatsnaam plaats,
   cast(null as char(5)) as accman,
  c.dvgemeenteid,
  c.dvgemeentenaam,
  cast('O' as char(1)) as dvmodule,
  d.dnicoon
from
  tbovvergunningen a
  inner join vwfrmactiefinbehbij b
  on (a.dnkey = b.dnkeyovvergunningen)
  inner join vwfrmlokaties c
  on (a.dnkeyperceeladressen = c.dnkeyperceeladressen)
   inner join tbsoortovverg d
  on (a.dvcodesoortovverg = d.dvcode)
  left outer join tbovwerkz e
  on (a.dnkeyovwerkz = e.dnkey)
where
  a.ddbesluitdatum is not null
  and
  a.ddblokkering is null
  and
  a.ddrbindieningberoep is not null
  and
  a.ddrvsindieningberoep is null
union
select
  a.dnkey,
  a.dvvergunningsnr zaakcode,
  b.dvibbcodemw beh,
  cast('Beroep RvS' as character varying(16)) as instantie,
  a.ddrvsindieningberoep ingediend,
  a.ddverzvoorlvoorz voorlvoorz, 
  cast(a.dvrvsprocnummer as character varying(20)) as procesnummer,
  a.ddrvsberoepzitting zitting,
  null geplandeuitspraak,
  a.ddrvsuitspraak uitspraakdatum, 
  a.ddgeschorstvanaf geschorst,
  a.ddvernietigd vernietigd,
  a.ddonherroepelijk onherroep,
  d.dvomschrijving proceduresrt,
  cast(e.dvomschrijving || ''|| a.dvpublbouwwerk as character varying(50)) as vergunning,
  c.dvopruimtenaam straat,
  c.dvobjhuisnr nr,
  c.dvwoonplaatsnaam plaats,
  cast(null as char(5)) as accman,
  c.dvgemeenteid,
  c.dvgemeentenaam,
  cast('O' as char(1)) as dvmodule,
  d.dnicoon
from
  tbovvergunningen a
  inner join vwfrmactiefinbehbij b
  on (a.dnkey = b.dnkeyovvergunningen)
  inner join vwfrmlokaties c
  on (a.dnkeyperceeladressen = c.dnkeyperceeladressen)
   inner join tbsoortovverg d
  on (a.dvcodesoortovverg = d.dvcode)
  left outer join tbovwerkz e
  on (a.dnkeyovwerkz = e.dnkey)
where
  a.ddbesluitdatum is not null
  and
  a.ddblokkering is null
  and
  a.ddrvsindieningberoep is not null
;
create or replace view vwomgdochteraantallen as 
    select 
      cast('tbtermbewstappen' as character varying(20)) as tabel,
	   a.dnkeyomgvergunningen, 
       count (distinct (a.dnkeyorgprocedure + (case when a.dninvoegnr is null then 0 else a.dninvoegnr end))) aantal 
    from
       tbtermijnbewstappen a
       inner join tbomgvergunning b 
	   on (a.dnkeyomgvergunningen = b.dnkey)
    group by a.dnkeyomgvergunningen
  union
    select 
      cast('tbinbehandelingbij' as character varying(20)) as tabel,
      a.dnkeyomgvergunningen, 
      count(*) aantal 
    from
      tbinbehandelingbij a
      inner join tbomgvergunning b 
	  on (a.dnkeyomgvergunningen = b.dnkey)
    group by a.dnkeyomgvergunningen
  union
    select 
      cast('tbadviezen' as character varying(20)) as tabel,
      a.dnkeyomgvergunningen,  
      count(*) aantal 
     from
      tbadviezen a
      inner join tbomgvergunning b 
	  on (a.dnkeyomgvergunningen = b.dnkey)
     group by a.dnkeyomgvergunningen
  union
    select 
      cast('tbcorrespondentie' as character varying(20)) as tabel, 
       a.dnkeyomgvergunningen,  
       count(*) aantal 
    from
       tbcorrespondentie a
        inner join tbomgvergunning b 
		on (a.dnkeyomgvergunningen = b.dnkey)
    group by a.dnkeyomgvergunningen
  union
    select 
      cast('tbcorrespbinnen' as character varying(20)) as tabel, 
       a.dnkeyomgvergunningen,  
       count(*) aantal 
     from
       tbcorrespbinnen a
       inner join tbomgvergunning b 
	   on (a.dnkeyomgvergunningen = b.dnkey)
     group by a.dnkeyomgvergunningen
   union
    select 
      cast('tbomgvergcontactennn' as character varying(20)) as tabel, 
       a.dnkeyomgvergunningen,  
       count(*) aantal 
    from
       tbomgvergcontactennn a
       inner join tbomgvergunning b 
	   on (a.dnkeyomgvergunningen = b.dnkey)
    group by a.dnkeyomgvergunningen
   union
     select 
       cast('tblegesregels' as character varying(20)) as tabel, 
       a.dnkeyomgvergunningen,  
       count(*) aantal 
     from
       tblegesregels a
       inner join tbomgvergunning b 
	   on (a.dnkeyomgvergunningen = b.dnkey)
     group by a.dnkeyomgvergunningen
  union
    select 
      cast('tbtoestemmingen' as character varying(20)) as tabel, 
      a.dnkeyomgvergunningen,  
      count(*) aantal 
    from
      tbtoestemmingen a
      inner join tbomgvergunning b 
	  on (a.dnkeyomgvergunningen = b.dnkey)
    group by a.dnkeyomgvergunningen
  union
    select 
      cast('tbinspecties' as character varying(20)) as tabel, 
      a.dnkeyomgvergunningen,  
      count(*) aantal 
    from
      tbinspecties a
      inner join tbomgvergunning b 
	  on (a.dnkeyomgvergunningen = b.dnkey)
    group by a.dnkeyomgvergunningen
 union
    select 
      cast ('tbomgvergbestemtoets' as character varying(20)) as tabel, 
      a.dnkeyomgvergunningen,  
      count(*) aantal 
    from
      tbomgvergbestemtoets a
      inner join tbomgvergunning b 
	  on (a.dnkeyomgvergunningen = b.dnkey)
    group by a.dnkeyomgvergunningen
union
    select 
      cast('tbomgoloberichten' as character varying(20)) as tabel, 
      a.dnkeyomgvergunningen,  
      count(*) aantal 
    from
      tbomgoloberichten a
      inner join tbomgvergunning b 
	  on (a.dnkeyomgvergunningen = b.dnkey)
    group by a.dnkeyomgvergunningen
union
    select 
      cast('tbomgbwinstallaties' as character varying(20)) as tabel, 
      a.dnkeyomgvergunningen,  
      count(*) aantal 
    from
      tbomgbwinstallaties a
      inner join tbomgvergunning b 
	  on (a.dnkeyomgvergunningen = b.dnkey)
    group by a.dnkeyomgvergunningen	
union
    select 
      cast('tbomgpreparaties' as character varying(20)) as tabel, 
      a.dnkeyomgvergunningen,  
      count(*) aantal 
    from
      tbomgpreparaties a
      inner join tbomgvergunning b 
	  on (a.dnkeyomgvergunningen = b.dnkey)
    group by a.dnkeyomgvergunningen	
;
create or replace view vwaantaltoestemmingen as 
  select 
      a.dnkeyomgvergunningen,  
      count(*) dnaantal 
    from
      tbtoestemmingen a
      inner join tbomgvergunning b 
	  on (a.dnkeyomgvergunningen = b.dnkey)
    group by a.dnkeyomgvergunningen
;
create or replace view vwfrmomgkrittermijnen as select
  tbtermijnbewstappen.dnkeyomgvergunningen,
  cast(max(tbtermijnbewstappen.dvtermijnomschrijving) as character varying(40)) as dvkrittrmomschrijving,
  max(tbtermijnbewstappen.dddeadline) ddkrittrmdeadline,
  cast(max(tbtermijnbewstappen.dlfataal) as char(1)) as dlfataal,
  cast(max(tbtermijnbewstappen.dvcodemedewerkers) as char(5)) as dvcodemedewerkers,
  max(tbtermijnbewstappen.dnkey) dnkey,
  cast(max(tbprocedures.dvprocnaam) as character varying(40)) as ddkrittrmprocnaam
from
  tbtermijnbewstappen
  inner join tbprocedures
  on (tbtermijnbewstappen.dnkeyorgprocedure = tbprocedures.dnkey)
where
  tbtermijnbewstappen.dlingebruik = 'T'
  and
  tbtermijnbewstappen.dvvoorwaardejn = 'N'
  and
  tbtermijnbewstappen.ddafgehandeld is null
  and
  (tbtermijnbewstappen.dddeadline,
   tbtermijnbewstappen.dnkeyomgvergunningen)
  in (select
        ddtrmmindeadline,
        dnkeyomgvergunningen
      from
        vwomgminmaxdeadline)
group by dnkeyomgvergunningen        
;
create or replace view vwfrmomgavrcontacten as
select
  tbomgvergcontactennn.dnkeyomgvergunningen,
  tbcontactadressen.dvbedrijfsnaam dvavrbedrijf,
  tbcontactadressen.dnkey dnkeycontactadressen,
  tbcontactadressen.dvvoorletters dvavrvoorletters,
  tbcontactadressen.dvvoorvoegsel dvavrvoorvoegsel,
  tbcontactadressen.dvroepnaam dvavrroepnaam,
  tbcontactadressen.dvachternaam dvavrachternaam,
  tbcontactadressen.dvbriefaanhef dvavrbriefaanhef,
  tbcontactadressen.dvwoonplaatsnaam dvavrwoonplaats,
  tbcontactadressen.dvstraatnaam dvavrstraatnaam,
  tbcontactadressen.dvaanduidingbijhuisnummer dvavraanduidhuisnr,
  tbcontactadressen.dvhuisnummer dvavrhuisnummer,
  tbcontactadressen.dvhuisnummertoevoeging dvavrhuisnrtoevoeg,
  tbcontactadressen.dvhuisletter dvavrhuisletter,
  tbcontactadressen.dvpostcode dvavrpostcode,
  tbcontactadressen.dvtelefoon dvavrtelefoon,
  tbcontactadressen.dvgsm dvavrgsm,
  tbcontactadressen.dvfax dvavrfax,
  tbcontactadressen.dvemail dvavremail,
  tbcontactadressen.ddvervaldatum ddavrvervaldatum,
  tbcontactadressen.dvsofinummer dvavrbsn,
  tbcontactadressen.dvbin dvavrbin,
  cast(case when tbcontactadressen.dvgeslacht = 'M' then 'De heer' 
  when tbcontactadressen.dvgeslacht ='V' then'Mevrouw' 
  else 'De heer/mevrouw' end
  || case when tbcontactadressen.dvvoorletters is not null then rtrim(' '||tbcontactadressen.dvvoorletters) else '' end
  || case when tbcontactadressen.dvvoorvoegsel is not null then rtrim(' '||tbcontactadressen.dvvoorvoegsel) else '' end
  || case when tbcontactadressen.dvachternaam is not null then rtrim(' '||tbcontactadressen.dvachternaam) else '' end
  as character varying(238)) as dvavrtav, 
 cast(tbcontactadressen.dvstraatnaam 
  || case when tbcontactadressen.dvaanduidingbijhuisnummer is not null then rtrim(' '||tbcontactadressen.dvaanduidingbijhuisnummer) else '' end
  || case when tbcontactadressen.dvhuisnummer is not null then rtrim(' '||tbcontactadressen.dvhuisnummer)else '' end
  || case when tbcontactadressen.dvhuisletter is not null then tbcontactadressen.dvhuisletter else '' end
  || case when rtrim(tbcontactadressen.dvhuisnummertoevoeging) is null then '' 
     else replace('-'||tbcontactadressen.dvhuisnummertoevoeging,'--','-')
     end as character varying(95)) as dvavradres,
  tbcontactadressen.dvhandelsnaam dvavrhandelsnaam,
  tbcontactadressen.dvgeslacht
from
  tbomgvergcontactennn
  inner join tbcontactadressen
  on tbomgvergcontactennn.dnkeycontactadressen = tbcontactadressen.dnkey
where
    tbomgvergcontactennn.dvcodeadressoort = 'AVR'
;
create or replace view vwfrmomgvergunningen as
select
            tbomgvergunning.dnkey dnkeyomgvergunning,
            tbomgvergunning.dnkeyperceeladressen,
            tbomgvergunning.dnkeysoortomgverg,
            tbomgvergunning.ddaanvraag,
            tbomgvergunning.ddblokkering,
            tbomgvergunning.dvaanvraagnaam,
            tbomgvergunning.dvaanvraagoms,
            tbomgvergunning.dvlvoaanvraagnr,
            tbomgvergunning.dvzaakcode,
            tbperceeladressen.dnstraatcode dnobjstraatcode,
            tbperceeladressen.ddvervaldatum ddpercvervaldatum,
            tbperceeladressen.dnkey dnperceelkey,
            tbperceeladressen.dvperceelnummer,
            tbperceeladressen.dvextraperceelnummers,
            tbperceeladressen.dvhuisnummer dvobjhuisnummer,
            tbperceeladressen.dvhuisletter dvobjhuisletter,
            tbperceeladressen.dvhuisnummertoevoeging dvobjhuisnrtoevoeg,
            tbperceeladressen.dvaanduidingbijhuisnummer dvobjaanduidhuisnr,
            tbperceeladressen.dvgmntecode dvobjgmntecode,
            tbperceeladressen.dvsectie,
			cast(case when tbperceeladressen.dvaanduidingbijhuisnummer is null then '' 
			        else tbperceeladressen.dvaanduidingbijhuisnummer || ' ' end 
			|| tbperceeladressen.dvhuisnummer
            || ' '
            || case when tbperceeladressen.dvhuisletter is null then '' else tbperceeladressen.dvhuisletter end
            || case when rtrim (tbperceeladressen.dvhuisnummertoevoeging) is null then '' 
			   else replace ('-' || tbperceeladressen.dvhuisnummertoevoeging,'--',  '-') 
			   end as character varying(15)) as dvobjhuisnr,
            tbperceeladressen.dnkeymonumenten,
            tbperceeladressen.dvhuisnrinfo dvobjhuisnrinfo,
            tbperceeladressen.dvidentificatiecode dvobjidentificatiecode,
            cast (tbopenbareruimte.dvopruimtenaam 
               || case when tbperceeladressen.dvaanduidingbijhuisnummer is null then ' ' 
			           else ' ' || tbperceeladressen.dvaanduidingbijhuisnummer || ' ' end 
	           || tbperceeladressen.dvhuisnummer
               || ' '
               || case when tbperceeladressen.dvhuisletter is null then '' else tbperceeladressen.dvhuisletter end
               || case when rtrim (tbperceeladressen.dvhuisnummertoevoeging) is null then '' 
			           else replace ('-' || tbperceeladressen.dvhuisnummertoevoeging,'--',  '-') end 
	           || case when tbperceeladressen.dvhuisnrinfo is null then '' else rtrim(' '||tbperceeladressen.dvhuisnrinfo) end
	        as character varying(136)) as dvobjadres,
            tbopenbareruimte.dvopruimtenaam dvobjstraat,
            tbopenbareruimte.dvopruimtetype, 
            tbperceeladressen.dvpostcode dvobjpostcode,
            tbwoonplaats.dvwoonplaatsnaam dvobjplaats,
            tbperceeladressen.dncbs_buurt dnobjcbs_buurt,
            tbperceeladressen.dvbuurtcode,
            tbsoortomgverg.dvomschrijving dvsoortaanvraag,
            tbsoortomgverg.dnfataleperiode,
            tbsoortomgverg.dnfatwaarschuwper,
            tbomgvergunning.ddaanhoudenvanaf,
            tbomgvergunning.ddaanhoudentotmet,
            tbomgvergunning.ddingetrokken,
            tbomgvergunning.dvredenintrekking,
            tbomgvergunning.ddfataledatum,
            tbomgvergunning.dndagenopschwerking,
            tbomgvergunning.ddbesluitdatum,
            tbomgvergunning.dvcodeaardbesluit,
            tbomgvergunning.ddvernietigd,
            tbomgvergunning.dvredenvernietiging,
            tbomgvergunning.ddpublaanvrg,
            tbomgvergunning.ddontwerpbesl,
            tbomgvergunning.ddgeschorstvanaf,
            tbomgvergunning.ddbeschverzonden ddverzenddatum,
            tbomgvergunning.ddinwerking,
            tbomgvergunning.ddonherroepelijk,
            cast(null as character varying(1)) as dvmemo,
            tbaardbesluit.dlverleend,
            tbaardbesluit.dvomschrijving dvaardbesluit,
            cast(case when ddonherroepelijk is not null then tbaardbesluit.dvomschrijving
                  when ddvernietigd is not null then 'vernietigd'
	              when ddgeschorstvanaf is not null then 'geschorst'
	              when ddnaverlingetrokken <= fn_vandaag(0)then 'ingetrokken na verl.'
	              when ddverlopen <=  fn_vandaag(0)	then 'verlopen'
	              when ddvervallen < fn_vandaag(0)	 then 'vervallen'
                  when ddbesluitdatum is not null then tbaardbesluit.dvomschrijving
                  when ddingetrokken is not null then 'ingetrokken tijdens beh.'
                  when ddaanhoudenvanaf is not null and ddaanhoudentotmet is null then 'aangehouden' 
  else 'in behandeling'
  end as character varying(40)) as dvstatus,
            tbomgvergunning.dnkeyredenaanhouding,
            tbredenaanhouding.dvredenaanhouding,
            tbomgvergunning.dvdmszaakcode,
            tbomgvergunning.ddverdaagdvanaf,
            tbomgvergunning.dvredenverdaging,
            tbsoortomgverg.dvsoortproc,
            tbomgvergunning.ddindieningbezwaar,
            tbomgvergunning.ddverzvoorlvoorz,
            tbomgvergunning.dlbezwpleitnota,
            tbomgvergunning.ddbezwzitting,
            tbomgvergunning.ddbezwplanbesluit,
            tbomgvergunning.ddbezwbesluit,
            tbomgvergunning.dvrbprocnummer,
            tbomgvergunning.ddrbindieningberoep,
            tbomgvergunning.ddrbberoepzitting,
            tbomgvergunning.ddrbuitspraak,
            tbomgvergunning.dvrvsprocnummer,
            tbomgvergunning.ddrvsindieningberoep,
            tbomgvergunning.ddrvsberoepzitting,
            tbomgvergunning.ddrvsuitspraak,
            tbomgvergunning.dvcodeaccountman,
            tbomgvergunning.dvhyperlink,
            tbmedewerkers.dvomschrijving dvnaamaccountman,
            tbmedewerkers.dvtelefoon dvtelaccountman,
            tbmedewerkers.dvemail dvemailaccountman,
            tbmedewerkers.dvvoorletters dvvoorlaccountman,
            tbmedewerkers.dvtussenvoegsel dvtussenvaccountman,
            tbmedewerkers.dvgeslacht dvgeslachtaccountman,
            vwbplgeldend.dvnaam dvgldbplnaam,
            vwbplgeldend.dvnummer dvgldbplnummer,
            vwbplgeldend.dvbestemming dvgldbplbestemming,
            vwbplgeldend.dvomschrijving dvgldbplomschrijving,
            vwbplgeldend.dlinvoorbereiding dvgldbplinvoorb,
            vwbplnieuw.dvnaam dvnwbplnaam,
            vwbplnieuw.dvnummer dvnwbplnummer,
            vwbplnieuw.dvbestemming dvnwbplbestemming,
            vwbplnieuw.dvomschrijving dvnwbplomschrijving,
            vwbplnieuw.dlinvoorbereiding dvnwbplinvoorb,
            tbmonumenten.dvomschrijving dvobjmonument,
            vwaantaltoestemmingen.dnaantal dnaantaltoest,
			tbomgvergunning.dnkeymilinrichtingen,
			tbmilinrichtingen.dvinrichtingnaam,
			tbomgvergunning.ddlegesverzonden,
			tbomgvergunning.dnaantaleenheden,
			tbdossierverblijf.dvomschrijving dvdossierverblijf,
			tbomgvergunning.dvcodedossierverblijf,
			tbomgvergunning.dvwelstomschrijving,
			tbwelstandcriteria.dvgebied dvwelstandgebied,
            tbwelstandcriteria.dvcriteria dvwelstandcriteria,
            tbwelstandbeeldkwal.dvomschrijving dvwelstandbeeldkwal,
			tbomgvergunning.dldigindiening,
            tbomgvergunning.dlaanvulgegevens,
			tbomgvergunning.ddeindontwerpbesl,
            tbomgvergunning.dvredenontwerpbesl,
			tbperceeladressen.dvkaddlpercindicatie,
			tbomgvergunning.dvbezwaardbesl,
			tbomgvergunning.dvrbaardbesl,
			tbomgvergunning.ddverlopen,
			tbomgvergunning.ddvervallen,
			tbomgvergunning.ddnaverlingetrokken,
			tbomgvergunning.ddinitbag,
			tbbesluittypes.dvtype dvbesluittype,
			tbomgvergunning.dnkeybesluittypes,
			tbomgvergunning.dvintzaakcode,
			tbomgvergunning.dnkeyparentverg,
			tbomgvergunning.dvrvsaardbesl,
			tbomgvergunning.dlisindmsverwijderd,
			vwfrmactiefinbehbij.dvbehvoluit dvbehandelaar,
			vwfrmomgavrcontacten.dvavrbedrijf, 
			vwfrmomgavrcontacten.dvavrtav,
			vwfrmomgkrittermijnen.dvkrittrmomschrijving,
			vwfrmomgkrittermijnen.ddkrittrmdeadline,
			vwfrmomgkrittermijnen.ddkrittrmprocnaam,
			tbomgvergunning.dvextchkloms,
            tbomgvergunning.dvextchkl2oms,
            tbomgvergunning.dvextchkl3oms,
            tbomgvergunning.ddextchklistreg,
            tbomgvergunning.ddextchklist2reg,
            tbomgvergunning.ddextchklist3reg,
            tbomgvergunning.dvextchkldossierid,
            tbomgvergunning.dvextchkdossier2id,
            tbomgvergunning.dvextchkdossier3id,
			 cast(case when dvbezwaardbesl = 'N' then 'Niet ontvankelijk'
                  when dvbezwaardbesl = 'O' then 'Ongegrond'
				  when dvbezwaardbesl = 'G' then 'Gegrond'
	              else ''
				end as character varying(17)) as dvomsbezwaarbesl,
			 cast(case when dvrbaardbesl = 'N' then 'Niet ontvankelijk'
                  when dvrbaardbesl = 'O' then 'Ongegrond'
				  when dvrbaardbesl = 'G' then 'Gegrond'
	              else ''
				end as character varying(17)) as dvomsrbaardbesl,
			 cast(case when dvrvsaardbesl = 'N' then 'Niet ontvankelijk'
                  when dvrvsaardbesl = 'O' then 'Ongegrond'
				  when dvrvsaardbesl = 'G' then 'Gegrond'
	              else ''
				end as character varying(17)) as dvomsrvsaardbesl
    from   tbomgvergunning
            inner join tbperceeladressen
			on (tbomgvergunning.dnkeyperceeladressen = tbperceeladressen.dnkey)
			inner join tbopenbareruimte
			on (tbperceeladressen.dnkeyopenbruimte = tbopenbareruimte.dnkey)
            inner join tbwoonplaats
			on (tbopenbareruimte.dnkeywoonplaats = tbwoonplaats.dnkey)
            inner join tbsoortomgverg
			on (tbomgvergunning.dnkeysoortomgverg = tbsoortomgverg.dnkey)
            left outer join tbaardbesluit
            on (tbomgvergunning.dvcodeaardbesluit = tbaardbesluit.dvcode)
			left outer join tbredenaanhouding
			on (tbomgvergunning.dnkeyredenaanhouding = tbredenaanhouding.dnkey)
            left outer join tbmedewerkers
            on (tbomgvergunning.dvcodeaccountman = tbmedewerkers.dvcode)
			left outer join vwbplgeldend
			on (tbperceeladressen.dnkeygeldendbestemmingsplan = vwbplgeldend.dnkey)
            left outer join vwbplnieuw
			on (tbperceeladressen.dnkeynieuwbestemmingsplan = vwbplnieuw.dnkey)
            left outer join tbmonumenten
			on (tbperceeladressen.dnkeymonumenten = tbmonumenten.dnkey)
            left outer join vwaantaltoestemmingen
			on (tbomgvergunning.dnkey = vwaantaltoestemmingen.dnkeyomgvergunningen)
			left outer join tbmilinrichtingen
			on (tbomgvergunning.dnkeymilinrichtingen = tbmilinrichtingen.dnkey)
			left outer join tbdossierverblijf
			on (tbomgvergunning.dvcodedossierverblijf = tbdossierverblijf.dvcode)
			left outer join tbwelstandcriteria
			on (tbomgvergunning.dnkeywelstcriteria = tbwelstandcriteria.dnkey)
			left outer join tbwelstandbeeldkwal
			on (tbomgvergunning.dnkeywelstbeeldkwal = tbwelstandbeeldkwal.dnkey)
			left outer join tbbesluittypes
			on (tbomgvergunning.dnkeybesluittypes = tbbesluittypes.dnkey)
			left outer join vwfrmactiefinbehbij
			on (tbomgvergunning.dnkey = vwfrmactiefinbehbij.dnkeyomgvergunningen)
			left outer join vwfrmomgavrcontacten
			on (tbomgvergunning.dnkey = vwfrmomgavrcontacten.dnkeyomgvergunningen)
			left outer join vwfrmomgkrittermijnen
			on (tbomgvergunning.dnkey = vwfrmomgkrittermijnen.dnkeyomgvergunningen)
        ;
create or replace view vwfrmomgcontacten as 
select  
  tbomgvergcontactennn.dnkeyomgvergunningen,  
  tbcontactadressen.dnkey dnkeycontactadressen,  
  tbcontactadressen.dvvoorletters dvcontvoorletters,  
  tbcontactadressen.dvvoorvoegsel dvcontvoorvoegsel,  
  tbcontactadressen.dvroepnaam dvcontroepnaam,  
  tbcontactadressen.dvachternaam dvcontachternaam,  
  tbcontactadressen.dvbedrijfsnaam dvcontbedrijfsnaam,  
  tbcontactadressen.dvbriefaanhef dbcontbriefaanhef,  
  tbcontactadressen.dvwoonplaatsnaam dvcontwoonplaats,  
  tbcontactadressen.dvstraatnaam dvcontstraatnaam,  
  tbcontactadressen.dvaanduidingbijhuisnummer dvcontaanduidhuisnr,  
  tbcontactadressen.dvhuisnummer dvconthuisnummer,  
  tbcontactadressen.dvhuisnummertoevoeging dvconthuisnrtoevoeg,  
  tbcontactadressen.dvhuisletter dvconthuisletter,  
  tbcontactadressen.dvpostcode dvcontpostcode,  
  tbcontactadressen.dvtelefoon dvconttelefoon,  
  tbcontactadressen.dvgsm dvcontgsm,
  tbcontactadressen.dvfax dvcontfax,  
  tbcontactadressen.dvemail dvcontemail,  
  tbcontactadressen.dvdebiteurnr,  
  tbcontactadressen.dvgeslacht,  
  tbcontactadressen.dvbin dvcontbinnr,
  tbcontactadressen.dvsofinummer dvcontbsnnr,
  tbcontactadressen.dvveststraat,
  tbcontactadressen.dvvesthuisnr,
  tbcontactadressen.dvvesthuisletter,
  tbcontactadressen.dvvesthuistoev,
  tbcontactadressen.dvvestpc,
  tbcontactadressen.dvvestplaats,
  tbadressoort.dvcode dvcontadrescode,
  tbadressoort.dvomschrijving dvcontadressoort,  
  tbadressoort.ddvervaldatum ddcontadresverval,
  cast(case when tbcontactadressen.dvgeslacht = 'M' then 'De heer' 
  when tbcontactadressen.dvgeslacht ='V' then'Mevrouw' 
  else 'De heer/mevrouw' end
  || case when tbcontactadressen.dvvoorletters is not null then rtrim(' '||tbcontactadressen.dvvoorletters) else '' end
  || case when tbcontactadressen.dvvoorvoegsel is not null then rtrim(' '||tbcontactadressen.dvvoorvoegsel) else '' end
  || case when tbcontactadressen.dvachternaam is not null then rtrim(' '||tbcontactadressen.dvachternaam) else '' end
  as character varying(238)) as dvconttav, 
  cast(tbcontactadressen.dvstraatnaam 
  || case when tbcontactadressen.dvaanduidingbijhuisnummer is not null then rtrim(' '||tbcontactadressen.dvaanduidingbijhuisnummer) else '' end
  || case when tbcontactadressen.dvhuisnummer is not null then rtrim(' '||tbcontactadressen.dvhuisnummer)else '' end
  || case when tbcontactadressen.dvhuisletter is not null then tbcontactadressen.dvhuisletter else '' end
  || case when rtrim(tbcontactadressen.dvhuisnummertoevoeging) is null then '' 
     else replace('-'||tbcontactadressen.dvhuisnummertoevoeging,'--','-')
     end as character varying(95)) as dvcontadres,
  tbcontactadressen.dvhandelsnaam dvconthandelsnaam,
            tbcontactadressen.dvcodenationaliteit,
  tbnationaliteiten.dvomschrijving dvnationaliteit,
  tbcontactadressen.dddatummutatie,
  tbcontactadressen.ddcontrolegba,
  tbcontactadressen.dvvestigingsnr,
  tbcontactadressen.dvdoopnamen,
  tbcontactadressen.ddgeboortedatum,
  tbcontactadressen.dvgeboorteplaats,
  tbcontactadressen.dvidentiteitbew,
  tbcontactadressen.ddvervaldatum
from  
  tbomgvergcontactennn 
  inner join tbcontactadressen
  on (tbomgvergcontactennn.dnkeycontactadressen = tbcontactadressen.dnkey)  
  inner join tbadressoort  
  on (tbomgvergcontactennn.dvcodeadressoort = tbadressoort.dvcode)
    left outer join tbnationaliteiten
  on (tbcontactadressen.dvcodenationaliteit = tbnationaliteiten.dvcode)
;
create or replace view vwfrmtoestemmingen as 
select distinct
	a.dnkey dnkeytoestemming,
	a.dnkeyomgvergunningen,    
	a.dnkeysrttoestemming,
	a.dvwerkzaamheden, 
	a.dvbeschrijving,
	a.ddstartwrkzhn,
	a.ddgebruikgereed,
	a.ddopgeleverd,
	a.ddnaarbaga,
	a.dflegesopgbasis,
	a.dflegesvastgbasis,
	a.dflegesherzbasis,
	a.dlisvervallen,
	a.ddvervallen,
	a.dlistijdelijk,
	a.ddgeldigtm,
	b.dvtoestemmingnaam,
	b.dvwetverordening,
	b.dvartikel,
	b.dluitvoering, 
	b.dlgebruik,
	b.dvlegeslabel,
	a.dvomslegesbasis,
	a.ddingetrokken,
	a.dvredenintrekking,
	a.dveffect,
	a.dlnieuwbouw,
	a.dnaantaleenheden,
	a.dnkeygebouwtype,
	c.dvtype dvgebouwtype,
	a.dnbouwlagen,
	a.dnaantgebrvan,
	a.dnaantgebrtot,
	a.dfoppbruto,
	a.dfoppgebr,
	a.dnkeygebouwspec,
    d.dvspecificatie dvgebouwspec,
	cast(null as integer) as dnkeylegessoort,
    cast(null as character varying(100)) dvlegessoort,
	a.dlw011,
	a.dnmaxgebr,
	a.ddbrisregdatum,
	a.dvbrispdf,
	a.dvbrisregnr,
	a.dvbrisdmsdoccode,
	a.ddpublproc,
	a.dvpublproc,
	a.dfbrutoinhoud,
	a.dvbw_contrcode_1,
    a.dvbw_contrcode_2,
    a.dvbw_contrcode_3,
    a.dvbw_contrcode_4,
    a.dvbw_contrcode_5,
    a.dvbw_contreenh_1,
    a.dvbw_contreenh_2,
    a.dvbw_contreenh_3,
    a.dvbw_contreenh_4,
    a.dvbw_contreenh_5,
    a.dnbw_contraant_1,
    a.dnbw_contraant_2,
    a.dnbw_contraant_3,
    a.dnbw_contraant_4,
    a.dnbw_contraant_5,
	b.dnlegesmoment,
	b.dlaantactkorting,
	cast(case when a.dveffect = 'T' then 'Toevoeging' 
			when a.dveffect = 'G' then 'Geen' 
			when a.dveffect = 'O' then 'Onttrekking' 
			        else  'weet niet / n.v.t. ' end 
             as character varying(20)) as dvomseffect,
	cast(case when e.dnkeytoestemmingen is null then 'F' 
			  else  'T' end 
             as char(1)) as dlheeftlegesregel,
	b.dlinrichtingverpl
from
  tbtoestemmingen a
  inner join tbsrttoestemming b
  on (a.dnkeysrttoestemming = b.dnkey)
  left outer join tbgebouwtype c
  on (a.dnkeygebouwtype = c.dnkey)
  left outer join tbgebouwspec d
  on (a.dnkeygebouwspec = d.dnkey)
  left outer join tblegesregels e
   on (a.dnkey = e.dnkeytoestemmingen)
    ;
create or replace view vwfrmhorecaavrcontacten
as
select
  tbhorecacontactennn.dnkeyhorecavergunningen,
  tbcontactadressen.dvbedrijfsnaam dvavrbedrijf,
  tbcontactadressen.dnkey dnkeycontactadressen,
  tbcontactadressen.dvvoorletters dvavrvoorletters,
  tbcontactadressen.dvvoorvoegsel dvavrvoorvoegsel,
  tbcontactadressen.dvroepnaam dvavrroepnaam,
  tbcontactadressen.dvachternaam dvavrachternaam,
  tbcontactadressen.dvbriefaanhef dvavrbriefaanhef,
  tbcontactadressen.dvwoonplaatsnaam dvavrwoonplaats,
  tbcontactadressen.dvstraatnaam dvavrstraatnaam,
  tbcontactadressen.dvaanduidingbijhuisnummer dvavraanduidhuisnr,
  tbcontactadressen.dvhuisnummer dvavrhuisnummer,
  tbcontactadressen.dvhuisnummertoevoeging dvavrhuisnrtoevoeg,
  tbcontactadressen.dvhuisletter dvavrhuisletter,
  tbcontactadressen.dvpostcode dvavrpostcode,
  tbcontactadressen.dvtelefoon dvavrtelefoon,
  tbcontactadressen.dvgsm dvavrgsm,
  tbcontactadressen.dvfax dvavrfax,
  tbcontactadressen.dvemail dvavremail,
  tbcontactadressen.ddvervaldatum ddavrvervaldatum,
  tbcontactadressen.dvsofinummer dvavrbsn,
  tbcontactadressen.dvbin dvavrbin,
  cast(case when tbcontactadressen.dvgeslacht = 'M' then 'De heer' 
  when tbcontactadressen.dvgeslacht ='V' then'Mevrouw' 
  else 'De heer/mevrouw' end
  || case when tbcontactadressen.dvvoorletters is not null then rtrim(' '||tbcontactadressen.dvvoorletters) else '' end
  || case when tbcontactadressen.dvvoorvoegsel is not null then rtrim(' '||tbcontactadressen.dvvoorvoegsel) else '' end
  || case when tbcontactadressen.dvachternaam is not null then rtrim(' '||tbcontactadressen.dvachternaam) else '' end
  as character varying(238)) as dvavrtav, 
  cast(tbcontactadressen.dvstraatnaam 
  || case when tbcontactadressen.dvaanduidingbijhuisnummer is not null then rtrim(' '||tbcontactadressen.dvaanduidingbijhuisnummer) else '' end
  || case when tbcontactadressen.dvhuisnummer is not null then rtrim(' '||tbcontactadressen.dvhuisnummer)else '' end
  || case when tbcontactadressen.dvhuisletter is not null then tbcontactadressen.dvhuisletter else '' end
  || case when rtrim(tbcontactadressen.dvhuisnummertoevoeging) is null then '' 
     else replace('-'||tbcontactadressen.dvhuisnummertoevoeging,'--','-')
     end as character varying(95)) as dvavradres,
 tbcontactadressen.dvhandelsnaam dvavrhandelsnaam
from
  tbhorecacontactennn
  inner join tbcontactadressen
  on (tbhorecacontactennn.dnkeycontactadressen = tbcontactadressen.dnkey)
where
  tbhorecacontactennn.dvcodeadressoort = 'AVR'
;
create or replace view vwfrmmilvergavrcontacten
as
select
  tbmilvergcontactennn.dnkeymilvergunningen,
  tbcontactadressen.dvbedrijfsnaam dvavrbedrijf,
  tbcontactadressen.dnkey dnkeycontactadressen,
  tbcontactadressen.dvvoorletters dvavrvoorletters,
  tbcontactadressen.dvvoorvoegsel dvavrvoorvoegsel,
  tbcontactadressen.dvroepnaam dvavrroepnaam,
  tbcontactadressen.dvachternaam dvavrachternaam,
  tbcontactadressen.dvbriefaanhef dvavrbriefaanhef,
  tbcontactadressen.dvwoonplaatsnaam dvavrwoonplaats,
  tbcontactadressen.dvstraatnaam dvavrstraatnaam,
  tbcontactadressen.dvaanduidingbijhuisnummer dvavraanduidhuisnr,
  tbcontactadressen.dvhuisnummer dvavrhuisnummer,
  tbcontactadressen.dvhuisnummertoevoeging dvavrhuisnrtoevoeg,
  tbcontactadressen.dvhuisletter dvavrhuisletter,
  tbcontactadressen.dvpostcode dvavrpostcode,
  tbcontactadressen.dvtelefoon dvavrtelefoon,
  tbcontactadressen.dvgsm dvavrgsm,
  tbcontactadressen.dvfax dvavrfax,
  tbcontactadressen.dvemail dvavremail,
  tbcontactadressen.ddvervaldatum ddavrvervaldatum,
  tbcontactadressen.dvsofinummer dvavrbsn,
  tbcontactadressen.dvbin dvavrbin,
  cast(case when tbcontactadressen.dvgeslacht = 'M' then 'De heer' 
  when tbcontactadressen.dvgeslacht ='V' then'Mevrouw' 
  else 'De heer/mevrouw' end
  || case when tbcontactadressen.dvvoorletters is not null then rtrim(' '||tbcontactadressen.dvvoorletters) else '' end
  || case when tbcontactadressen.dvvoorvoegsel is not null then rtrim(' '||tbcontactadressen.dvvoorvoegsel) else '' end
  || case when tbcontactadressen.dvachternaam is not null then rtrim(' '||tbcontactadressen.dvachternaam) else '' end
  as character varying(238)) as dvavrtav, 
  cast(tbcontactadressen.dvstraatnaam 
  || case when tbcontactadressen.dvaanduidingbijhuisnummer is not null then rtrim(' '||tbcontactadressen.dvaanduidingbijhuisnummer) else '' end
  || case when tbcontactadressen.dvhuisnummer is not null then rtrim(' '||tbcontactadressen.dvhuisnummer)else '' end
  || case when tbcontactadressen.dvhuisletter is not null then tbcontactadressen.dvhuisletter else '' end
  || case when rtrim(tbcontactadressen.dvhuisnummertoevoeging) is null then '' 
     else replace('-'||tbcontactadressen.dvhuisnummertoevoeging,'--','-')
     end as character varying(95)) as dvavradres,
 tbcontactadressen.dvhandelsnaam dvavrhandelsnaam
from
  tbmilvergcontactennn
  inner join tbcontactadressen
  on (tbmilvergcontactennn.dnkeycontactadressen = tbcontactadressen.dnkey)
where
  tbmilvergcontactennn.dvcodeadressoort = 'AVR'
;
create or replace view vwfrmhandhhpccontacten
as
select
  tbhandhcontactennn.dnkeyhandhavingen,
  tbcontactadressen.dvbedrijfsnaam dvavrbedrijf,
  tbcontactadressen.dnkey dnkeycontactadressen,
  tbcontactadressen.dvvoorletters dvavrvoorletters,
  tbcontactadressen.dvvoorvoegsel dvavrvoorvoegsel,
  tbcontactadressen.dvroepnaam dvavrroepnaam,
  tbcontactadressen.dvachternaam dvavrachternaam,
  tbcontactadressen.dvbriefaanhef dvavrbriefaanhef,
  tbcontactadressen.dvwoonplaatsnaam dvavrwoonplaats,
  tbcontactadressen.dvstraatnaam dvavrstraatnaam,
  tbcontactadressen.dvaanduidingbijhuisnummer dvavraanduidhuisnr,
  tbcontactadressen.dvhuisnummer dvavrhuisnummer,
  tbcontactadressen.dvhuisnummertoevoeging dvavrhuisnrtoevoeg,
  tbcontactadressen.dvhuisletter dvavrhuisletter,
  tbcontactadressen.dvpostcode dvavrpostcode,
  tbcontactadressen.dvtelefoon dvavrtelefoon,
  tbcontactadressen.dvfax dvavrfax,
  tbcontactadressen.dvemail dvavremail,
  tbcontactadressen.ddvervaldatum ddavrvervaldatum,
  tbcontactadressen.dvsofinummer dvavrbsn,
  tbcontactadressen.dvbin dvavrbin,
  cast(case when tbcontactadressen.dvgeslacht = 'M' then 'De heer' 
  when tbcontactadressen.dvgeslacht ='V' then'Mevrouw' 
  else 'De heer/mevrouw' end
  || case when tbcontactadressen.dvvoorletters is not null then rtrim(' '||tbcontactadressen.dvvoorletters) else '' end
  || case when tbcontactadressen.dvvoorvoegsel is not null then rtrim(' '||tbcontactadressen.dvvoorvoegsel) else '' end
  || case when tbcontactadressen.dvachternaam is not null then rtrim(' '||tbcontactadressen.dvachternaam) else '' end
  as character varying(238)) as dvavrtav, 
  cast(tbcontactadressen.dvstraatnaam 
  || case when tbcontactadressen.dvaanduidingbijhuisnummer is not null then rtrim(' '||tbcontactadressen.dvaanduidingbijhuisnummer) else '' end
  || case when tbcontactadressen.dvhuisnummer is not null then rtrim(' '||tbcontactadressen.dvhuisnummer)else '' end
  || case when tbcontactadressen.dvhuisletter is not null then tbcontactadressen.dvhuisletter else '' end
  || case when rtrim(tbcontactadressen.dvhuisnummertoevoeging) is null then '' 
     else replace('-'||tbcontactadressen.dvhuisnummertoevoeging,'--','-')
     end as character varying(95)) as dvavradres,
 tbcontactadressen.dvhandelsnaam dvavrhandelsnaam
from
  tbhandhcontactennn
  inner join tbcontactadressen
  on (tbhandhcontactennn.dnkeycontactadressen = tbcontactadressen.dnkey)
where
  tbhandhcontactennn.dvcodeadressoort = 'HPC'
;
create or replace view vwmilcontverg as
select
  tbmilvergunningen.dnkey,
  tbmilvergunningen.dvvergnummer,
  tbsoortmilverg.dvomschrijving dvsoortmilverg,
  tbmilvergunningen.ddontvangstdatum ddaanvraagdatum,
  tbmilvergunningen.ddbesluitdatum,
  tbmilinrichtingen.dvarchiefnr,
  tbmilinrichtingen.dvinrichtingnaam,
  tbmilinrichtingen.dvinrichtingnr,
  tbopenbareruimte.dvopruimtenaam dvobjstraat,
  tbperceeladressen.dvpostcode dvobjpostcode,
  tbperceeladressen.dvhuisnummer dvobjhuisnummer,
  tbperceeladressen.dvhuisletter dvobjhuisletter,
  tbperceeladressen.dvhuisnummertoevoeging dvobjhuisnrtoevoeg,
  tbwoonplaats.dvwoonplaatsnaam dvobjplaats,
  tbmilvergcontactennn.dnkeycontactadressen,
  tbmilvergcontactennn.dvcodeadressoort,
  tbsoortmilverg.dnicoon
from
  tbmilvergunningen
  inner join tbmilinrichtingen
  on (tbmilvergunningen.dnkeymilinrichtingen = tbmilinrichtingen.dnkey)
  inner join tbperceeladressen
  on (tbmilinrichtingen.dnkeyperceeladressen = tbperceeladressen.dnkey)
  inner join tbopenbareruimte
  on (tbperceeladressen.dnkeyopenbruimte = tbopenbareruimte.dnkey)
  inner join tbwoonplaats
  on (tbopenbareruimte.dnkeywoonplaats = tbwoonplaats.dnkey)  
  inner join tbmilvergcontactennn
  on (tbmilvergunningen.dnkey = tbmilvergcontactennn.dnkeymilvergunningen)
  inner join tbsoortmilverg
  on (tbmilvergunningen.dnkeysoortmilverg = tbsoortmilverg.dnkey)
;
create or replace view vwomgcontverg as
select
  tbomgvergunning.dnkey,
  tbomgvergunning.dvzaakcode dvvergnummer,
  tbsoortomgverg.dvomschrijving dvsoortomgverg,
  tbomgvergunning.ddaanvraag ddaanvraagdatum,
  tbomgvergunning.ddbesluitdatum,
  tbomgvergunning.dvdmszaakcode dvarchiefnr,
  tbopenbareruimte.dvopruimtenaam dvobjstraat,
  tbperceeladressen.dvpostcode dvobjpostcode,
  tbperceeladressen.dvhuisnummer dvobjhuisnummer,
  tbperceeladressen.dvhuisletter dvobjhuisletter,
  tbperceeladressen.dvhuisnummertoevoeging dvobjhuisnrtoevoeg,
  tbwoonplaats.dvwoonplaatsnaam dvobjplaats,
  tbomgvergcontactennn.dnkeycontactadressen,
  tbomgvergunning.dvaanvraagnaam,
  tbsoortomgverg.dnicoon
from
  tbomgvergunning
  inner join tbperceeladressen
  on (tbomgvergunning.dnkeyperceeladressen = tbperceeladressen.dnkey)
  inner join tbopenbareruimte
  on (tbperceeladressen.dnkeyopenbruimte = tbopenbareruimte.dnkey)
  inner join tbwoonplaats
  on (tbopenbareruimte.dnkeywoonplaats = tbwoonplaats.dnkey)  
  inner join tbomgvergcontactennn
  on (tbomgvergunning.dnkey = tbomgvergcontactennn.dnkeyomgvergunningen)
  inner join tbsoortomgverg
  on (tbomgvergunning.dnkeysoortomgverg = tbsoortomgverg.dnkey)
;
create or replace view vwfrmomgaancontacten
as
select
  tbomgvergcontactennn.dnkeyomgvergunningen,
  tbcontactadressen.dvbedrijfsnaam dvaanbedrijf,
  tbcontactadressen.dnkey dnkeycontactadressen,
  tbcontactadressen.dvvoorletters dvaanvoorletters,
  tbcontactadressen.dvvoorvoegsel dvaanvoorvoegsel,
  tbcontactadressen.dvroepnaam dvaanroepnaam,
  tbcontactadressen.dvachternaam dvaanachternaam,
  tbcontactadressen.dvbriefaanhef dvaanbriefaanhef,
  tbcontactadressen.dvwoonplaatsnaam dvaanwoonplaats,
  tbcontactadressen.dvstraatnaam dvaanstraatnaam,
  tbcontactadressen.dvaanduidingbijhuisnummer dvaanaanduidhuisnr,
  tbcontactadressen.dvhuisnummer dvaanhuisnummer,
  tbcontactadressen.dvhuisnummertoevoeging dvaanhuisnrtoevoeg,
  tbcontactadressen.dvhuisletter dvaanhuisletter,
  tbcontactadressen.dvpostcode dvaanpostcode,
  tbcontactadressen.dvtelefoon dvaantelefoon,
  tbcontactadressen.dvgsm dvaangsm,
  tbcontactadressen.dvfax dvaanfax,
  tbcontactadressen.dvemail dvaanemail,
  tbcontactadressen.ddvervaldatum ddaanvervaldatum,
  tbcontactadressen.dvsofinummer dvaanbsn,
  tbcontactadressen.dvbin dvaanbin,
  cast(case when tbcontactadressen.dvgeslacht = 'M' then 'De heer' 
  when tbcontactadressen.dvgeslacht ='V' then'Mevrouw' 
  else 'De heer/mevrouw' end
  || case when tbcontactadressen.dvvoorletters is not null then rtrim(' '||tbcontactadressen.dvvoorletters) else '' end
  || case when tbcontactadressen.dvvoorvoegsel is not null then rtrim(' '||tbcontactadressen.dvvoorvoegsel) else '' end
  || case when tbcontactadressen.dvachternaam is not null then rtrim(' '||tbcontactadressen.dvachternaam) else '' end
  as character varying(238)) as dvaantav, 
  cast(tbcontactadressen.dvstraatnaam 
  || case when tbcontactadressen.dvaanduidingbijhuisnummer is not null then rtrim(' '||tbcontactadressen.dvaanduidingbijhuisnummer) else '' end
  || case when tbcontactadressen.dvhuisnummer is not null then rtrim(' '||tbcontactadressen.dvhuisnummer)else '' end
  || case when tbcontactadressen.dvhuisletter is not null then tbcontactadressen.dvhuisletter else '' end
  || case when rtrim(tbcontactadressen.dvhuisnummertoevoeging) is null then '' 
     else replace('-'||tbcontactadressen.dvhuisnummertoevoeging,'--','-')
     end as character varying(95)) as dvaanadres,
  tbcontactadressen.dvhandelsnaam dvaanhandelsnaam,
  tbcontactadressen.dvgeslacht
from
  tbomgvergcontactennn
  inner join tbcontactadressen
  on (tbomgvergcontactennn.dnkeycontactadressen = tbcontactadressen.dnkey)
where
  tbomgvergcontactennn.dvcodeadressoort = 'AAN'
;
create or replace view vwfrmomgarccontacten
as
select
  tbomgvergcontactennn.dnkeyomgvergunningen,
  tbcontactadressen.dvbedrijfsnaam dvarcbedrijf,
  tbcontactadressen.dnkey dnkeycontactadressen,
  tbcontactadressen.dvvoorletters dvarcvoorletters,
  tbcontactadressen.dvvoorvoegsel dvarcvoorvoegsel,
  tbcontactadressen.dvroepnaam dvarcroepnaam,
  tbcontactadressen.dvachternaam dvarcachternaam,
  tbcontactadressen.dvbriefaanhef dvarcbriefaanhef,
  tbcontactadressen.dvwoonplaatsnaam dvarcwoonplaats,
  tbcontactadressen.dvstraatnaam dvarcstraatnaam,
  tbcontactadressen.dvaanduidingbijhuisnummer dvarcaanduidhuisnr,
  tbcontactadressen.dvhuisnummer dvarchuisnummer,
  tbcontactadressen.dvhuisnummertoevoeging dvarchuisnrtoevoeg,
  tbcontactadressen.dvhuisletter dvarchuisletter,
  tbcontactadressen.dvpostcode dvarcpostcode,
  tbcontactadressen.dvtelefoon dvarctelefoon,
  tbcontactadressen.dvgsm dvarcgsm,
  tbcontactadressen.dvfax dvarcfax,
  tbcontactadressen.dvemail dvarcemail,
  tbcontactadressen.ddvervaldatum ddarcvervaldatum,
  tbcontactadressen.dvsofinummer dvarcbsn,
  tbcontactadressen.dvbin dvarcbin,
  cast(case when tbcontactadressen.dvgeslacht = 'M' then 'De heer' 
  when tbcontactadressen.dvgeslacht ='V' then'Mevrouw' 
  else 'De heer/mevrouw' end
  || case when tbcontactadressen.dvvoorletters is not null then rtrim(' '||tbcontactadressen.dvvoorletters) else '' end
  || case when tbcontactadressen.dvvoorvoegsel is not null then rtrim(' '||tbcontactadressen.dvvoorvoegsel) else '' end
  || case when tbcontactadressen.dvachternaam is not null then rtrim(' '||tbcontactadressen.dvachternaam) else '' end
  as character varying(238)) as dvarctav,
  cast(tbcontactadressen.dvstraatnaam 
  || case when tbcontactadressen.dvaanduidingbijhuisnummer is not null then rtrim(' '||tbcontactadressen.dvaanduidingbijhuisnummer) else '' end
  || case when tbcontactadressen.dvhuisnummer is not null then rtrim(' '||tbcontactadressen.dvhuisnummer)else '' end
  || case when tbcontactadressen.dvhuisletter is not null then tbcontactadressen.dvhuisletter else '' end
  || case when rtrim(tbcontactadressen.dvhuisnummertoevoeging) is null then '' 
     else replace('-'||tbcontactadressen.dvhuisnummertoevoeging,'--','-')
     end as character varying(95)) as dvarcadres,
	 tbcontactadressen.dvhandelsnaam dvarchandelsnaam,
   tbcontactadressen.dvgeslacht
from
  tbomgvergcontactennn
  inner join tbcontactadressen
  on (tbomgvergcontactennn.dnkeycontactadressen = tbcontactadressen.dnkey)
where
  tbomgvergcontactennn.dvcodeadressoort = 'ARC'
;
create or replace view vwfrmhandharccontacten
as
select
  tbhandhcontactennn.dnkeyhandhavingen,
  tbcontactadressen.dvbedrijfsnaam dvarcbedrijf,
  tbcontactadressen.dnkey dnkeycontactadressen,
  tbcontactadressen.dvvoorletters dvarcvoorletters,
  tbcontactadressen.dvvoorvoegsel dvarcvoorvoegsel,
  tbcontactadressen.dvroepnaam dvarcroepnaam,
  tbcontactadressen.dvachternaam dvarcachternaam,
  tbcontactadressen.dvbriefaanhef dvarcbriefaanhef,
  tbcontactadressen.dvwoonplaatsnaam dvarcwoonplaats,
  tbcontactadressen.dvstraatnaam dvarcstraatnaam,
  tbcontactadressen.dvaanduidingbijhuisnummer dvarcaanduidhuisnr,
  tbcontactadressen.dvhuisnummer dvarchuisnummer,
  tbcontactadressen.dvhuisnummertoevoeging dvarchuisnrtoevoeg,
  tbcontactadressen.dvhuisletter dvarchuisletter,
  tbcontactadressen.dvpostcode dvarcpostcode,
  tbcontactadressen.dvtelefoon dvarctelefoon,
  tbcontactadressen.dvgsm dvarcgsm,
  tbcontactadressen.dvfax dvarcfax,
  tbcontactadressen.dvemail dvarcemail,
  tbcontactadressen.ddvervaldatum ddarcvervaldatum,
  tbcontactadressen.dvsofinummer dvarcbsn,
  tbcontactadressen.dvbin dvarcbin,
 cast(case when tbcontactadressen.dvgeslacht = 'M' then 'De heer' 
  when tbcontactadressen.dvgeslacht ='V' then'Mevrouw' 
  else 'De heer/mevrouw' end
  || case when tbcontactadressen.dvvoorletters is not null then rtrim(' '||tbcontactadressen.dvvoorletters) else '' end
  || case when tbcontactadressen.dvvoorvoegsel is not null then rtrim(' '||tbcontactadressen.dvvoorvoegsel) else '' end
  || case when tbcontactadressen.dvachternaam is not null then rtrim(' '||tbcontactadressen.dvachternaam) else '' end
  as character varying(238)) as dvarctav,
  cast(tbcontactadressen.dvstraatnaam 
  || case when tbcontactadressen.dvaanduidingbijhuisnummer is not null then rtrim(' '||tbcontactadressen.dvaanduidingbijhuisnummer) else '' end
  || case when tbcontactadressen.dvhuisnummer is not null then rtrim(' '||tbcontactadressen.dvhuisnummer)else '' end
  || case when tbcontactadressen.dvhuisletter is not null then tbcontactadressen.dvhuisletter else '' end
  || case when rtrim(tbcontactadressen.dvhuisnummertoevoeging) is null then '' 
     else replace('-'||tbcontactadressen.dvhuisnummertoevoeging,'--','-')
     end as character varying(95)) as dvarcadres,
 tbcontactadressen.dvhandelsnaam dvarchandelsnaam
from
  tbhandhcontactennn
  inner join tbcontactadressen
  on (tbhandhcontactennn.dnkeycontactadressen = tbcontactadressen.dnkey)
where
  tbhandhcontactennn.dvcodeadressoort = 'ARC'
;
create or replace view vwfrmomggemcontacten
as
select
  tbomgvergcontactennn.dnkeyomgvergunningen,
  tbcontactadressen.dvbedrijfsnaam dvavrbedrijf,
  tbcontactadressen.dnkey dnkeycontactadressen,
  tbcontactadressen.dvvoorletters dvgemvoorletters,
  tbcontactadressen.dvvoorvoegsel dvgemvoorvoegsel,
  tbcontactadressen.dvroepnaam dvgemroepnaam,
  tbcontactadressen.dvachternaam dvgemachternaam,
  tbcontactadressen.dvbriefaanhef dvgembriefaanhef,
  tbcontactadressen.dvwoonplaatsnaam dvgemwoonplaats,
  tbcontactadressen.dvstraatnaam dvgemstraatnaam,
  tbcontactadressen.dvaanduidingbijhuisnummer dvgemaanduidhuisnr,
  tbcontactadressen.dvhuisnummer dvgemhuisnummer,
  tbcontactadressen.dvhuisnummertoevoeging dvgemhuisnrtoevoeg,
  tbcontactadressen.dvhuisletter dvgemhuisletter,
  tbcontactadressen.dvpostcode dvgempostcode,
  tbcontactadressen.dvtelefoon dvgemtelefoon,
  tbcontactadressen.dvgsm dvgemgsm,
  tbcontactadressen.dvfax dvgemfax,
  tbcontactadressen.dvemail dvgememail,
  tbcontactadressen.ddvervaldatum ddgemvervaldatum,
  tbcontactadressen.dvsofinummer dvgembsn,
  tbcontactadressen.dvbin dvgembin,
  cast(case when tbcontactadressen.dvgeslacht = 'M' then 'De heer' 
  when tbcontactadressen.dvgeslacht ='V' then'Mevrouw' 
  else 'De heer/mevrouw' end
  || case when tbcontactadressen.dvvoorletters is not null then rtrim(' '||tbcontactadressen.dvvoorletters) else '' end
  || case when tbcontactadressen.dvvoorvoegsel is not null then rtrim(' '||tbcontactadressen.dvvoorvoegsel) else '' end
  || case when tbcontactadressen.dvachternaam is not null then rtrim(' '||tbcontactadressen.dvachternaam) else '' end
  as character varying(238)) as dvgemtav,
  cast(tbcontactadressen.dvstraatnaam 
  || case when tbcontactadressen.dvaanduidingbijhuisnummer is not null then rtrim(' '||tbcontactadressen.dvaanduidingbijhuisnummer) else '' end
  || case when tbcontactadressen.dvhuisnummer is not null then rtrim(' '||tbcontactadressen.dvhuisnummer)else '' end
  || case when tbcontactadressen.dvhuisletter is not null then tbcontactadressen.dvhuisletter else '' end
  || case when rtrim(tbcontactadressen.dvhuisnummertoevoeging) is null then '' 
     else replace('-'||tbcontactadressen.dvhuisnummertoevoeging,'--','-')
     end as character varying(95)) as dvgemadres,
  tbcontactadressen.dvhandelsnaam dvgemhandelsnaam,
  tbcontactadressen.dvgeslacht
from
  tbomgvergcontactennn
  inner join tbcontactadressen
  on (tbomgvergcontactennn.dnkeycontactadressen = tbcontactadressen.dnkey)
where
  tbomgvergcontactennn.dvcodeadressoort = 'GEM'
;
create or replace view vwfrminspbezoeken as
select
  tbinspbezoeken.ddgepland,
  tbinspbezoeken.ddafgehandeld,
  tbinspbezoeken.dvcodemedewerkers dvinspcode,
  tbinspbezoeken.dnkeyinspecties,
  tbinspbezoeken.dnkey,
  tbinspbezoeken.dvverslag,
  tbinspecties.dnkeybouwvergunningen,
  tbinspecties.dnkeyhandhavingen,
  tbinspecties.dnkeyhorecavergunningen,
  tbinspecties.dnkeymilinrichtingen,
  tbinspecties.dnkeyovvergunningen,
  tbinspecties.ddrappel ddstarttraject,
  tbinspecties.ddcontrole ddeindtraject,
  tbinspecties.dnkeyomgvergunningen,
  tbinspaanleiding.dvaanleiding,
  tbmedewerkers.dvomschrijving dvinspnaam,
  tbmedewerkers.dvtelefoon dvinsptelefoon,
  tbmedewerkers.dvemail dvinspemail,
  tbmedewerkers.dvvoorletters dvinspvoorl,
  tbmedewerkers.dvtussenvoegsel dvinsptussenv,
  tbmedewerkers.dvgeslacht dvinspgeslacht,
  tbinspsoortbezoek.dvomschrijving dvsoortbezoek,
  tbinspbezoeken.dnkeycontactadressen,
  tbcontactadressen.dvachternaam,
  tbcontactadressen.dvvoorletters,
  tbcontactadressen.dvvoorvoegsel,
  tbcontactadressen.dvstraatnaam,
  tbcontactadressen.dvhuisnummer,
  tbcontactadressen.dvhuisletter,
  tbcontactadressen.dvhuisnummertoevoeging,
  tbcontactadressen.dvwoonplaatsnaam,
  tbcontactadressen.dvtelefoon,
  tbcontactadressen.dvgsm,
  tbinspecties.dngrondslactw,
  tbinspecties.dngrondslverge,
  cast(case when tbinspecties.dngrondslactw is not null then tbtoestemmingen.dvwerkzaamheden 
       when tbinspecties.dngrondslverge is not null then tbmilwerkz.dvomschrijving || ' ' || tbmilvergunningen.dvpublbouwwerk
  else ''
  end as character varying(151)) as dvgrondslagoms,
  cast(case when tbinspecties.dngrondslactw is not null then tbomgvergunning.dvzaakcode  
       when tbinspecties.dngrondslverge is not null then tbmilvergunningen.dvvergnummer
  else ''
  end as character varying(20)) as dvgrondslagzaakcode,
  tbinspecties.dvomschrijving dvinsptrajectoms,
  tbinspecties.dvdmszaakcode,
  tbinspbezoeken.dvtijdstip,
  tbinspecties.dvintzaakcode,
  cast(case when tbmedewerkers.dvvoorletters is null then '' 
			        else tbmedewerkers.dvvoorletters || ' ' end 
			|| case when tbmedewerkers.dvtussenvoegsel is null then '' 
			        else tbmedewerkers.dvtussenvoegsel || ' ' end 
            || tbmedewerkers.dvomschrijving as character varying(62)) as dvinspvoluit,
  cast(case when tbcontactadressen.dvvoorletters is null then '' 
			        else tbcontactadressen.dvvoorletters || ' ' end 
			|| case when tbcontactadressen.dvvoorvoegsel is null then '' 
			        else tbcontactadressen.dvvoorvoegsel || ' ' end 
            || tbcontactadressen.dvachternaam as character varying(222)) as dvgesprokenmetvoluit
from
  tbinspbezoeken
  inner join tbinspecties
  on (tbinspbezoeken.dnkeyinspecties = tbinspecties.dnkey)
  left outer join tbinspaanleiding
  on (tbinspecties.dnkeyinspaanleiding = tbinspaanleiding.dnkey)
  inner join tbmedewerkers
  on (tbinspbezoeken.dvcodemedewerkers = tbmedewerkers.dvcode)
  left outer join tbinspsoortbezoek
  on (tbinspbezoeken.dnkeyinspsoortbezoek = tbinspsoortbezoek.dnkey)
  left outer join tbcontactadressen
  on (tbinspbezoeken.dnkeycontactadressen = tbcontactadressen.dnkey)
  left outer join tbtoestemmingen
  on (tbinspecties.dngrondslactw = tbtoestemmingen.dnkey)
  left outer join tbomgvergunning
  on (tbtoestemmingen.dnkeyomgvergunningen = tbomgvergunning.dnkey)
  left outer join tbmilvergunningen
  on (tbinspecties.dngrondslverge = tbmilvergunningen.dnkey)
  left outer join tbmilwerkz
  on (tbmilvergunningen.dnkeymilwerkz = tbmilwerkz.dnkey)
;
create or replace view vwfrminsponrechtmatigheden as
select
  tbinsponrechtm.dnkey dnkeyonrechtmatigheid,
  tbinsponrechtm.ddconstatering,
  tbinsponrechtm.ddopgelost,
  tbinsponrechtm.dvcodemedewerkers dvinspcode,
  tbinsponrechtm.dnkeyinspecties,
  tbinsponrechtm.dvuitleg,
  tbhandhovertreding.dvomschrijving dvovertreding,
  tbhandhwetbasis.dvomschrijving dvwetbasis,
  tbinspecties.dnkeybouwvergunningen,
  tbinspecties.dnkeyhandhavingen,
  tbinspecties.dnkeyhorecavergunningen,
  tbinspecties.dnkeymilinrichtingen,
  tbinspecties.dnkeyovvergunningen,
  tbinspecties.ddrappel ddstarttraject,
  tbinspecties.ddcontrole ddeindtraject,
  tbinspecties.dnkeyomgvergunningen,
  tbinspaanleiding.dvaanleiding,
  tbmedewerkers.dvomschrijving dvinspnaam,
  tbmedewerkers.dvtelefoon dvinsptelefoon,
  tbmedewerkers.dvemail dvinspemail,
  tbmedewerkers.dvvoorletters dvinspvoorl,
  tbmedewerkers.dvtussenvoegsel dvinsptussenv,
  tbmedewerkers.dvgeslacht dvinspgeslacht,
  tbinspecties.dngrondslactw,
  tbinspecties.dngrondslverge,
  cast( case when tbinspecties.dngrondslactw is not null then tbtoestemmingen.dvwerkzaamheden 
       when tbinspecties.dngrondslverge is not null then tbmilwerkz.dvomschrijving || ' ' || tbmilvergunningen.dvpublbouwwerk
  else ''
  end as character varying(151)) as dvgrondslagoms,
  cast(case when tbinspecties.dngrondslactw is not null then tbomgvergunning.dvzaakcode  
       when tbinspecties.dngrondslverge is not null then tbmilvergunningen.dvvergnummer
  else ''
  end as character varying(20)) as dvgrondslagzaakcode,
  tbinspecties.dvomschrijving dvinsptrajectoms,
  cast(case when tbmedewerkers.dvvoorletters is null then '' 
			        else tbmedewerkers.dvvoorletters || ' ' end 
			|| case when tbmedewerkers.dvtussenvoegsel is null then '' 
			        else tbmedewerkers.dvtussenvoegsel || ' ' end 
            || tbmedewerkers.dvomschrijving as character varying(62)) as dvinspvoluit
from
  tbinsponrechtm
  inner join tbinspecties
  on (tbinsponrechtm.dnkeyinspecties = tbinspecties.dnkey)
  left outer join tbinspaanleiding
  on (tbinspecties.dnkeyinspaanleiding = tbinspaanleiding.dnkey)
  inner join tbmedewerkers
  on (tbinsponrechtm.dvcodemedewerkers = tbmedewerkers.dvcode)
  left outer join tbhandhovertreding
  on (tbinsponrechtm.dnkeyhandhovertreding = tbhandhovertreding.dnkey)
  left outer join tbhandhwetbasis
  on (tbhandhovertreding.dnkeyhandhwetbasis = tbhandhwetbasis.dnkey)
  left outer join tbtoestemmingen
  on (tbinspecties.dngrondslactw = tbtoestemmingen.dnkey)
  left outer join tbomgvergunning
  on (tbtoestemmingen.dnkeyomgvergunningen = tbomgvergunning.dnkey)
  left outer join tbmilvergunningen
  on (tbinspecties.dngrondslverge = tbmilvergunningen.dnkey)
  left outer join tbmilwerkz
  on (tbmilvergunningen.dnkeymilwerkz = tbmilwerkz.dnkey)
;
create or replace view vwfrmomgvergbestemcrit as
select
    tbomgvergbestemtoets.dnkeyomgvergunningen,
    tbomgvergbestemtoets.dnkey,
    tbomgvergbestemtoets.dlinvoorbereiding,
    tbomgvergbestemtoets.dvgebouw,
    tbomgvergbestemtoets.dlcritakkoord,
    tbomgvergbestemtoets.dlontheffingakkoord,
    tbomgvergbestemtoets.dvomsafwijking,
    tbomgvergbestemtoets.dvprocwro,
    tbbestemtoetscriteria.dvcriterium,
    vwbplgeldend.dvnaam dvgldbplnaam,
    vwbplgeldend.dvnummer dvgldbplnummer,
    vwbplgeldend.dvbestemming dvgldbplbestemming,
    vwbplgeldend.dvomschrijving dvgldbplomschrijving,
    vwbplgeldend.dlinvoorbereiding dvgldbplinvoorb,
    vwbplnieuw.dvnaam dvnwbplnaam,
    vwbplnieuw.dvnummer dvnwbplnummer,
    vwbplnieuw.dvbestemming dvnwbplbestemming,
    vwbplnieuw.dvomschrijving dvnwbplomschrijving,
    vwbplnieuw.dlinvoorbereiding dvnwbplinvoorb
from
    tbomgvergbestemtoets
    inner join tbbestemtoetscriteria
	on (tbomgvergbestemtoets.dnkeybestemtoetscrit = tbbestemtoetscriteria.dnkey)
    inner join tbomgvergunning
	on (tbomgvergbestemtoets.dnkeyomgvergunningen = tbomgvergunning.dnkey)
    inner join tbperceeladressen
	on (tbomgvergunning.dnkeyperceeladressen = tbperceeladressen.dnkey)    
    left outer join vwbplgeldend
	on (tbperceeladressen.dnkeygeldendbestemmingsplan = vwbplgeldend.dnkey)
	left outer join vwbplnieuw
	on (tbperceeladressen.dnkeynieuwbestemmingsplan = vwbplnieuw.dnkey)
;
create or replace view vwfrmomsmeldingen as 
select 
  tbomsinstallaties.dnkey dnkeyomsinstallaties, 
  tbomsinstallaties.dvomsnr,
  tbomsinstallaties.ddaansluitdatum,
  tbomsinstallaties.dvinstalnr,
  tbomsinstallaties.dvcontnaam,
  tbomsinstallaties.dvcontacttel,
  tbomsinstallaties.dvlokatieoms,
  vwfrmmilinrichtingen.dnkeymilinrichtingen,
  vwfrmmilinrichtingen.dvinrichtingnaam,
  vwfrmmilinrichtingen.dvinrichtingnr,
  vwfrmmilinrichtingen.dvobjadres,
  vwfrmmilinrichtingen.dvobjpostcode,
  vwfrmmilinrichtingen.dvobjplaats,
  tbomsmeldingen.dnkey dnkeyomsmeldingen,
  tbomsmeldingen.dddatumtijd,
  tbomsmeldingen.dvopmerking,
  tbomssrtmelding.dvsrtmelding,
  tbomssrtmelder.dvsrtmelder,
  tbomsoorzaak.dvoorzaak,
  tbomswvu.dvuitrukwijze,
  tbomskwal.dvkwalificatie,
  tbomsinstallaties.dvopmerking dvinstopmerking,
  tbomsmeldingen.dvmeldergroep
from
  tbomsmeldingen
  inner join tbomsinstallaties
  on (tbomsmeldingen.dnkeyomsinstallaties = tbomsinstallaties.dnkey)
  inner join vwfrmmilinrichtingen
  on (tbomsinstallaties.dnkeymilinrichtingen = vwfrmmilinrichtingen.dnkeymilinrichtingen)
  inner join tbomssrtmelding
  on (tbomsmeldingen.dnkeyomssrtmelding = tbomssrtmelding.dnkey)
  inner join tbomssrtmelder
  on (tbomsmeldingen.dnkeyomssrtmelder = tbomssrtmelder.dnkey)
  inner join tbomsoorzaak
  on (tbomsmeldingen.dnkeyomsoorzaak = tbomsoorzaak.dnkey)
  inner join tbomswvu
  on (tbomsmeldingen.dnkeyomswvu = tbomswvu.dnkey)
  inner join tbomskwal
  on (tbomsmeldingen.dnkeyomskwal = tbomskwal.dnkey) 
;
create or replace view vwlokcritlstitems as 
select 
  tblokcrititems.dnkey dnkeylokcrititems,
  tblokcrititems.dvcriterium,
  tblokcrititems.dnpunten,
  tblokcritkoppel.dnkey dnkeylokcritkoppel,
  tblokcritkoppel.dlvoldoet,  
  tblokcritlijsten.dnkey dnkeylokcritlijsten
from 
  tblokcritkoppel
  inner join tblokcrititems
  on (tblokcritkoppel.dnkeylokcrititems = tblokcrititems.dnkey)
  inner join tblokcritlijsten 
  on (tblokcritkoppel.dnkeylokcritlijsten = tblokcritlijsten.dnkey)
;
create or replace view vwlokcritlstpunten as 
select 
	tblokcritlijsten.dnkey dnkeylokcritlijsten,
	sum(vwlokcritlstitems.dnpunten) dnpuntentotaal
from 
 tblokcritlijsten
 inner join vwlokcritlstitems
 on (tblokcritlijsten.dnkey = vwlokcritlstitems.dnkeylokcritlijsten)
where 
vwlokcritlstitems.dlvoldoet = 'T' 
group by tblokcritlijsten.dnkey
;
create or replace view vwfrmlokcritlijsten as 
select 
  tblokcritlijsten.dnkey dnkeylokcritlijsten,
  tblokcritlijsten.ddaangemaakt,
  tblokcritlijsten.ddgewijzigd,
  tblokcritlijsten.ddvervallen,
  tblokcritlijsten.dnkeymilinrichtingen,
  tblokcritlijsten.dvcodemedewerkers,
  tblokcritlijsten.dvomschrijving,
  vwlokcritlstpunten.dnpuntentotaal,
  vwfrmmilinrichtingen.dvinrichtingnaam,
  vwfrmmilinrichtingen.dvobjadres,
  vwfrmmilinrichtingen.dvobjplaats,
  cast(case when tbmedewerkers.dvvoorletters is not null then tbmedewerkers.dvomschrijving || ',' || tbmedewerkers.dvvoorletters || ' ' || tbmedewerkers.dvtussenvoegsel
  else tbmedewerkers.dvomschrijving
  end as character varying(62)) as dvmwnaam
from 
  tblokcritlijsten
  left outer join vwlokcritlstpunten
  on (tblokcritlijsten.dnkey = vwlokcritlstpunten.dnkeylokcritlijsten)
  left outer join tbmedewerkers
  on (tblokcritlijsten.dvcodemedewerkers = tbmedewerkers.dvcode)
  inner join vwfrmmilinrichtingen
  on (tblokcritlijsten.dnkeymilinrichtingen = vwfrmmilinrichtingen.dnkeymilinrichtingen)
;
create or replace view vwavpwagens as 
select 
  tbwagens.dnkey dnkeywagens,
  tbwagens.dvwagen,
  tbavpkopwagens.dnkey dnkeyavpkopwagens,
  tbaanvalsplannen.dnkey dnkeyaanvalsplannen
from 
  tbavpkopwagens
  inner join tbwagens
  on (tbavpkopwagens.dnkeywagens = tbwagens.dnkey)
  inner join tbaanvalsplannen
  on (tbavpkopwagens.dnkeyaanvalsplannen = tbaanvalsplannen.dnkey)
;
create or replace view vwfrmaanvalsplannen as 
select 
  a.dnkey dnkeyaanvalsplannen,
  a.dnkeylokcritlijsten,   
  a.dnkeymilinrichtingen,
  a.dvcodemedewerkers,
  a.ddaangemaakt,		
  a.dvvergaanleiding,     	  
  a.dvalphanr,  	
  a.dltekaanwezig, 
  a.dvtekaangeleverd, 
  a.ddtekdatum,
  a.ddtekopldatum,
  a.dlkrtaanwezig, 
  a.ddkrtgemaakt,
  a.dvkrtgemdoor,
  a.ddtoetsing,
  a.ddakkoord,
  a.ddgeplaatst,
  a.dnversienr,
  a.dvopmerking, 
  a.dvmemo,  
  a.ddvervallen,
  a.ddrappel, 	
  a.dvsoort,  
  e.dvinrichtingnaam,
  e.dvobjadres,
  e.dvobjplaats,
  cast(case when d.dvvoorletters is not null then d.dvomschrijving || ',' || d.dvvoorletters || ' ' || d.dvtussenvoegsel
  else d.dvomschrijving
  end as character varying(62)) as dvmwnaam,
  b.dvomschrijving dvlokcritlijstnaam,
  b.ddgewijzigd ddlokcritlijstmutdatum,
  c.dnpuntentotaal,
  a.dvcodetekenaar,
  cast(case when f.dvvoorletters is not null then f.dvomschrijving || ',' || f.dvvoorletters || ' ' || f.dvtussenvoegsel
  else f.dvomschrijving
  end as character varying(62)) as dvmwtekenaarnaam
  from tbaanvalsplannen a
      inner join tblokcritlijsten b
      on (a.dnkeylokcritlijsten = b.dnkey)
	  left outer join vwlokcritlstpunten c
      on (b.dnkey = c.dnkeylokcritlijsten)
      left outer join tbmedewerkers d
      on (a.dvcodemedewerkers = d.dvcode)
	  left outer join tbmedewerkers f
      on (a.dvcodetekenaar = f.dvcode)
      inner join vwfrmmilinrichtingen e
      on (a.dnkeymilinrichtingen = e.dnkeymilinrichtingen)
;
create or replace view vwavp_behandelaar as
select
  tbaanvalsplannen.ddrappel,
  tbaanvalsplannen.ddakkoord,
  tbmilinrichtingen.dvinrichtingnaam dvomschrijving,
  tbaanvalsplannen.dnkeymilinrichtingen dnkeyvergunning,
  tbaanvalsplannen.dvcodemedewerkers dvcodemedewerker,
  cast(case when dvsoort = 'A' then 'Aanvalsplan ' else 'Bereikbaarheidskaart ' 
  end || tbaanvalsplannen.dvalphanr as character varying(61)) as dvsoort,
  tbmilinrichtingen.dvinrichtingnr dvzaakcode,
  cast('plaatsen/accorderen' as character varying(19)) as dvtype,
  tbopenbareruimte.dvopruimtenaam dvadres,
  tbperceeladressen.dvhuisnummer dvhuisnr,
  tbwoonplaats.dvwoonplaatsnaam dvkern,
  cast('n.v.t.' as char(6)) as dvbestemplan,
  cast('n.v.t.' as char(6)) as dvaanvrager
from
  tbaanvalsplannen 
  inner join tbmilinrichtingen
  on (tbaanvalsplannen.dnkeymilinrichtingen = tbmilinrichtingen.dnkey)
  inner join tbperceeladressen
  on (tbmilinrichtingen.dnkeyperceeladressen = tbperceeladressen.dnkey)
  inner join tbopenbareruimte
  on (tbperceeladressen.dnkeyopenbruimte = tbopenbareruimte.dnkey)
  inner join tbwoonplaats
  on (tbopenbareruimte.dnkeywoonplaats = tbwoonplaats.dnkey)
 where
  tbaanvalsplannen.ddrappel is not null and
  tbaanvalsplannen.ddakkoord is null and
  tbaanvalsplannen.ddvervallen is null 
union  
select
  tbaanvalsplannen.ddkrtgemaakt,
  tbaanvalsplannen.ddgeplaatst,
  tbmilinrichtingen.dvinrichtingnaam dvomschrijving,
  tbaanvalsplannen.dnkeymilinrichtingen dnkeyvergunning,
  tbaanvalsplannen.dvcodetekenaar dvcodemedewerker,
  cast(case when dvsoort = 'A' then 'Aanvalsplan ' else 'Bereikbaarheidskaart ' 
  end || tbaanvalsplannen.dvalphanr as character varying(61)) as dvsoort,
  tbmilinrichtingen.dvinrichtingnr dvzaakcode,
  cast('Kaart maken' as character varying(19)) as dvtype,
  tbopenbareruimte.dvopruimtenaam dvadres,
  tbperceeladressen.dvhuisnummer dvhuisnr,
  tbwoonplaats.dvwoonplaatsnaam dvkern,
  cast('n.v.t.' as char(6)) as dvbestemplan,
  cast('n.v.t.' as char(6)) as dvaanvrager
  from
  tbaanvalsplannen 
  inner join tbmilinrichtingen
  on (tbaanvalsplannen.dnkeymilinrichtingen = tbmilinrichtingen.dnkey)
  inner join tbperceeladressen
  on (tbmilinrichtingen.dnkeyperceeladressen = tbperceeladressen.dnkey)
  inner join tbopenbareruimte
  on (tbperceeladressen.dnkeyopenbruimte = tbopenbareruimte.dnkey)
  inner join tbwoonplaats
  on (tbopenbareruimte.dnkeywoonplaats = tbwoonplaats.dnkey)
 where
  tbaanvalsplannen.dlkrtaanwezig = 'T' and
  tbaanvalsplannen.dvcodetekenaar is not null and
  tbaanvalsplannen.ddkrtgemaakt is not null and
  tbaanvalsplannen.ddgeplaatst is null and
  tbaanvalsplannen.ddvervallen is null 
;
create or replace view vwinrichtingpreparaties as
select
  cast('W' as char(1)) as dvmodule,
  cast('V' as char(1)) as dvstatus,  
  c.dnkey dnkeyvergunning,
  c.dvzaakcode,
  c.ddbesluitdatum dddatum,
  c.dvaanvraagnaam  dvomschrijving,
  c.dnkeymilinrichtingen,
  a.dvpreparatie
from
  tbomgpreparaties b
  inner join tbpreparaties a
  on (b.dnkeypreparaties = a.dnkey)
  inner join tbomgvergunning c
  on (b.dnkeyomgvergunningen = c.dnkey)
  inner join tbmilinrichtingen d
  on (c.dnkeymilinrichtingen = d.dnkey)
  inner join tbaardbesluit e
  on (c.dvcodeaardbesluit = e.dvcode)
 where 
  c.ddbesluitdatum is not null
  and
  e.dlverleend = 'T'
union
select
  cast('W' as char(1)) as dvmodule,
  cast('L' as char(1)) as dvstatus,  
  c.dnkey dnkeyvergunning,
  c.dvzaakcode,
  c.ddaanvraag dddatum,
  c.dvaanvraagnaam  dvomschrijving,
  c.dnkeymilinrichtingen,
  a.dvpreparatie
from
  tbomgpreparaties b
  inner join tbpreparaties a
  on (b.dnkeypreparaties = a.dnkey)
  inner join tbomgvergunning c
  on (b.dnkeyomgvergunningen = c.dnkey)
  inner join tbmilinrichtingen d
  on (c.dnkeymilinrichtingen = d.dnkey)
 where
  c.ddbesluitdatum is null
  and
  c.ddingetrokken is null
union
select
  cast('E' as char(1)) as dvmodule,
  cast('V' as char(1)) as dvstatus,  
  c.dnkey dnkeyvergunning,
  c.dvvergnummer dvzaakcode,
  c.ddbesluitdatum dddatum,
  f.dvomschrijving,
  c.dnkeymilinrichtingen,
  a.dvpreparatie
from
  tbomgpreparaties b
  inner join tbpreparaties a
  on (b.dnkeypreparaties = a.dnkey)
  inner join tbmilvergunningen c
  on (b.dnkeymilvergunningen = c.dnkey)
  inner join tbmilinrichtingen d
  on (c.dnkeymilinrichtingen = d.dnkey)
  inner join tbaardbesluit e
  on (c.dvcodeaardbesluit = e.dvcode)
  inner join tbsoortmilverg f
  on (c.dnkeysoortmilverg = f.dnkey)
 where 
  c.ddbesluitdatum is not null
  and
  e.dlverleend = 'T'
union
select
  cast('E' as char(1)) as dvmodule,
  cast('L' as char(1)) as dvstatus,  
  c.dnkey dnkeyvergunning,
  c.dvvergnummer dvzaakcode,
  c.ddontvangstdatum dddatum,
  f.dvomschrijving,
  c.dnkeymilinrichtingen,
  a.dvpreparatie
from
  tbomgpreparaties b
  inner join tbpreparaties a
  on (b.dnkeypreparaties = a.dnkey)
  inner join tbmilvergunningen c
  on (b.dnkeymilvergunningen = c.dnkey)
  inner join tbmilinrichtingen d
  on (c.dnkeymilinrichtingen = d.dnkey)
  inner join tbsoortmilverg f
  on (c.dnkeysoortmilverg = f.dnkey)
 where 
  c.ddbesluitdatum is null
  and
  c.ddingetrokken is null
union
select
  cast('B' as char(1)) as dvmodule,
  cast('V' as char(1)) as dvstatus,
  c.dnkey dnkeyvergunning,
  c.dvbouwnr dvzaakcode,
  c.ddbesluitdatum dddatum,
  f.dvomschrijving,
  c.dnkeymilinrichtingen,
  a.dvpreparatie
from
  tbomgpreparaties b
  inner join tbpreparaties a
  on (b.dnkeypreparaties = a.dnkey)
  inner join tbbouwvergunningen c
  on (b.dnkeybouwvergunningen = c.dnkey)
  inner join tbmilinrichtingen d
  on (c.dnkeymilinrichtingen = d.dnkey)
  inner join tbaardbesluit e
  on (c.dvcodeaardbesluit = e.dvcode)
  inner join tbsoortplan f
  on (c.dnsoortplan = f.dnkey)
 where 
  c.ddbesluitdatum is not null
  and
  e.dlverleend = 'T'
union
select
  cast('B' as char(1)) as dvmodule,
  cast('L' as char(1)) as dvstatus,
  c.dnkey dnkeyvergunning,
  c.dvbouwnr dvzaakcode,
  c.ddontvangstdatum dddatum,
  f.dvomschrijving,
  c.dnkeymilinrichtingen,
  a.dvpreparatie
from
  tbomgpreparaties b
  inner join tbpreparaties a
  on (b.dnkeypreparaties = a.dnkey)
  inner join tbbouwvergunningen c
  on (b.dnkeybouwvergunningen = c.dnkey)
  inner join tbmilinrichtingen d
  on (c.dnkeymilinrichtingen = d.dnkey)
  inner join tbsoortplan f
  on (c.dnsoortplan = f.dnkey)
 where 
  c.ddbesluitdatum is null
  and
  c.ddingetrokken is null
order by dvstatus asc,dddatum desc    
; 
create or replace view vwfrmomsinstallaties as 
select 
  tbomsinstallaties.dnkey dnkeyomsinstallaties, 
  tbomsinstallaties.dvomsnr,
  vwfrmmilinrichtingen.dnkeymilinrichtingen,
  vwfrmmilinrichtingen.dvinrichtingnaam,
  vwfrmmilinrichtingen.dvinrichtingnr,
  vwfrmmilinrichtingen.dvobjadres,
  vwfrmmilinrichtingen.dvobjpostcode,
  vwfrmmilinrichtingen.dvobjplaats,
  tbomsinstallaties.dvinstalnr dvcriterium,
  tbomsinstallaties.dvlokatieoms,
  tbomsinstallaties.ddvervaldatum,
  tbomsinstallaties.ddaansluitdatum,
  tbomsinstallaties.dvcontnaam,
  tbomsinstallaties.dvcontacttel,
  tbomsinstallaties.dvopmerking
from
  tbomsinstallaties
  inner join vwfrmmilinrichtingen
  on (tbomsinstallaties.dnkeymilinrichtingen = vwfrmmilinrichtingen.dnkeymilinrichtingen)
;
create or replace view vwinrichtinginstallaties as
select
  cast('W' as char(1)) as dvmodule,
  cast('V' as char(1)) as dvstatus,  
  c.dnkey dnkeyvergunning,
  c.dvzaakcode,
  c.ddbesluitdatum dddatum,
  c.dvaanvraagnaam  dvomschrijving,
  c.dnkeymilinrichtingen,
  a.dvinstallatie
from
  tbomgbwinstallaties b
  inner join tbbwinstallaties a
  on (b.dnkeybwinstallaties = a.dnkey)
  inner join tbomgvergunning c
  on (b.dnkeyomgvergunningen = c.dnkey)
  inner join tbmilinrichtingen d
  on (c.dnkeymilinrichtingen = d.dnkey)
  inner join tbaardbesluit e
  on (c.dvcodeaardbesluit = e.dvcode)
 where 
  c.ddbesluitdatum is not null
  and
  e.dlverleend = 'T'
union
select
  cast('W' as char(1)) as dvmodule,
  cast('L' as char(1)) as dvstatus,  
  c.dnkey dnkeyvergunning,
  c.dvzaakcode,
  c.ddaanvraag dddatum,
  c.dvaanvraagnaam  dvomschrijving,
  c.dnkeymilinrichtingen,
  a.dvinstallatie
from
  tbomgbwinstallaties b
  inner join tbbwinstallaties a
  on (b.dnkeybwinstallaties = a.dnkey)
  inner join tbomgvergunning c
  on (b.dnkeyomgvergunningen = c.dnkey)
  inner join tbmilinrichtingen d
  on (c.dnkeymilinrichtingen = d.dnkey)
 where 
  c.ddbesluitdatum is null
  and
  c.ddingetrokken is null
union
select
  cast('E' as char(1)) as dvmodule,
  cast('V' as char(1)) as dvstatus,  
  c.dnkey dnkeyvergunning,
  c.dvvergnummer dvzaakcode,
  c.ddbesluitdatum dddatum,
  f.dvomschrijving,
  c.dnkeymilinrichtingen,
  a.dvinstallatie
from
  tbomgbwinstallaties b
  inner join tbbwinstallaties a
  on (b.dnkeybwinstallaties = a.dnkey)
  inner join tbmilvergunningen c
  on (b.dnkeymilvergunningen = c.dnkey)
  inner join tbmilinrichtingen d
  on (c.dnkeymilinrichtingen = d.dnkey)
  inner join tbaardbesluit e
  on (c.dvcodeaardbesluit = e.dvcode)
  inner join tbsoortmilverg f
  on (c.dnkeysoortmilverg = f.dnkey)
 where 
  c.ddbesluitdatum is not null
  and
  e.dlverleend = 'T'
union
select
  cast('E' as char(1)) as dvmodule,
  cast('L' as char(1)) as dvstatus,  
  c.dnkey dnkeyvergunning,
  c.dvvergnummer dvzaakcode,
  c.ddontvangstdatum dddatum,
  f.dvomschrijving,
  c.dnkeymilinrichtingen,
  a.dvinstallatie
from
  tbomgbwinstallaties b
  inner join tbbwinstallaties a
  on (b.dnkeybwinstallaties = a.dnkey)
  inner join tbmilvergunningen c
  on (b.dnkeymilvergunningen = c.dnkey)
  inner join tbmilinrichtingen d
  on (c.dnkeymilinrichtingen = d.dnkey)
  inner join tbsoortmilverg f
  on (c.dnkeysoortmilverg = f.dnkey)
 where 
  c.ddbesluitdatum is null
  and
  c.ddingetrokken is null
union
select
  cast('B' as char(1)) as dvmodule,
  cast('V' as char(1)) as dvstatus,  
  c.dnkey dnkeyvergunning,
  c.dvbouwnr dvzaakcode,
  c.ddbesluitdatum dddatum,
  f.dvomschrijving,
  c.dnkeymilinrichtingen,
  a.dvinstallatie
from
  tbomgbwinstallaties b
  inner join tbbwinstallaties a
  on (b.dnkeybwinstallaties = a.dnkey)
  inner join tbbouwvergunningen c
  on (b.dnkeybouwvergunningen = c.dnkey)
  inner join tbmilinrichtingen d
  on (c.dnkeymilinrichtingen = d.dnkey)
  inner join tbaardbesluit e
  on (c.dvcodeaardbesluit = e.dvcode)
  inner join tbsoortplan f
  on (c.dnsoortplan = f.dnkey)
 where 
  c.ddbesluitdatum is not null
  and
  e.dlverleend = 'T'
union
select
  cast('B' as char(1)) as dvmodule,
  cast('L' as char(1)) as dvstatus,  
  c.dnkey dnkeyvergunning,
  c.dvbouwnr dvzaakcode,
  c.ddontvangstdatum dddatum,
  f.dvomschrijving,
  c.dnkeymilinrichtingen,
  a.dvinstallatie
from
  tbomgbwinstallaties b
  inner join tbbwinstallaties a
  on (b.dnkeybwinstallaties = a.dnkey) 
  inner join tbbouwvergunningen c
  on (b.dnkeybouwvergunningen = c.dnkey)
  inner join tbmilinrichtingen d
  on (c.dnkeymilinrichtingen = d.dnkey)
  inner join tbsoortplan f
  on (c.dnsoortplan = f.dnkey)
 where 
  c.ddbesluitdatum is null
  and
  c.ddingetrokken is null
order by dvstatus asc,dddatum desc    
; 
create or replace view vwmilaantopentermijnen as
select
   sum(1) aantalopenterm,
   a.dnkeymilvergunningen
from
  tbtermijnbewstappen a
  inner join tbmilvergunningen b
  on (a.dnkeymilvergunningen = b.dnkey)
where
  b.ddblokkering is null
  and
  a.ddafgehandeld is null
  and
  a.dlingebruik = 'T'
  and
  (a.dvvoorwaardejn = 'N'
   or
   a.dnvoorwaarde > 0)
group by
  a.dnkeymilvergunningen
;
create or replace view vwmilaantopenadviezen as
select
   sum(1) aantalopenadv,
   a.dnkeymilvergunningen
from
  tbadviezen a
  inner join tbmilvergunningen b
  on (a.dnkeymilvergunningen = b.dnkey)
where
  b.ddblokkering is null
  and
  a.ddadviesdatum is null and
  a.ddvervallen is null
group by
  a.dnkeymilvergunningen
;
create or replace view vwhoraantopentermijnen as
select
   sum(1) aantalopenterm,
   a.dnkeyhorecavergunningen
from
  tbtermijnbewstappen a
  inner join tbhorecavergunningen b
  on (a.dnkeyhorecavergunningen = b.dnkey)
where
  b.ddblokkering is null
  and
  a.ddafgehandeld is null
  and
  a.dlingebruik = 'T'
  and
  (a.dvvoorwaardejn = 'N'
   or
   a.dnvoorwaarde > 0)
group by
  a.dnkeyhorecavergunningen
;
create or replace view vwhoraantopenadviezen as
select
   sum(1) aantalopenadv,
   a.dnkeyhorecavergunningen
from
  tbadviezen a
  inner join tbhorecavergunningen b
  on (a.dnkeyhorecavergunningen = b.dnkey)
where
  b.ddblokkering is null
  and
  a.ddadviesdatum is null and
  a.ddvervallen is null
group by
  a.dnkeyhorecavergunningen
;
create or replace view vwomgdatumaanvgegevens as   
select
dnkeyomgvergunningen,
max(dddeadline) dddatumaanvgegevens
from tbtermijnbewstappen 
where dlingebruik = 'T' 
and dlontvankelijkheid = 'T' 
and dnkeyomgvergunningen is not null
group by dnkeyomgvergunningen
;
create or replace view vwomgvrijeopmerk as   
select
dnkeyomgvergunningen,
cast (max(dvstring) as character varying (200)) as dvvrijeopmerking
from tbvrijevelden
where 
upper(dvomschrijving) = 'OPMERKING'
and dnkeyomgvergunningen is not null
and dvstring is not null
group by dnkeyomgvergunningen
;
create or replace view vwomgbouwkosten as   
select
dnkeyomgvergunningen,
cast(sum(
case
when sign(dflegesherzbasis)= 1 then dflegesherzbasis
when sign(dflegesvastgbasis)= 1 then dflegesvastgbasis
else dflegesopgbasis
end) as float) as dfbouwkosten
from tbtoestemmingen 
where dlw011 = 'T' 
and ddingetrokken is null
group by dnkeyomgvergunningen
;
create or replace view vwomgvastgkosten as   
select
dnkeyomgvergunningen,
cast(sum(case when sign(dflegesherzbasis)= 1 then dflegesherzbasis
          else dflegesvastgbasis
          end) as float) as dfvastgkosten
from tbtoestemmingen 
where ddingetrokken is null
group by dnkeyomgvergunningen
;
create or replace view vwomgstringadvin as
select 
  dnkeyomgvergunningen,
  fnomgget_adviesin(dnkeyomgvergunningen) as dvadviesin
from
    tbadviezen
  where
    dnkeyomgvergunningen is not null
    and
    ddadviesdatum is not null
    and
    ddvervallen is null
group by
  dnkeyomgvergunningen
;
create or replace view vwomgstringadvuit as
select 
  dnkeyomgvergunningen,
  fnomgget_adviesuit(dnkeyomgvergunningen) as dvadviesuit
from
    tbadviezen
  where
    dnkeyomgvergunningen is not null
    and
    ddadviesdatum is null
    and
    ddvervallen is null
group by
  dnkeyomgvergunningen
;
create or replace view vwfrmomgorkestrator_lopend as 
select
  a.dnkey,
  a.ddfataledatum,
  r.dnfatwaarschuwper,
  a.ddaanvraag,
  a.dvzaakcode,
  b.dvibbcodemw,
  cast(case when g.dnkeyomgheeftterm is NULL then 'F' else 'T' 
  end as character varying(1)) as dvheefttermijnen,
  cast(case when h.dnkeyomgheeftadv is null then 'F' else 'T' 
  end as character varying(1)) as dvheeftadviezen,
  cast(case when i.dnkeyomgheeftolo is null then 'F' else 'T' 
  end as character varying(1)) as dvheeftolos,
  c.ddtrmmindeadline,
  cast(d.aantalopenterm as float) as aantalopenterm,
  e.ddadvmindeadline,
  cast(f.aantalopenadv as float) as aantalopenadv,
  cast(j.aantalopenolo as float) as aantalopenolo,
  r.dvomschrijving as dvsoortaanvraag,
  a.dvaanvraagnaam,
  s.dvopruimtenaam dvobjstraat,
  s.dvobjhuisnr,
  s.dvwoonplaatsnaam dvobjplaats,
  r.dnadvwaarschuwper,
  r.dnprcwaarschuwper,
  a.dvcodeaccountman,
  cast(case when k.ddkrittrmprocnaam is null then null else k.ddkrittrmprocnaam || ' : '|| k.dvkrittrmomschrijving || ' (' || k.ddkrittrmdeadline ||')'
  end as character varying(94)) as dvactueleprocesstap,
  l.dddatumaanvgegevens,
  m.dvvrijeopmerking,
  n.dfbouwkosten,
  cast(o.dvadviesuit as character varying(4000)) as dvadviesuit,
  cast(p.dvadviesin as character varying(4000)) as dvadviesin,
  q.dfvastgkosten,
  a.dvdmszaakcode,
  a.dvlvoaanvraagnr,
  cast(case when a.ddfataledatum is null then null
       when fn_vandaag(0) > a.ddfataledatum then 'rood'
       when a.ddfataledatum  <= fn_datumplus(fn_vandaag(0),a.dnfatwaarschuwper) then 'oranje'
	   else 'wit'
	   end as character varying(6)) as dvzaakgevaar,
  cast(case when h.dnkeyomgheeftadv is null then null
	   when f.aantalopenadv is null then 'groen'
       when fn_vandaag(0) > e.ddadvmindeadline then 'rood'
       when e.ddadvmindeadline  <= fn_datumplus(fn_vandaag(0),a.dnadvwaarschuwper) then 'oranje'
	   else 'wit'
	   end as character varying(6)) as dvadviesgevaar,
  cast(case when g.dnkeyomgheeftterm is null then null
		when d.aantalopenterm is null then 'groen'
       when fn_vandaag(0) > c.ddtrmmindeadline then 'rood'
       when c.ddtrmmindeadline  <= fn_datumplus(fn_vandaag(0),a.dnprcwaarschuwper) then 'oranje'
	   else 'wit'
	   end as character varying(6)) as dvprocesgevaar,
   cast(case when i.dnkeyomgheeftolo  is null then null
       when j.aantalopenolo is null then 'groen'
       else 'rood'
	   end as character varying(6)) as dvologevaar,
 s.dvgemeenteid
from
  vwomgvergobjstraat a
  left outer join vwfrmactiefinbehbij b
  on (a.dnkey = b.dnkeyomgvergunningen)
  left outer join vwomgminmaxdeadline c
  on (a.dnkey = c.dnkeyomgvergunningen)
  left outer join vwomgaantopentermijnen d
  on (a.dnkey = d.dnkeyomgvergunningen)
  left outer join vwomgminmaxadviezen e
  on (a.dnkey = e.dnkeyomgvergunningen)
  left outer join vwomgaantopenadviezen f
  on (a.dnkey = f.dnkeyomgvergunningen)
  left outer join vwomgheefttermijnen g
  on (a.dnkey = g.dnkeyomgheeftterm)
  left outer join vwomgheeftadviezen h
  on (a.dnkey = h.dnkeyomgheeftadv)
  left outer join vwomgheeftolos i
  on (a.dnkey = i.dnkeyomgheeftolo)
  left outer join vwomgaantopenolos j
  on (a.dnkey = j.dnkeyomgvergunningen)
  left outer join vwfrmomgkrittermijnen k
  on (a.dnkey = k.dnkeyomgvergunningen)
  left outer join vwomgdatumaanvgegevens l
  on (a.dnkey = l.dnkeyomgvergunningen)
  left outer join vwomgvrijeopmerk m
  on (a.dnkey = m.dnkeyomgvergunningen)
  left outer join vwomgbouwkosten n
  on (a.dnkey = n.dnkeyomgvergunningen)
  left outer join vwomgstringadvuit o
  on (a.dnkey = o.dnkeyomgvergunningen)
  left outer join vwomgstringadvin p
  on (a.dnkey = p.dnkeyomgvergunningen)
  left outer join vwomgvastgkosten q
  on (a.dnkey = q.dnkeyomgvergunningen)
  inner join tbsoortomgverg r
  on (a.dnkeysoortomgverg = r.dnkey)
  inner join vwfrmlokaties s
  on (a.dnkeyperceeladressen = s.dnkeyperceeladressen)
where
  a.ddbesluitdatum is null
  and
  a.ddingetrokken is null
  and
  a.ddblokkering is null
;
create or replace view vwinrichtinggebouwen as 
select
  cast('W' as char(1)) as dvmodule,
  cast('V' as char(1)) as dvstatus,  
  c.dnkey dnkeyvergunning,
  c.dvzaakcode,
  c.ddbesluitdatum dddatum,
  c.dvaanvraagnaam  dvomschrijving,
  c.dnkeymilinrichtingen,
  f.dvtype dvgebouwtype,
  g.dvspecificatie dvgebouwspec,
  b.dnaantgebrtot,
  b.dnaantgebrvan,
  a.dvcode dvcontrolecode, 
  b.dvwerkzaamheden dvactiviteit
  from
  tbtoestemmingen b
  inner join tbgebouwtype f
  on (b.dnkeygebouwtype = f.dnkey)
  left outer join tbcontrgebouwtype a
  on (f.dnkeycontrgebouwtype = a.dnkey)
  inner join tbomgvergunning c
  on (b.dnkeyomgvergunningen = c.dnkey)
  inner join tbmilinrichtingen d
  on (c.dnkeymilinrichtingen = d.dnkey)
  inner join tbaardbesluit e
  on (c.dvcodeaardbesluit = e.dvcode)
  left outer join tbgebouwspec g
  on (b.dnkeygebouwspec = g.dnkey)
 where 
  c.ddbesluitdatum is not null
  and
  e.dlverleend = 'T'
union
select
  cast('W' as char(1)) as dvmodule,
  cast('L' as char(1)) as dvstatus,  
  c.dnkey dnkeyvergunning,
  c.dvzaakcode,
  c.ddaanvraag dddatum,
  c.dvaanvraagnaam  dvomschrijving,
  c.dnkeymilinrichtingen,
  f.dvtype dvgebouwtype,
  g.dvspecificatie dvgebouwspec,
  b.dnaantgebrtot,
  b.dnaantgebrvan,
  a.dvcode dvcontrolecode,
  b.dvwerkzaamheden dvactiviteit  
from
  tbtoestemmingen b
  inner join tbgebouwtype f
  on (b.dnkeygebouwtype = f.dnkey)
  left outer join tbcontrgebouwtype a
  on (f.dnkeycontrgebouwtype = a.dnkey)
  inner join tbomgvergunning c
  on (b.dnkeyomgvergunningen = c.dnkey)
  inner join tbmilinrichtingen d
  on (c.dnkeymilinrichtingen = d.dnkey)  
  left outer join tbgebouwspec g
  on (b.dnkeygebouwspec = g.dnkey)
 where 
  c.ddbesluitdatum is null
  and
  c.ddingetrokken is null
union
select
  cast('E' as char(1)) as dvmodule,
  cast('V' as char(1)) as dvstatus,  
  c.dnkey dnkeyvergunning,
  c.dvvergnummer dvzaakcode,
  c.ddbesluitdatum dddatum,
  f.dvomschrijving,
  c.dnkeymilinrichtingen,
  g.dvtype dvgebouwtype,
  h.dvspecificatie dvgebouwspec,
  b.dnaantgebrtot,
  b.dnaantgebrvan,
  a.dvcode dvcontrolecode, 
  c.dvpublbouwwerk dvactiviteit
from
  tbgebouwen b
  inner join tbgebouwtype g
  on (b.dnkeygebouwtype = g.dnkey)
  left outer join tbcontrgebouwtype a
  on (g.dnkeycontrgebouwtype = a.dnkey)
  inner join tbmilvergunningen c
  on (b.dnkeymilvergunningen = c.dnkey)
  inner join tbmilinrichtingen d
  on (c.dnkeymilinrichtingen = d.dnkey)
  inner join tbaardbesluit e
  on (c.dvcodeaardbesluit = e.dvcode)
  inner join tbsoortmilverg f
  on (c.dnkeysoortmilverg = f.dnkey)
  left outer join tbgebouwspec h
  on (b.dnkeygebouwspec = h.dnkey)
 where 
  c.ddbesluitdatum is not null
  and
  e.dlverleend = 'T'
union
select
  cast('E' as char(1)) as dvmodule,
  cast('L' as char(1)) as dvstatus,  
  c.dnkey dnkeyvergunning,
  c.dvvergnummer dvzaakcode,
  c.ddbesluitdatum dddatum,
  f.dvomschrijving,
  c.dnkeymilinrichtingen,
  g.dvtype dvgebouwtype,
  h.dvspecificatie dvgebouwspec,
  b.dnaantgebrtot,
  b.dnaantgebrvan,
  a.dvcode dvcontrolecode,
  c.dvpublbouwwerk dvactiviteit  
from
  tbgebouwen b
  inner join tbgebouwtype g
  on (b.dnkeygebouwtype = g.dnkey)
  left outer join tbcontrgebouwtype a
  on (g.dnkeycontrgebouwtype = a.dnkey)
  inner join tbmilvergunningen c
  on (b.dnkeymilvergunningen = c.dnkey)
  inner join tbmilinrichtingen d
  on (c.dnkeymilinrichtingen = d.dnkey)
  inner join tbsoortmilverg f
  on (c.dnkeysoortmilverg = f.dnkey)
  left outer join tbgebouwspec h
  on (b.dnkeygebouwspec = h.dnkey)
 where 
  c.ddbesluitdatum is null
  and
  c.ddingetrokken is null
union
select
  cast('B' as char(1)) as dvmodule,
  cast('V' as char(1)) as dvstatus,
  c.dnkey dnkeyvergunning,
  c.dvbouwnr dvzaakcode,
  c.ddbesluitdatum dddatum,
  f.dvomschrijving,
  c.dnkeymilinrichtingen,
  g.dvtype dvgebouwtype,
  h.dvspecificatie dvgebouwspec,
  b.dnaantgebrtot,
  b.dnaantgebrvan,
  a.dvcode dvcontrolecode,
  c.dvpublbouwwerk dvactiviteit 
from
  tbgebouwen b
  inner join tbgebouwtype g
  on (b.dnkeygebouwtype = g.dnkey)
  left outer join tbcontrgebouwtype a
  on (g.dnkeycontrgebouwtype = a.dnkey)
  inner join tbbouwvergunningen c
  on (b.dnkeybouwvergunningen = c.dnkey)
  inner join tbmilinrichtingen d
  on (c.dnkeymilinrichtingen = d.dnkey)
  inner join tbaardbesluit e
  on (c.dvcodeaardbesluit = e.dvcode)
  inner join tbsoortplan f
  on (c.dnsoortplan = f.dnkey)
  left outer join tbgebouwspec h
  on (b.dnkeygebouwspec = h.dnkey)
 where 
  c.ddbesluitdatum is not null
  and
  e.dlverleend = 'T'
union
select
  cast('B' as char(1)) as dvmodule,
  cast('L' as char(1)) as dvstatus,
  c.dnkey dnkeyvergunning,
  c.dvbouwnr dvzaakcode,
  c.ddbesluitdatum dddatum,
  f.dvomschrijving,
  c.dnkeymilinrichtingen,
  g.dvtype dvgebouwtype,
  h.dvspecificatie dvgebouwspec,
  b.dnaantgebrtot,
  b.dnaantgebrvan,
  a.dvcode dvcontrolecode,
  c.dvpublbouwwerk dvactiviteit   
from
  tbgebouwen b
  inner join tbgebouwtype g
  on (b.dnkeygebouwtype = g.dnkey)
  left outer join tbcontrgebouwtype a
  on (g.dnkeycontrgebouwtype = a.dnkey)
  inner join tbbouwvergunningen c
  on (b.dnkeybouwvergunningen = c.dnkey)
  inner join tbmilinrichtingen d
  on (c.dnkeymilinrichtingen = d.dnkey)
  inner join tbsoortplan f
  on (c.dnsoortplan = f.dnkey)
  left outer join tbgebouwspec h
  on (b.dnkeygebouwspec = h.dnkey)
 where 
  c.ddbesluitdatum is null
  and
  c.ddingetrokken is null
order by dvstatus asc,dddatum desc    
; 
create or replace view vwinrichtingaantek as 
select
  cast('E' as char(1)) as dvmodule,
  cast('V' as char(1)) as dvstatus,  
  c.dnkey dnkeyvergunning,
  c.dvvergnummer dvzaakcode,
  a.dddatum, 
  f.dvomschrijving,
  c.dnkeymilinrichtingen,
  a.dvmemo, 
  e.dvomschrijving dvaardbesluit
from
  tbbwaantekeningen a
  inner join tbmilvergunningen c
  on (a.dnkeymilvergunningen = c.dnkey)
  inner join tbmilinrichtingen d
  on (c.dnkeymilinrichtingen = d.dnkey)
  inner join tbsoortmilverg f
  on (c.dnkeysoortmilverg = f.dnkey)
  left outer join tbaardbesluit e
  on (c.dvcodeaardbesluit = e.dvcode)
 where 
  (c.ddbesluitdatum is not null or c.ddingetrokken is not null)
union
select
  cast('E' as char(1)) as dvmodule,
  cast('L' as char(1)) as dvstatus,
  c.dnkey dnkeyvergunning,
  c.dvvergnummer dvzaakcode,
  a.dddatum, 
  f.dvomschrijving,
  c.dnkeymilinrichtingen,
  a.dvmemo,
 cast(null as character varying(40)) as dvaardbesluit
from
  tbbwaantekeningen a
  inner join tbmilvergunningen c
  on (a.dnkeymilvergunningen = c.dnkey)
  inner join tbmilinrichtingen d
  on (c.dnkeymilinrichtingen = d.dnkey)
  inner join tbsoortmilverg f
  on (c.dnkeysoortmilverg = f.dnkey)
 where 
  c.ddbesluitdatum is null
  and
  c.ddingetrokken is null
union
select
  cast('B' as char(1)) as dvmodule,
  cast('V' as char(1)) as dvstatus,
  c.dnkey dnkeyvergunning,
  c.dvbouwnr dvzaakcode,
  a.dddatum, 
  f.dvomschrijving,
  c.dnkeymilinrichtingen,
  a.dvmemo, 
  e.dvomschrijving dvaardbesluit
from
  tbbwaantekeningen a
  inner join tbbouwvergunningen c
  on (a.dnkeybouwvergunningen = c.dnkey)
  inner join tbmilinrichtingen d
  on (c.dnkeymilinrichtingen = d.dnkey)
  inner join tbsoortplan f
  on (c.dnsoortplan = f.dnkey)
  left outer join tbaardbesluit e
  on (c.dvcodeaardbesluit = e.dvcode)
 where 
  (c.ddbesluitdatum is not null or c.ddingetrokken is not null)
union
select
  cast('B' as char(1)) as dvmodule,
  cast('L' as char(1)) as dvstatus,  
  c.dnkey dnkeyvergunning,
  c.dvbouwnr dvzaakcode,
  a.dddatum, 
  f.dvomschrijving,
  c.dnkeymilinrichtingen,
  a.dvmemo, 
  cast(null as character varying(40)) as dvaardbesluit
from
  tbbwaantekeningen a
  inner join tbbouwvergunningen c
  on (a.dnkeybouwvergunningen = c.dnkey)
  inner join tbmilinrichtingen d
  on (c.dnkeymilinrichtingen = d.dnkey)
  inner join tbsoortplan f
  on (c.dnsoortplan = f.dnkey)
 where 
  c.ddbesluitdatum is null
  and
  c.ddingetrokken is null
order by dvstatus asc,dddatum desc    
; 
create or replace view vwinrprepjongstedatumverleend as   
select
  max(dddatum) ddjongstedatum,
  dnkeymilinrichtingen
from
vwinrichtingpreparaties 
where
 dvstatus = 'V'
group by dnkeymilinrichtingen
;
create or replace view vwfrminrjongstepreparaties as 
select
  a.dvmodule,
  a.dvstatus,
  a.dnkeyvergunning,
  a.dvzaakcode,
  a.dddatum,
  a.dvomschrijving,
  a.dnkeymilinrichtingen,
  a.dvpreparatie
from
vwinrichtingpreparaties a
inner join vwinrprepjongstedatumverleend b
on (a.dnkeymilinrichtingen = b.dnkeymilinrichtingen)
and (a.dddatum = b.ddjongstedatum)
;
create or replace view vwinrinstjongstedatumverleend as    
select
  max(dddatum) ddjongstedatum,
  dnkeymilinrichtingen
from
vwinrichtinginstallaties 
where
 dvstatus = 'V'
group by dnkeymilinrichtingen
;
create or replace view vwfrminrjongsteinstallaties as 
select
  a.dvmodule,
  a.dvstatus,
  a.dnkeyvergunning,
  a.dvzaakcode,
  a.dddatum,
  a.dvomschrijving,
  a.dnkeymilinrichtingen,
  a.dvinstallatie
from
vwinrichtinginstallaties a
inner join vwinrinstjongstedatumverleend b
on (a.dnkeymilinrichtingen = b.dnkeymilinrichtingen)
and (a.dddatum = b.ddjongstedatum)
;
create or replace view vwinrgebjongstedatumverleend as      
select
  max(dddatum) ddjongstedatum,
  dnkeymilinrichtingen
from
vwinrichtinggebouwen
where
 dvstatus = 'V'
group by dnkeymilinrichtingen
;
create or replace view vwfrminrjongstegebouwen as 
select
  a.dvmodule,
  a.dvstatus,
  a.dnkeyvergunning,
  a.dvzaakcode,
  a.dddatum,
  a.dvomschrijving,
  a.dnkeymilinrichtingen,
  a.dvgebouwtype,
  a.dvgebouwspec,
  a.dnaantgebrvan,
  a.dnaantgebrtot,
  a.dvcontrolecode,
  a.dvactiviteit
from
vwinrichtinggebouwen a
inner join vwinrgebjongstedatumverleend b
on (a.dnkeymilinrichtingen = b.dnkeymilinrichtingen)
and (a.dddatum = b.ddjongstedatum)
;

create or replace view vwcbsomgw011_a as 
select 
	tbomgvergunning.dnkey,
	sum(vwtoestemmingen.dfkosten) dfkosten
from 
	vwtoestemmingen
	inner join tbomgvergunning
	on (vwtoestemmingen.dnkeyomgvergunningen = tbomgvergunning.dnkey)
	inner join tbsoortomgverg
	on (tbomgvergunning.dnkeysoortomgverg = tbsoortomgverg.dnkey)
	inner join tbaardbesluit
	on (tbomgvergunning.dvcodeaardbesluit = tbaardbesluit.dvcode)
	where tbsoortomgverg.dlw011 = 'T'
	and tbomgvergunning.ddbesluitdatum is not null
	and tbomgvergunning.dnkeyparentverg is null
	and tbaardbesluit.dlverleend  = 'T'
	and vwtoestemmingen.dlw011 = 'T'
	and vwtoestemmingen.ddingetrokken is null
group by tbomgvergunning.dnkey
;
create or replace view vwfrmcbsomgw011_b as 
select 
    tbomgvergunning.dnkey
from 
    tbomgvergunning
    inner join tbsoortomgverg
	on (tbomgvergunning.dnkeysoortomgverg = tbsoortomgverg.dnkey)
    inner join vwcbsomgw011_a
	on (tbomgvergunning.dnkey = vwcbsomgw011_a.dnkey)
where 
vwcbsomgw011_a.dfkosten >= tbsoortomgverg.dfcbsbedrag
;
create or replace view vwfrmcbsomgw015_b as 
select 
    tbomgvergunning.dnkey,
	max(tbtoestemmingen.ddopgeleverd) ddopgeleverd
from 
    tbtoestemmingen
	inner join tbomgvergunning
	on (tbtoestemmingen.dnkeyomgvergunningen = tbomgvergunning.dnkey)
    inner join tbsoortomgverg
	on (tbomgvergunning.dnkeysoortomgverg = tbsoortomgverg.dnkey)
    inner join tbaardbesluit
	on (tbomgvergunning.dvcodeaardbesluit = tbaardbesluit.dvcode)
where tbsoortomgverg.dlw015 = 'T'
    and tbomgvergunning.ddbesluitdatum is not null
    and tbomgvergunning.dnaantaleenheden = 1
    and tbaardbesluit.dlverleend  = 'T'
    and tbtoestemmingen.ddopgeleverd is not null
    and tbtoestemmingen.ddingetrokken is null
    and tbtoestemmingen.dveffect = 'T'
    and tbtoestemmingen.dlnieuwbouw = 'T'
group by tbomgvergunning.dnkey
;
create or replace view vwfrmcbsomgw055_b as 
select 
    tbomgvergunning.dnkey,
	max(tbtoestemmingen.ddopgeleverd) ddopgeleverd,
    cast(max(tbtoestemmingen.dveffect) as char(1)) as dveffect
from 
    tbtoestemmingen
	inner join tbomgvergunning
	on (tbtoestemmingen.dnkeyomgvergunningen = tbomgvergunning.dnkey)
    inner join tbsoortomgverg 
	on (tbomgvergunning.dnkeysoortomgverg = tbsoortomgverg.dnkey)
    inner join tbaardbesluit 
	on (tbomgvergunning.dvcodeaardbesluit = tbaardbesluit.dvcode)
where tbsoortomgverg.dlw055 = 'T'
    and tbomgvergunning.ddbesluitdatum is not null
    and tbomgvergunning.dnaantaleenheden = 1
    and tbaardbesluit.dlverleend  = 'T'
    and tbtoestemmingen.ddopgeleverd is not null
    and tbtoestemmingen.ddingetrokken is null
    and tbtoestemmingen.dveffect in ('T','O')
    and tbtoestemmingen.dlnieuwbouw = 'F'
group by tbomgvergunning.dnkey
;
create or replace view vwcbsw011bouwverg as 
select
  vwbouwvergobjstrsp.dvbouwnr,
  vwbouwvergobjstrsp.ddbesluitdatum,
  cast(vwbouwvergobjstrsp.ddgereeddatum as timestamp) as ddgereeddatum,
  vwbouwvergobjstrsp.dfvastgesteldekosten,
  vwbouwvergobjstrsp.dlcbsverstuurd,
  vwbouwvergobjstrsp.dvobjstraat,
  vwbouwvergobjstrsp.dvobjplaats,
  vwbouwvergobjstrsp.dnaantaleenheden,
  vwbouwvergobjstrsp.dveffect,
  vwbouwvergobjstrsp.dlnieuwbouw,
  tbcbsfincategorie.dvomschrijving  cbsfincategorie,
  tbcbsbtwcategorie.dvomschrijving  cbsbtwcategorie,
  tbcbs_gegevens_w011.*
from
  tbcbs_gegevens_w011
  inner join vwbouwvergobjstrsp
  on (tbcbs_gegevens_w011.dnkeybouwvergunningen = vwbouwvergobjstrsp.dnkey)
  left outer join tbcbsfincategorie
  on (tbcbs_gegevens_w011.dnkeycbsfincategorie = tbcbsfincategorie.dnkey)
  left outer join tbcbsbtwcategorie
  on (tbcbs_gegevens_w011.dnkeycbsbtwcategorie = tbcbsbtwcategorie.dnkey)
union
select
  vwomgvergobjstraat.dvzaakcode dvbouwnr,
  vwomgvergobjstraat.ddbesluitdatum,
  cast(null as timestamp) as ddgereeddatum,
  cast(null as float) as dfvastgesteldekosten,
  cast(null as char(1))as dlcbsverstuurd,
  vwomgvergobjstraat.dvobjstraat,
  vwomgvergobjstraat.dvobjplaats,
  vwomgvergobjstraat.dnaantaleenheden,
  cast(null as char(1)) as dveffect,
  cast(null as char(1)) as dlnieuwbouw,
  tbcbsfincategorie.dvomschrijving  cbsfincategorie,
  tbcbsbtwcategorie.dvomschrijving  cbsbtwcategorie,
  tbcbs_gegevens_w011.*
from
  tbcbs_gegevens_w011
  inner join vwomgvergobjstraat
  on (tbcbs_gegevens_w011.dnkeyomgvergunningen = vwomgvergobjstraat.dnkey)
  left outer join tbcbsfincategorie
  on (tbcbs_gegevens_w011.dnkeycbsfincategorie = tbcbsfincategorie.dnkey)
  left outer join tbcbsbtwcategorie
  on (tbcbs_gegevens_w011.dnkeycbsbtwcategorie = tbcbsbtwcategorie.dnkey)
;
create or replace view vwcbsw015bouwverg as 
select
  vwbouwvergobjstrsp.dvbouwnr,
  vwbouwvergobjstrsp.ddbesluitdatum,
  vwbouwvergobjstrsp.ddgereeddatum,
  vwbouwvergobjstrsp.dfvastgesteldekosten,
  vwbouwvergobjstrsp.dlcbsverstuurd,
  vwbouwvergobjstrsp.dvobjstraat,
  vwbouwvergobjstrsp.dvobjplaats,
  vwbouwvergobjstrsp.dveffect,
  tbcbs_gegevens_w015.*
from
  tbcbs_gegevens_w015
  inner join vwbouwvergobjstrsp
  on (tbcbs_gegevens_w015.dnkeybouwvergunningen = vwbouwvergobjstrsp.dnkey)
union
select
  vwomgvergobjstraat.dvzaakcode dvbouwnr,
  vwomgvergobjstraat.ddbesluitdatum,
  vwfrmcbsomgw015_b.ddopgeleverd ddgereeddatum,
  cast(null as float) as dfvastgesteldekosten,
  cast(null as char(1)) as dlcbsverstuurd,
  vwomgvergobjstraat.dvobjstraat,
  vwomgvergobjstraat.dvobjplaats,
  cast('1' as char(1)) as dveffect,
  tbcbs_gegevens_w015.*
from
  tbcbs_gegevens_w015
  inner join vwomgvergobjstraat
  on (tbcbs_gegevens_w015.dnkeyomgvergunningen = vwomgvergobjstraat.dnkey)
  inner join vwfrmcbsomgw015_b
  on (tbcbs_gegevens_w015.dnkeyomgvergunningen = vwfrmcbsomgw015_b.dnkey)
union
select
  vwomgvergobjstraat.dvzaakcode dvbouwnr,
  vwomgvergobjstraat.ddbesluitdatum,
  vwfrmcbsomgw055_b.ddopgeleverd ddgereeddatum,
  cast(null as float) as dfvastgesteldekosten,
  cast(null as char(1)) dlcbsverstuurd,
  vwomgvergobjstraat.dvobjstraat,
  vwomgvergobjstraat.dvobjplaats,
  cast(case when vwfrmcbsomgw055_b.dveffect = 'T' then '1' else '2' end  as char(1)) as dveffect,
  tbcbs_gegevens_w015.*
from
  tbcbs_gegevens_w015
  inner join vwomgvergobjstraat
  on (tbcbs_gegevens_w015.dnkeyomgvergunningen = vwomgvergobjstraat.dnkey)
  inner join vwfrmcbsomgw055_b
  on (tbcbs_gegevens_w015.dnkeyomgvergunningen = vwfrmcbsomgw055_b.dnkey)
;
create or replace view vwfrmpreparaties as select
  tbomgpreparaties.dnkey,
  tbomgpreparaties.dnkeybouwvergunningen,
  tbomgpreparaties.dnkeymilvergunningen,
  tbomgpreparaties.dnkeyomgvergunningen,
  tbpreparaties.dvpreparatie
from
  tbomgpreparaties
  inner join tbpreparaties
  on (tbomgpreparaties.dnkeypreparaties = tbpreparaties.dnkey)
;
create or replace view vwfrmbwinstallaties as select
  tbomgbwinstallaties.dnkey,
  tbomgbwinstallaties.dnkeybouwvergunningen,
  tbomgbwinstallaties.dnkeymilvergunningen,
  tbomgbwinstallaties.dnkeyomgvergunningen,
  tbbwinstallaties.dvinstallatie
from
  tbomgbwinstallaties
  inner join tbbwinstallaties
  on (tbomgbwinstallaties.dnkeybwinstallaties = tbbwinstallaties.dnkey)
;
create or replace view vwfrmgebouwen as select
  tbgebouwen.dnkey,
  tbgebouwen.dnkeybouwvergunningen,
  tbgebouwen.dnkeymilvergunningen,
  tbgebouwen.dnaantgebrvan,
  tbgebouwen.dnaantgebrtot,
  tbgebouwen.dnbouwlagen,
  tbgebouwen.dfoppgebr,
  tbgebouwtype.dvtype,
  tbgebouwspec.dvspecificatie,
  tbcontrgebouwtype.dvcode dvcontrcode,
  tbcontrgebouwtype.dvomschrijving dvcontrstring,
  tbgebouwen.dvgebouwbeschr,
  tbgebouwen.dnmaxgebr
from
  tbgebouwen
  inner join tbgebouwtype
  on (tbgebouwen.dnkeygebouwtype = tbgebouwtype.dnkey)
  left outer join tbgebouwspec
  on (tbgebouwen.dnkeygebouwspec = tbgebouwspec.dnkey)
  left outer join tbcontrgebouwtype
  on (tbgebouwtype.dnkeycontrgebouwtype = tbcontrgebouwtype.dnkey)
;
create or replace view vwbi_bouwsloop as   
select
  tbbouwvergunningen.dnkey,
  tbbouwvergunningen.dvbouwnr dvzaakcode,
  tbbouwvergunningen.ddontvangstdatum ddontvangst,
  tbbouwvergunningen.ddpublaanvrg ddpublicatieaanvraag,
  tbbouwvergunningen.ddbesluitdatum ddbesluit,
  tbbouwvergunningen.ddverzenddatum ddverzend,
  tbbouwvergunningen.ddstartuitvoering ddstartuitv,
  tbbouwvergunningen.ddgereeddatum ddgereedgemeld,
  tbbouwvergunningen.ddingetrokken ddingetrokken,
  tbbouwvergunningen.dvredenintrekking dvredenintr,
  tbbouwvergunningen.ddlegesverzonden ddlegesverz,
  tbbouwvergunningen.ddgeldigtotmet,
  tbbouwvergunningen.dfopgegevenbouwkosten dfopgegevenkosten,
  tbbouwvergunningen.dfvastgesteldekosten dfvastgkosten,
  tbbouwvergunningen.dfherzienekosten dfherzienekosten,
  tbsoortplan.dvomschrijving dvsoortvergunning,
  tbbouwwerkz.dvomschrijving dvaardwerkzaamheden,
  tbbouwvergunningen.dvpublbouwwerk dvobjwerkzaamheden,
  tbbouwvergunningen.dvcbsnummer,
  tbbouwvergunningen.dvarchiefnr,
  tbbouwvergunningen.dnoppervlak,
  tbbouwvergunningen.dninhoud,
  tbbouwvergunningen.dnaantaleenheden,
  cast(case when tbbouwvergunningen.dveffect is null then 'Onbekend' 
       when tbbouwvergunningen.dveffect = '0' then 'Geen' 
	   when tbbouwvergunningen.dveffect ='1' then 'Toevoeging' 
	   else 'Onttrekking'end as character varying(11)) as dveffect,
  tbbouwvergunningen.dlnieuwbouw dlisnieuwbouw,
  tbbouwvergunningen.dvobject dvobjvastgoedoms,
  tbmonumenten.dvomschrijving dvobjsoortmonument,
  tbdossierverblijf.dvomschrijving dvdossierverblijf,
  tbaardbesluit.dvomschrijving dvaardbesluit,
  tbaardbesluit.dlverleend dlisverleend,
  tbopenbareruimte.dvopruimtenaam dvobjstraatnaam,
  tbperceeladressen.dvpostcode dvobjpostcode,
  tbwoonplaats.dvwoonplaatsnaam dvobjplaats,
  tbopenbareruimte.dvextraopruimtenaam dvobjoffstraatnaam,
  tbperceeladressen.dnxcoordinaat dnobjxcoordinaat,
  tbperceeladressen.dnycoordinaat dnobjycoordinaat,
  tbperceeladressen.dvaanduidingbijhuisnummer dvobjaandhuisnummer,
  tbperceeladressen.dvhuisnummer dvobjhuisnummer, 
  tbperceeladressen.dvhuisnummertoevoeging dvobjhuisnummertoevoeging, 
  tbperceeladressen.dvhuisletter dvobjhuisletter, 
  tbperceeladressen.dvgmntecode dvobjgmntecode,
  tbperceeladressen.dvsectie dvobjsectie,
  tbperceeladressen.dvperceelnummer dvobjperceelnr,
  tbperceeladressen.dvextraperceelnummers dvobjextrpercnrs,
  tbperceeladressen.dvhuisnrinfo dvobjhuisnrinfo,
  tbperceeladressen.dvidentificatiecode dvobjadresid,
  cast (tbopenbareruimte.dvopruimtenaam 
     || case when tbperceeladressen.dvaanduidingbijhuisnummer is null then ' ' 
			 else ' ' || tbperceeladressen.dvaanduidingbijhuisnummer || ' ' end 
	 || tbperceeladressen.dvhuisnummer
     || ' '
     || case when tbperceeladressen.dvhuisletter is null then '' else tbperceeladressen.dvhuisletter end
     || case when rtrim (tbperceeladressen.dvhuisnummertoevoeging) is null then '' 
			 else replace ('-' || tbperceeladressen.dvhuisnummertoevoeging,'--',  '-') end 
	 || case when tbperceeladressen.dvhuisnrinfo is null then '' else rtrim(' '||tbperceeladressen.dvhuisnrinfo) end
	 as character varying(136)) as dvobjadres,
   vwfrmactiefinbehbij.dvibbcodemw dvbehandelaarcode,
   vwfrmactiefinbehbij.dvibbnaammw dvbehandelaarnaam,
   vwfrmactiefinbehbij.dvtelefoon dvbehandelaartelefoon,
   vwfrmactiefinbehbij.dvemail dvbehandelaaremail,
   vwfrmbouwavrcontacten.dvavrbriefaanhef,
   vwfrmbouwavrcontacten.dvavrbedrijf,
   vwfrmbouwavrcontacten.dvavrvoorletters,
   vwfrmbouwavrcontacten.dvavrvoorvoegsel,
   vwfrmbouwavrcontacten.dvavrachternaam,
   vwfrmbouwavrcontacten.dvavrtav,
   vwfrmbouwavrcontacten.dvavrhuisnummer,
   vwfrmbouwavrcontacten.dvavrhuisletter,
   vwfrmbouwavrcontacten.dvavrhuisnrtoevoeg,
   vwfrmbouwavrcontacten.dvavrstraatnaam,
   vwfrmbouwavrcontacten.dvavrpostcode,
   vwfrmbouwavrcontacten.dvavrwoonplaats,
   vwfrmbouwavrcontacten.dvavrbsn,
   vwfrmbouwavrcontacten.dvavrbin,
   vwfrmbouwavrcontacten.dvavremail,
   tbbestemmingsplannen.dvnaam dvbestemmingsplannaam,
   tbbestemmingsplannen.dvbestemming,
   cast(case 
      when substr(vwfrmbouwavrcontacten.dvavrtav,1,7) = 'De heer' 
      then 'de heer' || substr(vwfrmbouwavrcontacten.dvavrtav,8)
      when substr(vwfrmbouwavrcontacten.dvavrtav,1,7) = 'Mevrouw' 
      then 'mevrouw' || substr(vwfrmbouwavrcontacten.dvavrtav,8)
      else vwfrmbouwavrcontacten.dvavrtav
      end as character varying(238)) as dvavrtav2, 
   cast(case 
     when rtrim(vwfrmbouwavrcontacten.dvavrbedrijf) is not null and rtrim(vwfrmbouwavrcontacten.dvavrachternaam) is null
          then vwfrmbouwavrcontacten.dvavrbedrijf
     when substr(vwfrmbouwavrcontacten.dvavrtav,1,7) = 'De heer' 
          then case when rtrim(dvavrbedrijf) is null then '' else dvavrbedrijf ||', ' end 
		  || 'de heer' || substr(vwfrmbouwavrcontacten.dvavrtav,8)
     when  substr(vwfrmbouwavrcontacten.dvavrtav,1,7) = 'Mevrouw' 
          then case when rtrim(dvavrbedrijf) is null then '' else dvavrbedrijf ||', '
	      end || 'mevrouw' || substr(vwfrmbouwavrcontacten.dvavrtav,8)
     else case when rtrim(dvavrbedrijf) is null then '' else dvavrbedrijf ||', ' end
	     || vwfrmbouwavrcontacten.dvavrtav
   end as character varying(440)) dvavrtav3       
  from
  tbbouwvergunningen
  left outer join tbdossierverblijf
  on (tbbouwvergunningen.dvcodedossierverblijf = tbdossierverblijf.dvcode)
  left outer join tbaardbesluit
  on (tbbouwvergunningen.dvcodeaardbesluit = tbaardbesluit.dvcode)
  left outer join tbbouwwerkz
  on (tbbouwvergunningen.dnkeybouwwerkz = tbbouwwerkz.dnkey)
  left outer join tbsoortplan
  on (tbbouwvergunningen.dnsoortplan = tbsoortplan.dnkey)
  inner join tbperceeladressen
  on (tbbouwvergunningen.dnkeyperceeladressen = tbperceeladressen.dnkey)
  left outer join tbmonumenten
  on (tbperceeladressen.dnkeymonumenten = tbmonumenten.dnkey)
  inner join tbopenbareruimte
  on (tbperceeladressen.dnkeyopenbruimte = tbopenbareruimte.dnkey)
  inner join tbwoonplaats
  on (tbopenbareruimte.dnkeywoonplaats = tbwoonplaats.dnkey)
  left outer join vwfrmactiefinbehbij
  on (tbbouwvergunningen.dnkey = vwfrmactiefinbehbij.dnkeybouwvergunningen)
  left outer join vwfrmbouwavrcontacten
  on (tbbouwvergunningen.dnkey = vwfrmbouwavrcontacten.dnkeybouwvergunningen)
  left outer join tbbestemmingsplannen
  on (tbbouwvergunningen.dnkeygeldendbestemmingsplan = tbbestemmingsplannen.dnkey)
;
create or replace view vwbi_bouwleges as select
  tblegesregels.dnkey,    
  tblegesregels.dnkeybouwvergunningen,
  tblegesregels.dflegesbedrag, 
  tblegessoort.dvomschrijving dvsoortleges,
  tblegesregels.dvomschrijving, 
  tblegesregels.dvnotanummer,
  tblegesregels.ddexportdatum,
  tblegessoort.dvreknr dvlegessoortreknr
from
  tblegesregels
  inner join tblegessoort
  on (tblegesregels.dnkeylegessoort = tblegessoort.dnkey)
  inner join tbbouwvergunningen
  on (tblegesregels.dnkeybouwvergunningen = tbbouwvergunningen.dnkey)
;
create or replace view vwbi_bouwcontactadressen as
select
  tbbouwcontactennn.dnkeybouwvergunningen,
  tbbouwcontactennn.dvcodeadressoort,
  tbadressoort.dvomschrijving dvomsadressoort,
  tbcontactadressen.dnkey dnkeycontactadressen,
  tbcontactadressen.dvbriefaanhef,
  tbcontactadressen.dvbedrijfsnaam dvbedrijf,
  tbcontactadressen.dvvoorletters,
  tbcontactadressen.dvvoorvoegsel,
  tbcontactadressen.dvachternaam,
  cast(case when tbcontactadressen.dvgeslacht = 'M' then 'De heer' 
  when tbcontactadressen.dvgeslacht ='V' then'Mevrouw' 
  else 'De heer/mevrouw' end
  || case when tbcontactadressen.dvvoorletters is not null then rtrim(' '||tbcontactadressen.dvvoorletters) else '' end
  || case when tbcontactadressen.dvvoorvoegsel is not null then rtrim(' '||tbcontactadressen.dvvoorvoegsel) else '' end
  || case when tbcontactadressen.dvachternaam is not null then rtrim(' '||tbcontactadressen.dvachternaam) else '' end
  as character varying(238)) as dvtav, 
  tbcontactadressen.dvhuisnummer,
  tbcontactadressen.dvhuisletter,
  tbcontactadressen.dvhuisnummertoevoeging,
  tbcontactadressen.dvstraatnaam,
  tbcontactadressen.dvpostcode,
  tbcontactadressen.dvwoonplaatsnaam dvwoonplaats,
  tbcontactadressen.dvsofinummer dvbsn,
  tbcontactadressen.dvbin,
  tbcontactadressen.dvemail dvemail,
  cast(case 
      when tbcontactadressen.dvgeslacht = 'M'  then 'de heer' 
	  when tbcontactadressen.dvgeslacht = 'V' then 'mevrouw'
	  else 'de heer/mevrouw' end
	  || case when tbcontactadressen.dvvoorletters is not null then rtrim(' '||tbcontactadressen.dvvoorletters) else '' end
      || case when tbcontactadressen.dvvoorvoegsel is not null then rtrim(' '||tbcontactadressen.dvvoorvoegsel) else '' end
      || case when tbcontactadressen.dvachternaam is not null then rtrim(' '||tbcontactadressen.dvachternaam) else '' end
      as character varying(238)) as  dvtav2, 
  cast(case 
      when  rtrim(dvbedrijfsnaam) is not null and rtrim(dvachternaam) is null
      then  dvbedrijfsnaam
      when  tbcontactadressen.dvgeslacht = 'M'
      then  case when rtrim(dvbedrijfsnaam) is null then '' else dvbedrijfsnaam ||', ' end || 'de heer' 
	  when  tbcontactadressen.dvgeslacht = 'V'
      then  case when rtrim(dvbedrijfsnaam) is null then '' else dvbedrijfsnaam ||', ' end || 'mevrouw' 
      else  case when rtrim(dvbedrijfsnaam) is null then '' else dvbedrijfsnaam ||', ' end || 'de heer/mevrouw' 
   end 
   || case when tbcontactadressen.dvvoorletters is not null then rtrim(' '||tbcontactadressen.dvvoorletters) else '' end
   || case when tbcontactadressen.dvvoorvoegsel is not null then rtrim(' '||tbcontactadressen.dvvoorvoegsel) else '' end
   || case when tbcontactadressen.dvachternaam is not null then rtrim(' '||tbcontactadressen.dvachternaam) else '' end
   as character varying(440)) as dvtav3
from
  tbbouwcontactennn
  inner join tbcontactadressen
  on (tbbouwcontactennn.dnkeycontactadressen = tbcontactadressen.dnkey)
  inner join tbadressoort
  on (tbbouwcontactennn.dvcodeadressoort = tbadressoort.dvcode)
;
create or replace view vwbi_overige as   
select
  tbovvergunningen.dnkey,
  tbovvergunningen.dvvergunningsnr dvzaakcode,
  tbovvergunningen.ddontvangstdatum ddontvangst,
  tbovvergunningen.ddpublaanvrg ddpublicatieaanvraag,
  tbovvergunningen.ddbesluitdatum ddbesluit,
  tbovvergunningen.ddverzenddatum ddverzend,
  tbovvergunningen.ddstartuitvoering ddstartuitv,
  tbovvergunningen.ddgereeddatum ddgereedgemeld,
  tbovvergunningen.ddingetrokken ddingetrokken,
  tbovvergunningen.dvredenintrekking dvredenintr,
  tbovvergunningen.ddlegesverzonden ddlegesverz,
  tbovvergunningen.ddgeldigtotmet,
  tbovvergunningen.dfvastgesteldekosten dfvastgkosten,
  tbovvergunningen.dfherzienekosten dfherzienekosten,
  tbsoortovverg.dvomschrijving dvsoortvergunning,
  tbovwerkz.dvomschrijving dvaardwerkzaamheden,
  tbovvergunningen.dvpublbouwwerk dvobjwerkzaamheden,
  tbovvergunningen.dvcbsnummer,
  tbovvergunningen.dvarchiefnr,
  tbmonumenten.dvomschrijving dvobjsoortmonument,
  tbdossierverblijf.dvomschrijving dvdossierverblijf,
  tbaardbesluit.dvomschrijving dvaardbesluit,
  tbaardbesluit.dlverleend dlisverleend,
  tbopenbareruimte.dvopruimtenaam dvobjstraatnaam,
  tbperceeladressen.dvpostcode dvobjpostcode,
  tbwoonplaats.dvwoonplaatsnaam dvobjplaats,
  tbopenbareruimte.dvextraopruimtenaam dvobjoffstraatnaam,
  tbperceeladressen.dnxcoordinaat dnobjxcoordinaat,
  tbperceeladressen.dnycoordinaat dnobjycoordinaat,
  tbperceeladressen.dvaanduidingbijhuisnummer dvobjaandhuisnummer,
  tbperceeladressen.dvhuisnummer dvobjhuisnummer, 
  tbperceeladressen.dvhuisnummertoevoeging dvobjhuisnummertoevoeging, 
  tbperceeladressen.dvhuisletter dvobjhuisletter, 
  tbperceeladressen.dvgmntecode dvobjgmntecode,
  tbperceeladressen.dvsectie dvobjsectie,
  tbperceeladressen.dvperceelnummer dvobjperceelnr,
  tbperceeladressen.dvextraperceelnummers dvobjextrpercnrs,
  tbperceeladressen.dvhuisnrinfo dvobjhuisnrinfo,
  tbperceeladressen.dvidentificatiecode dvobjadresid,
  cast (tbopenbareruimte.dvopruimtenaam 
     || case when tbperceeladressen.dvaanduidingbijhuisnummer is null then ' ' 
			 else ' ' || tbperceeladressen.dvaanduidingbijhuisnummer || ' ' end 
	 || tbperceeladressen.dvhuisnummer
     || ' '
     || case when tbperceeladressen.dvhuisletter is null then '' else tbperceeladressen.dvhuisletter end
     || case when rtrim (tbperceeladressen.dvhuisnummertoevoeging) is null then '' 
			 else replace ('-' || tbperceeladressen.dvhuisnummertoevoeging,'--',  '-') end 
	 || case when tbperceeladressen.dvhuisnrinfo is null then '' else rtrim(' '||tbperceeladressen.dvhuisnrinfo) end
	 as character varying(136)) as dvobjadres,
   vwfrmactiefinbehbij.dvibbcodemw dvbehandelaarcode,
   vwfrmactiefinbehbij.dvibbnaammw dvbehandelaarnaam,
   vwfrmactiefinbehbij.dvtelefoon dvbehandelaartelefoon,
   vwfrmactiefinbehbij.dvemail dvbehandelaaremail,
   vwfrmovavrcontacten.dvavrbriefaanhef,
   vwfrmovavrcontacten.dvavrbedrijf,
   vwfrmovavrcontacten.dvavrvoorletters,
   vwfrmovavrcontacten.dvavrvoorvoegsel,
   vwfrmovavrcontacten.dvavrachternaam,
   vwfrmovavrcontacten.dvavrtav,
   vwfrmovavrcontacten.dvavrhuisnummer,
   vwfrmovavrcontacten.dvavrhuisletter,
   vwfrmovavrcontacten.dvavrhuisnrtoevoeg,
   vwfrmovavrcontacten.dvavrstraatnaam,
   vwfrmovavrcontacten.dvavrpostcode,
   vwfrmovavrcontacten.dvavrwoonplaats,
   vwfrmovavrcontacten.dvavrbsn,
   vwfrmovavrcontacten.dvavrbin,
   vwfrmovavrcontacten.dvavremail,
   tbbestemmingsplannen.dvnaam dvbestemmingsplannaam,
   tbbestemmingsplannen.dvbestemming,
   cast(case 
      when substr(vwfrmovavrcontacten.dvavrtav,1,7) = 'De heer' 
      then 'de heer' || substr(vwfrmovavrcontacten.dvavrtav,8)
      when substr(vwfrmovavrcontacten.dvavrtav,1,7) = 'Mevrouw' 
      then 'mevrouw' || substr(vwfrmovavrcontacten.dvavrtav,8)
      else vwfrmovavrcontacten.dvavrtav
      end as character varying(238)) as dvavrtav2, 
  cast(case 
     when rtrim(vwfrmovavrcontacten.dvavrbedrijf) is not null and rtrim(vwfrmovavrcontacten.dvavrachternaam) is null
          then vwfrmovavrcontacten.dvavrbedrijf
     when substr(vwfrmovavrcontacten.dvavrtav,1,7) = 'De heer' 
          then case when rtrim(dvavrbedrijf) is null then '' else dvavrbedrijf ||', ' end 
		  || 'de heer' || substr(vwfrmovavrcontacten.dvavrtav,8)
     when  substr(vwfrmovavrcontacten.dvavrtav,1,7) = 'Mevrouw' 
          then case when rtrim(dvavrbedrijf) is null then '' else dvavrbedrijf ||', '
	      end || 'mevrouw' || substr(vwfrmovavrcontacten.dvavrtav,8)
     else case when rtrim(dvavrbedrijf) is null then '' else dvavrbedrijf ||', ' end
	     || vwfrmovavrcontacten.dvavrtav
   end as character varying(440)) dvavrtav3       
from
  tbovvergunningen
  left outer join tbdossierverblijf
  on (tbovvergunningen.dvcodedossierverblijf = tbdossierverblijf.dvcode)
  left outer join tbaardbesluit
  on (tbovvergunningen.dvcodeaardbesluit = tbaardbesluit.dvcode)
  left outer join tbovwerkz
  on (tbovvergunningen.dnkeyovwerkz = tbovwerkz.dnkey)
  left outer join tbsoortovverg
  on (tbovvergunningen.dvcodesoortovverg = tbsoortovverg.dvcode)
  inner join tbperceeladressen
  on (tbovvergunningen.dnkeyperceeladressen = tbperceeladressen.dnkey)
  left outer join tbmonumenten
  on (tbperceeladressen.dnkeymonumenten = tbmonumenten.dnkey)
  inner join tbopenbareruimte
  on (tbperceeladressen.dnkeyopenbruimte = tbopenbareruimte.dnkey)
  inner join tbwoonplaats
  on (tbopenbareruimte.dnkeywoonplaats = tbwoonplaats.dnkey)
  left outer join vwfrmactiefinbehbij
  on (tbovvergunningen.dnkey = vwfrmactiefinbehbij.dnkeyovvergunningen)
  left outer join vwfrmovavrcontacten
  on (tbovvergunningen.dnkey = vwfrmovavrcontacten.dnkeyovvergunningen)
  left outer join tbbestemmingsplannen
  on (tbovvergunningen.dnkeygeldendbestemmingsplan = tbbestemmingsplannen.dnkey)
;
create or replace view vwbi_ovleges as select
  tblegesregels.dnkey,    
  tblegesregels.dnkeyovvergunningen,
  tblegesregels.dflegesbedrag, 
  tblegessoort.dvomschrijving dvsoortleges,
  tblegesregels.dvomschrijving, 
  tblegesregels.dvnotanummer,
  tblegesregels.ddexportdatum,
  tblegessoort.dvreknr dvlegessoortreknr
from
  tblegesregels
  inner join tblegessoort
  on (tblegesregels.dnkeylegessoort = tblegessoort.dnkey)
  inner join tbovvergunningen
  on (tblegesregels.dnkeyovvergunningen = tbovvergunningen.dnkey)
;
create or replace view vwbi_ovcontactadressen as
select
  tbovcontactennn.dnkeyovvergunningen,
  tbovcontactennn.dvcodeadressoort,
  tbadressoort.dvomschrijving dvomsadressoort,
  tbcontactadressen.dnkey dnkeycontactadressen,
  tbcontactadressen.dvbriefaanhef,
  tbcontactadressen.dvbedrijfsnaam dvbedrijf,
  tbcontactadressen.dvvoorletters,
  tbcontactadressen.dvvoorvoegsel,
  tbcontactadressen.dvachternaam,
 cast(case when tbcontactadressen.dvgeslacht = 'M' then 'De heer' 
  when tbcontactadressen.dvgeslacht ='V' then'Mevrouw' 
  else 'De heer/mevrouw' end
  || case when tbcontactadressen.dvvoorletters is not null then rtrim(' '||tbcontactadressen.dvvoorletters) else '' end
  || case when tbcontactadressen.dvvoorvoegsel is not null then rtrim(' '||tbcontactadressen.dvvoorvoegsel) else '' end
  || case when tbcontactadressen.dvachternaam is not null then rtrim(' '||tbcontactadressen.dvachternaam) else '' end
  as character varying(238)) as dvtav, 
  tbcontactadressen.dvhuisnummer,
  tbcontactadressen.dvhuisletter,
  tbcontactadressen.dvhuisnummertoevoeging,
  tbcontactadressen.dvstraatnaam,
  tbcontactadressen.dvpostcode,
  tbcontactadressen.dvwoonplaatsnaam dvwoonplaats,
  tbcontactadressen.dvsofinummer dvbsn,
  tbcontactadressen.dvbin,
  tbcontactadressen.dvemail dvemail,
  cast(case 
      when tbcontactadressen.dvgeslacht = 'M'  then 'de heer' 
	  when tbcontactadressen.dvgeslacht = 'V' then 'mevrouw'
	  else 'de heer/mevrouw' end
	  || case when tbcontactadressen.dvvoorletters is not null then rtrim(' '||tbcontactadressen.dvvoorletters) else '' end
      || case when tbcontactadressen.dvvoorvoegsel is not null then rtrim(' '||tbcontactadressen.dvvoorvoegsel) else '' end
      || case when tbcontactadressen.dvachternaam is not null then rtrim(' '||tbcontactadressen.dvachternaam) else '' end
      as character varying(238)) as  dvtav2, 
  cast(case 
      when  rtrim(dvbedrijfsnaam) is not null and rtrim(dvachternaam) is null
      then  dvbedrijfsnaam
      when  tbcontactadressen.dvgeslacht = 'M'
      then  case when rtrim(dvbedrijfsnaam) is null then '' else dvbedrijfsnaam ||', ' end || 'de heer' 
	  when  tbcontactadressen.dvgeslacht = 'V'
      then  case when rtrim(dvbedrijfsnaam) is null then '' else dvbedrijfsnaam ||', ' end || 'mevrouw' 
      else  case when rtrim(dvbedrijfsnaam) is null then '' else dvbedrijfsnaam ||', ' end || 'de heer/mevrouw' 
   end 
   || case when tbcontactadressen.dvvoorletters is not null then rtrim(' '||tbcontactadressen.dvvoorletters) else '' end
   || case when tbcontactadressen.dvvoorvoegsel is not null then rtrim(' '||tbcontactadressen.dvvoorvoegsel) else '' end
   || case when tbcontactadressen.dvachternaam is not null then rtrim(' '||tbcontactadressen.dvachternaam) else '' end
   as character varying(440)) as dvtav3
from
  tbovcontactennn
  inner join tbcontactadressen
  on (tbovcontactennn.dnkeycontactadressen = tbcontactadressen.dnkey)
  inner join tbadressoort
  on (tbovcontactennn.dvcodeadressoort = tbadressoort.dvcode)
;
create or replace view vwbi_horeca as   
select
  tbhorecavergunningen.dnkey,
  tbhorecavergunningen.dvvergnummer dvzaakcode,
  tbhorecavergunningen.ddaanvraagdatum ddontvangst,
  tbhorecavergunningen.dddatumbesluit ddbesluit,
  tbhorecavergunningen.ddlegesverzonden ddlegesverz,
  tbsoorthorverg.dvomschrijving dvsoortvergunning,
  tbhorsrtonderneming.dvomschrijving dvsoortonderneming,
  tbhorrechtsvorm.dvomschrijving dvrechtsvorm,
  tbhorecavergunningen.dvhandelsnaam,
  tbhorecavergunningen.dvzaaknaam,
  tbhorecavergunningen.dvzaakkvk,
  tbhorecavergunningen.dvdmszaakcode,
  tbhorecavergunningen.ddingetrokken,
  tbmonumenten.dvomschrijving dvobjsoortmonument,
  tbdossierverblijf.dvomschrijving dvdossierverblijf,
  tbhoraardbesluit.dvomschrijving dvaardbesluit,
  tbhoraardbesluit.dlverleend dlisverleend,
  tbopenbareruimte.dvopruimtenaam dvobjstraatnaam,
  tbperceeladressen.dvpostcode dvobjpostcode,
  tbwoonplaats.dvwoonplaatsnaam dvobjplaats,
  tbopenbareruimte.dvextraopruimtenaam dvobjoffstraatnaam,
  tbperceeladressen.dnxcoordinaat dnobjxcoordinaat,
  tbperceeladressen.dnycoordinaat dnobjycoordinaat,
  tbperceeladressen.dvaanduidingbijhuisnummer dvobjaandhuisnummer,
  tbperceeladressen.dvhuisnummer dvobjhuisnummer, 
  tbperceeladressen.dvhuisnummertoevoeging dvobjhuisnummertoevoeging, 
  tbperceeladressen.dvhuisletter dvobjhuisletter, 
  tbperceeladressen.dvgmntecode dvobjgmntecode,
  tbperceeladressen.dvsectie dvobjsectie,
  tbperceeladressen.dvperceelnummer dvobjperceelnr,
  tbperceeladressen.dvextraperceelnummers dvobjextrpercnrs,
  tbperceeladressen.dvhuisnrinfo dvobjhuisnrinfo,
  tbperceeladressen.dvidentificatiecode dvobjadresid,
  cast (tbopenbareruimte.dvopruimtenaam 
     || case when tbperceeladressen.dvaanduidingbijhuisnummer is null then ' ' 
			 else ' ' || tbperceeladressen.dvaanduidingbijhuisnummer || ' ' end 
	 || tbperceeladressen.dvhuisnummer
     || ' '
     || case when tbperceeladressen.dvhuisletter is null then '' else tbperceeladressen.dvhuisletter end
     || case when rtrim (tbperceeladressen.dvhuisnummertoevoeging) is null then '' 
			 else replace ('-' || tbperceeladressen.dvhuisnummertoevoeging,'--',  '-') end 
	 || case when tbperceeladressen.dvhuisnrinfo is null then '' else rtrim(' '||tbperceeladressen.dvhuisnrinfo) end
	 as character varying(136)) as dvobjadres,
   vwfrmactiefinbehbij.dvibbcodemw dvbehandelaarcode,
   vwfrmactiefinbehbij.dvibbnaammw dvbehandelaarnaam,
   vwfrmactiefinbehbij.dvtelefoon dvbehandelaartelefoon,
   vwfrmactiefinbehbij.dvemail dvbehandelaaremail,
   vwfrmhorecaavrcontacten.dvavrbriefaanhef,
   vwfrmhorecaavrcontacten.dvavrbedrijf,
   vwfrmhorecaavrcontacten.dvavrvoorletters,
   vwfrmhorecaavrcontacten.dvavrvoorvoegsel,
   vwfrmhorecaavrcontacten.dvavrachternaam,
   vwfrmhorecaavrcontacten.dvavrtav,
   vwfrmhorecaavrcontacten.dvavrhuisnummer,
   vwfrmhorecaavrcontacten.dvavrhuisletter,
   vwfrmhorecaavrcontacten.dvavrhuisnrtoevoeg,
   vwfrmhorecaavrcontacten.dvavrstraatnaam,
   vwfrmhorecaavrcontacten.dvavrpostcode,
   vwfrmhorecaavrcontacten.dvavrwoonplaats,
   vwfrmhorecaavrcontacten.dvavrbsn,
   vwfrmhorecaavrcontacten.dvavrbin,
   vwfrmhorecaavrcontacten.dvavremail,
   tbbestemmingsplannen.dvnaam dvbestemmingsplannaam,
   tbbestemmingsplannen.dvbestemming,
   cast(case 
      when substr(vwfrmhorecaavrcontacten.dvavrtav,1,7) = 'De heer' 
      then 'de heer' || substr(vwfrmhorecaavrcontacten.dvavrtav,8)
      when substr(vwfrmhorecaavrcontacten.dvavrtav,1,7) = 'Mevrouw' 
      then 'mevrouw' || substr(vwfrmhorecaavrcontacten.dvavrtav,8)
      else vwfrmhorecaavrcontacten.dvavrtav
      end as character varying(238)) as dvavrtav2, 
  cast(case 
     when rtrim(vwfrmhorecaavrcontacten.dvavrbedrijf) is not null and rtrim(vwfrmhorecaavrcontacten.dvavrachternaam) is null
          then vwfrmhorecaavrcontacten.dvavrbedrijf
     when substr(vwfrmhorecaavrcontacten.dvavrtav,1,7) = 'De heer' 
          then case when rtrim(dvavrbedrijf) is null then '' else dvavrbedrijf ||', ' end 
		  || 'de heer' || substr(vwfrmhorecaavrcontacten.dvavrtav,8)
     when  substr(vwfrmhorecaavrcontacten.dvavrtav,1,7) = 'Mevrouw' 
          then case when rtrim(dvavrbedrijf) is null then '' else dvavrbedrijf ||', '
	      end || 'mevrouw' || substr(vwfrmhorecaavrcontacten.dvavrtav,8)
     else case when rtrim(dvavrbedrijf) is null then '' else dvavrbedrijf ||', ' end
	     || vwfrmhorecaavrcontacten.dvavrtav
   end as character varying(440)) dvavrtav3       
from
  tbhorecavergunningen
  left outer join tbdossierverblijf
  on (tbhorecavergunningen.dvcodedossierverblijf = tbdossierverblijf.dvcode)
  left outer join tbhoraardbesluit
  on (tbhorecavergunningen.dvcodeaardbesluit = tbhoraardbesluit.dvcode)
  inner join tbsoorthorverg
  on (tbhorecavergunningen.dnkeysoortverg = tbsoorthorverg.dnkey)
  inner join tbperceeladressen
  on (tbhorecavergunningen.dnkeyperceeladressen = tbperceeladressen.dnkey)
  left outer join tbmonumenten
  on (tbperceeladressen.dnkeymonumenten = tbmonumenten.dnkey)
  inner join tbopenbareruimte
  on (tbperceeladressen.dnkeyopenbruimte = tbopenbareruimte.dnkey)
  inner join tbwoonplaats
  on (tbopenbareruimte.dnkeywoonplaats = tbwoonplaats.dnkey)
  left outer join vwfrmactiefinbehbij
  on (tbhorecavergunningen.dnkey = vwfrmactiefinbehbij.dnkeyhorecavergunningen)
  left outer join vwfrmhorecaavrcontacten
  on (tbhorecavergunningen.dnkey = vwfrmhorecaavrcontacten.dnkeyhorecavergunningen)
  left outer join tbbestemmingsplannen
  on (tbperceeladressen.dnkeygeldendbestemmingsplan = tbbestemmingsplannen.dnkey)
  left outer join tbhorrechtsvorm
  on (tbhorecavergunningen.dnkeyrechtsvorm = tbhorrechtsvorm.dnkey)
  left outer join tbhorsrtonderneming
  on (tbhorecavergunningen.dnkeysoortonderneming = tbhorsrtonderneming.dnkey)
;
create or replace view vwbi_horecaleges as select
  tblegesregels.dnkey,    
  tblegesregels.dnkeyhorecavergunningen,
  tblegesregels.dflegesbedrag, 
  tblegessoort.dvomschrijving dvsoortleges,
  tblegesregels.dvomschrijving, 
  tblegesregels.dvnotanummer,
  tblegesregels.ddexportdatum,
  tblegessoort.dvreknr dvlegessoortreknr
from
  tblegesregels
  inner join tblegessoort
  on (tblegesregels.dnkeylegessoort = tblegessoort.dnkey)
  inner join tbhorecavergunningen
  on (tblegesregels.dnkeyhorecavergunningen = tbhorecavergunningen.dnkey)
;
create or replace view vwbi_horecacontactadressen as
select
  tbhorecacontactennn.dnkeyhorecavergunningen,
  tbhorecacontactennn.dvcodeadressoort,
  tbadressoort.dvomschrijving dvomsadressoort,
  tbcontactadressen.dnkey dnkeycontactadressen,
  tbcontactadressen.dvbriefaanhef,
  tbcontactadressen.dvbedrijfsnaam dvbedrijf,
  tbcontactadressen.dvvoorletters,
  tbcontactadressen.dvvoorvoegsel,
  tbcontactadressen.dvachternaam,
  cast(case when tbcontactadressen.dvgeslacht = 'M' then 'De heer' 
  when tbcontactadressen.dvgeslacht ='V' then'Mevrouw' 
  else 'De heer/mevrouw' end
  || case when tbcontactadressen.dvvoorletters is not null then rtrim(' '||tbcontactadressen.dvvoorletters) else '' end
  || case when tbcontactadressen.dvvoorvoegsel is not null then rtrim(' '||tbcontactadressen.dvvoorvoegsel) else '' end
  || case when tbcontactadressen.dvachternaam is not null then rtrim(' '||tbcontactadressen.dvachternaam) else '' end
  as character varying(238)) as dvtav, 
  tbcontactadressen.dvhuisnummer,
  tbcontactadressen.dvhuisletter,
  tbcontactadressen.dvhuisnummertoevoeging,
  tbcontactadressen.dvstraatnaam,
  tbcontactadressen.dvpostcode,
  tbcontactadressen.dvwoonplaatsnaam dvwoonplaats,
  tbcontactadressen.dvsofinummer dvbsn,
  tbcontactadressen.dvbin,
  tbcontactadressen.dvemail dvemail,
  cast(case 
      when tbcontactadressen.dvgeslacht = 'M'  then 'de heer' 
	  when tbcontactadressen.dvgeslacht = 'V' then 'mevrouw'
	  else 'de heer/mevrouw' end
	  || case when tbcontactadressen.dvvoorletters is not null then rtrim(' '||tbcontactadressen.dvvoorletters) else '' end
      || case when tbcontactadressen.dvvoorvoegsel is not null then rtrim(' '||tbcontactadressen.dvvoorvoegsel) else '' end
      || case when tbcontactadressen.dvachternaam is not null then rtrim(' '||tbcontactadressen.dvachternaam) else '' end
      as character varying(238)) as  dvtav2, 
  cast(case 
      when  rtrim(dvbedrijfsnaam) is not null and rtrim(dvachternaam) is null
      then  dvbedrijfsnaam
      when  tbcontactadressen.dvgeslacht = 'M'
      then  case when rtrim(dvbedrijfsnaam) is null then '' else dvbedrijfsnaam ||', ' end || 'de heer' 
	  when  tbcontactadressen.dvgeslacht = 'V'
      then  case when rtrim(dvbedrijfsnaam) is null then '' else dvbedrijfsnaam ||', ' end || 'mevrouw' 
      else  case when rtrim(dvbedrijfsnaam) is null then '' else dvbedrijfsnaam ||', ' end || 'de heer/mevrouw' 
   end 
   || case when tbcontactadressen.dvvoorletters is not null then rtrim(' '||tbcontactadressen.dvvoorletters) else '' end
   || case when tbcontactadressen.dvvoorvoegsel is not null then rtrim(' '||tbcontactadressen.dvvoorvoegsel) else '' end
   || case when tbcontactadressen.dvachternaam is not null then rtrim(' '||tbcontactadressen.dvachternaam) else '' end
   as character varying(440)) as dvtav3
from
  tbhorecacontactennn
  inner join tbcontactadressen
  on (tbhorecacontactennn.dnkeycontactadressen = tbcontactadressen.dnkey)
  inner join tbadressoort
  on (tbhorecacontactennn.dvcodeadressoort = tbadressoort.dvcode)
;
create or replace view vwbi_milverg as   
select
  tbmilvergunningen.dnkey,
  tbmilvergunningen.dvvergnummer dvzaakcode,
  tbmilvergunningen.ddontvangstdatum ddontvangst,
  tbmilvergunningen.ddpublaanvrg ddpublicatieaanvraag,
  tbmilvergunningen.ddbesluitdatum ddbesluit,
  tbmilvergunningen.ddingetrokken ddingetrokken,
  tbmilvergunningen.dvredenintrekking dvredenintr,
  tbmilvergunningen.ddgeldigtotmet,
  tbmilinrichtingen.dvinrichtingnaam,
  tbmilinrichtingen.dvinrichtingnr,
  tbsoortmilverg.dvomschrijving dvsoortvergunning,
  tbmilwerkz.dvomschrijving dvaardwerkzaamheden,
  tbmilvergunningen.dvpublbouwwerk dvobjwerkzaamheden,
  tbmonumenten.dvomschrijving dvobjsoortmonument,
  tbdossierverblijf.dvomschrijving dvdossierverblijf,
  tbaardbesluit.dvomschrijving dvaardbesluit,
  tbaardbesluit.dlverleend dlisverleend,
  tbopenbareruimte.dvopruimtenaam dvobjstraatnaam,
  tbperceeladressen.dvpostcode dvobjpostcode,
  tbwoonplaats.dvwoonplaatsnaam dvobjplaats,
  tbopenbareruimte.dvextraopruimtenaam dvobjoffstraatnaam,
  tbperceeladressen.dnxcoordinaat dnobjxcoordinaat,
  tbperceeladressen.dnycoordinaat dnobjycoordinaat,
  tbperceeladressen.dvaanduidingbijhuisnummer dvobjaandhuisnummer,
  tbperceeladressen.dvhuisnummer dvobjhuisnummer, 
  tbperceeladressen.dvhuisnummertoevoeging dvobjhuisnummertoevoeging, 
  tbperceeladressen.dvhuisletter dvobjhuisletter, 
  tbperceeladressen.dvgmntecode dvobjgmntecode,
  tbperceeladressen.dvsectie dvobjsectie,
  tbperceeladressen.dvperceelnummer dvobjperceelnr,
  tbperceeladressen.dvextraperceelnummers dvobjextrpercnrs,
  tbperceeladressen.dvhuisnrinfo dvobjhuisnrinfo,
  tbperceeladressen.dvidentificatiecode dvobjadresid,
  cast (tbopenbareruimte.dvopruimtenaam 
     || case when tbperceeladressen.dvaanduidingbijhuisnummer is null then ' ' 
			 else ' ' || tbperceeladressen.dvaanduidingbijhuisnummer || ' ' end 
	 || tbperceeladressen.dvhuisnummer
     || ' '
     || case when tbperceeladressen.dvhuisletter is null then '' else tbperceeladressen.dvhuisletter end
     || case when rtrim (tbperceeladressen.dvhuisnummertoevoeging) is null then '' 
			 else replace ('-' || tbperceeladressen.dvhuisnummertoevoeging,'--',  '-') end 
	 || case when tbperceeladressen.dvhuisnrinfo is null then '' else rtrim(' '||tbperceeladressen.dvhuisnrinfo) end
	 as character varying(136)) as dvobjadres,
   vwfrmactiefinbehbij.dvibbcodemw dvbehandelaarcode,
   vwfrmactiefinbehbij.dvibbnaammw dvbehandelaarnaam,
   vwfrmactiefinbehbij.dvtelefoon dvbehandelaartelefoon,
   vwfrmactiefinbehbij.dvemail dvbehandelaaremail,
   vwfrmmilvergavrcontacten.dvavrbriefaanhef,
   vwfrmmilvergavrcontacten.dvavrbedrijf,
   vwfrmmilvergavrcontacten.dvavrvoorletters,
   vwfrmmilvergavrcontacten.dvavrvoorvoegsel,
   vwfrmmilvergavrcontacten.dvavrachternaam,
   vwfrmmilvergavrcontacten.dvavrtav,
   vwfrmmilvergavrcontacten.dvavrhuisnummer,
   vwfrmmilvergavrcontacten.dvavrhuisletter,
   vwfrmmilvergavrcontacten.dvavrhuisnrtoevoeg,
   vwfrmmilvergavrcontacten.dvavrstraatnaam,
   vwfrmmilvergavrcontacten.dvavrpostcode,
   vwfrmmilvergavrcontacten.dvavrwoonplaats,
   vwfrmmilvergavrcontacten.dvavrbsn,
   vwfrmmilvergavrcontacten.dvavrbin,
   vwfrmmilvergavrcontacten.dvavremail,
   tbbestemmingsplannen.dvnaam dvbestemmingsplannaam,
   tbbestemmingsplannen.dvbestemming,
   cast(case 
      when substr(vwfrmmilvergavrcontacten.dvavrtav,1,7) = 'De heer' 
      then 'de heer' || substr(vwfrmmilvergavrcontacten.dvavrtav,8)
      when substr(vwfrmmilvergavrcontacten.dvavrtav,1,7) = 'Mevrouw' 
      then 'mevrouw' || substr(vwfrmmilvergavrcontacten.dvavrtav,8)
      else vwfrmmilvergavrcontacten.dvavrtav
      end as character varying(238)) as dvavrtav2, 
  cast(case 
     when rtrim(vwfrmmilvergavrcontacten.dvavrbedrijf) is not null and rtrim(vwfrmmilvergavrcontacten.dvavrachternaam) is null
          then vwfrmmilvergavrcontacten.dvavrbedrijf
     when substr(vwfrmmilvergavrcontacten.dvavrtav,1,7) = 'De heer' 
          then case when rtrim(dvavrbedrijf) is null then '' else dvavrbedrijf ||', ' end 
		  || 'de heer' || substr(vwfrmmilvergavrcontacten.dvavrtav,8)
     when  substr(vwfrmmilvergavrcontacten.dvavrtav,1,7) = 'Mevrouw' 
          then case when rtrim(dvavrbedrijf) is null then '' else dvavrbedrijf ||', '
	      end || 'mevrouw' || substr(vwfrmmilvergavrcontacten.dvavrtav,8)
     else case when rtrim(dvavrbedrijf) is null then '' else dvavrbedrijf ||', ' end
	     || vwfrmmilvergavrcontacten.dvavrtav
   end as character varying(440)) dvavrtav3      
from
  tbmilvergunningen
  inner join tbmilinrichtingen
  on (tbmilvergunningen.dnkeymilinrichtingen = tbmilinrichtingen.dnkey)
  left outer join tbdossierverblijf
  on (tbmilvergunningen.dvcodedossierverblijf = tbdossierverblijf.dvcode)
  left outer join tbaardbesluit
  on (tbmilvergunningen.dvcodeaardbesluit = tbaardbesluit.dvcode)
  left outer join tbmilwerkz
  on (tbmilvergunningen.dnkeymilwerkz = tbmilwerkz.dnkey)
  inner join tbperceeladressen
  on (tbmilinrichtingen.dnkeyperceeladressen = tbperceeladressen.dnkey)
  left outer join tbmonumenten
  on (tbperceeladressen.dnkeymonumenten = tbmonumenten.dnkey)
  inner join tbopenbareruimte
  on (tbperceeladressen.dnkeyopenbruimte = tbopenbareruimte.dnkey)
  inner join tbwoonplaats
  on (tbopenbareruimte.dnkeywoonplaats = tbwoonplaats.dnkey)
  left outer join vwfrmactiefinbehbij
  on (tbmilvergunningen.dnkey = vwfrmactiefinbehbij.dnkeyovvergunningen)
  left outer join vwfrmmilvergavrcontacten
  on (tbmilvergunningen.dnkey = vwfrmmilvergavrcontacten.dnkeymilvergunningen)
  left outer join tbbestemmingsplannen
  on (tbperceeladressen.dnkeygeldendbestemmingsplan = tbbestemmingsplannen.dnkey)
  inner join tbsoortmilverg
  on (tbmilvergunningen.dnkeysoortmilverg = tbsoortmilverg.dnkey)
;
create or replace view vwbi_milvergcontactadressen as
select
  tbmilvergcontactennn.dnkeymilvergunningen,
  tbmilvergcontactennn.dvcodeadressoort,
  tbadressoort.dvomschrijving dvomsadressoort,
  tbcontactadressen.dnkey dnkeycontactadressen,
  tbcontactadressen.dvbriefaanhef,
  tbcontactadressen.dvbedrijfsnaam dvbedrijf,
  tbcontactadressen.dvvoorletters,
  tbcontactadressen.dvvoorvoegsel,
  tbcontactadressen.dvachternaam,
  cast(case when tbcontactadressen.dvgeslacht = 'M' then 'De heer' 
  when tbcontactadressen.dvgeslacht ='V' then'Mevrouw' 
  else 'De heer/mevrouw' end
  || case when tbcontactadressen.dvvoorletters is not null then rtrim(' '||tbcontactadressen.dvvoorletters) else '' end
  || case when tbcontactadressen.dvvoorvoegsel is not null then rtrim(' '||tbcontactadressen.dvvoorvoegsel) else '' end
  || case when tbcontactadressen.dvachternaam is not null then rtrim(' '||tbcontactadressen.dvachternaam) else '' end
  as character varying(238)) as dvtav, 
  tbcontactadressen.dvhuisnummer,
  tbcontactadressen.dvhuisletter,
  tbcontactadressen.dvhuisnummertoevoeging,
  tbcontactadressen.dvstraatnaam,
  tbcontactadressen.dvpostcode,
  tbcontactadressen.dvwoonplaatsnaam dvwoonplaats,
  tbcontactadressen.dvsofinummer dvbsn,
  tbcontactadressen.dvbin,
  tbcontactadressen.dvemail dvemail,
  cast(case 
      when tbcontactadressen.dvgeslacht = 'M'  then 'de heer' 
	  when tbcontactadressen.dvgeslacht = 'V' then 'mevrouw'
	  else 'de heer/mevrouw' end
	  || case when tbcontactadressen.dvvoorletters is not null then rtrim(' '||tbcontactadressen.dvvoorletters) else '' end
      || case when tbcontactadressen.dvvoorvoegsel is not null then rtrim(' '||tbcontactadressen.dvvoorvoegsel) else '' end
      || case when tbcontactadressen.dvachternaam is not null then rtrim(' '||tbcontactadressen.dvachternaam) else '' end
      as character varying(238)) as  dvtav2, 
  cast(case 
      when  rtrim(dvbedrijfsnaam) is not null and rtrim(dvachternaam) is null
      then  dvbedrijfsnaam
      when  tbcontactadressen.dvgeslacht = 'M'
      then  case when rtrim(dvbedrijfsnaam) is null then '' else dvbedrijfsnaam ||', ' end || 'de heer' 
	  when  tbcontactadressen.dvgeslacht = 'V'
      then  case when rtrim(dvbedrijfsnaam) is null then '' else dvbedrijfsnaam ||', ' end || 'mevrouw' 
      else  case when rtrim(dvbedrijfsnaam) is null then '' else dvbedrijfsnaam ||', ' end || 'de heer/mevrouw' 
   end 
   || case when tbcontactadressen.dvvoorletters is not null then rtrim(' '||tbcontactadressen.dvvoorletters) else '' end
   || case when tbcontactadressen.dvvoorvoegsel is not null then rtrim(' '||tbcontactadressen.dvvoorvoegsel) else '' end
   || case when tbcontactadressen.dvachternaam is not null then rtrim(' '||tbcontactadressen.dvachternaam) else '' end
   as character varying(440)) as dvtav3
from
  tbmilvergcontactennn
  inner join tbcontactadressen
  on (tbmilvergcontactennn.dnkeycontactadressen = tbcontactadressen.dnkey)
  inner join tbadressoort
  on (tbmilvergcontactennn.dvcodeadressoort = tbadressoort.dvcode)
;
create or replace view vwbi_handhaving as   
select
  tbhandhavingen.dnkey,
  tbhandhavingen.dvaanschrijfnr dvzaakcode,
  tbhandhavingen.ddverzoekdatum ddontvangst,
  tbhandhavingen.ddaanzegdatum, 
  tbhandhavingen.ddeinddatum,
  tbhandhavingen.dvomsbouwwerk,
  tbhandhovertreding.dvomschrijving dvovertreding,
  tbhandhwetbasis.dvomschrijving dvwetbasis,
  tbhandhavingen.dvinhoud,
  tbhandhavingen.dvlast,
  tbhandhavingen.dvarchiefnr,
  tbmonumenten.dvomschrijving dvobjsoortmonument,
  tbdossierverblijf.dvomschrijving dvdossierverblijf,
  tbhandhprojekten.dvomschrijving dvproject,
  tbhandhafronding.dvomschrijving dvafronding,
    tbopenbareruimte.dvopruimtenaam dvobjstraatnaam,
  tbperceeladressen.dvpostcode dvobjpostcode,
  tbwoonplaats.dvwoonplaatsnaam dvobjplaats,
  tbopenbareruimte.dvextraopruimtenaam dvobjoffstraatnaam,
  tbperceeladressen.dnxcoordinaat dnobjxcoordinaat,
  tbperceeladressen.dnycoordinaat dnobjycoordinaat,
  tbperceeladressen.dvaanduidingbijhuisnummer dvobjaandhuisnummer,
  tbperceeladressen.dvhuisnummer dvobjhuisnummer, 
  tbperceeladressen.dvhuisnummertoevoeging dvobjhuisnummertoevoeging, 
  tbperceeladressen.dvhuisletter dvobjhuisletter, 
  tbperceeladressen.dvgmntecode dvobjgmntecode,
  tbperceeladressen.dvsectie dvobjsectie,
  tbperceeladressen.dvperceelnummer dvobjperceelnr,
  tbperceeladressen.dvextraperceelnummers dvobjextrpercnrs,
  tbperceeladressen.dvhuisnrinfo dvobjhuisnrinfo,
  tbperceeladressen.dvidentificatiecode dvobjadresid,
  cast (tbopenbareruimte.dvopruimtenaam 
     || case when tbperceeladressen.dvaanduidingbijhuisnummer is null then ' ' 
			 else ' ' || tbperceeladressen.dvaanduidingbijhuisnummer || ' ' end 
	 || tbperceeladressen.dvhuisnummer
     || ' '
     || case when tbperceeladressen.dvhuisletter is null then '' else tbperceeladressen.dvhuisletter end
     || case when rtrim (tbperceeladressen.dvhuisnummertoevoeging) is null then '' 
			 else replace ('-' || tbperceeladressen.dvhuisnummertoevoeging,'--',  '-') end 
	 || case when tbperceeladressen.dvhuisnrinfo is null then '' else rtrim(' '||tbperceeladressen.dvhuisnrinfo) end
	 as character varying(136)) as dvobjadres,
   vwfrmactiefinbehbij.dvibbcodemw dvbehandelaarcode,
   vwfrmactiefinbehbij.dvibbnaammw dvbehandelaarnaam,
   vwfrmactiefinbehbij.dvtelefoon dvbehandelaartelefoon,
   vwfrmactiefinbehbij.dvemail dvbehandelaaremail,
   vwfrmhandhhpccontacten.dvavrbriefaanhef,
   vwfrmhandhhpccontacten.dvavrbedrijf,
   vwfrmhandhhpccontacten.dvavrvoorletters,
   vwfrmhandhhpccontacten.dvavrvoorvoegsel,
   vwfrmhandhhpccontacten.dvavrachternaam,
   vwfrmhandhhpccontacten.dvavrtav,
   vwfrmhandhhpccontacten.dvavrhuisnummer,
   vwfrmhandhhpccontacten.dvavrhuisletter,
   vwfrmhandhhpccontacten.dvavrhuisnrtoevoeg,
   vwfrmhandhhpccontacten.dvavrstraatnaam,
   vwfrmhandhhpccontacten.dvavrpostcode,
   vwfrmhandhhpccontacten.dvavrwoonplaats,
   vwfrmhandhhpccontacten.dvavrbsn,
   vwfrmhandhhpccontacten.dvavrbin,
   vwfrmhandhhpccontacten.dvavremail,
   tbbestemmingsplannen.dvnaam dvbestemmingsplannaam,
   tbbestemmingsplannen.dvbestemming,
   cast(case 
      when substr(vwfrmhandhhpccontacten.dvavrtav,1,7) = 'De heer' 
      then 'de heer' || substr(vwfrmhandhhpccontacten.dvavrtav,8)
      when substr(vwfrmhandhhpccontacten.dvavrtav,1,7) = 'Mevrouw' 
      then 'mevrouw' || substr(vwfrmhandhhpccontacten.dvavrtav,8)
      else vwfrmhandhhpccontacten.dvavrtav
      end as character varying(238)) as dvavrtav2, 
  cast(case 
     when rtrim(vwfrmhandhhpccontacten.dvavrbedrijf) is not null and rtrim(vwfrmhandhhpccontacten.dvavrachternaam) is null
          then vwfrmhandhhpccontacten.dvavrbedrijf
     when substr(vwfrmhandhhpccontacten.dvavrtav,1,7) = 'De heer' 
          then case when rtrim(dvavrbedrijf) is null then '' else dvavrbedrijf ||', ' end 
		  || 'de heer' || substr(vwfrmhandhhpccontacten.dvavrtav,8)
     when  substr(vwfrmhandhhpccontacten.dvavrtav,1,7) = 'Mevrouw' 
          then case when rtrim(dvavrbedrijf) is null then '' else dvavrbedrijf ||', '
	      end || 'mevrouw' || substr(vwfrmhandhhpccontacten.dvavrtav,8)
     else case when rtrim(dvavrbedrijf) is null then '' else dvavrbedrijf ||', ' end
	     || vwfrmhandhhpccontacten.dvavrtav
   end as character varying(440)) dvavrtav3      
from
  tbhandhavingen
  left outer join tbdossierverblijf
  on (tbhandhavingen.dvcodedossierverblijf = tbdossierverblijf.dvcode)
  left outer join tbhandhprojekten
  on (tbhandhavingen.dnkeyhandhprojekt = tbhandhprojekten.dnkey)
  left outer join tbhandhafronding
  on (tbhandhavingen.dvcodehandhafronding = tbhandhafronding.dvcode)
  left outer join tbhandhovertreding
  on (tbhandhavingen.dnkeyhandhovertreding = tbhandhovertreding.dnkey)
  left outer join tbhandhwetbasis
  on (tbhandhovertreding.dnkeyhandhwetbasis = tbhandhwetbasis.dnkey)
  inner join tbperceeladressen
  on (tbhandhavingen.dnkeyperceeladressen = tbperceeladressen.dnkey)
  left outer join tbmonumenten
  on (tbperceeladressen.dnkeymonumenten = tbmonumenten.dnkey)
  left outer join vwfrmactiefinbehbij
  on (tbhandhavingen.dnkey = vwfrmactiefinbehbij.dnkeyhandhavingen)
  left outer join vwfrmhandhhpccontacten
  on (tbhandhavingen.dnkey = vwfrmhandhhpccontacten.dnkeyhandhavingen)  
  inner join tbopenbareruimte
  on (tbperceeladressen.dnkeyopenbruimte = tbopenbareruimte.dnkey)
  inner join tbwoonplaats
  on (tbopenbareruimte.dnkeywoonplaats = tbwoonplaats.dnkey)
  left outer join tbbestemmingsplannen
  on (tbperceeladressen.dnkeygeldendbestemmingsplan = tbbestemmingsplannen.dnkey)
;
create or replace view vwbi_handhcontactadressen as
select
  tbhandhcontactennn.dnkeyhandhavingen,
  tbhandhcontactennn.dvcodeadressoort,
  tbadressoort.dvomschrijving dvomsadressoort,
  tbcontactadressen.dnkey dnkeycontactadressen,
  tbcontactadressen.dvbriefaanhef,
  tbcontactadressen.dvbedrijfsnaam dvbedrijf,
  tbcontactadressen.dvvoorletters,
  tbcontactadressen.dvvoorvoegsel,
  tbcontactadressen.dvachternaam,
  cast(case when tbcontactadressen.dvgeslacht = 'M' then 'De heer' 
  when tbcontactadressen.dvgeslacht ='V' then'Mevrouw' 
  else 'De heer/mevrouw' end
  || case when tbcontactadressen.dvvoorletters is not null then rtrim(' '||tbcontactadressen.dvvoorletters) else '' end
  || case when tbcontactadressen.dvvoorvoegsel is not null then rtrim(' '||tbcontactadressen.dvvoorvoegsel) else '' end
  || case when tbcontactadressen.dvachternaam is not null then rtrim(' '||tbcontactadressen.dvachternaam) else '' end
  as character varying(238)) as dvtav, 
  tbcontactadressen.dvhuisnummer,
  tbcontactadressen.dvhuisletter,
  tbcontactadressen.dvhuisnummertoevoeging,
  tbcontactadressen.dvstraatnaam,
  tbcontactadressen.dvpostcode,
  tbcontactadressen.dvwoonplaatsnaam dvwoonplaats,
  tbcontactadressen.dvsofinummer dvbsn,
  tbcontactadressen.dvbin,
  tbcontactadressen.dvemail dvemail,
  cast(case 
      when tbcontactadressen.dvgeslacht = 'M'  then 'de heer' 
	  when tbcontactadressen.dvgeslacht = 'V' then 'mevrouw'
	  else 'de heer/mevrouw' end
	  || case when tbcontactadressen.dvvoorletters is not null then rtrim(' '||tbcontactadressen.dvvoorletters) else '' end
      || case when tbcontactadressen.dvvoorvoegsel is not null then rtrim(' '||tbcontactadressen.dvvoorvoegsel) else '' end
      || case when tbcontactadressen.dvachternaam is not null then rtrim(' '||tbcontactadressen.dvachternaam) else '' end
      as character varying(238)) as  dvtav2, 
  cast(case 
      when  rtrim(dvbedrijfsnaam) is not null and rtrim(dvachternaam) is null
      then  dvbedrijfsnaam
      when  tbcontactadressen.dvgeslacht = 'M'
      then  case when rtrim(dvbedrijfsnaam) is null then '' else dvbedrijfsnaam ||', ' end || 'de heer' 
	  when  tbcontactadressen.dvgeslacht = 'V'
      then  case when rtrim(dvbedrijfsnaam) is null then '' else dvbedrijfsnaam ||', ' end || 'mevrouw' 
      else  case when rtrim(dvbedrijfsnaam) is null then '' else dvbedrijfsnaam ||', ' end || 'de heer/mevrouw' 
   end 
   || case when tbcontactadressen.dvvoorletters is not null then rtrim(' '||tbcontactadressen.dvvoorletters) else '' end
   || case when tbcontactadressen.dvvoorvoegsel is not null then rtrim(' '||tbcontactadressen.dvvoorvoegsel) else '' end
   || case when tbcontactadressen.dvachternaam is not null then rtrim(' '||tbcontactadressen.dvachternaam) else '' end
   as character varying(440)) as dvtav3
from
  tbhandhcontactennn
  inner join tbcontactadressen
  on (tbhandhcontactennn.dnkeycontactadressen = tbcontactadressen.dnkey)
  inner join tbadressoort
  on (tbhandhcontactennn.dvcodeadressoort = tbadressoort.dvcode)
;
create or replace view vwbi_omgverg as
select
    tbomgvergunning.dnkey, 
	tbomgvergunning.dvzaakcode,
	tbomgvergunning.ddaanvraag ddontvangst,
	tbomgvergunning.ddpublaanvrg ddpublicatieaanvraag,
    tbomgvergunning.dvaanvraagnaam,
    tbomgvergunning.dvaanvraagoms,
    tbomgvergunning.dvlvoaanvraagnr,
	tbomgvergunning.dvdmszaakcode,
    tbsoortomgverg.dvomschrijving dvsoortaanvraag,
    tbomgvergunning.ddaanhoudenvanaf,
    tbomgvergunning.ddaanhoudentotmet,
	tbredenaanhouding.dvredenaanhouding,
    tbomgvergunning.ddingetrokken,
    tbomgvergunning.dvredenintrekking,
	tbomgvergunning.ddontwerpbesl,
    tbomgvergunning.ddbesluitdatum ddbesluit,
    tbomgvergunning.ddbeschverzonden ddverzend,
    tbomgvergunning.ddinwerking,
    tbaardbesluit.dvomschrijving dvaardbesluit,
    tbaardbesluit.dlverleend dlisverleend,
    cast(case
        when ddonherroepelijk is not null
        then
             tbaardbesluit.dvomschrijving
        when ddvernietigd is not null
        then
             'vernietigd'
        when ddgeschorstvanaf is not null
        then
            'geschorst'
        when ddbesluitdatum is not null
        then
            tbaardbesluit.dvomschrijving
        when ddingetrokken is not null
        then
            'ingetrokken (aanvrager)'
        when ddaanhoudenvanaf is not null
             and ddaanhoudentotmet is null
        then
            'aangehouden'
        else
            'in behandeling'
        end as character varying(40)) as  dvstatus,
        tbopenbareruimte.dvopruimtenaam dvobjstraatnaam,
		tbperceeladressen.dvpostcode dvobjpostcode,
		tbwoonplaats.dvwoonplaatsnaam dvobjplaats,
		tbopenbareruimte.dvextraopruimtenaam dvobjoffstraatnaam,
		tbperceeladressen.dnxcoordinaat dnobjxcoordinaat,
		tbperceeladressen.dnycoordinaat dnobjycoordinaat,
		tbperceeladressen.dvaanduidingbijhuisnummer dvobjaandhuisnummer,
		tbperceeladressen.dvhuisnummer dvobjhuisnummer, 
		tbperceeladressen.dvhuisnummertoevoeging dvobjhuisnummertoevoeging, 
		tbperceeladressen.dvhuisletter dvobjhuisletter, 
		tbperceeladressen.dvgmntecode dvobjgmntecode,
		tbperceeladressen.dvsectie dvobjsectie,
		tbperceeladressen.dvperceelnummer dvobjperceelnr,
		tbperceeladressen.dvextraperceelnummers dvobjextrpercnrs,
		tbperceeladressen.dvhuisnrinfo dvobjhuisnrinfo,
		tbperceeladressen.dvidentificatiecode dvobjadresid,
		cast (tbopenbareruimte.dvopruimtenaam 
            || case when tbperceeladressen.dvaanduidingbijhuisnummer is null then ' ' 
			        else ' ' || tbperceeladressen.dvaanduidingbijhuisnummer || ' ' end 
	        || tbperceeladressen.dvhuisnummer
            || ' '
            || case when tbperceeladressen.dvhuisletter is null then '' else tbperceeladressen.dvhuisletter end
            || case when rtrim (tbperceeladressen.dvhuisnummertoevoeging) is null then '' 
			        else replace ('-' || tbperceeladressen.dvhuisnummertoevoeging,'--',  '-') end 
	        || case when tbperceeladressen.dvhuisnrinfo is null then '' else rtrim(' '||tbperceeladressen.dvhuisnrinfo) end
	    as character varying(136)) as dvobjadres,
		vwfrmactiefinbehbij.dvibbcodemw dvbehandelaarcode,
        vwfrmactiefinbehbij.dvibbnaammw dvbehandelaarnaam,
	    vwfrmactiefinbehbij.dvvoorletters dvbehandelaarvoorletters,
		vwfrmactiefinbehbij.dvtussenvoegsel dvbehandelaartussenvoegsel,
		vwfrmactiefinbehbij.dvgeslacht dvbehandelaargeslacht,
        vwfrmactiefinbehbij.dvtelefoon dvbehandelaartelefoon,
        vwfrmactiefinbehbij.dvemail dvbehandelaaremail,
		vwfrmomgavrcontacten.dvavrbriefaanhef,
		vwfrmomgavrcontacten.dvavrbedrijf,
		vwfrmomgavrcontacten.dvavrvoorletters,
		vwfrmomgavrcontacten.dvavrvoorvoegsel,
		vwfrmomgavrcontacten.dvavrachternaam,
		vwfrmomgavrcontacten.dvavrtav,
		vwfrmomgavrcontacten.dvavrhuisnummer,
		vwfrmomgavrcontacten.dvavrhuisletter,
		vwfrmomgavrcontacten.dvavrhuisnrtoevoeg,
		vwfrmomgavrcontacten.dvavrstraatnaam,
		vwfrmomgavrcontacten.dvavrpostcode,
		vwfrmomgavrcontacten.dvavrwoonplaats,
		vwfrmomgavrcontacten.dvavrbsn,
		vwfrmomgavrcontacten.dvavrbin,
		vwfrmomgavrcontacten.dvavremail,
		tbbestemmingsplannen.dvnaam dvbestemmingsplannaam,
		tbbestemmingsplannen.dvbestemming,
		cast(case 
            when substr(vwfrmomgavrcontacten.dvavrtav,1,7) = 'De heer' 
            then 'de heer' || substr(vwfrmomgavrcontacten.dvavrtav,8)
            when substr(vwfrmomgavrcontacten.dvavrtav,1,7) = 'Mevrouw' 
            then 'mevrouw' || substr(vwfrmomgavrcontacten.dvavrtav,8)
            else vwfrmomgavrcontacten.dvavrtav
            end as character varying(238)) as dvavrtav2, 
       cast(case 
            when rtrim(vwfrmomgavrcontacten.dvavrbedrijf) is not null and rtrim(vwfrmomgavrcontacten.dvavrachternaam) is null
            then vwfrmomgavrcontacten.dvavrbedrijf
            when substr(vwfrmomgavrcontacten.dvavrtav,1,7) = 'De heer' 
            then case when rtrim(dvavrbedrijf) is null then '' else dvavrbedrijf ||', ' end 
		    || 'de heer' || substr(vwfrmomgavrcontacten.dvavrtav,8)
            when  substr(vwfrmomgavrcontacten.dvavrtav,1,7) = 'Mevrouw' 
            then case when rtrim(dvavrbedrijf) is null then '' else dvavrbedrijf ||', '
	        end || 'mevrouw' || substr(vwfrmomgavrcontacten.dvavrtav,8)
            else case when rtrim(dvavrbedrijf) is null then '' else dvavrbedrijf ||', ' end
	        || vwfrmomgavrcontacten.dvavrtav
            end as character varying(440)) dvavrtav3      
	from   
		tbomgvergunning
		inner join tbperceeladressen
		on (tbomgvergunning.dnkeyperceeladressen = tbperceeladressen.dnkey)
        inner join tbopenbareruimte
		on (tbperceeladressen.dnkeyopenbruimte = tbopenbareruimte.dnkey)
		inner join tbwoonplaats
        on(tbopenbareruimte.dnkeywoonplaats = tbwoonplaats.dnkey)
        inner join tbsoortomgverg
		on (tbomgvergunning.dnkeysoortomgverg = tbsoortomgverg.dnkey)
        left outer join tbaardbesluit
		on (tbomgvergunning.dvcodeaardbesluit = tbaardbesluit.dvcode)
        left outer join tbredenaanhouding
		on (tbomgvergunning.dnkeyredenaanhouding = tbredenaanhouding.dnkey)
        left outer join tbbestemmingsplannen
		on (tbperceeladressen.dnkeygeldendbestemmingsplan = tbbestemmingsplannen.dnkey)
		left outer join vwfrmactiefinbehbij
		on (tbomgvergunning.dnkey = vwfrmactiefinbehbij.dnkeyomgvergunningen)
		left outer join vwfrmomgavrcontacten
        on (tbomgvergunning.dnkey = vwfrmomgavrcontacten.dnkeyomgvergunningen)
  ;
create or replace view vwbi_omgleges as 
select
  tblegesregels.dnkey,    
  tblegesregels.dnkeyomgvergunningen,
  tblegesregels.dflegesbedrag, 
  tblegessoort.dvomschrijving dvsoortleges,
  tblegesregels.dvomschrijving, 
  tblegesregels.dvnotanummer,
  tblegesregels.ddexportdatum,
  tblegessoort.dvreknr dvlegessoortreknr
from
  tblegesregels
  inner join tblegessoort
  on (tblegesregels.dnkeylegessoort = tblegessoort.dnkey)
  inner join tbomgvergunning
  on (tblegesregels.dnkeyomgvergunningen = tbomgvergunning.dnkey)
;
create or replace view vwbi_omgcontactadressen as
select
  tbomgvergcontactennn.dnkeyomgvergunningen,
  tbomgvergcontactennn.dvcodeadressoort,
  tbadressoort.dvomschrijving dvomsadressoort,
  tbcontactadressen.dnkey dnkeycontactadressen,
  tbcontactadressen.dvbriefaanhef,
  tbcontactadressen.dvbedrijfsnaam dvbedrijf,
  tbcontactadressen.dvvoorletters,
  tbcontactadressen.dvvoorvoegsel,
  tbcontactadressen.dvachternaam,
  cast(case when tbcontactadressen.dvgeslacht = 'M' then 'De heer' 
  when tbcontactadressen.dvgeslacht ='V' then'Mevrouw' 
  else 'De heer/mevrouw' end
  || case when tbcontactadressen.dvvoorletters is not null then rtrim(' '||tbcontactadressen.dvvoorletters) else '' end
  || case when tbcontactadressen.dvvoorvoegsel is not null then rtrim(' '||tbcontactadressen.dvvoorvoegsel) else '' end
  || case when tbcontactadressen.dvachternaam is not null then rtrim(' '||tbcontactadressen.dvachternaam) else '' end
  as character varying(238)) as dvtav, 
  tbcontactadressen.dvhuisnummer,
  tbcontactadressen.dvhuisletter,
  tbcontactadressen.dvhuisnummertoevoeging,
  tbcontactadressen.dvstraatnaam,
  tbcontactadressen.dvpostcode,
  tbcontactadressen.dvwoonplaatsnaam dvwoonplaats,
  tbcontactadressen.dvsofinummer dvbsn,
  tbcontactadressen.dvbin,
  tbcontactadressen.dvemail dvemail,
  cast(case 
      when tbcontactadressen.dvgeslacht = 'M'  then 'de heer' 
	  when tbcontactadressen.dvgeslacht = 'V' then 'mevrouw'
	  else 'de heer/mevrouw' end
	  || case when tbcontactadressen.dvvoorletters is not null then rtrim(' '||tbcontactadressen.dvvoorletters) else '' end
      || case when tbcontactadressen.dvvoorvoegsel is not null then rtrim(' '||tbcontactadressen.dvvoorvoegsel) else '' end
      || case when tbcontactadressen.dvachternaam is not null then rtrim(' '||tbcontactadressen.dvachternaam) else '' end
      as character varying(238)) as  dvtav2, 
  cast(case 
      when  rtrim(dvbedrijfsnaam) is not null and rtrim(dvachternaam) is null
      then  dvbedrijfsnaam
      when  tbcontactadressen.dvgeslacht = 'M'
      then  case when rtrim(dvbedrijfsnaam) is null then '' else dvbedrijfsnaam ||', ' end || 'de heer' 
	  when  tbcontactadressen.dvgeslacht = 'V'
      then  case when rtrim(dvbedrijfsnaam) is null then '' else dvbedrijfsnaam ||', ' end || 'mevrouw' 
      else  case when rtrim(dvbedrijfsnaam) is null then '' else dvbedrijfsnaam ||', ' end || 'de heer/mevrouw' 
   end 
   || case when tbcontactadressen.dvvoorletters is not null then rtrim(' '||tbcontactadressen.dvvoorletters) else '' end
   || case when tbcontactadressen.dvvoorvoegsel is not null then rtrim(' '||tbcontactadressen.dvvoorvoegsel) else '' end
   || case when tbcontactadressen.dvachternaam is not null then rtrim(' '||tbcontactadressen.dvachternaam) else '' end
   as character varying(440)) as dvtav3
from
  tbomgvergcontactennn
  inner join tbcontactadressen
  on (tbomgvergcontactennn.dnkeycontactadressen = tbcontactadressen.dnkey)
  inner join tbadressoort
  on (tbomgvergcontactennn.dvcodeadressoort = tbadressoort.dvcode)
;
create or replace view vwbi_omgtoestemmingen as 
select 
	a.dnkeyomgvergunningen,    
	a.dvwerkzaamheden, 
	b.dvtoestemmingnaam,
	b.dvwetverordening,
	b.dvartikel,
	a.ddingetrokken,
	a.dvredenintrekking,
	b.dluitvoering, 
	a.ddstartwrkzhn,
	a.ddgebruikgereed,
	a.ddopgeleverd,
	a.ddnaarbaga
from
  tbtoestemmingen a
  inner join tbsrttoestemming b
  on (a.dnkeysrttoestemming = b.dnkey)
;
create or replace view vwinranderecorresp as
select 
    a.dnkey dnkeycorrespondentie,
    a.dnkeydocumenten,
    a.ddbriefdatum,
    a.dvdocfilenaam,
    a.dvonderwerp,
    a.dvkenmerk,
    a.dnkeycontactadressen,
    e.dnkey dnkeymilinrichtingen,
    b.dvcodedocumentsoorten,
    b.dvdocumentnaam,
    b.dvtemplate,
    b.dnvolgnummer,
    c.dvbedrijfsnaam,
    c.dvachternaam,
    c.dvvoorletters,
    c.dvvoorvoegsel,
    c.dvgeslacht,
    c.dvstraatnaam,
    c.dvhuisnummer,
    c.dvaanduidingbijhuisnummer,
    c.dvhuisletter,
    c.dvhuisnummertoevoeging,
    c.dvpostcode,
    c.dvwoonplaatsnaam,
    c.dvtelefoon,
    c.dvfax,
    c.dvemail,
    c.dvsofinummer dvbsn,
    b.dlcontactverplicht,
    b.dvomschrijving,
    a.dnkeyinspbezoeken,
    a.dnkeyadviezen,
	d.dvzaakcode dvzaakcode, 
	cast(d.dvaanvraagnaam as character varying(200)) as dvzaakoms,
    cast('W' as char(1)) as dvmodule,
	a.dlverstuurd,
	a.dvcodeeigenaar,
	a.dvdmsdoccode,
	a.dvextrainfo
    from   tbcorrespondentie a
            inner join tbdocumenten b
            on (a.dnkeydocumenten = b.dnkey)
			left outer join tbcontactadressen c
            on (a.dnkeycontactadressen = c.dnkey)
			inner join tbomgvergunning d
			on (a.dnkeyomgvergunningen = d.dnkey)
			inner join tbmilinrichtingen e
			on (d.dnkeymilinrichtingen = e.dnkey)
union	
select 
    a.dnkey dnkeycorrespondentie,
    a.dnkeydocumenten,
    a.ddbriefdatum,
    a.dvdocfilenaam,
    a.dvonderwerp,
    a.dvkenmerk,
    a.dnkeycontactadressen,
    e.dnkey dnkeymilinrichtingen,
    b.dvcodedocumentsoorten,
    b.dvdocumentnaam,
    b.dvtemplate,
    b.dnvolgnummer,
    c.dvbedrijfsnaam,
    c.dvachternaam,
    c.dvvoorletters,
    c.dvvoorvoegsel,
    c.dvgeslacht,
    c.dvstraatnaam,
    c.dvhuisnummer,
    c.dvaanduidingbijhuisnummer,
    c.dvhuisletter,
    c.dvhuisnummertoevoeging,
    c.dvpostcode,
    c.dvwoonplaatsnaam,
    c.dvtelefoon,
    c.dvfax,
    c.dvemail,
    c.dvsofinummer dvbsn,
    b.dlcontactverplicht,
    b.dvomschrijving,
    a.dnkeyinspbezoeken,
    a.dnkeyadviezen,
	d.dvvergnummer dvzaakcode, 
	cast(f.dvomschrijving || '' || d.dvpublbouwwerk as character varying(200)) as dvzaakoms,
	cast('E' as char(1)) as dvmodule,
    a.dlverstuurd,
	a.dvcodeeigenaar,
	a.dvdmsdoccode,
	a.dvextrainfo
    from   tbcorrespondentie a
	        inner join tbdocumenten b
			on (a.dnkeydocumenten = b.dnkey) 
            left outer join tbcontactadressen c
			on (a.dnkeycontactadressen = c.dnkey)
            inner join tbmilvergunningen d
			on (a.dnkeymilvergunningen = d.dnkey)
			inner join tbmilinrichtingen e
			on (d.dnkeymilinrichtingen = e.dnkey)
			left outer join tbmilwerkz f
            on (d.dnkeymilwerkz = f.dnkey)
union		
select 
    a.dnkey dnkeycorrespondentie,
    a.dnkeydocumenten,
    a.ddbriefdatum,
    a.dvdocfilenaam,
    a.dvonderwerp,
    a.dvkenmerk,
    a.dnkeycontactadressen,
    e.dnkey dnkeymilinrichtingen,
    b.dvcodedocumentsoorten,
    b.dvdocumentnaam,
    b.dvtemplate,
    b.dnvolgnummer,
    c.dvbedrijfsnaam,
    c.dvachternaam,
    c.dvvoorletters,
    c.dvvoorvoegsel,
    c.dvgeslacht,
    c.dvstraatnaam,
    c.dvhuisnummer,
    c.dvaanduidingbijhuisnummer,
    c.dvhuisletter,
    c.dvhuisnummertoevoeging,
    c.dvpostcode,
    c.dvwoonplaatsnaam,
    c.dvtelefoon,
    c.dvfax,
    c.dvemail,
    c.dvsofinummer dvbsn,
    b.dlcontactverplicht,
    b.dvomschrijving,
    a.dnkeyinspbezoeken,
    a.dnkeyadviezen,
	d.dvaanschrijfnr dvzaakcode, 
	cast(f.dvomschrijving as character varying(200)) as dvzaakoms,
	cast('H' as char(1)) as dvmodule,
	a.dlverstuurd,
	a.dvcodeeigenaar,
	a.dvdmsdoccode,
	a.dvextrainfo
    from   tbcorrespondentie a
	       inner join tbdocumenten b
	       on (a.dnkeydocumenten = b.dnkey)
           left outer join tbcontactadressen c
	       on (a.dnkeycontactadressen = c.dnkey)
           inner join tbhandhavingen d
		   on (a.dnkeyhandhavingen = d.dnkey)
		   inner join tbmilinrichtingen e
		   on (d.dnkeymilinrichtingen = e.dnkey)
		   left outer join tbhandhovertreding f
           on (d.dnkeyhandhovertreding = f.dnkey)
union
select 
    a.dnkey dnkeycorrespondentie,
    a.dnkeydocumenten,
    a.ddbriefdatum,
    a.dvdocfilenaam,
    a.dvonderwerp,
    a.dvkenmerk,
    a.dnkeycontactadressen,
    e.dnkey dnkeymilinrichtingen,
    b.dvcodedocumentsoorten,
    b.dvdocumentnaam,
    b.dvtemplate,
    b.dnvolgnummer,
    c.dvbedrijfsnaam,
    c.dvachternaam,
    c.dvvoorletters,
    c.dvvoorvoegsel,
    c.dvgeslacht,
    c.dvstraatnaam,
    c.dvhuisnummer,
    c.dvaanduidingbijhuisnummer,
    c.dvhuisletter,
    c.dvhuisnummertoevoeging,
    c.dvpostcode,
    c.dvwoonplaatsnaam,
    c.dvtelefoon,
    c.dvfax,
    c.dvemail,
    c.dvsofinummer dvbsn,
    b.dlcontactverplicht,
    b.dvomschrijving,
    a.dnkeyinspbezoeken,
    a.dnkeyadviezen,
	d.dvvergunningsnr dvzaakcode, 
	cast(f.dvomschrijving || '' || d.dvpublbouwwerk as character varying(200)) as dvzaakoms,
    cast('O' as char(1)) as dvmodule,
	a.dlverstuurd,
	a.dvcodeeigenaar,
	a.dvdmsdoccode,
	a.dvextrainfo
    from   tbcorrespondentie a
	       inner join tbdocumenten b
	       on (a.dnkeydocumenten = b.dnkey)
           left outer join tbcontactadressen c
		   on (a.dnkeycontactadressen = c.dnkey)
           inner join tbovvergunningen d
		   on (a.dnkeyovvergunningen = d.dnkey)
		   inner join tbmilinrichtingen e
		   on (d.dnkeymilinrichtingen = e.dnkey)
			left outer join tbovwerkz f
			on (d.dnkeyovwerkz = f.dnkey)
union
select 
    a.dnkey dnkeycorrespondentie,
    a.dnkeydocumenten,
    a.ddbriefdatum,
    a.dvdocfilenaam,
    a.dvonderwerp,
    a.dvkenmerk,
    a.dnkeycontactadressen,
    e.dnkey dnkeymilinrichtingen,
    b.dvcodedocumentsoorten,
    b.dvdocumentnaam,
    b.dvtemplate,
    b.dnvolgnummer,
    c.dvbedrijfsnaam,
    c.dvachternaam,
    c.dvvoorletters,
    c.dvvoorvoegsel,
    c.dvgeslacht,
    c.dvstraatnaam,
    c.dvhuisnummer,
    c.dvaanduidingbijhuisnummer,
    c.dvhuisletter,
    c.dvhuisnummertoevoeging,
    c.dvpostcode,
    c.dvwoonplaatsnaam,
    c.dvtelefoon,
    c.dvfax,
    c.dvemail,
    c.dvsofinummer dvbsn,
    b.dlcontactverplicht,
    b.dvomschrijving,
    a.dnkeyinspbezoeken,
    a.dnkeyadviezen,
	d.dvvergnummer dvzaakcode, 
	cast(f.dvomschrijving as character varying(200)) as dvzaakoms,
	cast('C' as char(1)) as dvmodule,
	a.dlverstuurd,
	a.dvcodeeigenaar,
	a.dvdmsdoccode,
	a.dvextrainfo
    from   tbcorrespondentie a
	       inner join tbdocumenten b
           on (a.dnkeydocumenten = b.dnkey)
           left outer join tbcontactadressen c
		   on (a.dnkeycontactadressen = c.dnkey)
		   inner join tbhorecavergunningen d
		   on (a.dnkeyhorecavergunningen = d.dnkey)
		   inner join tbmilinrichtingen e
		   on (d.dnkeymilinrichtingen = e.dnkey)
		   left outer join tbsoorthorverg f
		   on (d.dnkeysoortverg = f.dnkey)
union 
select 
    a.dnkey dnkeycorrespondentie,
    a.dnkeydocumenten,
    a.ddbriefdatum,
    a.dvdocfilenaam,
    a.dvonderwerp,
    a.dvkenmerk,
    a.dnkeycontactadressen,
    e.dnkey dnkeymilinrichtingen,
    b.dvcodedocumentsoorten,
    b.dvdocumentnaam,
    b.dvtemplate,
    b.dnvolgnummer,
    c.dvbedrijfsnaam,
    c.dvachternaam,
    c.dvvoorletters,
    c.dvvoorvoegsel,
    c.dvgeslacht,
    c.dvstraatnaam,
    c.dvhuisnummer,
    c.dvaanduidingbijhuisnummer,
    c.dvhuisletter,
    c.dvhuisnummertoevoeging,
    c.dvpostcode,
    c.dvwoonplaatsnaam,
    c.dvtelefoon,
    c.dvfax,
    c.dvemail,
    c.dvsofinummer dvbsn,
    b.dlcontactverplicht,
    b.dvomschrijving,
    a.dnkeyinspbezoeken,
    a.dnkeyadviezen,
	d.dvbouwnr dvzaakcode, 
	cast(f.dvomschrijving || '' || d.dvpublbouwwerk as character varying(200)) as dvzaakoms,
	cast('B' as char(1)) as dvmodule,
	a.dlverstuurd,
	a.dvcodeeigenaar,
	a.dvdmsdoccode,
	a.dvextrainfo
    from   tbcorrespondentie a
	       inner join tbdocumenten b
		   on (a.dnkeydocumenten = b.dnkey)
		   left outer join tbcontactadressen c
		   on (a.dnkeycontactadressen = c.dnkey)
		   inner join tbbouwvergunningen d
		   on (a.dnkeybouwvergunningen = d.dnkey)
		   inner join tbmilinrichtingen e
		   on (d.dnkeymilinrichtingen = e.dnkey)
		   left outer join tbbouwwerkz f
    		on (d.dnkeybouwwerkz = f.dnkey)
;  
create or replace view vwfrminrkinderen as
select 
    cast('W' as char(1)) as dvzaakmoduleletter,
    cast('Omgevingsvergunning' as character varying(37)) as dvzaakmoduleoms,
    a.dnkey dnkeymilinrichtingen,
    a.dvinrichtingnaam,
    b.dnkey dnkeyzaak,
     b.dvzaakcode dvzaakcode, 
    b.dvaanvraagnaam dvzaakoms,
    b.ddaanvraag ddzaakstartdatum,
    cast(case when b.ddonherroepelijk is not null then c.dvomschrijving
       when b.ddvernietigd is not null then 'vernietigd'
       when b.ddgeschorstvanaf is not null then 'geschorst'
       when b.ddbesluitdatum is not null then c.dvomschrijving
       when b.ddingetrokken is not null then 'ingetrokken (aanvrager)'
       when b.ddaanhoudenvanaf is not null and b.ddaanhoudentotmet is null then 'aangehouden' 
       else 'in behandeling'
       end as character varying(50)) as dvstatus
    from    tbaardbesluit c
            left outer join tbomgvergunning b
            on (b.dvcodeaardbesluit = c.dvcode)
            left outer join tbmilinrichtingen a
            on (b.dnkeymilinrichtingen = a.dnkey)
union
select 
    cast('E' as char(1)) as dvzaakmoduleletter,
    cast('Milieu- en gebruiksvergunning/melding' as character varying(37)) as dvzaakmoduleoms,
    a.dnkey dnkeymilinrichtingen,
    a.dvinrichtingnaam,
    b.dnkey dnkeyzaak,
     b.dvvergnummer dvzaakcode, 
    cast(d.dvomschrijving || '' || b.dvpublbouwwerk as character varying(200)) as dvzaakoms,
    b.ddontvangstdatum ddzaakstartdatum,
    cast(case
               when b.ddvervallen < fn_vandaag(0)then 'vervallen'
               when b.ddgeldigtotmet < fn_vandaag(0)then 'niet meer geldig'
               when b.ddbesluitdatum is not null then c.dvomschrijving
               when b.ddingetrokken is not null then 'ingetrokken (aanvrager)'
               else 'in behandeling'
    end  as character varying(50)) as dvstatus
    from    tbaardbesluit c
            left outer join tbmilvergunningen b
            on (b.dvcodeaardbesluit = c.dvcode)
            left outer join tbmilinrichtingen a
            on (b.dnkeymilinrichtingen = a.dnkey)                         
            left outer join tbmilwerkz d
            on (b.dnkeymilwerkz = d.dnkey)
union
select 
   cast('H' as char(1)) as dvzaakmoduleletter,
    cast('Handhavingszaak' as character varying(37)) as dvzaakmoduleoms,
    a.dnkey dnkeymilinrichtingen,
    a.dvinrichtingnaam,
    b.dnkey dnkeyzaak,
     b.dvaanschrijfnr dvzaakcode, 
    d.dvomschrijving dvzaakoms,
    b.ddverzoekdatum ddzaakstartdatum,
   cast(case
        when b.ddeinddatum is not null then 'afgehandeld'
        else  'in behandeling'
    end as character varying(50)) as dvstatus
    from    tbhandhavingen b
            left outer join tbmilinrichtingen a
            on (b.dnkeymilinrichtingen = a.dnkey)
            left outer join tbhandhovertreding d
            on (b.dnkeyhandhovertreding = d.dnkey)
union
select 
   cast('C' as char(1)) as dvzaakmoduleletter,
    cast('Horecavergunning' as character varying(37)) as dvzaakmoduleoms,
    a.dnkey dnkeymilinrichtingen,
    a.dvinrichtingnaam,
    b.dnkey dnkeyzaak,
     b.dvvergnummer dvzaakcode, 
    d.dvomschrijving dvzaakoms,
    b.ddaanvraagdatum ddzaakstartdatum,
    cast(case when b.ddvervaldatum >= fn_vandaag(0)then 'verlopen'
        when b.dddatumbesluit is not null then c.dvomschrijving
        when b.ddingetrokken is not null then 'ingetrokken (aanvrager)'
    else 'in behandeling'
    end as character varying(50)) as dvstatus
    from    tbhoraardbesluit c
            left outer join tbhorecavergunningen b
            on (b.dvcodeaardbesluit = c.dvcode)
            left outer join tbmilinrichtingen a
            on (b.dnkeymilinrichtingen = a.dnkey)    
            left outer join tbsoorthorverg d
            on (b.dnkeysoortverg = d.dnkey)
union
select 
   cast('O' as char(1)) as dvzaakmoduleletter,
   cast('Overige vergunning' as character varying(37)) as dvzaakmoduleoms,
    a.dnkey dnkeymilinrichtingen,
    a.dvinrichtingnaam,
    b.dnkey dnkeyzaak,
     b.dvvergunningsnr dvzaakcode, 
    cast(d.dvomschrijving || '' || b.dvpublbouwwerk as character varying(200)) as dvzaakoms,
    b.ddontvangstdatum ddzaakstartdatum,
    cast(case
        when b.ddgeldigtotmet < fn_vandaag(0)then 'niet meer geldig'
        when b.ddbesluitdatum is not null then c.dvomschrijving
        when b.ddingetrokken is not null then 'ingetrokken (aanvrager)'
        else 'in behandeling'
    end as character varying(50)) as dvstatus
    from    tbaardbesluit c
            left outer join tbovvergunningen b
            on (b.dvcodeaardbesluit = c.dvcode)
            left outer join tbmilinrichtingen a
            on (b.dnkeymilinrichtingen = a.dnkey)    
            left outer join tbovwerkz d
            on (b.dnkeyovwerkz = d.dnkey)
union
select 
    cast('B' as char(1)) as dvzaakmoduleletter,
    cast('Bouw- en sloopvergunning' as character varying(37)) as dvzaakmoduleoms,
    a.dnkey dnkeymilinrichtingen,
    a.dvinrichtingnaam,
    b.dnkey dnkeyzaak,
     b.dvbouwnr dvzaakcode, 
    cast(d.dvomschrijving || '' || b.dvpublbouwwerk as character varying(200)) as dvzaakoms,
    b.ddontvangstdatum ddzaakstartdatum,
    cast(case
        when b.ddgeldigtotmet < fn_vandaag(0)then 'niet meer geldig'
        when b.ddbesluitdatum is not null then c.dvomschrijving
        when b.ddingetrokken is not null then 'ingetrokken (aanvrager)'
        else 'in behandeling'
    end as character varying(50)) as dvstatus
    from    tbaardbesluit c
            left outer join tbbouwvergunningen b
            on (b.dvcodeaardbesluit = c.dvcode)
            left outer join tbmilinrichtingen a
            on (b.dnkeymilinrichtingen = a.dnkey)    
            left outer join tbbouwwerkz d
            on (b.dnkeybouwwerkz = d.dnkey)
;	
create or replace view vwfrmhandhwelstand
as select
  tbadviezen.dnkeyhandhavingen,
  tbadviezen.dvcodeadviesinstanties dvadvcodeinstantie,
  tbadviezen.dvomschrijving dvadvomschrijving,
  tbadviezen.ddaanvraagdatum ddadvaanvraag,
  tbadviezen.ddadviesdatum ddadvadvies,
  tbadviezen.ddrappeldatum ddadvrappel,
  tbadviezen.dladviespositief dvadvpositief,
  tbadviezen.dvmemo dvadvmemo,
  tbadviezen.dddateringadvies ddadvdatering,
  tbadviezen.dnkey dnadvkey,
  tbadviezen.dvcodemedewerkers,
  tbadviesinstanties.dvomschrijving dvadvinstantie,
  tbretouradvies.dvomschrijving dvadvretourcode,
  tbadvieswelstand.ddvergadering ddadvwelstvergadering,
  tbadvieswelstand.dnconclusie dnadvwelstconclusie,
  tbadvieswelstand.dvconclusietekst dvadvwelstconclusietekst,
  tbadvieswelstand.dvverslag dvadvwelstverslag,
  tbwelstandcommissie.dvomschrijving dvadvwelstandcommissie,
  vwfrmhandhavingen.dvobjadres,
  vwfrmhandhavingen.dvobjplaats,
  vwfrmhandhavingen.dvovertreding,
  vwfrmhandhavingen.dvwetbasis,
  vwfrmhandhavingen.ddhandhverzoek ddontvangst,
  vwfrmhandhavingen.dvhandhnummer dvzaakcode,
  vwfrmhandharccontacten.dvarcbedrijf,
  vwfrmhandharccontacten.dvarcvoorletters,
  vwfrmhandharccontacten.dvarcvoorvoegsel,
  vwfrmhandharccontacten.dvarcachternaam,
  vwfrmhandharccontacten.dvarcadres,
  vwfrmhandharccontacten.dvarcpostcode,
  vwfrmhandharccontacten.dvarcwoonplaats,
  vwfrmhandharccontacten.dvarchandelsnaam  
  from
  tbadviezen
  inner join tbadviesinstanties
  on tbadviezen.dvcodeadviesinstanties = tbadviesinstanties.dvcode
  left outer join tbretouradvies
  on (tbadviezen.dnkeyretouradvies = tbretouradvies.dnkey)
  inner join tbadvieswelstand
  on (tbadviezen.dnkey = tbadvieswelstand.dnkeyadviezen)
  left outer join tbwelstandcommissie
  on (tbadvieswelstand.dnkeywelcommissie = tbwelstandcommissie.dnkey)
  inner join vwfrmhandhavingen
  on (tbadviezen.dnkeyhandhavingen = vwfrmhandhavingen.dnkeyhandhaving)
  left outer join vwfrmhandharccontacten
  on (vwfrmhandhavingen.dnkeyhandhaving = vwfrmhandharccontacten.dnkeyhandhavingen)
where
  tbadviesinstanties.dlwelstand = 'T'
   ;
create or replace view vwlegeswizard as   
select 
a.dnkeyomgvergunningen,
cast(case when a.dflegesbedrag is null then 0 else a.dflegesbedrag end as float) as dflegesbedrag, 
a.dnlegesmoment,
b.dlkortingdigi,
b.dlkortingaantact, 
b.dlopslagaanvul,
b.dltmvbutianv, 
b.dltmvbutiatb,
b.dltmvbutwv, 
b.dltmvbutbbb,
b.dltmvbuwel,
a.dnkeytoestemmingen,
a.dnkeylegessoort,
b.dvgemeentecode
from 
tblegesregels a
inner join tblegessoort b
on a.dnkeylegessoort = b.dnkey  
;
create or replace view vwbouwinsp_behandelaar as select
  tbinspecties.ddrappel,
  tbinspecties.ddcontrole,
  cast(case when tbinspecties.dvomschrijving is null then tbinspaanleiding.dvaanleiding 
  else tbinspecties.dvomschrijving end as character varying(100)) as dvomschrijving,
  tbinspecties.dnkeybouwvergunningen dnkeyvergunning,
  tbinspecties.dvcodemedewerkers dvcodemedewerker,
  tbbouwvergunningen.dvbouwnr dvzaakcode,
  cast('Inspectie-traject' as character varying(17)) as dvtype,
  tbsoortplan.dvomschrijving dvsoort,
  cast('Bouw/sloop' as char(10)) as dvvantoepop,
  tbopenbareruimte.dvopruimtenaam dvadres,
  tbperceeladressen.dvhuisnummer dvhuisnummer,
  tbwoonplaats.dvwoonplaatsnaam dvplaats,
  tbbestemmingsplannen.dvnaam dvbestemmingsplan,
  vwfrmbouwavrcontacten.dvavrtav dvaanvrager,
  tbinspecties.dvdmszaakcode
from
  tbinspecties 
  left outer join tbinspaanleiding
  on (tbinspecties.dnkeyinspaanleiding = tbinspaanleiding.dnkey)
  inner join tbbouwvergunningen
  on (tbinspecties.dnkeybouwvergunningen = tbbouwvergunningen.dnkey)
  inner join tbsoortplan
  on (tbbouwvergunningen.dnsoortplan = tbsoortplan.dnkey)
  inner join tbperceeladressen
  on (tbbouwvergunningen.dnkeyperceeladressen = tbperceeladressen.dnkey)
  inner join tbopenbareruimte
  on (tbperceeladressen.dnkeyopenbruimte = tbopenbareruimte.dnkey)
  inner join tbwoonplaats
  on (tbopenbareruimte.dnkeywoonplaats = tbwoonplaats.dnkey)
  left outer join tbbestemmingsplannen
  on (tbperceeladressen.dnkeygeldendbestemmingsplan = tbbestemmingsplannen.dnkey)
  left outer join vwfrmbouwavrcontacten
  on (tbbouwvergunningen.dnkey = vwfrmbouwavrcontacten.dnkeybouwvergunningen)
where
  tbinspecties.ddrappel is not null and
  tbinspecties.ddcontrole is null and
  tbinspecties.dnkeyhandhavingen is null and
  tbinspecties.dnkeybouwvergunningen is not null and
  tbbouwvergunningen.ddblokkering is null
union
select
  tbinspbezoeken.ddgepland ddrappel,
  tbinspbezoeken.ddafgehandeld ddcontrole,
  cast(tbinspaanleiding.dvaanleiding as character varying(100)) as dvomschrijving,
  tbinspecties.dnkeyomgvergunningen dnkeyvergunning,
  tbinspbezoeken.dvcodemedewerkers dvcodemedewerker,
  tbbouwvergunningen.dvbouwnr dvzaakcode,
  cast('Inspectie-bezoek' as character varying(17)) as dvtype,
  tbsoortplan.dvomschrijving dvsoort,
  cast('Bouw/sloop' as char(10)) as dvvantoepop,
  tbopenbareruimte.dvopruimtenaam dvadres,
  tbperceeladressen.dvhuisnummer dvhuisnummer,
  tbwoonplaats.dvwoonplaatsnaam dvplaats,
  tbbestemmingsplannen.dvnaam dvbestemmingsplan,
  vwfrmbouwavrcontacten.dvavrtav dvaanvrager,
  tbinspecties.dvdmszaakcode
from
  tbinspbezoeken
  inner join tbinspecties
  on (tbinspbezoeken.dnkeyinspecties = tbinspecties.dnkey)
  left outer join tbinspaanleiding
  on (tbinspecties.dnkeyinspaanleiding = tbinspaanleiding.dnkey)
  inner join tbbouwvergunningen
  on (tbinspecties.dnkeybouwvergunningen = tbbouwvergunningen.dnkey)
  inner join tbsoortplan
  on (tbbouwvergunningen.dnsoortplan = tbsoortplan.dnkey)
  inner join tbperceeladressen
  on (tbbouwvergunningen.dnkeyperceeladressen = tbperceeladressen.dnkey)
  inner join tbopenbareruimte
  on (tbperceeladressen.dnkeyopenbruimte = tbopenbareruimte.dnkey)
  inner join tbwoonplaats
  on (tbopenbareruimte.dnkeywoonplaats = tbwoonplaats.dnkey)
  left outer join tbbestemmingsplannen
  on (tbperceeladressen.dnkeygeldendbestemmingsplan = tbbestemmingsplannen.dnkey)
  left outer join vwfrmbouwavrcontacten
  on (tbbouwvergunningen.dnkey = vwfrmbouwavrcontacten.dnkeybouwvergunningen)
where
  tbinspbezoeken.ddgepland is not null and
  tbinspbezoeken.ddafgehandeld is null and
  tbinspecties.dnkeyhandhavingen is null and
  tbinspecties.dnkeybouwvergunningen is not null and
  tbbouwvergunningen.ddblokkering is null  
;
create or replace view vwovinsp_behandelaar as select
  tbinspecties.ddrappel,
  tbinspecties.ddcontrole,
  cast(case when tbinspecties.dvomschrijving is null then tbinspaanleiding.dvaanleiding 
  else tbinspecties.dvomschrijving end as character varying(100)) as dvomschrijving,
  tbinspecties.dnkeyovvergunningen dnkeyvergunning,
  tbinspecties.dvcodemedewerkers dvcodemedewerker,
  tbovvergunningen.dvvergunningsnr dvzaakcode,
  cast('Inspectie-traject' as character varying(17)) as dvtype,
  tbsoortovverg.dvomschrijving dvsoort,
  cast('Overige' as char(7)) as  dvvantoepop,
  tbopenbareruimte.dvopruimtenaam dvadres,
  tbperceeladressen.dvhuisnummer dvhuisnummer,
  tbwoonplaats.dvwoonplaatsnaam dvplaats,
  tbbestemmingsplannen.dvnaam dvbestemmingsplan,
  vwfrmovavrcontacten.dvavrtav dvaanvrager,
  tbinspecties.dvdmszaakcode
from
  tbinspecties
  left outer join tbinspaanleiding
  on (tbinspecties.dnkeyinspaanleiding = tbinspaanleiding.dnkey)
  inner join tbovvergunningen
  on (tbinspecties.dnkeyovvergunningen = tbovvergunningen.dnkey)
  inner join tbsoortovverg
  on (tbovvergunningen.dvcodesoortovverg = tbsoortovverg.dvcode)
  inner join tbperceeladressen
  on (tbovvergunningen.dnkeyperceeladressen = tbperceeladressen.dnkey)
  inner join tbopenbareruimte
  on (tbperceeladressen.dnkeyopenbruimte = tbopenbareruimte.dnkey)
  inner join tbwoonplaats
  on (tbopenbareruimte.dnkeywoonplaats = tbwoonplaats.dnkey)
  left outer join  tbbestemmingsplannen
  on (tbperceeladressen.dnkeygeldendbestemmingsplan = tbbestemmingsplannen.dnkey)
  left outer join vwfrmovavrcontacten
  on (tbovvergunningen.dnkey = vwfrmovavrcontacten.dnkeyovvergunningen)
where
  tbinspecties.ddrappel is not null and
  tbinspecties.ddcontrole is null and
  tbinspecties.dnkeyhandhavingen is null and
  tbinspecties.dnkeyovvergunningen is not null and
  tbovvergunningen.ddblokkering is null
union
select
  tbinspbezoeken.ddgepland ddrappel,
  tbinspbezoeken.ddafgehandeld ddcontrole,
   cast(tbinspaanleiding.dvaanleiding as character varying(100)) as dvomschrijving,
  tbinspecties.dnkeyovvergunningen dnkeyvergunning,
  tbinspecties.dvcodemedewerkers dvcodemedewerker,
  tbovvergunningen.dvvergunningsnr dvzaakcode,
  cast('Inspectie-bezoek' as character varying(17)) as dvtype,
  tbsoortovverg.dvomschrijving dvsoort,
  cast('Overige' as char(7)) as  dvvantoepop,
  tbopenbareruimte.dvopruimtenaam dvadres,
  tbperceeladressen.dvhuisnummer dvhuisnummer,
  tbwoonplaats.dvwoonplaatsnaam dvplaats,
  tbbestemmingsplannen.dvnaam dvbestemmingsplan,
  vwfrmovavrcontacten.dvavrtav dvaanvrager,
  tbinspecties.dvdmszaakcode
from
  tbinspbezoeken
  inner join tbinspecties
  on (tbinspbezoeken.dnkeyinspecties = tbinspecties.dnkey)
  left outer join tbinspaanleiding
  on (tbinspecties.dnkeyinspaanleiding = tbinspaanleiding.dnkey)
  inner join tbovvergunningen
  on (tbinspecties.dnkeyovvergunningen = tbovvergunningen.dnkey)
  inner join tbsoortovverg
  on (tbovvergunningen.dvcodesoortovverg = tbsoortovverg.dvcode)
  inner join tbperceeladressen
  on (tbovvergunningen.dnkeyperceeladressen = tbperceeladressen.dnkey)
  inner join tbopenbareruimte
  on (tbperceeladressen.dnkeyopenbruimte = tbopenbareruimte.dnkey)
  inner join tbwoonplaats
  on (tbopenbareruimte.dnkeywoonplaats = tbwoonplaats.dnkey)
  left outer join tbbestemmingsplannen
  on (tbperceeladressen.dnkeygeldendbestemmingsplan = tbbestemmingsplannen.dnkey)
  left outer join vwfrmovavrcontacten
  on (tbovvergunningen.dnkey = vwfrmovavrcontacten.dnkeyovvergunningen)
where
  tbinspbezoeken.ddgepland is not null and
  tbinspbezoeken.ddafgehandeld is null and
  tbinspecties.dnkeyhandhavingen is null and
  tbinspecties.dnkeyovvergunningen is not null and
  tbovvergunningen.ddblokkering is null
  ;
create or replace view vwhorinsp_behandelaar as select
  tbinspecties.ddrappel,
  tbinspecties.ddcontrole,
  cast(case when tbinspecties.dvomschrijving is null then tbinspaanleiding.dvaanleiding 
  else tbinspecties.dvomschrijving end as character varying(100)) as dvomschrijving,
  tbinspecties.dnkeyhorecavergunningen dnkeyvergunning,
  tbinspecties.dvcodemedewerkers dvcodemedewerker,
  tbhorecavergunningen.dvvergnummer dvzaakcode,
  cast('Inspectie-traject' as character varying(17)) as dvtype,
  tbsoorthorverg.dvomschrijving dvsoort,
  cast('Horeca' as char(6)) as dvvantoepop,
  tbopenbareruimte.dvopruimtenaam dvadres,
  tbperceeladressen.dvhuisnummer dvhuisnummer,
  tbwoonplaats.dvwoonplaatsnaam dvplaats,
  tbbestemmingsplannen.dvnaam dvbestemmingsplan,
  cast('n.v.t.' as char(6)) as dvaanvrager,
  tbinspecties.dvdmszaakcode
from
  tbinspecties
  left outer join tbinspaanleiding
  on (tbinspecties.dnkeyinspaanleiding = tbinspaanleiding.dnkey)
  left outer join tbhorecavergunningen
  on (tbinspecties.dnkeyhorecavergunningen = tbhorecavergunningen.dnkey)
  inner join tbsoorthorverg
  on (tbhorecavergunningen.dnkeysoortverg = tbsoorthorverg.dnkey)
  inner join tbperceeladressen
  on (tbhorecavergunningen.dnkeyperceeladressen = tbperceeladressen.dnkey)
  inner join tbopenbareruimte
  on (tbperceeladressen.dnkeyopenbruimte = tbopenbareruimte.dnkey)
  inner join tbwoonplaats
  on (tbopenbareruimte.dnkeywoonplaats = tbwoonplaats.dnkey)
  left outer join tbbestemmingsplannen
  on (tbperceeladressen.dnkeygeldendbestemmingsplan = tbbestemmingsplannen.dnkey)
where
  tbinspecties.ddrappel is not null and
  tbinspecties.ddcontrole is null and
  tbinspecties.dnkeyhandhavingen is null and
  tbinspecties.dnkeyhorecavergunningen is not null and
  tbhorecavergunningen.ddblokkering is null
union
select
  tbinspbezoeken.ddgepland ddrappel,
  tbinspbezoeken.ddafgehandeld ddcontrole,
   cast(tbinspaanleiding.dvaanleiding as character varying(100)) as dvomschrijving,
  tbinspecties.dnkeyhorecavergunningen dnkeyvergunning,
  tbinspbezoeken.dvcodemedewerkers dvcodemedewerker,
   tbhorecavergunningen.dvvergnummer dvzaakcode,
  cast('Inspectie-bezoek' as character varying(17)) as dvtype,
  tbsoorthorverg.dvomschrijving dvsoort,
  cast('Horeca' as char(6)) as dvvantoepop,
  tbopenbareruimte.dvopruimtenaam dvadres,
  tbperceeladressen.dvhuisnummer dvhuisnummer,
  tbwoonplaats.dvwoonplaatsnaam dvplaats,
  tbbestemmingsplannen.dvnaam dvbestemmingsplan,
  cast('n.v.t.' as char(6)) as dvaanvrager,
   tbinspecties.dvdmszaakcode
from
  tbinspbezoeken
  inner join tbinspecties
  on (tbinspbezoeken.dnkeyinspecties = tbinspecties.dnkey)
  left outer join tbinspaanleiding
  on (tbinspecties.dnkeyinspaanleiding = tbinspaanleiding.dnkey)
  inner join tbhorecavergunningen
  on (tbinspecties.dnkeyhorecavergunningen = tbhorecavergunningen.dnkey)
  inner join tbsoorthorverg
  on (tbhorecavergunningen.dnkeysoortverg = tbsoorthorverg.dnkey)
  inner join tbperceeladressen
  on (tbhorecavergunningen.dnkeyperceeladressen = tbperceeladressen.dnkey)
  inner join tbopenbareruimte
  on (tbperceeladressen.dnkeyopenbruimte = tbopenbareruimte.dnkey)
  inner join tbwoonplaats
  on (tbopenbareruimte.dnkeywoonplaats = tbwoonplaats.dnkey)
  left outer join tbbestemmingsplannen
  on (tbperceeladressen.dnkeygeldendbestemmingsplan = tbbestemmingsplannen.dnkey)
where
  tbinspbezoeken.ddgepland is not null and
  tbinspbezoeken.ddafgehandeld is null and
  tbinspecties.dnkeyhandhavingen is null and 
  tbinspecties.dnkeyhorecavergunningen is not null and
  tbhorecavergunningen.ddblokkering is null 
  ;
create or replace view vwhandhinsp_behandelaar as
select
  tbinspecties.ddrappel,
  tbinspecties.ddcontrole,
  cast(case when tbinspecties.dvomschrijving is null then tbinspaanleiding.dvaanleiding 
  else tbinspecties.dvomschrijving end as character varying(100)) as dvomschrijving,
  tbinspecties.dnkeyhandhavingen dnkeyvergunning,
  tbinspecties.dvcodemedewerkers dvcodemedewerker,
  tbhandhavingen.dvaanschrijfnr dvzaakcode,
  cast('Inspectie-traject' as character varying(17)) as dvtype,
  tbhandhwetbasis.dvomschrijving ||':' || tbhandhovertreding.dvomschrijving dvsoort,
  cast('Handhaving' as char(10)) as dvvantoepop,
  tbopenbareruimte.dvopruimtenaam dvadres,
  tbperceeladressen.dvhuisnummer dvhuisnummer,
  tbwoonplaats.dvwoonplaatsnaam dvplaats,
  tbbestemmingsplannen.dvnaam dvbestemmingsplan,
  vwfrmhandhhpccontacten.dvavrtav dvaanvrager,
    tbinspecties.dvdmszaakcode
from
  tbinspecties
  left outer join tbinspaanleiding
  on (tbinspecties.dnkeyinspaanleiding = tbinspaanleiding.dnkey)
  inner join tbhandhavingen
  on (tbinspecties.dnkeyhandhavingen = tbhandhavingen.dnkey)
  left outer join tbhandhovertreding
  on (tbhandhavingen.dnkeyhandhovertreding = tbhandhovertreding.dnkey)
  left outer join tbhandhwetbasis
  on (tbhandhovertreding.dnkeyhandhwetbasis = tbhandhwetbasis.dnkey)
  inner join tbperceeladressen
  on (tbhandhavingen.dnkeyperceeladressen = tbperceeladressen.dnkey)
  inner join tbopenbareruimte
  on (tbperceeladressen.dnkeyopenbruimte = tbopenbareruimte.dnkey)
  inner join tbwoonplaats
  on (tbopenbareruimte.dnkeywoonplaats = tbwoonplaats.dnkey)
  left outer join tbbestemmingsplannen
  on (tbperceeladressen.dnkeygeldendbestemmingsplan = tbbestemmingsplannen.dnkey)
  left outer join vwfrmhandhhpccontacten
  on (tbhandhavingen.dnkey = vwfrmhandhhpccontacten.dnkeyhandhavingen)
where
  tbinspecties.ddrappel is not null and
  tbinspecties.ddcontrole is null and
  tbinspecties.dnkeyhandhavingen is not null and
  tbhandhavingen.ddblokkering is null
union
select
  tbinspbezoeken.ddgepland ddrappel,
  tbinspbezoeken.ddafgehandeld ddcontrole,
   cast(tbinspaanleiding.dvaanleiding as character varying(100)) as dvomschrijving,
  tbinspecties.dnkeyhandhavingen dnkeyvergunning,
  tbinspbezoeken.dvcodemedewerkers dvcodemedewerker,
  tbhandhavingen.dvaanschrijfnr dvzaakcode,
  cast('Inspectie-bezoek' as character varying(17)) as dvtype,
  tbhandhwetbasis.dvomschrijving ||':' || tbhandhovertreding.dvomschrijving dvsoort,
   cast('Handhaving' as char(10)) as dvvantoepop,
  tbopenbareruimte.dvopruimtenaam dvadres,
  tbperceeladressen.dvhuisnummer dvhuisnummer,
  tbwoonplaats.dvwoonplaatsnaam dvplaats,
  tbbestemmingsplannen.dvnaam dvbestemmingsplan,
  vwfrmhandhhpccontacten.dvavrtav dvaanvrager,
    tbinspecties.dvdmszaakcode
from
  tbinspbezoeken
  inner join tbinspecties
  on (tbinspbezoeken.dnkeyinspecties = tbinspecties.dnkey)
  left outer join tbinspaanleiding
  on (tbinspecties.dnkeyinspaanleiding = tbinspaanleiding.dnkey)
  inner join tbhandhavingen
  on (tbinspecties.dnkeyhandhavingen = tbhandhavingen.dnkey)
  left outer join tbhandhovertreding
  on (tbhandhavingen.dnkeyhandhovertreding = tbhandhovertreding.dnkey)
  left outer join tbhandhwetbasis
  on (tbhandhovertreding.dnkeyhandhwetbasis = tbhandhwetbasis.dnkey)
  inner join tbperceeladressen
  on (tbhandhavingen.dnkeyperceeladressen = tbperceeladressen.dnkey)
  inner join tbopenbareruimte
  on (tbperceeladressen.dnkeyopenbruimte = tbopenbareruimte.dnkey)
  inner join tbwoonplaats
  on (tbopenbareruimte.dnkeywoonplaats = tbwoonplaats.dnkey)
  left outer join tbbestemmingsplannen
  on (tbperceeladressen.dnkeygeldendbestemmingsplan = tbbestemmingsplannen.dnkey)
  left outer join vwfrmhandhhpccontacten
  on (tbhandhavingen.dnkey = vwfrmhandhhpccontacten.dnkeyhandhavingen)
where
  tbinspbezoeken.ddgepland is not null and
  tbinspbezoeken.ddafgehandeld is null and
  tbinspecties.dnkeyhandhavingen is not null and
  tbhandhavingen.ddblokkering is null
;
create or replace view vwomginsp_behandelaar as select
  tbinspecties.ddrappel,
  tbinspecties.ddcontrole,
  cast(case when tbinspecties.dvomschrijving is null then tbinspaanleiding.dvaanleiding 
  else tbinspecties.dvomschrijving end as character varying(100)) as dvomschrijving,
  tbinspecties.dnkeyomgvergunningen dnkeyvergunning,
  tbinspecties.dvcodemedewerkers dvcodemedewerker,
  tbomgvergunning.dvzaakcode,
  cast('Inspectie-traject' as character varying(17)) as dvtype,
  tbsoortomgverg.dvomschrijving dvsoort,
  cast('Omgeving' as char(8)) as dvvantoepop,
  tbopenbareruimte.dvopruimtenaam dvadres,
  tbperceeladressen.dvhuisnummer dvhuisnummer,
  tbwoonplaats.dvwoonplaatsnaam dvplaats,
  tbbestemmingsplannen.dvnaam dvbestemmingsplan,
  vwfrmomgavrcontacten.dvavrtav dvaanvrager,
   tbinspecties.dvdmszaakcode
from
  tbinspecties
  left outer join tbinspaanleiding
  on (tbinspecties.dnkeyinspaanleiding = tbinspaanleiding.dnkey)
  inner join tbomgvergunning
  on (tbinspecties.dnkeyomgvergunningen = tbomgvergunning.dnkey)
  inner join tbsoortomgverg
  on (tbomgvergunning.dnkeysoortomgverg = tbsoortomgverg.dnkey)
  inner join tbperceeladressen
  on (tbomgvergunning.dnkeyperceeladressen = tbperceeladressen.dnkey)
  inner join tbopenbareruimte
  on (tbperceeladressen.dnkeyopenbruimte = tbopenbareruimte.dnkey)
  inner join tbwoonplaats
  on (tbopenbareruimte.dnkeywoonplaats = tbwoonplaats.dnkey)
  left outer join tbbestemmingsplannen
  on (tbperceeladressen.dnkeygeldendbestemmingsplan = tbbestemmingsplannen.dnkey)
  left outer join vwfrmomgavrcontacten
  on (tbomgvergunning.dnkey = vwfrmomgavrcontacten.dnkeyomgvergunningen)
where
  tbinspecties.ddrappel is not null and
  tbinspecties.ddcontrole is null and
  tbinspecties.dnkeyhandhavingen is null and
  tbinspecties.dnkeyomgvergunningen is not null and
  tbomgvergunning.ddblokkering is null
union
select
  tbinspbezoeken.ddgepland ddrappel,
  tbinspbezoeken.ddafgehandeld ddcontrole,
   cast(tbinspaanleiding.dvaanleiding as character varying(100)) as dvomschrijving,
  tbinspecties.dnkeyomgvergunningen dnkeyvergunning,
  tbinspbezoeken.dvcodemedewerkers dvcodemedewerker,
  tbomgvergunning.dvzaakcode,
  cast('Inspectie-bezoek' as character varying(17)) as dvtype,
  tbsoortomgverg.dvomschrijving dvsoort,
  cast('Omgeving' as char(8)) as dvvantoepop,
  tbopenbareruimte.dvopruimtenaam dvadres,
  tbperceeladressen.dvhuisnummer dvhuisnummer,
  tbwoonplaats.dvwoonplaatsnaam dvplaats,
  tbbestemmingsplannen.dvnaam dvbestemmingsplan,
  vwfrmomgavrcontacten.dvavrtav dvaanvrager,
   tbinspecties.dvdmszaakcode
from
  tbinspbezoeken
  inner join tbinspecties
  on (tbinspbezoeken.dnkeyinspecties = tbinspecties.dnkey)
  left outer join tbinspaanleiding
  on (tbinspecties.dnkeyinspaanleiding = tbinspaanleiding.dnkey)
  inner join tbomgvergunning
  on (tbinspecties.dnkeyomgvergunningen = tbomgvergunning.dnkey)
  inner join tbsoortomgverg
  on (tbomgvergunning.dnkeysoortomgverg = tbsoortomgverg.dnkey)
  inner join tbperceeladressen
  on (tbomgvergunning.dnkeyperceeladressen = tbperceeladressen.dnkey)
  inner join tbopenbareruimte
  on (tbperceeladressen.dnkeyopenbruimte = tbopenbareruimte.dnkey)
  inner join tbwoonplaats
  on (tbopenbareruimte.dnkeywoonplaats = tbwoonplaats.dnkey)
  left outer join vwfrmomgavrcontacten
  on (tbomgvergunning.dnkey = vwfrmomgavrcontacten.dnkeyomgvergunningen)
  left outer join tbbestemmingsplannen
  on (tbperceeladressen.dnkeygeldendbestemmingsplan = tbbestemmingsplannen.dnkey)
where
  tbinspbezoeken.ddgepland is not null and
  tbinspbezoeken.ddafgehandeld is null and  
  tbinspecties.dnkeyhandhavingen is null and
  tbinspecties.dnkeyomgvergunningen is not null and
  tbomgvergunning.ddblokkering is null   
  ;
create or replace view vwhhheefttermijnen as
select
distinct a.dnkeyhandhavingen dnkeyhhheeftterm
  from 
  tbtermijnbewstappen a
inner join tbhandhavingen b
  on (b.dnkey = a.dnkeyhandhavingen)
  where 
  b.ddblokkering is null
;
create or replace view vwhhheeftadviezen as
select 
  distinct a.dnkeyhandhavingen dnkeyhhheeftadv
  from tbadviezen a
inner join tbhandhavingen b
on (b.dnkey = a.dnkeyhandhavingen)
  where 
  b.ddblokkering is null
;
create or replace view vwhhaantopentermijnen as
select
   sum(1) aantalopenterm,
   a.dnkeyhandhavingen
from
  tbtermijnbewstappen a
  inner join tbhandhavingen b
  on (a.dnkeyhandhavingen = b.dnkey)
  where
  b.ddblokkering is null
  and
  a.ddafgehandeld is null
  and
  a.dlingebruik = 'T'
  and
  (a.dvvoorwaardejn = 'N'
   or
   a.dnvoorwaarde > 0)
group by
  a.dnkeyhandhavingen
;
create or replace view vwhhminmaxadviezen as
select
   max(case when a.ddrappeldatum is null then ddaanvraagdatum else ddrappeldatum end) ddadvmaxdeadline,
   min(case when a.ddrappeldatum is null then ddaanvraagdatum else ddrappeldatum end) ddadvmindeadline,
   a.dnkeyhandhavingen
from
  tbadviezen a
  inner join tbhandhavingen b
  on (a.dnkeyhandhavingen = b.dnkey)
where
  b.ddblokkering is null
  and
  a.ddadviesdatum is null
  and
   a.ddvervallen is null
group by
  a.dnkeyhandhavingen
;
create or replace view vwhhaantopenadviezen as
select
   sum(1) aantalopenadv,
   a.dnkeyhandhavingen
from
  tbadviezen a
  inner join tbhandhavingen b
  on (a.dnkeyhandhavingen = b.dnkey)
where
  b.ddblokkering is null
  and
  a.ddadviesdatum is null and
  a.ddvervallen is null
group by
  a.dnkeyhandhavingen
;
create or replace view vwhhvrijeopmerk as   
select
dnkeyhandhavingen,
cast(max(dvstring) as character varying(200)) as dvvrijeopmerking
from tbvrijevelden
where 
upper(dvomschrijving) = 'OPMERKING'
and dnkeyhandhavingen is not null
and dvstring is not null
group by dnkeyhandhavingen
;
create or replace view vwhhstringadvin as
select 
  dnkeyhandhavingen,
  cast(fnhhget_adviesin(dnkeyhandhavingen) as character varying(4000)) as dvadviesin
from
    tbadviezen
  where
    dnkeyhandhavingen is not null
    and
    ddadviesdatum is not null
    and
    ddvervallen is null
group by
  dnkeyhandhavingen
;
create or replace view vwhhstringadvuit as
select 
  dnkeyhandhavingen,
  cast(fnhhget_adviesuit(dnkeyhandhavingen) as character varying(4000)) as dvadviesuit
 from
    tbadviezen
  where
    dnkeyhandhavingen is not null
    and
    ddadviesdatum is null
    and
    ddvervallen is null
group by
  dnkeyhandhavingen
;
create or replace view vwfrmhandhorkestrator_lopend as 
select
  a.dnkey,
  a.ddverzoekdatum ddstart,
  a.dvaanschrijfnr dvzaakcode,
  b.dvibbcodemw,
  cast(case when c.dnkeyhhheeftterm is null then 'F' else 'T' end as char(1)) as dvheefttermijnen,
  cast(case when d.dnkeyhhheeftadv is null then 'F' else 'T' end as char(1)) as dvheeftadviezen,
  e.ddtrmmindeadline,
  cast(f.aantalopenterm as float) as aantalopenterm,
  g.ddadvmindeadline,
  cast(h.aantalopenadv as float) as aantalopenadv,
  j.dvomschrijving dvwetbasis,
  i.dvomschrijving dvovertreding,
  k.dvopruimtenaam dvobjstraat,
  k.dvobjhuisnr,
  k.dvwoonplaatsnaam dvobjplaats,
  cast(0 as float) as dnadvwaarschuwper,
  cast(0 as float) as dnprcwaarschuwper,
  cast(case when m.ddkrittrmprocnaam is null then null 
       else m.ddkrittrmprocnaam 
        || ' : '|| m.dvkrittrmomschrijving 
       || ' (' || m.ddkrittrmdeadline ||')' 
       end as character varying(94)) as dvactueleprocesstap,
  n.dvvrijeopmerking,
  o.dvadviesuit,
  p.dvadviesin,
  a.dvdmscode dvdmszaakcode,
  l.dvomschrijving as dvsoortzaak,
  cast(case when c.dnkeyhhheeftterm is null then null
        when e.ddtrmmindeadline is null then 'groen'
        when e.ddtrmmindeadline is not null and e.ddtrmmindeadline  < fn_vandaag(0) then 'rood'
       when e.ddtrmmindeadline >= fn_vandaag(0) and e.ddtrmmindeadline <= fn_vandaag(2) then 'oranje'
	   else 'wit'
	   end as character varying(6)) as dvprocesgevaar,
  cast(case when d.dnkeyhhheeftadv is null then null
      when g.ddadvmindeadline is null then 'groen'
       when g.ddadvmindeadline is not null and g.ddadvmindeadline  < fn_vandaag(0) then 'rood'
       when g.ddadvmindeadline >= fn_vandaag(0) and g.ddadvmindeadline <= fn_vandaag(2) then 'oranje'
	   else 'wit'
	   end as character varying(6)) as dvadviesgevaar,
  l.dnicoon   
from
  tbhandhavingen a
  left outer join vwfrmactiefinbehbij b
  on (a.dnkey = b.dnkeyhandhavingen)
  left outer join vwhandhminmaxdeadline e
  on (a.dnkey = e.dnkeyhandhavingen)
  left outer join vwhhaantopentermijnen f
  on (a.dnkey = f.dnkeyhandhavingen)
  left outer join vwhhminmaxadviezen g
  on (a.dnkey = g.dnkeyhandhavingen)
  left outer join vwhhaantopenadviezen h
  on (a.dnkey = h.dnkeyhandhavingen)
  left outer join vwhhheefttermijnen c
  on (a.dnkey = c.dnkeyhhheeftterm)
  left outer join vwhhheeftadviezen d
  on (a.dnkey = d.dnkeyhhheeftadv)
  left outer join vwfrmhandhkrittermijnen m
  on (a.dnkey = m.dnkeyhandhavingen)
  left outer join vwhhvrijeopmerk n
  on (a.dnkey = n.dnkeyhandhavingen)
  left outer join vwhhstringadvuit o
  on (a.dnkey = o.dnkeyhandhavingen)
  left outer join vwhhstringadvin p
  on (a.dnkey = p.dnkeyhandhavingen)
  left outer join tbhandhovertreding i
  on (a.dnkeyhandhovertreding = i.dnkey)
  left outer join tbhandhwetbasis j
  on (i.dnkeyhandhwetbasis = j.dnkey)
  inner join tbsoorthhzaak l
  on (a.dnkeysoorthhzaak = l.dnkey)
  inner join vwfrmlokaties k
  on (a.dnkeyperceeladressen = k.dnkeyperceeladressen)
 where
  a.ddeinddatum is null
  and
  a.ddblokkering is null
  ;
create or replace view vwfrmmilenergie as
select
  tbmilenergie.dnkey dnkeyenergie,
  tbmilenergie.dnkeymilinrichtingen,
  tbmilenergie.dnkeymilcodeenergie,
  tbmilcodeenergie.dvcode,
  tbmilcodeenergie.dvomschrijving,
  tbmilenergie.dnjaar,
  tbmilenergie.dvverbruikcat,
  tbmilenergie.dlmja, 
  tbmilenergie.dlenergondzuitg, 
  tbmilenergie.dvnotitie,
  cast(case when tbmilcodeenergie.dvcode = 'ELEK' then
       case when tbmilenergie.dvverbruikcat = 'A' then '< 50.000 Kwh'  
	        when tbmilenergie.dvverbruikcat = 'B' then ' 50.000 - 200.000 Kwh' 
            else '> 200.000 Kwh'
       end			
	   when tbmilcodeenergie.dvcode = 'GAS' then
	   case when tbmilenergie.dvverbruikcat = 'A' then '< 25.000 M3'  
	        when tbmilenergie.dvverbruikcat = 'B' then '25.000 - 75.000 M3'  
		    else '> 75.000 M3'
       end			
	   else 'verbruikscategorie' || ' '|| tbmilenergie.dvverbruikcat
  end as character varying(25)) as dvverbruikcatoms
from
  tbmilenergie
  inner join tbmilcodeenergie
  on (tbmilenergie.dnkeymilcodeenergie = tbmilcodeenergie.dnkey)
;
create or replace view vwfrminfoavrcontacten
as
select
  tbinfocontactennn.dnkeyinfoaanvraag,
  tbcontactadressen.dvbedrijfsnaam dvavrbedrijf,
  tbcontactadressen.dnkey dnkeycontactadressen,
  tbcontactadressen.dvvoorletters dvavrvoorletters,
  tbcontactadressen.dvvoorvoegsel dvavrvoorvoegsel,
  tbcontactadressen.dvroepnaam dvavrroepnaam,
  tbcontactadressen.dvachternaam dvavrachternaam,
  tbcontactadressen.dvbriefaanhef dvavrbriefaanhef,
  tbcontactadressen.dvwoonplaatsnaam dvavrwoonplaats,
  tbcontactadressen.dvstraatnaam dvavrstraatnaam,
  tbcontactadressen.dvaanduidingbijhuisnummer dvavraanduidhuisnr,
  tbcontactadressen.dvhuisnummer dvavrhuisnummer,
  tbcontactadressen.dvhuisnummertoevoeging dvavrhuisnrtoevoeg,
  tbcontactadressen.dvhuisletter dvavrhuisletter,
  tbcontactadressen.dvpostcode dvavrpostcode,
  tbcontactadressen.dvtelefoon dvavrtelefoon,
  tbcontactadressen.dvgsm dvavrgsm,
  tbcontactadressen.dvfax dvavrfax,
  tbcontactadressen.dvemail dvavremail,
  tbcontactadressen.ddvervaldatum ddavrvervaldatum,
  tbcontactadressen.dvsofinummer dvavrbsn,
  tbcontactadressen.dvbin dvavrbin,
  cast(case when tbcontactadressen.dvgeslacht = 'M' then 'De heer' 
  when tbcontactadressen.dvgeslacht ='V' then'Mevrouw' 
  else 'De heer/mevrouw' end
  || case when tbcontactadressen.dvvoorletters is not null then rtrim(' '||tbcontactadressen.dvvoorletters) else '' end
  || case when tbcontactadressen.dvvoorvoegsel is not null then rtrim(' '||tbcontactadressen.dvvoorvoegsel) else '' end
  || case when tbcontactadressen.dvachternaam is not null then rtrim(' '||tbcontactadressen.dvachternaam) else '' end
  as character varying(238)) as dvavrtav, 
 cast(tbcontactadressen.dvstraatnaam 
  || case when tbcontactadressen.dvaanduidingbijhuisnummer is not null then rtrim(' '||tbcontactadressen.dvaanduidingbijhuisnummer) else '' end
  || case when tbcontactadressen.dvhuisnummer is not null then rtrim(' '||tbcontactadressen.dvhuisnummer)else '' end
  || case when tbcontactadressen.dvhuisletter is not null then tbcontactadressen.dvhuisletter else '' end
  || case when rtrim(tbcontactadressen.dvhuisnummertoevoeging) is null then '' 
     else replace('-'||tbcontactadressen.dvhuisnummertoevoeging,'--','-')
     end as character varying(95)) as dvavradres,
 tbcontactadressen.dvhandelsnaam dvavrhandelsnaam
from
  tbinfocontactennn
  inner join tbcontactadressen
  on (  tbinfocontactennn.dnkeycontactadressen = tbcontactadressen.dnkey)
WHERE
  tbinfocontactennn.dvcodeadressoort = 'AVR'
;
create or replace view vwtoeststartwerk as
select tbtoestemmingen.dnkeyomgvergunningen,
	   min(tbtoestemmingen.ddstartwrkzhn) ddstartwrkzhn
	   from tbtoestemmingen
	   where tbtoestemmingen.ddstartwrkzhn is not null
       and tbtoestemmingen.ddingetrokken is null
	   group by tbtoestemmingen.dnkeyomgvergunningen
;
create or replace view vwfrmalleaanvragen as select
            tbomgvergunning.dnkey dnkeymodule,
            cast('W' as char(1))as dvmodule,
            cast(tbomgvergunning.ddaanvraag as timestamp) as ddaanvraag,
            tbomgvergunning.ddblokkering,
            cast(tbomgvergunning.dvaanvraagnaam as character varying(250)) as dvbetreft,
            tbomgvergunning.dvzaakcode,
            cast(case when tbperceeladressen.dvaanduidingbijhuisnummer is null then '' 
			        else tbperceeladressen.dvaanduidingbijhuisnummer || ' ' end 
			|| tbperceeladressen.dvhuisnummer
            || ' '
            || case when tbperceeladressen.dvhuisletter is null then '' else tbperceeladressen.dvhuisletter end
            || case when rtrim (tbperceeladressen.dvhuisnummertoevoeging) is null then '' 
			   else replace ('-' || tbperceeladressen.dvhuisnummertoevoeging,'--',  '-') 
			   end as character varying(15)) as dvobjhuisnr,
            tbperceeladressen.dvhuisnrinfo dvobjhuisnrinfo,
            tbperceeladressen.dvhuisnummer,
            tbperceeladressen.dvhuisletter,
            tbperceeladressen.dvhuisnummertoevoeging,
            tbopenbareruimte.dvopruimtenaam dvobjstraat,
            tbopenbareruimte.dnkey dnkeyopenbareruimte,
            tbwoonplaats.dvwoonplaatsnaam dvobjplaats,
            cast(tbsoortomgverg.dvomschrijving as character varying(200)) as dvsoortzaak,
            case when tbomgvergunning.ddingetrokken is null then tbomgvergunning.ddbesluitdatum 
			else tbomgvergunning.ddingetrokken 
			end ddeind,
            cast(case
               when ddonherroepelijk is not null
               then
                  tbaardbesluit.dvomschrijving
               when ddvernietigd is not null
               then
                  'vernietigd'
               when ddgeschorstvanaf is not null
               then
                  'geschorst'
               when ddnaverlingetrokken <= fn_vandaag(0)      
                  then 'ingetrokken na verl.'
               when ddverlopen <=  fn_vandaag(0)      
                  then 'verlopen'
               when ddvervallen < fn_vandaag(0)      
                  then 'vervallen'
               when ddbesluitdatum is not null
               then
                  tbaardbesluit.dvomschrijving
               when ddingetrokken is not null
               then
                  'ingetrokken tijdens beh.'
               when ddaanhoudenvanaf is not null
                    and ddaanhoudentotmet is null
               then
                  'aangehouden'
               else
                  'in behandeling'
            end as character varying(50)) as dvstatus,
            tbmilinrichtingen.dvinrichtingnaam,
            tbmilinrichtingen.dvinrichtingnr,
            case
               when vwomgavrcontacten.dvavrbedrijfsnaam is not null
               then
                  vwomgavrcontacten.dvavrbedrijfsnaam
               else
                  vwomgavrcontacten.dvavrnaam
            end
               dvaanvrager,
            tbomgvergunning.dvdmszaakcode,
            tbmonumenten.dvomschrijving dvobjmonument,
            tbomgvergunning.dnkeyperceeladressen dnkeyperceeladres,
            tbwoonplaats.dnkey dnkeywoonplaats,
            tbwoonplaats.dvwoonplaatsid dvgmntcode,
            tbomgvergunning.dvlvoaanvraagnr dvolonummer,
            tbmilinrichtingen.dnkey dnkeymilinrichting,
            cast(vwtoeststartwerk.ddstartwrkzhn as timestamp) as ddstartwrkzhn,
            tbomgvergunning.dnkeygroepvergunning,
            cast(case when (tbomgvergunning.ddindieningbezwaar) is null and (tbomgvergunning.ddrbindieningberoep is null)
               then 'F' else 'T'
            end as char(1)) as dlbezwaarberoep,
            cast(case when ddverlopen is  null 
                 then case when ddvervallen is null then ddnaverlingetrokken
                           when ddnaverlingetrokken is null then ddvervallen
                           else least(ddvervallen,ddnaverlingetrokken)
                      end
                 when ddvervallen is  null 
                 then case when ddverlopen is null then ddnaverlingetrokken
                           when ddnaverlingetrokken is null then ddverlopen
                           else least(ddverlopen,ddnaverlingetrokken)
                      end
                 when ddnaverlingetrokken is  null 
                      then case when ddverlopen is null then ddvervallen
                           when ddvervallen is null then ddverlopen
                           else least(ddverlopen,ddvervallen)
                      end
                 else least(ddverlopen,ddvervallen,ddnaverlingetrokken)
            end as timestamp) as ddgeldigheid,
            tbsoortomgverg.dnicoon,
			tbomgvergunning.dvintzaakcode
     from   tbomgvergunning
            inner join tbperceeladressen
            on (tbomgvergunning.dnkeyperceeladressen = tbperceeladressen.dnkey)
            inner join tbopenbareruimte
            on (tbperceeladressen.dnkeyopenbruimte = tbopenbareruimte.dnkey)
            inner join tbwoonplaats
            on (tbopenbareruimte.dnkeywoonplaats = tbwoonplaats.dnkey)
            inner join tbsoortomgverg
            on (tbomgvergunning.dnkeysoortomgverg = tbsoortomgverg.dnkey)
            left outer join tbaardbesluit
            on (tbomgvergunning.dvcodeaardbesluit = tbaardbesluit.dvcode)
            left outer join tbmilinrichtingen
            on (tbomgvergunning.dnkeymilinrichtingen = tbmilinrichtingen.dnkey)
            left outer join vwomgavrcontacten
            on (tbomgvergunning.dnkey = vwomgavrcontacten.dnkeyomgvergunningen)
            left outer join tbmonumenten
            on (tbperceeladressen.dnkeymonumenten = tbmonumenten.dnkey)
            left outer join vwtoeststartwerk
            on (tbomgvergunning.dnkey = vwtoeststartwerk.dnkeyomgvergunningen)
   union
   select   tbmilvergunningen.dnkey dnkeymodule,
            cast('E' as char(1))as dvmodule,
            cast(tbmilvergunningen.ddontvangstdatum as timestamp) as ddaanvraag,
            tbmilvergunningen.ddblokkering,
            cast(tbmilwerkz.dvomschrijving
            || ' '
            || tbmilvergunningen.dvpublbouwwerk
            as character varying(250)) as dvbetreft,
            tbmilvergunningen.dvvergnummer dvzaakcode,
            cast(case when tbperceeladressen.dvaanduidingbijhuisnummer is null then '' 
			        else tbperceeladressen.dvaanduidingbijhuisnummer || ' ' end 
			|| tbperceeladressen.dvhuisnummer
            || ' '
            || case when tbperceeladressen.dvhuisletter is null then '' else tbperceeladressen.dvhuisletter end
            || case when rtrim (tbperceeladressen.dvhuisnummertoevoeging) is null then '' 
			   else replace ('-' || tbperceeladressen.dvhuisnummertoevoeging,'--',  '-') 
			   end as character varying(15)) as dvobjhuisnr,
            tbperceeladressen.dvhuisnrinfo dvobjhuisnrinfo,
            tbperceeladressen.dvhuisnummer,
            tbperceeladressen.dvhuisletter,
            tbperceeladressen.dvhuisnummertoevoeging,
            tbopenbareruimte.dvopruimtenaam dvobjstraat,
            tbopenbareruimte.dnkey dnkeyopenbareruimte,
            tbwoonplaats.dvwoonplaatsnaam dvobjplaats,
            cast(tbsoortmilverg.dvomschrijving as character varying(200)) as dvsoortzaak,
            case when tbmilvergunningen.ddingetrokken is null then tbmilvergunningen.ddbesluitdatum else tbmilvergunningen.ddingetrokken end ddeind,
            cast(case
               when tbmilvergunningen.ddnaverlingetrokken <= fn_vandaag(0)      
                  then 'ingetrokken na verl.'
               when tbmilvergunningen.ddgeldigtotmet < fn_vandaag(0)      
                  then 'verlopen'
               when tbmilvergunningen.ddvervallen <= fn_vandaag(0)      
                  then 'vervallen'
               when tbmilvergunningen.ddbesluitdatum is not null
               then
                  tbaardbesluit.dvomschrijving
               when tbmilvergunningen.ddingetrokken is not null
               then
                  'ingetrokken tijdens beh.'
               else
                  'in behandeling'
             end as character varying(50)) as dvstatus,
            tbmilinrichtingen.dvinrichtingnaam,
            tbmilinrichtingen.dvinrichtingnr,
            case
               when vwmilvergavrcontacten.dvavrbedrijfsnaam is not null
               then
                  vwmilvergavrcontacten.dvavrbedrijfsnaam
               else
                  vwmilvergavrcontacten.dvavrnaam
            end
               dvaanvrager,
            tbmilvergunningen.dvdmscode dvdmszaakcode,
            tbmonumenten.dvomschrijving dvobjmonument,
            tbmilinrichtingen.dnkeyperceeladressen dnkeyperceeladres,
            tbwoonplaats.dnkey dnkeywoonplaats,
            tbwoonplaats.dvwoonplaatsid dvgmntcode,
            tbmilvergunningen.dvolonummer,
            tbmilinrichtingen.dnkey dnkeymilinrichting,
			cast(null as timestamp) as ddstartwrkzhn,
            tbmilvergunningen.dnkeygroepvergunning,
            cast('F' as char(1)) as dlbezwaarberoep,
            cast(case when ddgeldigtotmet is  null 
                 then case when ddvervallen is null then ddnaverlingetrokken
                           when ddnaverlingetrokken is null then ddvervallen
                           else least(ddvervallen,ddnaverlingetrokken)
                      end
                 when ddvervallen is  null 
                 then case when ddgeldigtotmet is null then ddnaverlingetrokken
                           when ddnaverlingetrokken is null then ddgeldigtotmet
                           else least(ddgeldigtotmet,ddnaverlingetrokken)
                      end
                 when ddnaverlingetrokken is  null 
                      then case when ddgeldigtotmet is null then ddvervallen
                           when ddvervallen is null then ddgeldigtotmet
                           else least(ddgeldigtotmet,ddvervallen)
                      end
                 else least(ddgeldigtotmet,ddvervallen,ddnaverlingetrokken)
            end as timestamp) as ddgeldigheid,
            tbsoortmilverg.dnicoon,
			tbmilvergunningen.dvintzaakcode
     from   tbmilvergunningen
            inner join tbmilinrichtingen
            on (tbmilvergunningen.dnkeymilinrichtingen = tbmilinrichtingen.dnkey)
            inner join tbperceeladressen
            on (tbmilinrichtingen.dnkeyperceeladressen = tbperceeladressen.dnkey)
            inner join tbopenbareruimte
            on (tbperceeladressen.dnkeyopenbruimte = tbopenbareruimte.dnkey)
            inner join tbwoonplaats
            on (tbopenbareruimte.dnkeywoonplaats = tbwoonplaats.dnkey)
            inner join tbsoortmilverg
            on (tbmilvergunningen.dnkeysoortmilverg = tbsoortmilverg.dnkey)
            left outer join tbaardbesluit
            on (tbmilvergunningen.dvcodeaardbesluit = tbaardbesluit.dvcode)
            left outer join tbmilwerkz
            on (tbmilvergunningen.dnkeymilwerkz = tbmilwerkz.dnkey)
            left outer join vwmilvergavrcontacten
            on (tbmilvergunningen.dnkey = vwmilvergavrcontacten.dnkeymilvergunningen)
            left outer join tbmonumenten
            on (tbperceeladressen.dnkeymonumenten = tbmonumenten.dnkey)
   union
   select   hor.dnkey dnkeymodule,
            cast('C' as char(1))as dvmodule,
            cast(hor.ddaanvraagdatum as timestamp) as ddaanvraag,
            hor.ddblokkering,
            cast('het uitbaten van een ' || tbhorsrtonderneming.dvomschrijving as character varying(250)) as dvbetreft,
            hor.dvvergnummer dvzaakcode,
            cast(case when tbperceeladressen.dvaanduidingbijhuisnummer is null then '' 
			        else tbperceeladressen.dvaanduidingbijhuisnummer || ' ' end 
			|| tbperceeladressen.dvhuisnummer
            || ' '
            || case when tbperceeladressen.dvhuisletter is null then '' else tbperceeladressen.dvhuisletter end
            || case when rtrim (tbperceeladressen.dvhuisnummertoevoeging) is null then '' 
			   else replace ('-' || tbperceeladressen.dvhuisnummertoevoeging,'--',  '-') 
			   end as character varying(15)) as dvobjhuisnr,
            tbperceeladressen.dvhuisnrinfo dvobjhuisnrinfo,
            tbperceeladressen.dvhuisnummer,
            tbperceeladressen.dvhuisletter,
            tbperceeladressen.dvhuisnummertoevoeging,
            tbopenbareruimte.dvopruimtenaam dvobjstraat,
            tbopenbareruimte.dnkey dnkeyopenbareruimte,
            tbwoonplaats.dvwoonplaatsnaam dvobjplaats,
            cast(tbsoorthorverg.dvomschrijving as character varying(200)) as dvsoortzaak,
            case when hor.ddingetrokken is null then hor.dddatumbesluit else hor.ddingetrokken end ddeind,
            cast(case
               when hor.ddnaverlingetrokken <= fn_vandaag(0)      
                  then 'ingetrokken na verl.'
               when hor.ddverlopen < fn_vandaag(0)      
                  then 'verlopen'
               when hor.ddvervaldatum <= fn_vandaag(0)      
                  then 'vervallen'
               when dddatumbesluit is not null
               then
                  tbhoraardbesluit.dvomschrijving
               when ddingetrokken is not null
               then
                  'ingetrokken tijdens beh.'
               else
                  'in behandeling'
             end as character varying(50)) as dvstatus,
            tbmilinrichtingen.dvinrichtingnaam,
            tbmilinrichtingen.dvinrichtingnr,
            case
               when vwhorecaavrcontacten.dvavrbedrijfsnaam is not null
               then
                  vwhorecaavrcontacten.dvavrbedrijfsnaam
               else
                  vwhorecaavrcontacten.dvavrnaam
            end
               dvaanvrager,
            hor.dvdmszaakcode,
            tbmonumenten.dvomschrijving dvobjmonument,
            hor.dnkeyperceeladressen dnkeyperceeladres,
            tbwoonplaats.dnkey dnkeywoonplaats,
            tbwoonplaats.dvwoonplaatsid dvgmntcode,
            cast(null as character varying(20)) as dvolonummer,
            tbmilinrichtingen.dnkey dnkeymilinrichting,
            cast(null as timestamp) as ddstartwrkzhn,
            hor.dnkeygroepvergunning,
            cast('F' as char(1)) as dlbezwaarberoep,
            cast(case when hor.ddverlopen is  null 
                 then case when hor.ddvervaldatum is null then hor.ddnaverlingetrokken
                           when hor.ddnaverlingetrokken is null then hor.ddvervaldatum
                           else least(hor.ddvervaldatum,hor.ddnaverlingetrokken)
                      end
                 when hor.ddvervaldatum is  null 
                 then case when hor.ddverlopen is null then hor.ddnaverlingetrokken
                           when hor.ddnaverlingetrokken is null then hor.ddverlopen
                           else least(hor.ddverlopen,hor.ddnaverlingetrokken)
                      end
                 when hor.ddnaverlingetrokken is  null 
                      then case when hor.ddverlopen is null then hor.ddvervaldatum
                           when hor.ddvervaldatum is null then hor.ddverlopen
                           else least(hor.ddverlopen,hor.ddvervaldatum)
                      end
                 else least(hor.ddverlopen,hor.ddvervaldatum,hor.ddnaverlingetrokken)
            end as timestamp) as ddgeldigheid,
            5 dnicoon,
			hor.dvintzaakcode
     from   tbhorecavergunningen hor
            inner join tbperceeladressen
            on (hor.dnkeyperceeladressen = tbperceeladressen.dnkey)
            inner join tbopenbareruimte
            on (tbperceeladressen.dnkeyopenbruimte = tbopenbareruimte.dnkey)
            inner join tbwoonplaats
            on (tbopenbareruimte.dnkeywoonplaats = tbwoonplaats.dnkey)
            inner join tbsoorthorverg
            on (hor.dnkeysoortverg = tbsoorthorverg.dnkey)
            left outer join tbhoraardbesluit
            on (hor.dvcodeaardbesluit = tbhoraardbesluit.dvcode)
            left outer join tbmilinrichtingen
            on (hor.dnkeymilinrichtingen = tbmilinrichtingen.dnkey)
            left outer join tbhorsrtonderneming
            on (hor.dnkeysoortonderneming = tbhorsrtonderneming.dnkey)
            left outer join vwhorecaavrcontacten
            on (hor.dnkey = vwhorecaavrcontacten.dnkeyhorecavergunningen)
            left outer join tbmonumenten
            on (tbperceeladressen.dnkeymonumenten = tbmonumenten.dnkey)
   union
   select   tbhandhavingen.dnkey dnkeymodule,
            cast('H' as char(1))as dvmodule,
            cast(tbhandhavingen.ddverzoekdatum as timestamp) as ddaanvraag,
            tbhandhavingen.ddblokkering,
            cast(tbhandhovertreding.dvomschrijving as character varying(250)) as dvbetreft,
            tbhandhavingen.dvaanschrijfnr dvzaakcode,
            cast(case when tbperceeladressen.dvaanduidingbijhuisnummer is null then '' 
			        else tbperceeladressen.dvaanduidingbijhuisnummer || ' ' end 
			|| tbperceeladressen.dvhuisnummer
            || ' '
            || case when tbperceeladressen.dvhuisletter is null then '' else tbperceeladressen.dvhuisletter end
            || case when rtrim (tbperceeladressen.dvhuisnummertoevoeging) is null then '' 
			   else replace ('-' || tbperceeladressen.dvhuisnummertoevoeging,'--',  '-') 
			   end as character varying(15)) as dvobjhuisnr,
            tbperceeladressen.dvhuisnrinfo dvobjhuisnrinfo,
            tbperceeladressen.dvhuisnummer,
            tbperceeladressen.dvhuisletter,
            tbperceeladressen.dvhuisnummertoevoeging,
            tbopenbareruimte.dvopruimtenaam dvobjstraat,
            tbopenbareruimte.dnkey dnkeyopenbareruimte,
            tbwoonplaats.dvwoonplaatsnaam dvobjplaats,
			cast(tbsoorthhzaak.dvomschrijving as character varying(200)) as dvsoortzaak,
            tbhandhavingen.ddeinddatum ddeind,
            cast(case when ddonherroepelijk is not null then tbhandhafronding.dvomschrijving
                  when ddvernietigd is not null then 'vernietigd'
	              when ddgeschorstvanaf is not null then 'geschorst'
	              when ddeinddatum is not null then tbhandhafronding.dvomschrijving
                  else 'in behandeling'
			end as character varying(50)) as dvstatus,	  
            tbmilinrichtingen.dvinrichtingnaam,
            tbmilinrichtingen.dvinrichtingnr,
            case
               when vwfrmhandhhpccontacten.dvavrbedrijf is not null
               then
                  vwfrmhandhhpccontacten.dvavrbedrijf
               else
                  vwfrmhandhhpccontacten.dvavrachternaam
            end
               dvaanvrager,
            tbhandhavingen.dvdmscode dvdmszaakcode,
            tbmonumenten.dvomschrijving dvobjmonument,
            tbhandhavingen.dnkeyperceeladressen dnkeyperceeladres,
            tbwoonplaats.dnkey dnkeywoonplaats,
            tbwoonplaats.dvwoonplaatsid dvgmntcode,
            cast(null as character varying(20)) as dvolonummer,
            tbmilinrichtingen.dnkey dnkeymilinrichting,
            cast(null as timestamp) as ddstartwrkzhn,
            tbhandhavingen.dnkeygroepvergunning,
            cast(case when (tbhandhavingen.ddindieningbezwaar) is null and (tbhandhavingen.ddrbindieningberoep is null)
               then 'F' else 'T'
            end as char(1)) as dlbezwaarberoep,
            cast(null as timestamp) as ddgeldigheid,
            4 dnicoon,
			tbhandhavingen.dvintzaakcode
     from   tbhandhavingen
            inner join tbperceeladressen
            on (tbhandhavingen.dnkeyperceeladressen = tbperceeladressen.dnkey)
			inner join tbsoorthhzaak
			on (tbhandhavingen.dnkeysoorthhzaak = tbsoorthhzaak.dnkey)
			left outer join tbhandhafronding
			on(tbhandhavingen.dvcodehandhafronding = tbhandhafronding.dvcode)
            inner join tbopenbareruimte
            on (tbperceeladressen.dnkeyopenbruimte = tbopenbareruimte.dnkey)
            inner join tbwoonplaats
            on (tbopenbareruimte.dnkeywoonplaats = tbwoonplaats.dnkey)
            left outer join tbhandhovertreding
            on (tbhandhavingen.dnkeyhandhovertreding = tbhandhovertreding.dnkey)
            left outer join tbmilinrichtingen
            on (tbhandhavingen.dnkeymilinrichtingen = tbmilinrichtingen.dnkey)
            left outer join vwfrmhandhhpccontacten
            on (tbhandhavingen.dnkey = vwfrmhandhhpccontacten.dnkeyhandhavingen)
            left outer join tbmonumenten
            on (tbperceeladressen.dnkeymonumenten = tbmonumenten.dnkey)
   union
   select   tbovvergunningen.dnkey dnkeymodule,
            cast('O' as char(1))as dvmodule,
            cast(tbovvergunningen.ddontvangstdatum as timestamp) as ddaanvraag,
            tbovvergunningen.ddblokkering,
            cast(tbovwerkz.dvomschrijving
            || ' '
            || tbovvergunningen.dvpublbouwwerk
            as character varying(250)) as dvbetreft,
            tbovvergunningen.dvvergunningsnr dvzaakcode,
            cast(case when tbperceeladressen.dvaanduidingbijhuisnummer is null then '' 
			        else tbperceeladressen.dvaanduidingbijhuisnummer || ' ' end 
			|| tbperceeladressen.dvhuisnummer
            || ' '
            || case when tbperceeladressen.dvhuisletter is null then '' else tbperceeladressen.dvhuisletter end
            || case when rtrim (tbperceeladressen.dvhuisnummertoevoeging) is null then '' 
			   else replace ('-' || tbperceeladressen.dvhuisnummertoevoeging,'--',  '-') 
			   end as character varying(15)) as dvobjhuisnr,
            tbperceeladressen.dvhuisnrinfo dvobjhuisnrinfo,
            tbperceeladressen.dvhuisnummer,
            tbperceeladressen.dvhuisletter,
            tbperceeladressen.dvhuisnummertoevoeging,
            tbopenbareruimte.dvopruimtenaam dvobjstraat,
            tbopenbareruimte.dnkey dnkeyopenbareruimte,
            tbwoonplaats.dvwoonplaatsnaam dvobjplaats,
            cast(tbsoortovverg.dvomschrijving as character varying(200)) as dvsoortzaak,
            case when tbovvergunningen.ddingetrokken is null then tbovvergunningen.ddbesluitdatum 
			     else tbovvergunningen.ddingetrokken 
		    end ddeind,
            cast(case when ddonherroepelijk is not null then tbaardbesluit.dvomschrijving
                  when ddvernietigd is not null then 'vernietigd'
	              when ddgeschorstvanaf is not null then 'geschorst'
               when tbovvergunningen.ddnaverlingetrokken <= fn_vandaag(0)	  
			      then 'ingetrokken na verl.'
			   when tbovvergunningen.ddgeldigtotmet < fn_vandaag(0)	  
			      then 'verlopen'
			   when tbovvergunningen.ddvervallen <= fn_vandaag(0)	  
			      then 'vervallen'
               when tbovvergunningen.ddbesluitdatum is not null
               then
                  tbaardbesluit.dvomschrijving
               when tbovvergunningen.ddingetrokken is not null
               then
                   'ingetrokken tijdens beh.'
               else
                  'in behandeling'
				end as character varying(50)) as dvstatus,
            tbmilinrichtingen.dvinrichtingnaam,
            tbmilinrichtingen.dvinrichtingnr,
            case
               when vwfrmovavrcontacten.dvavrbedrijf is not null
               then
                  vwfrmovavrcontacten.dvavrbedrijf
               else
                  vwfrmovavrcontacten.dvavrachternaam
            end
               dvaanvrager,
            tbovvergunningen.dvdmscode dvdmszaakcode,
            tbmonumenten.dvomschrijving dvobjmonument,
            tbovvergunningen.dnkeyperceeladressen dnkeyperceeladres,
            tbwoonplaats.dnkey dnkeywoonplaats,
            tbwoonplaats.dvwoonplaatsid dvgmntcode,
             cast(null as character varying(20)) as dvolonummer,
            tbmilinrichtingen.dnkey dnkeymilinrichting,
            cast(tbovvergunningen.ddstartuitvoering as timestamp) as ddstartwrkzhn,
            tbovvergunningen.dnkeytbgroepvergunning dnkeygroepvergunning,
             cast(case when (tbovvergunningen.ddindieningbezwaar) is null and (tbovvergunningen.ddrbindieningberoep is null)
               then 'F' else 'T'
            end as char(1)) as dlbezwaarberoep,
            cast(case when ddgeldigtotmet is  null 
                 then case when ddvervallen is null then ddnaverlingetrokken
                           when ddnaverlingetrokken is null then ddvervallen
                           else least(ddvervallen,ddnaverlingetrokken)
                      end
                 when ddvervallen is  null 
                 then case when ddgeldigtotmet is null then ddnaverlingetrokken
                           when ddnaverlingetrokken is null then ddgeldigtotmet
                           else least(ddgeldigtotmet,ddnaverlingetrokken)
                      end
                 when ddnaverlingetrokken is  null 
                      then case when ddgeldigtotmet is null then ddvervallen
                           when ddvervallen is null then ddgeldigtotmet
                           else least(ddgeldigtotmet,ddvervallen)
                      end
                 else least(ddgeldigtotmet,ddvervallen,ddnaverlingetrokken)
            end as timestamp) as ddgeldigheid,
            tbsoortovverg.dnicoon,
			tbovvergunningen.dvintzaakcode
     from   tbovvergunningen
            inner join tbperceeladressen
            on (tbovvergunningen.dnkeyperceeladressen = tbperceeladressen.dnkey)
            inner join tbopenbareruimte
            on (tbperceeladressen.dnkeyopenbruimte = tbopenbareruimte.dnkey)
            inner join tbwoonplaats
            on (tbopenbareruimte.dnkeywoonplaats = tbwoonplaats.dnkey)
            inner join tbsoortovverg
            on (tbovvergunningen.dvcodesoortovverg = tbsoortovverg.dvcode)
            left outer join tbaardbesluit
            on (tbovvergunningen.dvcodeaardbesluit = tbaardbesluit.dvcode)
            left outer join tbovwerkz
            on (tbovvergunningen.dnkeyovwerkz = tbovwerkz.dnkey)
            left outer join tbmilinrichtingen
            on (tbovvergunningen.dnkeymilinrichtingen = tbmilinrichtingen.dnkey)
            left outer join vwfrmovavrcontacten
            on (tbovvergunningen.dnkey = vwfrmovavrcontacten.dnkeyovvergunningen)
            left outer join tbmonumenten
            on (tbperceeladressen.dnkeymonumenten = tbmonumenten.dnkey)
   union
   select   tbbouwvergunningen.dnkey dnkeymodule,
            cast('B' as char(1))as dvmodule,
            cast(tbbouwvergunningen.ddontvangstdatum as timestamp) as ddaanvraag,
            tbbouwvergunningen.ddblokkering,
            cast(tbbouwwerkz.dvomschrijving
            || ' '
            || tbbouwvergunningen.dvpublbouwwerk
            as character varying(250)) as dvbetreft,
            tbbouwvergunningen.dvbouwnr dvzaakcode,
            cast(case when tbperceeladressen.dvaanduidingbijhuisnummer is null then '' 
			        else tbperceeladressen.dvaanduidingbijhuisnummer || ' ' end 
			|| tbperceeladressen.dvhuisnummer
            || ' '
            || case when tbperceeladressen.dvhuisletter is null then '' else tbperceeladressen.dvhuisletter end
            || case when rtrim (tbperceeladressen.dvhuisnummertoevoeging) is null then '' 
			   else replace ('-' || tbperceeladressen.dvhuisnummertoevoeging,'--',  '-') 
			   end as character varying(15)) as dvobjhuisnr,
            tbperceeladressen.dvhuisnrinfo dvobjhuisnrinfo,
            tbperceeladressen.dvhuisnummer,
            tbperceeladressen.dvhuisletter,
            tbperceeladressen.dvhuisnummertoevoeging,
            tbopenbareruimte.dvopruimtenaam dvobjstraat,
            tbopenbareruimte.dnkey dnkeyopenbareruimte,
            tbwoonplaats.dvwoonplaatsnaam dvobjplaats,
            cast(tbsoortplan.dvomschrijving as character varying(200)) as dvsoortzaak,
            case when tbbouwvergunningen.ddingetrokken is null then tbbouwvergunningen.ddbesluitdatum 
			      else tbbouwvergunningen.ddingetrokken 
			end ddeind,
            cast(case
               when tbbouwvergunningen.ddnaverlingetrokken <= fn_vandaag(0)      
                  then 'ingetrokken na verl.'
               when tbbouwvergunningen.ddgeldigtotmet < fn_vandaag(0)      
                  then 'verlopen'
               when tbbouwvergunningen.ddvervallen <= fn_vandaag(0)      
                  then 'vervallen'
               when tbbouwvergunningen.ddbesluitdatum is not null
               then
                  tbaardbesluit.dvomschrijving
               when tbbouwvergunningen.ddingetrokken is not null
               then
                   'ingetrokken tijdens beh.'
               else
                  'in behandeling'
             end as character varying(50)) as dvstatus,
            tbmilinrichtingen.dvinrichtingnaam,
            tbmilinrichtingen.dvinrichtingnr,
            case
               when vwfrmbouwavrcontacten.dvavrbedrijf is not null
               then
                  vwfrmbouwavrcontacten.dvavrbedrijf
               else
                  vwfrmbouwavrcontacten.dvavrachternaam
            end
               dvaanvrager,
            tbbouwvergunningen.dvdmscode dvdmszaakcode,
            tbmonumenten.dvomschrijving dvobjmonument,
            tbbouwvergunningen.dnkeyperceeladressen dnkeyperceeladres,
            tbwoonplaats.dnkey dnkeywoonplaats,
            tbwoonplaats.dvwoonplaatsid dvgmntcode,
             cast(null as character varying(20)) as dvolonummer,
            tbmilinrichtingen.dnkey dnkeymilinrichting,
            cast(tbbouwvergunningen.ddstartuitvoering as timestamp) as ddstartwrkzhn,
            tbbouwvergunningen.dnkeygroepvergunning,
            cast('F' as char(1)) as dlbezwaarberoep,
            cast(case when ddgeldigtotmet is  null 
                 then case when ddvervallen is null then ddnaverlingetrokken
                           when ddnaverlingetrokken is null then ddvervallen
                           else least(ddvervallen,ddnaverlingetrokken)
                      end
                 when ddvervallen is  null 
                 then case when ddgeldigtotmet is null then ddnaverlingetrokken
                           when ddnaverlingetrokken is null then ddgeldigtotmet
                           else least(ddgeldigtotmet,ddnaverlingetrokken)
                      end
                 when ddnaverlingetrokken is  null 
                      then case when ddgeldigtotmet is null then ddvervallen
                           when ddvervallen is null then ddgeldigtotmet
                           else least(ddgeldigtotmet,ddvervallen)
                      end
                 else least(ddgeldigtotmet,ddvervallen,ddnaverlingetrokken)
            end as timestamp) as ddgeldigheid,
            2 dnicoon,
			tbbouwvergunningen.dvintzaakcode
     from   tbbouwvergunningen
            inner join tbperceeladressen
            on (tbbouwvergunningen.dnkeyperceeladressen = tbperceeladressen.dnkey)
            inner join tbopenbareruimte
            on (tbperceeladressen.dnkeyopenbruimte = tbopenbareruimte.dnkey)
            inner join tbwoonplaats
            on (tbopenbareruimte.dnkeywoonplaats = tbwoonplaats.dnkey)
            inner join tbsoortplan
            on (tbbouwvergunningen.dnsoortplan = tbsoortplan.dnkey)
            left outer join tbaardbesluit
            on (tbbouwvergunningen.dvcodeaardbesluit = tbaardbesluit.dvcode)
            left outer join tbbouwwerkz
            on (tbbouwvergunningen.dnkeybouwwerkz = tbbouwwerkz.dnkey)
            left outer join tbmilinrichtingen
            on (tbbouwvergunningen.dnkeymilinrichtingen = tbmilinrichtingen.dnkey)
            left outer join vwfrmbouwavrcontacten
            on (tbbouwvergunningen.dnkey = vwfrmbouwavrcontacten.dnkeybouwvergunningen)
            left outer join tbmonumenten
            on (tbperceeladressen.dnkeymonumenten = tbmonumenten.dnkey)
   union
   select   tbinfoaanvragen.dnkey dnkeymodule,                  
            cast('I' as char(1))as dvmodule,
            cast(tbinfoaanvragen.ddaanvraagdatum as timestamp) as ddaanvraag,
            tbinfoaanvragen.ddblokkeerdatum ddblokkering,
            cast(tbinfoaanvragen.dvomschrijving  as character varying(250)) as dvbetreft,
            tbinfoaanvragen.dvinfonummer dvzaakcode,
            cast(case when tbperceeladressen.dvaanduidingbijhuisnummer is null then '' 
			        else tbperceeladressen.dvaanduidingbijhuisnummer || ' ' end 
			|| tbperceeladressen.dvhuisnummer
            || ' '
            || case when tbperceeladressen.dvhuisletter is null then '' else tbperceeladressen.dvhuisletter end
            || case when rtrim (tbperceeladressen.dvhuisnummertoevoeging) is null then '' 
			   else replace ('-' || tbperceeladressen.dvhuisnummertoevoeging,'--',  '-') 
			   end as character varying(15)) as dvobjhuisnr,
            tbperceeladressen.dvhuisnrinfo dvobjhuisnrinfo,
            tbperceeladressen.dvhuisnummer,
            tbperceeladressen.dvhuisletter,
            tbperceeladressen.dvhuisnummertoevoeging,
            tbopenbareruimte.dvopruimtenaam dvobjstraat,
            tbopenbareruimte.dnkey dnkeyopenbareruimte,
            tbwoonplaats.dvwoonplaatsnaam dvobjplaats,
            cast(tbsoortinfoaanvraag.dvomschrijving as character varying(200)) as dvsoortzaak,
            tbinfoaanvragen.ddafgehandeld ddeind,
            cast(case
               when tbinfoaanvragen.ddafgehandeld is not null
               then
                  'afgehandeld'
               else
                  'in behandeling'
             end as character varying(50)) as dvstatus,
            tbmilinrichtingen.dvinrichtingnaam,
            tbmilinrichtingen.dvinrichtingnr,
            case
               when vwfrminfoavrcontacten.dvavrbedrijf is not null
               then
                  vwfrminfoavrcontacten.dvavrbedrijf
               else
                  vwfrminfoavrcontacten.dvavrachternaam
            end
               dvaanvrager,
            tbinfoaanvragen.dvdmscode dvdmszaakcode,
            tbmonumenten.dvomschrijving dvobjmonument,
            tbinfoaanvragen.dnkeyperceeladressen dnkeyperceeladres,
            tbwoonplaats.dnkey dnkeywoonplaats,
            tbwoonplaats.dvwoonplaatsid dvgmntcode,
            cast(null as character varying(20)) as dvolonummer,
            tbmilinrichtingen.dnkey dnkeymilinrichting,
            cast(null as timestamp) as ddstartwrkzhn,
            tbinfoaanvragen.dnkeytbgroepvergunning dnkeygroepvergunning,
            cast('F' as char(1)) as dlbezwaarberoep,
            cast(null as timestamp) as ddgeldigheid,
            6 dnicoon,
			tbinfoaanvragen.dvintzaakcode
     from   tbinfoaanvragen
            inner join tbperceeladressen
            on (tbinfoaanvragen.dnkeyperceeladressen = tbperceeladressen.dnkey)
            inner join tbopenbareruimte            
            on (tbperceeladressen.dnkeyopenbruimte = tbopenbareruimte.dnkey)
            inner join tbwoonplaats
            on (tbopenbareruimte.dnkeywoonplaats = tbwoonplaats.dnkey)
            inner join tbsoortinfoaanvraag
            on (tbinfoaanvragen.dnkeysoortinfoaanvraag = tbsoortinfoaanvraag.dnkey)
            left outer join tbmilinrichtingen
            on (tbinfoaanvragen.dnkeymilinrichtingen = tbmilinrichtingen.dnkey)
            left outer join vwfrminfoavrcontacten
            on (tbinfoaanvragen.dnkey = vwfrminfoavrcontacten.dnkeyinfoaanvraag)
            left outer join tbmonumenten
            on (tbperceeladressen.dnkeymonumenten = tbmonumenten.dnkey)
;	  
create or replace view vwfrmovgemcontacten
as select
  tbovcontactennn.dnkeyovvergunningen,
  tbcontactadressen.dvbedrijfsnaam dvgembedrijf,
  tbcontactadressen.dnkey dnkeycontactadressen,
  tbcontactadressen.dvvoorletters dvgemvoorletters,
  tbcontactadressen.dvvoorvoegsel dvgemvoorvoegsel,
  tbcontactadressen.dvroepnaam dvgemroepnaam,
  tbcontactadressen.dvachternaam dvgemachternaam,
  tbcontactadressen.dvbriefaanhef dvgembriefaanhef,
  tbcontactadressen.dvwoonplaatsnaam dvgemwoonplaats,
  tbcontactadressen.dvstraatnaam dvgemstraatnaam,
  tbcontactadressen.dvaanduidingbijhuisnummer dvgemaanduidhuisnr,
  tbcontactadressen.dvhuisnummer dvgemhuisnummer,
  tbcontactadressen.dvhuisnummertoevoeging dvgemhuisnrtoevoeg,
  tbcontactadressen.dvhuisletter dvgemhuisletter,
  tbcontactadressen.dvpostcode dvgempostcode,
  tbcontactadressen.dvtelefoon dvgemtelefoon,
  tbcontactadressen.dvgsm dvgemgsm,
  tbcontactadressen.dvfax dvgemfax,
  tbcontactadressen.dvemail dvgememail,
  tbcontactadressen.ddvervaldatum ddgemvervaldatum,
  tbcontactadressen.dvsofinummer dvgembsn,
  tbcontactadressen.dvbin dvgembin,
  cast(case when tbcontactadressen.dvgeslacht = 'M' then 'De heer' 
  when tbcontactadressen.dvgeslacht ='V' then'Mevrouw' 
  else 'De heer/mevrouw' end
  || case when tbcontactadressen.dvvoorletters is not null then rtrim(' '||tbcontactadressen.dvvoorletters) else '' end
  || case when tbcontactadressen.dvvoorvoegsel is not null then rtrim(' '||tbcontactadressen.dvvoorvoegsel) else '' end
  || case when tbcontactadressen.dvachternaam is not null then rtrim(' '||tbcontactadressen.dvachternaam) else '' end
  as character varying(238)) as dvgemtav,
  cast(tbcontactadressen.dvstraatnaam 
  || case when tbcontactadressen.dvaanduidingbijhuisnummer is not null then rtrim(' '||tbcontactadressen.dvaanduidingbijhuisnummer) else '' end
  || case when tbcontactadressen.dvhuisnummer is not null then rtrim(' '||tbcontactadressen.dvhuisnummer)else '' end
  || case when tbcontactadressen.dvhuisletter is not null then tbcontactadressen.dvhuisletter else '' end
  || case when rtrim(tbcontactadressen.dvhuisnummertoevoeging) is null then '' 
     else replace('-'||tbcontactadressen.dvhuisnummertoevoeging,'--','-')
     end as character varying(95)) as dvgemadres,
  tbcontactadressen.dvhandelsnaam dvgemhandelsnaam,
  tbcontactadressen.dvgeslacht dvgemgeslacht
from
  tbovcontactennn 
  inner join tbcontactadressen
  on (tbovcontactennn.dnkeycontactadressen = tbcontactadressen.dnkey)
where
   tbovcontactennn.dvcodeadressoort = 'GEM'
;
create or replace view vwfrmmilverggemcontacten
as
select
  tbmilvergcontactennn.dnkeymilvergunningen,
  tbcontactadressen.dvbedrijfsnaam dvgembedrijf,
  tbcontactadressen.dnkey dnkeycontactadressen,
  tbcontactadressen.dvvoorletters dvgemvoorletters,
  tbcontactadressen.dvvoorvoegsel dvgemvoorvoegsel,
  tbcontactadressen.dvroepnaam dvgemroepnaam,
  tbcontactadressen.dvachternaam dvgemachternaam,
  tbcontactadressen.dvbriefaanhef dvgembriefaanhef,
  tbcontactadressen.dvwoonplaatsnaam dvgemwoonplaats,
  tbcontactadressen.dvstraatnaam dvgemstraatnaam,
  tbcontactadressen.dvaanduidingbijhuisnummer dvgemaanduidhuisnr,
  tbcontactadressen.dvhuisnummer dvgemhuisnummer,
  tbcontactadressen.dvhuisnummertoevoeging dvgemhuisnrtoevoeg,
  tbcontactadressen.dvhuisletter dvgemhuisletter,
  tbcontactadressen.dvpostcode dvgempostcode,
  tbcontactadressen.dvtelefoon dvgemtelefoon,
  tbcontactadressen.dvgsm dvgemgsm,
  tbcontactadressen.dvfax dvgemfax,
  tbcontactadressen.dvemail dvgememail,
  tbcontactadressen.ddvervaldatum ddgemvervaldatum,
  tbcontactadressen.dvsofinummer dvgembsn,
  tbcontactadressen.dvbin dvgembin,
  cast(case when tbcontactadressen.dvgeslacht = 'M' then 'De heer' 
  when tbcontactadressen.dvgeslacht ='V' then'Mevrouw' 
  else 'De heer/mevrouw' end
  || case when tbcontactadressen.dvvoorletters is not null then rtrim(' '||tbcontactadressen.dvvoorletters) else '' end
  || case when tbcontactadressen.dvvoorvoegsel is not null then rtrim(' '||tbcontactadressen.dvvoorvoegsel) else '' end
  || case when tbcontactadressen.dvachternaam is not null then rtrim(' '||tbcontactadressen.dvachternaam) else '' end
  as character varying(238)) as dvgemtav,
  cast(tbcontactadressen.dvstraatnaam 
  || case when tbcontactadressen.dvaanduidingbijhuisnummer is not null then rtrim(' '||tbcontactadressen.dvaanduidingbijhuisnummer) else '' end
  || case when tbcontactadressen.dvhuisnummer is not null then rtrim(' '||tbcontactadressen.dvhuisnummer)else '' end
  || case when tbcontactadressen.dvhuisletter is not null then tbcontactadressen.dvhuisletter else '' end
  || case when rtrim(tbcontactadressen.dvhuisnummertoevoeging) is null then '' 
     else replace('-'||tbcontactadressen.dvhuisnummertoevoeging,'--','-')
     end as character varying(95)) as dvgemadres,
  tbcontactadressen.dvhandelsnaam dvgemhandelsnaam,
  tbcontactadressen.dvgeslacht dvgemgeslacht
from
  tbmilvergcontactennn
  inner join tbcontactadressen
  on (tbmilvergcontactennn.dnkeycontactadressen = tbcontactadressen.dnkey)
  where
  tbmilvergcontactennn.dvcodeadressoort = 'GEM'
;
create or replace view vwfrmhorecagemcontacten
as
select
  tbhorecacontactennn.dnkeyhorecavergunningen,
  tbcontactadressen.dvbedrijfsnaam dvgembedrijf,
  tbcontactadressen.dnkey dnkeycontactadressen,
  tbcontactadressen.dvvoorletters dvgemvoorletters,
  tbcontactadressen.dvvoorvoegsel dvgemvoorvoegsel,
  tbcontactadressen.dvroepnaam dvgemroepnaam,
  tbcontactadressen.dvachternaam dvgemachternaam,
  tbcontactadressen.dvbriefaanhef dvgembriefaanhef,
  tbcontactadressen.dvwoonplaatsnaam dvgemwoonplaats,
  tbcontactadressen.dvstraatnaam dvgemstraatnaam,
  tbcontactadressen.dvaanduidingbijhuisnummer dvgemaanduidhuisnr,
  tbcontactadressen.dvhuisnummer dvgemhuisnummer,
  tbcontactadressen.dvhuisnummertoevoeging dvgemhuisnrtoevoeg,
  tbcontactadressen.dvhuisletter dvgemhuisletter,
  tbcontactadressen.dvpostcode dvgempostcode,
  tbcontactadressen.dvtelefoon dvgemtelefoon,
  tbcontactadressen.dvgsm dvgemgsm,
  tbcontactadressen.dvfax dvgemfax,
  tbcontactadressen.dvemail dvgememail,
  tbcontactadressen.ddvervaldatum ddgemvervaldatum,
  tbcontactadressen.dvsofinummer dvgembsn,
  tbcontactadressen.dvbin dvgembin,
  cast(case when tbcontactadressen.dvgeslacht = 'M' then 'De heer' 
  when tbcontactadressen.dvgeslacht ='V' then'Mevrouw' 
  else 'De heer/mevrouw' end
  || case when tbcontactadressen.dvvoorletters is not null then rtrim(' '||tbcontactadressen.dvvoorletters) else '' end
  || case when tbcontactadressen.dvvoorvoegsel is not null then rtrim(' '||tbcontactadressen.dvvoorvoegsel) else '' end
  || case when tbcontactadressen.dvachternaam is not null then rtrim(' '||tbcontactadressen.dvachternaam) else '' end
  as character varying(238)) as dvgemtav,
  cast(tbcontactadressen.dvstraatnaam 
  || case when tbcontactadressen.dvaanduidingbijhuisnummer is not null then rtrim(' '||tbcontactadressen.dvaanduidingbijhuisnummer) else '' end
  || case when tbcontactadressen.dvhuisnummer is not null then rtrim(' '||tbcontactadressen.dvhuisnummer)else '' end
  || case when tbcontactadressen.dvhuisletter is not null then tbcontactadressen.dvhuisletter else '' end
  || case when rtrim(tbcontactadressen.dvhuisnummertoevoeging) is null then '' 
     else replace('-'||tbcontactadressen.dvhuisnummertoevoeging,'--','-')
     end as character varying(95)) as dvgemadres,
  tbcontactadressen.dvhandelsnaam dvgemhandelsnaam,
  tbcontactadressen.dvgeslacht dvgemgeslacht
from
  tbhorecacontactennn
  inner join tbcontactadressen
  on (tbhorecacontactennn.dnkeycontactadressen = tbcontactadressen.dnkey)
where
  tbhorecacontactennn.dvcodeadressoort = 'GEM'
;
create or replace view vwfrminspovertrgebouw as 
select
  tbinspovertrgebouw.dnkey dnkeyinspovertrgebouw, 
  tbinspovertrgebouw.dnkeyinsponrechtm,
  tbinspovertrgebouw.dddatumconstatering,
  tbinspovertrgebouw.dddatumopgelost,
  tbinspovertrgebouw.dvinfo,
  tbinspwaaromovertreding.dvomschrijving dvwaarom,
  tbinsptermijnoplovertr.dvomschrijving dvoplostermijn,
  vwfrminsponrechtmatigheden.dnkeyinspecties,
  vwfrminsponrechtmatigheden.dvinspcode,
  vwfrminsponrechtmatigheden.dvwetbasis,
  vwfrminsponrechtmatigheden.dvovertreding,
  vwfrmgebouwen.dvtype dvgebouwtype, 
  vwfrmgebouwen.dvspecificatie dvgebouwspecificatie,
  vwfrmgebouwen.dvgebouwbeschr,
  vwfrminsponrechtmatigheden.dvgrondslagoms,
  vwfrminsponrechtmatigheden.dvgrondslagzaakcode
from
   tbinspovertrgebouw
   left outer join tbinspwaaromovertreding
   on (tbinspovertrgebouw.dnkeyinspwaarom = tbinspwaaromovertreding.dnkey) 
   left outer join  tbinsptermijnoplovertr
   on (tbinspovertrgebouw.dnkeyinsptermopl = tbinsptermijnoplovertr.dnkey)
   inner join vwfrminsponrechtmatigheden
   on (tbinspovertrgebouw.dnkeyinsponrechtm = vwfrminsponrechtmatigheden.dnkeyonrechtmatigheid)
   inner join vwfrmgebouwen
   on (tbinspovertrgebouw.dngebouwverge = vwfrmgebouwen.dnkey)
union
select
  tbinspovertrgebouw.dnkey dnkeyinspovertrgebouw, 
  tbinspovertrgebouw.dnkeyinsponrechtm,
  tbinspovertrgebouw.dddatumconstatering,
  tbinspovertrgebouw.dddatumopgelost,
  tbinspovertrgebouw.dvinfo,
  tbinspwaaromovertreding.dvomschrijving dvwaarom,
  tbinsptermijnoplovertr.dvomschrijving dvoplostermijn,
  vwfrminsponrechtmatigheden.dnkeyinspecties,
  vwfrminsponrechtmatigheden.dvinspcode,
  vwfrminsponrechtmatigheden.dvwetbasis,
  vwfrminsponrechtmatigheden.dvovertreding,
  vwfrmtoestemmingen.dvgebouwtype, 
  vwfrmtoestemmingen.dvgebouwspec dvgebouwspecificatie,
  vwfrmtoestemmingen.dvwerkzaamheden,
  vwfrminsponrechtmatigheden.dvgrondslagoms,
  vwfrminsponrechtmatigheden.dvgrondslagzaakcode
from
  tbinspovertrgebouw
  left outer join tbinspwaaromovertreding
  on (tbinspovertrgebouw.dnkeyinspwaarom = tbinspwaaromovertreding.dnkey)
  left outer join tbinsptermijnoplovertr
  on (tbinspovertrgebouw.dnkeyinsptermopl = tbinsptermijnoplovertr.dnkey)
  inner join vwfrminsponrechtmatigheden
  on (tbinspovertrgebouw.dnkeyinsponrechtm = vwfrminsponrechtmatigheden.dnkeyonrechtmatigheid)
  inner join vwfrmtoestemmingen
  on (tbinspovertrgebouw.dngebouwactw = vwfrmtoestemmingen.dnkeytoestemming)
;
create or replace view vwfrminspbrandweer as    
select 
  /* alle bezoeken bij inspectietrajecten met brandweer-onrechtmatigheden zonder uitsplisting per gebouw */ 
  tbinspecties.ddrappel ddtrajectstart,
  tbinspecties.dvcodemedewerkers dvhoofdinsp,
  tbinspecties.ddcontrole ddtrajecteind,
  tbinspaanleiding.dvaanleiding,
  vwfrmmilinrichtingen.dvinrichtingnaam,
  tbinspecties.dvomschrijving dvtrajectomschrijving,
  cast(tbinspbezoeken.ddgepland as timestamp) as ddgeplandbezoek,
  tbinspsoortbezoek.dvomschrijving dvsoortbezoek,
  cast(vwfrminsponrechtmatigheden.ddconstatering as timestamp) as ddbezoekconstatering,
  vwfrminsponrechtmatigheden.dvinspcode dvbezoekinspcode,
  vwfrminsponrechtmatigheden.dvwetbasis,
  vwfrminsponrechtmatigheden.dvovertreding,
  cast(vwfrminsponrechtmatigheden.ddopgelost as timestamp) as ddopgelost,
  cast(null as character varying(100)) as dvgebouwtype, 
  cast(null as character varying(50)) as dvgebouwspecificatie,
  cast(null as character varying(50)) as dvgebouwbeschr,
  cast(null as character varying(25)) as dvwaarom,
  cast(null as character varying(25)) as dvoplostermijn,
  vwfrmmilinrichtingen.dvobjadres,
  vwfrmmilinrichtingen.dvobjplaats,
  vwfrminsponrechtmatigheden.dvuitleg dvinfo,
  vwfrminsponrechtmatigheden.dnkeyinspecties,
  vwfrminsponrechtmatigheden.dvgrondslagoms,
  vwfrminsponrechtmatigheden.dvgrondslagzaakcode
from 
  vwfrminsponrechtmatigheden
  inner join tbinspecties
  on (vwfrminsponrechtmatigheden.dnkeyinspecties = tbinspecties.dnkey)
  inner join tbinspaanleiding
  on (tbinspecties.dnkeyinspaanleiding = tbinspaanleiding.dnkey)
  inner join vwfrmmilinrichtingen
  on (tbinspecties.dnkeymilinrichtingen = vwfrmmilinrichtingen.dnkeymilinrichtingen)
  inner join tbinspbezoeken
  on (tbinspbezoeken.dnkeyinspecties = tbinspecties.dnkey)
  left outer join tbinspsoortbezoek
  on (tbinspbezoeken.dnkeyinspsoortbezoek = tbinspsoortbezoek.dnkey)
where 
  not exists (select 1 from tbinspovertrgebouw where tbinspovertrgebouw.dnkeyinsponrechtm = vwfrminsponrechtmatigheden.dnkeyonrechtmatigheid)
  and (tbinspecties.dngrondslactw is not null or tbinspecties.dngrondslverge is not null)
  and tbinspaanleiding.dvcyclcontr = 'B'
union
select  
 /* alle bezoeken bij inspectietrajecten met brandweer-onrechtmatigheden met uitsplisting per gebouw */ 
   tbinspecties.ddrappel ddtrajectstart,
   tbinspecties.dvcodemedewerkers dvhoofdinsp,
   tbinspecties.ddcontrole ddtrajecteind,
   tbinspaanleiding.dvaanleiding,
   vwfrmmilinrichtingen.dvinrichtingnaam,
   tbinspecties.dvomschrijving dvtrajectomschrijving,
   cast(tbinspbezoeken.ddgepland as timestamp) as ddgeplandbezoek,
   tbinspsoortbezoek.dvomschrijving dvsoortbezoek,
   cast(vwfrminspovertrgebouw.dddatumconstatering as timestamp) as ddbezoekconstatering,
   vwfrminspovertrgebouw.dvinspcode dvbezoekinspcode,  
   vwfrminspovertrgebouw.dvwetbasis,
   vwfrminspovertrgebouw.dvovertreding,
   cast(vwfrminspovertrgebouw.dddatumopgelost as timestamp) as ddopgelost,
   vwfrminspovertrgebouw.dvgebouwtype, 
   vwfrminspovertrgebouw.dvgebouwspecificatie,
   vwfrminspovertrgebouw.dvgebouwbeschr,
   vwfrminspovertrgebouw.dvwaarom,
   vwfrminspovertrgebouw.dvoplostermijn,
   vwfrmmilinrichtingen.dvobjadres,
   vwfrmmilinrichtingen.dvobjplaats,
   vwfrminspovertrgebouw.dvinfo,
   vwfrminspovertrgebouw.dnkeyinspecties,
   vwfrminspovertrgebouw.dvgrondslagoms,
   vwfrminspovertrgebouw.dvgrondslagzaakcode
from vwfrminspovertrgebouw
     inner join tbinspecties
     on (vwfrminspovertrgebouw.dnkeyinspecties = tbinspecties.dnkey)
     inner join vwfrmmilinrichtingen
     on (tbinspecties.dnkeymilinrichtingen = vwfrmmilinrichtingen.dnkeymilinrichtingen)
     inner join tbinspbezoeken
     on (tbinspbezoeken.dnkeyinspecties = tbinspecties.dnkey)
     left outer join tbinspsoortbezoek
     on (tbinspbezoeken.dnkeyinspsoortbezoek = tbinspsoortbezoek.dnkey)
     inner join tbinspaanleiding
     on (tbinspecties.dnkeyinspaanleiding = tbinspaanleiding.dnkey)
     where 
    tbinspaanleiding.dvcyclcontr = 'B'
    union
select 
 /* alle brandweer inspectiebezoeken van inspectietrajecten zonder onrechtmatigheden */ 
  tbinspecties.ddrappel ddtrajectstart,
  tbinspecties.dvcodemedewerkers dvhoofdinsp,
  tbinspecties.ddcontrole ddtrajecteind,
  tbinspaanleiding.dvaanleiding,
  vwfrmmilinrichtingen.dvinrichtingnaam,
  tbinspecties.dvomschrijving dvtrajectomschrijving,
  tbinspbezoeken.ddgepland ddgeplandbezoek,
  tbinspsoortbezoek.dvomschrijving dvsoortbezoek,
  cast(tbinspbezoeken.ddafgehandeld as timestamp) as ddbezoekconstatering,
  tbinspbezoeken.dvcodemedewerkers dvbezoekinspcode,
  cast(null as character varying(200)) as dvwetbasis,
  cast(null as character varying(200)) as dvovertreding,
  cast(null as timestamp) as ddopgelost,
  cast(null as character varying(100)) as dvgebouwtype, 
  cast(null as character varying(50)) as dvgebouwspecificatie,
  cast(null as character varying(50)) as dvgebouwbeschr,
  cast(null as character varying(25)) as dvwaarom,
  cast(null as character varying(25)) as dvoplostermijn,
  vwfrmmilinrichtingen.dvobjadres,
  vwfrmmilinrichtingen.dvobjplaats,
  tbinspbezoeken.dvverslag dvinfo,
  tbinspbezoeken.dnkeyinspecties,
  vwfrminspecties.dvgrondslagoms,
  vwfrminspecties.dvgrondslagzaakcode
from 
  tbinspbezoeken
  inner join tbinspecties
  on (tbinspbezoeken.dnkeyinspecties = tbinspecties.dnkey)
  inner join tbinspaanleiding
  on (tbinspecties.dnkeyinspaanleiding = tbinspaanleiding.dnkey)
  inner join vwfrmmilinrichtingen
  on (tbinspecties.dnkeymilinrichtingen = vwfrmmilinrichtingen.dnkeymilinrichtingen)
  inner join vwfrminspecties
  on (tbinspecties.dnkey = vwfrminspecties.dninspkey)
  left outer join tbinspsoortbezoek
  on (tbinspbezoeken.dnkeyinspsoortbezoek = tbinspsoortbezoek.dnkey)
where
  not exists (select 1 from tbinsponrechtm  
  where tbinspbezoeken.dnkeyinspecties = tbinsponrechtm.dnkeyinspecties
  and tbinspbezoeken.ddafgehandeld = tbinsponrechtm.ddconstatering
  and tbinspbezoeken.dvcodemedewerkers = tbinsponrechtm.dvcodemedewerkers)
  and (tbinspecties.dngrondslactw is not null or tbinspecties.dngrondslverge is not null)
  and tbinspaanleiding.dvcyclcontr = 'B'
union     
select 
 /* alle brandweer inspectietrajecten zonder bezoeken en zonder onrechtmatigheid*/ 
  tbinspecties.ddrappel ddtrajectstart,
  tbinspecties.dvcodemedewerkers dvhoofdinsp,
  tbinspecties.ddcontrole ddtrajecteind,
  tbinspaanleiding.dvaanleiding,
  vwfrmmilinrichtingen.dvinrichtingnaam,
  tbinspecties.dvomschrijving dvtrajectomschrijving,
  cast(null as timestamp) as ddgeplandbezoek,
  cast(null as character varying(50)) as dvsoortbezoek,
  cast(null as timestamp) as ddbezoekconstatering,
  cast(null as char(5)) as dvbezoekinspcode, 
  cast(null as character varying(200)) as dvwetbasis,
  cast(null as character varying(200)) as dvovertreding,
  cast(null as timestamp) as ddopgelost,
  cast(null as character varying(100)) as dvgebouwtype, 
  cast(null as character varying(50)) as dvgebouwspecificatie,
  cast(null as character varying(50)) as dvgebouwbeschr,
  cast(null as character varying(25)) as dvwaarom,
  cast(null as character varying(25)) as dvoplostermijn,
  vwfrmmilinrichtingen.dvobjadres,
  vwfrmmilinrichtingen.dvobjplaats,
  cast(null as character varying(2000)) as dvinfo,
  tbinspecties.dnkey dnkeyinspecties,
  vwfrminspecties.dvgrondslagoms,
  vwfrminspecties.dvgrondslagzaakcode
from 
  tbinspecties
  inner join tbinspaanleiding
  on (tbinspecties.dnkeyinspaanleiding = tbinspaanleiding.dnkey)
  inner join vwfrmmilinrichtingen
  on (tbinspecties.dnkeymilinrichtingen = vwfrmmilinrichtingen.dnkeymilinrichtingen)
  inner join vwfrminspecties
  on (tbinspecties.dnkey = vwfrminspecties.dninspkey)
where
   not exists (select 1 from tbinspbezoeken where tbinspecties.dnkey = tbinspbezoeken.dnkeyinspecties)
   and not exists (select 1 from tbinsponrechtm where tbinspecties.dnkey = tbinsponrechtm.dnkeyinspecties)
   and (tbinspecties.dngrondslactw is not null or tbinspecties.dngrondslverge is not null)
   and tbinspaanleiding.dvcyclcontr = 'B'
;     
create or replace view vwdmszaaktypecodes as
select 
 cast('W' as char(1)) as dvmodule,
 cast('tbsoortomgverg' as character varying(19)) as dvtabel,
 tbsoortomgverg.dnkey,
 cast(null as character varying(1)) as dvcode, 
 tbsoortomgverg.dvdmszaaktypecode
from tbsoortomgverg where dvdmszaaktypecode is not null
union
select 
 cast('E' as char(1)) as dvmodule,
 cast('tbsoortmilverg'  as character varying(19)) as dvtabel,
 tbsoortmilverg.dnkey,
 cast(null as character varying(1)) as dvcode,   
 tbsoortmilverg.dvdmszaaktypecode
from tbsoortmilverg where dvdmszaaktypecode is not null
union
select 
 cast('C' as char(1)) as dvmodule,
 cast('tbsoorthorverg'  as character varying(19)) as dvtabel,
 tbsoorthorverg.dnkey,
 cast(null as character varying(1)) as dvcode, 
 tbsoorthorverg.dvdmszaaktypecode
from tbsoorthorverg where dvdmszaaktypecode is not null
union
select 
 cast('H' as char(1)) as dvmodule,
 cast('tbhandhovertreding'  as character varying(19)) as dvtabel,
 tbhandhovertreding.dnkey,
 cast(null as character varying(1)) as dvcode, 
 tbhandhovertreding.dvdmszaaktypecode
from tbhandhovertreding where dvdmszaaktypecode is not null
union
select 
 cast('O' as char(1)) as dvmodule,
 cast('tbsoortovverg'  as character varying(19)) as dvtabel,
 cast(null as integer) as dnkey,
 tbsoortovverg.dvcode, 
 tbsoortovverg.dvdmszaaktypecode
from tbsoortovverg where dvdmszaaktypecode is not null
union
select 
 cast('B' as char(1)) as dvmodule,
 cast('tbsoortplan'  as character varying(19)) as dvtabel,
 tbsoortplan.dnkey,
 cast(null as character varying(1)) as dvcode, 
 tbsoortplan.dvdmszaaktypecode
from tbsoortplan where dvdmszaaktypecode is not null
union
select 
 cast('I' as char(1)) as dvmodule,
 cast('tbsoortinfoaanvraag'  as character varying(19)) as dvtabel,
 tbsoortinfoaanvraag.dnkey,
 cast(null as character varying(1)) as dvcode, 
 tbsoortinfoaanvraag.dvdmszaaktypecode
from tbsoortinfoaanvraag where dvdmszaaktypecode is not null
union
select 
 cast('H' as char(1)) as dvmodule,
 cast('tbsoorthhzaak'  as character varying(19)) as dvtabel,
 tbsoorthhzaak.dnkey,
 cast(null as character varying(1)) as dvcode, 
 tbsoorthhzaak.dvdmszaaktypecode
from tbsoorthhzaak where dvdmszaaktypecode is not null
;
create or replace view vwhandhdochteraantallen as 
    select 
      cast('tbtermbewstappen' as character varying(20)) as tabel,
       a.dnkeyhandhavingen, 
       count (distinct (a.dnkeyorgprocedure + (case when a.dninvoegnr is null then 0 else a.dninvoegnr end))) aantal 
    from
       tbtermijnbewstappen a
       inner join tbhandhavingen b 
	   on (a.dnkeyhandhavingen = b.dnkey)
    group by a.dnkeyhandhavingen
  union
    select 
      cast('tbinbehandelingbij' as character varying(20)) as tabel,
      a.dnkeyhandhavingen, 
      count(*) aantal 
    from
      tbinbehandelingbij a
	  inner join tbhandhavingen b 
	  on (a.dnkeyhandhavingen = b.dnkey)
    group by a.dnkeyhandhavingen
  union
    select 
      cast('tbadviezen' as character varying(20)) as tabel, 
      a.dnkeyhandhavingen,  
      count(*) aantal 
     from
      tbadviezen a
	  inner join tbhandhavingen b 
      on (a.dnkeyhandhavingen = b.dnkey)
     group by a.dnkeyhandhavingen
  union
    select 
      cast('tbcorrespondentie' as character varying(20)) as tabel, 
       a.dnkeyhandhavingen,  
       count(*) aantal 
    from
       tbcorrespondentie a
	   inner join tbhandhavingen b 
    on (a.dnkeyhandhavingen = b.dnkey)
    group by a.dnkeyhandhavingen
  union
    select 
      cast('tbcorrespbinnen' as character varying(20)) as tabel, 
       a.dnkeyhandhavingen,  
       count(*) aantal 
     from
       tbcorrespbinnen a
       inner join tbhandhavingen b 
       on (a.dnkeyhandhavingen = b.dnkey)  
       group by a.dnkeyhandhavingen
   union
    select 
       cast('tbhandhcontactennn' as character varying(20)) as tabel, 
       a.dnkeyhandhavingen,  
       count(*) aantal 
    from
       tbhandhcontactennn a
       inner join tbhandhavingen b 
       on (a.dnkeyhandhavingen = b.dnkey)  
       group by a.dnkeyhandhavingen
	union
  select 
      cast('tbinspecties' as character varying(20)) as tabel, 
      a.dnkeyhandhavingen,  
      count(*) aantal 
    from
      tbinspecties a
      inner join tbhandhavingen b 
      on (a.dnkeyhandhavingen = b.dnkey)  
    group by a.dnkeyhandhavingen
 union
    select 
      cast('tbhandhinvorderingen' as character varying(20)) as tabel, 
      a.dnkeyhandhavingen,  
      count(*) aantal 
    from
      tbhandhinvorderingen a
      inner join tbhandhavingen b 
      on (a.dnkeyhandhavingen = b.dnkey)  
    group by a.dnkeyhandhavingen
;
create or replace view vwovdochteraantallen as 
    select 
      cast('tbtermbewstappen' as character varying(20)) as tabel,
       a.dnkeyovvergunningen, 
       count (distinct (a.dnkeyorgprocedure + (case when a.dninvoegnr is null then 0 else a.dninvoegnr end))) aantal 
    from
       tbtermijnbewstappen a
       inner join tbovvergunningen b 
       on (a.dnkeyovvergunningen = b.dnkey)
    group by a.dnkeyovvergunningen
  union
    select 
      cast('tbinbehandelingbij' as character varying(20)) as tabel,
      a.dnkeyovvergunningen, 
      count(*) aantal 
    from
      tbinbehandelingbij a
      inner join tbovvergunningen b 
      on (a.dnkeyovvergunningen = b.dnkey)
    group by a.dnkeyovvergunningen
  union
    select 
      cast('tbadviezen' as character varying(20)) as tabel, 
      a.dnkeyovvergunningen, 
      count(*) aantal 
     from
      tbadviezen a
      inner join tbovvergunningen b
      on (a.dnkeyovvergunningen = b.dnkey)
    group by a.dnkeyovvergunningen
  union
    select 
      cast('tbcorrespondentie' as character varying(20)) as tabel, 
       a.dnkeyovvergunningen,  
       count(*) aantal 
    from
       tbcorrespondentie a
      inner join tbovvergunningen b 
      on (a.dnkeyovvergunningen = b.dnkey)
    group by a.dnkeyovvergunningen
  union
    select 
      cast('tbcorrespbinnen' as character varying(20)) as tabel, 
       a.dnkeyovvergunningen,  
       count(*) aantal 
     from
    tbcorrespbinnen a
    inner join tbovvergunningen b 
    on (a.dnkeyovvergunningen = b.dnkey)
    group by a.dnkeyovvergunningen
   union
    select 
       cast('tbovcontactennn' as character varying(20)) as tabel, 
      a.dnkeyovvergunningen,  
       count(*) aantal 
    from
       tbovcontactennn a
      inner join tbovvergunningen b 
    on (a.dnkeyovvergunningen = b.dnkey)
    group by a.dnkeyovvergunningen
	union
  select 
      cast('tbinspecties' as character varying(20)) as tabel, 
      a.dnkeyovvergunningen,  
      count(*) aantal 
    from
      tbinspecties a
      inner join tbovvergunningen b 
      on (a.dnkeyovvergunningen = b.dnkey)
    group by a.dnkeyovvergunningen
 union
    select 
      cast('tblegesregels' as character varying(20)) as tabel, 
      a.dnkeyovvergunningen,  
      count(*) aantal 
    from
      tblegesregels a
      inner join tbovvergunningen b 
      on (a.dnkeyovvergunningen = b.dnkey)
    group by a.dnkeyovvergunningen
;
create or replace view vwbouwdochteraantallen as 
    select 
      cast('tbtermbewstappen' as character varying(18)) as tabel,
       a.dnkeybouwvergunningen, 
       count (distinct (a.dnkeyorgprocedure + (case when a.dninvoegnr is null then 0 else a.dninvoegnr end))) aantal 
    from
       tbtermijnbewstappen a
       inner join tbbouwvergunningen b 
       on (a.dnkeybouwvergunningen = b.dnkey)
    group by a.dnkeybouwvergunningen
  union
    select 
      cast('tbinbehandelingbij' as character varying(18)) as tabel,
      a.dnkeybouwvergunningen, 
      count(*) aantal 
    from
      tbinbehandelingbij a
      inner join tbbouwvergunningen b 
      on (a.dnkeybouwvergunningen = b.dnkey)
    group by a.dnkeybouwvergunningen
  union
    select 
      cast('tbadviezen' as character varying(18)) as tabel, 
      a.dnkeybouwvergunningen, 
      count(*) aantal 
     from
      tbadviezen a
      inner join tbbouwvergunningen b 
      on (a.dnkeybouwvergunningen = b.dnkey)
    group by a.dnkeybouwvergunningen
  union
    select 
      cast('tbcorrespondentie' as character varying(18)) as tabel, 
       a.dnkeybouwvergunningen,  
       count(*) aantal 
    from
      tbcorrespondentie a
      inner join tbbouwvergunningen b 
      on (a.dnkeybouwvergunningen = b.dnkey)
    group by a.dnkeybouwvergunningen
  union
    select 
      cast('tbcorrespbinnen' as character varying(18)) as tabel, 
       a.dnkeybouwvergunningen,  
       count(*) aantal 
     from
      tbcorrespbinnen a
      inner join tbbouwvergunningen b 
      on (a.dnkeybouwvergunningen = b.dnkey)
    group by a.dnkeybouwvergunningen
   union
    select 
       cast('tbbouwcontactennn' as character varying(18)) as tabel, 
      a.dnkeybouwvergunningen,  
       count(*) aantal 
    from
       tbbouwcontactennn a
      inner join tbbouwvergunningen b 
      on (a.dnkeybouwvergunningen = b.dnkey)
    group by a.dnkeybouwvergunningen
    union
  select 
      cast('tbinspecties' as character varying(18)) as tabel, 
      a.dnkeybouwvergunningen,  
      count(*) aantal 
    from
      tbinspecties a
      inner join tbbouwvergunningen b 
      on (a.dnkeybouwvergunningen = b.dnkey)
    group by a.dnkeybouwvergunningen
 union
    select 
      cast('tblegesregels' as character varying(18)) as tabel, 
      a.dnkeybouwvergunningen,  
      count(*) aantal 
    from
      tblegesregels a
      inner join tbbouwvergunningen b 
     on (a.dnkeybouwvergunningen = b.dnkey)
    group by a.dnkeybouwvergunningen
;
create or replace view vwmilvergdochteraantallen as 
    select 
      cast('tbtermbewstappen' as character varying(19)) as tabel,
       a.dnkeymilvergunningen, 
       count (distinct (a.dnkeyorgprocedure + (case when a.dninvoegnr is null then 0 else a.dninvoegnr end))) aantal 
    from
       tbtermijnbewstappen a
       inner join tbmilvergunningen b 
       on (a.dnkeymilvergunningen = b.dnkey)
    group by a.dnkeymilvergunningen
  union
    select 
      cast('tbinbehandelingbij' as character varying(19)) as tabel,
      a.dnkeymilvergunningen, 
      count(*) aantal 
    from
      tbinbehandelingbij a
      inner join tbmilvergunningen b 
    on (a.dnkeymilvergunningen = b.dnkey)
    group by a.dnkeymilvergunningen
  union
    select 
      cast('tbadviezen' as character varying(19)) as tabel, 
      a.dnkeymilvergunningen, 
      count(*) aantal 
     from
      tbadviezen a
       inner join tbmilvergunningen b 
    on (a.dnkeymilvergunningen = b.dnkey)
    group by a.dnkeymilvergunningen
  union
    select 
      cast('tbcorrespondentie' as character varying(19)) as tabel, 
       a.dnkeymilvergunningen,  
       count(*) aantal 
    from
       tbcorrespondentie a
      inner join tbmilvergunningen b 
    on (a.dnkeymilvergunningen = b.dnkey)
    group by a.dnkeymilvergunningen
  union
    select 
      cast('tbcorrespbinnen' as character varying(19)) as tabel, 
       a.dnkeymilvergunningen,  
       count(*) aantal 
     from
       tbcorrespbinnen a
      inner join tbmilvergunningen b 
    on (a.dnkeymilvergunningen = b.dnkey)
    group by a.dnkeymilvergunningen
   union
    select 
       cast('tbmilvergcontactennn' as character varying(19)) as tabel, 
      a.dnkeymilvergunningen,  
       count(*) aantal 
    from
      tbmilvergcontactennn a
      inner join tbmilvergunningen b 
    on (a.dnkeymilvergunningen = b.dnkey)
    group by a.dnkeymilvergunningen
  union
      select 
      cast('tbmilvergwetgrond' as character varying(19)) as tabel, 
      a.dnkeymilvergunningen,  
      count(*) aantal 
    from
     tbmilvergwetgrond a
     inner join tbmilvergunningen b 
     on (a.dnkeymilvergunningen = b.dnkey)
    group by a.dnkeymilvergunningen
 union
      select 
      cast('tbomgoloberichten' as character varying(19)) as tabel, 
      a.dnkeymilvergunningen,  
      count(*) aantal 
    from
     tbomgoloberichten a
     inner join tbmilvergunningen b 
     on (a.dnkeymilvergunningen = b.dnkey)
    group by a.dnkeymilvergunningen    
 union
    select 
      cast('tbgebouwen' as character varying(19)) as tabel, 
      a.dnkeymilvergunningen,  
      count(*) aantal 
    from
     tbgebouwen a
     inner join tbmilvergunningen b 
     on (a.dnkeymilvergunningen = b.dnkey)
    group by a.dnkeymilvergunningen    
union
    select 
      cast('tbomgbwinstallaties' as character varying(19)) as tabel, 
      a.dnkeymilvergunningen,  
      count(*) aantal 
    from
     tbomgbwinstallaties a
     inner join tbmilvergunningen b 
    on (a.dnkeymilvergunningen = b.dnkey)
    group by a.dnkeymilvergunningen
union
    select 
      cast('tbbwaantekeningen' as character varying(19)) as tabel, 
      a.dnkeymilvergunningen,  
      count(*) aantal 
    from
     tbbwaantekeningen a
     inner join tbmilvergunningen b 
     on (a.dnkeymilvergunningen = b.dnkey)
    group by a.dnkeymilvergunningen
union
    select 
      cast('tbomgpreparaties' as character varying(19)) as tabel, 
      a.dnkeymilvergunningen,  
      count(*) aantal 
    from
     tbomgpreparaties a
     inner join tbmilvergunningen b 
     on (a.dnkeymilvergunningen = b.dnkey)
    group by a.dnkeymilvergunningen
;   
create or replace view vwinfodochteraantallen as 
    select 
      cast('tbtermbewstappen' as character varying(19)) as tabel,
       a.dnkeyinfoaanvraag, 
       count (distinct (a.dnkeyorgprocedure + (case when a.dninvoegnr is null then 0 else a.dninvoegnr end))) aantal 
    from
       tbtermijnbewstappen a
       inner join tbinfoaanvragen b 
      on (a.dnkeyinfoaanvraag = b.dnkey)
    group by a.dnkeyinfoaanvraag
  union
    select 
      cast('tbinbehandelingbij' as character varying(19)) as tabel,
      a.dnkeyinfoaanvraag, 
      count(*) aantal 
    from
      tbinbehandelingbij a
      inner join tbinfoaanvragen b 
     on (a.dnkeyinfoaanvraag = b.dnkey)
    group by a.dnkeyinfoaanvraag
  union
    select 
      cast('tbadviezen' as character varying(19)) as tabel, 
      a.dnkeyinfoaanvraag, 
      count(*) aantal 
     from
      tbadviezen a
      inner join tbinfoaanvragen b 
     on (a.dnkeyinfoaanvraag = b.dnkey)
    group by a.dnkeyinfoaanvraag
  union
    select 
      cast('tbcorrespondentie' as character varying(19)) as tabel, 
       a.dnkeyinfoaanvraag,  
       count(*) aantal 
    from
      tbcorrespondentie a
      inner join tbinfoaanvragen b 
     on (a.dnkeyinfoaanvraag = b.dnkey)
    group by a.dnkeyinfoaanvraag
  union
    select 
      cast('tbcorrespbinnen' as character varying(19)) as tabel, 
       a.dnkeyinfoaanvraag,  
       count(*) aantal 
     from
      tbcorrespbinnen a
      inner join tbinfoaanvragen b 
     on (a.dnkeyinfoaanvraag = b.dnkey)
    group by a.dnkeyinfoaanvraag
   union
    select 
      cast('tbinfocontactennn' as character varying(19)) as tabel, 
      a.dnkeyinfoaanvraag,  
       count(*) aantal 
    from
      tbinfocontactennn a
      inner join tbinfoaanvragen b 
     on (a.dnkeyinfoaanvraag = b.dnkey)
    group by a.dnkeyinfoaanvraag
    union
      select 
      cast('tblegesregels' as character varying(19)) as tabel, 
      a.dnkeyinfoaanvraag,  
      count(*) aantal 
    from
     tblegesregels a
     inner join tbinfoaanvragen b 
     on (a.dnkeyinfoaanvraag = b.dnkey)
    group by a.dnkeyinfoaanvraag
	union
      select 
      cast('tbinfotrefwoordennn' as character varying(19)) as tabel, 
      a.dnkeyinfoaanvraag,  
      count(*) aantal 
    from
     tbinfotrefwoordennn a
     inner join tbinfoaanvragen b 
     on (a.dnkeyinfoaanvraag = b.dnkey)
    group by a.dnkeyinfoaanvraag
;
create or replace view vwmilinrdochteraantallen as 
   select 
      cast('tbcorrespondentie' as character varying(17)) as tabel, 
       a.dnkeymilinrichtingen,  
       count(*) aantal 
    from
      tbcorrespondentie a
      inner join tbmilinrichtingen b 
    on (a.dnkeymilinrichtingen = b.dnkey)
    group by a.dnkeymilinrichtingen
  union
    select 
      cast('tbcorrespbinnen' as character varying(17)) as tabel, 
       a.dnkeymilinrichtingen,  
       count(*) aantal 
     from
       tbcorrespbinnen a
      inner join tbmilinrichtingen b 
    on (a.dnkeymilinrichtingen = b.dnkey)
    group by a.dnkeymilinrichtingen
   union
    select 
      cast('tbmilcontactennn' as character varying(17)) as tabel, 
      a.dnkeymilinrichtingen,  
       count(*) aantal 
    from
      tbmilcontactennn a
      inner join tbmilinrichtingen b 
     on (a.dnkeymilinrichtingen = b.dnkey)
    group by a.dnkeymilinrichtingen
    union
  select 
      cast('tbinspecties' as character varying(17)) as tabel, 
      a.dnkeymilinrichtingen,  
      count(*) aantal 
    from
      tbinspecties a
      inner join tbmilinrichtingen b 
      on (a.dnkeymilinrichtingen = b.dnkey)
    group by a.dnkeymilinrichtingen
 union
    select 
      cast('tbklachten' as character varying(17)) as tabel, 
      a.dnkeymilinrichtingen,  
      count(*) aantal 
    from
      tbklachten a
      inner join tbmilinrichtingen b 
      on (a.dnkeymilinrichtingen = b.dnkey)
    group by a.dnkeymilinrichtingen
union
    select 
      cast('tbhorontheffingen' as character varying(17)) as tabel, 
      a.dnkeymilinrichtingen,  
      count(*) aantal 
    from
     tbhorontheffingen a
     inner join tbmilinrichtingen b 
     on (a.dnkeymilinrichtingen = b.dnkey)
    group by a.dnkeymilinrichtingen
union
    select 
      cast('tbmiltrefwoord' as character varying(17)) as tabel, 
      a.dnkeymilinrichtingen,  
      count(*) aantal 
    from
     tbmiltrefwoord a
     inner join tbmilinrichtingen b 
     on (a.dnkeymilinrichtingen = b.dnkey)
    group by a.dnkeymilinrichtingen	
union
    select 
      cast('tbmilopslag' as character varying(17)) as tabel, 
      a.dnkeymilinrichtingen,  
      count(*) aantal 
    from
     tbmilopslag a
     inner join tbmilinrichtingen b 
     on (a.dnkeymilinrichtingen = b.dnkey)
    group by a.dnkeymilinrichtingen	
union
    select 
      cast('tbmilcertificaten' as character varying(17)) as tabel, 
      a.dnkeymilinrichtingen,  
      count(*) aantal 
    from
     tbmilcertificaten a
     inner join tbmilinrichtingen b 
     on (a.dnkeymilinrichtingen = b.dnkey)
    group by a.dnkeymilinrichtingen	
union
    select 
      cast('tbmilsbi' as character varying(17)) as tabel, 
      a.dnkeymilinrichtingen,  
      count(*) aantal 
    from
     tbmilsbi a
     inner join tbmilinrichtingen b 
     on (a.dnkeymilinrichtingen = b.dnkey)
    group by a.dnkeymilinrichtingen	
union
    select 
      cast('tbmilivb' as character varying(17)) as tabel, 
      a.dnkeymilinrichtingen,  
      count(*) aantal 
    from
     tbmilivb a
     inner join tbmilinrichtingen b 
     on (a.dnkeymilinrichtingen = b.dnkey)
    group by a.dnkeymilinrichtingen	
union
    select 
      cast('tbmilemwater' as character varying(17)) as tabel, 
      a.dnkeymilinrichtingen,  
      count(*) aantal 
    from
     tbmilemwater a
     inner join tbmilinrichtingen b 
     on (a.dnkeymilinrichtingen = b.dnkey)
    group by a.dnkeymilinrichtingen		
union
    select 
      cast('tbmilemstal' as character varying(17)) as tabel, 
      a.dnkeymilinrichtingen,  
      count(*) aantal 
    from
     tbmilemstal a
     inner join tbmilinrichtingen b 
     on (a.dnkeymilinrichtingen = b.dnkey)
    group by a.dnkeymilinrichtingen		
union
    select 
      cast('tbmilemlucht' as character varying(17)) as tabel, 
      a.dnkeymilinrichtingen,  
      count(*) aantal 
    from
     tbmilemlucht a
     inner join tbmilinrichtingen b
     on (a.dnkeymilinrichtingen = b.dnkey)
    group by a.dnkeymilinrichtingen		
union
    select 
      cast('tbmilenergie' as character varying(17)) as tabel, 
      a.dnkeymilinrichtingen,  
      count(*) aantal 
    from
     tbmilenergie a
     inner join tbmilinrichtingen b 
     on (a.dnkeymilinrichtingen = b.dnkey)
    group by a.dnkeymilinrichtingen		
union
    select 
      cast('tbmildiversen' as character varying(17)) as tabel, 
      a.dnkeymilinrichtingen,  
      count(*) aantal 
    from
     tbmildiversen a
     inner join tbmilinrichtingen b 
     on (a.dnkeymilinrichtingen = b.dnkey)
    group by a.dnkeymilinrichtingen		
union
    select 
      cast('tbbwaantekeningen' as character varying(17)) as tabel, 
      a.dnkeymilinrichtingen,  
      count(*) aantal 
    from
     tbbwaantekeningen a
     inner join tbmilinrichtingen b 
     on (a.dnkeymilinrichtingen = b.dnkey)
    group by a.dnkeymilinrichtingen		
union
    select 
      cast('tbaanvalsplannen' as character varying(17)) as tabel, 
      a.dnkeymilinrichtingen,  
      count(*) aantal 
    from
     tbaanvalsplannen a
     inner join tbmilinrichtingen b 
     on (a.dnkeymilinrichtingen = b.dnkey)
    group by a.dnkeymilinrichtingen	
union
    select 
      cast('tbomsinstallaties' as character varying(17)) as tabel, 
      a.dnkeymilinrichtingen,  
      count(*) aantal 
    from
     tbomsinstallaties a
     inner join tbmilinrichtingen b 
     on (a.dnkeymilinrichtingen = b.dnkey)
    group by a.dnkeymilinrichtingen				
;
create or replace view vwhorecadochteraantallen as 
    select 
      cast('tbtermbewstappen' as character varying(20)) as tabel,
       a.dnkeyhorecavergunningen, 
       count (distinct (a.dnkeyorgprocedure + (case when a.dninvoegnr is null then 0 else a.dninvoegnr end))) aantal 
    from
       tbtermijnbewstappen a
       inner join tbhorecavergunningen b 
      on (a.dnkeyhorecavergunningen = b.dnkey)
    group by a.dnkeyhorecavergunningen
  union
    select 
      cast('tbinbehandelingbij' as character varying(20)) as tabel,
      a.dnkeyhorecavergunningen, 
      count(*) aantal 
    from
      tbinbehandelingbij a
      inner join tbhorecavergunningen b 
     on (a.dnkeyhorecavergunningen = b.dnkey)
    group by a.dnkeyhorecavergunningen
  union
    select 
      cast('tbadviezen' as character varying(20)) as tabel, 
      a.dnkeyhorecavergunningen, 
      count(*) aantal 
     from
      tbadviezen a
      inner join tbhorecavergunningen b 
     on (a.dnkeyhorecavergunningen = b.dnkey)
    group by a.dnkeyhorecavergunningen
  union
    select 
      cast('tbcorrespondentie' as character varying(20)) as tabel, 
       a.dnkeyhorecavergunningen,  
       count(*) aantal 
    from
      tbcorrespondentie a
      inner join tbhorecavergunningen b 
      on (a.dnkeyhorecavergunningen = b.dnkey)
    group by a.dnkeyhorecavergunningen
  union
    select 
      cast('tbcorrespbinnen' as character varying(20)) as tabel, 
       a.dnkeyhorecavergunningen,  
       count(*) aantal 
     from
      tbcorrespbinnen a
      inner join tbhorecavergunningen b 
      on (a.dnkeyhorecavergunningen = b.dnkey)
    group by a.dnkeyhorecavergunningen
   union
    select 
      cast('tbhorecacontactennn' as character varying(20)) as tabel, 
      a.dnkeyhorecavergunningen,  
       count(*) aantal 
    from
      tbhorecacontactennn a
      inner join tbhorecavergunningen b 
      on (a.dnkeyhorecavergunningen = b.dnkey)
    group by a.dnkeyhorecavergunningen
    union
  select 
      cast('tbinspecties' as character varying(20)) as tabel, 
      a.dnkeyhorecavergunningen,  
      count(*) aantal 
    from
      tbinspecties a
      inner join tbhorecavergunningen b 
      on (a.dnkeyhorecavergunningen = b.dnkey)
    group by a.dnkeyhorecavergunningen
 union
    select 
      cast('tblegesregels' as character varying(20)) as tabel, 
      a.dnkeyhorecavergunningen,  
      count(*) aantal 
    from
     tblegesregels a
     inner join tbhorecavergunningen b 
     on (a.dnkeyhorecavergunningen = b.dnkey)
    group by a.dnkeyhorecavergunningen
 union
    select 
      cast('tbhorexploitatie' as character varying(20)) as tabel, 
      a.dnkeyhorecavergunningen,  
      count(*) aantal 
    from
     tbhorexploitatie a
     inner join tbhorecavergunningen b 
     on (a.dnkeyhorecavergunningen = b.dnkey)
    group by a.dnkeyhorecavergunningen
 union
    select 
      cast('tbhorterras' as character varying(20)) as tabel, 
      a.dnkeyhorecavergunningen,  
      count(*) aantal 
    from
     tbhorterras a
     inner join tbhorecavergunningen b 
     on (a.dnkeyhorecavergunningen = b.dnkey)
    group by a.dnkeyhorecavergunningen	
 union
    select 
      cast('tbhorspeelautomaten' as character varying(20)) as tabel, 
      a.dnkeyhorecavergunningen,  
      count(*) aantal 
    from
     tbhorspeelautomaten a
     inner join tbhorecavergunningen b 
     on (a.dnkeyhorecavergunningen = b.dnkey)
    group by a.dnkeyhorecavergunningen	
union
    select 
      cast('tbhorsluitingstijden' as character varying(20)) as tabel, 
      a.dnkeyhorecavergunningen,  
      count(*) aantal 
    from
     tbhorsluitingstijden a
     inner join tbhorecavergunningen b 
     on (a.dnkeyhorecavergunningen = b.dnkey)
    group by a.dnkeyhorecavergunningen
 union
    select 
      cast('tbhorklachten' as character varying(20)) as tabel, 
      a.dnkeyhorecavergunningen,  
      count(*) aantal 
    from
     tbhorklachten a
     inner join tbhorecavergunningen b 
     on (a.dnkeyhorecavergunningen = b.dnkey)
    group by a.dnkeyhorecavergunningen
 union
    select 
      cast('tbhorbeperkingen' as character varying(20)) as tabel, 
      a.dnkeyhorvergunning,  
      count(*) aantal 
    from
     tbhorbeperkingen a
     inner join tbhorecavergunningen b 
     on (a.dnkeyhorvergunning = b.dnkey)
    group by a.dnkeyhorvergunning	
union
    select 
      cast('tbhorlokaliteiten' as character varying(20)) as tabel, 
      a.dnkeyhorvergunning,  
      count(*) aantal 
    from
     tbhorlokaliteiten a
     inner join tbhorecavergunningen b 
     on (a.dnkeyhorvergunning = b.dnkey)
    group by a.dnkeyhorvergunning	
union
    select 
      cast('tbhorontheffingen' as character varying(20)) as tabel, 
      a.dnkeyhorvergunning,  
      count(*) aantal 
    from
     tbhorontheffingen a
     inner join tbhorecavergunningen b 
     on (a.dnkeyhorvergunning = b.dnkey)
    group by a.dnkeyhorvergunning	
;	
create or replace view vwfrmmilmhccontacten as
select
  tbmilcontactennn.dnkeymilinrichtingen,
  tbcontactadressen.dvbedrijfsnaam dvmhcbedrijf,
  tbcontactadressen.dnkey dnkeycontactadressen,
  tbcontactadressen.dvvoorletters dvmhcvoorletters,
  tbcontactadressen.dvvoorvoegsel dvmhcvoorvoegsel,
  tbcontactadressen.dvroepnaam dvmhcroepnaam,
  tbcontactadressen.dvachternaam dvmhcachternaam,
  tbcontactadressen.dvbriefaanhef dvmhcbriefaanhef,
  tbcontactadressen.dvwoonplaatsnaam dvmhcwoonplaats,
  tbcontactadressen.dvstraatnaam dvmhcstraatnaam,
  tbcontactadressen.dvaanduidingbijhuisnummer dvmhcaanduidhuisnr,
  tbcontactadressen.dvhuisnummer dvmhchuisnummer,
  tbcontactadressen.dvhuisnummertoevoeging dvmhchuisnrtoevoeg,
  tbcontactadressen.dvhuisletter dvmhchuisletter,
  tbcontactadressen.dvpostcode dvmhcpostcode,
  tbcontactadressen.dvtelefoon dvmhctelefoon,
  tbcontactadressen.dvgsm dvmhcgsm,
  tbcontactadressen.dvfax dvmhcfax,
  tbcontactadressen.dvemail dvmhcemail,
  tbcontactadressen.ddvervaldatum ddavrvervaldatum,
  tbcontactadressen.dvsofinummer dvmhcbsn,
  tbcontactadressen.dvbin dvmhcbin,
 cast(case when tbcontactadressen.dvgeslacht = 'M' then 'De heer' 
  when tbcontactadressen.dvgeslacht ='V' then'Mevrouw' 
  else 'De heer/mevrouw' end
  || case when tbcontactadressen.dvvoorletters is not null then rtrim(' '||tbcontactadressen.dvvoorletters) else '' end
  || case when tbcontactadressen.dvvoorvoegsel is not null then rtrim(' '||tbcontactadressen.dvvoorvoegsel) else '' end
  || case when tbcontactadressen.dvachternaam is not null then rtrim(' '||tbcontactadressen.dvachternaam) else '' end
  as character varying(238)) as dvmhctav,
  cast(tbcontactadressen.dvstraatnaam 
  || case when tbcontactadressen.dvaanduidingbijhuisnummer is not null then rtrim(' '||tbcontactadressen.dvaanduidingbijhuisnummer) else '' end
  || case when tbcontactadressen.dvhuisnummer is not null then rtrim(' '||tbcontactadressen.dvhuisnummer)else '' end
  || case when tbcontactadressen.dvhuisletter is not null then tbcontactadressen.dvhuisletter else '' end
  || case when rtrim(tbcontactadressen.dvhuisnummertoevoeging) is null then '' 
     else replace('-'||tbcontactadressen.dvhuisnummertoevoeging,'--','-')
     end as character varying(95)) as dvmhcadres,
  tbcontactadressen.dvhandelsnaam dvmhchandelsnaam,
  tbcontactadressen.dvgeslacht
from
  tbmilcontactennn
  inner join tbcontactadressen
  on (tbmilcontactennn.dnkeycontactadressen = tbcontactadressen.dnkey)
where
  tbmilcontactennn.dvcodeadressoort = 'MHC'
;
create or replace view vwowbkijkrechtopeningsscherm as
select
a.dvloginnaam,
a.dvomschrijving dvachternaam,
a.dvvoorletters,
a.dvtussenvoegsel,
cast(case when b.dlaomgvsb = 'T' then 'W' else '' end 
|| case when b.dlabwvvsb = 'T' then 'B' else '' end 
|| case when b.dlaovvvsb = 'T' then 'O' else '' end
|| case when b.dlahahvsb ='T' then 'H' else '' end 
|| case when b.dlahorvsb = 'T' then 'C' else '' end  
|| case when b.dlainfovsb = 'T' then 'I' else '' end 
|| case when b.dlamilvsb = 'T' then 'EV' else '' end as character varying(8)) as dvmodulekijkrechten, 
a.dvlaatstemodule,
a.dnlaatsterecord dnlaatstekey,
a.dddatumpassword,
cast(case when (a.dlisextadv = 'T' or dliskpvv = 'T' or dliskpth = 'T') then 'T' else 'F' end as char(1)) as dlisextern,
a.dlisextadv,
a.dliskpvv,
a.dliskpth,
a.dnwerkniveau,
a.dnrapportageniveau,
a.dvalleengemeentes,
a.dvcode,
a.dnmaginapp,
a.dlpassneverexpires,
a.dldeviceunlockdisabled
from tbmedewerkers a
left outer join tbrechten b
on (a.dnkeyrechten = b.dnkey)
;
create or replace view vwomgheeftbagactiviteiten as
select 
  distinct a.dnkeyomgvergunningen dnkeyomgheeftbagact
  from 
  tbomgvergunning b
  inner join tbtoestemmingen a
  on (b.dnkey = a.dnkeyomgvergunningen)
  inner join tbsrttoestemming c
   on (c.dnkey = a.dnkeysrttoestemming)
  where
  a.ddvervallen is null
  and
  c.dluitvoering = 'T'
;
create or replace view vwfrmomgorkestrator_adv as    
select
   a.dnkey dnkeyadvies,
   a.ddrappeldatum,
   d.dvomschrijving dvomschradviesinstantie,
   a.dvomschrijving,
   cast(case when a.dvcodemedewerkers is null then e.dvcodemedewerker else a.dvcodemedewerkers 
   end as character varying(5)) as dvadviesbehandelaar,
   a.dnkeymilvergunningen dnkeymodule,
   cast('E' as char(1)) as dvmodule,
   cast(c.dvinrichtingnaam as character varying(200)) as dvinrichtingnaam,
    b.dvvergnummer dvzaakcode,
    cast(f.dvomschrijving as character varying(200)) as dvsoortverg,
    cast(h.dvomschrijving || ''|| b.dvpublbouwwerk as character varying(250)) as dvomsaanvraag,
    g.dvopruimtenaam dvobjstraat,
    g.dvobjhuisnr dvobjhuisnummer,
    g.dvwoonplaatsnaam dvobjplaats,
    cast(null as character varying(1)) as dvrechtengroep,
    e.dvcodemedewerker dvdossierbehandelaar,
	b.dnkeymilinrichtingen,
	a.ddaanvraagverstuurd as ddemailverstuurd,
	f.dnicoon,
	cast(case when fn_vandaag(0) > a.ddrappeldatum then 'rood'
	     when a.ddrappeldatum >= fn_vandaag(0) and a.ddrappeldatum <= fn_vandaag(2) then 'oranje'
       else 'wit'
	   end as character varying(6)) as dvadviesgevaar,
	g.dvgemeenteid,
    a.dvcodeadviesinstanties	
from
  tbadviezen a
  inner join tbmilvergunningen b
  on (a.dnkeymilvergunningen = b.dnkey)
  inner join tbmilinrichtingen c
  on (b.dnkeymilinrichtingen = c.dnkey)
  inner join tbadviesinstanties d
  on (a.dvcodeadviesinstanties = d.dvcode)
  inner join tbinbehandelingbij e
  on (a.dnkeymilvergunningen = e.dnkeymilvergunningen)
  inner join tbsoortmilverg f
  on (b.dnkeysoortmilverg = f.dnkey)
  inner join vwfrmlokaties g
  on (c.dnkeyperceeladressen = g.dnkeyperceeladressen)
  left outer join tbmilwerkz h
  on (b.dnkeymilwerkz = h.dnkey)
  where 
  a.ddrappeldatum > fn_vandaag(-365) and
  a.ddadviesdatum is null and
  a.ddvervallen is null and
  b.ddblokkering is null and
  e.dlactief = 'T' 
union all
select
  a.dnkey dnkeyadvies,
   a.ddrappeldatum,
   d.dvomschrijving dvomschradviesinstantie,
   a.dvomschrijving,
   cast(case when a.dvcodemedewerkers is null then e.dvcodemedewerker else a.dvcodemedewerkers 
   end as character varying(5)) as dvadviesbehandelaar,
   a.dnkeyomgvergunningen dnkeymodule,
   cast('W' as char(1)) as dvmodule,
   cast(c.dvinrichtingnaam as character varying(200)) as dvinrichtingnaam,
  b.dvzaakcode,
  cast(f.dvomschrijving as character varying(200)) as dvsoortverg,
  cast(b.dvaanvraagnaam as character varying(250)) as dvomsaanvraag,
  g.dvopruimtenaam dvobjstraat,
   g.dvobjhuisnr dvobjhuisnummer,
  g.dvwoonplaatsnaam dvobjplaats,
  cast(null as character varying(1)) as dvrechtengroep,
   e.dvcodemedewerker dvdossierbehandelaar,
   b.dnkeymilinrichtingen,
   a.ddaanvraagverstuurd as ddemailverstuurd,
   f.dnicoon,
   cast(case when fn_vandaag(0) > a.ddrappeldatum then 'rood'
       when a.ddrappeldatum  <= fn_datumplus(fn_vandaag(0),f.dnadvwaarschuwper) then 'oranje'
	   else 'wit'
	   end as character varying(6)) as dvadviesgevaar,
   g.dvgemeenteid,
    a.dvcodeadviesinstanties	
from
  tbadviezen a
  inner join tbomgvergunning b
  on (a.dnkeyomgvergunningen = b.dnkey)
  left outer join tbmilinrichtingen c
  on (b.dnkeymilinrichtingen = c.dnkey)
  inner join tbadviesinstanties d
  on (a.dvcodeadviesinstanties = d.dvcode)
  inner join tbinbehandelingbij e
  on (a.dnkeyomgvergunningen = e.dnkeyomgvergunningen)
  inner join tbsoortomgverg f
  on (b.dnkeysoortomgverg = f.dnkey)
  inner join vwfrmlokaties g
  on (b.dnkeyperceeladressen = g.dnkeyperceeladressen)
where 
  a.ddrappeldatum > fn_vandaag(-365) and
  a.ddadviesdatum is null and
  a.ddvervallen is null and
  b.ddblokkering is null and
  e.dlactief = 'T' 
union all
select
   a.dnkey dnkeyadvies,
   a.ddrappeldatum,
   d.dvomschrijving dvomschradviesinstantie,
   a.dvomschrijving,
   cast(case when a.dvcodemedewerkers is null then e.dvcodemedewerker else a.dvcodemedewerkers 
   end as character varying(5)) as dvadviesbehandelaar,
   a.dnkeyhorecavergunningen dnkeymodule,
   cast('C' as char(1)) as dvmodule,
   cast(c.dvinrichtingnaam as character varying(200)) as dvinrichtingnaam,
  b.dvvergnummer as dvzaakcode,
  cast(h.dvomschrijving as character varying(200)) as dvsoortverg,
  cast(i.dvomschrijving as character varying(250)) as dvomsaanvraag,
  g.dvopruimtenaam dvobjstraat,
   g.dvobjhuisnr dvobjhuisnummer,
  g.dvwoonplaatsnaam dvobjplaats,
 cast(null as character varying(1)) as dvrechtengroep,
   e.dvcodemedewerker dvdossierbehandelaar,
   b.dnkeymilinrichtingen,
   a.ddaanvraagverstuurd as ddemailverstuurd,
   5 dnicoon,
   cast(case when fn_vandaag(0) > a.ddrappeldatum then 'rood'
      when a.ddrappeldatum >= fn_vandaag(0) and a.ddrappeldatum <= fn_vandaag(2) then 'oranje'
       else 'wit'
	   end as character varying(6)) as dvadviesgevaar,
	g.dvgemeenteid,
	 a.dvcodeadviesinstanties	
from
  tbadviezen a
  inner join tbhorecavergunningen b
  on (a.dnkeyhorecavergunningen = b.dnkey)
  left outer join tbmilinrichtingen c
  on (b.dnkeymilinrichtingen = c.dnkey)
  inner join tbadviesinstanties d
  on (a.dvcodeadviesinstanties = d.dvcode)
  inner join tbinbehandelingbij e
  on (a.dnkeyhorecavergunningen = e.dnkeyhorecavergunningen)
  inner join vwfrmlokaties g
  on (b.dnkeyperceeladressen = g.dnkeyperceeladressen)
  inner join tbsoorthorverg h
  on (b.dnkeysoortverg = h.dnkey)
  left outer join tbhorsrtonderneming i
  on (b.dnkeysoortonderneming = h.dnkey)
 where 
  a.ddrappeldatum > fn_vandaag(-365) and
  a.ddadviesdatum is null and
  a.ddvervallen is null and
  b.ddblokkering is null and
  e.dlactief = 'T' 
union all
select
   a.dnkey dnkeyadvies,
   a.ddrappeldatum,
   d.dvomschrijving dvomschradviesinstantie,
   a.dvomschrijving,
   cast(case when a.dvcodemedewerkers is null then e.dvcodemedewerker else a.dvcodemedewerkers 
   end as character varying(5)) as dvadviesbehandelaar,
   a.dnkeybouwvergunningen dnkeymodule,
   cast('B' as char(1)) as dvmodule,
   cast(c.dvinrichtingnaam as character varying(200)) as dvinrichtingnaam,
  b.dvbouwnr dvzaakcode,
  cast(f.dvomschrijving as character varying(200)) as dvsoortverg,
  cast(h.dvomschrijving || ''|| b.dvpublbouwwerk as character varying(250)) as dvomsaanvraag,
  g.dvopruimtenaam dvobjstraat,
   g.dvobjhuisnr dvobjhuisnummer,
  g.dvwoonplaatsnaam dvobjplaats,
  cast(null as character varying(1)) as dvrechtengroep,
   e.dvcodemedewerker dvdossierbehandelaar,
   b.dnkeymilinrichtingen,
   a.ddaanvraagverstuurd as ddemailverstuurd,
   2 dnicoon,
   cast(case when fn_vandaag(0) > a.ddrappeldatum then 'rood'
      when a.ddrappeldatum >= fn_vandaag(0) and a.ddrappeldatum <= fn_vandaag(2) then 'oranje'
       else 'wit'
	   end as character varying(6)) as dvadviesgevaar,
    g.dvgemeenteid,
	 a.dvcodeadviesinstanties	
from
  tbadviezen a
  inner join tbbouwvergunningen b
  on (a.dnkeybouwvergunningen = b.dnkey)
  left outer join tbmilinrichtingen c
  on (b.dnkeymilinrichtingen = c.dnkey)
  inner join tbadviesinstanties d
  on (a.dvcodeadviesinstanties = d.dvcode)
  inner join tbinbehandelingbij e
  on (a.dnkeybouwvergunningen = e.dnkeybouwvergunningen)
  inner join tbsoortplan f
  on (b.dnsoortplan = f.dnkey)
  inner join vwfrmlokaties g
  on (c.dnkeyperceeladressen = g.dnkeyperceeladressen)
  left outer join tbbouwwerkz h
  on (b.dnkeybouwwerkz = h.dnkey)
 where 
  a.ddrappeldatum > fn_vandaag(-365) and
  a.ddadviesdatum is null and
  a.ddvervallen is null and
  b.ddblokkering is null and
  e.dlactief = 'T' 
union all
select
 a.dnkey dnkeyadvies,
   a.ddrappeldatum,
   d.dvomschrijving dvomschradviesinstantie,
   a.dvomschrijving,
   cast(case when a.dvcodemedewerkers is null then e.dvcodemedewerker else a.dvcodemedewerkers 
   end as character varying(5)) as dvadviesbehandelaar,
   a.dnkeyovvergunningen dnkeymodule,
   cast('O' as char(1)) as dvmodule,
   cast(c.dvinrichtingnaam as character varying(200)) as dvinrichtingnaam,
  b.dvvergunningsnr dvzaakcode,
  cast(f.dvomschrijving as character varying(200)) as dvsoortverg,
  cast(h.dvomschrijving || ''|| b.dvpublbouwwerk as character varying(250)) as dvomsaanvraag,
   g.dvopruimtenaam dvobjstraat,
   g.dvobjhuisnr dvobjhuisnummer,
  g.dvwoonplaatsnaam dvobjplaats,
  cast(null as character varying(1)) as dvrechtengroep,
   e.dvcodemedewerker dvdossierbehandelaar,
   b.dnkeymilinrichtingen,
   a.ddaanvraagverstuurd as ddemailverstuurd,
   f.dnicoon,
   cast(case when fn_vandaag(0) > a.ddrappeldatum then 'rood'
      when a.ddrappeldatum >= fn_vandaag(0) and a.ddrappeldatum <= fn_vandaag(2) then 'oranje'
       else 'wit'
	   end as character varying(6)) as dvadviesgevaar,
    g.dvgemeenteid,
	 a.dvcodeadviesinstanties	
from
  tbadviezen a
  inner join tbovvergunningen b
  on (a.dnkeyovvergunningen = b.dnkey)
   left outer join tbmilinrichtingen c
  on (b.dnkeymilinrichtingen = c.dnkey)
  inner join tbadviesinstanties d
  on (a.dvcodeadviesinstanties = d.dvcode)
  inner join tbinbehandelingbij e
  on (a.dnkeyovvergunningen = e.dnkeyovvergunningen)
  inner join tbsoortovverg f
  on (b.dvcodesoortovverg = f.dvcode)
  inner join vwfrmlokaties g
  on (b.dnkeyperceeladressen = g.dnkeyperceeladressen)
  left outer join tbovwerkz h
  on (b.dnkeyovwerkz = h.dnkey)
where 
  a.ddrappeldatum > fn_vandaag(-365) and
  a.ddadviesdatum is null and
  a.ddvervallen is null and
  b.ddblokkering is null and
  e.dlactief = 'T' 
union all
select
 a.dnkey dnkeyadvies,
   a.ddrappeldatum,
   d.dvomschrijving dvomschradviesinstantie,
   a.dvomschrijving,
   cast(case when a.dvcodemedewerkers is null then e.dvcodemedewerker else a.dvcodemedewerkers 
   end as character varying(5)) as dvadviesbehandelaar,
   a.dnkeyhandhavingen dnkeymodule,
   cast('H' as char(1)) as dvmodule,
   cast(c.dvinrichtingnaam as character varying(200)) as dvinrichtingnaam,
  b.dvaanschrijfnr dvzaakcode,
  cast(f.dvomschrijving as character varying(200)) as dvsoortverg,
  cast(h.dvomschrijving as character varying(250)) as dvomsaanvraag,
   g.dvopruimtenaam dvobjstraat,
   g.dvobjhuisnr dvobjhuisnummer,
  g.dvwoonplaatsnaam dvobjplaats,
  cast(null as character varying(1)) as dvrechtengroep,
   e.dvcodemedewerker dvdossierbehandelaar,
   b.dnkeymilinrichtingen,
   a.ddaanvraagverstuurd as ddemailverstuurd,
   4 dnicoon,
   cast(case when fn_vandaag(0) > a.ddrappeldatum then 'rood'
      when a.ddrappeldatum >= fn_vandaag(0) and a.ddrappeldatum <= fn_vandaag(2) then 'oranje'
       else 'wit'
	   end as character varying(6)) as dvadviesgevaar,
	g.dvgemeenteid,
	 a.dvcodeadviesinstanties	
from
  tbadviezen a
  inner join tbhandhavingen b
  on (a.dnkeyhandhavingen = b.dnkey)
   left outer join tbmilinrichtingen c
  on (b.dnkeymilinrichtingen = c.dnkey)
  inner join tbadviesinstanties d
  on (a.dvcodeadviesinstanties = d.dvcode)
  inner join tbinbehandelingbij e
  on (a.dnkeyhandhavingen = e.dnkeyhandhavingen)
  inner join tbsoorthhzaak f
  on (b.dnkeysoorthhzaak = f.dnkey)
  inner join vwfrmlokaties g
  on (b.dnkeyperceeladressen = g.dnkeyperceeladressen)
  inner join tbhandhovertreding h
  on (b.dnkeyhandhovertreding = h.dnkey)
 where 
  a.ddrappeldatum > fn_vandaag(-365) and
  a.ddadviesdatum is null and
  a.ddvervallen is null and
  b.ddblokkering is null and
  e.dlactief = 'T' 
  union all
select
 a.dnkey dnkeyadvies,
   a.ddrappeldatum,
   d.dvomschrijving dvomschradviesinstantie,
   a.dvomschrijving,
   cast(case when a.dvcodemedewerkers is null then e.dvcodemedewerker else a.dvcodemedewerkers 
   end as character varying(5)) as dvadviesbehandelaar,
   a.dnkeyinfoaanvraag dnkeymodule,
   cast('I' as char(1)) as dvmodule,
   cast(c.dvinrichtingnaam as character varying(200)) as dvinrichtingnaam,
  b.dvinfonummer dvzaakcode,
  cast(f.dvomschrijving as character varying(200)) as dvsoortverg,
  cast(b.dvomschrijving as character varying(250)) as dvomsaanvraag,
   g.dvopruimtenaam dvobjstraat,
   g.dvobjhuisnr dvobjhuisnummer,
  g.dvwoonplaatsnaam dvobjplaats,
  cast(null as character varying(1)) as dvrechtengroep,
   e.dvcodemedewerker dvdossierbehandelaar,
   b.dnkeymilinrichtingen,
   a.ddaanvraagverstuurd as ddemailverstuurd,
   6 dnicoon,
   cast(case when fn_vandaag(0) > a.ddrappeldatum then 'rood'
      when a.ddrappeldatum >= fn_vandaag(0) and a.ddrappeldatum <= fn_vandaag(2) then 'oranje'
       else 'wit'
	   end as character varying(6)) as dvadviesgevaar,
	g.dvgemeenteid,
	 a.dvcodeadviesinstanties	
from
  tbadviezen a
  inner join tbinfoaanvragen b
  on (a.dnkeyinfoaanvraag = b.dnkey)
   left outer join tbmilinrichtingen c
  on (b.dnkeymilinrichtingen = c.dnkey)
  inner join tbadviesinstanties d
  on (a.dvcodeadviesinstanties = d.dvcode)
  inner join tbinbehandelingbij e
  on (a.dnkeyinfoaanvraag = e.dnkeyinfoaanvraag)
  inner join tbsoortinfoaanvraag f
  on (b.dnkeysoortinfoaanvraag = f.dnkey)
  inner join vwfrmlokaties g
  on (b.dnkeyperceeladressen = g.dnkeyperceeladressen)
where 
  a.ddrappeldatum > fn_vandaag(-365) and
  a.ddadviesdatum is null and
  a.ddvervallen is null and
  b.ddblokkeerdatum is null and
  e.dlactief = 'T' 
;
create or replace view vwfrmomgwelstand
as select
  tbadviezen.dnkeyomgvergunningen,
  tbadviezen.dvcodeadviesinstanties dvadvcodeinstantie,
  tbadviezen.dvomschrijving dvadvomschrijving,
  tbadviezen.ddaanvraagdatum ddadvaanvraag,
  tbadviezen.ddadviesdatum ddadvadvies,
  tbadviezen.ddrappeldatum ddadvrappel,
  tbadviezen.dladviespositief dvadvpositief,
  tbadviezen.dvmemo dvadvmemo,
  tbadviezen.dddateringadvies ddadvdatering,
  tbadviezen.dnkey dnadvkey,
  tbadviezen.dvcodemedewerkers,
  tbadviesinstanties.dvomschrijving dvadvinstantie,
  tbretouradvies.dvomschrijving dvadvretourcode,
  tbadvieswelstand.ddvergadering ddadvwelstvergadering,
  tbadvieswelstand.dnconclusie dnadvwelstconclusie,
  tbadvieswelstand.dvconclusietekst dvadvwelstconclusietekst,
  tbadvieswelstand.dvverslag dvadvwelstverslag,
  tbwelstandcommissie.dvomschrijving dvadvwelstandcommissie,
  vwfrmomgvergunningen.dvobjadres,
  vwfrmomgvergunningen.dvobjplaats,
  vwfrmomgvergunningen.dvsoortaanvraag,
  vwfrmomgvergunningen.dvaanvraagnaam dvwerkzaamheid,
  vwfrmomgvergunningen.ddaanvraag ddontvangst,
  vwfrmomgvergunningen.dvzaakcode, 
  vwfrmomgarccontacten.dvarcbedrijf,
  vwfrmomgarccontacten.dvarcvoorletters,
  vwfrmomgarccontacten.dvarcvoorvoegsel,
  vwfrmomgarccontacten.dvarcachternaam,
  vwfrmomgarccontacten.dvarcadres,
  vwfrmomgarccontacten.dvarcpostcode,
  vwfrmomgarccontacten.dvarcwoonplaats,
  vwfrmomgarccontacten.dvarchandelsnaam,
  tbwelstandcommissie.dnkey dnadvkeywelstandcommissie
  from
  tbadviezen
  inner join tbadvieswelstand
  on (tbadviezen.dnkey = tbadvieswelstand.dnkeyadviezen)
  left outer join tbwelstandcommissie
  on (tbadvieswelstand.dnkeywelcommissie = tbwelstandcommissie.dnkey)
  inner join tbadviesinstanties
  on (tbadviezen.dvcodeadviesinstanties = tbadviesinstanties.dvcode)
  left outer join tbretouradvies
  on (tbadviezen.dnkeyretouradvies = tbretouradvies.dnkey)
  inner join vwfrmomgvergunningen
  on (tbadviezen.dnkeyomgvergunningen = vwfrmomgvergunningen.dnkeyomgvergunning)
  left outer join vwfrmomgarccontacten
  on (tbadviezen.dnkeyomgvergunningen = vwfrmomgarccontacten.dnkeyomgvergunningen)
where
  tbadviesinstanties.dlwelstand = 'T'
;
create or replace view vwtoest_verlopen as
select
  tbtoestemmingen.ddgeldigtm ddrappel,
  tbtoestemmingen.dvwerkzaamheden dvomschrijving,
  tbtoestemmingen.dnkeyomgvergunningen dnkeyvergunning,
  vwfrmactiefinbehbij.dvibbcodemw dvcodemedewerker,
  vwfrmomgvergunningen.dvsoortaanvraag dvsoort,
  vwfrmomgvergunningen.dvzaakcode,
  cast('Toestemming' as char(11)) as dvtype,
  vwfrmomgvergunningen.dvobjstraat dvadres,
  vwfrmomgvergunningen.dvobjhuisnr dvhuisnr,
  vwfrmomgvergunningen.dvobjplaats dvkern,
  vwfrmomgvergunningen.dvgldbplnaam dvbestemplan,
  cast(case
   when vwomgavrcontacten.dvavrbedrijfsnaam is not null
   then vwomgavrcontacten.dvavrbedrijfsnaam
   else 
        vwomgavrcontacten.dvavrnaam ||',' ||  vwomgavrcontacten.dvavrvoorl || '' || vwomgavrcontacten.dvavrtussenv
  end as character varying(221)) as dvaanvrager               
from
  tbtoestemmingen
  inner join vwfrmomgvergunningen
  on (tbtoestemmingen.dnkeyomgvergunningen = vwfrmomgvergunningen.dnkeyomgvergunning)
  inner join vwfrmactiefinbehbij
  on (vwfrmomgvergunningen.dnkeyomgvergunning = vwfrmactiefinbehbij.dnkeyomgvergunningen)
  left outer join vwomgavrcontacten
  on (vwfrmomgvergunningen.dnkeyomgvergunning = vwomgavrcontacten.dnkeyomgvergunningen)
where
  tbtoestemmingen.ddgeldigtm is not null and
  tbtoestemmingen.ddingetrokken is null
  ;
create or replace view vwfrmomgorkestrator_ing_adv as    
select
   a.dnkey dnkeyadvies,
   a.dddateringadvies,
   d.dvomschrijving dvomschradviesinstantie,
   a.dvomschrijving,
   case when a.dvcodemedewerkers is null then e.dvcodemedewerker else a.dvcodemedewerkers end dvadviesbehandelaar,
   a.dnkeymilvergunningen dnkeymodule,
   cast('E' as char(1)) as dvmodule,
   cast(c.dvinrichtingnaam as character varying(200)) as dvinrichtingnaam,
    b.dvvergnummer dvzaakcode,
    cast(f.dvomschrijving as character varying(200)) as dvsoortverg,
    cast(h.dvomschrijving || ''|| b.dvpublbouwwerk as character varying(250)) as dvomsaanvraag,
    g.dvopruimtenaam dvobjstraat,
    g.dvobjhuisnr dvobjhuisnummer,
    g.dvwoonplaatsnaam dvobjplaats,
    cast(null as character varying(1)) as dvrechtengroep,
    e.dvcodemedewerker dvdossierbehandelaar,
	f.dnicoon,
	g.dvgemeenteid
from
  tbadviezen a
  inner join tbmilvergunningen b
  on (a.dnkeymilvergunningen = b.dnkey)
  inner join tbmilinrichtingen c
  on (b.dnkeymilinrichtingen = c.dnkey)
  inner join tbadviesinstanties d
  on (a.dvcodeadviesinstanties = d.dvcode)
  inner join tbinbehandelingbij e
  on (a.dnkeymilvergunningen = e.dnkeymilvergunningen)
  inner join tbsoortmilverg f
  on (b.dnkeysoortmilverg = f.dnkey)
  inner join vwfrmlokaties g
  on (c.dnkeyperceeladressen = g.dnkeyperceeladressen)
   left outer join tbmilwerkz h
  on (b.dnkeymilwerkz = h.dnkey)
where 
  a.dddateringadvies > fn_vandaag(-365) and
  a.ddvervallen is null and
  e.dlactief = 'T' 
union all
select
  a.dnkey dnkeyadvies,
   a.dddateringadvies, 
   d.dvomschrijving dvomschradviesinstantie,
   a.dvomschrijving,
   case when a.dvcodemedewerkers is null then e.dvcodemedewerker else a.dvcodemedewerkers end dvadviesbehandelaar,
   a.dnkeyomgvergunningen dnkeymodule,
 cast('W' as char(1)) as dvmodule,
   cast(c.dvinrichtingnaam as character varying(200)) as dvinrichtingnaam,
  b.dvzaakcode,
  cast(f.dvomschrijving as character varying(200)) as dvsoortverg,
  cast(b.dvaanvraagnaam as character varying(250)) as dvomsaanvraag,
  g.dvopruimtenaam dvobjstraat,
  g.dvobjhuisnr dvobjhuisnummer,
  g.dvwoonplaatsnaam dvobjplaats,
  cast(null as character varying(1)) as dvrechtengroep,
   e.dvcodemedewerker dvdossierbehandelaar,
   f.dnicoon,
   g.dvgemeenteid
from
  tbadviezen a
  inner join tbomgvergunning b
   on(a.dnkeyomgvergunningen = b.dnkey)
   inner join tbmilinrichtingen c
  on (b.dnkeymilinrichtingen = c.dnkey)
  inner join tbadviesinstanties d
  on (a.dvcodeadviesinstanties = d.dvcode)
  inner join tbinbehandelingbij e
  on (a.dnkeyomgvergunningen = e.dnkeyomgvergunningen)
  inner join tbsoortomgverg f
  on (b.dnkeysoortomgverg = f.dnkey)
  inner join vwfrmlokaties g
  on (b.dnkeyperceeladressen = g.dnkeyperceeladressen)
where 
  a.dddateringadvies > fn_vandaag(-365) and
  a.ddvervallen is null and
  e.dlactief = 'T' 
union all
select
   a.dnkey dnkeyadvies,
   a.dddateringadvies,
   d.dvomschrijving dvomschradviesinstantie,
   a.dvomschrijving,
   case when a.dvcodemedewerkers is null then e.dvcodemedewerker else a.dvcodemedewerkers end dvadviesbehandelaar,
   a.dnkeyhorecavergunningen dnkeymodule,
 cast('C' as char(1)) as dvmodule,
  cast(c.dvinrichtingnaam as character varying(200)) as dvinrichtingnaam,
  b.dvvergnummer as dvzaakcode,
  cast(h.dvomschrijving as character varying(200)) as dvsoortverg,
  cast(i.dvomschrijving as character varying(250)) as dvomsaanvraag,
  g.dvopruimtenaam dvobjstraat,
   g.dvobjhuisnr dvobjhuisnummer,
  g.dvwoonplaatsnaam dvobjplaats,
 cast(null as character varying(1)) as dvrechtengroep,
   e.dvcodemedewerker dvdossierbehandelaar,
   5 dnicoon,
   g.dvgemeenteid
from
  tbadviezen a
  inner join tbhorecavergunningen b
  on (a.dnkeyhorecavergunningen = b.dnkey)
  left outer join tbmilinrichtingen c
  on (b.dnkeymilinrichtingen = c.dnkey)
  inner join tbadviesinstanties d
  on (a.dvcodeadviesinstanties = d.dvcode)
  inner join tbinbehandelingbij e
  on (a.dnkeyhorecavergunningen = e.dnkeyhorecavergunningen)
  inner join vwfrmlokaties g
  on (b.dnkeyperceeladressen = g.dnkeyperceeladressen)
  inner join tbsoorthorverg h
  on (b.dnkeysoortverg = h.dnkey)
  left outer join tbhorsrtonderneming i
  on (b.dnkeysoortonderneming = h.dnkey)
where 
  a.dddateringadvies > fn_vandaag(-365) and
  a.ddvervallen is null and
  e.dlactief = 'T' 
union all
select
   a.dnkey dnkeyadvies,
  a.dddateringadvies,
   d.dvomschrijving dvomschradviesinstantie,
   a.dvomschrijving,
    case when a.dvcodemedewerkers is null then e.dvcodemedewerker else a.dvcodemedewerkers end dvadviesbehandelaar,
   a.dnkeybouwvergunningen dnkeymodule,
 cast('B' as char(1)) as dvmodule,
  cast(c.dvinrichtingnaam as character varying(200)) as dvinrichtingnaam,
  b.dvbouwnr dvzaakcode,
  cast(f.dvomschrijving as character varying(200)) as dvsoortverg,
  cast(h.dvomschrijving || ''|| b.dvpublbouwwerk as character varying(250)) as dvomsaanvraag,
  g.dvopruimtenaam dvobjstraat,
   g.dvobjhuisnr dvobjhuisnummer,
  g.dvwoonplaatsnaam dvobjplaats,
  cast(null as character varying(1)) as dvrechtengroep,
   e.dvcodemedewerker dvdossierbehandelaar,
   2 dnicoon,
   g.dvgemeenteid
from
   tbadviezen a
  inner join tbbouwvergunningen b
  on (a.dnkeybouwvergunningen = b.dnkey)
  left outer join tbmilinrichtingen c
  on (b.dnkeymilinrichtingen = c.dnkey)
  inner join tbadviesinstanties d
  on (a.dvcodeadviesinstanties = d.dvcode)
  inner join tbinbehandelingbij e
  on (a.dnkeybouwvergunningen = e.dnkeybouwvergunningen)
  inner join tbsoortplan f
  on (b.dnsoortplan = f.dnkey)
  inner join vwfrmlokaties g
  on (b.dnkeyperceeladressen = g.dnkeyperceeladressen)
   left outer join tbbouwwerkz h
  on (b.dnkeybouwwerkz = h.dnkey)
where 
  a.dddateringadvies > fn_vandaag(-365) and
  a.ddvervallen is null and
  e.dlactief = 'T' 
union all
select
 a.dnkey dnkeyadvies,
  a.dddateringadvies,
   d.dvomschrijving dvomschradviesinstantie,
   a.dvomschrijving,
      case when a.dvcodemedewerkers is null then e.dvcodemedewerker else a.dvcodemedewerkers end dvadviesbehandelaar,
   a.dnkeyovvergunningen dnkeymodule,
 cast('O' as char(1)) as dvmodule,
  cast(c.dvinrichtingnaam as character varying(200)) as dvinrichtingnaam,
  b.dvvergunningsnr dvzaakcode,
  cast(f.dvomschrijving as character varying(200)) as dvsoortverg,
  cast(h.dvomschrijving || ''|| b.dvpublbouwwerk as character varying(250)) as dvomsaanvraag,
   g.dvopruimtenaam dvobjstraat,
   g.dvobjhuisnr dvobjhuisnummer,
  g.dvwoonplaatsnaam dvobjplaats,
  cast(null as character varying(1)) as dvrechtengroep,
   e.dvcodemedewerker dvdossierbehandelaar,
   f.dnicoon,
   g.dvgemeenteid
from
  tbadviezen a
  inner join tbovvergunningen b
  on (a.dnkeyovvergunningen = b.dnkey)
   left outer join tbmilinrichtingen c
  on (b.dnkeymilinrichtingen = c.dnkey)
  inner join tbadviesinstanties d
  on (a.dvcodeadviesinstanties = d.dvcode)
  inner join tbinbehandelingbij e
  on (a.dnkeyovvergunningen = e.dnkeyovvergunningen)
  inner join tbsoortovverg f
  on (b.dvcodesoortovverg = f.dvcode)
  inner join vwfrmlokaties g
  on (b.dnkeyperceeladressen = g.dnkeyperceeladressen)
  left outer join tbovwerkz h
  on (b.dnkeyovwerkz = h.dnkey)
where 
  a.dddateringadvies > fn_vandaag(-365) and
  a.ddvervallen is null and
  e.dlactief = 'T' 
union all
select
 a.dnkey dnkeyadvies,
  a.dddateringadvies,
   d.dvomschrijving dvomschradviesinstantie,
   a.dvomschrijving,
      case when a.dvcodemedewerkers is null then e.dvcodemedewerker else a.dvcodemedewerkers end dvadviesbehandelaar,
   a.dnkeyhandhavingen dnkeymodule,
 cast('H' as char(1)) as dvmodule,
    cast(c.dvinrichtingnaam as character varying(200)) as dvinrichtingnaam,
  b.dvaanschrijfnr dvzaakcode,
  cast(f.dvomschrijving as character varying(200)) as dvsoortverg,
  cast(h.dvomschrijving as character varying(250)) as dvomsaanvraag,
   g.dvopruimtenaam dvobjstraat,
  g.dvobjhuisnr dvobjhuisnummer,
  g.dvwoonplaatsnaam dvobjplaats,
   cast(null as character varying(1)) as dvrechtengroep,
   e.dvcodemedewerker dvdossierbehandelaar,
   4 dnicoon,
   g.dvgemeenteid
from
 tbadviezen a
  inner join tbhandhavingen b
  on (a.dnkeyhandhavingen = b.dnkey)
   left outer join tbmilinrichtingen c
  on (b.dnkeymilinrichtingen = c.dnkey)
 inner join tbadviesinstanties d
 on (a.dvcodeadviesinstanties = d.dvcode)
 inner join tbinbehandelingbij e
 on (a.dnkeyhandhavingen = e.dnkeyhandhavingen)
 inner join tbsoorthhzaak f
  on (b.dnkeysoorthhzaak = f.dnkey)
  inner join vwfrmlokaties g
  on (b.dnkeyperceeladressen = g.dnkeyperceeladressen)
  inner join tbhandhovertreding h
  on (b.dnkeyhandhovertreding = h.dnkey)
where 
    a.dddateringadvies > fn_vandaag(-365) and
    e.dlactief = 'T' 
union all
select
 a.dnkey dnkeyadvies,
   a.dddateringadvies,
   d.dvomschrijving dvomschradviesinstantie,
   a.dvomschrijving,
      case when a.dvcodemedewerkers is null then e.dvcodemedewerker else a.dvcodemedewerkers end dvadviesbehandelaar,
   a.dnkeyinfoaanvraag dnkeymodule,
cast('I' as char(1)) as dvmodule,
  cast(c.dvinrichtingnaam as character varying(200)) as dvinrichtingnaam,
  b.dvinfonummer dvzaakcode,
  cast(f.dvomschrijving as character varying(200)) as dvsoortverg,
  cast(b.dvomschrijving as character varying(250)) as dvomsaanvraag,
   g.dvopruimtenaam dvobjstraat,
   g.dvobjhuisnr dvobjhuisnummer,
  g.dvwoonplaatsnaam dvobjplaats,
  cast(null as character varying(1)) as dvrechtengroep,
   e.dvcodemedewerker dvdossierbehandelaar,
   6 dnicoon,
   g.dvgemeenteid
from
 tbadviezen a
  inner join tbinfoaanvragen b
  on (a.dnkeyinfoaanvraag = b.dnkey)
   left outer join tbmilinrichtingen c
  on (b.dnkeymilinrichtingen = c.dnkey)
 inner join tbadviesinstanties d
 on (a.dvcodeadviesinstanties = d.dvcode)
 inner join tbinbehandelingbij e
 on (  a.dnkeyinfoaanvraag = e.dnkeyinfoaanvraag)
 inner join tbsoortinfoaanvraag f
  on (b.dnkeysoortinfoaanvraag = f.dnkey)
   inner join vwfrmlokaties g
  on (b.dnkeyperceeladressen = g.dnkeyperceeladressen)
where 
  a.dddateringadvies > fn_vandaag(-365) and
  a.ddvervallen is null and
  e.dlactief = 'T' 
;
create or replace view vwfrmbouwoverigwelstand
as select
  tbadviezen.dnkeybouwvergunningen,
  tbadviezen.dnkeyovvergunningen,
  tbadviezen.dnkeyomgvergunningen,
  tbadviezen.dnkeyhandhavingen,
  tbadviezen.dvcodeadviesinstanties dvadvcodeinstantie,
  tbadviezen.dvomschrijving dvadvomschrijving,
  tbadviezen.ddaanvraagdatum ddadvaanvraag,
  tbadviezen.ddadviesdatum ddadvadvies,
  tbadviezen.ddrappeldatum ddadvrappel,
  tbadviezen.dladviespositief dvadvpositief,
  tbadviezen.dvmemo dvadvmemo,
  tbadviezen.dddateringadvies ddadvdatering,
  tbadviezen.dnkey dnadvkey,
  tbadviezen.dvcodemedewerkers,
  tbadviesinstanties.dvomschrijving dvadvinstantie,
  tbretouradvies.dvomschrijving dvadvretourcode,
  tbadvieswelstand.ddvergadering ddadvwelstvergadering,
  tbadvieswelstand.dnconclusie dnadvwelstconclusie,
  tbadvieswelstand.dvconclusietekst dvadvwelstconclusietekst,
  tbadvieswelstand.dvverslag dvadvwelstverslag,
  tbwelstandcommissie.dvomschrijving dvadvwelstandcommissie,
  vwfrmbouwvergunningen.dvobjadres,
  vwfrmbouwvergunningen.dvobjplaats,
  vwfrmbouwvergunningen.dvsoortplan,
  vwfrmbouwvergunningen.dvbouwwerkzaamheid dvwerkzaamheid,
  vwfrmbouwvergunningen.dvpublbouwwerk,
  vwfrmbouwvergunningen.ddbouwontv ddontvangst,
  vwfrmbouwvergunningen.dvbouwnr dvvergunningsnummer,
  vwfrmbouwvergunningen.dvwelstandbeeldkwal,
  vwfrmbouwvergunningen.dvwelstomschrijving,
  vwfrmbouwvergunningen.dvwelstandgebied,
  vwfrmbouwvergunningen.dvwelstandcriteria,
  vwfrmbouwarccontacten.dvarchbedrijf,
  vwfrmbouwarccontacten.dvarchvoorletters,
  vwfrmbouwarccontacten.dvarchvoorvoegsel,
  vwfrmbouwarccontacten.dvarchachternaam,
  vwfrmbouwarccontacten.dvarchadres,
  vwfrmbouwarccontacten.dvarchpostcode,
  vwfrmbouwarccontacten.dvarchwoonplaats,
  vwfrmbouwarccontacten.dvarchhandelsnaam,
  tbwelstandcommissie.dnkey dnadvkeywelstandcommissie
  from
  tbadviezen
  inner join tbadviesinstanties
  on (tbadviezen.dvcodeadviesinstanties = tbadviesinstanties.dvcode)
  left outer join tbretouradvies
  on (tbadviezen.dnkeyretouradvies = tbretouradvies.dnkey)
  inner join tbadvieswelstand
  on (tbadviezen.dnkey = tbadvieswelstand.dnkeyadviezen)
  left outer join tbwelstandcommissie
  on (tbadvieswelstand.dnkeywelcommissie = tbwelstandcommissie.dnkey)
  inner join vwfrmbouwvergunningen
  on (tbadviezen.dnkeybouwvergunningen = vwfrmbouwvergunningen.dnkeybouwverg)
  left outer join vwfrmbouwarccontacten
  on (tbadviezen.dnkeybouwvergunningen = vwfrmbouwarccontacten.dnkeybouwvergunningen)
where
  tbadviesinstanties.dlwelstand = 'T'
union
select
  tbadviezen.dnkeybouwvergunningen,
  tbadviezen.dnkeyovvergunningen,
  tbadviezen.dnkeyomgvergunningen,
  tbadviezen.dnkeyhandhavingen,
  tbadviezen.dvcodeadviesinstanties dvadvcodeinstantie,
  tbadviezen.dvomschrijving dvadvomschrijving,
  tbadviezen.ddaanvraagdatum ddadvaanvraag,
  tbadviezen.ddadviesdatum ddadvadvies,
  tbadviezen.ddrappeldatum ddadvrappel,
  tbadviezen.dladviespositief dvadvpositief,
  tbadviezen.dvmemo dvadvmemo,
  tbadviezen.dddateringadvies ddadvdatering,
  tbadviezen.dnkey dnadvkey,
  tbadviezen.dvcodemedewerkers,
  tbadviesinstanties.dvomschrijving dvadvinstantie,
  tbretouradvies.dvomschrijving dvadvretourcode,
  tbadvieswelstand.ddvergadering ddadvwelstvergadering,
  tbadvieswelstand.dnconclusie dnadvwelstconclusie,
  tbadvieswelstand.dvconclusietekst dvadvwelstconclusietekst,
  tbadvieswelstand.dvverslag dvadvwelstverslag,
  tbwelstandcommissie.dvomschrijving dvadvwelstandcommissie,
  vwfrmovvergunningen.dvobjadres,
  vwfrmovvergunningen.dvobjplaats,
  vwfrmovvergunningen.dvsoortovvergunning dvsoortplan,
  vwfrmovvergunningen.dvovwerkzaamheid dvwerkzaamheid,
  vwfrmovvergunningen.dvpublbouwwerk dvpublbouwwerk,
  vwfrmovvergunningen.ddovontvangst ddontvangst,
  vwfrmovvergunningen.dvovvergunningsnr dvvergunningsnummer,
  vwfrmovvergunningen.dvwelstandbeeldkwal,
  vwfrmovvergunningen.dvwelstomschrijving,
  vwfrmovvergunningen.dvwelstandgebied,
  vwfrmovvergunningen.dvwelstandcriteria,
  vwfrmovarccontacten.dvarchbedrijf,
  vwfrmovarccontacten.dvarchvoorletters,
  vwfrmovarccontacten.dvarchvoorvoegsel,
  vwfrmovarccontacten.dvarchachternaam,
  vwfrmovarccontacten.dvarchadres,
  vwfrmovarccontacten.dvarchpostcode,
  vwfrmovarccontacten.dvarchwoonplaats,
  vwfrmovarccontacten.dvarchhandelsnaam,
  tbwelstandcommissie.dnkey dnadvkeywelstandcommissie
  from
  tbadviezen
  inner join tbadviesinstanties
  on (tbadviezen.dvcodeadviesinstanties = tbadviesinstanties.dvcode)
  left outer join tbretouradvies
  on (tbadviezen.dnkeyretouradvies = tbretouradvies.dnkey)
  inner join tbadvieswelstand
  on (tbadviezen.dnkey = tbadvieswelstand.dnkeyadviezen)
  left outer join tbwelstandcommissie
  on (tbadvieswelstand.dnkeywelcommissie = tbwelstandcommissie.dnkey)
  inner join vwfrmovvergunningen
  on (tbadviezen.dnkeyovvergunningen = vwfrmovvergunningen.dnkeyovvergunning)
  left outer join vwfrmovarccontacten
  on (tbadviezen.dnkeyovvergunningen = vwfrmovarccontacten.dnkeyovvergunningen)
where
tbadviesinstanties.dlwelstand = 'T'
union
select
  tbadviezen.dnkeybouwvergunningen,
  tbadviezen.dnkeyovvergunningen,
  tbadviezen.dnkeyomgvergunningen,
  tbadviezen.dnkeyhandhavingen,
  tbadviezen.dvcodeadviesinstanties dvadvcodeinstantie,
  tbadviezen.dvomschrijving dvadvomschrijving,
  tbadviezen.ddaanvraagdatum ddadvaanvraag,
  tbadviezen.ddadviesdatum ddadvadvies,
  tbadviezen.ddrappeldatum ddadvrappel,
  tbadviezen.dladviespositief dvadvpositief,
  tbadviezen.dvmemo dvadvmemo,
  tbadviezen.dddateringadvies ddadvdatering,
  tbadviezen.dnkey dnadvkey,
  tbadviezen.dvcodemedewerkers,
  tbadviesinstanties.dvomschrijving dvadvinstantie,
  tbretouradvies.dvomschrijving dvadvretourcode,
  tbadvieswelstand.ddvergadering ddadvwelstvergadering,
  tbadvieswelstand.dnconclusie dnadvwelstconclusie,
  tbadvieswelstand.dvconclusietekst dvadvwelstconclusietekst,
  tbadvieswelstand.dvverslag dvadvwelstverslag,
  tbwelstandcommissie.dvomschrijving dvadvwelstandcommissie,
  vwfrmomgvergunningen.dvobjadres,
  vwfrmomgvergunningen.dvobjplaats,
  vwfrmomgvergunningen.dvsoortaanvraag dvsoortplan,
  vwfrmomgvergunningen.dvaanvraagnaam dvwerkzaamheid,
  cast(null as character varying(100)) as dvpublbouwwerk,
  vwfrmomgvergunningen.ddaanvraag ddontvangst,
  vwfrmomgvergunningen.dvzaakcode dvvergunningsnummer,
  vwfrmomgvergunningen.dvwelstandbeeldkwal,
  vwfrmomgvergunningen.dvwelstomschrijving,
  vwfrmomgvergunningen.dvwelstandgebied,
  vwfrmomgvergunningen.dvwelstandcriteria,
  vwfrmomgarccontacten.dvarcbedrijf dvarchbedrijf,
  vwfrmomgarccontacten.dvarcvoorletters dvarchvoorletters,
  vwfrmomgarccontacten.dvarcvoorvoegsel dvarchvoorvoegsel,
  vwfrmomgarccontacten.dvarcachternaam dvarchachternaam,
  vwfrmomgarccontacten.dvarcadres dvarchadres,
  vwfrmomgarccontacten.dvarcpostcode dvarchpostcode,
  vwfrmomgarccontacten.dvarcwoonplaats,
  vwfrmomgarccontacten.dvarchandelsnaam,
  tbwelstandcommissie.dnkey dnadvkeywelstandcommissie
  from
  tbadviezen
  inner join tbadviesinstanties
  on (tbadviezen.dvcodeadviesinstanties = tbadviesinstanties.dvcode)
  left outer join tbretouradvies
  on (tbadviezen.dnkeyretouradvies = tbretouradvies.dnkey)
  inner join tbadvieswelstand
  on (tbadviezen.dnkey = tbadvieswelstand.dnkeyadviezen)
  left outer join tbwelstandcommissie
  on (tbadvieswelstand.dnkeywelcommissie = tbwelstandcommissie.dnkey)
  inner join vwfrmomgvergunningen
  on (tbadviezen.dnkeyomgvergunningen = vwfrmomgvergunningen.dnkeyomgvergunning)
  left outer join vwfrmomgarccontacten
  on (tbadviezen.dnkeyomgvergunningen = vwfrmomgarccontacten.dnkeyomgvergunningen)
where
  tbadviesinstanties.dlwelstand = 'T'
union
select
  tbadviezen.dnkeybouwvergunningen,
  tbadviezen.dnkeyovvergunningen,
  tbadviezen.dnkeyomgvergunningen,
  tbadviezen.dnkeyhandhavingen,
  tbadviezen.dvcodeadviesinstanties dvadvcodeinstantie,
  tbadviezen.dvomschrijving dvadvomschrijving,
  tbadviezen.ddaanvraagdatum ddadvaanvraag,
  tbadviezen.ddadviesdatum ddadvadvies,
  tbadviezen.ddrappeldatum ddadvrappel,
  tbadviezen.dladviespositief dvadvpositief,
  tbadviezen.dvmemo dvadvmemo,
  tbadviezen.dddateringadvies ddadvdatering,
  tbadviezen.dnkey dnadvkey,
  tbadviezen.dvcodemedewerkers,
  tbadviesinstanties.dvomschrijving dvadvinstantie,
  tbretouradvies.dvomschrijving dvadvretourcode,
  tbadvieswelstand.ddvergadering ddadvwelstvergadering,
  tbadvieswelstand.dnconclusie dnadvwelstconclusie,
  tbadvieswelstand.dvconclusietekst dvadvwelstconclusietekst,
  tbadvieswelstand.dvverslag dvadvwelstverslag,
  tbwelstandcommissie.dvomschrijving dvadvwelstandcommissie,
  vwfrmhandhavingen.dvobjadres,
  vwfrmhandhavingen.dvobjplaats,
  vwfrmhandhavingen.dvwetbasis dvsoortplan,
  vwfrmhandhavingen.dvovertreding dvwerkzaamheid,
  vwfrmhandhavingen.dvhandhbouwwerk dvpublbouwwerk,
  vwfrmhandhavingen.ddhandhverzoek ddontvangst,
  vwfrmhandhavingen.dvhandhnummer dvvergunningsnummer,
  cast(null as character varying(100)) as dvwelstandbeeldkwal,
  cast(null as character varying(50)) as dvwelstomschrijving,
  cast(null as character varying(50)) as dvwelstandgebied,
  cast(null as character varying(4000)) as dvwelstandcriteria,
  vwfrmhandharccontacten.dvarcbedrijf dvarchbedrijf,
  vwfrmhandharccontacten.dvarcvoorletters dvarchvoorletters,
  vwfrmhandharccontacten.dvarcvoorvoegsel dvarchvoorvoegsel,
  vwfrmhandharccontacten.dvarcachternaam dvarchachternaam,
  vwfrmhandharccontacten.dvarcadres dvarchadres,
  vwfrmhandharccontacten.dvarcpostcode dvarchpostcode,
  vwfrmhandharccontacten.dvarcwoonplaats,
  vwfrmhandharccontacten.dvarchandelsnaam,
  tbwelstandcommissie.dnkey dnadvkeywelstandcommissie
  from
  tbadviezen
  inner join tbadviesinstanties
  on (tbadviezen.dvcodeadviesinstanties = tbadviesinstanties.dvcode)
  left outer join tbretouradvies
  on (tbadviezen.dnkeyretouradvies = tbretouradvies.dnkey)
  inner join tbadvieswelstand
  on (tbadviezen.dnkey = tbadvieswelstand.dnkeyadviezen)
  left outer join tbwelstandcommissie
  on (tbadvieswelstand.dnkeywelcommissie = tbwelstandcommissie.dnkey)
  inner join vwfrmhandhavingen
  on (tbadviezen.dnkeyhandhavingen = vwfrmhandhavingen.dnkeyhandhaving)
  left outer join vwfrmhandharccontacten
  on (tbadviezen.dnkeyhandhavingen = vwfrmhandharccontacten.dnkeyhandhavingen)
where
   tbadviesinstanties.dlwelstand = 'T' 
;
create or replace view vwrpmilvergadviezen as
select
  tbadviesinstanties.dvomschrijving dvadvinstantie,
  tbadviezen.ddaanvraagdatum ddadvaanvraag,
  tbadviezen.ddadviesdatum ddadvadvies,
  tbsoortmilverg.dvomschrijving dvsoortmilverg,
  tbmilvergunningen.dvvergnummer,
  vwfrmactiefinbehbij.dvibbcodemw dvdossierbehandelaar,
  tbadviezen.dvcodemedewerkers dvadviesbehandelaar,
  tbmilvergunningen.dnkeymilinrichtingen
from
  tbadviezen 
  inner join tbadviesinstanties
  on (tbadviezen.dvcodeadviesinstanties = tbadviesinstanties.dvcode)
  inner join tbmilvergunningen
  on (tbadviezen.dnkeymilvergunningen = tbmilvergunningen.dnkey)
  inner join tbsoortmilverg
  on (tbmilvergunningen.dnkeysoortmilverg = tbsoortmilverg.dnkey)
  left outer join
  vwfrmactiefinbehbij
  on (tbadviezen.dnkeymilvergunningen = vwfrmactiefinbehbij.dnkeymilvergunningen)
;
create or replace view vwbrandweercontacten as 
select
  cast('O' as char(1)) as dvmodule,
  tbovcontactennn.dnkeyovvergunningen as dnkeyzaak,
  tbcontactadressen.dnkey dnkeycontactadressen,
  tbcontactadressen.dvvoorletters dvcontvoorletters,
  tbcontactadressen.dvvoorvoegsel dvcontvoorvoegsel,
  tbcontactadressen.dvroepnaam dvcontroepnaam,
  tbcontactadressen.dvachternaam dvcontachternaam,
  tbcontactadressen.dvbedrijfsnaam dvcontbedrijfsnaam,
  tbcontactadressen.dvbriefaanhef dbcontbriefaanhef,
  tbcontactadressen.dvwoonplaatsnaam dvcontwoonplaats,
  tbcontactadressen.dvstraatnaam dvcontstraatnaam,
  tbcontactadressen.dvaanduidingbijhuisnummer dvcontaanduidhuisnr,
  tbcontactadressen.dvhuisnummer dvconthuisnummer,
  tbcontactadressen.dvhuisnummertoevoeging dvconthuisnrtoevoeg,
  tbcontactadressen.dvhuisletter dvconthuisletter,
  tbcontactadressen.dvpostcode dvcontpostcode,
  tbcontactadressen.dvtelefoon dvconttelefoon,
  tbcontactadressen.dvfax dvcontfax,
  tbcontactadressen.dvemail dvcontemail,
  tbcontactadressen.dvgeslacht dvcontgeslacht,
  cast(case when tbcontactadressen.dvaanduidingbijhuisnummer is null then '' 
			        else tbcontactadressen.dvaanduidingbijhuisnummer || ' ' end 
			|| tbcontactadressen.dvhuisnummer
            || ' '
            || case when tbcontactadressen.dvhuisletter is null then '' else tbcontactadressen.dvhuisletter end
            || case when rtrim (tbcontactadressen.dvhuisnummertoevoeging) is null then '' 
			   else replace ('-' || tbcontactadressen.dvhuisnummertoevoeging,'--',  '-') 
			   end as character varying(15)) as dvobjhuisnr,
  tbadressoort.dvcode dvcontadrescode,
  tbadressoort.dvomschrijving dvcontadressoort,
  tbadressoort.ddvervaldatum ddcontadresverval,
  tbcontactadressen.dvsofinummer dvbsn,
  tbcontactadressen.dvbin,
  tbcontactadressen.dvhandelsnaam dvconthandelsnaam,
  tbsoortovverg.dnicoon
from
  tbovcontactennn
  inner join tbcontactadressen
  on (tbovcontactennn.dnkeycontactadressen = tbcontactadressen.dnkey)
  inner join tbadressoort
  on (tbovcontactennn.dvcodeadressoort = tbadressoort.dvcode)
  inner join tbovvergunningen
  on (tbovcontactennn.dnkeyovvergunningen = tbovvergunningen.dnkey)
  inner join tbsoortovverg
  on (tbovvergunningen.dvcodesoortovverg = tbsoortovverg.dvcode)
  where tbsoortovverg.dnicoon = 8
  UNION
  select
  cast('W' as char(1)) as dvmodule,
  tbomgvergcontactennn.dnkeyomgvergunningen as dnkeyzaak,
  tbcontactadressen.dnkey dnkeycontactadressen,
  tbcontactadressen.dvvoorletters dvcontvoorletters,
  tbcontactadressen.dvvoorvoegsel dvcontvoorvoegsel,
  tbcontactadressen.dvroepnaam dvcontroepnaam,
  tbcontactadressen.dvachternaam dvcontachternaam,
  tbcontactadressen.dvbedrijfsnaam dvcontbedrijfsnaam,
  tbcontactadressen.dvbriefaanhef dbcontbriefaanhef,
  tbcontactadressen.dvwoonplaatsnaam dvcontwoonplaats,
  tbcontactadressen.dvstraatnaam dvcontstraatnaam,
  tbcontactadressen.dvaanduidingbijhuisnummer dvcontaanduidhuisnr,
  tbcontactadressen.dvhuisnummer dvconthuisnummer,
  tbcontactadressen.dvhuisnummertoevoeging dvconthuisnrtoevoeg,
  tbcontactadressen.dvhuisletter dvconthuisletter,
  tbcontactadressen.dvpostcode dvcontpostcode,
  tbcontactadressen.dvtelefoon dvconttelefoon,
  tbcontactadressen.dvfax dvcontfax,
  tbcontactadressen.dvemail dvcontemail,
  tbcontactadressen.dvgeslacht dvcontgeslacht,
  cast(case when tbcontactadressen.dvaanduidingbijhuisnummer is null then '' 
			        else tbcontactadressen.dvaanduidingbijhuisnummer || ' ' end 
			|| tbcontactadressen.dvhuisnummer
            || ' '
            || case when tbcontactadressen.dvhuisletter is null then '' else tbcontactadressen.dvhuisletter end
            || case when rtrim (tbcontactadressen.dvhuisnummertoevoeging) is null then '' 
			   else replace ('-' || tbcontactadressen.dvhuisnummertoevoeging,'--',  '-') 
			   end as character varying(15)) as dvobjhuisnr,
  tbadressoort.dvcode dvcontadrescode,
  tbadressoort.dvomschrijving dvcontadressoort,
  tbadressoort.ddvervaldatum ddcontadresverval,
  tbcontactadressen.dvsofinummer dvbsn,
  tbcontactadressen.dvbin,
  tbcontactadressen.dvhandelsnaam dvconthandelsnaam,
  tbsoortomgverg.dnicoon
from
  tbomgvergcontactennn
  inner join tbcontactadressen
  on (tbomgvergcontactennn.dnkeycontactadressen = tbcontactadressen.dnkey)
  inner join tbadressoort
  on (tbomgvergcontactennn.dvcodeadressoort = tbadressoort.dvcode )
  inner join tbomgvergunning
  on (tbomgvergcontactennn.dnkeyomgvergunningen = tbomgvergunning.dnkey)
  inner join tbsoortomgverg
  on (tbomgvergunning.dnkeysoortomgverg = tbsoortomgverg.dnkey)
  where tbsoortomgverg.dnicoon = 8
UNION
select
  cast('E' as char(1)) as dvmodule,
  tbmilvergcontactennn.dnkeymilvergunningen as dnkeyzaak,
  tbcontactadressen.dnkey dnkeycontactadressen,
  tbcontactadressen.dvvoorletters dvcontvoorletters,
  tbcontactadressen.dvvoorvoegsel dvcontvoorvoegsel,
  tbcontactadressen.dvroepnaam dvcontroepnaam,
  tbcontactadressen.dvachternaam dvcontachternaam,
  tbcontactadressen.dvbedrijfsnaam dvcontbedrijfsnaam,
  tbcontactadressen.dvbriefaanhef dbcontbriefaanhef,
  tbcontactadressen.dvwoonplaatsnaam dvcontwoonplaats,
  tbcontactadressen.dvstraatnaam dvcontstraatnaam,
  tbcontactadressen.dvaanduidingbijhuisnummer dvcontaanduidhuisnr,
  tbcontactadressen.dvhuisnummer dvconthuisnummer,
  tbcontactadressen.dvhuisnummertoevoeging dvconthuisnrtoevoeg,
  tbcontactadressen.dvhuisletter dvconthuisletter,
  tbcontactadressen.dvpostcode dvcontpostcode,
  tbcontactadressen.dvtelefoon dvconttelefoon,
  tbcontactadressen.dvfax dvcontfax,
  tbcontactadressen.dvemail dvcontemail,
  tbcontactadressen.dvgeslacht dvcontgeslacht,
  cast(case when tbcontactadressen.dvaanduidingbijhuisnummer is null then '' 
			        else tbcontactadressen.dvaanduidingbijhuisnummer || ' ' end 
			|| tbcontactadressen.dvhuisnummer
            || ' '
            || case when tbcontactadressen.dvhuisletter is null then '' else tbcontactadressen.dvhuisletter end
            || case when rtrim (tbcontactadressen.dvhuisnummertoevoeging) is null then '' 
			   else replace ('-' || tbcontactadressen.dvhuisnummertoevoeging,'--',  '-') 
			   end as character varying(15)) as dvobjhuisnr,
  tbadressoort.dvcode dvcontadrescode,
  tbadressoort.dvomschrijving dvcontadressoort,
  tbadressoort.ddvervaldatum ddcontadresverval,
  tbcontactadressen.dvsofinummer dvbsn,
  tbcontactadressen.dvbin,
  tbcontactadressen.dvhandelsnaam dvconthandelsnaam,
  tbsoortmilverg.dnicoon
from
  tbmilvergcontactennn
  inner join tbcontactadressen
  on (tbmilvergcontactennn.dnkeycontactadressen = tbcontactadressen.dnkey)
  inner join tbadressoort
  on (tbmilvergcontactennn.dvcodeadressoort = tbadressoort.dvcode)
  inner join tbmilvergunningen
  on (tbmilvergcontactennn.dnkeymilvergunningen = tbmilvergunningen.dnkey)
  inner join tbsoortmilverg
  on (tbmilvergunningen.dnkeysoortmilverg = tbsoortmilverg.dnkey)
  where tbsoortmilverg.dnicoon = 8
;
create or replace view vwfrmmilemlctvoorz as
select
a.dnkey dnkeylctvoorz,
a.dnkeymilsrtvoorz,
b.dvcode dvcodevoorziening,
b.dvomschrijving dvvoorziening,
c.dnkey dnkeyemlucht,
c.dnkeymilinrichtingen,
c.dvnaamlucht,
c.dvxcrd,
c.dvycrd,
c.dvzcrd,
c.dvgmlpolygoon,
c.dfgmlradius,
c.dvbetekenisradius,
a.dvopmerking,
cast(case  when c.dvbetekenisradius = '1' then 'stank'
	    when c.dvbetekenisradius = '2' then 'gevaar'
		 when c.dvbetekenisradius = '3' then 'stof'
		  when c.dvbetekenisradius = '4' then 'geluid'
		   when c.dvbetekenisradius = '5' then 'explosie'
		   when c.dvbetekenisradius = '6' then 'overig'
		   when c.dvbetekenisradius = '7' then 'tril'
		   else '' 
   end as character varying(10)) as dvomsbetekenisradius
from
tbmilemlctvoorz a
inner join tbmilsrtvoorz b
on (a.dnkeymilsrtvoorz = b.dnkey)
inner join tbmilemlucht c
on (a.dnkeymilemlucht = c.dnkey)
;
create or replace view vwfrmmilemwatvoorz as
select
a.dnkey dnkeywatvoorz,
a.dnkeymilsrtvoorz,
b.dvcode dvcodevoorziening,
b.dvomschrijving dvvoorziening,
c.dnkey dnkeyemwater,
c.dnkeymilinrichtingen,
c.dnkeymilsrtlozing,
d.dvcode dvcodesrtlozing,
d.dvomschrijving dvomssoortlozing,
c.dvnaamlozing,
c.dvxcrd,
c.dvycrd,
c.dvzcrd,
c.dvgmlpolygoon,
c.dfgmlradius,
c.dvbetekenisradius,
a.dvopmerking,
a.dlcontrvoorzaanw,
cast(case  when c.dvbetekenisradius = '1' then 'stank'
	    when c.dvbetekenisradius = '2' then 'gevaar'
		 when c.dvbetekenisradius = '3' then 'stof'
		  when c.dvbetekenisradius = '4' then 'geluid'
		   when c.dvbetekenisradius = '5' then 'explosie'
		   when c.dvbetekenisradius = '6' then 'overig'
		   when c.dvbetekenisradius = '7' then 'tril'
		   else '' 
   end as character varying(10)) as dvomsbetekenisradius
from
tbmilemwatvoorz a
inner join tbmilsrtvoorz b
on (a.dnkeymilsrtvoorz = b.dnkey)
inner join tbmilemwater c
on (a.dnkeymilemwater = c.dnkey)
inner join tbmilsrtlozing d
on (c.dnkeymilsrtlozing = d.dnkey)
;
create or replace view vwbrandweercontverg as
select
  cast('W' as char(1)) as dvmodule,
  tbomgvergunning.dnkey,
  tbomgvergunning.dvzaakcode dvvergnummer,
  tbsoortomgverg.dvomschrijving dvsoortverg,
  tbomgvergunning.ddaanvraag ddaanvraagdatum,
  tbomgvergunning.ddbesluitdatum,
  tbomgvergunning.dvdmszaakcode,
  tbopenbareruimte.dvopruimtenaam dvobjstraat,
  tbperceeladressen.dvpostcode dvobjpostcode,
  tbperceeladressen.dvhuisnummer dvobjhuisnummer,
  tbperceeladressen.dvhuisletter dvobjhuisletter,
  tbperceeladressen.dvhuisnummertoevoeging dvobjhuisnrtoevoeg,
  tbwoonplaats.dvwoonplaatsnaam dvobjplaats,
  tbomgvergcontactennn.dnkeycontactadressen,
  tbomgvergcontactennn.dvcodeadressoort,
  tbomgvergunning.dvaanvraagnaam,
  tbsoortomgverg.dnicoon
from
  tbomgvergunning
  inner join tbperceeladressen
  on (tbomgvergunning.dnkeyperceeladressen = tbperceeladressen.dnkey)
  inner join tbopenbareruimte
  on (tbperceeladressen.dnkeyopenbruimte = tbopenbareruimte.dnkey)
  inner join tbwoonplaats
  on (tbopenbareruimte.dnkeywoonplaats = tbwoonplaats.dnkey)  
  inner join tbomgvergcontactennn
  on (tbomgvergunning.dnkey = tbomgvergcontactennn.dnkeyomgvergunningen)
  inner join tbsoortomgverg
  on (tbomgvergunning.dnkeysoortomgverg = tbsoortomgverg.dnkey)
UNION
select
  cast('O' as char(1)) as dvmodule,
  tbovvergunningen.dnkey,
  tbovvergunningen.dvvergunningsnr dvvergnummer,
  tbsoortovverg.dvomschrijving dvsoortverg,
  tbovvergunningen.ddontvangstdatum ddaanvraagdatum,
  tbovvergunningen.ddbesluitdatum,
  tbovvergunningen.dvdmscode dvdmszaakcode,
  tbopenbareruimte.dvopruimtenaam dvobjstraat,
  tbperceeladressen.dvpostcode dvobjpostcode,
  tbperceeladressen.dvhuisnummer dvobjhuisnummer,
  tbperceeladressen.dvhuisletter dvobjhuisletter,
  tbperceeladressen.dvhuisnummertoevoeging dvobjhuisnrtoevoeg,
  tbwoonplaats.dvwoonplaatsnaam dvobjplaats,
  tbovcontactennn.dnkeycontactadressen,
  tbovcontactennn.dvcodeadressoort,
  cast(substr(tbovwerkz.dvomschrijving || ' ' || tbovvergunningen.dvpublbouwwerk,1,50) as varchar(50)) as dvaanvraagnaam,
  tbsoortovverg.dnicoon
from
  tbovvergunningen
  inner join tbperceeladressen
  on (tbovvergunningen.dnkeyperceeladressen = tbperceeladressen.dnkey)
  inner join tbopenbareruimte
  on (tbperceeladressen.dnkeyopenbruimte = tbopenbareruimte.dnkey)
  inner join tbwoonplaats
  on (tbopenbareruimte.dnkeywoonplaats = tbwoonplaats.dnkey)  
  inner join tbovcontactennn
  on (tbovvergunningen.dnkey = tbovcontactennn.dnkeyovvergunningen)
  inner join tbsoortovverg
  on (tbovvergunningen.dvcodesoortovverg = tbsoortovverg.dvcode)
  inner join tbovwerkz
  on (tbovvergunningen.dnkeyovwerkz = tbovwerkz.dnkey)
UNION
select
  cast('E' as char(1)) as dvmodule,
  tbmilvergunningen.dnkey,
  tbmilvergunningen.dvvergnummer,
  tbsoortmilverg.dvomschrijving dvsoortverg,
  tbmilvergunningen.ddontvangstdatum ddaanvraagdatum,
  tbmilvergunningen.ddbesluitdatum,
  tbmilvergunningen.dvdmscode dvdmszaakcode,
  tbopenbareruimte.dvopruimtenaam dvobjstraat,
  tbperceeladressen.dvpostcode dvobjpostcode,
  tbperceeladressen.dvhuisnummer dvobjhuisnummer,
  tbperceeladressen.dvhuisletter dvobjhuisletter,
  tbperceeladressen.dvhuisnummertoevoeging dvobjhuisnrtoevoeg,
  tbwoonplaats.dvwoonplaatsnaam dvobjplaats,
  tbmilvergcontactennn.dnkeycontactadressen,
  tbmilvergcontactennn.dvcodeadressoort,
  cast(substr(tbmilwerkz.dvomschrijving || ' ' || tbmilvergunningen.dvpublbouwwerk,1,50) as varchar(50)) as dvaanvraagnaam,
  tbsoortmilverg.dnicoon
from
  tbmilvergunningen
  inner join tbmilinrichtingen
  on (tbmilvergunningen.dnkeymilinrichtingen = tbmilinrichtingen.dnkey)
  inner join tbperceeladressen
  on (tbmilinrichtingen.dnkeyperceeladressen = tbperceeladressen.dnkey)
  inner join tbopenbareruimte
  on (tbperceeladressen.dnkeyopenbruimte = tbopenbareruimte.dnkey)
  inner join tbwoonplaats
  on (tbopenbareruimte.dnkeywoonplaats = tbwoonplaats.dnkey)  
  inner join tbmilvergcontactennn
  on (tbmilvergunningen.dnkey = tbmilvergcontactennn.dnkeymilvergunningen)
  inner join tbsoortmilverg
  on (tbmilvergunningen.dnkeysoortmilverg = tbsoortmilverg.dnkey)
  inner join tbmilwerkz
  on (tbmilvergunningen.dnkeymilwerkz = tbmilwerkz.dnkey)
;
create or replace view vwowbhandhovertredingen as 
select
  tbhandhovertreding.dnkey dnkeyovertreding,
  tbhandhovertreding.dvomschrijving dvovertreding,
  tbhandhovertreding.ddvervaldatum ddovertredingvervaldat,
  tbhandhwetbasis.dvomschrijving dvwetbasis,
  tbhandhwetbasis.dnkey dnkeywetbasis
from
  tbhandhovertreding 
  inner join tbhandhwetbasis
  on (tbhandhovertreding.dnkeyhandhwetbasis = tbhandhwetbasis.dnkey)
;
create or replace view vwowbopenstadviezenexternen as 
select 
a.dvloginnaam,
d.dvomschradviesinstantie dvadviesinstantie,
d.ddrappeldatum,
d.dvzaakcode,
d.dvsoortverg,
d.dvomsaanvraag,
d.dvinrichtingnaam,
d.dvobjstraat,
d.dvobjplaats,
d.dnkeymodule,
d.dvmodule,
d.dnkeymilinrichtingen,
d.ddemailverstuurd,
d.dnkeyadvies,
d.dvadviesgevaar,
d.dnicoon
from 
tbmedewerkers a
inner join tbadviesinstanties b
on (a.dvcodeadviesinstanties = b.dvcode)
inner join vwfrmomgorkestrator_adv d
on (a.dvcodeadviesinstanties = d.dvcodeadviesinstanties)
;
create or replace view vwfrmadvcatinstnn as 
select 
a.dnkey,
a.dnkeyadviescat,
c.dvomschrijving dvadvcategorie,
a.dvcodeadviesinst,
b.dvomschrijving dvadviesinstantie,
a.dvindelenin,
a.ddvervaldatum
from 
tbadvcatadvinstnn a
inner join tbadviesinstanties b
on (a.dvcodeadviesinst = b.dvcode)
inner join tbadviescategorie c
on (a.dnkeyadviescat = c.dnkey)
;
create or replace view vwaardbeslsoortzaak as 
select 
a.dnkey,
b.dvcode,
b.dvomschrijving,
b.ddvervaldatum,
a.dnkeysoortomgverg,
a.dnkeysoortplan,
a.dnkeysoortmilverg,
a.dvcodesoortovverg,
b.dlverleend,
b.dvvantoepop
from 
tbaardbeslsoortzaak a
inner join tbaardbesluit b
on (a.dvcodeaardbesluit = b.dvcode)
;
create or replace view vwowbmedewportaltiles as 
select 
a.dvcode dvcodemedewerkers,
b.dnkey dnkeymedewtiles,
c.dnkey dnkeyportaltiles,
c.dnindex dntileindex,
c.dnrefreshseconds,
c.dvgettilecontent,
c.dvaction,
c.dvcontent,
c.dvtileheadertext,
c.dlenabled,
d.dnkey dnkeyportalcolumns,
d.dnindex dncolumnindex,
d.dvname dvcolumnname,
e.dnkey dnkeyportalnames,
e.dvname dvportalname,
e.dlisbegin dlisbeginportal
from 
tbmedewerkers a
left outer join tbmedewtiles b
on (a.dvcode = b.dvcodemedewerkers)
inner join tbportaltiles c
on (b.dnkeyportaltiles = c.dnkey)
inner join tbportalcolumns d
on (c.dnkeyportalcolumns = d.dnkey)
inner join tbportalnames e
on (d.dnkeyportalnames = e.dnkey)
;
create or replace view vwfrmeersteprocesstapperzaak as    
select
   a.dnkey,
   a.dddeadline,
   a.dvtermijnomschrijving,
   c.dvprocnaam,
   cast(case when a.dvcodevoorwie is null then e.dvcodemedewerker else a.dvcodevoorwie
   end as character varying(5)) as dvstapbehandelaar,
   a.dnkeymilvergunningen dnkeymodule,
   cast('E' as char(1)) as dvmodule,
   cast(d.dvinrichtingnaam as character varying(200)) as dvinrichtingnaam,
    b.dvvergnummer dvzaakcode,
   cast(f.dvomschrijving as character varying(200)) as dvsoortverg,
    cast(h.dvomschrijving || ''|| b.dvpublbouwwerk as character varying(250)) as dvomsaanvraag,
    g.dvopruimtenaam dvobjstraat,
    g.dvobjhuisnr dvobjhuisnummer,
    g.dvwoonplaatsnaam dvobjplaats,
    e.dvcodemedewerker dvdossierbehandelaar,
	b.dnkeymilinrichtingen,
	f.dnicoon,
	cast(case when a.dddeadline < fn_vandaag(0) then 'rood'
	     when a.dddeadline >= fn_vandaag(0) and a.dddeadline <= fn_vandaag(2) then 'oranje'
       else 'wit'
	   end as character varying(6)) as dvprocesgevaar,
	g.dvgemeenteid   
from
   tbtermijnbewstappen a
   inner join tbprocedures c 
   on a.dnkeyorgprocedure = c.dnkey
   inner join tbmilvergunningen b
   on (a.dnkeymilvergunningen = b.dnkey)
   inner join tbmilinrichtingen d
  on (b.dnkeymilinrichtingen = d.dnkey)
   inner join tbinbehandelingbij e
   on (a.dnkeymilvergunningen = e.dnkeymilvergunningen)
   inner join tbsoortmilverg f
   on (b.dnkeysoortmilverg = f.dnkey)
   inner join vwfrmlokaties g
   on (d.dnkeyperceeladressen = g.dnkeyperceeladressen)
   left outer join tbmilwerkz h
   on (b.dnkeymilwerkz = h.dnkey)
where a.dlingebruik = 'T' and
      a.dvvoorwaardejn = 'N' and
	 ((a.dddeadline, a.dnkeymilvergunningen) IN 
	    (SELECT vwmilvergminmaxdeadline.ddtrmmindeadline,vwmilvergminmaxdeadline.dnkeymilvergunningen FROM vwmilvergminmaxdeadline))     and
      a.dddeadline > fn_vandaag(-365) and
      e.dlactief = 'T' 
union all
select
   a.dnkey,
   a.dddeadline,
   a.dvtermijnomschrijving,
   c.dvprocnaam,
   cast(case when a.dvcodevoorwie is null then e.dvcodemedewerker else a.dvcodevoorwie
   end as character varying(5)) as dvstapbehandelaar,
   a.dnkeyomgvergunningen dnkeymodule,
   cast('W' as char(1)) as dvmodule,
   cast(d.dvinrichtingnaam as character varying(200)) as dvinrichtingnaam,
   b.dvzaakcode,
   cast(f.dvomschrijving as character varying(200)) as dvsoortverg,
  cast(b.dvaanvraagnaam as character varying(250)) as dvomsaanvraag,
   g.dvopruimtenaam dvobjstraat,
  g.dvobjhuisnr dvobjhuisnummer,
  g.dvwoonplaatsnaam dvobjplaats,
   e.dvcodemedewerker dvdossierbehandelaar,
   b.dnkeymilinrichtingen,
   f.dnicoon,
   cast(case when fn_vandaag(0) > a.dddeadline then 'rood'
       when a.dddeadline  <= fn_datumplus(fn_vandaag(0),f.dnprcwaarschuwper) then 'oranje'
	   else 'wit'
	   end as character varying(6)) as dvprocesgevaar,
   g.dvgemeenteid
from
   tbtermijnbewstappen a
   inner join tbprocedures c 
   on a.dnkeyorgprocedure = c.dnkey
   inner join tbomgvergunning b
   on (a.dnkeyomgvergunningen = b.dnkey)
   left outer join tbmilinrichtingen d
  on (b.dnkeymilinrichtingen = d.dnkey)
   inner join tbinbehandelingbij e
   on (a.dnkeyomgvergunningen = e.dnkeyomgvergunningen)
   inner join tbsoortomgverg f
   on (b.dnkeysoortomgverg = f.dnkey)
   inner join vwfrmlokaties g
   on (b.dnkeyperceeladressen = g.dnkeyperceeladressen)
where a.dlingebruik = 'T' and
   a.dvvoorwaardejn = 'N' and
   ((a.dddeadline, a.dnkeyomgvergunningen) IN 
	    (SELECT vwomgminmaxdeadline.ddtrmmindeadline,vwomgminmaxdeadline.dnkeyomgvergunningen FROM vwomgminmaxdeadline))     and
   a.dddeadline > fn_vandaag(-365) and
   e.dlactief = 'T' 
union all
select
   a.dnkey,
   a.dddeadline,
   a.dvtermijnomschrijving,
   c.dvprocnaam,
   cast(case when a.dvcodevoorwie is null then e.dvcodemedewerker else a.dvcodevoorwie
   end as character varying(5)) as dvstapbehandelaar,
   a.dnkeyhorecavergunningen dnkeymodule,
   cast('C' as char(1)) as dvmodule,
   cast(d.dvinrichtingnaam as character varying(200)) as dvinrichtingnaam,
    b.dvvergnummer as dvzaakcode,
   cast(h.dvomschrijving as character varying(200)) as dvsoortverg,
    cast(i.dvomschrijving as character varying(250)) as dvomsaanvraag,
    g.dvopruimtenaam dvobjstraat,
    g.dvobjhuisnr dvobjhuisnummer,
    g.dvwoonplaatsnaam dvobjplaats,
    e.dvcodemedewerker dvdossierbehandelaar,
    b.dnkeymilinrichtingen,
    5 dnicoon,
    cast(case when a.dddeadline < fn_vandaag(0) then 'rood'
	     when a.dddeadline >= fn_vandaag(0) and a.dddeadline <= fn_vandaag(2) then 'oranje'
       else 'wit'
	   end as character varying(6)) as dvprocesgevaar,
	g.dvgemeenteid
from
  tbtermijnbewstappen a
   inner join tbprocedures c 
   on a.dnkeyorgprocedure = c.dnkey
  inner join tbhorecavergunningen b
  on (a.dnkeyhorecavergunningen = b.dnkey)
  left outer join tbmilinrichtingen d
  on (b.dnkeymilinrichtingen = d.dnkey)
  inner join tbinbehandelingbij e
  on (a.dnkeyhorecavergunningen = e.dnkeyhorecavergunningen)
  inner join vwfrmlokaties g
  on (b.dnkeyperceeladressen = g.dnkeyperceeladressen)
  inner join tbsoorthorverg h
  on (b.dnkeysoortverg = h.dnkey)
  left outer join tbhorsrtonderneming i
  on (b.dnkeysoortonderneming = h.dnkey)
where a.dlingebruik = 'T' and
   a.dvvoorwaardejn = 'N' and
   ((a.dddeadline, a.dnkeyhorecavergunningen) IN 
	    (SELECT vwhorminmaxdeadline.ddtrmmindeadline,vwhorminmaxdeadline.dnkeyhorecavergunningen FROM vwhorminmaxdeadline))     and
   a.dddeadline > fn_vandaag(-365) and
   e.dlactief = 'T' 
union all
select
   a.dnkey,
   a.dddeadline,
   a.dvtermijnomschrijving,
   c.dvprocnaam,
   cast(case when a.dvcodevoorwie is null then e.dvcodemedewerker else a.dvcodevoorwie
   end as character varying(5)) as dvstapbehandelaar,
   a.dnkeybouwvergunningen dnkeymodule,
   cast('B' as char(1)) as dvmodule,
   cast(d.dvinrichtingnaam as character varying(200)) as dvinrichtingnaam,
  b.dvbouwnr dvzaakcode,
  cast(f.dvomschrijving as character varying(200)) as dvsoortverg,
  cast(h.dvomschrijving || ''|| b.dvpublbouwwerk as character varying(250)) as dvomsaanvraag,
   g.dvopruimtenaam dvobjstraat,
    g.dvobjhuisnr dvobjhuisnummer,
    g.dvwoonplaatsnaam dvobjplaats,
   e.dvcodemedewerker dvdossierbehandelaar,
   b.dnkeymilinrichtingen,
   2 dnicoon,
   cast(case when a.dddeadline < fn_vandaag(0) then 'rood'
	     when a.dddeadline >= fn_vandaag(0) and a.dddeadline <= fn_vandaag(2) then 'oranje'
       else 'wit'
	   end as character varying(6)) as dvprocesgevaar,
    g.dvgemeenteid
from
  tbtermijnbewstappen a
  inner join tbprocedures c 
  on a.dnkeyorgprocedure = c.dnkey
  inner join tbbouwvergunningen b
  on (a.dnkeybouwvergunningen = b.dnkey)
  left outer join tbmilinrichtingen d
  on (b.dnkeymilinrichtingen = d.dnkey)
  inner join tbinbehandelingbij e
  on (a.dnkeybouwvergunningen = e.dnkeybouwvergunningen)
  inner join tbsoortplan f
  on (b.dnsoortplan = f.dnkey)
  inner join vwfrmlokaties g
  on (b.dnkeyperceeladressen = g.dnkeyperceeladressen)
   left outer join tbbouwwerkz h
  on (b.dnkeybouwwerkz = h.dnkey)
where a.dlingebruik = 'T' and
   a.dvvoorwaardejn = 'N' and
   ((a.dddeadline, a.dnkeybouwvergunningen) IN 
	    (SELECT vwbouwminmaxdeadline.ddtrmmindeadline,vwbouwminmaxdeadline.dnkeybouwvergunningen FROM vwbouwminmaxdeadline))     and
   a.dddeadline > fn_vandaag(-365) and
   e.dlactief = 'T' 
union all
select
 a.dnkey,
   a.dddeadline,
   a.dvtermijnomschrijving,
   c.dvprocnaam,
   cast(case when a.dvcodevoorwie is null then e.dvcodemedewerker else a.dvcodevoorwie
   end as character varying(5)) as dvstapbehandelaar,
   a.dnkeyovvergunningen dnkeymodule,
   cast('O' as char(1)) as dvmodule,
   cast(d.dvinrichtingnaam as character varying(200)) as dvinrichtingnaam,
    b.dvvergunningsnr dvzaakcode,
  cast(f.dvomschrijving as character varying(200)) as dvsoortverg,
  cast(h.dvomschrijving || ''|| b.dvpublbouwwerk as character varying(250)) as dvomsaanvraag,
  g.dvopruimtenaam dvobjstraat,
    g.dvobjhuisnr dvobjhuisnummer,
    g.dvwoonplaatsnaam dvobjplaats,
   e.dvcodemedewerker dvdossierbehandelaar,
   b.dnkeymilinrichtingen,
   f.dnicoon,
   cast(case when a.dddeadline < fn_vandaag(0) then 'rood'
	     when a.dddeadline >= fn_vandaag(0) and a.dddeadline <= fn_vandaag(2) then 'oranje'
       else 'wit'
	   end as character varying(6)) as dvprocesgevaar,
    g.dvgemeenteid
from
  tbtermijnbewstappen a
  inner join tbprocedures c 
  on a.dnkeyorgprocedure = c.dnkey
  inner join tbovvergunningen b
  on (a.dnkeyovvergunningen = b.dnkey)
   left outer join tbmilinrichtingen d
  on (b.dnkeymilinrichtingen = d.dnkey)
  inner join tbinbehandelingbij e
  on (a.dnkeyovvergunningen = e.dnkeyovvergunningen)
  inner join tbsoortovverg f
  on (b.dvcodesoortovverg = f.dvcode)
  inner join vwfrmlokaties g
  on (b.dnkeyperceeladressen = g.dnkeyperceeladressen)
  left outer join tbovwerkz h
  on (b.dnkeyovwerkz = h.dnkey)
where a.dlingebruik = 'T' and
   a.dvvoorwaardejn = 'N' and
   ((a.dddeadline, a.dnkeyovvergunningen) IN 
	    (SELECT vwovminmaxdeadline.ddtrmmindeadline,vwovminmaxdeadline.dnkeyovvergunningen FROM vwovminmaxdeadline))     and
   a.dddeadline > fn_vandaag(-365) and
   e.dlactief = 'T' 
union all
select
 a.dnkey,
   a.dddeadline,
   a.dvtermijnomschrijving,
   c.dvprocnaam,
   cast(case when a.dvcodevoorwie is null then e.dvcodemedewerker else a.dvcodevoorwie
   end as character varying(5)) as dvstapbehandelaar,
   a.dnkeyhandhavingen dnkeymodule,
   cast('H' as char(1)) as dvmodule,
   cast(d.dvinrichtingnaam as character varying(200)) as dvinrichtingnaam,
   b.dvaanschrijfnr dvzaakcode,
  cast(f.dvomschrijving as character varying(200)) as dvsoortverg,
  cast(h.dvomschrijving as character varying(250)) as dvomsaanvraag,
  g.dvopruimtenaam dvobjstraat,
    g.dvobjhuisnr dvobjhuisnummer,
    g.dvwoonplaatsnaam dvobjplaats,
   e.dvcodemedewerker dvdossierbehandelaar,
   b.dnkeymilinrichtingen,
   4 dnicoon,
   cast(case when a.dddeadline < fn_vandaag(0) then 'rood'
	     when a.dddeadline >= fn_vandaag(0) and a.dddeadline <= fn_vandaag(2) then 'oranje'
       else 'wit'
	   end as character varying(6)) as dvprocesgevaar,
	g.dvgemeenteid
from
  tbtermijnbewstappen a
  inner join tbprocedures c 
  on a.dnkeyorgprocedure = c.dnkey
  inner join tbhandhavingen b
  on (a.dnkeyhandhavingen = b.dnkey)
   left outer join tbmilinrichtingen d
  on (b.dnkeymilinrichtingen = d.dnkey)
  inner join tbinbehandelingbij e
  on (a.dnkeyhandhavingen = e.dnkeyhandhavingen)
   inner join tbsoorthhzaak f
  on (b.dnkeysoorthhzaak = f.dnkey)
  inner join vwfrmlokaties g
  on (b.dnkeyperceeladressen = g.dnkeyperceeladressen)
  inner join tbhandhovertreding h
  on (b.dnkeyhandhovertreding = h.dnkey)
 where a.dlingebruik = 'T' and
   a.dvvoorwaardejn = 'N' and
   ((a.dddeadline, a.dnkeyhandhavingen) IN 
	    (SELECT vwhandhminmaxdeadline.ddtrmmindeadline,vwhandhminmaxdeadline.dnkeyhandhavingen FROM vwhandhminmaxdeadline))     and
   a.dddeadline > fn_vandaag(-365) and
   e.dlactief = 'T' 
  union all
select
 a.dnkey,
   a.dddeadline,
   a.dvtermijnomschrijving,
   c.dvprocnaam,
   cast(case when a.dvcodevoorwie is null then e.dvcodemedewerker else a.dvcodevoorwie
   end as character varying(5)) as dvstapbehandelaar,
   a.dnkeyinfoaanvraag dnkeymodule,
   cast('I' as char(1)) as dvmodule,
   cast(d.dvinrichtingnaam as character varying(200)) as dvinrichtingnaam,
    b.dvinfonummer dvzaakcode,
  cast(f.dvomschrijving as character varying(200)) as dvsoortverg,
  cast(b.dvomschrijving as character varying(250)) as dvomsaanvraag,
   g.dvopruimtenaam dvobjstraat,
    g.dvobjhuisnr dvobjhuisnummer,
    g.dvwoonplaatsnaam dvobjplaats,
   e.dvcodemedewerker dvdossierbehandelaar,
   b.dnkeymilinrichtingen,
   6 dnicoon,
   cast(case when a.dddeadline < fn_vandaag(0) then 'rood'
	     when a.dddeadline >= fn_vandaag(0) and a.dddeadline <= fn_vandaag(2) then 'oranje'
       else 'wit'
	   end as character varying(6)) as dvprocesgevaar,
	g.dvgemeenteid
from
  tbtermijnbewstappen a
  inner join tbprocedures c 
  on a.dnkeyorgprocedure = c.dnkey
  inner join tbinfoaanvragen b
  on (a.dnkeyinfoaanvraag = b.dnkey)
    left outer join tbmilinrichtingen d
  on (b.dnkeymilinrichtingen = d.dnkey)
  inner join tbinbehandelingbij e
  on (a.dnkeyinfoaanvraag = e.dnkeyinfoaanvraag)
  inner join tbsoortinfoaanvraag f
  on (b.dnkeysoortinfoaanvraag = f.dnkey)
  inner join vwfrmlokaties g
  on (b.dnkeyperceeladressen = g.dnkeyperceeladressen)
where a.dlingebruik = 'T' and
   a.dvvoorwaardejn = 'N' and
   ((a.dddeadline, a.dnkeyinfoaanvraag) IN 
	    (SELECT vwinfominmaxdeadline.ddtrmmindeadline,vwinfominmaxdeadline.dnkeyinfoaanvraag FROM vwinfominmaxdeadline))     and
   a.dddeadline > fn_vandaag(-365) and
   e.dlactief = 'T' 
;
create or replace view vwfrmomgorkestrator_insp as    
select
  a.dnkey dnkeyinspecties, 
  a.ddrappel ddtrajectgepland,
  a.ddcontrole ddtrajectafgehandeld,
  c.dvaanleiding,
  a.dvcodemedewerkers dvtrajectinspecteur,
  a.dnkeymilinrichtingen dnkeymodule,
  cast('E' as char(1)) as dvmodule,
  b.dnkey dnkeyinspbezoeken,
  b.ddgepland ddbezoekgepland,
  b.ddafgehandeld ddbezoekafgehandeld,
  b.dvcodemedewerkers dvbezoekinspecteur,
  d.dvomschrijving dvsoortbezoek,
  cast(case when a.dngrondslactw is not null then tbomgvergunning.dvzaakcode || ':' || tbtoestemmingen.dvwerkzaamheden 
       when a.dngrondslverge is not null then tbmilvergunningen.dvvergnummer || ':' || tbmilvergunningen.dvpublbouwwerk
  else 
  e.dvinrichtingnr 
  end as character varying(121)) as dvzaakcode,
  cast(e.dvinrichtingnaam as character varying(200)) as dvobject,
  g.dvopruimtenaam dvobjstraat,
  g.dvobjhuisnr dvobjhuisnummer,
  g.dvwoonplaatsnaam dvobjplaats,
  cast(null as character varying(5)) as dvcodeaccountman,
  f.dvgroep dvrechtengroep,
  b.dvtijdstip, 
  a.dvdmszaakcode,
  g.dvgemeenteid,
  e.dvinrichtingnaam,
  0 as dnicoon,
  cast(case when fn_vandaag(0) > b.ddgepland then 'rood'
       else 'wit'
	   end as character varying(6)) as dvbezoekgevaar
  from
  tbinspbezoeken b
  inner join tbinspecties a
  on (b.dnkeyinspecties = a.dnkey)
  left outer join tbinspaanleiding c
  on (a.dnkeyinspaanleiding = c.dnkey)
  left outer join tbinspsoortbezoek d
  on (b.dnkeyinspsoortbezoek = d.dnkey)
  inner join tbmilinrichtingen e
  on (a.dnkeymilinrichtingen = e.dnkey)
  inner join tbmedewerkers
  on (a.dvcodemedewerkers = tbmedewerkers.dvcode)
  left outer join tbrechten f
  on (tbmedewerkers.dnkeyrechten = f.dnkey)
  left outer join tbtoestemmingen
  on (a.dngrondslactw = tbtoestemmingen.dnkey)
  left outer join tbomgvergunning
  on (tbtoestemmingen.dnkeyomgvergunningen = tbomgvergunning.dnkey)
  left outer join tbmilvergunningen
  on (a.dngrondslverge = tbmilvergunningen.dnkey)
  inner join vwfrmlokaties g
  on (e.dnkeyperceeladressen = g.dnkeyperceeladressen)
where
  (a.ddcontrole is null or a.ddcontrole > fn_vandaag(0))
  and
  e.ddblokkering is null
  and
  b.ddgepland > fn_vandaag(-365)
  and
  b.ddafgehandeld is null
union 
select
  a.dnkey dnkeyinspecties, 
  a.ddrappel ddtrajectgepland,
  a.ddcontrole ddtrajectafgehandeld,
  c.dvaanleiding,
  a.dvcodemedewerkers dvtrajectinspecteur,
  a.dnkeybouwvergunningen dnkeymodule,
  cast('B' as char(1)) as dvmodule,
  b.dnkey dnkeyinspbezoeken,
  b.ddgepland ddbezoekgepland,
  b.ddafgehandeld ddbezoekafgehandeld,
  b.dvcodemedewerkers dvbezoekinspecteur,
  d.dvomschrijving dvsoortbezoek,
  cast(e.dvbouwnr as character varying(121)) as dvzaakcode,
  cast(e.dvpublbouwwerk as character varying(200)) as dvobject,
  g.dvopruimtenaam dvobjstraat,
  g.dvobjhuisnr dvobjhuisnummer,
  g.dvwoonplaatsnaam dvobjplaats,
  cast(null as character varying(5)) as dvcodeaccountman,
  f.dvgroep dvrechtengroep,
  b.dvtijdstip,
  a.dvdmszaakcode,
  g.dvgemeenteid,
  h.dvinrichtingnaam,
  2 as dnicoon,
  cast(case when fn_vandaag(0) > b.ddgepland then 'rood'
       else 'wit'
	   end as character varying(6)) as dvbezoekgevaar
  from
  tbinspbezoeken b
  inner join tbinspecties a
  on (b.dnkeyinspecties = a.dnkey)
  left outer join tbinspaanleiding c
  on (a.dnkeyinspaanleiding = c.dnkey)
  left outer join tbinspsoortbezoek d
  on (b.dnkeyinspsoortbezoek = d.dnkey)
  inner join tbbouwvergunningen e
  on (a.dnkeybouwvergunningen = e.dnkey)
  left outer join tbmilinrichtingen h
  on (e.dnkeymilinrichtingen = h.dnkey)
  inner join tbmedewerkers
  on (a.dvcodemedewerkers = tbmedewerkers.dvcode)
  left outer join tbrechten f
  on (tbmedewerkers.dnkeyrechten = f.dnkey)
  inner join vwfrmlokaties g
  on (e.dnkeyperceeladressen = g.dnkeyperceeladressen)
where
  (a.ddcontrole is null or a.ddcontrole > fn_vandaag(0))
  and
  e.ddblokkering is null
  and
  b.ddgepland > fn_vandaag(-365)
  and
  b.ddafgehandeld is null
union 
select
  a.dnkey dnkeyinspecties, 
  a.ddrappel ddtrajectgepland,
  a.ddcontrole ddtrajectafgehandeld,
  c.dvaanleiding,
  a.dvcodemedewerkers dvtrajectinspecteur,
  a.dnkeyhandhavingen dnkeymodule,
  cast('H' as char(1)) as dvmodule,
  b.dnkey dnkeyinspbezoeken,
  b.ddgepland ddbezoekgepland,
  b.ddafgehandeld ddbezoekafgehandeld,
  b.dvcodemedewerkers dvbezoekinspecteur,
  d.dvomschrijving dvsoortbezoek,
  cast(e.dvaanschrijfnr as character varying(121)) as dvzaakcode,
  cast(i.dvomschrijving as character varying(200)) as dvobject,
  g.dvopruimtenaam dvobjstraat,
 g.dvobjhuisnr dvobjhuisnummer,
  g.dvwoonplaatsnaam dvobjplaats,
  cast(null as character varying(5)) as dvcodeaccountman,
  f.dvgroep dvrechtengroep,
  b.dvtijdstip,
  a.dvdmszaakcode,
  g.dvgemeenteid,
  h.dvinrichtingnaam,
  4 as dnicoon,
  cast(case when fn_vandaag(0) > b.ddgepland then 'rood'
       else 'wit'
	   end as character varying(6)) as dvbezoekgevaar
from
  tbinspbezoeken b
  inner join tbinspecties a
  on (b.dnkeyinspecties = a.dnkey)
  left outer join tbinspaanleiding c
  on (a.dnkeyinspaanleiding = c.dnkey)
  left outer join tbinspsoortbezoek d
  on (b.dnkeyinspsoortbezoek = d.dnkey)
  inner join tbhandhavingen e
  on (a.dnkeyhandhavingen = e.dnkey)
  left outer join tbmilinrichtingen h
  on (e.dnkeymilinrichtingen = h.dnkey)
  inner join tbsoorthhzaak i
  on (e.dnkeysoorthhzaak = i.dnkey)
  inner join tbmedewerkers
  on (a.dvcodemedewerkers = tbmedewerkers.dvcode)
  left outer join tbrechten f 
  on (tbmedewerkers.dnkeyrechten = f.dnkey)
  inner join vwfrmlokaties g
  on (e.dnkeyperceeladressen = g.dnkeyperceeladressen)
where
  (a.ddcontrole is null or a.ddcontrole > fn_vandaag(0))
  and
  e.ddblokkering is null
  and
  b.ddgepland > fn_vandaag(-365)
  and
  b.ddafgehandeld is null
union 
select
  a.dnkey dnkeyinspecties, 
  a.ddrappel ddtrajectgepland,
  a.ddcontrole ddtrajectafgehandeld,
  c.dvaanleiding,
  a.dvcodemedewerkers dvtrajectinspecteur,
  a.dnkeyomgvergunningen dnkeymodule,
  cast('W' as char(1)) as dvmodule,
  b.dnkey dnkeyinspbezoeken,
  b.ddgepland ddbezoekgepland,
  b.ddafgehandeld ddbezoekafgehandeld,
  b.dvcodemedewerkers dvbezoekinspecteur,
  d.dvomschrijving dvsoortbezoek,
  cast(e.dvzaakcode as character varying(121)) as dvzaakcode,
  cast(e.dvaanvraagnaam as character varying(200)) as dvobject,
  g.dvopruimtenaam dvobjstraat,
 g.dvobjhuisnr dvobjhuisnummer,
  g.dvwoonplaatsnaam dvobjplaats,
  cast(e.dvcodeaccountman as character varying(5)) as dvcodeaccountman,
   f.dvgroep dvrechtengroep,
   b.dvtijdstip,
   a.dvdmszaakcode,
   g.dvgemeenteid,
   h.dvinrichtingnaam,
   i.dnicoon,
  cast(case when fn_vandaag(0) > b.ddgepland then 'rood'
       else 'wit'
	   end as character varying(6)) as dvbezoekgevaar
from
  tbinspbezoeken b
  inner join tbinspecties a
  on (b.dnkeyinspecties = a.dnkey)
  left outer join tbinspaanleiding c
  on (a.dnkeyinspaanleiding = c.dnkey)
  left outer join tbinspsoortbezoek d
  on (b.dnkeyinspsoortbezoek = d.dnkey)
  inner join tbomgvergunning e
  on (a.dnkeyomgvergunningen = e.dnkey)
  left outer join tbmilinrichtingen h
  on (e.dnkeymilinrichtingen = h.dnkey)
  inner join tbsoortomgverg i
  on (e.dnkeysoortomgverg = i.dnkey)
  inner join tbmedewerkers
  on (a.dvcodemedewerkers = tbmedewerkers.dvcode)
  left outer join tbrechten f
  on (tbmedewerkers.dnkeyrechten = f.dnkey)
  inner join vwfrmlokaties g
  on (e.dnkeyperceeladressen = g.dnkeyperceeladressen)
where
  (a.ddcontrole is null or a.ddcontrole > fn_vandaag(0))
  and
  e.ddblokkering is null
  and
  b.ddgepland > fn_vandaag(-365)
  and
  b.ddafgehandeld is null
union 
select
  a.dnkey dnkeyinspecties, 
  a.ddrappel ddtrajectgepland,
  a.ddcontrole ddtrajectafgehandeld,
  c.dvaanleiding,
  a.dvcodemedewerkers dvtrajectinspecteur,
  a.dnkeyhorecavergunningen dnkeymodule,
  cast('C' as char(1)) as dvmodule,
  b.dnkey dnkeyinspbezoeken,
  b.ddgepland ddbezoekgepland,
  b.ddafgehandeld ddbezoekafgehandeld,
  b.dvcodemedewerkers dvbezoekinspecteur,
  d.dvomschrijving dvsoortbezoek,
  cast(e.dvvergnummer as character varying(121)) as dvzaakcode,
  cast(i.dvomschrijving as character varying(200)) as dvobject,
  g.dvopruimtenaam dvobjstraat,
  g.dvobjhuisnr dvobjhuisnummer,
  g.dvwoonplaatsnaam dvobjplaats,
  cast(null as character varying(5)) as dvcodeaccountman,
   f.dvgroep dvrechtengroep,
   b.dvtijdstip,
   a.dvdmszaakcode,
   g.dvgemeenteid,
   h.dvinrichtingnaam,
   5 as dnicoon,
   cast(case when fn_vandaag(0) > b.ddgepland then 'rood'
       else 'wit'
	   end as character varying(6)) as dvbezoekgevaar
from
  tbinspbezoeken b
  inner join tbinspecties a
  on (b.dnkeyinspecties = a.dnkey)
  left outer join tbinspaanleiding c
  on (a.dnkeyinspaanleiding = c.dnkey)
  left outer join tbinspsoortbezoek d
  on (b.dnkeyinspsoortbezoek = d.dnkey)
  inner join tbhorecavergunningen e
  on (a.dnkeyhorecavergunningen = e.dnkey)
   left outer join tbmilinrichtingen h
  on (e.dnkeymilinrichtingen = h.dnkey)
  inner join tbsoorthorverg i
  on (e.dnkeysoortverg = i.dnkey)
  inner join tbmedewerkers
  on (a.dvcodemedewerkers = tbmedewerkers.dvcode)
  left outer join tbrechten f 
  on (tbmedewerkers.dnkeyrechten = f.dnkey)
  inner join vwfrmlokaties g
  on (e.dnkeyperceeladressen = g.dnkeyperceeladressen)
where
  (a.ddcontrole is null or a.ddcontrole > fn_vandaag(0))
  and
  e.ddblokkering is null
  and
  b.ddgepland > fn_vandaag(-365)
  and
  b.ddafgehandeld is null
union 
select
  a.dnkey dnkeyinspecties, 
  a.ddrappel ddtrajectgepland,
  a.ddcontrole ddtrajectafgehandeld,
  c.dvaanleiding,
  a.dvcodemedewerkers dvtrajectinspecteur,
  a.dnkeyovvergunningen dnkeymodule,
  cast('O' as char(1)) as dvmodule,
  b.dnkey dnkeyinspbezoeken,
  b.ddgepland ddbezoekgepland,
  b.ddafgehandeld ddbezoekafgehandeld,
  b.dvcodemedewerkers dvbezoekinspecteur,
  d.dvomschrijving dvsoortbezoek,
  cast(e.dvvergunningsnr as character varying(121)) as dvzaakcode,
  cast(e.dvpublbouwwerk as character varying(200)) as dvobject,
  g.dvopruimtenaam dvobjstraat,
  g.dvobjhuisnr dvobjhuisnummer,
  g.dvwoonplaatsnaam dvobjplaats,
  cast(null as character varying(5)) as dvcodeaccountman,
  f.dvgroep dvrechtengroep,
  b.dvtijdstip,
  a.dvdmszaakcode,
  g.dvgemeenteid,
  h.dvinrichtingnaam,
  i.dnicoon,
   cast(case when fn_vandaag(0) > b.ddgepland then 'rood'
       else 'wit'
	   end as character varying(6)) as dvbezoekgevaar
from
  tbinspbezoeken b
  inner join tbinspecties a
  on (b.dnkeyinspecties = a.dnkey)
  left outer join tbinspaanleiding c
  on (a.dnkeyinspaanleiding = c.dnkey)
  left outer join tbinspsoortbezoek d
  on (b.dnkeyinspsoortbezoek = d.dnkey)
  inner join tbovvergunningen e
  on (a.dnkeyovvergunningen = e.dnkey)
    left outer join tbmilinrichtingen h
  on (e.dnkeymilinrichtingen = h.dnkey)
  inner join tbsoortovverg i
  on (e.dvcodesoortovverg = i.dvcode)
  inner join tbmedewerkers
  on (a.dvcodemedewerkers = tbmedewerkers.dvcode)
  left outer join tbrechten f 
  on (tbmedewerkers.dnkeyrechten = f.dnkey)
  inner join vwfrmlokaties g
  on (e.dnkeyperceeladressen = g.dnkeyperceeladressen)
where
  (a.ddcontrole is null or a.ddcontrole > fn_vandaag(0))
  and
  e.ddblokkering is null
  and
  b.ddgepland > fn_vandaag(-365)
  and
  b.ddafgehandeld is null
;
create or replace view vwhandhafrsoortzaak as 
select 
a.dnkey,
b.dvcode,
b.dvomschrijving dvafrondoms,
b.ddvervaldatum,
a.dnkeysoorthhzaak,
c.dvomschrijving dvsoortzaak
from 
tbhhafrondsoortzaak a
inner join tbhandhafronding b
on (a.dvcodehandhafrond = b.dvcode)
inner join tbsoorthhzaak c
on (a.dnkeysoorthhzaak = c.dnkey)
;
create or replace view vwovminmaxadviezen as
select
   max(case when a.ddrappeldatum is null then ddaanvraagdatum else ddrappeldatum end) ddadvmaxdeadline,
   min(case when a.ddrappeldatum is null then ddaanvraagdatum else ddrappeldatum end) ddadvmindeadline,
   a.dnkeyovvergunningen
from
  tbadviezen a
  inner join tbovvergunningen b
  on (a.dnkeyovvergunningen = b.dnkey)
where
  b.ddblokkering is null
  and
  a.ddadviesdatum is null
  and
   a.ddvervallen is null
group by
  a.dnkeyovvergunningen
;
create or replace view vwovstringadvin as
select 
  dnkeyovvergunningen,
  cast(fnovget_adviesin(dnkeyovvergunningen) as character varying(4000)) as dvadviesin
from
    tbadviezen
  where
    dnkeyovvergunningen is not null
    and
    ddadviesdatum is not null
    and
    ddvervallen is null
group by
  dnkeyovvergunningen
;
create or replace view vwovstringadvuit as
select 
  dnkeyovvergunningen,
  cast(fnovget_adviesuit(dnkeyovvergunningen) as character varying(4000)) as dvadviesuit
 from
    tbadviezen
  where
    dnkeyovvergunningen is not null
    and
    ddadviesdatum is null
    and
    ddvervallen is null
group by
  dnkeyovvergunningen
;
create or replace view vwovheefttermijnen as
select
distinct a.dnkeyovvergunningen dnkeyovheeftterm
  from 
  tbtermijnbewstappen a
inner join tbovvergunningen b
  on (b.dnkey = a.dnkeyovvergunningen)
  where 
  b.ddblokkering is null
;
create or replace view vwovheeftadviezen as
select 
  distinct a.dnkeyovvergunningen dnkeyovheeftadv
  from tbadviezen a
inner join tbovvergunningen b
on (b.dnkey = a.dnkeyovvergunningen)
  where 
  b.ddblokkering is null
;
create or replace view vwfrmapvovorkestrator_lopend as 
select
  a.dnkey,
  a.ddfataledatum,
  a.ddontvangstdatum ddstart,
  a.dvvergunningsnr dvzaakcode,
  b.dvibbcodemw,
  e.ddtrmmindeadline,
  g.ddadvmindeadline,
  cast(i.dvomschrijving || ''|| a.dvpublbouwwerk as character varying(151)) as dvomsaanvraag,
  k.dvopruimtenaam dvobjstraat,
  k.dvobjhuisnr,
  k.dvwoonplaatsnaam dvobjplaats,
  cast(case when m.ddkrittrmprocnaam is null then null 
       else m.ddkrittrmprocnaam 
        || ' : '|| m.dvkrittrmomschrijving 
       || ' (' || m.ddkrittrmdeadline ||')' 
       end as character varying(94)) as dvactueleprocesstap,
  o.dvadviesuit,
  p.dvadviesin,
  a.dvdmscode dvdmszaakcode,
  l.dvomschrijving as dvsoortzaak,
  cast(case when a.ddfataledatum is null then null
	   when a.ddfataledatum is not null and a.ddfataledatum  < fn_vandaag(0) then 'rood'
       when a.ddfataledatum >= fn_vandaag(0) and a.ddfataledatum <= fn_vandaag(2) then 'oranje'
	   else 'wit'
	   end as character varying(6)) as dvzaakgevaar,
  cast(case when c.dnkeyovheeftterm is null then null
        when e.ddtrmmindeadline is null then 'groen'
        when e.ddtrmmindeadline is not null and e.ddtrmmindeadline  < fn_vandaag(0) then 'rood'
       when e.ddtrmmindeadline >= fn_vandaag(0) and e.ddtrmmindeadline <= fn_vandaag(2) then 'oranje'
	   else 'wit'
	   end as character varying(6)) as dvprocesgevaar,
  cast(case when d.dnkeyovheeftadv is null then null
       when g.ddadvmindeadline is null then 'groen'
       when g.ddadvmindeadline is not null and g.ddadvmindeadline  < fn_vandaag(0) then 'rood'
       when g.ddadvmindeadline >= fn_vandaag(0) and g.ddadvmindeadline <= fn_vandaag(2) then 'oranje'
	   else 'wit'
	   end as character varying(6)) as dvadviesgevaar,
  l.dnicoon   
from
  tbovvergunningen a
  left outer join vwfrmactiefinbehbij b
  on (a.dnkey = b.dnkeyovvergunningen)
  left outer join vwovminmaxdeadline e
  on (a.dnkey = e.dnkeyovvergunningen)
  left outer join vwovminmaxadviezen g
  on (a.dnkey = g.dnkeyovvergunningen)
  left outer join vwfrmovkrittermijnen m
  on (a.dnkey = m.dnkeyovvergunningen)
  left outer join vwovstringadvuit o
  on (a.dnkey = o.dnkeyovvergunningen)
  left outer join vwovstringadvin p
  on (a.dnkey = p.dnkeyovvergunningen)
  left outer join tbovwerkz i
  on (a.dnkeyovwerkz = i.dnkey)
  inner join tbsoortovverg l
  on (a.dvcodesoortovverg = l.dvcode)
  inner join vwfrmlokaties k
  on (a.dnkeyperceeladressen = k.dnkeyperceeladressen)
  left outer join vwovheefttermijnen c
  on (a.dnkey = c.dnkeyovheeftterm)
  left outer join vwovheeftadviezen d
  on (a.dnkey = d.dnkeyovheeftadv)
 where
  a.ddbesluitdatum is null
  and
  a.ddingetrokken is null
  and
  a.ddblokkering is null
  ;

